import { CancellationToken } from 'vscode-languageserver';
import * as lsp from 'vscode-languageserver-types';
import { ILogger } from '../logging';
import { IMdParser } from '../parser';
import { MdTableOfContentsProvider } from '../tableOfContents';
import { ITextDocument } from '../types/textDocument';
export declare class MdFoldingProvider {
    private readonly parser;
    private readonly tocProvider;
    private readonly logger;
    constructor(parser: IMdParser, tocProvider: MdTableOfContentsProvider, logger: ILogger);
    provideFoldingRanges(document: ITextDocument, _token: CancellationToken): Promise<lsp.FoldingRange[]>;
    private getRegions;
    private getHeaderFoldingRanges;
    private getBlockFoldingRanges;
    private getFoldingRangeKind;
}
