"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.joinPath = exports.dirname = exports.extname = exports.toVsUri = void 0;
const URI = require("vscode-uri");
function toVsUri(uri) {
    if (uri instanceof URI.URI) {
        return uri;
    }
    return URI.URI.from(uri);
}
exports.toVsUri = toVsUri;
function extname(uri) {
    return URI.Utils.extname(toVsUri(uri));
}
exports.extname = extname;
function dirname(uri) {
    return URI.Utils.dirname(toVsUri(uri));
}
exports.dirname = dirname;
function joinPath(uri, ...segments) {
    return URI.Utils.joinPath(toVsUri(uri), ...segments);
}
exports.joinPath = joinPath;
