/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var re=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/platform/instantiation/common/instantiation","vs/base/common/async","vs/base/common/uri","vs/platform/log/common/log","vs/base/common/errors","vs/nls","vs/nls!vs/code/electron-browser/sharedProcess/sharedProcessMain","vs/base/common/path","vs/platform/files/common/files","vs/base/common/types","vs/platform/environment/common/environment","vs/base/common/resources","vs/base/common/buffer","vs/base/common/arrays","vs/platform/configuration/common/configuration","vs/base/common/network","vs/platform/telemetry/common/telemetry","vs/platform/storage/common/storage","vs/base/common/cancellation","vs/platform/product/common/productService","vs/platform/userDataSync/common/userDataSync","vs/base/common/strings","vs/base/node/pfs","vs/platform/extensionManagement/common/extensionManagement","vs/platform/userDataProfile/common/userDataProfile","vs/base/common/objects","vs/base/common/uuid","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/map","vs/base/common/json","vs/base/common/process","os","vs/base/common/errorMessage","vs/base/parts/ipc/common/ipc","vs/platform/registry/common/platform","vs/base/common/stream","vs/base/common/extpath","vs/platform/configuration/common/configurationRegistry","vs/platform/extensions/common/extensions","vs/platform/extensionManagement/common/extensionsProfileScannerService","vs/platform/request/common/request","vs/platform/userDataSync/common/abstractSynchronizer","child_process","vs/platform/externalServices/common/serviceMachineId","vs/platform/telemetry/common/telemetryUtils","vs/base/common/codicons","vs/base/common/iterator","vs/base/common/jsonFormatter","fs","vs/base/common/semver/semver","vs/platform/instantiation/common/descriptors","vs/platform/files/common/watcher","vs/platform/policy/common/policy","vs/platform/userDataSync/common/content","vs/base/common/decorators","vs/base/common/date","vs/base/common/hash","vs/base/common/marshalling","vs/base/parts/ipc/node/ipc.cp","vs/platform/extensions/common/extensionValidator","vs/platform/languagePacks/common/languagePacks","vs/platform/native/electron-sandbox/native","vs/platform/configuration/common/configurationModels","vs/platform/tunnel/common/tunnel","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/extensionManagement/common/extensionsScannerService","vs/platform/extensionManagement/common/extensionStorage","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/common/functional","vs/base/common/jsonEdit","net","vs/base/common/processes","vs/base/common/observableValue","vs/base/common/normalization","vs/base/common/severity","vs/base/common/glob","vs/base/node/powershell","vs/base/parts/ipc/common/ipc.net","electron","vs/base/parts/storage/common/storage","vs/base/node/processes","vs/platform/environment/common/environmentService","vs/platform/instantiation/common/extensions","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionRecommendations/common/extensionRecommendations","vs/platform/files/common/io","vs/platform/instantiation/common/serviceCollection","vs/platform/ipc/electron-sandbox/services","vs/platform/log/common/logIpc","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/remote/common/remoteHosts","vs/platform/sharedProcess/common/sharedProcessWorkerService","vs/platform/sign/common/sign","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/common/telemetryService","vs/platform/terminal/common/terminal","vs/platform/theme/common/themeService","vs/platform/userDataSync/common/ignoredExtensions","vs/base/node/zip","vs/platform/extensionManagement/node/extensionManagementService","vs/base/common/assert","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/skipList","vs/base/node/decoder","vs/base/node/macAddress","vs/base/node/ports","vs/base/parts/request/common/request","vs/base/parts/request/browser/request","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/nls!vs/base/common/platform","vs/base/common/mime","vs/base/common/stopwatch","vs/base/common/cache","vs/base/common/console","vs/base/common/uriIpc","vs/base/node/id","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-browser/ipc.mp","vs/base/parts/ipc/node/ipc.net","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/languagePacks/common/languagePacks","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/common/terminalPlatformConfiguration","vs/nls!vs/platform/terminal/common/terminalProfiles","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/nls!vs/platform/workspace/common/workspace","vs/platform/environment/node/argv","vs/platform/environment/node/argvHelper","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/configRemotes","vs/platform/extensionRecommendations/electron-sandbox/extensionRecommendationsIpc","vs/platform/instantiation/common/graph","vs/platform/checksum/common/checksumService","vs/platform/contextkey/common/contextkey","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/checksum/node/checksumService","crypto","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/ipc/electron-browser/mainProcessService","vs/code/electron-browser/sharedProcess/contrib/localizationsUpdater","vs/code/electron-browser/sharedProcess/contrib/logsDataCleaner","vs/code/electron-browser/sharedProcess/contrib/storageDataCleaner","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/platform/policy/common/policyIpc","vs/code/electron-browser/sharedProcess/contrib/codeCacheCleaner","vs/code/electron-browser/sharedProcess/contrib/languagePackCachedDataCleaner","vs/platform/profiling/common/profiling","vs/platform/profiling/node/profilingService","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/extensionManagement/common/unsupportedExtensionsMigration","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/languagePacks/node/languagePacks","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/common/sharedProcessTunnelService","vs/platform/remote/node/nodeSocketFactory","vs/platform/request/browser/requestService","vs/platform/download/common/downloadService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/sharedProcess/electron-browser/sharedProcessWorker","vs/platform/sharedProcess/electron-browser/sharedProcessWorkerService","vs/platform/sharedProcess/node/sharedProcessEnvironmentService","vs/platform/shell/node/shellEnv","vs/platform/sign/node/signService","vs/platform/storage/common/storageIpc","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/browser/1dsAppender","vs/platform/telemetry/node/customEndpointTelemetryService","vs/platform/terminal/common/requestStore","vs/platform/terminal/electron-sandbox/terminal","vs/platform/terminal/node/terminalEnvironment","vs/platform/theme/common/theme","vs/platform/terminal/common/terminalProfiles","vs/platform/terminal/common/terminalPlatformConfiguration","vs/platform/terminal/node/terminalProfiles","vs/platform/terminal/node/ptyHostService","vs/platform/tunnel/node/sharedProcessTunnelService","vs/platform/tunnel/node/tunnelService","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/userData/common/fileUserDataProvider","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/userDataSyncBackupStoreService","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/windows/node/windowTracker","vs/platform/workspace/common/workspace","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/electron-sandbox/defaultExtensionsProfileInit","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/extensionManagement/node/extensionsScannerService","vs/platform/extensionManagement/common/extensionEnablementService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/platform/storage/electron-sandbox/storageService","vs/platform/userDataProfile/electron-sandbox/userDataProfile","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/tasksSync","vs/platform/userDataSync/common/userDataSyncEnablementService","vs/platform/userDataSync/common/userDataAutoSyncService","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/electron-sandbox/userDataAutoSyncService","vs/platform/extensionManagement/node/extensionManagementUtil","vs/code/electron-browser/sharedProcess/contrib/extensionsCleaner","string_decoder","util","minimist","assert","path","graceful-fs","yauzl","yazl","vs/code/electron-browser/sharedProcess/sharedProcessMain"],oe=function(X){for(var e=[],R=0,i=X.length;R<i;R++)e[R]=re[X[R]];return e};define(re[109],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function R(i,k){if(!i)throw new Error(k?`Assertion failed (${k})`:"Assertion Failed")}e.ok=R}),define(re[51],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function R(A){return A?A.replace(/\$\((.*?)\)/g,(b,C)=>` ${C} `).trim():""}e.getCodiconAriaLabel=R;class i{constructor(b,C,D){this.id=b,this.definition=C,this.description=D,i._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return i._allCodicons}}e.Codicon=i,i._allCodicons=[],i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",i.add.definition),i.gistNew=new i("gist-new",i.add.definition),i.repoCreate=new i("repo-create",i.add.definition),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eba4"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolCustomColor=new i("symbol-customcolor",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.circleSmallFilled=new i("circle-small-filled",{fontCharacter:"\\eb8a"}),i.debugStackframeDot=new i("debug-stackframe-dot",i.circleSmallFilled.definition),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.workspaceTrusted=new i("workspace-trusted",{fontCharacter:"\\ebc1"}),i.workspaceUntrusted=new i("workspace-untrusted",{fontCharacter:"\\ebc2"}),i.workspaceUnspecified=new i("workspace-unspecified",{fontCharacter:"\\ebc3"}),i.terminalCmd=new i("terminal-cmd",{fontCharacter:"\\ebc4"}),i.terminalDebian=new i("terminal-debian",{fontCharacter:"\\ebc5"}),i.terminalLinux=new i("terminal-linux",{fontCharacter:"\\ebc6"}),i.terminalPowershell=new i("terminal-powershell",{fontCharacter:"\\ebc7"}),i.terminalTmux=new i("terminal-tmux",{fontCharacter:"\\ebc8"}),i.terminalUbuntu=new i("terminal-ubuntu",{fontCharacter:"\\ebc9"}),i.terminalBash=new i("terminal-bash",{fontCharacter:"\\ebca"}),i.arrowSwap=new i("arrow-swap",{fontCharacter:"\\ebcb"}),i.copy=new i("copy",{fontCharacter:"\\ebcc"}),i.personAdd=new i("person-add",{fontCharacter:"\\ebcd"}),i.filterFilled=new i("filter-filled",{fontCharacter:"\\ebce"}),i.wand=new i("wand",{fontCharacter:"\\ebcf"}),i.debugLineByLine=new i("debug-line-by-line",{fontCharacter:"\\ebd0"}),i.inspect=new i("inspect",{fontCharacter:"\\ebd1"}),i.layers=new i("layers",{fontCharacter:"\\ebd2"}),i.layersDot=new i("layers-dot",{fontCharacter:"\\ebd3"}),i.layersActive=new i("layers-active",{fontCharacter:"\\ebd4"}),i.compass=new i("compass",{fontCharacter:"\\ebd5"}),i.compassDot=new i("compass-dot",{fontCharacter:"\\ebd6"}),i.compassActive=new i("compass-active",{fontCharacter:"\\ebd7"}),i.azure=new i("azure",{fontCharacter:"\\ebd8"}),i.issueDraft=new i("issue-draft",{fontCharacter:"\\ebd9"}),i.gitPullRequestClosed=new i("git-pull-request-closed",{fontCharacter:"\\ebda"}),i.gitPullRequestDraft=new i("git-pull-request-draft",{fontCharacter:"\\ebdb"}),i.debugAll=new i("debug-all",{fontCharacter:"\\ebdc"}),i.debugCoverage=new i("debug-coverage",{fontCharacter:"\\ebdd"}),i.runErrors=new i("run-errors",{fontCharacter:"\\ebde"}),i.folderLibrary=new i("folder-library",{fontCharacter:"\\ebdf"}),i.debugContinueSmall=new i("debug-continue-small",{fontCharacter:"\\ebe0"}),i.beakerStop=new i("beaker-stop",{fontCharacter:"\\ebe1"}),i.graphLine=new i("graph-line",{fontCharacter:"\\ebe2"}),i.graphScatter=new i("graph-scatter",{fontCharacter:"\\ebe3"}),i.pieChart=new i("pie-chart",{fontCharacter:"\\ebe4"}),i.bracket=new i("bracket",i.json.definition),i.bracketDot=new i("bracket-dot",{fontCharacter:"\\ebe5"}),i.bracketError=new i("bracket-error",{fontCharacter:"\\ebe6"}),i.lockSmall=new i("lock-small",{fontCharacter:"\\ebe7"}),i.azureDevops=new i("azure-devops",{fontCharacter:"\\ebe8"}),i.verifiedFilled=new i("verified-filled",{fontCharacter:"\\ebe9"}),i.newLine=new i("newline",{fontCharacter:"\\ebea"}),i.layout=new i("layout",{fontCharacter:"\\ebeb"}),i.layoutActivitybarLeft=new i("layout-activitybar-left",{fontCharacter:"\\ebec"}),i.layoutActivitybarRight=new i("layout-activitybar-right",{fontCharacter:"\\ebed"}),i.layoutPanelLeft=new i("layout-panel-left",{fontCharacter:"\\ebee"}),i.layoutPanelCenter=new i("layout-panel-center",{fontCharacter:"\\ebef"}),i.layoutPanelJustify=new i("layout-panel-justify",{fontCharacter:"\\ebf0"}),i.layoutPanelRight=new i("layout-panel-right",{fontCharacter:"\\ebf1"}),i.layoutPanel=new i("layout-panel",{fontCharacter:"\\ebf2"}),i.layoutSidebarLeft=new i("layout-sidebar-left",{fontCharacter:"\\ebf3"}),i.layoutSidebarRight=new i("layout-sidebar-right",{fontCharacter:"\\ebf4"}),i.layoutStatusbar=new i("layout-statusbar",{fontCharacter:"\\ebf5"}),i.layoutMenubar=new i("layout-menubar",{fontCharacter:"\\ebf6"}),i.layoutCentered=new i("layout-centered",{fontCharacter:"\\ebf7"}),i.layoutSidebarRightOff=new i("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),i.layoutPanelOff=new i("layout-panel-off",{fontCharacter:"\\ec01"}),i.layoutSidebarLeftOff=new i("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),i.target=new i("target",{fontCharacter:"\\ebf8"}),i.indent=new i("indent",{fontCharacter:"\\ebf9"}),i.recordSmall=new i("record-small",{fontCharacter:"\\ebfa"}),i.errorSmall=new i("error-small",{fontCharacter:"\\ebfb"}),i.arrowCircleDown=new i("arrow-circle-down",{fontCharacter:"\\ebfc"}),i.arrowCircleLeft=new i("arrow-circle-left",{fontCharacter:"\\ebfd"}),i.arrowCircleRight=new i("arrow-circle-right",{fontCharacter:"\\ebfe"}),i.arrowCircleUp=new i("arrow-circle-up",{fontCharacter:"\\ebff"}),i.heartFilled=new i("heart-filled",{fontCharacter:"\\ec04"}),i.map=new i("map",{fontCharacter:"\\ec05"}),i.mapFilled=new i("map-filled",{fontCharacter:"\\ec06"}),i.circleSmall=new i("circle-small",{fontCharacter:"\\ec07"}),i.bellSlash=new i("bell-slash",{fontCharacter:"\\ec08"}),i.bellSlashDot=new i("bell-slash-dot",{fontCharacter:"\\ec09"}),i.commentUnresolved=new i("comment-unresolved",{fontCharacter:"\\ec0a"}),i.dialogError=new i("dialog-error",i.error.definition),i.dialogWarning=new i("dialog-warning",i.warning.definition),i.dialogInfo=new i("dialog-info",i.info.definition),i.dialogClose=new i("dialog-close",i.close.definition),i.treeItemExpanded=new i("tree-item-expanded",i.chevronDown.definition),i.treeFilterOnTypeOn=new i("tree-filter-on-type-on",i.listFilter.definition),i.treeFilterOnTypeOff=new i("tree-filter-on-type-off",i.listSelection.definition),i.treeFilterClear=new i("tree-filter-clear",i.close.definition),i.treeItemLoading=new i("tree-item-loading",i.loading.definition),i.menuSelection=new i("menu-selection",i.check.definition),i.menuSubmenu=new i("menu-submenu",i.chevronRight.definition),i.menuBarMore=new i("menubar-more",i.more.definition),i.scrollbarButtonLeft=new i("scrollbar-button-left",i.triangleLeft.definition),i.scrollbarButtonRight=new i("scrollbar-button-right",i.triangleRight.definition),i.scrollbarButtonUp=new i("scrollbar-button-up",i.triangleUp.definition),i.scrollbarButtonDown=new i("scrollbar-button-down",i.triangleDown.definition),i.toolBarMore=new i("toolbar-more",i.more.definition),i.quickInputBack=new i("quick-input-back",i.arrowLeft.definition);function k(A,b){const C=["codicon","codicon-"+A];return b&&C.push("codicon-modifier-"+b),C}e.getClassNamesArray=k;var L;(function(A){A.iconNameSegment="[A-Za-z0-9]+",A.iconNameExpression="[A-Za-z0-9-]+",A.iconModifierExpression="~[A-Za-z]+",A.iconNameCharacter="[A-Za-z0-9~-]";const b=new RegExp(`^(${A.iconNameExpression})(${A.iconModifierExpression})?$`);function C(E){if(E instanceof i)return["codicon","codicon-"+E.id];const v=b.exec(E.id);if(!v)return C(i.error);const[,y,d]=v,S=["codicon","codicon-"+y];return d&&S.push("codicon-modifier-"+d.substr(1)),S}A.asClassNameArray=C;function D(E){return C(E).join(" ")}A.asClassName=D;function I(E){return"."+C(E).join(".")}A.asCSSSelector=I})(L=e.CSSIcon||(e.CSSIcon={}))}),define(re[60],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function R(A){return(b,C,D)=>{let I=null,E=null;if(typeof D.value=="function"?(I="value",E=D.value):typeof D.get=="function"&&(I="get",E=D.get),!E)throw new Error("not supported");D[I]=A(E,C)}}e.createDecorator=R;function i(A,b,C){let D=null,I=null;if(typeof C.value=="function"?(D="value",I=C.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof C.get=="function"&&(D="get",I=C.get),!I)throw new Error("not supported");const E=`$memoize$${b}`;C[D]=function(...v){return this.hasOwnProperty(E)||Object.defineProperty(this,E,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,v)}),this[E]}}e.memoize=i;function k(A,b,C){return R((D,I)=>{const E=`$debounce$${I}`,v=`$debounce$result$${I}`;return function(...y){this[v]||(this[v]=C?C():void 0),clearTimeout(this[E]),b&&(this[v]=b(this[v],...y),y=[this[v]]),this[E]=setTimeout(()=>{D.apply(this,y),this[v]=C?C():void 0},A)}})}e.debounce=k;function L(A,b,C){return R((D,I)=>{const E=`$throttle$timer$${I}`,v=`$throttle$result$${I}`,y=`$throttle$lastRun$${I}`,d=`$throttle$pending$${I}`;return function(...S){if(this[v]||(this[v]=C?C():void 0),(this[y]===null||this[y]===void 0)&&(this[y]=-Number.MAX_VALUE),b&&(this[v]=b(this[v],...S)),this[d])return;const w=this[y]+A;w<=Date.now()?(this[y]=Date.now(),D.apply(this,[this[v]]),this[v]=C?C():void 0):(this[d]=!0,this[E]=setTimeout(()=>{this[d]=!1,this[y]=Date.now(),D.apply(this,[this[v]]),this[v]=C?C():void 0},w-Date.now()))}})}e.throttle=L}),define(re[9],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BugIndicatingError=e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class R{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(n){setTimeout(()=>{throw n.stack?u.isErrorNoTelemetry(n)?new u(n.message+`

`+n.stack):new Error(n.message+`

`+n.stack):n},0)}}addListener(n){return this.listeners.push(n),()=>{this._removeListener(n)}}emit(n){this.listeners.forEach(r=>{r(n)})}_removeListener(n){this.listeners.splice(this.listeners.indexOf(n),1)}setUnexpectedErrorHandler(n){this.unexpectedErrorHandler=n}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(n){this.unexpectedErrorHandler(n),this.emit(n)}onUnexpectedExternalError(n){this.unexpectedErrorHandler(n)}}e.ErrorHandler=R,e.errorHandler=new R;function i(h){e.errorHandler.setUnexpectedErrorHandler(h)}e.setUnexpectedErrorHandler=i;function k(h){C(h)||e.errorHandler.onUnexpectedError(h)}e.onUnexpectedError=k;function L(h){C(h)||e.errorHandler.onUnexpectedExternalError(h)}e.onUnexpectedExternalError=L;function A(h){if(h instanceof Error){const{name:n,message:r}=h,t=h.stacktrace||h.stack;return{$isError:!0,name:n,message:r,stack:t,noTelemetry:u.isErrorNoTelemetry(h)}}return h}e.transformErrorForSerialization=A;const b="Canceled";function C(h){return h instanceof D?!0:h instanceof Error&&h.name===b&&h.message===b}e.isCancellationError=C;class D extends Error{constructor(){super(b);this.name=this.message}}e.CancellationError=D;function I(){const h=new Error(b);return h.name=h.message,h}e.canceled=I;function E(h){return h?new Error(`Illegal argument: ${h}`):new Error("Illegal argument")}e.illegalArgument=E;function v(h){return h?new Error(`Illegal state: ${h}`):new Error("Illegal state")}e.illegalState=v;function y(h){return h?new Error(`readonly property '${h} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=y;function d(h){const n=new Error(`${h} has been disposed`);return n.name="DISPOSED",n}e.disposed=d;function S(h){return h?h.message?h.message:h.stack?h.stack.split(`
`)[0]:String(h):"Error"}e.getErrorMessage=S;class w extends Error{constructor(n){super("NotImplemented");n&&(this.message=n)}}e.NotImplementedError=w;class p extends Error{constructor(n){super("NotSupported");n&&(this.message=n)}}e.NotSupportedError=p;class m extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=m;class u extends Error{constructor(n){super(n);this.name="ErrorNoTelemetry"}static fromError(n){if(n instanceof u)return n;const r=new u;return r.message=n.message,r.stack=n.stack,r}static isErrorNoTelemetry(n){return n.name==="ErrorNoTelemetry"}}e.ErrorNoTelemetry=u;class f extends Error{constructor(n){super(n||"An unexpected bug occurred.");Object.setPrototypeOf(this,f.prototype);debugger}}e.BugIndicatingError=f}),define(re[18],oe([0,1,9]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.tieBreakComparators=e.compareBy=e.CompareResult=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushMany=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.lastOrDefault=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch2=e.binarySearch=e.removeFastWithoutKeepingOrder=e.equals=e.tail2=e.tail=void 0;function i(H,ie=0){return H[H.length-(1+ie)]}e.tail=i;function k(H){if(H.length===0)throw new Error("Invalid tail call");return[H.slice(0,H.length-1),H[H.length-1]]}e.tail2=k;function L(H,ie,ne=(ce,he)=>ce===he){if(H===ie)return!0;if(!H||!ie||H.length!==ie.length)return!1;for(let ce=0,he=H.length;ce<he;ce++)if(!ne(H[ce],ie[ce]))return!1;return!0}e.equals=L;function A(H,ie){const ne=H.length-1;ie<ne&&(H[ie]=H[ne]),H.pop()}e.removeFastWithoutKeepingOrder=A;function b(H,ie,ne){return C(H.length,ce=>ne(H[ce],ie))}e.binarySearch=b;function C(H,ie){let ne=0,ce=H-1;for(;ne<=ce;){const he=(ne+ce)/2|0,ve=ie(he);if(ve<0)ne=he+1;else if(ve>0)ce=he-1;else return he}return-(ne+1)}e.binarySearch2=C;function D(H,ie){let ne=0,ce=H.length;if(ce===0)return 0;for(;ne<ce;){const he=Math.floor((ne+ce)/2);ie(H[he])?ce=he:ne=he+1}return ne}e.findFirstInSorted=D;function I(H,ie,ne){if(H=H|0,H>=ie.length)throw new TypeError("invalid index");const ce=ie[Math.floor(ie.length*Math.random())],he=[],ve=[],pe=[];for(const Ce of ie){const be=ne(Ce,ce);be<0?he.push(Ce):be>0?ve.push(Ce):pe.push(Ce)}return H<he.length?I(H,he,ne):H<he.length+pe.length?pe[0]:I(H-(he.length+pe.length),ve,ne)}e.quickSelect=I;function E(H,ie){const ne=[];let ce;for(const he of H.slice(0).sort(ie))!ce||ie(ce[0],he)!==0?(ce=[he],ne.push(ce)):ce.push(he);return ne}e.groupBy=E;function v(H,ie,ne){const ce=[];function he(Ce,be,Pe){if(be===0&&Pe.length===0)return;const Me=ce[ce.length-1];Me&&Me.start+Me.deleteCount===Ce?(Me.deleteCount+=be,Me.toInsert.push(...Pe)):ce.push({start:Ce,deleteCount:be,toInsert:Pe})}let ve=0,pe=0;for(;;){if(ve===H.length){he(ve,0,ie.slice(pe));break}if(pe===ie.length){he(ve,H.length-ve,[]);break}const Ce=H[ve],be=ie[pe],Pe=ne(Ce,be);Pe===0?(ve+=1,pe+=1):Pe<0?(he(ve,1,[]),ve+=1):Pe>0&&(he(ve,0,[be]),pe+=1)}return ce}e.sortedDiff=v;function y(H,ie,ne){const ce=v(H,ie,ne),he=[],ve=[];for(const pe of ce)he.push(...H.slice(pe.start,pe.start+pe.deleteCount)),ve.push(...pe.toInsert);return{removed:he,added:ve}}e.delta=y;function d(H,ie,ne){if(ne===0)return[];const ce=H.slice(0,ne).sort(ie);return w(H,ie,ce,ne,H.length),ce}e.top=d;function S(H,ie,ne,ce,he){return ne===0?Promise.resolve([]):new Promise((ve,pe)=>{(async()=>{const Ce=H.length,be=H.slice(0,ne).sort(ie);for(let Pe=ne,Me=Math.min(ne+ce,Ce);Pe<Ce;Pe=Me,Me=Math.min(Me+ce,Ce)){if(Pe>ne&&await new Promise(Qe=>setTimeout(Qe)),he&&he.isCancellationRequested)throw new R.CancellationError;w(H,ie,be,Pe,Me)}return be})().then(ve,pe)})}e.topAsync=S;function w(H,ie,ne,ce,he){for(const ve=ne.length;ce<he;ce++){const pe=H[ce];if(ie(pe,ne[ve-1])<0){ne.pop();const Ce=D(ne,be=>ie(pe,be)<0);ne.splice(Ce,0,pe)}}}function p(H){return H.filter(ie=>!!ie)}e.coalesce=p;function m(H){let ie=0;for(let ne=0;ne<H.length;ne++)H[ne]&&(H[ie]=H[ne],ie+=1);H.length=ie}e.coalesceInPlace=m;function u(H,ie,ne){H.splice(ne,0,H.splice(ie,1)[0])}e.move=u;function f(H){return!Array.isArray(H)||H.length===0}e.isFalsyOrEmpty=f;function h(H){return Array.isArray(H)&&H.length>0}e.isNonEmptyArray=h;function n(H,ie=ne=>ne){const ne=new Set;return H.filter(ce=>{const he=ie(ce);return ne.has(he)?!1:(ne.add(he),!0)})}e.distinct=n;function r(H){const ie=new Set;return ne=>{const ce=H(ne);return ie.has(ce)?!1:(ie.add(ce),!0)}}e.uniqueFilter=r;function t(H,ie){const ne=s(H,ie);if(ne!==-1)return H[ne]}e.findLast=t;function s(H,ie){for(let ne=H.length-1;ne>=0;ne--){const ce=H[ne];if(ie(ce))return ne}return-1}e.lastIndex=s;function a(H,ie){return H.length>0?H[0]:ie}e.firstOrDefault=a;function c(H,ie){return H.length>0?H[H.length-1]:ie}e.lastOrDefault=c;function o(H,ie,ne=(ce,he)=>ce===he){let ce=0;for(let he=0,ve=Math.min(H.length,ie.length);he<ve&&ne(H[he],ie[he]);he++)ce++;return ce}e.commonPrefixLength=o;function l(H){return[].concat(...H)}e.flatten=l;function g(H,ie){let ne=typeof ie=="number"?H:0;typeof ie=="number"?ne=H:(ne=0,ie=H);const ce=[];if(ne<=ie)for(let he=ne;he<ie;he++)ce.push(he);else for(let he=ne;he>ie;he--)ce.push(he);return ce}e.range=g;function P(H,ie,ne){return H.reduce((ce,he)=>(ce[ie(he)]=ne?ne(he):he,ce),Object.create(null))}e.index=P;function U(H,ie){return H.push(ie),()=>_(H,ie)}e.insert=U;function _(H,ie){const ne=H.indexOf(ie);if(ne>-1)return H.splice(ne,1),ie}e.remove=_;function M(H,ie,ne){const ce=H.slice(0,ie),he=H.slice(ie);return ce.concat(ne,he)}e.arrayInsert=M;function T(H,ie){let ne;if(typeof ie=="number"){let ce=ie;ne=()=>{const he=Math.sin(ce++)*179426549;return he-Math.floor(he)}}else ne=Math.random;for(let ce=H.length-1;ce>0;ce-=1){const he=Math.floor(ne()*(ce+1)),ve=H[ce];H[ce]=H[he],H[he]=ve}}e.shuffle=T;function $(H,ie){const ne=H.indexOf(ie);ne>-1&&(H.splice(ne,1),H.unshift(ie))}e.pushToStart=$;function N(H,ie){const ne=H.indexOf(ie);ne>-1&&(H.splice(ne,1),H.push(ie))}e.pushToEnd=N;function G(H,ie){for(const ne of ie)H.push(ne)}e.pushMany=G;function J(H,ie){return Array.isArray(H)?H.map(ie):ie(H)}e.mapArrayOrNot=J;function z(H){return Array.isArray(H)?H:[H]}e.asArray=z;function Q(H){return H[Math.floor(Math.random()*H.length)]}e.getRandomElement=Q;function x(H,ie){for(const ne of H){const ce=ie(ne);if(ce!==void 0)return ce}}e.mapFind=x;function B(H,ie,ne){const ce=se(H,ie),he=H.length,ve=ne.length;H.length=he+ve;for(let pe=he-1;pe>=ce;pe--)H[pe+ve]=H[pe];for(let pe=0;pe<ve;pe++)H[pe+ce]=ne[pe]}e.insertInto=B;function Y(H,ie,ne,ce){const he=se(H,ie),ve=H.splice(he,ne);return B(H,he,ce),ve}e.splice=Y;function se(H,ie){return ie<0?Math.max(ie+H.length,0):Math.min(ie,H.length)}var Z;(function(H){function ie(he){return he<0}H.isLessThan=ie;function ne(he){return he>0}H.isGreaterThan=ne;function ce(he){return he===0}H.isNeitherLessOrGreaterThan=ce,H.greaterThan=1,H.lessThan=-1,H.neitherLessOrGreaterThan=0})(Z=e.CompareResult||(e.CompareResult={}));function W(H,ie){return(ne,ce)=>ie(H(ne),H(ce))}e.compareBy=W;function V(...H){return(ie,ne)=>{for(const ce of H){const he=ce(ie,ne);if(!Z.isNeitherLessOrGreaterThan(he))return he}return Z.neitherLessOrGreaterThan}}e.tieBreakComparators=V;const O=(H,ie)=>H-ie;e.numberComparator=O;function F(H,ie){if(H.length===0)return;let ne=H[0];for(let ce=1;ce<H.length;ce++){const he=H[ce];ie(he,ne)>0&&(ne=he)}return ne}e.findMaxBy=F;function q(H,ie){if(H.length===0)return;let ne=H[0];for(let ce=1;ce<H.length;ce++){const he=H[ce];ie(he,ne)>=0&&(ne=he)}return ne}e.findLastMaxBy=q;function j(H,ie){return F(H,(ne,ce)=>-ie(ne,ce))}e.findMinBy=j;class te{constructor(ie){this.items=ie,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(ie){let ne=this.firstIdx;for(;ne<this.items.length&&ie(this.items[ne]);)ne++;const ce=ne===this.firstIdx?null:this.items.slice(this.firstIdx,ne);return this.firstIdx=ne,ce}takeFromEndWhile(ie){let ne=this.lastIdx;for(;ne>=0&&ie(this.items[ne]);)ne--;const ce=ne===this.lastIdx?null:this.items.slice(ne+1,this.lastIdx+1);return this.lastIdx=ne,ce}peek(){if(this.length!==0)return this.items[this.firstIdx]}peekLast(){if(this.length!==0)return this.items[this.lastIdx]}dequeue(){const ie=this.items[this.firstIdx];return this.firstIdx++,ie}removeLast(){const ie=this.items[this.lastIdx];return this.lastIdx--,ie}takeCount(ie){const ne=this.items.slice(this.firstIdx,this.firstIdx+ie);return this.firstIdx+=ie,ne}}e.ArrayQueue=te}),define(re[74],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function R(i){const k=this;let L=!1,A;return function(){return L||(L=!0,A=i.apply(k,arguments)),A}}e.once=R}),define(re[52],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var R;(function(i){function k(r){return r&&typeof r=="object"&&typeof r[Symbol.iterator]=="function"}i.is=k;const L=Object.freeze([]);function A(){return L}i.empty=A;function*b(r){yield r}i.single=b;function C(r){return r||L}i.from=C;function D(r){return!r||r[Symbol.iterator]().next().done===!0}i.isEmpty=D;function I(r){return r[Symbol.iterator]().next().value}i.first=I;function E(r,t){for(const s of r)if(t(s))return!0;return!1}i.some=E;function v(r,t){for(const s of r)if(t(s))return s}i.find=v;function*y(r,t){for(const s of r)t(s)&&(yield s)}i.filter=y;function*d(r,t){let s=0;for(const a of r)yield t(a,s++)}i.map=d;function*S(...r){for(const t of r)for(const s of t)yield s}i.concat=S;function*w(r){for(const t of r)for(const s of t)yield s}i.concatNested=w;function p(r,t,s){let a=s;for(const c of r)a=t(a,c);return a}i.reduce=p;function m(r,t){let s=0;for(const a of r)t(a,s++)}i.forEach=m;function*u(r,t,s=r.length){for(t<0&&(t+=r.length),s<0?s+=r.length:s>r.length&&(s=r.length);t<s;t++)yield r[t]}i.slice=u;function f(r,t=Number.POSITIVE_INFINITY){const s=[];if(t===0)return[s,r];const a=r[Symbol.iterator]();for(let c=0;c<t;c++){const o=a.next();if(o.done)return[s,i.empty()];s.push(o.value)}return[s,{[Symbol.iterator](){return a}}]}i.consume=f;function h(r){return f(r)[0]}i.collect=h;function n(r,t,s=(a,c)=>a===c){const a=r[Symbol.iterator](),c=t[Symbol.iterator]();for(;;){const o=a.next(),l=c.next();if(o.done!==l.done)return!1;if(o.done)return!0;if(!s(o.value,l.value))return!1}}i.equals=n})(R=e.Iterable||(e.Iterable={}))}),define(re[35],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var R;(function(n){n[n.None=0]="None",n[n.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=2]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",n[n.InvalidUnicode=4]="InvalidUnicode",n[n.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",n[n.InvalidCharacter=6]="InvalidCharacter"})(R=e.ScanError||(e.ScanError={}));var i;(function(n){n[n.OpenBraceToken=1]="OpenBraceToken",n[n.CloseBraceToken=2]="CloseBraceToken",n[n.OpenBracketToken=3]="OpenBracketToken",n[n.CloseBracketToken=4]="CloseBracketToken",n[n.CommaToken=5]="CommaToken",n[n.ColonToken=6]="ColonToken",n[n.NullKeyword=7]="NullKeyword",n[n.TrueKeyword=8]="TrueKeyword",n[n.FalseKeyword=9]="FalseKeyword",n[n.StringLiteral=10]="StringLiteral",n[n.NumericLiteral=11]="NumericLiteral",n[n.LineCommentTrivia=12]="LineCommentTrivia",n[n.BlockCommentTrivia=13]="BlockCommentTrivia",n[n.LineBreakTrivia=14]="LineBreakTrivia",n[n.Trivia=15]="Trivia",n[n.Unknown=16]="Unknown",n[n.EOF=17]="EOF"})(i=e.SyntaxKind||(e.SyntaxKind={}));var k;(function(n){n[n.InvalidSymbol=1]="InvalidSymbol",n[n.InvalidNumberFormat=2]="InvalidNumberFormat",n[n.PropertyNameExpected=3]="PropertyNameExpected",n[n.ValueExpected=4]="ValueExpected",n[n.ColonExpected=5]="ColonExpected",n[n.CommaExpected=6]="CommaExpected",n[n.CloseBraceExpected=7]="CloseBraceExpected",n[n.CloseBracketExpected=8]="CloseBracketExpected",n[n.EndOfFileExpected=9]="EndOfFileExpected",n[n.InvalidCommentToken=10]="InvalidCommentToken",n[n.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=12]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",n[n.InvalidUnicode=14]="InvalidUnicode",n[n.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",n[n.InvalidCharacter=16]="InvalidCharacter"})(k=e.ParseErrorCode||(e.ParseErrorCode={}));var L;(function(n){n.DEFAULT={allowTrailingComma:!0}})(L=e.ParseOptions||(e.ParseOptions={}));function A(n,r=!1){let t=0;const s=n.length;let a="",c=0,o=16,l=0;function g(N){let G=0,J=0;for(;G<N;){const z=n.charCodeAt(t);if(z>=48&&z<=57)J=J*16+z-48;else if(z>=65&&z<=70)J=J*16+z-65+10;else if(z>=97&&z<=102)J=J*16+z-97+10;else break;t++,G++}return G<N&&(J=-1),J}function P(N){t=N,a="",c=0,o=16,l=0}function U(){const N=t;if(n.charCodeAt(t)===48)t++;else for(t++;t<n.length&&D(n.charCodeAt(t));)t++;if(t<n.length&&n.charCodeAt(t)===46)if(t++,t<n.length&&D(n.charCodeAt(t)))for(t++;t<n.length&&D(n.charCodeAt(t));)t++;else return l=3,n.substring(N,t);let G=t;if(t<n.length&&(n.charCodeAt(t)===69||n.charCodeAt(t)===101))if(t++,(t<n.length&&n.charCodeAt(t)===43||n.charCodeAt(t)===45)&&t++,t<n.length&&D(n.charCodeAt(t))){for(t++;t<n.length&&D(n.charCodeAt(t));)t++;G=t}else l=3;return n.substring(N,G)}function _(){let N="",G=t;for(;;){if(t>=s){N+=n.substring(G,t),l=2;break}const J=n.charCodeAt(t);if(J===34){N+=n.substring(G,t),t++;break}if(J===92){if(N+=n.substring(G,t),t++,t>=s){l=2;break}switch(n.charCodeAt(t++)){case 34:N+='"';break;case 92:N+="\\";break;case 47:N+="/";break;case 98:N+="\b";break;case 102:N+="\f";break;case 110:N+=`
`;break;case 114:N+="\r";break;case 116:N+="	";break;case 117:{const Q=g(4);Q>=0?N+=String.fromCharCode(Q):l=4;break}default:l=5}G=t;continue}if(J>=0&&J<=31)if(C(J)){N+=n.substring(G,t),l=2;break}else l=6;t++}return N}function M(){if(a="",l=0,c=t,t>=s)return c=s,o=17;let N=n.charCodeAt(t);if(b(N)){do t++,a+=String.fromCharCode(N),N=n.charCodeAt(t);while(b(N));return o=15}if(C(N))return t++,a+=String.fromCharCode(N),N===13&&n.charCodeAt(t)===10&&(t++,a+=`
`),o=14;switch(N){case 123:return t++,o=1;case 125:return t++,o=2;case 91:return t++,o=3;case 93:return t++,o=4;case 58:return t++,o=6;case 44:return t++,o=5;case 34:return t++,a=_(),o=10;case 47:{const G=t-1;if(n.charCodeAt(t+1)===47){for(t+=2;t<s&&!C(n.charCodeAt(t));)t++;return a=n.substring(G,t),o=12}if(n.charCodeAt(t+1)===42){t+=2;const J=s-1;let z=!1;for(;t<J;){if(n.charCodeAt(t)===42&&n.charCodeAt(t+1)===47){t+=2,z=!0;break}t++}return z||(t++,l=1),a=n.substring(G,t),o=13}return a+=String.fromCharCode(N),t++,o=16}case 45:if(a+=String.fromCharCode(N),t++,t===s||!D(n.charCodeAt(t)))return o=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return a+=U(),o=11;default:for(;t<s&&T(N);)t++,N=n.charCodeAt(t);if(c!==t){switch(a=n.substring(c,t),a){case"true":return o=8;case"false":return o=9;case"null":return o=7}return o=16}return a+=String.fromCharCode(N),t++,o=16}}function T(N){if(b(N)||C(N))return!1;switch(N){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function $(){let N;do N=M();while(N>=12&&N<=15);return N}return{setPosition:P,getPosition:()=>t,scan:r?$:M,getToken:()=>o,getTokenValue:()=>a,getTokenOffset:()=>c,getTokenLength:()=>t-c,getTokenError:()=>l}}e.createScanner=A;function b(n){return n===32||n===9||n===11||n===12||n===160||n===5760||n>=8192&&n<=8203||n===8239||n===8287||n===12288||n===65279}function C(n){return n===10||n===13||n===8232||n===8233}function D(n){return n>=48&&n<=57}var I;(function(n){n[n.nullCharacter=0]="nullCharacter",n[n.maxAsciiCharacter=127]="maxAsciiCharacter",n[n.lineFeed=10]="lineFeed",n[n.carriageReturn=13]="carriageReturn",n[n.lineSeparator=8232]="lineSeparator",n[n.paragraphSeparator=8233]="paragraphSeparator",n[n.nextLine=133]="nextLine",n[n.space=32]="space",n[n.nonBreakingSpace=160]="nonBreakingSpace",n[n.enQuad=8192]="enQuad",n[n.emQuad=8193]="emQuad",n[n.enSpace=8194]="enSpace",n[n.emSpace=8195]="emSpace",n[n.threePerEmSpace=8196]="threePerEmSpace",n[n.fourPerEmSpace=8197]="fourPerEmSpace",n[n.sixPerEmSpace=8198]="sixPerEmSpace",n[n.figureSpace=8199]="figureSpace",n[n.punctuationSpace=8200]="punctuationSpace",n[n.thinSpace=8201]="thinSpace",n[n.hairSpace=8202]="hairSpace",n[n.zeroWidthSpace=8203]="zeroWidthSpace",n[n.narrowNoBreakSpace=8239]="narrowNoBreakSpace",n[n.ideographicSpace=12288]="ideographicSpace",n[n.mathematicalSpace=8287]="mathematicalSpace",n[n.ogham=5760]="ogham",n[n._=95]="_",n[n.$=36]="$",n[n._0=48]="_0",n[n._1=49]="_1",n[n._2=50]="_2",n[n._3=51]="_3",n[n._4=52]="_4",n[n._5=53]="_5",n[n._6=54]="_6",n[n._7=55]="_7",n[n._8=56]="_8",n[n._9=57]="_9",n[n.a=97]="a",n[n.b=98]="b",n[n.c=99]="c",n[n.d=100]="d",n[n.e=101]="e",n[n.f=102]="f",n[n.g=103]="g",n[n.h=104]="h",n[n.i=105]="i",n[n.j=106]="j",n[n.k=107]="k",n[n.l=108]="l",n[n.m=109]="m",n[n.n=110]="n",n[n.o=111]="o",n[n.p=112]="p",n[n.q=113]="q",n[n.r=114]="r",n[n.s=115]="s",n[n.t=116]="t",n[n.u=117]="u",n[n.v=118]="v",n[n.w=119]="w",n[n.x=120]="x",n[n.y=121]="y",n[n.z=122]="z",n[n.A=65]="A",n[n.B=66]="B",n[n.C=67]="C",n[n.D=68]="D",n[n.E=69]="E",n[n.F=70]="F",n[n.G=71]="G",n[n.H=72]="H",n[n.I=73]="I",n[n.J=74]="J",n[n.K=75]="K",n[n.L=76]="L",n[n.M=77]="M",n[n.N=78]="N",n[n.O=79]="O",n[n.P=80]="P",n[n.Q=81]="Q",n[n.R=82]="R",n[n.S=83]="S",n[n.T=84]="T",n[n.U=85]="U",n[n.V=86]="V",n[n.W=87]="W",n[n.X=88]="X",n[n.Y=89]="Y",n[n.Z=90]="Z",n[n.ampersand=38]="ampersand",n[n.asterisk=42]="asterisk",n[n.at=64]="at",n[n.backslash=92]="backslash",n[n.bar=124]="bar",n[n.caret=94]="caret",n[n.closeBrace=125]="closeBrace",n[n.closeBracket=93]="closeBracket",n[n.closeParen=41]="closeParen",n[n.colon=58]="colon",n[n.comma=44]="comma",n[n.dot=46]="dot",n[n.doubleQuote=34]="doubleQuote",n[n.equals=61]="equals",n[n.exclamation=33]="exclamation",n[n.greaterThan=62]="greaterThan",n[n.lessThan=60]="lessThan",n[n.minus=45]="minus",n[n.openBrace=123]="openBrace",n[n.openBracket=91]="openBracket",n[n.openParen=40]="openParen",n[n.percent=37]="percent",n[n.plus=43]="plus",n[n.question=63]="question",n[n.semicolon=59]="semicolon",n[n.singleQuote=39]="singleQuote",n[n.slash=47]="slash",n[n.tilde=126]="tilde",n[n.backspace=8]="backspace",n[n.formFeed=12]="formFeed",n[n.byteOrderMark=65279]="byteOrderMark",n[n.tab=9]="tab",n[n.verticalTab=11]="verticalTab"})(I||(I={}));function E(n,r){const t=[],s=new Object;let a;const c={value:{},offset:0,length:0,type:"object",parent:void 0};let o=!1;function l(g,P,U,_){c.value=g,c.offset=P,c.length=U,c.type=_,c.colonOffset=void 0,a=c}try{u(n,{onObjectBegin:(g,P)=>{if(r<=g)throw s;a=void 0,o=r>g,t.push("")},onObjectProperty:(g,P,U)=>{if(r<P||(l(g,P,U,"property"),t[t.length-1]=g,r<=P+U))throw s},onObjectEnd:(g,P)=>{if(r<=g)throw s;a=void 0,t.pop()},onArrayBegin:(g,P)=>{if(r<=g)throw s;a=void 0,t.push(0)},onArrayEnd:(g,P)=>{if(r<=g)throw s;a=void 0,t.pop()},onLiteralValue:(g,P,U)=>{if(r<P||(l(g,P,U,h(g)),r<=P+U))throw s},onSeparator:(g,P,U)=>{if(r<=P)throw s;if(g===":"&&a&&a.type==="property")a.colonOffset=P,o=!1,a=void 0;else if(g===","){const _=t[t.length-1];typeof _=="number"?t[t.length-1]=_+1:(o=!0,t[t.length-1]=""),a=void 0}}})}catch(g){if(g!==s)throw g}return{path:t,previousNode:a,isAtPropertyKey:o,matches:g=>{let P=0;for(let U=0;P<g.length&&U<t.length;U++)if(g[P]===t[U]||g[P]==="*")P++;else if(g[P]!=="**")return!1;return P===g.length}}}e.getLocation=E;function v(n,r=[],t=L.DEFAULT){let s=null,a=[];const c=[];function o(g){Array.isArray(a)?a.push(g):s!==null&&(a[s]=g)}return u(n,{onObjectBegin:()=>{const g={};o(g),c.push(a),a=g,s=null},onObjectProperty:g=>{s=g},onObjectEnd:()=>{a=c.pop()},onArrayBegin:()=>{const g=[];o(g),c.push(a),a=g,s=null},onArrayEnd:()=>{a=c.pop()},onLiteralValue:o,onError:(g,P,U)=>{r.push({error:g,offset:P,length:U})}},t),a[0]}e.parse=v;function y(n,r=[],t=L.DEFAULT){let s={type:"array",offset:-1,length:-1,children:[],parent:void 0};function a(g){s.type==="property"&&(s.length=g-s.offset,s=s.parent)}function c(g){return s.children.push(g),g}u(n,{onObjectBegin:g=>{s=c({type:"object",offset:g,length:-1,parent:s,children:[]})},onObjectProperty:(g,P,U)=>{s=c({type:"property",offset:P,length:-1,parent:s,children:[]}),s.children.push({type:"string",value:g,offset:P,length:U,parent:s})},onObjectEnd:(g,P)=>{s.length=g+P-s.offset,s=s.parent,a(g+P)},onArrayBegin:(g,P)=>{s=c({type:"array",offset:g,length:-1,parent:s,children:[]})},onArrayEnd:(g,P)=>{s.length=g+P-s.offset,s=s.parent,a(g+P)},onLiteralValue:(g,P,U)=>{c({type:h(g),offset:P,length:U,parent:s,value:g}),a(P+U)},onSeparator:(g,P,U)=>{s.type==="property"&&(g===":"?s.colonOffset=P:g===","&&a(P))},onError:(g,P,U)=>{r.push({error:g,offset:P,length:U})}},t);const l=s.children[0];return l&&delete l.parent,l}e.parseTree=y;function d(n,r){if(!n)return;let t=n;for(const s of r)if(typeof s=="string"){if(t.type!=="object"||!Array.isArray(t.children))return;let a=!1;for(const c of t.children)if(Array.isArray(c.children)&&c.children[0].value===s){t=c.children[1],a=!0;break}if(!a)return}else{const a=s;if(t.type!=="array"||a<0||!Array.isArray(t.children)||a>=t.children.length)return;t=t.children[a]}return t}e.findNodeAtLocation=d;function S(n){if(!n.parent||!n.parent.children)return[];const r=S(n.parent);if(n.parent.type==="property"){const t=n.parent.children[0].value;r.push(t)}else if(n.parent.type==="array"){const t=n.parent.children.indexOf(n);t!==-1&&r.push(t)}return r}e.getNodePath=S;function w(n){switch(n.type){case"array":return n.children.map(w);case"object":{const r=Object.create(null);for(const t of n.children){const s=t.children[1];s&&(r[t.children[0].value]=w(s))}return r}case"null":case"string":case"number":case"boolean":return n.value;default:return}}e.getNodeValue=w;function p(n,r,t=!1){return r>=n.offset&&r<n.offset+n.length||t&&r===n.offset+n.length}e.contains=p;function m(n,r,t=!1){if(p(n,r,t)){const s=n.children;if(Array.isArray(s))for(let a=0;a<s.length&&s[a].offset<=r;a++){const c=m(s[a],r,t);if(c)return c}return n}}e.findNodeAtOffset=m;function u(n,r,t=L.DEFAULT){const s=A(n,!1);function a(W){return W?()=>W(s.getTokenOffset(),s.getTokenLength()):()=>!0}function c(W){return W?V=>W(V,s.getTokenOffset(),s.getTokenLength()):()=>!0}const o=a(r.onObjectBegin),l=c(r.onObjectProperty),g=a(r.onObjectEnd),P=a(r.onArrayBegin),U=a(r.onArrayEnd),_=c(r.onLiteralValue),M=c(r.onSeparator),T=a(r.onComment),$=c(r.onError),N=t&&t.disallowComments,G=t&&t.allowTrailingComma;function J(){for(;;){const W=s.scan();switch(s.getTokenError()){case 4:z(14);break;case 5:z(15);break;case 3:z(13);break;case 1:N||z(11);break;case 2:z(12);break;case 6:z(16);break}switch(W){case 12:case 13:N?z(10):T();break;case 16:z(1);break;case 15:case 14:break;default:return W}}}function z(W,V=[],O=[]){if($(W),V.length+O.length>0){let F=s.getToken();for(;F!==17;){if(V.indexOf(F)!==-1){J();break}else if(O.indexOf(F)!==-1)break;F=J()}}}function Q(W){const V=s.getTokenValue();return W?_(V):l(V),J(),!0}function x(){switch(s.getToken()){case 11:{let W=0;try{W=JSON.parse(s.getTokenValue()),typeof W!="number"&&(z(2),W=0)}catch{z(2)}_(W);break}case 7:_(null);break;case 8:_(!0);break;case 9:_(!1);break;default:return!1}return J(),!0}function B(){return s.getToken()!==10?(z(3,[],[2,5]),!1):(Q(!1),s.getToken()===6?(M(":"),J(),Z()||z(4,[],[2,5])):z(5,[],[2,5]),!0)}function Y(){o(),J();let W=!1;for(;s.getToken()!==2&&s.getToken()!==17;){if(s.getToken()===5){if(W||z(4,[],[]),M(","),J(),s.getToken()===2&&G)break}else W&&z(6,[],[]);B()||z(4,[],[2,5]),W=!0}return g(),s.getToken()!==2?z(7,[2],[]):J(),!0}function se(){P(),J();let W=!1;for(;s.getToken()!==4&&s.getToken()!==17;){if(s.getToken()===5){if(W||z(4,[],[]),M(","),J(),s.getToken()===4&&G)break}else W&&z(6,[],[]);Z()||z(4,[],[4,5]),W=!0}return U(),s.getToken()!==4?z(8,[4],[]):J(),!0}function Z(){switch(s.getToken()){case 3:return se();case 1:return Y();case 10:return Q(!0);default:return x()}}return J(),s.getToken()===17?t.allowEmptyContent?!0:(z(4,[],[]),!1):Z()?(s.getToken()!==17&&z(9,[],[]),!0):(z(4,[],[]),!1)}e.visit=u;function f(n,r){const t=A(n),s=[];let a,c=0,o;do switch(o=t.getPosition(),a=t.scan(),a){case 12:case 13:case 17:c!==o&&s.push(n.substring(c,o)),r!==void 0&&s.push(t.getTokenValue().replace(/[^\r\n]/g,r)),c=t.getPosition();break}while(a!==17);return s.join("")}e.stripComments=f;function h(n){switch(typeof n){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(n){if(Array.isArray(n))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=h}),define(re[53],oe([0,1,35]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function i(D,I,E){let v,y,d,S,w;if(I){for(S=I.offset,w=S+I.length,d=S;d>0&&!C(D,d-1);)d--;let o=w;for(;o<D.length&&!C(D,o);)o++;y=D.substring(d,o),v=A(y,E)}else y=D,v=0,d=0,S=0,w=D.length;const p=b(E,D);let m=!1,u=0,f;E.insertSpaces?f=L(" ",E.tabSize||4):f="	";const h=(0,R.createScanner)(y,!1);let n=!1;function r(){return p+L(f,v+u)}function t(){let o=h.scan();for(m=!1;o===15||o===14;)m=m||o===14,o=h.scan();return n=o===16||h.getTokenError()!==0,o}const s=[];function a(o,l,g){!n&&l<w&&g>S&&D.substring(l,g)!==o&&s.push({offset:l,length:g-l,content:o})}let c=t();if(c!==17){const o=h.getTokenOffset()+d,l=L(f,v);a(l,d,o)}for(;c!==17;){let o=h.getTokenOffset()+h.getTokenLength()+d,l=t(),g="";for(;!m&&(l===12||l===13);){const U=h.getTokenOffset()+d;a(" ",o,U),o=h.getTokenOffset()+h.getTokenLength()+d,g=l===12?r():"",l=t()}if(l===2)c!==1&&(u--,g=r());else if(l===4)c!==3&&(u--,g=r());else{switch(c){case 3:case 1:u++,g=r();break;case 5:case 12:g=r();break;case 13:m?g=r():g=" ";break;case 6:g=" ";break;case 10:if(l===6){g="";break}case 7:case 8:case 9:case 11:case 2:case 4:l===12||l===13?g=" ":l!==5&&l!==17&&(n=!0);break;case 16:n=!0;break}m&&(l===12||l===13)&&(g=r())}const P=h.getTokenOffset()+d;a(g,o,P),c=l}return s}e.format=i;function k(D,I){const E=JSON.stringify(D,void 0,I.insertSpaces?I.tabSize||4:"	");return I.eol!==void 0?E.replace(/\r\n|\r|\n/g,I.eol):E}e.toFormattedString=k;function L(D,I){let E="";for(let v=0;v<I;v++)E+=D;return E}function A(D,I){let E=0,v=0;const y=I.tabSize||4;for(;E<D.length;){const d=D.charAt(E);if(d===" ")v++;else if(d==="	")v+=y;else break;E++}return Math.floor(v/y)}function b(D,I){for(let E=0;E<I.length;E++){const v=I.charAt(E);if(v==="\r")return E+1<I.length&&I.charAt(E+1)===`
`?`\r
`:"\r";if(v===`
`)return`
`}return D&&D.eol||`
`}e.getEOL=b;function C(D,I){return`\r
`.indexOf(D.charAt(I))!==-1}e.isEOL=C}),define(re[75],oe([0,1,35,53]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function k(D,I,E){return L(D,I,void 0,E)}e.removeProperty=k;function L(D,I,E,v,y){const d=I.slice(),S=[],w=(0,R.parseTree)(D,S);let p,m;for(;d.length>0&&(m=d.pop(),p=(0,R.findNodeAtLocation)(w,d),p===void 0&&E!==void 0);)typeof m=="string"?E={[m]:E}:E=[E];if(p)if(p.type==="object"&&typeof m=="string"&&Array.isArray(p.children)){const u=(0,R.findNodeAtLocation)(p,[m]);if(u!==void 0)if(E===void 0){if(!u.parent)throw new Error("Malformed AST");const f=p.children.indexOf(u.parent);let h,n=u.parent.offset+u.parent.length;if(f>0){const r=p.children[f-1];h=r.offset+r.length}else h=p.offset+1,p.children.length>1&&(n=p.children[1].offset);return A(D,{offset:h,length:n-h,content:""},v)}else return A(D,{offset:u.offset,length:u.length,content:JSON.stringify(E)},v);else{if(E===void 0)return[];const f=`${JSON.stringify(m)}: ${JSON.stringify(E)}`,h=y?y(p.children.map(r=>r.children[0].value)):p.children.length;let n;if(h>0){const r=p.children[h-1];n={offset:r.offset+r.length,length:0,content:","+f}}else p.children.length===0?n={offset:p.offset+1,length:0,content:f}:n={offset:p.offset+1,length:0,content:f+","};return A(D,n,v)}}else if(p.type==="array"&&typeof m=="number"&&Array.isArray(p.children))if(E!==void 0){const u=`${JSON.stringify(E)}`;let f;if(p.children.length===0||m===0)f={offset:p.offset+1,length:0,content:p.children.length===0?u:u+","};else{const h=m===-1||m>p.children.length?p.children.length:m,n=p.children[h-1];f={offset:n.offset+n.length,length:0,content:","+u}}return A(D,f,v)}else{const u=m,f=p.children[u];let h;if(p.children.length===1)h={offset:p.offset+1,length:p.length-2,content:""};else if(p.children.length-1===u){const n=p.children[u-1],r=n.offset+n.length,t=p.offset+p.length;h={offset:r,length:t-2-r,content:""}}else h={offset:f.offset,length:p.children[u+1].offset-f.offset,content:""};return A(D,h,v)}else throw new Error(`Can not add ${typeof m!="number"?"index":"property"} to parent of type ${p.type}`);else{if(E===void 0)throw new Error("Can not delete in empty document");return A(D,{offset:w?w.offset:0,length:w?w.length:0,content:JSON.stringify(E)},v)}}e.setProperty=L;function A(D,I,E){let v=b(D,I),y=I.offset,d=I.offset+I.content.length;if(I.length===0||I.content.length===0){for(;y>0&&!(0,i.isEOL)(v,y-1);)y--;for(;d<v.length&&!(0,i.isEOL)(v,d);)d++}const S=(0,i.format)(v,{offset:y,length:d-y},E);for(let p=S.length-1;p>=0;p--){const m=S[p];v=b(v,m),y=Math.min(y,m.offset),d=Math.max(d,m.offset+m.length),d+=m.content.length-m.length}const w=D.length-(v.length-d)-y;return[{offset:y,length:w,content:v.substring(y,d)}]}e.withFormatting=A;function b(D,I){return D.substring(0,I.offset)+I.content+D.substring(I.offset+I.length)}e.applyEdit=b;function C(D,I){const E=I.slice(0).sort((y,d)=>{const S=y.offset-d.offset;return S===0?y.length-d.length:S});let v=D.length;for(let y=E.length-1;y>=0;y--){const d=E[y];if(d.offset+d.length<=v)D=b(D,d);else throw new Error("Overlapping edit");v=d.offset}return D}e.applyEdits=C}),define(re[110],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class R{constructor(k){this.executor=k,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(k){this._error=k}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(k){return new R(()=>k(this.getValue()))}}e.Lazy=R}),define(re[2],oe([0,1,74,52]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const k=!1;let L=null;function A(a){L=a}if(e.setDisposableTracker=A,k){const a="__is_disposable_tracked__";A(new class{trackDisposable(c){const o=new Error("Potentially leaked disposable").stack;setTimeout(()=>{c[a]||console.log(o)},3e3)}setParent(c,o){if(c&&c!==m.None)try{c[a]=!0}catch{}}markAsDisposed(c){if(c&&c!==m.None)try{c[a]=!0}catch{}}markAsSingleton(c){}})}function b(a){return L?.trackDisposable(a),a}function C(a){L?.markAsDisposed(a)}function D(a,c){L?.setParent(a,c)}function I(a,c){if(!!L)for(const o of a)L.setParent(o,c)}function E(a){return L?.markAsSingleton(a),a}e.markAsSingleton=E;class v extends Error{constructor(c){super(`Encountered errors while disposing of store. Errors: [${c.join(", ")}]`);this.errors=c}}e.MultiDisposeError=v;function y(a){return typeof a.dispose=="function"&&a.dispose.length===0}e.isDisposable=y;function d(a){if(i.Iterable.is(a)){const c=[];for(const o of a)if(o)try{o.dispose()}catch(l){c.push(l)}if(c.length===1)throw c[0];if(c.length>1)throw new v(c);return Array.isArray(a)?[]:a}else if(a)return a.dispose(),a}e.dispose=d;function S(...a){const c=w(()=>d(a));return I(a,c),c}e.combinedDisposable=S;function w(a){const c=b({dispose:(0,R.once)(()=>{C(c),a()})});return c}e.toDisposable=w;class p{constructor(){this._toDispose=new Set,this._isDisposed=!1,b(this)}dispose(){this._isDisposed||(C(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{d(this._toDispose.values())}finally{this._toDispose.clear()}}add(c){if(!c)return c;if(c===this)throw new Error("Cannot register a disposable on itself!");return D(c,this),this._isDisposed?p.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(c),c}}e.DisposableStore=p,p.DISABLE_DISPOSED_WARNING=!1;class m{constructor(){this._store=new p,b(this),D(this._store,this)}dispose(){C(this),this._store.dispose()}_register(c){if(c===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(c)}}e.Disposable=m,m.None=Object.freeze({dispose(){}});class u{constructor(){this._isDisposed=!1,b(this)}get value(){return this._isDisposed?void 0:this._value}set value(c){this._isDisposed||c===this._value||(this._value?.dispose(),c&&D(c,this),this._value=c)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,C(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const c=this._value;return this._value=void 0,c&&D(c,null),c}}e.MutableDisposable=u;class f{constructor(c){this._disposable=c,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=f;class h{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,b(this)}set(c){let o=c;return this.unset=()=>o=void 0,this.isset=()=>o!==void 0,this.dispose=()=>{o&&(o(),o=void 0,C(this))},this}}e.SafeDisposable=h;class n{constructor(){this.references=new Map}acquire(c,...o){let l=this.references.get(c);l||(l={counter:0,object:this.createReferencedObject(c,...o)},this.references.set(c,l));const{object:g}=l,P=(0,R.once)(()=>{--l.counter==0&&(this.destroyReferencedObject(c,l.object),this.references.delete(c))});return l.counter++,{object:g,dispose:P}}}e.ReferenceCollection=n;class r{constructor(c){this.referenceCollection=c}async acquire(c,...o){const l=this.referenceCollection.acquire(c,...o);try{return{object:await l.object,dispose:()=>l.dispose()}}catch(g){throw l.dispose(),g}}}e.AsyncReferenceCollection=r;class t{constructor(c){this.object=c}dispose(){}}e.ImmortalReference=t;function s(a){const c=new p;try{a(c)}finally{c.dispose()}}e.disposeOnReturn=s}),define(re[111],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class R{constructor(L){this.element=L,this.next=R.Undefined,this.prev=R.Undefined}}R.Undefined=new R(void 0);class i{constructor(){this._first=R.Undefined,this._last=R.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===R.Undefined}clear(){let L=this._first;for(;L!==R.Undefined;){const A=L.next;L.prev=R.Undefined,L.next=R.Undefined,L=A}this._first=R.Undefined,this._last=R.Undefined,this._size=0}unshift(L){return this._insert(L,!1)}push(L){return this._insert(L,!0)}_insert(L,A){const b=new R(L);if(this._first===R.Undefined)this._first=b,this._last=b;else if(A){const D=this._last;this._last=b,b.prev=D,D.next=b}else{const D=this._first;this._first=b,b.next=D,D.prev=b}this._size+=1;let C=!1;return()=>{C||(C=!0,this._remove(b))}}shift(){if(this._first!==R.Undefined){const L=this._first.element;return this._remove(this._first),L}}pop(){if(this._last!==R.Undefined){const L=this._last.element;return this._remove(this._last),L}}_remove(L){if(L.prev!==R.Undefined&&L.next!==R.Undefined){const A=L.prev;A.next=L.next,L.next.prev=A}else L.prev===R.Undefined&&L.next===R.Undefined?(this._first=R.Undefined,this._last=R.Undefined):L.next===R.Undefined?(this._last=this._last.prev,this._last.next=R.Undefined):L.prev===R.Undefined&&(this._first=this._first.next,this._first.prev=R.Undefined);this._size-=1}*[Symbol.iterator](){let L=this._first;for(;L!==R.Undefined;)yield L.element,L=L.next}}e.LinkedList=i}),function(){function X(k){const L=[];typeof k=="number"&&L.push("code/timeOrigin",k);function A(C){L.push(C,Date.now())}function b(){const C=[];for(let D=0;D<L.length;D+=2)C.push({name:L[D],startTime:L[D+1]});return C}return{mark:A,getMarks:b}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?X():{mark(k){performance.mark(k)},getMarks(){let k=performance.timeOrigin;typeof k!="number"&&(k=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const L=[{name:"code/timeOrigin",startTime:Math.round(k)}];for(const A of performance.getEntriesByType("mark"))L.push({name:A.name,startTime:Math.round(k+A.startTime)});return L}};if(typeof process=="object"){const k=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return X(k)}else return console.trace("perf-util loaded in UNKNOWN environment"),X()}function R(k){return k.MonacoPerformanceMarks||(k.MonacoPerformanceMarks=e()),k.MonacoPerformanceMarks}var i;typeof global=="object"?i=global:typeof self=="object"?i=self:i={},typeof define=="function"?define("vs/base/common/performance",[],function(){return R(i)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=R(i):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),i.perf=R(i))}(),function(X,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var R=e();for(var i in R)(typeof exports=="object"?exports:X)[i]=R[i]}}(typeof self!="undefined"?self:this,function(){return function(X){var e={};function R(i){if(e[i])return e[i].exports;var k=e[i]={i,l:!1,exports:{}};return X[i].call(k.exports,k,k.exports,R),k.l=!0,k.exports}return R.m=X,R.c=e,R.d=function(i,k,L){R.o(i,k)||Object.defineProperty(i,k,{enumerable:!0,get:L})},R.r=function(i){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(i,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(i,"__esModule",{value:!0})},R.t=function(i,k){if(1&k&&(i=R(i)),8&k||4&k&&typeof i=="object"&&i&&i.__esModule)return i;var L=Object.create(null);if(R.r(L),Object.defineProperty(L,"default",{enumerable:!0,value:i}),2&k&&typeof i!="string")for(var A in i)R.d(L,A,function(b){return i[b]}.bind(null,A));return L},R.n=function(i){var k=i&&i.__esModule?function(){return i.default}:function(){return i};return R.d(k,"a",k),k},R.o=function(i,k){return Object.prototype.hasOwnProperty.call(i,k)},R.p="",R(R.s=0)}([function(X,e,R){(function(i){var k;e=X.exports=O,k=typeof i=="object"&&i.env&&i.env.NODE_DEBUG&&/\bsemver\b/i.test(i.env.NODE_DEBUG)?function(){var ae=Array.prototype.slice.call(arguments,0);ae.unshift("SEMVER"),console.log.apply(console,ae)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var L=256,A=Number.MAX_SAFE_INTEGER||9007199254740991,b=e.re=[],C=e.src=[],D=0,I=D++;C[I]="0|[1-9]\\d*";var E=D++;C[E]="[0-9]+";var v=D++;C[v]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var y=D++;C[y]="("+C[I]+")\\.("+C[I]+")\\.("+C[I]+")";var d=D++;C[d]="("+C[E]+")\\.("+C[E]+")\\.("+C[E]+")";var S=D++;C[S]="(?:"+C[I]+"|"+C[v]+")";var w=D++;C[w]="(?:"+C[E]+"|"+C[v]+")";var p=D++;C[p]="(?:-("+C[S]+"(?:\\."+C[S]+")*))";var m=D++;C[m]="(?:-?("+C[w]+"(?:\\."+C[w]+")*))";var u=D++;C[u]="[0-9A-Za-z-]+";var f=D++;C[f]="(?:\\+("+C[u]+"(?:\\."+C[u]+")*))";var h=D++,n="v?"+C[y]+C[p]+"?"+C[f]+"?";C[h]="^"+n+"$";var r="[v=\\s]*"+C[d]+C[m]+"?"+C[f]+"?",t=D++;C[t]="^"+r+"$";var s=D++;C[s]="((?:<|>)?=?)";var a=D++;C[a]=C[E]+"|x|X|\\*";var c=D++;C[c]=C[I]+"|x|X|\\*";var o=D++;C[o]="[v=\\s]*("+C[c]+")(?:\\.("+C[c]+")(?:\\.("+C[c]+")(?:"+C[p]+")?"+C[f]+"?)?)?";var l=D++;C[l]="[v=\\s]*("+C[a]+")(?:\\.("+C[a]+")(?:\\.("+C[a]+")(?:"+C[m]+")?"+C[f]+"?)?)?";var g=D++;C[g]="^"+C[s]+"\\s*"+C[o]+"$";var P=D++;C[P]="^"+C[s]+"\\s*"+C[l]+"$";var U=D++;C[U]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var _=D++;C[_]="(?:~>?)";var M=D++;C[M]="(\\s*)"+C[_]+"\\s+",b[M]=new RegExp(C[M],"g");var T=D++;C[T]="^"+C[_]+C[o]+"$";var $=D++;C[$]="^"+C[_]+C[l]+"$";var N=D++;C[N]="(?:\\^)";var G=D++;C[G]="(\\s*)"+C[N]+"\\s+",b[G]=new RegExp(C[G],"g");var J=D++;C[J]="^"+C[N]+C[o]+"$";var z=D++;C[z]="^"+C[N]+C[l]+"$";var Q=D++;C[Q]="^"+C[s]+"\\s*("+r+")$|^$";var x=D++;C[x]="^"+C[s]+"\\s*("+n+")$|^$";var B=D++;C[B]="(\\s*)"+C[s]+"\\s*("+r+"|"+C[o]+")",b[B]=new RegExp(C[B],"g");var Y=D++;C[Y]="^\\s*("+C[o]+")\\s+-\\s+("+C[o]+")\\s*$";var se=D++;C[se]="^\\s*("+C[l]+")\\s+-\\s+("+C[l]+")\\s*$";var Z=D++;C[Z]="(<|>)?=?\\s*\\*";for(var W=0;W<35;W++)k(W,C[W]),b[W]||(b[W]=new RegExp(C[W]));function V(ae,ue){if(ae instanceof O)return ae;if(typeof ae!="string"||ae.length>L||!(ue?b[t]:b[h]).test(ae))return null;try{return new O(ae,ue)}catch{return null}}function O(ae,ue){if(ae instanceof O){if(ae.loose===ue)return ae;ae=ae.version}else if(typeof ae!="string")throw new TypeError("Invalid Version: "+ae);if(ae.length>L)throw new TypeError("version is longer than "+L+" characters");if(!(this instanceof O))return new O(ae,ue);k("SemVer",ae,ue),this.loose=ue;var de=ae.trim().match(ue?b[t]:b[h]);if(!de)throw new TypeError("Invalid Version: "+ae);if(this.raw=ae,this.major=+de[1],this.minor=+de[2],this.patch=+de[3],this.major>A||this.major<0)throw new TypeError("Invalid major version");if(this.minor>A||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>A||this.patch<0)throw new TypeError("Invalid patch version");de[4]?this.prerelease=de[4].split(".").map(function(Ee){if(/^[0-9]+$/.test(Ee)){var Ie=+Ee;if(Ie>=0&&Ie<A)return Ie}return Ee}):this.prerelease=[],this.build=de[5]?de[5].split("."):[],this.format()}e.parse=V,e.valid=function(ae,ue){var de=V(ae,ue);return de?de.version:null},e.clean=function(ae,ue){var de=V(ae.trim().replace(/^[=v]+/,""),ue);return de?de.version:null},e.SemVer=O,O.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},O.prototype.toString=function(){return this.version},O.prototype.compare=function(ae){return k("SemVer.compare",this.version,this.loose,ae),ae instanceof O||(ae=new O(ae,this.loose)),this.compareMain(ae)||this.comparePre(ae)},O.prototype.compareMain=function(ae){return ae instanceof O||(ae=new O(ae,this.loose)),q(this.major,ae.major)||q(this.minor,ae.minor)||q(this.patch,ae.patch)},O.prototype.comparePre=function(ae){if(ae instanceof O||(ae=new O(ae,this.loose)),this.prerelease.length&&!ae.prerelease.length)return-1;if(!this.prerelease.length&&ae.prerelease.length)return 1;if(!this.prerelease.length&&!ae.prerelease.length)return 0;var ue=0;do{var de=this.prerelease[ue],Ee=ae.prerelease[ue];if(k("prerelease compare",ue,de,Ee),de===void 0&&Ee===void 0)return 0;if(Ee===void 0)return 1;if(de===void 0)return-1;if(de!==Ee)return q(de,Ee)}while(++ue)},O.prototype.inc=function(ae,ue){switch(ae){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ue);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ue);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ue),this.inc("pre",ue);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ue),this.inc("pre",ue);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var de=this.prerelease.length;--de>=0;)typeof this.prerelease[de]=="number"&&(this.prerelease[de]++,de=-2);de===-1&&this.prerelease.push(0)}ue&&(this.prerelease[0]===ue?isNaN(this.prerelease[1])&&(this.prerelease=[ue,0]):this.prerelease=[ue,0]);break;default:throw new Error("invalid increment argument: "+ae)}return this.format(),this.raw=this.version,this},e.inc=function(ae,ue,de,Ee){typeof de=="string"&&(Ee=de,de=void 0);try{return new O(ae,de).inc(ue,Ee).version}catch{return null}},e.diff=function(ae,ue){if(ie(ae,ue))return null;var de=V(ae),Ee=V(ue);if(de.prerelease.length||Ee.prerelease.length){for(var Ie in de)if((Ie==="major"||Ie==="minor"||Ie==="patch")&&de[Ie]!==Ee[Ie])return"pre"+Ie;return"prerelease"}for(var Ie in de)if((Ie==="major"||Ie==="minor"||Ie==="patch")&&de[Ie]!==Ee[Ie])return Ie},e.compareIdentifiers=q;var F=/^[0-9]+$/;function q(ae,ue){var de=F.test(ae),Ee=F.test(ue);return de&&Ee&&(ae=+ae,ue=+ue),de&&!Ee?-1:Ee&&!de?1:ae<ue?-1:ae>ue?1:0}function j(ae,ue,de){return new O(ae,de).compare(new O(ue,de))}function te(ae,ue,de){return j(ae,ue,de)>0}function H(ae,ue,de){return j(ae,ue,de)<0}function ie(ae,ue,de){return j(ae,ue,de)===0}function ne(ae,ue,de){return j(ae,ue,de)!==0}function ce(ae,ue,de){return j(ae,ue,de)>=0}function he(ae,ue,de){return j(ae,ue,de)<=0}function ve(ae,ue,de,Ee){var Ie;switch(ue){case"===":typeof ae=="object"&&(ae=ae.version),typeof de=="object"&&(de=de.version),Ie=ae===de;break;case"!==":typeof ae=="object"&&(ae=ae.version),typeof de=="object"&&(de=de.version),Ie=ae!==de;break;case"":case"=":case"==":Ie=ie(ae,de,Ee);break;case"!=":Ie=ne(ae,de,Ee);break;case">":Ie=te(ae,de,Ee);break;case">=":Ie=ce(ae,de,Ee);break;case"<":Ie=H(ae,de,Ee);break;case"<=":Ie=he(ae,de,Ee);break;default:throw new TypeError("Invalid operator: "+ue)}return Ie}function pe(ae,ue){if(ae instanceof pe){if(ae.loose===ue)return ae;ae=ae.value}if(!(this instanceof pe))return new pe(ae,ue);k("comparator",ae,ue),this.loose=ue,this.parse(ae),this.semver===Ce?this.value="":this.value=this.operator+this.semver.version,k("comp",this)}e.rcompareIdentifiers=function(ae,ue){return q(ue,ae)},e.major=function(ae,ue){return new O(ae,ue).major},e.minor=function(ae,ue){return new O(ae,ue).minor},e.patch=function(ae,ue){return new O(ae,ue).patch},e.compare=j,e.compareLoose=function(ae,ue){return j(ae,ue,!0)},e.rcompare=function(ae,ue,de){return j(ue,ae,de)},e.sort=function(ae,ue){return ae.sort(function(de,Ee){return e.compare(de,Ee,ue)})},e.rsort=function(ae,ue){return ae.sort(function(de,Ee){return e.rcompare(de,Ee,ue)})},e.gt=te,e.lt=H,e.eq=ie,e.neq=ne,e.gte=ce,e.lte=he,e.cmp=ve,e.Comparator=pe;var Ce={};function be(ae,ue){if(ae instanceof be)return ae.loose===ue?ae:new be(ae.raw,ue);if(ae instanceof pe)return new be(ae.value,ue);if(!(this instanceof be))return new be(ae,ue);if(this.loose=ue,this.raw=ae,this.set=ae.split(/\s*\|\|\s*/).map(function(de){return this.parseRange(de.trim())},this).filter(function(de){return de.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+ae);this.format()}function Pe(ae){return!ae||ae.toLowerCase()==="x"||ae==="*"}function Me(ae,ue,de,Ee,Ie,Oe,Re,$e,_e,Le,Ne,ee,le){return((ue=Pe(de)?"":Pe(Ee)?">="+de+".0.0":Pe(Ie)?">="+de+"."+Ee+".0":">="+ue)+" "+($e=Pe(_e)?"":Pe(Le)?"<"+(+_e+1)+".0.0":Pe(Ne)?"<"+_e+"."+(+Le+1)+".0":ee?"<="+_e+"."+Le+"."+Ne+"-"+ee:"<="+$e)).trim()}function Qe(ae,ue){for(var de=0;de<ae.length;de++)if(!ae[de].test(ue))return!1;if(ue.prerelease.length){for(de=0;de<ae.length;de++)if(k(ae[de].semver),ae[de].semver!==Ce&&ae[de].semver.prerelease.length>0){var Ee=ae[de].semver;if(Ee.major===ue.major&&Ee.minor===ue.minor&&Ee.patch===ue.patch)return!0}return!1}return!0}function xe(ae,ue,de){try{ue=new be(ue,de)}catch{return!1}return ue.test(ae)}function Ke(ae,ue,de,Ee){var Ie,Oe,Re,$e,_e;switch(ae=new O(ae,Ee),ue=new be(ue,Ee),de){case">":Ie=te,Oe=he,Re=H,$e=">",_e=">=";break;case"<":Ie=H,Oe=ce,Re=te,$e="<",_e="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(xe(ae,ue,Ee))return!1;for(var Le=0;Le<ue.set.length;++Le){var Ne=ue.set[Le],ee=null,le=null;if(Ne.forEach(function(fe){fe.semver===Ce&&(fe=new pe(">=0.0.0")),ee=ee||fe,le=le||fe,Ie(fe.semver,ee.semver,Ee)?ee=fe:Re(fe.semver,le.semver,Ee)&&(le=fe)}),ee.operator===$e||ee.operator===_e||(!le.operator||le.operator===$e)&&Oe(ae,le.semver)||le.operator===_e&&Re(ae,le.semver))return!1}return!0}pe.prototype.parse=function(ae){var ue=this.loose?b[Q]:b[x],de=ae.match(ue);if(!de)throw new TypeError("Invalid comparator: "+ae);this.operator=de[1],this.operator==="="&&(this.operator=""),de[2]?this.semver=new O(de[2],this.loose):this.semver=Ce},pe.prototype.toString=function(){return this.value},pe.prototype.test=function(ae){return k("Comparator.test",ae,this.loose),this.semver===Ce||(typeof ae=="string"&&(ae=new O(ae,this.loose)),ve(ae,this.operator,this.semver,this.loose))},pe.prototype.intersects=function(ae,ue){if(!(ae instanceof pe))throw new TypeError("a Comparator is required");var de;if(this.operator==="")return de=new be(ae.value,ue),xe(this.value,de,ue);if(ae.operator==="")return de=new be(this.value,ue),xe(ae.semver,de,ue);var Ee=!(this.operator!==">="&&this.operator!==">"||ae.operator!==">="&&ae.operator!==">"),Ie=!(this.operator!=="<="&&this.operator!=="<"||ae.operator!=="<="&&ae.operator!=="<"),Oe=this.semver.version===ae.semver.version,Re=!(this.operator!==">="&&this.operator!=="<="||ae.operator!==">="&&ae.operator!=="<="),$e=ve(this.semver,"<",ae.semver,ue)&&(this.operator===">="||this.operator===">")&&(ae.operator==="<="||ae.operator==="<"),_e=ve(this.semver,">",ae.semver,ue)&&(this.operator==="<="||this.operator==="<")&&(ae.operator===">="||ae.operator===">");return Ee||Ie||Oe&&Re||$e||_e},e.Range=be,be.prototype.format=function(){return this.range=this.set.map(function(ae){return ae.join(" ").trim()}).join("||").trim(),this.range},be.prototype.toString=function(){return this.range},be.prototype.parseRange=function(ae){var ue=this.loose;ae=ae.trim(),k("range",ae,ue);var de=ue?b[se]:b[Y];ae=ae.replace(de,Me),k("hyphen replace",ae),ae=ae.replace(b[B],"$1$2$3"),k("comparator trim",ae,b[B]),ae=(ae=(ae=ae.replace(b[M],"$1~")).replace(b[G],"$1^")).split(/\s+/).join(" ");var Ee=ue?b[Q]:b[x],Ie=ae.split(" ").map(function(Oe){return function(Re,$e){return k("comp",Re),Re=function(_e,Le){return _e.trim().split(/\s+/).map(function(Ne){return function(ee,le){k("caret",ee,le);var fe=le?b[z]:b[J];return ee.replace(fe,function(Se,me,we,De,ke){var Te;return k("caret",ee,Se,me,we,De,ke),Pe(me)?Te="":Pe(we)?Te=">="+me+".0.0 <"+(+me+1)+".0.0":Pe(De)?Te=me==="0"?">="+me+"."+we+".0 <"+me+"."+(+we+1)+".0":">="+me+"."+we+".0 <"+(+me+1)+".0.0":ke?(k("replaceCaret pr",ke),ke.charAt(0)!=="-"&&(ke="-"+ke),Te=me==="0"?we==="0"?">="+me+"."+we+"."+De+ke+" <"+me+"."+we+"."+(+De+1):">="+me+"."+we+"."+De+ke+" <"+me+"."+(+we+1)+".0":">="+me+"."+we+"."+De+ke+" <"+(+me+1)+".0.0"):(k("no pr"),Te=me==="0"?we==="0"?">="+me+"."+we+"."+De+" <"+me+"."+we+"."+(+De+1):">="+me+"."+we+"."+De+" <"+me+"."+(+we+1)+".0":">="+me+"."+we+"."+De+" <"+(+me+1)+".0.0"),k("caret return",Te),Te})}(Ne,Le)}).join(" ")}(Re,$e),k("caret",Re),Re=function(_e,Le){return _e.trim().split(/\s+/).map(function(Ne){return function(ee,le){var fe=le?b[$]:b[T];return ee.replace(fe,function(Se,me,we,De,ke){var Te;return k("tilde",ee,Se,me,we,De,ke),Pe(me)?Te="":Pe(we)?Te=">="+me+".0.0 <"+(+me+1)+".0.0":Pe(De)?Te=">="+me+"."+we+".0 <"+me+"."+(+we+1)+".0":ke?(k("replaceTilde pr",ke),ke.charAt(0)!=="-"&&(ke="-"+ke),Te=">="+me+"."+we+"."+De+ke+" <"+me+"."+(+we+1)+".0"):Te=">="+me+"."+we+"."+De+" <"+me+"."+(+we+1)+".0",k("tilde return",Te),Te})}(Ne,Le)}).join(" ")}(Re,$e),k("tildes",Re),Re=function(_e,Le){return k("replaceXRanges",_e,Le),_e.split(/\s+/).map(function(Ne){return function(ee,le){ee=ee.trim();var fe=le?b[P]:b[g];return ee.replace(fe,function(Se,me,we,De,ke,Te){k("xRange",ee,Se,me,we,De,ke,Te);var Ae=Pe(we),Fe=Ae||Pe(De),ze=Fe||Pe(ke);return me==="="&&ze&&(me=""),Ae?Se=me===">"||me==="<"?"<0.0.0":"*":me&&ze?(Fe&&(De=0),ze&&(ke=0),me===">"?(me=">=",Fe?(we=+we+1,De=0,ke=0):ze&&(De=+De+1,ke=0)):me==="<="&&(me="<",Fe?we=+we+1:De=+De+1),Se=me+we+"."+De+"."+ke):Fe?Se=">="+we+".0.0 <"+(+we+1)+".0.0":ze&&(Se=">="+we+"."+De+".0 <"+we+"."+(+De+1)+".0"),k("xRange return",Se),Se})}(Ne,Le)}).join(" ")}(Re,$e),k("xrange",Re),Re=function(_e,Le){return k("replaceStars",_e,Le),_e.trim().replace(b[Z],"")}(Re,$e),k("stars",Re),Re}(Oe,ue)}).join(" ").split(/\s+/);return this.loose&&(Ie=Ie.filter(function(Oe){return!!Oe.match(Ee)})),Ie=Ie.map(function(Oe){return new pe(Oe,ue)})},be.prototype.intersects=function(ae,ue){if(!(ae instanceof be))throw new TypeError("a Range is required");return this.set.some(function(de){return de.every(function(Ee){return ae.set.some(function(Ie){return Ie.every(function(Oe){return Ee.intersects(Oe,ue)})})})})},e.toComparators=function(ae,ue){return new be(ae,ue).set.map(function(de){return de.map(function(Ee){return Ee.value}).join(" ").trim().split(" ")})},be.prototype.test=function(ae){if(!ae)return!1;typeof ae=="string"&&(ae=new O(ae,this.loose));for(var ue=0;ue<this.set.length;ue++)if(Qe(this.set[ue],ae))return!0;return!1},e.satisfies=xe,e.maxSatisfying=function(ae,ue,de){var Ee=null,Ie=null;try{var Oe=new be(ue,de)}catch{return null}return ae.forEach(function(Re){Oe.test(Re)&&(Ee&&Ie.compare(Re)!==-1||(Ie=new O(Ee=Re,de)))}),Ee},e.minSatisfying=function(ae,ue,de){var Ee=null,Ie=null;try{var Oe=new be(ue,de)}catch{return null}return ae.forEach(function(Re){Oe.test(Re)&&(Ee&&Ie.compare(Re)!==1||(Ie=new O(Ee=Re,de)))}),Ee},e.validRange=function(ae,ue){try{return new be(ae,ue).range||"*"}catch{return null}},e.ltr=function(ae,ue,de){return Ke(ae,ue,"<",de)},e.gtr=function(ae,ue,de){return Ke(ae,ue,">",de)},e.outside=Ke,e.prerelease=function(ae,ue){var de=V(ae,ue);return de&&de.prerelease.length?de.prerelease:null},e.intersects=function(ae,ue,de){return ae=new be(ae,de),ue=new be(ue,de),ae.intersects(ue)},e.coerce=function(ae){if(ae instanceof O)return ae;if(typeof ae!="string")return null;var ue=ae.match(b[U]);return ue==null?null:V((ue[1]||"0")+"."+(ue[2]||"0")+"."+(ue[3]||"0"))}}).call(this,R(1))},function(X,e){var R,i,k=X.exports={};function L(){throw new Error("setTimeout has not been defined")}function A(){throw new Error("clearTimeout has not been defined")}function b(w){if(R===setTimeout)return setTimeout(w,0);if((R===L||!R)&&setTimeout)return R=setTimeout,setTimeout(w,0);try{return R(w,0)}catch{try{return R.call(null,w,0)}catch{return R.call(this,w,0)}}}(function(){try{R=typeof setTimeout=="function"?setTimeout:L}catch{R=L}try{i=typeof clearTimeout=="function"?clearTimeout:A}catch{i=A}})();var C,D=[],I=!1,E=-1;function v(){I&&C&&(I=!1,C.length?D=C.concat(D):E=-1,D.length&&y())}function y(){if(!I){var w=b(v);I=!0;for(var p=D.length;p;){for(C=D,D=[];++E<p;)C&&C[E].run();E=-1,p=D.length}C=null,I=!1,function(m){if(i===clearTimeout)return clearTimeout(m);if((i===A||!i)&&clearTimeout)return i=clearTimeout,clearTimeout(m);try{i(m)}catch{try{return i.call(null,m)}catch{return i.call(this,m)}}}(w)}}function d(w,p){this.fun=w,this.array=p}function S(){}k.nextTick=function(w){var p=new Array(arguments.length-1);if(arguments.length>1)for(var m=1;m<arguments.length;m++)p[m-1]=arguments[m];D.push(new d(w,p)),D.length!==1||I||b(y)},d.prototype.run=function(){this.fun.apply(null,this.array)},k.title="browser",k.browser=!0,k.env={},k.argv=[],k.version="",k.versions={},k.on=S,k.addListener=S,k.once=S,k.off=S,k.removeListener=S,k.removeAllListeners=S,k.emit=S,k.prependListener=S,k.prependOnceListener=S,k.listeners=function(w){return[]},k.binding=function(w){throw new Error("process.binding is not supported")},k.cwd=function(){return"/"},k.chdir=function(w){throw new Error("process.chdir is not supported")},k.umask=function(){return 0}}])}),define(re[112],oe([0,1]),function(X,e){"use strict";var R;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class i{constructor(b,C,D){this.level=b,this.key=C,this.value=D,this.forward=[]}}const k=void 0;class L{constructor(b,C=2**16){this.comparator=b,this[R]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(C)|0),this._header=new i(this._maxLevel,k,k)}get size(){return this._size}clear(){this._header=new i(this._maxLevel,k,k)}has(b){return Boolean(L._search(this,b,this.comparator))}get(b){return L._search(this,b,this.comparator)?.value}set(b,C){return L._insert(this,b,C,this.comparator)&&(this._size+=1),this}delete(b){const C=L._delete(this,b,this.comparator);return C&&(this._size-=1),C}forEach(b,C){let D=this._header.forward[0];for(;D;)b.call(C,D.value,D.key,this),D=D.forward[0]}[(R=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let b=this._header.forward[0];for(;b;)yield[b.key,b.value],b=b.forward[0]}*keys(){let b=this._header.forward[0];for(;b;)yield b.key,b=b.forward[0]}*values(){let b=this._header.forward[0];for(;b;)yield b.value,b=b.forward[0]}toString(){let b="[SkipList]:",C=this._header.forward[0];for(;C;)b+=`node(${C.key}, ${C.value}, lvl:${C.level})`,C=C.forward[0];return b}static _search(b,C,D){let I=b._header;for(let E=b._level-1;E>=0;E--)for(;I.forward[E]&&D(I.forward[E].key,C)<0;)I=I.forward[E];if(I=I.forward[0],I&&D(I.key,C)===0)return I}static _insert(b,C,D,I){const E=[];let v=b._header;for(let y=b._level-1;y>=0;y--){for(;v.forward[y]&&I(v.forward[y].key,C)<0;)v=v.forward[y];E[y]=v}if(v=v.forward[0],v&&I(v.key,C)===0)return v.value=D,!1;{const y=L._randomLevel(b);if(y>b._level){for(let d=b._level;d<y;d++)E[d]=b._header;b._level=y}v=new i(y,C,D);for(let d=0;d<y;d++)v.forward[d]=E[d].forward[d],E[d].forward[d]=v;return!0}}static _randomLevel(b,C=.5){let D=1;for(;Math.random()<C&&D<b._maxLevel;)D+=1;return D}static _delete(b,C,D){const I=[];let E=b._header;for(let v=b._level-1;v>=0;v--){for(;E.forward[v]&&D(E.forward[v].key,C)<0;)E=E.forward[v];I[v]=E}if(E=E.forward[0],!E||D(E.key,C)!==0)return!1;for(let v=0;v<b._level&&I[v].forward[v]===E;v++)I[v].forward[v]=E.forward[v];for(;b._level>0&&b._header.forward[b._level-1]===k;)b._level-=1;return!0}}e.SkipList=L}),define(re[41],oe([0,1,9,2]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function k(f){const h=f;return h?typeof h.read=="function":!1}e.isReadable=k;function L(f){const h=f;return h?[h.on,h.pause,h.resume,h.destroy].every(n=>typeof n=="function"):!1}e.isReadableStream=L;function A(f){const h=f;return h?L(h.stream)&&Array.isArray(h.buffer)&&typeof h.ended=="boolean":!1}e.isReadableBufferedStream=A;function b(f,h){return new C(f,h)}e.newWriteableStream=b;class C{constructor(h,n){this.reducer=h,this.options=n,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(h){if(!this.state.destroyed){if(this.state.flowing)this.emitData(h);else if(this.buffer.data.push(h),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(n=>this.pendingWritePromises.push(n))}}error(h){this.state.destroyed||(this.state.flowing?this.emitError(h):this.buffer.error.push(h))}end(h){this.state.destroyed||(typeof h!="undefined"&&this.write(h),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(h){this.listeners.data.slice(0).forEach(n=>n(h))}emitError(h){this.listeners.error.length===0?(0,R.onUnexpectedError)(h):this.listeners.error.slice(0).forEach(n=>n(h))}emitEnd(){this.listeners.end.slice(0).forEach(h=>h())}on(h,n){if(!this.state.destroyed)switch(h){case"data":this.listeners.data.push(n),this.resume();break;case"end":this.listeners.end.push(n),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(n),this.state.flowing&&this.flowErrors();break}}removeListener(h,n){if(this.state.destroyed)return;let r;switch(h){case"data":r=this.listeners.data;break;case"end":r=this.listeners.end;break;case"error":r=this.listeners.error;break}if(r){const t=r.indexOf(n);t>=0&&r.splice(t,1)}}flowData(){if(this.buffer.data.length>0){const h=this.reducer(this.buffer.data);this.emitData(h),this.buffer.data.length=0;const n=[...this.pendingWritePromises];this.pendingWritePromises.length=0,n.forEach(r=>r())}}flowErrors(){if(this.listeners.error.length>0){for(const h of this.buffer.error)this.emitError(h);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function D(f,h){const n=[];let r;for(;(r=f.read())!==null;)n.push(r);return h(n)}e.consumeReadable=D;function I(f,h,n){const r=[];let t;for(;(t=f.read())!==null&&r.length<n;)r.push(t);return t===null&&r.length>0?h(r):{read:()=>{if(r.length>0)return r.shift();if(typeof t!="undefined"){const s=t;return t=void 0,s}return f.read()}}}e.peekReadable=I;function E(f,h){return new Promise((n,r)=>{const t=[];v(f,{onData:s=>{h&&t.push(s)},onError:s=>{h?r(s):n(void 0)},onEnd:()=>{n(h?h(t):void 0)}})})}e.consumeStream=E;function v(f,h){let n=!1;return f.on("error",r=>{n||h.onError(r)}),f.on("end",()=>{n||h.onEnd()}),f.on("data",r=>{n||h.onData(r)}),(0,i.toDisposable)(()=>n=!0)}e.listenStream=v;function y(f,h){return new Promise((n,r)=>{const t=new i.DisposableStore,s=[],a=l=>{if(s.push(l),s.length>h)return t.dispose(),f.pause(),n({stream:f,buffer:s,ended:!1})},c=l=>r(l),o=()=>n({stream:f,buffer:s,ended:!0});t.add((0,i.toDisposable)(()=>f.removeListener("error",c))),f.on("error",c),t.add((0,i.toDisposable)(()=>f.removeListener("end",o))),f.on("end",o),t.add((0,i.toDisposable)(()=>f.removeListener("data",a))),f.on("data",a)})}e.peekStream=y;function d(f,h){const n=b(h);return n.end(f),n}e.toStream=d;function S(){const f=b(()=>{throw new Error("not supported")});return f.end(),f}e.emptyStream=S;function w(f){let h=!1;return{read:()=>h?null:(h=!0,f)}}e.toReadable=w;function p(f,h,n){const r=b(n);return v(f,{onData:t=>r.write(h.data(t)),onError:t=>r.error(h.error?h.error(t):t),onEnd:()=>r.end()}),r}e.transform=p;function m(f,h,n){let r=!1;return{read:()=>{const t=h.read();return r?t:(r=!0,t!==null?n([f,t]):f)}}}e.prefixedReadable=m;function u(f,h,n){let r=!1;const t=b(n);return v(h,{onData:s=>r?t.write(s):(r=!0,t.write(n([f,s]))),onError:s=>t.error(s),onEnd:()=>{r||(r=!0,t.write(f)),t.end()}}),t}e.prefixedStream=u}),define(re[17],oe([0,1,41]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const i=typeof Buffer!="undefined";let k,L;class A{constructor(l){this.buffer=l,this.byteLength=this.buffer.byteLength}static alloc(l){return i?new A(Buffer.allocUnsafe(l)):new A(new Uint8Array(l))}static wrap(l){return i&&!Buffer.isBuffer(l)&&(l=Buffer.from(l.buffer,l.byteOffset,l.byteLength)),new A(l)}static fromString(l,g){return!(g?.dontUseNodeBuffer||!1)&&i?new A(Buffer.from(l)):(k||(k=new TextEncoder),new A(k.encode(l)))}static fromByteArray(l){const g=A.alloc(l.length);for(let P=0,U=l.length;P<U;P++)g.buffer[P]=l[P];return g}static concat(l,g){if(typeof g=="undefined"){g=0;for(let _=0,M=l.length;_<M;_++)g+=l[_].byteLength}const P=A.alloc(g);let U=0;for(let _=0,M=l.length;_<M;_++){const T=l[_];P.set(T,U),U+=T.byteLength}return P}clone(){const l=A.alloc(this.byteLength);return l.set(this),l}toString(){return i?this.buffer.toString():(L||(L=new TextDecoder),L.decode(this.buffer))}slice(l,g){return new A(this.buffer.subarray(l,g))}set(l,g){if(l instanceof A)this.buffer.set(l.buffer,g);else if(l instanceof Uint8Array)this.buffer.set(l,g);else if(l instanceof ArrayBuffer)this.buffer.set(new Uint8Array(l),g);else if(ArrayBuffer.isView(l))this.buffer.set(new Uint8Array(l.buffer,l.byteOffset,l.byteLength),g);else throw new Error("Unknown argument 'array'")}readUInt32BE(l){return D(this.buffer,l)}writeUInt32BE(l,g){I(this.buffer,l,g)}readUInt32LE(l){return E(this.buffer,l)}writeUInt32LE(l,g){v(this.buffer,l,g)}readUInt8(l){return y(this.buffer,l)}writeUInt8(l,g){d(this.buffer,l,g)}}e.VSBuffer=A;function b(o,l){return o[l+0]<<0>>>0|o[l+1]<<8>>>0}e.readUInt16LE=b;function C(o,l,g){o[g+0]=l&255,l=l>>>8,o[g+1]=l&255}e.writeUInt16LE=C;function D(o,l){return o[l]*2**24+o[l+1]*2**16+o[l+2]*2**8+o[l+3]}e.readUInt32BE=D;function I(o,l,g){o[g+3]=l,l=l>>>8,o[g+2]=l,l=l>>>8,o[g+1]=l,l=l>>>8,o[g]=l}e.writeUInt32BE=I;function E(o,l){return o[l+0]<<0>>>0|o[l+1]<<8>>>0|o[l+2]<<16>>>0|o[l+3]<<24>>>0}e.readUInt32LE=E;function v(o,l,g){o[g+0]=l&255,l=l>>>8,o[g+1]=l&255,l=l>>>8,o[g+2]=l&255,l=l>>>8,o[g+3]=l&255}e.writeUInt32LE=v;function y(o,l){return o[l]}e.readUInt8=y;function d(o,l,g){o[g]=l}e.writeUInt8=d;function S(o){return R.consumeReadable(o,l=>A.concat(l))}e.readableToBuffer=S;function w(o){return R.toReadable(o)}e.bufferToReadable=w;function p(o){return R.consumeStream(o,l=>A.concat(l))}e.streamToBuffer=p;async function m(o){return o.ended?A.concat(o.buffer):A.concat([...o.buffer,await p(o.stream)])}e.bufferedStreamToBuffer=m;function u(o){return R.toStream(o,l=>A.concat(l))}e.bufferToStream=u;function f(o){return R.transform(o,{data:l=>typeof l=="string"?A.fromString(l):A.wrap(l)},l=>A.concat(l))}e.streamToBufferReadableStream=f;function h(o){return R.newWriteableStream(l=>A.concat(l),o)}e.newWriteableBufferStream=h;function n(o,l){return R.prefixedReadable(o,l,g=>A.concat(g))}e.prefixedBufferReadable=n;function r(o,l){return R.prefixedStream(o,l,g=>A.concat(g))}e.prefixedBufferStream=r;function t(o){let l=0,g=0,P=0;const U=new Uint8Array(Math.floor(o.length/4*3)),_=T=>{switch(g){case 3:U[P++]=l|T,g=0;break;case 2:U[P++]=l|T>>>2,l=T<<6,g=3;break;case 1:U[P++]=l|T>>>4,l=T<<4,g=2;break;default:l=T<<2,g=1}};for(let T=0;T<o.length;T++){const $=o.charCodeAt(T);if($>=65&&$<=90)_($-65);else if($>=97&&$<=122)_($-97+26);else if($>=48&&$<=57)_($-48+52);else if($===43||$===45)_(62);else if($===47||$===95)_(63);else{if($===61)break;throw new SyntaxError(`Unexpected base64 character ${o[T]}`)}}const M=P;for(;g>0;)_(0);return A.wrap(U).slice(0,M)}e.decodeBase64=t;const s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function c({buffer:o},l=!0,g=!1){const P=g?a:s;let U="";const _=o.byteLength%3;let M=0;for(;M<o.byteLength-_;M+=3){const T=o[M+0],$=o[M+1],N=o[M+2];U+=P[T>>>2],U+=P[(T<<4|$>>>4)&63],U+=P[($<<2|N>>>6)&63],U+=P[N&63]}if(_===1){const T=o[M+0];U+=P[T>>>2],U+=P[T<<4&63],l&&(U+="==")}else if(_===2){const T=o[M+0],$=o[M+1];U+=P[T>>>2],U+=P[(T<<4|$>>>4)&63],U+=P[$<<2&63],l&&(U+="=")}return U}e.encodeBase64=c}),define(re[14],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isTypedArray=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function R(o){return Array.isArray(o)}e.isArray=R;function i(o){return typeof o=="string"}e.isString=i;function k(o){return Array.isArray(o)&&o.every(l=>i(l))}e.isStringArray=k;function L(o){return typeof o=="object"&&o!==null&&!Array.isArray(o)&&!(o instanceof RegExp)&&!(o instanceof Date)}e.isObject=L;function A(o){const l=Object.getPrototypeOf(Uint8Array);return typeof o=="object"&&o instanceof l}e.isTypedArray=A;function b(o){return typeof o=="number"&&!isNaN(o)}e.isNumber=b;function C(o){return!!o&&typeof o[Symbol.iterator]=="function"}e.isIterable=C;function D(o){return o===!0||o===!1}e.isBoolean=D;function I(o){return typeof o=="undefined"}e.isUndefined=I;function E(o){return!v(o)}e.isDefined=E;function v(o){return I(o)||o===null}e.isUndefinedOrNull=v;function y(o,l){if(!o)throw new Error(l?`Unexpected type, expected '${l}'`:"Unexpected type")}e.assertType=y;function d(o){if(v(o))throw new Error("Assertion Failed: argument is undefined or null");return o}e.assertIsDefined=d;function S(...o){const l=[];for(let g=0;g<o.length;g++){const P=o[g];if(v(P))throw new Error(`Assertion Failed: argument at index ${g} is undefined or null`);l.push(P)}return l}e.assertAllDefined=S;const w=Object.prototype.hasOwnProperty;function p(o){if(!L(o))return!1;for(const l in o)if(w.call(o,l))return!1;return!0}e.isEmptyObject=p;function m(o){return typeof o=="function"}e.isFunction=m;function u(...o){return o.length>0&&o.every(m)}e.areFunctions=u;function f(o,l){const g=Math.min(o.length,l.length);for(let P=0;P<g;P++)h(o[P],l[P])}e.validateConstraints=f;function h(o,l){if(i(l)){if(typeof o!==l)throw new Error(`argument does not match constraint: typeof ${l}`)}else if(m(l)){try{if(o instanceof l)return}catch{}if(!v(o)&&o.constructor===l||l.length===1&&l.call(void 0,o)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=h;function n(o){let l=[],g=Object.getPrototypeOf(o);for(;Object.prototype!==g;)l=l.concat(Object.getOwnPropertyNames(g)),g=Object.getPrototypeOf(g);return l}e.getAllPropertyNames=n;function r(o){const l=[];for(const g of n(o))typeof o[g]=="function"&&l.push(g);return l}e.getAllMethodNames=r;function t(o,l){const g=U=>function(){const _=Array.prototype.slice.call(arguments,0);return l(U,_)},P={};for(const U of o)P[U]=g(U);return P}e.createProxyObject=t;function s(o){return o===null?void 0:o}e.withNullAsUndefined=s;function a(o){return typeof o=="undefined"?null:o}e.withUndefinedAsNull=a;function c(o,l="Unreachable"){throw new Error(l)}e.assertNever=c}),define(re[30],oe([0,1,14]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function i(d){if(!d||typeof d!="object"||d instanceof RegExp)return d;const S=Array.isArray(d)?[]:{};return Object.keys(d).forEach(w=>{d[w]&&typeof d[w]=="object"?S[w]=i(d[w]):S[w]=d[w]}),S}e.deepClone=i;function k(d){if(!d||typeof d!="object")return d;const S=[d];for(;S.length>0;){const w=S.shift();Object.freeze(w);for(const p in w)if(L.call(w,p)){const m=w[p];typeof m=="object"&&!Object.isFrozen(m)&&!(0,R.isTypedArray)(m)&&S.push(m)}}return d}e.deepFreeze=k;const L=Object.prototype.hasOwnProperty;function A(d,S){return b(d,S,new Set)}e.cloneAndChange=A;function b(d,S,w){if((0,R.isUndefinedOrNull)(d))return d;const p=S(d);if(typeof p!="undefined")return p;if((0,R.isArray)(d)){const m=[];for(const u of d)m.push(b(u,S,w));return m}if((0,R.isObject)(d)){if(w.has(d))throw new Error("Cannot clone recursive data-structure");w.add(d);const m={};for(const u in d)L.call(d,u)&&(m[u]=b(d[u],S,w));return w.delete(d),m}return d}function C(d,S,w=!0){return(0,R.isObject)(d)?((0,R.isObject)(S)&&Object.keys(S).forEach(p=>{p in d?w&&((0,R.isObject)(d[p])&&(0,R.isObject)(S[p])?C(d[p],S[p],w):d[p]=S[p]):d[p]=S[p]}),d):S}e.mixin=C;function D(d,S){if(d===S)return!0;if(d==null||S===null||S===void 0||typeof d!=typeof S||typeof d!="object"||Array.isArray(d)!==Array.isArray(S))return!1;let w,p;if(Array.isArray(d)){if(d.length!==S.length)return!1;for(w=0;w<d.length;w++)if(!D(d[w],S[w]))return!1}else{const m=[];for(p in d)m.push(p);m.sort();const u=[];for(p in S)u.push(p);if(u.sort(),!D(m,u))return!1;for(w=0;w<m.length;w++)if(!D(d[m[w]],S[m[w]]))return!1}return!0}e.equals=D;function I(d){const S=new Set;return JSON.stringify(d,(w,p)=>{if((0,R.isObject)(p)||Array.isArray(p)){if(S.has(p))return"[Circular]";S.add(p)}return p})}e.safeStringify=I;function E(d,S){const w=Object.create(null);return!d||!S||Object.keys(S).forEach(m=>{const u=d[m],f=S[m];D(u,f)||(w[m]=f)}),w}e.distinct=E;function v(d,S){const w=S.toLowerCase(),p=Object.keys(d).find(m=>m.toLowerCase()===w);return p?d[p]:d[S]}e.getCaseInsensitive=v;function y(d,S){const w=Object.create(null);for(const[p,m]of Object.entries(d))S(p,m)&&(w[p]=m);return w}e.filter=y}),define(re[31],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const R=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function i(k){return R.test(k)}e.isUUID=i,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let k;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?k=crypto.getRandomValues.bind(crypto):k=function(b){for(let C=0;C<b.length;C++)b[C]=Math.floor(Math.random()*256);return b};const L=new Uint8Array(16),A=[];for(let b=0;b<256;b++)A.push(b.toString(16).padStart(2,"0"));return function(){k(L),L[6]=L[6]&15|64,L[8]=L[8]&63|128;let C=0,D="";return D+=A[L[C++]],D+=A[L[C++]],D+=A[L[C++]],D+=A[L[C++]],D+="-",D+=A[L[C++]],D+=A[L[C++]],D+="-",D+=A[L[C++]],D+=A[L[C++]],D+="-",D+=A[L[C++]],D+=A[L[C++]],D+="-",D+=A[L[C++]],D+=A[L[C++]],D+=A[L[C++]],D+=A[L[C++]],D+=A[L[C++]],D+=A[L[C++]],D}}()}),define(re[113],oe([0,1,267]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class i{constructor(L="utf8"){this.stringDecoder=new R.StringDecoder(L),this.remaining=null}write(L){const A=[],b=this.remaining?this.remaining+this.stringDecoder.write(L):this.stringDecoder.write(L);if(b.length<1)return A;let C=0,D,I=C;for(;I<b.length;)if(D=b.charCodeAt(I),D===13||D===10){if(A.push(b.substring(C,I)),I++,I<b.length){const E=D;D=b.charCodeAt(I),(E===13&&D===10||E===10&&D===13)&&I++}C=I}else I++;return this.remaining=C<b.length?b.substr(C):null,A}end(){return this.remaining}}e.LineDecoder=i}),define(re[114],oe([0,1,37]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const i=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function k(A){const b=A.replace(/\-/g,":").toLowerCase();return!i.has(b)}function L(){const A=(0,R.networkInterfaces)();for(const b in A){const C=A[b];if(C){for(const{mac:D}of C)if(k(D))return D}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=L}),define(re[115],oe([0,1,76]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function i(b,C,D,I=1){let E=!1;return new Promise(v=>{const y=setTimeout(()=>{if(!E)return E=!0,v(0)},D);k(b,C,I,d=>{if(!E)return E=!0,clearTimeout(y),v(d)})})}e.findFreePort=i;function k(b,C,D,I){if(C===0)return I(0);const E=new R.Socket;E.once("connect",()=>(A(E),k(b+D,C-1,D,I))),E.once("data",()=>{}),E.once("error",v=>(A(E),v.code!=="ECONNREFUSED"?k(b+D,C-1,D,I):I(b))),E.connect(b,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function L(b,C,D){let I=!1,E,v=1;const y=R.createServer({pauseOnConnect:!0});function d(S,w){I||(I=!0,y.removeAllListeners(),y.close(),E&&clearTimeout(E),w(S))}return new Promise(S=>{E=setTimeout(()=>{d(0,S)},D),y.on("listening",()=>{d(b,S)}),y.on("error",w=>{w&&(w.code==="EADDRINUSE"||w.code==="EACCES")&&v<C?(b++,v++,y.listen(b,"127.0.0.1")):d(0,S)}),y.on("close",()=>{d(0,S)}),y.listen(b,"127.0.0.1")})}e.findFreePortFaster=L;function A(b){try{b.removeAllListeners("connect"),b.removeAllListeners("error"),b.end(),b.destroy(),b.unref()}catch(C){console.error(C)}}}),define(re[116],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OfflineError=e.isOfflineError=void 0;const R="Offline";function i(L){return L instanceof k?!0:L instanceof Error&&L.name===R&&L.message===R}e.isOfflineError=i;class k extends Error{constructor(){super(R);this.name=this.message}}e.OfflineError=k}),define(re[117],oe([0,1,17,9,116]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.request=void 0;function L(C,D){if(!navigator.onLine)throw new k.OfflineError;C.proxyAuthorization&&(C.headers={...C.headers||{},"Proxy-Authorization":C.proxyAuthorization});const I=new XMLHttpRequest;return new Promise((E,v)=>{I.open(C.type||"GET",C.url||"",!0,C.user,C.password),A(I,C),I.responseType="arraybuffer",I.onerror=y=>v(new Error(I.statusText&&"XHR failed: "+I.statusText||"XHR failed")),I.onload=y=>{E({res:{statusCode:I.status,headers:b(I)},stream:(0,R.bufferToStream)(R.VSBuffer.wrap(new Uint8Array(I.response)))})},I.ontimeout=y=>v(new Error(`XHR timeout: ${C.timeout}ms`)),C.timeout&&(I.timeout=C.timeout),I.send(C.data),D.onCancellationRequested(()=>{I.abort(),v((0,i.canceled)())})})}e.request=L;function A(C,D){if(D.headers){e:for(const I in D.headers){switch(I){case"User-Agent":case"Accept-Encoding":case"Content-Length":continue e}C.setRequestHeader(I,D.headers[I])}}}function b(C){const D=Object.create(null);for(const I of C.getAllResponseHeaders().split(/\r\n|\n|\r/g))if(I){const E=I.indexOf(":");D[I.substr(0,E).trim().toLowerCase()]=I.substr(E+1).trim()}return D}}),define(re[118],oe([10,11]),function(X,e){return X.create("vs/base/common/date",e)}),define(re[61],oe([0,1,118]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const i=60,k=i*60,L=k*24,A=L*7,b=L*30,C=L*365;function D(E,v,y){typeof E!="number"&&(E=E.getTime());const d=Math.round((new Date().getTime()-E)/1e3);if(d<-30)return(0,R.localize)(0,null,D(new Date().getTime()+d*1e3,!1));if(d<30)return(0,R.localize)(1,null);let S;return d<i?(S=d,v?S===1?y?(0,R.localize)(2,null,S):(0,R.localize)(3,null,S):y?(0,R.localize)(4,null,S):(0,R.localize)(5,null,S):S===1?y?(0,R.localize)(6,null,S):(0,R.localize)(7,null,S):y?(0,R.localize)(8,null,S):(0,R.localize)(9,null,S)):d<k?(S=Math.floor(d/i),v?S===1?y?(0,R.localize)(10,null,S):(0,R.localize)(11,null,S):y?(0,R.localize)(12,null,S):(0,R.localize)(13,null,S):S===1?y?(0,R.localize)(14,null,S):(0,R.localize)(15,null,S):y?(0,R.localize)(16,null,S):(0,R.localize)(17,null,S)):d<L?(S=Math.floor(d/k),v?S===1?y?(0,R.localize)(18,null,S):(0,R.localize)(19,null,S):y?(0,R.localize)(20,null,S):(0,R.localize)(21,null,S):S===1?y?(0,R.localize)(22,null,S):(0,R.localize)(23,null,S):y?(0,R.localize)(24,null,S):(0,R.localize)(25,null,S)):d<A?(S=Math.floor(d/L),v?S===1?(0,R.localize)(26,null,S):(0,R.localize)(27,null,S):S===1?(0,R.localize)(28,null,S):(0,R.localize)(29,null,S)):d<b?(S=Math.floor(d/A),v?S===1?y?(0,R.localize)(30,null,S):(0,R.localize)(31,null,S):y?(0,R.localize)(32,null,S):(0,R.localize)(33,null,S):S===1?y?(0,R.localize)(34,null,S):(0,R.localize)(35,null,S):y?(0,R.localize)(36,null,S):(0,R.localize)(37,null,S)):d<C?(S=Math.floor(d/b),v?S===1?y?(0,R.localize)(38,null,S):(0,R.localize)(39,null,S):y?(0,R.localize)(40,null,S):(0,R.localize)(41,null,S):S===1?y?(0,R.localize)(42,null,S):(0,R.localize)(43,null,S):y?(0,R.localize)(44,null,S):(0,R.localize)(45,null,S)):(S=Math.floor(d/C),v?S===1?y?(0,R.localize)(46,null,S):(0,R.localize)(47,null,S):y?(0,R.localize)(48,null,S):(0,R.localize)(49,null,S):S===1?y?(0,R.localize)(50,null,S):(0,R.localize)(51,null,S):y?(0,R.localize)(52,null,S):(0,R.localize)(53,null,S))}e.fromNow=D;function I(E){return E.getFullYear()+"-"+String(E.getMonth()+1).padStart(2,"0")+"-"+String(E.getDate()).padStart(2,"0")+"T"+String(E.getHours()).padStart(2,"0")+":"+String(E.getMinutes()).padStart(2,"0")+":"+String(E.getSeconds()).padStart(2,"0")+"."+(E.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=I}),define(re[119],oe([10,11]),function(X,e){return X.create("vs/base/common/errorMessage",e)}),define(re[38],oe([0,1,18,14,119]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function L(E,v){return v&&(E.stack||E.stacktrace)?k.localize(0,null,b(E),A(E.stack)||A(E.stacktrace)):b(E)}function A(E){return Array.isArray(E)?E.join(`
`):E}function b(E){return typeof E.code=="string"&&typeof E.errno=="number"&&typeof E.syscall=="string"?k.localize(1,null,E.message):E.message||k.localize(2,null)}function C(E=null,v=!1){if(!E)return k.localize(3,null);if(Array.isArray(E)){const y=R.coalesce(E),d=C(y[0],v);return y.length>1?k.localize(4,null,d,y.length):d}if(i.isString(E))return E;if(E.detail){const y=E.detail;if(y.error)return L(y.error,v);if(y.exception)return L(y.exception,v)}return E.stack?L(E,v):E.message?E.message:k.localize(5,null)}e.toErrorMessage=C;function D(E){const v=E;return v instanceof Error&&Array.isArray(v.actions)}e.isErrorWithActions=D;function I(E,v){let y;return typeof E=="string"?y=new Error(E):y=E,y.actions=v,y}e.createErrorWithActions=I}),define(re[120],oe([10,11]),function(X,e){return X.create("vs/base/common/jsonErrorMessages",e)}),define(re[121],oe([0,1,120]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getParseErrorMessage=void 0;function i(k){switch(k){case 1:return(0,R.localize)(0,null);case 2:return(0,R.localize)(1,null);case 3:return(0,R.localize)(2,null);case 4:return(0,R.localize)(3,null);case 5:return(0,R.localize)(4,null);case 6:return(0,R.localize)(5,null);case 7:return(0,R.localize)(6,null);case 8:return(0,R.localize)(7,null);case 9:return(0,R.localize)(8,null);default:return""}}e.getParseErrorMessage=i}),define(re[122],oe([10,11]),function(X,e){return X.create("vs/base/common/platform",e)}),define(re[4],oe([0,1,122]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.setTimeout0IsFaster=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.globals=void 0;const i="en";let k=!1,L=!1,A=!1,b=!1,C=!1,D=!1,I=!1,E=!1,v=!1,y,d=i,S,w;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let p;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?p=e.globals.vscode.process:typeof process!="undefined"&&(p=process);const m=typeof p?.versions?.electron=="string",u=m&&p?.type==="renderer";if(typeof navigator=="object"&&!u)w=navigator.userAgent,k=w.indexOf("Windows")>=0,L=w.indexOf("Macintosh")>=0,E=(w.indexOf("Macintosh")>=0||w.indexOf("iPad")>=0||w.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,A=w.indexOf("Linux")>=0,D=!0,y=R.getConfiguredDefaultLocale(R.localize(0,null))||i,d=y;else if(typeof p=="object"){k=p.platform==="win32",L=p.platform==="darwin",A=p.platform==="linux",b=A&&!!p.env.SNAP&&!!p.env.SNAP_REVISION,I=m,v=!!p.env.CI||!!p.env.BUILD_ARTIFACTSTAGINGDIRECTORY,y=i,d=i;const o=p.env.VSCODE_NLS_CONFIG;if(o)try{const l=JSON.parse(o),g=l.availableLanguages["*"];y=l.locale,d=g||i,S=l._translationsConfigFile}catch{}C=!0}else console.error("Unable to resolve platform.");var f;(function(o){o[o.Web=0]="Web",o[o.Mac=1]="Mac",o[o.Linux=2]="Linux",o[o.Windows=3]="Windows"})(f=e.Platform||(e.Platform={}));function h(o){switch(o){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=h;let n=0;L?n=1:k?n=3:A&&(n=2),e.isWindows=k,e.isMacintosh=L,e.isLinux=A,e.isLinuxSnap=b,e.isNative=C,e.isElectron=I,e.isWeb=D,e.isWebWorker=D&&typeof e.globals.importScripts=="function",e.isIOS=E,e.isCI=v,e.platform=n,e.userAgent=w,e.language=d;var r;(function(o){function l(){return e.language}o.value=l;function g(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}o.isDefaultVariant=g;function P(){return e.language==="en"}o.isDefault=P})(r=e.Language||(e.Language={})),e.locale=y,e.translationsConfigFile=S,e.setTimeout0IsFaster=typeof e.globals.postMessage=="function"&&!e.globals.importScripts,e.setTimeout0=(()=>{if(e.setTimeout0IsFaster){const o=[];e.globals.addEventListener("message",g=>{if(g.data&&g.data.vscodeScheduleAsyncWork)for(let P=0,U=o.length;P<U;P++){const _=o[P];if(_.id===g.data.vscodeScheduleAsyncWork){o.splice(P,1),_.callback();return}}});let l=0;return g=>{const P=++l;o.push({id:P,callback:g}),e.globals.postMessage({vscodeScheduleAsyncWork:P},"*")}}return o=>setTimeout(o)})();var t;(function(o){o[o.Windows=1]="Windows",o[o.Macintosh=2]="Macintosh",o[o.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=L||E?2:k?1:3;let s=!0,a=!1;function c(){if(!a){a=!0;const o=new Uint8Array(2);o[0]=1,o[1]=2,s=new Uint16Array(o.buffer)[0]===(2<<8)+1}return s}e.isLittleEndian=c,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(re[36],oe([0,1,4]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let i;if(typeof R.globals.vscode!="undefined"&&typeof R.globals.vscode.process!="undefined"){const k=R.globals.vscode.process;i={get platform(){return k.platform},get arch(){return k.arch},get env(){return k.env},cwd(){return k.cwd()}}}else typeof process!="undefined"?i={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:i={get platform(){return R.isWindows?"win32":R.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=i.cwd,e.env=i.env,e.platform=i.platform,e.arch=i.arch}),define(re[12],oe([0,1,36]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const i=65,k=97,L=90,A=122,b=46,C=47,D=92,I=58,E=63;class v extends Error{constructor(f,h,n){let r;typeof h=="string"&&h.indexOf("not ")===0?(r="must not be",h=h.replace(/^not /,"")):r="must be";const t=f.indexOf(".")!==-1?"property":"argument";let s=`The "${f}" ${t} ${r} of type ${h}`;s+=`. Received type ${typeof n}`;super(s);this.code="ERR_INVALID_ARG_TYPE"}}function y(u,f){if(typeof u!="string")throw new v(f,"string",u)}function d(u){return u===C||u===D}function S(u){return u===C}function w(u){return u>=i&&u<=L||u>=k&&u<=A}function p(u,f,h,n){let r="",t=0,s=-1,a=0,c=0;for(let o=0;o<=u.length;++o){if(o<u.length)c=u.charCodeAt(o);else{if(n(c))break;c=C}if(n(c)){if(!(s===o-1||a===1))if(a===2){if(r.length<2||t!==2||r.charCodeAt(r.length-1)!==b||r.charCodeAt(r.length-2)!==b){if(r.length>2){const l=r.lastIndexOf(h);l===-1?(r="",t=0):(r=r.slice(0,l),t=r.length-1-r.lastIndexOf(h)),s=o,a=0;continue}else if(r.length!==0){r="",t=0,s=o,a=0;continue}}f&&(r+=r.length>0?`${h}..`:"..",t=2)}else r.length>0?r+=`${h}${u.slice(s+1,o)}`:r=u.slice(s+1,o),t=o-s-1;s=o,a=0}else c===b&&a!==-1?++a:a=-1}return r}function m(u,f){if(f===null||typeof f!="object")throw new v("pathObject","Object",f);const h=f.dir||f.root,n=f.base||`${f.name||""}${f.ext||""}`;return h?h===f.root?`${h}${n}`:`${h}${u}${n}`:n}e.win32={resolve(...u){let f="",h="",n=!1;for(let r=u.length-1;r>=-1;r--){let t;if(r>=0){if(t=u[r],y(t,"path"),t.length===0)continue}else f.length===0?t=R.cwd():(t=R.env[`=${f}`]||R.cwd(),(t===void 0||t.slice(0,2).toLowerCase()!==f.toLowerCase()&&t.charCodeAt(2)===D)&&(t=`${f}\\`));const s=t.length;let a=0,c="",o=!1;const l=t.charCodeAt(0);if(s===1)d(l)&&(a=1,o=!0);else if(d(l))if(o=!0,d(t.charCodeAt(1))){let g=2,P=g;for(;g<s&&!d(t.charCodeAt(g));)g++;if(g<s&&g!==P){const U=t.slice(P,g);for(P=g;g<s&&d(t.charCodeAt(g));)g++;if(g<s&&g!==P){for(P=g;g<s&&!d(t.charCodeAt(g));)g++;(g===s||g!==P)&&(c=`\\\\${U}\\${t.slice(P,g)}`,a=g)}}}else a=1;else w(l)&&t.charCodeAt(1)===I&&(c=t.slice(0,2),a=2,s>2&&d(t.charCodeAt(2))&&(o=!0,a=3));if(c.length>0)if(f.length>0){if(c.toLowerCase()!==f.toLowerCase())continue}else f=c;if(n){if(f.length>0)break}else if(h=`${t.slice(a)}\\${h}`,n=o,o&&f.length>0)break}return h=p(h,!n,"\\",d),n?`${f}\\${h}`:`${f}${h}`||"."},normalize(u){y(u,"path");const f=u.length;if(f===0)return".";let h=0,n,r=!1;const t=u.charCodeAt(0);if(f===1)return S(t)?"\\":u;if(d(t))if(r=!0,d(u.charCodeAt(1))){let a=2,c=a;for(;a<f&&!d(u.charCodeAt(a));)a++;if(a<f&&a!==c){const o=u.slice(c,a);for(c=a;a<f&&d(u.charCodeAt(a));)a++;if(a<f&&a!==c){for(c=a;a<f&&!d(u.charCodeAt(a));)a++;if(a===f)return`\\\\${o}\\${u.slice(c)}\\`;a!==c&&(n=`\\\\${o}\\${u.slice(c,a)}`,h=a)}}}else h=1;else w(t)&&u.charCodeAt(1)===I&&(n=u.slice(0,2),h=2,f>2&&d(u.charCodeAt(2))&&(r=!0,h=3));let s=h<f?p(u.slice(h),!r,"\\",d):"";return s.length===0&&!r&&(s="."),s.length>0&&d(u.charCodeAt(f-1))&&(s+="\\"),n===void 0?r?`\\${s}`:s:r?`${n}\\${s}`:`${n}${s}`},isAbsolute(u){y(u,"path");const f=u.length;if(f===0)return!1;const h=u.charCodeAt(0);return d(h)||f>2&&w(h)&&u.charCodeAt(1)===I&&d(u.charCodeAt(2))},join(...u){if(u.length===0)return".";let f,h;for(let t=0;t<u.length;++t){const s=u[t];y(s,"path"),s.length>0&&(f===void 0?f=h=s:f+=`\\${s}`)}if(f===void 0)return".";let n=!0,r=0;if(typeof h=="string"&&d(h.charCodeAt(0))){++r;const t=h.length;t>1&&d(h.charCodeAt(1))&&(++r,t>2&&(d(h.charCodeAt(2))?++r:n=!1))}if(n){for(;r<f.length&&d(f.charCodeAt(r));)r++;r>=2&&(f=`\\${f.slice(r)}`)}return e.win32.normalize(f)},relative(u,f){if(y(u,"from"),y(f,"to"),u===f)return"";const h=e.win32.resolve(u),n=e.win32.resolve(f);if(h===n||(u=h.toLowerCase(),f=n.toLowerCase(),u===f))return"";let r=0;for(;r<u.length&&u.charCodeAt(r)===D;)r++;let t=u.length;for(;t-1>r&&u.charCodeAt(t-1)===D;)t--;const s=t-r;let a=0;for(;a<f.length&&f.charCodeAt(a)===D;)a++;let c=f.length;for(;c-1>a&&f.charCodeAt(c-1)===D;)c--;const o=c-a,l=s<o?s:o;let g=-1,P=0;for(;P<l;P++){const _=u.charCodeAt(r+P);if(_!==f.charCodeAt(a+P))break;_===D&&(g=P)}if(P!==l){if(g===-1)return n}else{if(o>l){if(f.charCodeAt(a+P)===D)return n.slice(a+P+1);if(P===2)return n.slice(a+P)}s>l&&(u.charCodeAt(r+P)===D?g=P:P===2&&(g=3)),g===-1&&(g=0)}let U="";for(P=r+g+1;P<=t;++P)(P===t||u.charCodeAt(P)===D)&&(U+=U.length===0?"..":"\\..");return a+=g,U.length>0?`${U}${n.slice(a,c)}`:(n.charCodeAt(a)===D&&++a,n.slice(a,c))},toNamespacedPath(u){if(typeof u!="string")return u;if(u.length===0)return"";const f=e.win32.resolve(u);if(f.length<=2)return u;if(f.charCodeAt(0)===D){if(f.charCodeAt(1)===D){const h=f.charCodeAt(2);if(h!==E&&h!==b)return`\\\\?\\UNC\\${f.slice(2)}`}}else if(w(f.charCodeAt(0))&&f.charCodeAt(1)===I&&f.charCodeAt(2)===D)return`\\\\?\\${f}`;return u},dirname(u){y(u,"path");const f=u.length;if(f===0)return".";let h=-1,n=0;const r=u.charCodeAt(0);if(f===1)return d(r)?u:".";if(d(r)){if(h=n=1,d(u.charCodeAt(1))){let a=2,c=a;for(;a<f&&!d(u.charCodeAt(a));)a++;if(a<f&&a!==c){for(c=a;a<f&&d(u.charCodeAt(a));)a++;if(a<f&&a!==c){for(c=a;a<f&&!d(u.charCodeAt(a));)a++;if(a===f)return u;a!==c&&(h=n=a+1)}}}}else w(r)&&u.charCodeAt(1)===I&&(h=f>2&&d(u.charCodeAt(2))?3:2,n=h);let t=-1,s=!0;for(let a=f-1;a>=n;--a)if(d(u.charCodeAt(a))){if(!s){t=a;break}}else s=!1;if(t===-1){if(h===-1)return".";t=h}return u.slice(0,t)},basename(u,f){f!==void 0&&y(f,"ext"),y(u,"path");let h=0,n=-1,r=!0,t;if(u.length>=2&&w(u.charCodeAt(0))&&u.charCodeAt(1)===I&&(h=2),f!==void 0&&f.length>0&&f.length<=u.length){if(f===u)return"";let s=f.length-1,a=-1;for(t=u.length-1;t>=h;--t){const c=u.charCodeAt(t);if(d(c)){if(!r){h=t+1;break}}else a===-1&&(r=!1,a=t+1),s>=0&&(c===f.charCodeAt(s)?--s==-1&&(n=t):(s=-1,n=a))}return h===n?n=a:n===-1&&(n=u.length),u.slice(h,n)}for(t=u.length-1;t>=h;--t)if(d(u.charCodeAt(t))){if(!r){h=t+1;break}}else n===-1&&(r=!1,n=t+1);return n===-1?"":u.slice(h,n)},extname(u){y(u,"path");let f=0,h=-1,n=0,r=-1,t=!0,s=0;u.length>=2&&u.charCodeAt(1)===I&&w(u.charCodeAt(0))&&(f=n=2);for(let a=u.length-1;a>=f;--a){const c=u.charCodeAt(a);if(d(c)){if(!t){n=a+1;break}continue}r===-1&&(t=!1,r=a+1),c===b?h===-1?h=a:s!==1&&(s=1):h!==-1&&(s=-1)}return h===-1||r===-1||s===0||s===1&&h===r-1&&h===n+1?"":u.slice(h,r)},format:m.bind(null,"\\"),parse(u){y(u,"path");const f={root:"",dir:"",base:"",ext:"",name:""};if(u.length===0)return f;const h=u.length;let n=0,r=u.charCodeAt(0);if(h===1)return d(r)?(f.root=f.dir=u,f):(f.base=f.name=u,f);if(d(r)){if(n=1,d(u.charCodeAt(1))){let g=2,P=g;for(;g<h&&!d(u.charCodeAt(g));)g++;if(g<h&&g!==P){for(P=g;g<h&&d(u.charCodeAt(g));)g++;if(g<h&&g!==P){for(P=g;g<h&&!d(u.charCodeAt(g));)g++;g===h?n=g:g!==P&&(n=g+1)}}}}else if(w(r)&&u.charCodeAt(1)===I){if(h<=2)return f.root=f.dir=u,f;if(n=2,d(u.charCodeAt(2))){if(h===3)return f.root=f.dir=u,f;n=3}}n>0&&(f.root=u.slice(0,n));let t=-1,s=n,a=-1,c=!0,o=u.length-1,l=0;for(;o>=n;--o){if(r=u.charCodeAt(o),d(r)){if(!c){s=o+1;break}continue}a===-1&&(c=!1,a=o+1),r===b?t===-1?t=o:l!==1&&(l=1):t!==-1&&(l=-1)}return a!==-1&&(t===-1||l===0||l===1&&t===a-1&&t===s+1?f.base=f.name=u.slice(s,a):(f.name=u.slice(s,t),f.base=u.slice(s,a),f.ext=u.slice(t,a))),s>0&&s!==n?f.dir=u.slice(0,s-1):f.dir=f.root,f},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...u){let f="",h=!1;for(let n=u.length-1;n>=-1&&!h;n--){const r=n>=0?u[n]:R.cwd();y(r,"path"),r.length!==0&&(f=`${r}/${f}`,h=r.charCodeAt(0)===C)}return f=p(f,!h,"/",S),h?`/${f}`:f.length>0?f:"."},normalize(u){if(y(u,"path"),u.length===0)return".";const f=u.charCodeAt(0)===C,h=u.charCodeAt(u.length-1)===C;return u=p(u,!f,"/",S),u.length===0?f?"/":h?"./":".":(h&&(u+="/"),f?`/${u}`:u)},isAbsolute(u){return y(u,"path"),u.length>0&&u.charCodeAt(0)===C},join(...u){if(u.length===0)return".";let f;for(let h=0;h<u.length;++h){const n=u[h];y(n,"path"),n.length>0&&(f===void 0?f=n:f+=`/${n}`)}return f===void 0?".":e.posix.normalize(f)},relative(u,f){if(y(u,"from"),y(f,"to"),u===f||(u=e.posix.resolve(u),f=e.posix.resolve(f),u===f))return"";const h=1,n=u.length,r=n-h,t=1,s=f.length-t,a=r<s?r:s;let c=-1,o=0;for(;o<a;o++){const g=u.charCodeAt(h+o);if(g!==f.charCodeAt(t+o))break;g===C&&(c=o)}if(o===a)if(s>a){if(f.charCodeAt(t+o)===C)return f.slice(t+o+1);if(o===0)return f.slice(t+o)}else r>a&&(u.charCodeAt(h+o)===C?c=o:o===0&&(c=0));let l="";for(o=h+c+1;o<=n;++o)(o===n||u.charCodeAt(o)===C)&&(l+=l.length===0?"..":"/..");return`${l}${f.slice(t+c)}`},toNamespacedPath(u){return u},dirname(u){if(y(u,"path"),u.length===0)return".";const f=u.charCodeAt(0)===C;let h=-1,n=!0;for(let r=u.length-1;r>=1;--r)if(u.charCodeAt(r)===C){if(!n){h=r;break}}else n=!1;return h===-1?f?"/":".":f&&h===1?"//":u.slice(0,h)},basename(u,f){f!==void 0&&y(f,"ext"),y(u,"path");let h=0,n=-1,r=!0,t;if(f!==void 0&&f.length>0&&f.length<=u.length){if(f===u)return"";let s=f.length-1,a=-1;for(t=u.length-1;t>=0;--t){const c=u.charCodeAt(t);if(c===C){if(!r){h=t+1;break}}else a===-1&&(r=!1,a=t+1),s>=0&&(c===f.charCodeAt(s)?--s==-1&&(n=t):(s=-1,n=a))}return h===n?n=a:n===-1&&(n=u.length),u.slice(h,n)}for(t=u.length-1;t>=0;--t)if(u.charCodeAt(t)===C){if(!r){h=t+1;break}}else n===-1&&(r=!1,n=t+1);return n===-1?"":u.slice(h,n)},extname(u){y(u,"path");let f=-1,h=0,n=-1,r=!0,t=0;for(let s=u.length-1;s>=0;--s){const a=u.charCodeAt(s);if(a===C){if(!r){h=s+1;break}continue}n===-1&&(r=!1,n=s+1),a===b?f===-1?f=s:t!==1&&(t=1):f!==-1&&(t=-1)}return f===-1||n===-1||t===0||t===1&&f===n-1&&f===h+1?"":u.slice(f,n)},format:m.bind(null,"/"),parse(u){y(u,"path");const f={root:"",dir:"",base:"",ext:"",name:""};if(u.length===0)return f;const h=u.charCodeAt(0)===C;let n;h?(f.root="/",n=1):n=0;let r=-1,t=0,s=-1,a=!0,c=u.length-1,o=0;for(;c>=n;--c){const l=u.charCodeAt(c);if(l===C){if(!a){t=c+1;break}continue}s===-1&&(a=!1,s=c+1),l===b?r===-1?r=c:o!==1&&(o=1):r!==-1&&(o=-1)}if(s!==-1){const l=t===0&&h?1:t;r===-1||o===0||o===1&&r===s-1&&r===t+1?f.base=f.name=u.slice(l,s):(f.name=u.slice(l,r),f.base=u.slice(l,s),f.ext=u.slice(r,s))}return t>0?f.dir=u.slice(0,t-1):h&&(f.dir="/"),f},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=R.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=R.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=R.platform==="win32"?e.win32.join:e.posix.join,e.resolve=R.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=R.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=R.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=R.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=R.platform==="win32"?e.win32.extname:e.posix.extname,e.format=R.platform==="win32"?e.win32.format:e.posix.format,e.parse=R.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=R.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=R.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=R.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(re[123],oe([0,1,12]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0,e.Mimes=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const i={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},k={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function L(I){const E=(0,R.extname)(I),v=i[E.toLowerCase()];return v!==void 0?v:A(I)}e.getMediaOrTextMime=L;function A(I){const E=(0,R.extname)(I);return k[E.toLowerCase()]}e.getMediaMime=A;function b(I){for(const E in k)if(k[E]===I)return E}e.getExtensionForMimeType=b;const C=/^(.+)\/(.+?)(;.+)?$/;function D(I,E){const v=C.exec(I);return v?`${v[1].toLowerCase()}/${v[2].toLowerCase()}${v[3]??""}`:E?void 0:I}e.normalizeMimeType=D}),define(re[77],oe([0,1,4]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var i;(function(b){b[b.stdout=0]="stdout",b[b.stderr=1]="stderr"})(i=e.Source||(e.Source={}));var k;(function(b){b[b.Success=0]="Success",b[b.Unknown=1]="Unknown",b[b.AccessDenied=2]="AccessDenied",b[b.ProcessNotFound=3]="ProcessNotFound"})(k=e.TerminateResponseCode||(e.TerminateResponseCode={}));function L(b,...C){const D=C.reduce((v,y)=>(v[y]=!0,v),{}),I=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(b).filter(v=>!D[v]).forEach(v=>{for(let y=0;y<I.length;y++)if(v.search(I[y])!==-1){delete b[v];break}})}e.sanitizeProcessEnvironment=L;function A(b){!b||(delete b.DEBUG,R.isMacintosh&&delete b.DYLD_LIBRARY_PATH,R.isLinux&&delete b.LD_PRELOAD)}e.removeDangerousEnvVariables=A}),define(re[124],oe([0,1,4]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const i=R.globals.performance&&typeof R.globals.performance.now=="function";class k{constructor(A){this._highResolution=i&&A,this._startTime=this._now(),this._stopTime=-1}static create(A=!0){return new k(A)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?R.globals.performance.now():Date.now()}}e.StopWatch=k}),define(re[3],oe([0,1,9,74,2,111,124]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.EventDeliveryQueue=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;const b=!1,C=!1;var D;(function(c){c.None=()=>k.Disposable.None;function o(F){if(C){const{onListenerDidAdd:q}=F,j=d.create();let te=0;F.onListenerDidAdd=()=>{++te==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),j.print()),q?.()}}}function l(F){return(q,j=null,te)=>{let H=!1,ie;return ie=F(ne=>{if(!H)return ie?ie.dispose():H=!0,q.call(j,ne)},null,te),H&&ie.dispose(),ie}}c.once=l;function g(F,q,j){return $((te,H=null,ie)=>F(ne=>te.call(H,q(ne)),null,ie),j)}c.map=g;function P(F,q,j){return $((te,H=null,ie)=>F(ne=>{q(ne),te.call(H,ne)},null,ie),j)}c.forEach=P;function U(F,q,j){return $((te,H=null,ie)=>F(ne=>q(ne)&&te.call(H,ne),null,ie),j)}c.filter=U;function _(F){return F}c.signal=_;function M(...F){return(q,j=null,te)=>(0,k.combinedDisposable)(...F.map(H=>H(ie=>q.call(j,ie),null,te)))}c.any=M;function T(F,q,j,te){let H=j;return g(F,ie=>(H=q(H,ie),H),te)}c.reduce=T;function $(F,q){let j;const te={onFirstListenerAdd(){j=F(H.fire,H)},onLastListenerRemove(){j?.dispose()}};q||o(te);const H=new w(te);return q?.add(H),H.event}function N(F,q,j=100,te=!1,H,ie){let ne,ce,he,ve=0;const pe={leakWarningThreshold:H,onFirstListenerAdd(){ne=F(be=>{ve++,ce=q(ce,be),te&&!he&&(Ce.fire(ce),ce=void 0),clearTimeout(he),he=setTimeout(()=>{const Pe=ce;ce=void 0,he=void 0,(!te||ve>1)&&Ce.fire(Pe),ve=0},j)})},onLastListenerRemove(){ne.dispose()}};ie||o(pe);const Ce=new w(pe);return ie?.add(Ce),Ce.event}c.debounce=N;function G(F,q=(te,H)=>te===H,j){let te=!0,H;return U(F,ie=>{const ne=te||!q(ie,H);return te=!1,H=ie,ne},j)}c.latch=G;function J(F,q,j){return[c.filter(F,q,j),c.filter(F,te=>!q(te),j)]}c.split=J;function z(F,q=!1,j=[]){let te=j.slice(),H=F(ce=>{te?te.push(ce):ne.fire(ce)});const ie=()=>{te?.forEach(ce=>ne.fire(ce)),te=null},ne=new w({onFirstListenerAdd(){H||(H=F(ce=>ne.fire(ce)))},onFirstListenerDidAdd(){te&&(q?setTimeout(ie):ie())},onLastListenerRemove(){H&&H.dispose(),H=null}});return ne.event}c.buffer=z;class Q{constructor(q){this.event=q,this.disposables=new k.DisposableStore}map(q){return new Q(g(this.event,q,this.disposables))}forEach(q){return new Q(P(this.event,q,this.disposables))}filter(q){return new Q(U(this.event,q,this.disposables))}reduce(q,j){return new Q(T(this.event,q,j,this.disposables))}latch(){return new Q(G(this.event,void 0,this.disposables))}debounce(q,j=100,te=!1,H){return new Q(N(this.event,q,j,te,H,this.disposables))}on(q,j,te){return this.event(q,j,te)}once(q,j,te){return l(this.event)(q,j,te)}dispose(){this.disposables.dispose()}}function x(F){return new Q(F)}c.chain=x;function B(F,q,j=te=>te){const te=(...ce)=>ne.fire(j(...ce)),H=()=>F.on(q,te),ie=()=>F.removeListener(q,te),ne=new w({onFirstListenerAdd:H,onLastListenerRemove:ie});return ne.event}c.fromNodeEventEmitter=B;function Y(F,q,j=te=>te){const te=(...ce)=>ne.fire(j(...ce)),H=()=>F.addEventListener(q,te),ie=()=>F.removeEventListener(q,te),ne=new w({onFirstListenerAdd:H,onLastListenerRemove:ie});return ne.event}c.fromDOMEventEmitter=Y;function se(F){return new Promise(q=>l(F)(q))}c.toPromise=se;function Z(F,q){return q(void 0),F(j=>q(j))}c.runAndSubscribe=Z;function W(F,q){let j=null;function te(ie){j?.dispose(),j=new k.DisposableStore,q(ie,j)}te(void 0);const H=F(ie=>te(ie));return(0,k.toDisposable)(()=>{H.dispose(),j?.dispose()})}c.runAndSubscribeWithStore=W;class V{constructor(q,j){this.obs=q,this._counter=0,this._hasChanged=!1;const te={onFirstListenerAdd:()=>{q.addObserver(this)},onLastListenerRemove:()=>{q.removeObserver(this)}};j||o(te),this.emitter=new w(te),j&&j.add(this.emitter)}beginUpdate(q){this._counter++}handleChange(q,j){this._hasChanged=!0}endUpdate(q){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function O(F,q){return new V(F,q).emitter.event}c.fromObservable=O})(D=e.Event||(e.Event={}));class I{constructor(o){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${o}_${I._idPool++}`}start(o){this._stopWatch=new A.StopWatch(!0),this._listenerCount=o}stop(){if(this._stopWatch){const o=this._stopWatch.elapsed();this._elapsedOverall+=o,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${o.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}I._idPool=0;let E=-1;function v(c){const o=E;return E=c,{dispose(){E=o}}}e.setGlobalLeakWarningThreshold=v;class y{constructor(o,l=Math.random().toString(18).slice(2,5)){this.customThreshold=o,this.name=l,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(o,l){let g=E;if(typeof this.customThreshold=="number"&&(g=this.customThreshold),g<=0||l<g)return;this._stacks||(this._stacks=new Map);const P=this._stacks.get(o.value)||0;if(this._stacks.set(o.value,P+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=g*.5;let U,_=0;for(const[M,T]of this._stacks)(!U||_<T)&&(U=M,_=T);console.warn(`[${this.name}] potential listener LEAK detected, having ${l} listeners already. MOST frequent listener (${_}):`),console.warn(U)}return()=>{const U=this._stacks.get(o.value)||0;this._stacks.set(o.value,U-1)}}}class d{constructor(o){this.value=o}static create(){return new d(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class S{constructor(o,l,g){this.callback=o,this.callbackThis=l,this.stack=g,this.subscription=new k.SafeDisposable}invoke(o){this.callback.call(this.callbackThis,o)}}class w{constructor(o){this._disposed=!1,this._options=o,this._leakageMon=E>0?new y(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new I(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(b){const o=Array.from(this._listeners);queueMicrotask(()=>{for(const l of o)l.subscription.isset()&&(l.subscription.unset(),l.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(this),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(o,l,g)=>{this._listeners||(this._listeners=new L.LinkedList);const P=this._listeners.isEmpty();P&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let U,_;this._leakageMon&&this._listeners.size>=30&&(_=d.create(),U=this._leakageMon.check(_,this._listeners.size+1)),b&&(_=_??d.create());const M=new S(o,l,_),T=this._listeners.push(M);P&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,o,l);const $=M.subscription.set(()=>{U?.(),this._disposed||(T(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return g instanceof k.DisposableStore?g.add($):Array.isArray(g)&&g.push($),$}),this._event}fire(o){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new m);for(const l of this._listeners)this._deliveryQueue.push(this,l,o);this._perfMon?.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}e.Emitter=w;class p{constructor(){this._queue=new L.LinkedList}get size(){return this._queue.size}push(o,l,g){this._queue.push(new u(o,l,g))}clear(o){const l=new L.LinkedList;for(const g of this._queue)g.emitter!==o&&l.push(g);this._queue=l}deliver(){for(;this._queue.size>0;){const o=this._queue.shift();try{o.listener.invoke(o.event)}catch(l){(0,R.onUnexpectedError)(l)}}}}e.EventDeliveryQueue=p;class m extends p{clear(o){this._queue.clear()}}class u{constructor(o,l,g){this.emitter=o,this.listener=l,this.event=g}}class f extends w{async fireAsync(o,l,g){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new L.LinkedList);for(const P of this._listeners)this._asyncDeliveryQueue.push([P,o]);for(;this._asyncDeliveryQueue.size>0&&!l.isCancellationRequested;){const[P,U]=this._asyncDeliveryQueue.shift(),_=[],M={...U,token:l,waitUntil:T=>{if(Object.isFrozen(_))throw new Error("waitUntil can NOT be called asynchronous");g&&(T=g(T,P.callback)),_.push(T)}};try{P.invoke(M)}catch(T){(0,R.onUnexpectedError)(T);continue}Object.freeze(_),await Promise.allSettled(_).then(T=>{for(const $ of T)$.status==="rejected"&&(0,R.onUnexpectedError)($.reason)})}}}}e.AsyncEmitter=f;class h extends w{constructor(o){super(o);this._isPaused=0,this._eventQueue=new L.LinkedList,this._mergeFn=o?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const o=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(o))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(o){this._listeners&&(this._isPaused!==0?this._eventQueue.push(o):super.fire(o))}}e.PauseableEmitter=h;class n extends h{constructor(o){super(o);this._delay=o.delay??100}fire(o){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(o)}}e.DebounceEmitter=n;class r extends w{constructor(o){super(o);this._queuedEvents=[],this._mergeFn=o?.merge}fire(o){this._queuedEvents.push(o),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(l=>super.fire(l)),this._queuedEvents=[]})}}e.MicrotaskEmitter=r;class t{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new w({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(o){const l={event:o,listener:null};this.events.push(l),this.hasListeners&&this.hook(l);const g=()=>{this.hasListeners&&this.unhook(l);const P=this.events.indexOf(l);this.events.splice(P,1)};return(0,k.toDisposable)((0,i.once)(g))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(o=>this.hook(o))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(o=>this.unhook(o))}hook(o){o.listener=o.event(l=>this.emitter.fire(l))}unhook(o){o.listener&&o.listener.dispose(),o.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=t;class s{constructor(){this.buffers=[]}wrapEvent(o){return(l,g,P)=>o(U=>{const _=this.buffers[this.buffers.length-1];_?_.push(()=>l.call(g,U)):l.call(g,U)},void 0,P)}bufferEvents(o){const l=[];this.buffers.push(l);const g=o();return this.buffers.pop(),l.forEach(P=>P()),g}}e.EventBufferer=s;class a{constructor(){this.listening=!1,this.inputEvent=D.None,this.inputEventListener=k.Disposable.None,this.emitter=new w({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(o){this.inputEvent=o,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=o(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=a}),define(re[23],oe([0,1,3]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const i=Object.freeze(function(b,C){const D=setTimeout(b.bind(C),0);return{dispose(){clearTimeout(D)}}});var k;(function(b){function C(D){return D===b.None||D===b.Cancelled||D instanceof L?!0:!D||typeof D!="object"?!1:typeof D.isCancellationRequested=="boolean"&&typeof D.onCancellationRequested=="function"}b.isCancellationToken=C,b.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:R.Event.None}),b.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:i})})(k=e.CancellationToken||(e.CancellationToken={}));class L{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?i:(this._emitter||(this._emitter=new R.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class A{constructor(C){this._token=void 0,this._parentListener=void 0,this._parentListener=C&&C.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new L),this._token}cancel(){this._token?this._token instanceof L&&this._token.cancel():this._token=k.Cancelled}dispose(C=!1){C&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof L&&this._token.dispose():this._token=k.None}}e.CancellationTokenSource=A}),define(re[125],oe([0,1,23]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CachedFunction=e.LRUCachedFunction=e.Cache=void 0;class i{constructor(b){this.task=b,this.result=null}get(){if(this.result)return this.result;const b=new R.CancellationTokenSource,C=this.task(b.token);return this.result={promise:C,dispose:()=>{this.result=null,b.cancel(),b.dispose()}},this.result}}e.Cache=i;class k{constructor(b){this.fn=b,this.lastCache=void 0,this.lastArgKey=void 0}get(b){const C=JSON.stringify(b);return this.lastArgKey!==C&&(this.lastArgKey=C,this.lastCache=this.fn(b)),this.lastCache}}e.LRUCachedFunction=k;class L{constructor(b){this.fn=b,this._map=new Map}get cachedValues(){return this._map}get(b){if(this._map.has(b))return this._map.get(b);const C=this.fn(b);return this._map.set(b,C),C}}e.CachedFunction=L}),define(re[78],oe([0,1,3,2]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MutableObservableValue=e.staticObservableValue=void 0;const k=A=>({onDidChange:R.Event.None,value:A});e.staticObservableValue=k;class L extends i.Disposable{constructor(b){super();this._value=b,this.changeEmitter=this._register(new R.Emitter),this.onDidChange=this.changeEmitter.event}get value(){return this._value}set value(b){b!==this._value&&(this._value=b,this.changeEmitter.fire(b))}}e.MutableObservableValue=L}),define(re[26],oe([0,1,125,110]),function(X,e,R,i){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.isAsciiDigit=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.replaceAsync=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function L(ee){return!ee||typeof ee!="string"?!0:ee.trim().length===0}e.isFalsyOrWhitespace=L;const A=/{(\d+)}/g;function b(ee,...le){return le.length===0?ee:ee.replace(A,function(fe,Se){const me=parseInt(Se,10);return isNaN(me)||me<0||me>=le.length?fe:le[me]})}e.format=b;const C=/{([^}]+)}/g;function D(ee,le){return ee.replace(C,(fe,Se)=>le[Se]??fe)}e.format2=D;function I(ee){return ee.replace(/[<>&]/g,function(le){switch(le){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return le}})}e.escape=I;function E(ee){return ee.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=E;function v(ee,le){let fe=0;const Se=le.charCodeAt(0);for(let me=ee.length-1;me>=0;me--)ee.charCodeAt(me)===Se&&fe++;return fe}e.count=v;function y(ee,le,fe="\u2026"){return ee.length<=le?ee:`${ee.substr(0,le)}${fe}`}e.truncate=y;function d(ee,le=" "){const fe=S(ee,le);return w(fe,le)}e.trim=d;function S(ee,le){if(!ee||!le)return ee;const fe=le.length;if(fe===0||ee.length===0)return ee;let Se=0;for(;ee.indexOf(le,Se)===Se;)Se=Se+fe;return ee.substring(Se)}e.ltrim=S;function w(ee,le){if(!ee||!le)return ee;const fe=le.length,Se=ee.length;if(fe===0||Se===0)return ee;let me=Se,we=-1;for(;we=ee.lastIndexOf(le,me-1),!(we===-1||we+fe!==me);){if(we===0)return"";me=we}return ee.substring(0,me)}e.rtrim=w;function p(ee){return ee.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=p;function m(ee){return ee.replace(/\*/g,"")}e.stripWildcards=m;function u(ee,le,fe={}){if(!ee)throw new Error("Cannot create regex from empty string");le||(ee=E(ee)),fe.wholeWord&&(/\B/.test(ee.charAt(0))||(ee="\\b"+ee),/\B/.test(ee.charAt(ee.length-1))||(ee=ee+"\\b"));let Se="";return fe.global&&(Se+="g"),fe.matchCase||(Se+="i"),fe.multiline&&(Se+="m"),fe.unicode&&(Se+="u"),new RegExp(ee,Se)}e.createRegExp=u;function f(ee){return ee.source==="^"||ee.source==="^$"||ee.source==="$"||ee.source==="^\\s*$"?!1:!!(ee.exec("")&&ee.lastIndex===0)}e.regExpLeadsToEndlessLoop=f;function h(ee){return!!ee.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=h;function n(ee){return(ee.global?"g":"")+(ee.ignoreCase?"i":"")+(ee.multiline?"m":"")+(ee.unicode?"u":"")}e.regExpFlags=n;function r(ee){return ee.split(/\r\n|\r|\n/)}e.splitLines=r;function t(ee){for(let le=0,fe=ee.length;le<fe;le++){const Se=ee.charCodeAt(le);if(Se!==32&&Se!==9)return le}return-1}e.firstNonWhitespaceIndex=t;function s(ee,le=0,fe=ee.length){for(let Se=le;Se<fe;Se++){const me=ee.charCodeAt(Se);if(me!==32&&me!==9)return ee.substring(le,Se)}return ee.substring(le,fe)}e.getLeadingWhitespace=s;function a(ee,le=ee.length-1){for(let fe=le;fe>=0;fe--){const Se=ee.charCodeAt(fe);if(Se!==32&&Se!==9)return fe}return-1}e.lastNonWhitespaceIndex=a;function c(ee,le,fe){const Se=[];let me=0;for(const we of ee.matchAll(le)){if(Se.push(ee.slice(me,we.index)),we.index===void 0)throw new Error("match.index should be defined");me=we.index+we[0].length,Se.push(fe(we[0],...we.slice(1),we.index,ee,we.groups))}return Se.push(ee.slice(me)),Promise.all(Se).then(we=>we.join(""))}e.replaceAsync=c;function o(ee,le){return ee<le?-1:ee>le?1:0}e.compare=o;function l(ee,le,fe=0,Se=ee.length,me=0,we=le.length){for(;fe<Se&&me<we;fe++,me++){const Te=ee.charCodeAt(fe),Ae=le.charCodeAt(me);if(Te<Ae)return-1;if(Te>Ae)return 1}const De=Se-fe,ke=we-me;return De<ke?-1:De>ke?1:0}e.compareSubstring=l;function g(ee,le){return P(ee,le,0,ee.length,0,le.length)}e.compareIgnoreCase=g;function P(ee,le,fe=0,Se=ee.length,me=0,we=le.length){for(;fe<Se&&me<we;fe++,me++){let Te=ee.charCodeAt(fe),Ae=le.charCodeAt(me);if(Te===Ae)continue;if(Te>=128||Ae>=128)return l(ee.toLowerCase(),le.toLowerCase(),fe,Se,me,we);_(Te)&&(Te-=32),_(Ae)&&(Ae-=32);const Fe=Te-Ae;if(Fe!==0)return Fe}const De=Se-fe,ke=we-me;return De<ke?-1:De>ke?1:0}e.compareSubstringIgnoreCase=P;function U(ee){return ee>=48&&ee<=57}e.isAsciiDigit=U;function _(ee){return ee>=97&&ee<=122}e.isLowerAsciiLetter=_;function M(ee){return ee>=65&&ee<=90}e.isUpperAsciiLetter=M;function T(ee,le){return ee.length===le.length&&P(ee,le)===0}e.equalsIgnoreCase=T;function $(ee,le){const fe=le.length;return le.length>ee.length?!1:P(ee,le,0,fe)===0}e.startsWithIgnoreCase=$;function N(ee,le){const fe=Math.min(ee.length,le.length);let Se;for(Se=0;Se<fe;Se++)if(ee.charCodeAt(Se)!==le.charCodeAt(Se))return Se;return fe}e.commonPrefixLength=N;function G(ee,le){const fe=Math.min(ee.length,le.length);let Se;const me=ee.length-1,we=le.length-1;for(Se=0;Se<fe;Se++)if(ee.charCodeAt(me-Se)!==le.charCodeAt(we-Se))return Se;return fe}e.commonSuffixLength=G;function J(ee){return 55296<=ee&&ee<=56319}e.isHighSurrogate=J;function z(ee){return 56320<=ee&&ee<=57343}e.isLowSurrogate=z;function Q(ee,le){return(ee-55296<<10)+(le-56320)+65536}e.computeCodePoint=Q;function x(ee,le,fe){const Se=ee.charCodeAt(fe);if(J(Se)&&fe+1<le){const me=ee.charCodeAt(fe+1);if(z(me))return Q(Se,me)}return Se}e.getNextCodePoint=x;function B(ee,le){const fe=ee.charCodeAt(le-1);if(z(fe)&&le>1){const Se=ee.charCodeAt(le-2);if(J(Se))return Q(Se,fe)}return fe}class Y{constructor(le,fe=0){this._str=le,this._len=le.length,this._offset=fe}get offset(){return this._offset}setOffset(le){this._offset=le}prevCodePoint(){const le=B(this._str,this._offset);return this._offset-=le>=65536?2:1,le}nextCodePoint(){const le=x(this._str,this._len,this._offset);return this._offset+=le>=65536?2:1,le}eol(){return this._offset>=this._len}}e.CodePointIterator=Y;class se{constructor(le,fe=0){this._iterator=new Y(le,fe)}get offset(){return this._iterator.offset}nextGraphemeLength(){const le=Ee.getInstance(),fe=this._iterator,Se=fe.offset;let me=le.getGraphemeBreakType(fe.nextCodePoint());for(;!fe.eol();){const we=fe.offset,De=le.getGraphemeBreakType(fe.nextCodePoint());if(ue(me,De)){fe.setOffset(we);break}me=De}return fe.offset-Se}prevGraphemeLength(){const le=Ee.getInstance(),fe=this._iterator,Se=fe.offset;let me=le.getGraphemeBreakType(fe.prevCodePoint());for(;fe.offset>0;){const we=fe.offset,De=le.getGraphemeBreakType(fe.prevCodePoint());if(ue(De,me)){fe.setOffset(we);break}me=De}return Se-fe.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=se;function Z(ee,le){return new se(ee,le).nextGraphemeLength()}e.nextCharLength=Z;function W(ee,le){return new se(ee,le).prevGraphemeLength()}e.prevCharLength=W;function V(ee,le){le>0&&z(ee.charCodeAt(le))&&le--;const fe=le+Z(ee,le);return[fe-W(ee,fe),fe]}e.getCharContainingOffset=V;const O=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function F(ee){return O.test(ee)}e.containsRTL=F;const q=/^[\t\n\r\x20-\x7E]*$/;function j(ee){return q.test(ee)}e.isBasicASCII=j,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function te(ee){return e.UNUSUAL_LINE_TERMINATORS.test(ee)}e.containsUnusualLineTerminators=te;function H(ee){return ee>=11904&&ee<=55215||ee>=63744&&ee<=64255||ee>=65281&&ee<=65374}e.isFullWidthCharacter=H;function ie(ee){return ee>=127462&&ee<=127487||ee===8986||ee===8987||ee===9200||ee===9203||ee>=9728&&ee<=10175||ee===11088||ee===11093||ee>=127744&&ee<=128591||ee>=128640&&ee<=128764||ee>=128992&&ee<=129008||ee>=129280&&ee<=129535||ee>=129648&&ee<=129782}e.isEmojiImprecise=ie;function ne(ee,le){if(ee.length<le)return ee;const fe=/\b/g;let Se=0;for(;fe.test(ee)&&!(ee.length-fe.lastIndex<le);)Se=fe.lastIndex,fe.lastIndex+=1;return ee.substring(Se).replace(/^\s/,"")}e.lcut=ne;const ce=/\x1B\x5B[12]?K/g,he=/\x1b\[\d+m/g,ve=/\x1b\[0?m/g;function pe(ee){return ee&&(ee=ee.replace(ce,""),ee=ee.replace(he,""),ee=ee.replace(ve,"")),ee}e.removeAnsiEscapeCodes=pe,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ce(ee){return!!(ee&&ee.length>0&&ee.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ce;function be(ee){return Ce(ee)?ee.substr(1):ee}e.stripUTF8BOM=be;function Pe(ee,le){if(!ee||!le||ee.length<le.length)return!1;const fe=le.length,Se=ee.toLowerCase();let me=0,we=-1;for(;me<fe;){const De=Se.indexOf(le[me],we+1);if(De<0)return!1;we=De,me++}return!0}e.fuzzyContains=Pe;function Me(ee,le=!1){return ee?(le&&(ee=ee.replace(/\\./g,"")),ee.toLowerCase()!==ee):!1}e.containsUppercaseCharacter=Me;function Qe(ee){return ee.charAt(0).toUpperCase()+ee.slice(1)}e.uppercaseFirstLetter=Qe;function xe(ee,le=1){if(le===0)return"";let fe=-1;do fe=ee.indexOf(`
`,fe+1),le--;while(le>0&&fe>=0);return fe===-1?ee:(ee[fe-1]==="\r"&&fe--,ee.substr(0,fe))}e.getNLines=xe;function Ke(ee){const le=90-65+1;return ee=ee%(2*le),ee<le?String.fromCharCode(97+ee):String.fromCharCode(65+ee-le)}e.singleLetterHash=Ke;function ae(ee){return Ee.getInstance().getGraphemeBreakType(ee)}e.getGraphemeBreakType=ae;function ue(ee,le){return ee===0?le!==5&&le!==7:ee===2&&le===3?!1:ee===4||ee===2||ee===3||le===4||le===2||le===3?!0:!(ee===8&&(le===8||le===9||le===11||le===12)||(ee===11||ee===9)&&(le===9||le===10)||(ee===12||ee===10)&&le===10||le===5||le===13||le===7||ee===1||ee===13&&le===14||ee===6&&le===6)}var de;(function(ee){ee[ee.Other=0]="Other",ee[ee.Prepend=1]="Prepend",ee[ee.CR=2]="CR",ee[ee.LF=3]="LF",ee[ee.Control=4]="Control",ee[ee.Extend=5]="Extend",ee[ee.Regional_Indicator=6]="Regional_Indicator",ee[ee.SpacingMark=7]="SpacingMark",ee[ee.L=8]="L",ee[ee.V=9]="V",ee[ee.T=10]="T",ee[ee.LV=11]="LV",ee[ee.LVT=12]="LVT",ee[ee.ZWJ=13]="ZWJ",ee[ee.Extended_Pictographic=14]="Extended_Pictographic"})(de=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ee{constructor(){this._data=Ie()}static getInstance(){return Ee._INSTANCE||(Ee._INSTANCE=new Ee),Ee._INSTANCE}getGraphemeBreakType(le){if(le<32)return le===10?3:le===13?2:4;if(le<127)return 0;const fe=this._data,Se=fe.length/3;let me=1;for(;me<=Se;)if(le<fe[3*me])me=2*me;else if(le>fe[3*me+1])me=2*me+1;else return fe[3*me+2];return 0}}Ee._INSTANCE=null;function Ie(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Oe(ee,le){if(ee===0)return 0;const fe=Re(ee,le);if(fe!==void 0)return fe;const Se=new Y(le,ee);return Se.prevCodePoint(),Se.offset}e.getLeftDeleteOffset=Oe;function Re(ee,le){const fe=new Y(le,ee);let Se=fe.prevCodePoint();for(;$e(Se)||Se===65039||Se===8419;){if(fe.offset===0)return;Se=fe.prevCodePoint()}if(!ie(Se))return;let me=fe.offset;return me>0&&fe.prevCodePoint()===8205&&(me=fe.offset),me}function $e(ee){return 127995<=ee&&ee<=127999}var _e;(function(ee){ee[ee.zwj=8205]="zwj",ee[ee.emojiVariantSelector=65039]="emojiVariantSelector",ee[ee.enclosingKeyCap=8419]="enclosingKeyCap"})(_e||(_e={})),e.noBreakWhitespace="\xA0";class Le{constructor(le){this.confusableDictionary=le}static getInstance(le){return Le.cache.get(Array.from(le))}static getLocales(){return Le._locales.getValue()}isAmbiguous(le){return this.confusableDictionary.has(le)}getPrimaryConfusable(le){return this.confusableDictionary.get(le)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=Le,k=Le,Le.ambiguousCharacterData=new i.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),Le.cache=new R.LRUCachedFunction(ee=>{function le(Ae){const Fe=new Map;for(let ze=0;ze<Ae.length;ze+=2)Fe.set(Ae[ze],Ae[ze+1]);return Fe}function fe(Ae,Fe){const ze=new Map(Ae);for(const[Xe,Ze]of Fe)ze.set(Xe,Ze);return ze}function Se(Ae,Fe){if(!Ae)return Fe;const ze=new Map;for(const[Xe,Ze]of Ae)Fe.has(Xe)&&ze.set(Xe,Ze);return ze}const me=k.ambiguousCharacterData.getValue();let we=ee.filter(Ae=>!Ae.startsWith("_")&&Ae in me);we.length===0&&(we=["_default"]);let De;for(const Ae of we){const Fe=le(me[Ae]);De=Se(De,Fe)}const ke=le(me._common),Te=fe(ke,De);return new Le(Te)}),Le._locales=new i.Lazy(()=>Object.keys(Le.ambiguousCharacterData.getValue()).filter(ee=>!ee.startsWith("_")));class Ne{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(Ne.getRawData())),this._data}static isInvisibleCharacter(le){return Ne.getData().has(le)}static get codePoints(){return Ne.getData()}}e.InvisibleCharacters=Ne,Ne._data=void 0}),define(re[42],oe([0,1,12,4,26,14]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function A(a){return a===47||a===92}e.isPathSeparator=A;function b(a){return a.replace(/[\\/]/g,R.posix.sep)}e.toSlashes=b;function C(a){return a.indexOf("/")===-1&&(a=b(a)),/^[a-zA-Z]:(\/|$)/.test(a)&&(a="/"+a),a}e.toPosixPath=C;function D(a,c=R.posix.sep){if(!a)return"";const o=a.length,l=a.charCodeAt(0);if(A(l)){if(A(a.charCodeAt(1))&&!A(a.charCodeAt(2))){let P=3;const U=P;for(;P<o&&!A(a.charCodeAt(P));P++);if(U!==P&&!A(a.charCodeAt(P+1))){for(P+=1;P<o;P++)if(A(a.charCodeAt(P)))return a.slice(0,P+1).replace(/[\\/]/g,c)}}return c}else if(p(l)&&a.charCodeAt(1)===58)return A(a.charCodeAt(2))?a.slice(0,2)+c:a.slice(0,2);let g=a.indexOf("://");if(g!==-1){for(g+=3;g<o;g++)if(A(a.charCodeAt(g)))return a.slice(0,g+1)}return""}e.getRoot=D;function I(a){if(!i.isWindows||!a||a.length<5)return!1;let c=a.charCodeAt(0);if(c!==92||(c=a.charCodeAt(1),c!==92))return!1;let o=2;const l=o;for(;o<a.length&&(c=a.charCodeAt(o),c!==92);o++);return!(l===o||(c=a.charCodeAt(o+1),isNaN(c)||c===92))}e.isUNC=I;const E=/[\\/:\*\?"<>\|]/g,v=/[\\/]/g,y=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function d(a,c=i.isWindows){const o=c?E:v;return!(!a||a.length===0||/^\s+$/.test(a)||(o.lastIndex=0,o.test(a))||c&&y.test(a)||a==="."||a===".."||c&&a[a.length-1]==="."||c&&a.length!==a.trim().length||a.length>255)}e.isValidBasename=d;function S(a,c,o){const l=a===c;return!o||l?l:!a||!c?!1:(0,k.equalsIgnoreCase)(a,c)}e.isEqual=S;function w(a,c,o,l=R.sep){if(a===c)return!0;if(!a||!c||c.length>a.length)return!1;if(o){if(!(0,k.startsWithIgnoreCase)(a,c))return!1;if(c.length===a.length)return!0;let P=c.length;return c.charAt(c.length-1)===l&&P--,a.charAt(P)===l}return c.charAt(c.length-1)!==l&&(c+=l),a.indexOf(c)===0}e.isEqualOrParent=w;function p(a){return a>=65&&a<=90||a>=97&&a<=122}e.isWindowsDriveLetter=p;function m(a,c){return i.isWindows&&a.endsWith(":")&&(a+=R.sep),(0,R.isAbsolute)(a)||(a=(0,R.join)(c,a)),a=(0,R.normalize)(a),i.isWindows?(a=(0,k.rtrim)(a,R.sep),a.endsWith(":")&&(a+=R.sep)):(a=(0,k.rtrim)(a,R.sep),a||(a=R.sep)),a}e.sanitizeFilePath=m;function u(a){const c=(0,R.normalize)(a);return i.isWindows?a.length>3?!1:f(c)&&(a.length===2||c.charCodeAt(2)===92):c===R.posix.sep}e.isRootOrDriveLetter=u;function f(a,c=i.isWindows){return c?p(a.charCodeAt(0))&&a.charCodeAt(1)===58:!1}e.hasDriveLetter=f;function h(a){return f(a)?a[0]:void 0}e.getDriveLetter=h;function n(a,c,o){return c.length>a.length?-1:a===c?0:(o&&(a=a.toLowerCase(),c=c.toLowerCase()),a.indexOf(c))}e.indexOfPath=n;function r(a){const c=a.split(":");let o,l,g;for(const P of c){const U=Number(P);(0,L.isNumber)(U)?l===void 0?l=U:g===void 0&&(g=U):o=o?[o,P].join(":"):P}if(!o)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:o,line:l!==void 0?l:void 0,column:g!==void 0?g:l!==void 0?1:void 0}}e.parseLineAndColumnAware=r;const t="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function s(a,c,o=8){let l="";for(let P=0;P<o;P++)l+=t.charAt(Math.floor(Math.random()*t.length));let g;return c?g=`${c}-${l}`:g=l,a?(0,R.join)(a,g):g}e.randomPath=s}),define(re[62],oe([0,1,26]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function i(p){return k(p,0)}e.hash=i;function k(p,m){switch(typeof p){case"object":return p===null?L(349,m):Array.isArray(p)?C(p,m):D(p,m);case"string":return b(p,m);case"boolean":return A(p,m);case"number":return L(p,m);case"undefined":return L(937,m);default:return L(617,m)}}e.doHash=k;function L(p,m){return(m<<5)-m+p|0}e.numberHash=L;function A(p,m){return L(p?433:863,m)}function b(p,m){m=L(149417,m);for(let u=0,f=p.length;u<f;u++)m=L(p.charCodeAt(u),m);return m}e.stringHash=b;function C(p,m){return m=L(104579,m),p.reduce((u,f)=>k(f,u),m)}function D(p,m){return m=L(181387,m),Object.keys(p).sort().reduce((u,f)=>(u=b(f,u),k(p[f],u)),m)}class I{constructor(){this._value=0}get value(){return this._value}hash(m){return this._value=k(m,this._value),this._value}}e.Hasher=I;var E;(function(p){p[p.BLOCK_SIZE=64]="BLOCK_SIZE",p[p.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(E||(E={}));function v(p,m,u=32){const f=u-m,h=~((1<<f)-1);return(p<<m|(h&p)>>>f)>>>0}function y(p,m=0,u=p.byteLength,f=0){for(let h=0;h<u;h++)p[m+h]=f}function d(p,m,u="0"){for(;p.length<m;)p=u+p;return p}function S(p,m=32){return p instanceof ArrayBuffer?Array.from(new Uint8Array(p)).map(u=>u.toString(16).padStart(2,"0")).join(""):d((p>>>0).toString(16),m/4)}e.toHexString=S;class w{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(m){const u=m.length;if(u===0)return;const f=this._buff;let h=this._buffLen,n=this._leftoverHighSurrogate,r,t;for(n!==0?(r=n,t=-1,n=0):(r=m.charCodeAt(0),t=0);;){let s=r;if(R.isHighSurrogate(r))if(t+1<u){const a=m.charCodeAt(t+1);R.isLowSurrogate(a)?(t++,s=R.computeCodePoint(r,a)):s=65533}else{n=r;break}else R.isLowSurrogate(r)&&(s=65533);if(h=this._push(f,h,s),t++,t<u)r=m.charCodeAt(t);else break}this._buffLen=h,this._leftoverHighSurrogate=n}_push(m,u,f){return f<128?m[u++]=f:f<2048?(m[u++]=192|(f&1984)>>>6,m[u++]=128|(f&63)>>>0):f<65536?(m[u++]=224|(f&61440)>>>12,m[u++]=128|(f&4032)>>>6,m[u++]=128|(f&63)>>>0):(m[u++]=240|(f&1835008)>>>18,m[u++]=128|(f&258048)>>>12,m[u++]=128|(f&4032)>>>6,m[u++]=128|(f&63)>>>0),u>=64&&(this._step(),u-=64,this._totalLen+=64,m[0]=m[64+0],m[1]=m[64+1],m[2]=m[64+2]),u}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),S(this._h0)+S(this._h1)+S(this._h2)+S(this._h3)+S(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,y(this._buff,this._buffLen),this._buffLen>56&&(this._step(),y(this._buff));const m=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(m/4294967296),!1),this._buffDV.setUint32(60,m%4294967296,!1),this._step()}_step(){const m=w._bigBlock32,u=this._buffDV;for(let o=0;o<64;o+=4)m.setUint32(o,u.getUint32(o,!1),!1);for(let o=64;o<320;o+=4)m.setUint32(o,v(m.getUint32(o-12,!1)^m.getUint32(o-32,!1)^m.getUint32(o-56,!1)^m.getUint32(o-64,!1),1),!1);let f=this._h0,h=this._h1,n=this._h2,r=this._h3,t=this._h4,s,a,c;for(let o=0;o<80;o++)o<20?(s=h&n|~h&r,a=1518500249):o<40?(s=h^n^r,a=1859775393):o<60?(s=h&n|h&r|n&r,a=2400959708):(s=h^n^r,a=3395469782),c=v(f,5)+s+t+a+m.getUint32(o*4,!1)&4294967295,t=r,r=n,n=v(h,30),h=f,f=c;this._h0=this._h0+f&4294967295,this._h1=this._h1+h&4294967295,this._h2=this._h2+n&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+t&4294967295}}e.StringSHA1=w,w._bigBlock32=new DataView(new ArrayBuffer(320))});var Pt=this&&this.__classPrivateFieldSet||function(X,e,R,i,k){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!k:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?k.call(X,R):k?k.value=R:e.set(X,R),R},Ge=this&&this.__classPrivateFieldGet||function(X,e,R,i){if(R==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return R==="m"?i:R==="a"?i.call(X):i?i.value:e.get(X)};define(re[34],oe([0,1,18,26]),function(X,e,R,i){"use strict";var k,L,A,b;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function C(a,c,o){let l=a.get(c);return l===void 0&&(l=o,a.set(c,l)),l}e.getOrSet=C;function D(a){const c=[];return a.forEach((o,l)=>{c.push(`${l} => ${o}`)}),`Map(${a.size}) {${c.join(", ")}}`}e.mapToString=D;function I(a){const c=[];return a.forEach(o=>{c.push(o)}),`Set(${a.size}) {${c.join(", ")}}`}e.setToString=I;class E{constructor(){this._value="",this._pos=0}reset(c){return this._value=c,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(c){const o=c.charCodeAt(0),l=this._value.charCodeAt(this._pos);return o-l}value(){return this._value[this._pos]}}e.StringIterator=E;class v{constructor(c=!0){this._caseSensitive=c}reset(c){return this._value=c,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let c=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(c)this._from++;else break;else c=!1;return this}cmp(c){return this._caseSensitive?(0,i.compareSubstring)(c,this._value,0,c.length,this._from,this._to):(0,i.compareSubstringIgnoreCase)(c,this._value,0,c.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=v;class y{constructor(c=!0,o=!0){this._splitOnBackslash=c,this._caseSensitive=o}reset(c){this._from=0,this._to=0,this._value=c,this._valueLen=c.length;for(let o=c.length-1;o>=0;o--,this._valueLen--){const l=this._value.charCodeAt(o);if(!(l===47||this._splitOnBackslash&&l===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let c=!0;for(;this._to<this._valueLen;this._to++){const o=this._value.charCodeAt(this._to);if(o===47||this._splitOnBackslash&&o===92)if(c)this._from++;else break;else c=!1}return this}cmp(c){return this._caseSensitive?(0,i.compareSubstring)(c,this._value,0,c.length,this._from,this._to):(0,i.compareSubstringIgnoreCase)(c,this._value,0,c.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=y;var d;(function(a){a[a.Scheme=1]="Scheme",a[a.Authority=2]="Authority",a[a.Path=3]="Path",a[a.Query=4]="Query",a[a.Fragment=5]="Fragment"})(d||(d={}));class S{constructor(c,o){this._ignorePathCasing=c,this._ignoreQueryAndFragment=o,this._states=[],this._stateIdx=0}reset(c){return this._value=c,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new y(!1,!this._ignorePathCasing(c)),this._pathIterator.reset(c.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(c)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(c){if(this._states[this._stateIdx]===1)return(0,i.compareIgnoreCase)(c,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,i.compareIgnoreCase)(c,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(c);if(this._states[this._stateIdx]===4)return(0,i.compare)(c,this._value.query);if(this._states[this._stateIdx]===5)return(0,i.compare)(c,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=S;class w{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const c=this.right;return this.right=c.left,c.left=this,this.updateHeight(),c.updateHeight(),c}rotateRight(){const c=this.left;return this.left=c.right,c.right=this,this.updateHeight(),c.updateHeight(),c}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var p;(function(a){a[a.Left=-1]="Left",a[a.Mid=0]="Mid",a[a.Right=1]="Right"})(p||(p={}));class m{constructor(c){this._iter=c}static forUris(c=()=>!1,o=()=>!1){return new m(new S(c,o))}static forPaths(c=!1){return new m(new y(void 0,!c))}static forStrings(){return new m(new E)}static forConfigKeys(){return new m(new v)}clear(){this._root=void 0}fill(c,o){if(o){const l=o.slice(0);(0,R.shuffle)(l);for(const g of l)this.set(g,c)}else{const l=c.slice(0);(0,R.shuffle)(l);for(const g of l)this.set(g[0],g[1])}}set(c,o){const l=this._iter.reset(c);let g;this._root||(this._root=new w,this._root.segment=l.value());const P=[];for(g=this._root;;){const _=l.cmp(g.segment);if(_>0)g.left||(g.left=new w,g.left.segment=l.value()),P.push([-1,g]),g=g.left;else if(_<0)g.right||(g.right=new w,g.right.segment=l.value()),P.push([1,g]),g=g.right;else if(l.hasNext())l.next(),g.mid||(g.mid=new w,g.mid.segment=l.value()),P.push([0,g]),g=g.mid;else break}const U=g.value;g.value=o,g.key=c;for(let _=P.length-1;_>=0;_--){const M=P[_][1];M.updateHeight();const T=M.balanceFactor();if(T<-1||T>1){const $=P[_][0],N=P[_+1][0];if($===1&&N===1)P[_][1]=M.rotateLeft();else if($===-1&&N===-1)P[_][1]=M.rotateRight();else if($===1&&N===-1)M.right=P[_+1][1]=P[_+1][1].rotateRight(),P[_][1]=M.rotateLeft();else if($===-1&&N===1)M.left=P[_+1][1]=P[_+1][1].rotateLeft(),P[_][1]=M.rotateRight();else throw new Error;if(_>0)switch(P[_-1][0]){case-1:P[_-1][1].left=P[_][1];break;case 1:P[_-1][1].right=P[_][1];break;case 0:P[_-1][1].mid=P[_][1];break}else this._root=P[0][1]}}return U}get(c){return this._getNode(c)?.value}_getNode(c){const o=this._iter.reset(c);let l=this._root;for(;l;){const g=o.cmp(l.segment);if(g>0)l=l.left;else if(g<0)l=l.right;else if(o.hasNext())o.next(),l=l.mid;else break}return l}has(c){const o=this._getNode(c);return!(o?.value===void 0&&o?.mid===void 0)}delete(c){return this._delete(c,!1)}deleteSuperstr(c){return this._delete(c,!0)}_delete(c,o){const l=this._iter.reset(c),g=[];let P=this._root;for(;P;){const U=l.cmp(P.segment);if(U>0)g.push([-1,P]),P=P.left;else if(U<0)g.push([1,P]),P=P.right;else if(l.hasNext())l.next(),g.push([0,P]),P=P.mid;else break}if(!!P){if(o?(P.left=void 0,P.mid=void 0,P.right=void 0,P.height=1):(P.key=void 0,P.value=void 0),!P.mid&&!P.value)if(P.left&&P.right){const U=this._min(P.right),{key:_,value:M,segment:T}=U;this._delete(U.key,!1),P.key=_,P.value=M,P.segment=T}else{const U=P.left??P.right;if(g.length>0){const[_,M]=g[g.length-1];switch(_){case-1:M.left=U;break;case 0:M.mid=U;break;case 1:M.right=U;break}}else this._root=U}for(let U=g.length-1;U>=0;U--){const _=g[U][1];_.updateHeight();const M=_.balanceFactor();if(M>1?(_.right.balanceFactor()>=0||(_.right=_.right.rotateRight()),g[U][1]=_.rotateLeft()):M<-1&&(_.left.balanceFactor()<=0||(_.left=_.left.rotateLeft()),g[U][1]=_.rotateRight()),U>0)switch(g[U-1][0]){case-1:g[U-1][1].left=g[U][1];break;case 1:g[U-1][1].right=g[U][1];break;case 0:g[U-1][1].mid=g[U][1];break}else this._root=g[0][1]}}}_min(c){for(;c.left;)c=c.left;return c}findSubstr(c){const o=this._iter.reset(c);let l=this._root,g;for(;l;){const P=o.cmp(l.segment);if(P>0)l=l.left;else if(P<0)l=l.right;else if(o.hasNext())o.next(),g=l.value||g,l=l.mid;else break}return l&&l.value||g}findSuperstr(c){const o=this._iter.reset(c);let l=this._root;for(;l;){const g=o.cmp(l.segment);if(g>0)l=l.left;else if(g<0)l=l.right;else if(o.hasNext())o.next(),l=l.mid;else return l.mid?this._entries(l.mid):void 0}}forEach(c){for(const[o,l]of this)c(l,o)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(c){!c||(c.left&&(yield*this._entries(c.left)),c.value&&(yield[c.key,c.value]),c.mid&&(yield*this._entries(c.mid)),c.right&&(yield*this._entries(c.right)))}_isBalanced(){const c=o=>{if(!o)return!0;const l=o.balanceFactor();return l<-1||l>1?!1:c(o.left)&&c(o.right)};return c(this._root)}}e.TernarySearchTree=m;class u{constructor(c,o){this.uri=c,this.value=o}}class f{constructor(c,o){this[k]="ResourceMap",c instanceof f?(this.map=new Map(c.map),this.toKey=o??f.defaultToKey):(this.map=new Map,this.toKey=c??f.defaultToKey)}set(c,o){return this.map.set(this.toKey(c),new u(c,o)),this}get(c){return this.map.get(this.toKey(c))?.value}has(c){return this.map.has(this.toKey(c))}get size(){return this.map.size}clear(){this.map.clear()}delete(c){return this.map.delete(this.toKey(c))}forEach(c,o){typeof o!="undefined"&&(c=c.bind(o));for(const[l,g]of this.map)c(g.value,g.uri,this)}*values(){for(const c of this.map.values())yield c.value}*keys(){for(const c of this.map.values())yield c.uri}*entries(){for(const c of this.map.values())yield[c.uri,c.value]}*[(k=Symbol.toStringTag,Symbol.iterator)](){for(const[,c]of this.map)yield[c.uri,c.value]}}e.ResourceMap=f,f.defaultToKey=a=>a.toString();class h{constructor(c,o){this[L]="ResourceSet",!c||typeof c=="function"?this._map=new f(c):(this._map=new f(o),c.forEach(this.add,this))}get size(){return this._map.size}add(c){return this._map.set(c,c),this}clear(){this._map.clear()}delete(c){return this._map.delete(c)}forEach(c,o){this._map.forEach((l,g)=>c.call(o,g,g,this))}has(c){return this._map.has(c)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(L=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=h;var n;(function(a){a[a.None=0]="None",a[a.AsOld=1]="AsOld",a[a.AsNew=2]="AsNew"})(n=e.Touch||(e.Touch={}));class r{constructor(){this[A]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(c){return this._map.has(c)}get(c,o=0){const l=this._map.get(c);if(!!l)return o!==0&&this.touch(l,o),l.value}set(c,o,l=0){let g=this._map.get(c);if(g)g.value=o,l!==0&&this.touch(g,l);else{switch(g={key:c,value:o,next:void 0,previous:void 0},l){case 0:this.addItemLast(g);break;case 1:this.addItemFirst(g);break;case 2:this.addItemLast(g);break;default:this.addItemLast(g);break}this._map.set(c,g),this._size++}return this}delete(c){return!!this.remove(c)}remove(c){const o=this._map.get(c);if(!!o)return this._map.delete(c),this.removeItem(o),this._size--,o.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const c=this._head;return this._map.delete(c.key),this.removeItem(c),this._size--,c.value}forEach(c,o){const l=this._state;let g=this._head;for(;g;){if(o?c.bind(o)(g.value,g.key,this):c(g.value,g.key,this),this._state!==l)throw new Error("LinkedMap got modified during iteration.");g=g.next}}keys(){const c=this,o=this._state;let l=this._head;const g={[Symbol.iterator](){return g},next(){if(c._state!==o)throw new Error("LinkedMap got modified during iteration.");if(l){const P={value:l.key,done:!1};return l=l.next,P}else return{value:void 0,done:!0}}};return g}values(){const c=this,o=this._state;let l=this._head;const g={[Symbol.iterator](){return g},next(){if(c._state!==o)throw new Error("LinkedMap got modified during iteration.");if(l){const P={value:l.value,done:!1};return l=l.next,P}else return{value:void 0,done:!0}}};return g}entries(){const c=this,o=this._state;let l=this._head;const g={[Symbol.iterator](){return g},next(){if(c._state!==o)throw new Error("LinkedMap got modified during iteration.");if(l){const P={value:[l.key,l.value],done:!1};return l=l.next,P}else return{value:void 0,done:!0}}};return g}[(A=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(c){if(c>=this.size)return;if(c===0){this.clear();return}let o=this._head,l=this.size;for(;o&&l>c;)this._map.delete(o.key),o=o.next,l--;this._head=o,this._size=l,o&&(o.previous=void 0),this._state++}addItemFirst(c){if(!this._head&&!this._tail)this._tail=c;else if(this._head)c.next=this._head,this._head.previous=c;else throw new Error("Invalid list");this._head=c,this._state++}addItemLast(c){if(!this._head&&!this._tail)this._head=c;else if(this._tail)c.previous=this._tail,this._tail.next=c;else throw new Error("Invalid list");this._tail=c,this._state++}removeItem(c){if(c===this._head&&c===this._tail)this._head=void 0,this._tail=void 0;else if(c===this._head){if(!c.next)throw new Error("Invalid list");c.next.previous=void 0,this._head=c.next}else if(c===this._tail){if(!c.previous)throw new Error("Invalid list");c.previous.next=void 0,this._tail=c.previous}else{const o=c.next,l=c.previous;if(!o||!l)throw new Error("Invalid list");o.previous=l,l.next=o}c.next=void 0,c.previous=void 0,this._state++}touch(c,o){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(o!==1&&o!==2)){if(o===1){if(c===this._head)return;const l=c.next,g=c.previous;c===this._tail?(g.next=void 0,this._tail=g):(l.previous=g,g.next=l),c.previous=void 0,c.next=this._head,this._head.previous=c,this._head=c,this._state++}else if(o===2){if(c===this._tail)return;const l=c.next,g=c.previous;c===this._head?(l.previous=void 0,this._head=l):(l.previous=g,g.next=l),c.next=void 0,c.previous=this._tail,this._tail.next=c,this._tail=c,this._state++}}}toJSON(){const c=[];return this.forEach((o,l)=>{c.push([l,o])}),c}fromJSON(c){this.clear();for(const[o,l]of c)this.set(o,l)}}e.LinkedMap=r;class t extends r{constructor(c,o=1){super();this._limit=c,this._ratio=Math.min(Math.max(0,o),1)}get limit(){return this._limit}set limit(c){this._limit=c,this.checkTrim()}get ratio(){return this._ratio}set ratio(c){this._ratio=Math.min(Math.max(0,c),1),this.checkTrim()}get(c,o=2){return super.get(c,o)}peek(c){return super.get(c,0)}set(c,o){return super.set(c,o,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=t;class s{constructor(c){b.set(this,void 0),Pt(this,b,c,"f")}get size(){return Ge(this,b,"f").size}forEach(c,o){Ge(this,b,"f").forEach(c,o)}get(c){return Ge(this,b,"f").get(c)}has(c){return Ge(this,b,"f").has(c)}entries(){return Ge(this,b,"f").entries()}keys(){return Ge(this,b,"f").keys()}values(){return Ge(this,b,"f").values()}[(b=new WeakMap,Symbol.iterator)](){return Ge(this,b,"f").entries()}}e.ReadonlyMapView=s}),define(re[79],oe([0,1,34]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const i=new R.LRUCache(1e4);function k(D){return C(D,"NFC",i)}e.normalizeNFC=k;const L=new R.LRUCache(1e4);function A(D){return C(D,"NFD",L)}e.normalizeNFD=A;const b=/[^\u0000-\u0080]/;function C(D,I,E){if(!D)return D;const v=E.get(D);if(v)return v;let y;return b.test(D)?y=D.normalize(I):y=D,E.set(D,y),y}e.removeAccents=function(){const D=/[\u0300-\u036f]/g;return function(I){return A(I).replace(D,"")}}()}),define(re[80],oe([0,1,26]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i;(function(k){k[k.Ignore=0]="Ignore",k[k.Info=1]="Info",k[k.Warning=2]="Warning",k[k.Error=3]="Error"})(i||(i={})),function(k){const L="error",A="warning",b="warn",C="info",D="ignore";function I(v){return v?R.equalsIgnoreCase(L,v)?k.Error:R.equalsIgnoreCase(A,v)||R.equalsIgnoreCase(b,v)?k.Warning:R.equalsIgnoreCase(C,v)?k.Info:k.Ignore:k.Ignore}k.fromValue=I;function E(v){switch(v){case k.Error:return L;case k.Warning:return A;case k.Info:return C;default:return D}}k.toString=E}(i||(i={})),e.default=i}),define(re[7],oe([0,1,12,4]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const k=/^\w[\w\d+.-]*$/,L=/^\//,A=/^\/\//;function b(t,s){if(!t.scheme&&s)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${t.authority}", path: "${t.path}", query: "${t.query}", fragment: "${t.fragment}"}`);if(t.scheme&&!k.test(t.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(t.path){if(t.authority){if(!L.test(t.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(A.test(t.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function C(t,s){return!t&&!s?"file":t}function D(t,s){switch(t){case"https":case"http":case"file":s?s[0]!==E&&(s=E+s):s=E;break}return s}const I="",E="/",v=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class y{constructor(s,a,c,o,l,g=!1){typeof s=="object"?(this.scheme=s.scheme||I,this.authority=s.authority||I,this.path=s.path||I,this.query=s.query||I,this.fragment=s.fragment||I):(this.scheme=C(s,g),this.authority=a||I,this.path=D(this.scheme,c||I),this.query=o||I,this.fragment=l||I,b(this,g))}static isUri(s){return s instanceof y?!0:s?typeof s.authority=="string"&&typeof s.fragment=="string"&&typeof s.path=="string"&&typeof s.query=="string"&&typeof s.scheme=="string"&&typeof s.fsPath=="string"&&typeof s.with=="function"&&typeof s.toString=="function":!1}get fsPath(){return u(this,!1)}with(s){if(!s)return this;let{scheme:a,authority:c,path:o,query:l,fragment:g}=s;return a===void 0?a=this.scheme:a===null&&(a=I),c===void 0?c=this.authority:c===null&&(c=I),o===void 0?o=this.path:o===null&&(o=I),l===void 0?l=this.query:l===null&&(l=I),g===void 0?g=this.fragment:g===null&&(g=I),a===this.scheme&&c===this.authority&&o===this.path&&l===this.query&&g===this.fragment?this:new S(a,c,o,l,g)}static parse(s,a=!1){const c=v.exec(s);return c?new S(c[2]||I,r(c[4]||I),r(c[5]||I),r(c[7]||I),r(c[9]||I),a):new S(I,I,I,I,I)}static file(s){let a=I;if(i.isWindows&&(s=s.replace(/\\/g,E)),s[0]===E&&s[1]===E){const c=s.indexOf(E,2);c===-1?(a=s.substring(2),s=E):(a=s.substring(2,c),s=s.substring(c)||E)}return new S("file",a,s,I,I)}static from(s){const a=new S(s.scheme,s.authority,s.path,s.query,s.fragment);return b(a,!0),a}static joinPath(s,...a){if(!s.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let c;return i.isWindows&&s.scheme==="file"?c=y.file(R.win32.join(u(s,!0),...a)).path:c=R.posix.join(s.path,...a),s.with({path:c})}toString(s=!1){return f(this,s)}toJSON(){return this}static revive(s){if(s){if(s instanceof y)return s;{const a=new S(s);return a._formatted=s.external,a._fsPath=s._sep===d?s.fsPath:null,a}}else return s}}e.URI=y;const d=i.isWindows?1:void 0;class S extends y{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=u(this,!1)),this._fsPath}toString(s=!1){return s?f(this,!0):(this._formatted||(this._formatted=f(this,!1)),this._formatted)}toJSON(){const s={$mid:1};return this._fsPath&&(s.fsPath=this._fsPath,s._sep=d),this._formatted&&(s.external=this._formatted),this.path&&(s.path=this.path),this.scheme&&(s.scheme=this.scheme),this.authority&&(s.authority=this.authority),this.query&&(s.query=this.query),this.fragment&&(s.fragment=this.fragment),s}}const w={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function p(t,s){let a,c=-1;for(let o=0;o<t.length;o++){const l=t.charCodeAt(o);if(l>=97&&l<=122||l>=65&&l<=90||l>=48&&l<=57||l===45||l===46||l===95||l===126||s&&l===47)c!==-1&&(a+=encodeURIComponent(t.substring(c,o)),c=-1),a!==void 0&&(a+=t.charAt(o));else{a===void 0&&(a=t.substr(0,o));const g=w[l];g!==void 0?(c!==-1&&(a+=encodeURIComponent(t.substring(c,o)),c=-1),a+=g):c===-1&&(c=o)}}return c!==-1&&(a+=encodeURIComponent(t.substring(c))),a!==void 0?a:t}function m(t){let s;for(let a=0;a<t.length;a++){const c=t.charCodeAt(a);c===35||c===63?(s===void 0&&(s=t.substr(0,a)),s+=w[c]):s!==void 0&&(s+=t[a])}return s!==void 0?s:t}function u(t,s){let a;return t.authority&&t.path.length>1&&t.scheme==="file"?a=`//${t.authority}${t.path}`:t.path.charCodeAt(0)===47&&(t.path.charCodeAt(1)>=65&&t.path.charCodeAt(1)<=90||t.path.charCodeAt(1)>=97&&t.path.charCodeAt(1)<=122)&&t.path.charCodeAt(2)===58?s?a=t.path.substr(1):a=t.path[1].toLowerCase()+t.path.substr(2):a=t.path,i.isWindows&&(a=a.replace(/\//g,"\\")),a}e.uriToFsPath=u;function f(t,s){const a=s?m:p;let c="",{scheme:o,authority:l,path:g,query:P,fragment:U}=t;if(o&&(c+=o,c+=":"),(l||o==="file")&&(c+=E,c+=E),l){let _=l.indexOf("@");if(_!==-1){const M=l.substr(0,_);l=l.substr(_+1),_=M.indexOf(":"),_===-1?c+=a(M,!1):(c+=a(M.substr(0,_),!1),c+=":",c+=a(M.substr(_+1),!1)),c+="@"}l=l.toLowerCase(),_=l.indexOf(":"),_===-1?c+=a(l,!1):(c+=a(l.substr(0,_),!1),c+=l.substr(_))}if(g){if(g.length>=3&&g.charCodeAt(0)===47&&g.charCodeAt(2)===58){const _=g.charCodeAt(1);_>=65&&_<=90&&(g=`/${String.fromCharCode(_+32)}:${g.substr(3)}`)}else if(g.length>=2&&g.charCodeAt(1)===58){const _=g.charCodeAt(0);_>=65&&_<=90&&(g=`${String.fromCharCode(_+32)}:${g.substr(2)}`)}c+=a(g,!0)}return P&&(c+="?",c+=a(P,!1)),U&&(c+="#",c+=s?U:p(U,!1)),c}function h(t){try{return decodeURIComponent(t)}catch{return t.length>3?t.substr(0,3)+h(t.substr(3)):t}}const n=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(t){return t.match(n)?t.replace(n,s=>h(s)):t}}),define(re[126],oe([0,1,7]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function i(D){const I=D;return I&&typeof I.type=="string"&&typeof I.severity=="string"}e.isRemoteConsoleLog=i;function k(D){const I=[];let E;try{const v=JSON.parse(D.arguments),y=v[v.length-1];y&&y.__$stack&&(v.pop(),E=y.__$stack),I.push(...v)}catch{I.push("Unable to log remote console arguments",D.arguments)}return{args:I,stack:E}}e.parse=k;function L(D){if(typeof D!="string")return L(k(D).stack);const I=D;if(I){const E=A(I),v=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(E||"");if(v&&v.length===4)return{uri:R.URI.file(v[1]),line:Number(v[2]),column:Number(v[3])}}}e.getFirstFrame=L;function A(D){if(!D)return D;const I=D.indexOf(`
`);return I===-1?D:D.substring(0,I)}function b(D,I){const{args:E,stack:v}=k(D),y=typeof E[0]=="string"&&E.length===1;let d=A(v);d&&(d=`(${d.trim()})`);let S=[];if(typeof E[0]=="string"?d&&y?S=[`%c[${I}] %c${E[0]} %c${d}`,C("blue"),C(""),C("grey")]:S=[`%c[${I}] %c${E[0]}`,C("blue"),C(""),...E.slice(1)]:S=[`%c[${I}]%`,C("blue"),...E],d&&!y&&S.push(d),typeof console[D.severity]!="function")throw new Error("Unknown console method");console[D.severity].apply(console,S)}e.log=b;function C(D){return`color: ${D}`}}),define(re[63],oe([0,1,17,26,7]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function L(D){return JSON.stringify(D,b)}e.stringify=L;function A(D){let I=JSON.parse(D);return I=C(I),I}e.parse=A;function b(D,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:(0,i.regExpFlags)(I)}:I}function C(D,I=0){if(!D||I>200)return D;if(typeof D=="object"){switch(D.$mid){case 1:return k.URI.revive(D);case 2:return new RegExp(D.source,D.flags);case 14:return new Date(D.source)}if(D instanceof R.VSBuffer||D instanceof Uint8Array)return D;if(Array.isArray(D))for(let E=0;E<D.length;++E)D[E]=C(D[E],I+1);else for(const E in D)Object.hasOwnProperty.call(D,E)&&(D[E]=C(D[E],I+1))}return D}e.revive=C}),define(re[20],oe([0,1,4,7]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var k;(function(b){b.inMemory="inmemory",b.vscode="vscode",b.internal="private",b.walkThrough="walkThrough",b.walkThroughSnippet="walkThroughSnippet",b.http="http",b.https="https",b.file="file",b.mailto="mailto",b.untitled="untitled",b.data="data",b.command="command",b.vscodeRemote="vscode-remote",b.vscodeRemoteResource="vscode-remote-resource",b.vscodeUserData="vscode-userdata",b.vscodeCustomEditor="vscode-custom-editor",b.vscodeNotebook="vscode-notebook",b.vscodeNotebookCell="vscode-notebook-cell",b.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",b.vscodeNotebookCellOutput="vscode-notebook-cell-output",b.vscodeInteractive="vscode-interactive",b.vscodeInteractiveInput="vscode-interactive-input",b.vscodeSettings="vscode-settings",b.vscodeWorkspaceTrust="vscode-workspace-trust",b.vscodeTerminal="vscode-terminal",b.webviewPanel="webview-panel",b.vscodeWebview="vscode-webview",b.extension="extension",b.vscodeFileResource="vscode-file",b.tmp="tmp",b.vsls="vsls"})(k=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class L{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${k.vscodeRemoteResource}`}setPreferredWebSchema(C){this._preferredWebSchema=C}setDelegate(C){this._delegate=C}setServerRootPath(C){this._remoteResourcesPath=`${C}/${k.vscodeRemoteResource}`}set(C,D,I){this._hosts[C]=D,this._ports[C]=I}setConnectionToken(C,D){this._connectionTokens[C]=D}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(C){if(this._delegate)return this._delegate(C);const D=C.authority;let I=this._hosts[D];I&&I.indexOf(":")!==-1&&(I=`[${I}]`);const E=this._ports[D],v=this._connectionTokens[D];let y=`path=${encodeURIComponent(C.path)}`;return typeof v=="string"&&(y+=`&${e.connectionTokenQueryName}=${encodeURIComponent(v)}`),i.URI.from({scheme:R.isWeb?this._preferredWebSchema:k.vscodeRemoteResource,authority:`${I}:${E}`,path:this._remoteResourcesPath,query:y})}}e.RemoteAuthorities=new L;class A{asBrowserUri(C,D){const I=this.toUri(C,D);return I.scheme===k.vscodeRemote?e.RemoteAuthorities.rewrite(I):I.scheme===k.file&&(R.isNative||R.isWebWorker&&R.globals.origin===`${k.vscodeFileResource}://${A.FALLBACK_AUTHORITY}`)?I.with({scheme:k.vscodeFileResource,authority:I.authority||A.FALLBACK_AUTHORITY,query:null,fragment:null}):I}asFileUri(C,D){const I=this.toUri(C,D);return I.scheme===k.vscodeFileResource?I.with({scheme:k.file,authority:I.authority!==A.FALLBACK_AUTHORITY?I.authority:null,query:null,fragment:null}):I}toUri(C,D){return i.URI.isUri(C)?C:i.URI.parse(D.toUrl(C))}}A.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new A}),define(re[16],oe([0,1,42,20,12,4,26,7]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function C(y){return(0,b.uriToFsPath)(y,!0)}e.originalFSPath=C;class D{constructor(d){this._ignorePathCasing=d}compare(d,S,w=!1){return d===S?0:(0,A.compare)(this.getComparisonKey(d,w),this.getComparisonKey(S,w))}isEqual(d,S,w=!1){return d===S?!0:!d||!S?!1:this.getComparisonKey(d,w)===this.getComparisonKey(S,w)}getComparisonKey(d,S=!1){return d.with({path:this._ignorePathCasing(d)?d.path.toLowerCase():void 0,fragment:S?null:void 0}).toString()}ignorePathCasing(d){return this._ignorePathCasing(d)}isEqualOrParent(d,S,w=!1){if(d.scheme===S.scheme){if(d.scheme===i.Schemas.file)return R.isEqualOrParent(C(d),C(S),this._ignorePathCasing(d))&&d.query===S.query&&(w||d.fragment===S.fragment);if((0,e.isEqualAuthority)(d.authority,S.authority))return R.isEqualOrParent(d.path,S.path,this._ignorePathCasing(d),"/")&&d.query===S.query&&(w||d.fragment===S.fragment)}return!1}joinPath(d,...S){return b.URI.joinPath(d,...S)}basenameOrAuthority(d){return(0,e.basename)(d)||d.authority}basename(d){return k.posix.basename(d.path)}extname(d){return k.posix.extname(d.path)}dirname(d){if(d.path.length===0)return d;let S;return d.scheme===i.Schemas.file?S=b.URI.file(k.dirname(C(d))).path:(S=k.posix.dirname(d.path),d.authority&&S.length&&S.charCodeAt(0)!==47&&(console.error(`dirname("${d.toString})) resulted in a relative path`),S="/")),d.with({path:S})}normalizePath(d){if(!d.path.length)return d;let S;return d.scheme===i.Schemas.file?S=b.URI.file(k.normalize(C(d))).path:S=k.posix.normalize(d.path),d.with({path:S})}relativePath(d,S){if(d.scheme!==S.scheme||!(0,e.isEqualAuthority)(d.authority,S.authority))return;if(d.scheme===i.Schemas.file){const m=k.relative(C(d),C(S));return L.isWindows?R.toSlashes(m):m}let w=d.path||"/";const p=S.path||"/";if(this._ignorePathCasing(d)){let m=0;for(const u=Math.min(w.length,p.length);m<u&&!(w.charCodeAt(m)!==p.charCodeAt(m)&&w.charAt(m).toLowerCase()!==p.charAt(m).toLowerCase());m++);w=p.substr(0,m)+w.substr(m)}return k.posix.relative(w,p)}resolvePath(d,S){if(d.scheme===i.Schemas.file){const w=b.URI.file(k.resolve(C(d),S));return d.with({authority:w.authority,path:w.path})}return S=R.toPosixPath(S),d.with({path:k.posix.resolve(d.path,S)})}isAbsolutePath(d){return!!d.path&&d.path[0]==="/"}isEqualAuthority(d,S){return d===S||d!==void 0&&S!==void 0&&(0,A.equalsIgnoreCase)(d,S)}hasTrailingPathSeparator(d,S=k.sep){if(d.scheme===i.Schemas.file){const w=C(d);return w.length>R.getRoot(w).length&&w[w.length-1]===S}else{const w=d.path;return w.length>1&&w.charCodeAt(w.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(d.fsPath)}}removeTrailingPathSeparator(d,S=k.sep){return(0,e.hasTrailingPathSeparator)(d,S)?d.with({path:d.path.substr(0,d.path.length-1)}):d}addTrailingPathSeparator(d,S=k.sep){let w=!1;if(d.scheme===i.Schemas.file){const p=C(d);w=p!==void 0&&p.length===R.getRoot(p).length&&p[p.length-1]===S}else{S="/";const p=d.path;w=p.length===1&&p.charCodeAt(p.length-1)===47}return!w&&!(0,e.hasTrailingPathSeparator)(d,S)?d.with({path:d.path+"/"}):d}}e.ExtUri=D,e.extUri=new D(()=>!1),e.extUriBiasedIgnorePathCase=new D(y=>y.scheme===i.Schemas.file?!L.isLinux:!0),e.extUriIgnorePathCase=new D(y=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function I(y,d){const S=[];for(let w=0;w<y.length;w++){const p=d(y[w]);y.some((m,u)=>u===w?!1:(0,e.isEqualOrParent)(p,d(m)))||S.push(y[w])}return S}e.distinctParents=I;var E;(function(y){y.META_DATA_LABEL="label",y.META_DATA_DESCRIPTION="description",y.META_DATA_SIZE="size",y.META_DATA_MIME="mime";function d(S){const w=new Map;S.path.substring(S.path.indexOf(";")+1,S.path.lastIndexOf(";")).split(";").forEach(u=>{const[f,h]=u.split(":");f&&h&&w.set(f,h)});const m=S.path.substring(0,S.path.indexOf(";"));return m&&w.set(y.META_DATA_MIME,m),w}y.parseMetaData=d})(E=e.DataUri||(e.DataUri={}));function v(y,d,S){if(d){let w=y.path;return w&&w[0]!==k.posix.sep&&(w=k.posix.sep+w),y.with({scheme:S,authority:d,path:w})}return y.with({scheme:S})}e.toLocalResource=v}),define(re[6],oe([0,1,23,9,3,2,16,4]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function C(V){return!!V&&typeof V.then=="function"}e.isThenable=C;function D(V){const O=new R.CancellationTokenSource,F=V(O.token),q=new Promise((j,te)=>{const H=O.token.onCancellationRequested(()=>{H.dispose(),O.dispose(),te(new i.CancellationError)});Promise.resolve(F).then(ie=>{H.dispose(),O.dispose(),j(ie)},ie=>{H.dispose(),O.dispose(),te(ie)})});return new class{cancel(){O.cancel()}then(j,te){return q.then(j,te)}catch(j){return this.then(void 0,j)}finally(j){return q.finally(j)}}}e.createCancelablePromise=D;function I(V,O,F){return new Promise((q,j)=>{const te=O.onCancellationRequested(()=>{te.dispose(),q(F)});V.then(q,j).finally(()=>te.dispose())})}e.raceCancellation=I;function E(V,O){return new Promise((F,q)=>{const j=O.onCancellationRequested(()=>{j.dispose(),q(new i.CancellationError)});V.then(F,q).finally(()=>j.dispose())})}e.raceCancellationError=E;async function v(V){let O=-1;const F=V.map((j,te)=>j.then(H=>(O=te,H))),q=await Promise.race(F);return V.forEach((j,te)=>{te!==O&&j.cancel()}),q}e.raceCancellablePromises=v;function y(V,O,F){let q;const j=setTimeout(()=>{q?.(void 0),F?.()},O);return Promise.race([V.finally(()=>clearTimeout(j)),new Promise(te=>q=te)])}e.raceTimeout=y;function d(V){return new Promise((O,F)=>{const q=V();C(q)?q.then(O,F):O(q)})}e.asPromise=d;class S{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(O){if(this.activePromise){if(this.queuedPromiseFactory=O,!this.queuedPromise){const F=()=>{this.queuedPromise=null;const q=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,q};this.queuedPromise=new Promise(q=>{this.activePromise.then(F,F).then(q)})}return new Promise((F,q)=>{this.queuedPromise.then(F,q)})}return this.activePromise=O(),new Promise((F,q)=>{this.activePromise.then(j=>{this.activePromise=null,F(j)},j=>{this.activePromise=null,q(j)})})}}e.Throttler=S;class w{constructor(){this.current=Promise.resolve(null)}queue(O){return this.current=this.current.then(()=>O(),()=>O())}}e.Sequencer=w;class p{constructor(){this.promiseMap=new Map}queue(O,F){const j=(this.promiseMap.get(O)??Promise.resolve()).catch(()=>{}).then(F).finally(()=>{this.promiseMap.get(O)===j&&this.promiseMap.delete(O)});return this.promiseMap.set(O,j),j}}e.SequencerByKey=p;const m=(V,O)=>{let F=!0;const q=setTimeout(()=>{F=!1,O()},V);return{isTriggered:()=>F,dispose:()=>{clearTimeout(q),F=!1}}},u=V=>{let O=!0;return queueMicrotask(()=>{O&&(O=!1,V())}),{isTriggered:()=>O,dispose:()=>{O=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class f{constructor(O){this.defaultDelay=O,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(O,F=this.defaultDelay){this.task=O,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((j,te)=>{this.doResolve=j,this.doReject=te}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const j=this.task;return this.task=null,j()}}));const q=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=F===e.MicrotaskDelay?u(q):m(F,q),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new i.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=f;class h{constructor(O){this.delayer=new f(O),this.throttler=new S}trigger(O,F){return this.delayer.trigger(()=>this.throttler.queue(O),F)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=h;class n{constructor(){this._isOpen=!1,this._promise=new Promise((O,F)=>{this._completePromise=O})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=n;class r extends n{constructor(O){super();this._timeout=setTimeout(()=>this.open(),O)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=r;function t(V,O){return O?new Promise((F,q)=>{const j=setTimeout(()=>{te.dispose(),F()},V),te=O.onCancellationRequested(()=>{clearTimeout(j),te.dispose(),q(new i.CancellationError)})}):D(F=>t(V,F))}e.timeout=t;function s(V,O=0){const F=setTimeout(V,O);return(0,L.toDisposable)(()=>clearTimeout(F))}e.disposableTimeout=s;function a(V){const O=[];let F=0;const q=V.length;function j(){return F<q?V[F++]():null}function te(H){H!=null&&O.push(H);const ie=j();return ie?ie.then(te):Promise.resolve(O)}return Promise.resolve(null).then(te)}e.sequence=a;function c(V,O=q=>!!q,F=null){let q=0;const j=V.length,te=()=>{if(q>=j)return Promise.resolve(F);const H=V[q++];return Promise.resolve(H()).then(ne=>O(ne)?Promise.resolve(ne):te())};return te()}e.first=c;function o(V,O=q=>!!q,F=null){if(V.length===0)return Promise.resolve(F);let q=V.length;const j=()=>{q=-1;for(const te of V)te.cancel?.()};return new Promise((te,H)=>{for(const ie of V)ie.then(ne=>{--q>=0&&O(ne)?(j(),te(ne)):q===0&&te(F)}).catch(ne=>{--q>=0&&(j(),H(ne))})})}e.firstParallel=o;class l{constructor(O){this._size=0,this.maxDegreeOfParalellism=O,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new k.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(O){return this._size++,new Promise((F,q)=>{this.outstandingPromises.push({factory:O,c:F,e:q}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const O=this.outstandingPromises.shift();this.runningPromises++;const F=O.factory();F.then(O.c,O.e),F.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}e.Limiter=l;class g extends l{constructor(){super(1)}}e.Queue=g;class P{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const O=new x;return this.drainers.add(O),O.p}isDrained(){for(const[,O]of this.queues)if(O.size>0)return!1;return!0}queueFor(O,F=A.extUri){const q=F.getComparisonKey(O);let j=this.queues.get(q);return j||(j=new g,k.Event.once(j.onDrained)(()=>{j?.dispose(),this.queues.delete(q),this.onDidQueueDrain()}),this.queues.set(q,j)),j}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const O of this.drainers)O.complete();this.drainers.clear()}dispose(){for(const[,O]of this.queues)O.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=P;class U{constructor(O,F){this._token=-1,typeof O=="function"&&typeof F=="number"&&this.setIfNotSet(O,F)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(O,F){this.cancel(),this._token=setTimeout(()=>{this._token=-1,O()},F)}setIfNotSet(O,F){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,O()},F))}}e.TimeoutTimer=U;class _{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(O,F){this.cancel(),this._token=setInterval(()=>{O()},F)}}e.IntervalTimer=_;class M{constructor(O,F){this.timeoutToken=-1,this.runner=O,this.timeout=F,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(O=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,O)}get delay(){return this.timeout}set delay(O){this.timeout=O}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}e.RunOnceScheduler=M;class T{constructor(O,F){F%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${F}ms is not a multiple of 1000ms.`),this.runner=O,this.timeout=F,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(O=this.timeout){O%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${O}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(O/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}e.ProcessTimeRunOnceScheduler=T;class $ extends M{constructor(O,F){super(O,F);this.units=[]}work(O){this.units.push(O),this.isScheduled()||this.schedule()}doRun(){const O=this.units;this.units=[],this.runner?.(O)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=$;class N extends L.Disposable{constructor(O,F){super();this.options=O,this.handler=F,this.pendingWork=[],this.throttler=this._register(new L.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(O){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+O.length>this.options.maxBufferedWork)return!1}else if(this.pending+O.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...O),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new M(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=N,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=V=>{(0,b.setTimeout0)(()=>{if(O)return;const F=Date.now()+15;V(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,F-Date.now())}}))});let O=!1;return{dispose(){O||(O=!0)}}}:e.runWhenIdle=(V,O)=>{const F=requestIdleCallback(V,typeof O=="number"?{timeout:O}:void 0);let q=!1;return{dispose(){q||(q=!0,cancelIdleCallback(F))}}}}();class G{constructor(O){this._didRun=!1,this._executor=()=>{try{this._value=O()}catch(F){this._error=F}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=G;async function J(V,O,F){let q;for(let j=0;j<F;j++)try{return await V()}catch(te){q=te,await t(O)}throw q}e.retry=J;class z{hasPending(O){return this._pending?typeof O=="number"?this._pending.taskId===O:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(O,F,q){return this._pending={taskId:O,cancel:()=>q?.(),promise:F},F.then(()=>this.donePending(O),()=>this.donePending(O)),F}donePending(O){this._pending&&O===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const O=this._next;this._next=void 0,O.run().then(O.promiseResolve,O.promiseReject)}}setNext(O){if(this._next)this._next.run=O;else{let F,q;const j=new Promise((te,H)=>{F=te,q=H});this._next={run:O,promise:j,promiseResolve:F,promiseReject:q}}return this._next.promise}}e.TaskSequentializer=z;class Q{constructor(O,F=()=>Date.now()){this.interval=O,this.nowFn=F,this.lastIncrementTime=0,this.value=0}increment(){const O=this.nowFn();return O-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=O,this.value=0),this.value++,this.value}}e.IntervalCounter=Q;class x{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((O,F)=>{this.completeCallback=O,this.errorCallback=F})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(O){return new Promise(F=>{this.completeCallback(O),this.resolved=!0,F()})}error(O){return new Promise(F=>{this.errorCallback(O),this.rejected=!0,F()})}cancel(){new Promise(O=>{this.errorCallback(new i.CancellationError),this.rejected=!0,O()})}}e.DeferredPromise=x;var B;(function(V){async function O(q){let j;const te=await Promise.all(q.map(H=>H.then(ie=>ie,ie=>{j||(j=ie)})));if(typeof j!="undefined")throw j;return te}V.settled=O;function F(q){return new Promise(async(j,te)=>{try{await q(j,te)}catch(H){te(H)}})}V.withAsyncBody=F})(B=e.Promises||(e.Promises={}));var Y;(function(V){V[V.Initial=0]="Initial",V[V.DoneOK=1]="DoneOK",V[V.DoneError=2]="DoneError"})(Y||(Y={}));class se{constructor(O){this._state=0,this._results=[],this._error=null,this._onStateChanged=new k.Emitter,queueMicrotask(async()=>{const F={emitOne:q=>this.emitOne(q),emitMany:q=>this.emitMany(q),reject:q=>this.reject(q)};try{await Promise.resolve(O(F)),this.resolve()}catch(q){this.reject(q)}finally{F.emitOne=void 0,F.emitMany=void 0,F.reject=void 0}})}static fromArray(O){return new se(F=>{F.emitMany(O)})}static fromPromise(O){return new se(async F=>{F.emitMany(await O)})}static fromPromises(O){return new se(async F=>{await Promise.all(O.map(async q=>F.emitOne(await q)))})}static merge(O){return new se(async F=>{await Promise.all(O.map(async q=>{for await(const j of q)F.emitOne(j)}))})}[Symbol.asyncIterator](){let O=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(O<this._results.length)return{done:!1,value:this._results[O++]};if(this._state===1)return{done:!0,value:void 0};await k.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(O,F){return new se(async q=>{for await(const j of O)q.emitOne(F(j))})}map(O){return se.map(this,O)}static filter(O,F){return new se(async q=>{for await(const j of O)F(j)&&q.emitOne(j)})}filter(O){return se.filter(this,O)}static coalesce(O){return se.filter(O,F=>!!F)}coalesce(){return se.coalesce(this)}static async toPromise(O){const F=[];for await(const q of O)F.push(q);return F}toPromise(){return se.toPromise(this)}emitOne(O){this._state===0&&(this._results.push(O),this._onStateChanged.fire())}emitMany(O){this._state===0&&(this._results=this._results.concat(O),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(O){this._state===0&&(this._state=2,this._error=O,this._onStateChanged.fire())}}e.AsyncIterableObject=se,se.EMPTY=se.fromArray([]);class Z extends se{constructor(O,F){super(F);this._source=O}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=Z;function W(V){const O=new R.CancellationTokenSource,F=V(O.token);return new Z(O,async q=>{const j=O.token.onCancellationRequested(()=>{j.dispose(),O.dispose(),q.reject(new i.CancellationError)});try{for await(const te of F){if(O.token.isCancellationRequested)return;q.emitOne(te)}j.dispose(),O.dispose()}catch(te){j.dispose(),O.dispose(),q.reject(te)}})}e.createCancelableAsyncIterable=W}),define(re[81],oe([0,1,18,6,42,34,12,4,26]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function D(){return Object.create(null)}e.getEmptyExpression=D,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const I="[/\\\\]",E="[^/\\\\]",v=/\//g;function y(x,B){switch(x){case 0:return"";case 1:return`${E}*?`;default:return`(?:${I}|${E}+${I}${B?`|${I}${E}+`:""})*?`}}function d(x,B){if(!x)return[];const Y=[];let se=!1,Z=!1,W="";for(const V of x){switch(V){case B:if(!se&&!Z){Y.push(W),W="";continue}break;case"{":se=!0;break;case"}":se=!1;break;case"[":Z=!0;break;case"]":Z=!1;break}W+=V}return W&&Y.push(W),Y}e.splitGlobAware=d;function S(x){if(!x)return"";let B="";const Y=d(x,e.GLOB_SPLIT);if(Y.every(se=>se===e.GLOBSTAR))B=".*";else{let se=!1;Y.forEach((Z,W)=>{if(Z===e.GLOBSTAR){if(se)return;B+=y(2,W===Y.length-1)}else{let V=!1,O="",F=!1,q="";for(const j of Z){if(j!=="}"&&V){O+=j;continue}if(F&&(j!=="]"||!q)){let te;j==="-"?te=j:(j==="^"||j==="!")&&!q?te="^":j===e.GLOB_SPLIT?te="":te=(0,C.escapeRegExpCharacters)(j),q+=te;continue}switch(j){case"{":V=!0;continue;case"[":F=!0;continue;case"}":{B+=`(?:${d(O,",").map(ie=>S(ie)).join("|")})`,V=!1,O="";break}case"]":{B+="["+q+"]",F=!1,q="";break}case"?":B+=E;continue;case"*":B+=y(1);continue;default:B+=(0,C.escapeRegExpCharacters)(j)}}W<Y.length-1&&(Y[W+1]!==e.GLOBSTAR||W+2<Y.length)&&(B+=I)}se=Z===e.GLOBSTAR})}return B}const w=/^\*\*\/\*\.[\w\.-]+$/,p=/^\*\*\/([\w\.-]+)\/?$/,m=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,u=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,f=/^\*\*((\/[\w\.-]+)+)\/?$/,h=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,n=new L.LRUCache(1e4),r=function(){return!1},t=function(){return null};function s(x,B){if(!x)return t;let Y;typeof x!="string"?Y=x.pattern:Y=x,Y=Y.trim();const se=`${Y}_${!!B.trimForExclusions}`;let Z=n.get(se);if(Z)return a(Z,x);let W;return w.test(Y)?Z=o(Y.substr(4),Y):(W=p.exec(c(Y,B)))?Z=l(W[1],Y):(B.trimForExclusions?u:m).test(Y)?Z=g(Y,B):(W=f.exec(c(Y,B)))?Z=P(W[1].substr(1),Y,!0):(W=h.exec(c(Y,B)))?Z=P(W[1],Y,!1):Z=U(Y),n.set(se,Z),a(Z,x)}function a(x,B){if(typeof B=="string")return x;const Y=function(se,Z){return(0,k.isEqualOrParent)(se,B.base,!b.isLinux)?x(se.substr(B.base.length+1),Z):null};return Y.allBasenames=x.allBasenames,Y.allPaths=x.allPaths,Y.basenames=x.basenames,Y.patterns=x.patterns,Y}function c(x,B){return B.trimForExclusions&&x.endsWith("/**")?x.substr(0,x.length-2):x}function o(x,B){return function(Y,se){return typeof Y=="string"&&Y.endsWith(x)?B:null}}function l(x,B){const Y=`/${x}`,se=`\\${x}`,Z=function(V,O){return typeof V!="string"?null:O?O===x?B:null:V===x||V.endsWith(Y)||V.endsWith(se)?B:null},W=[x];return Z.basenames=W,Z.patterns=[B],Z.allBasenames=W,Z}function g(x,B){const Y=z(x.slice(1,-1).split(",").map(O=>s(O,B)).filter(O=>O!==t),x),se=Y.length;if(!se)return t;if(se===1)return Y[0];const Z=function(O,F){for(let q=0,j=Y.length;q<j;q++)if(Y[q](O,F))return x;return null},W=Y.find(O=>!!O.allBasenames);W&&(Z.allBasenames=W.allBasenames);const V=Y.reduce((O,F)=>F.allPaths?O.concat(F.allPaths):O,[]);return V.length&&(Z.allPaths=V),Z}function P(x,B,Y){const se=A.sep===A.posix.sep,Z=se?x:x.replace(v,A.sep),W=A.sep+Z,V=A.posix.sep+x;let O;return Y?O=function(F,q){return typeof F=="string"&&(F===Z||F.endsWith(W)||!se&&(F===x||F.endsWith(V)))?B:null}:O=function(F,q){return typeof F=="string"&&(F===Z||!se&&F===x)?B:null},O.allPaths=[(Y?"*/":"./")+x],O}function U(x){try{const B=new RegExp(`^${S(x)}$`);return function(Y){return B.lastIndex=0,typeof Y=="string"&&B.test(Y)?x:null}}catch{return t}}function _(x,B,Y){return!x||typeof B!="string"?!1:M(x)(B,void 0,Y)}e.match=_;function M(x,B={}){if(!x)return r;if(typeof x=="string"||T(x)){const Y=s(x,B);if(Y===t)return r;const se=function(Z,W){return!!Y(Z,W)};return Y.allBasenames&&(se.allBasenames=Y.allBasenames),Y.allPaths&&(se.allPaths=Y.allPaths),se}return G(x,B)}e.parse=M;function T(x){const B=x;return B?typeof B.base=="string"&&typeof B.pattern=="string":!1}e.isRelativePattern=T;function $(x){return x.allBasenames||[]}e.getBasenameTerms=$;function N(x){return x.allPaths||[]}e.getPathTerms=N;function G(x,B){const Y=z(Object.getOwnPropertyNames(x).map(O=>J(O,x[O],B)).filter(O=>O!==t)),se=Y.length;if(!se)return t;if(!Y.some(O=>!!O.requiresSiblings)){if(se===1)return Y[0];const O=function(j,te){let H;for(let ie=0,ne=Y.length;ie<ne;ie++){const ce=Y[ie](j,te);if(typeof ce=="string")return ce;(0,i.isThenable)(ce)&&(H||(H=[]),H.push(ce))}return H?(async()=>{for(const ie of H){const ne=await ie;if(typeof ne=="string")return ne}return null})():null},F=Y.find(j=>!!j.allBasenames);F&&(O.allBasenames=F.allBasenames);const q=Y.reduce((j,te)=>te.allPaths?j.concat(te.allPaths):j,[]);return q.length&&(O.allPaths=q),O}const Z=function(O,F,q){let j,te;for(let H=0,ie=Y.length;H<ie;H++){const ne=Y[H];ne.requiresSiblings&&q&&(F||(F=(0,A.basename)(O)),j||(j=F.substr(0,F.length-(0,A.extname)(O).length)));const ce=ne(O,F,j,q);if(typeof ce=="string")return ce;(0,i.isThenable)(ce)&&(te||(te=[]),te.push(ce))}return te?(async()=>{for(const H of te){const ie=await H;if(typeof ie=="string")return ie}return null})():null},W=Y.find(O=>!!O.allBasenames);W&&(Z.allBasenames=W.allBasenames);const V=Y.reduce((O,F)=>F.allPaths?O.concat(F.allPaths):O,[]);return V.length&&(Z.allPaths=V),Z}function J(x,B,Y){if(B===!1)return t;const se=s(x,Y);if(se===t)return t;if(typeof B=="boolean")return se;if(B){const Z=B.when;if(typeof Z=="string"){const W=(V,O,F,q)=>{if(!q||!se(V,O))return null;const j=Z.replace("$(basename)",F),te=q(j);return(0,i.isThenable)(te)?te.then(H=>H?x:null):te?x:null};return W.requiresSiblings=!0,W}}return se}function z(x,B){const Y=x.filter(O=>!!O.basenames);if(Y.length<2)return x;const se=Y.reduce((O,F)=>{const q=F.basenames;return q?O.concat(q):O},[]);let Z;if(B){Z=[];for(let O=0,F=se.length;O<F;O++)Z.push(B)}else Z=Y.reduce((O,F)=>{const q=F.patterns;return q?O.concat(q):O},[]);const W=function(O,F){if(typeof O!="string")return null;if(!F){let j;for(j=O.length;j>0;j--){const te=O.charCodeAt(j-1);if(te===47||te===92)break}F=O.substr(j)}const q=se.indexOf(F);return q!==-1?Z[q]:null};W.basenames=se,W.patterns=Z,W.allBasenames=se;const V=x.filter(O=>!O.basenames);return V.push(W),V}function Q(x,B){return(0,R.equals)(x,B,(Y,se)=>typeof Y=="string"&&typeof se=="string"?Y===se:typeof Y!="string"&&typeof se!="string"?Y.base===se.base&&Y.pattern===se.pattern:!1)}e.patternsEquals=Q}),define(re[127],oe([0,1,7]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function i(I){return I.toJSON()}class k{constructor(E){this._uriTransformer=E}transformIncoming(E){const v=this._uriTransformer.transformIncoming(E);return v===E?E:i(R.URI.from(v))}transformOutgoing(E){const v=this._uriTransformer.transformOutgoing(E);return v===E?E:i(R.URI.from(v))}transformOutgoingURI(E){const v=this._uriTransformer.transformOutgoing(E);return v===E?E:R.URI.from(v)}transformOutgoingScheme(E){return this._uriTransformer.transformOutgoingScheme(E)}}e.URITransformer=k,e.DefaultURITransformer=new class{transformIncoming(I){return I}transformOutgoing(I){return I}transformOutgoingURI(I){return I}transformOutgoingScheme(I){return I}};function L(I,E,v){if(!I||v>200)return null;if(typeof I=="object"){if(I instanceof R.URI)return E.transformOutgoing(I);for(const y in I)if(Object.hasOwnProperty.call(I,y)){const d=L(I[y],E,v+1);d!==null&&(I[y]=d)}}return null}function A(I,E){const v=L(I,E,0);return v===null?I:v}e.transformOutgoingURIs=A;function b(I,E,v,y){if(!I||y>200)return null;if(typeof I=="object"){if(I.$mid===1)return v?R.URI.revive(E.transformIncoming(I)):E.transformIncoming(I);for(const d in I)if(Object.hasOwnProperty.call(I,d)){const S=b(I[d],E,v,y+1);S!==null&&(I[d]=S)}}return null}function C(I,E){const v=b(I,E,!1,0);return v===null?I:v}e.transformIncomingURIs=C;function D(I,E){const v=b(I,E,!0,0);return v===null?I:v}e.transformAndReviveIncomingURIs=D}),define(re[128],oe([0,1,37,9,34,31,114]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(I){return this._virtualMachineOUIs||(this._virtualMachineOUIs=k.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(I)}value(){if(this._value===void 0){let I=0,E=0;const v=(0,R.networkInterfaces)();for(const y in v){const d=v[y];if(d)for(const{mac:S,internal:w}of d)w||(E+=1,this._isVirtualMachineMacAddress(S.toUpperCase())&&(I+=1))}this._value=E>0?I/E:0}return this._value}};let b;async function C(){return b||(b=(async()=>await D()||L.generateUuid())()),b}e.getMachineId=C;async function D(){try{const I=await new Promise((v,y)=>{X(["crypto"],v,y)}),E=(0,A.getMac)();return I.createHash("sha256").update(E,"utf8").digest("hex")}catch(I){i.onUnexpectedError(I);return}}}),define(re[27],oe([0,1,54,37,268,6,42,79,12,4,16,7]),function(X,e,R,i,k,L,A,b,C,D,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var v;(function(N){N[N.UNLINK=0]="UNLINK",N[N.MOVE=1]="MOVE"})(v=e.RimRafMode||(e.RimRafMode={}));async function y(N,G=v.UNLINK){if((0,A.isRootOrDriveLetter)(N))throw new Error("rimraf - will refuse to recursively delete root");return G===v.UNLINK?S(N):d(N)}async function d(N){try{const G=(0,A.randomPath)((0,i.tmpdir)());try{await R.promises.rename(N,G)}catch{return S(N)}S(G).catch(J=>{})}catch(G){if(G.code!=="ENOENT")throw G}}async function S(N){return(0,k.promisify)(R.rm)(N,{recursive:!0,force:!0,maxRetries:3})}function w(N){if((0,A.isRootOrDriveLetter)(N))throw new Error("rimraf - will refuse to recursively delete root");R.rmSync(N,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=w;async function p(N,G){return f(await(G?m(N):(0,k.promisify)(R.readdir)(N)))}async function m(N){try{return await(0,k.promisify)(R.readdir)(N,{withFileTypes:!0})}catch(z){console.warn("[node.js fs] readdir with filetypes failed with error: ",z)}const G=[],J=await p(N);for(const z of J){let Q=!1,x=!1,B=!1;try{const Y=await e.Promises.lstat((0,C.join)(N,z));Q=Y.isFile(),x=Y.isDirectory(),B=Y.isSymbolicLink()}catch(Y){console.warn("[node.js fs] unexpected error from lstat after readdir: ",Y)}G.push({name:z,isFile:()=>Q,isDirectory:()=>x,isSymbolicLink:()=>B})}return G}function u(N){return f(R.readdirSync(N))}e.readdirSync=u;function f(N){return N.map(G=>typeof G=="string"?D.isMacintosh?(0,b.normalizeNFC)(G):G:(G.name=D.isMacintosh?(0,b.normalizeNFC)(G.name):G.name,G))}async function h(N){const G=await p(N),J=[];for(const z of G)await r.existsDirectory((0,C.join)(N,z))&&J.push(z);return J}function n(N,G=1e3){return new Promise(J=>{let z=!1;const Q=setInterval(()=>{z||(z=!0,R.access(N,x=>{z=!1,x&&(clearInterval(Q),J(void 0))}))},G)})}e.whenDeleted=n;var r;(function(N){async function G(Q){let x;try{if(x=await e.Promises.lstat(Q),!x.isSymbolicLink())return{stat:x}}catch{}try{return{stat:await e.Promises.stat(Q),symbolicLink:x?.isSymbolicLink()?{dangling:!1}:void 0}}catch(B){if(B.code==="ENOENT"&&x)return{stat:x,symbolicLink:{dangling:!0}};if(D.isWindows&&B.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(Q)),symbolicLink:{dangling:!1}}}catch(Y){if(Y.code==="ENOENT"&&x)return{stat:x,symbolicLink:{dangling:!0}};throw Y}throw B}}N.stat=G;async function J(Q){try{const{stat:x,symbolicLink:B}=await N.stat(Q);return x.isFile()&&B?.dangling!==!0}catch{}return!1}N.existsFile=J;async function z(Q){try{const{stat:x,symbolicLink:B}=await N.stat(Q);return x.isDirectory()&&B?.dangling!==!0}catch{}return!1}N.existsDirectory=z})(r=e.SymlinkSupport||(e.SymlinkSupport={}));const t=new L.ResourceQueue;function s(N,G,J){return t.queueFor(E.URI.file(N),I.extUriBiasedIgnorePathCase).queue(()=>{const z=l(J);return new Promise((Q,x)=>c(N,G,z,B=>B?x(B):Q()))})}let a=!0;function c(N,G,J,z){if(!a)return R.writeFile(N,G,{mode:J.mode,flag:J.flag},z);R.open(N,J.flag,J.mode,(Q,x)=>{if(Q)return z(Q);R.writeFile(x,G,B=>{if(B)return R.close(x,()=>z(B));R.fdatasync(x,Y=>(Y&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",Y),a=!1),R.close(x,se=>z(se))))})})}function o(N,G,J){const z=l(J);if(!a)return R.writeFileSync(N,G,{mode:z.mode,flag:z.flag});const Q=R.openSync(N,z.flag,z.mode);try{R.writeFileSync(Q,G);try{R.fdatasyncSync(Q)}catch(x){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",x),a=!1}}finally{R.closeSync(Q)}}e.writeFileSync=o;function l(N){return N?{mode:typeof N.mode=="number"?N.mode:438,flag:typeof N.flag=="string"?N.flag:"w"}:{mode:438,flag:"w"}}async function g(N,G){if(N!==G)try{await e.Promises.rename(N,G)}catch(J){if(N.toLowerCase()!==G.toLowerCase()&&J.code==="EXDEV"||N.endsWith("."))await P(N,G,{preserveSymlinks:!1}),await y(N,v.MOVE);else throw J}}async function P(N,G,J){return _(N,G,{root:{source:N,target:G},options:J,handledSourcePaths:new Set})}const U=511;async function _(N,G,J){if(J.handledSourcePaths.has(N))return;J.handledSourcePaths.add(N);const{stat:z,symbolicLink:Q}=await r.stat(N);if(Q){if(J.options.preserveSymlinks)try{return await $(N,G,J)}catch(x){console.warn("[node.js fs] copy of symlink failed: ",x)}if(Q.dangling)return}return z.isDirectory()?M(N,G,z.mode&U,J):T(N,G,z.mode&U)}async function M(N,G,J,z){await e.Promises.mkdir(G,{recursive:!0,mode:J});const Q=await p(N);for(const x of Q)await _((0,C.join)(N,x),(0,C.join)(G,x),z)}async function T(N,G,J){await e.Promises.copyFile(N,G),await e.Promises.chmod(G,J)}async function $(N,G,J){let z=await e.Promises.readlink(N);(0,A.isEqualOrParent)(z,J.root.source,!D.isLinux)&&(z=(0,C.join)(J.root.target,z.substr(J.root.source.length+1))),await e.Promises.symlink(z,G)}e.Promises=new class{get access(){return(0,k.promisify)(R.access)}get stat(){return(0,k.promisify)(R.stat)}get lstat(){return(0,k.promisify)(R.lstat)}get utimes(){return(0,k.promisify)(R.utimes)}get read(){return(N,G,J,z,Q)=>new Promise((x,B)=>{R.read(N,G,J,z,Q,(Y,se,Z)=>Y?B(Y):x({bytesRead:se,buffer:Z}))})}get readFile(){return(0,k.promisify)(R.readFile)}get write(){return(N,G,J,z,Q)=>new Promise((x,B)=>{R.write(N,G,J,z,Q,(Y,se,Z)=>Y?B(Y):x({bytesWritten:se,buffer:Z}))})}get appendFile(){return(0,k.promisify)(R.appendFile)}get fdatasync(){return(0,k.promisify)(R.fdatasync)}get truncate(){return(0,k.promisify)(R.truncate)}get rename(){return(0,k.promisify)(R.rename)}get copyFile(){return(0,k.promisify)(R.copyFile)}get open(){return(0,k.promisify)(R.open)}get close(){return(0,k.promisify)(R.close)}get symlink(){return(0,k.promisify)(R.symlink)}get readlink(){return(0,k.promisify)(R.readlink)}get chmod(){return(0,k.promisify)(R.chmod)}get mkdir(){return(0,k.promisify)(R.mkdir)}get unlink(){return(0,k.promisify)(R.unlink)}get rmdir(){return(0,k.promisify)(R.rmdir)}get realpath(){return(0,k.promisify)(R.realpath)}async exists(N){try{return await e.Promises.access(N),!0}catch{return!1}}get readdir(){return p}get readDirsInDir(){return h}get writeFile(){return s}get rm(){return y}get move(){return g}get copy(){return P}}}),define(re[129],oe([0,1,54,12,4,26,27]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function b(v){if(k.isLinux)return v;const y=(0,i.dirname)(v);if(v===y)return v;const d=((0,i.basename)(v)||v).toLowerCase();try{const w=(0,A.readdirSync)(y).filter(p=>p.toLowerCase()===d);if(w.length===1){const p=b(y);if(p)return(0,i.join)(p,w[0])}else if(w.length>1){const p=w.indexOf(d);if(p>=0){const m=b(y);if(m)return(0,i.join)(m,w[p])}}}catch{}return null}e.realcaseSync=b;async function C(v){if(k.isLinux)return v;const y=(0,i.dirname)(v);if(v===y)return v;const d=((0,i.basename)(v)||v).toLowerCase();try{const w=(await A.Promises.readdir(y)).filter(p=>p.toLowerCase()===d);if(w.length===1){const p=await C(y);if(p)return(0,i.join)(p,w[0])}else if(w.length>1){const p=w.indexOf(d);if(p>=0){const m=await C(y);if(m)return(0,i.join)(m,w[p])}}}catch{}return null}e.realcase=C;async function D(v){try{return await A.Promises.realpath(v)}catch{const d=E(v);return await A.Promises.access(d,R.constants.R_OK),d}}e.realpath=D;function I(v){try{return R.realpathSync(v)}catch{const d=E(v);return R.accessSync(d,R.constants.R_OK),d}}e.realpathSync=I;function E(v){return(0,L.rtrim)((0,i.normalize)(v),i.sep)}}),define(re[82],oe([0,1,37,12,27]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const L=/^\d+$/,A=/^Microsoft.PowerShell_.*/,b=/^Microsoft.PowerShellPreview_.*/;var C;(function(f){f[f.x64=0]="x64",f[f.x86=1]="x86",f[f.ARM=2]="ARM"})(C||(C={}));let D;switch(process.arch){case"ia32":case"x32":D=1;break;case"arm":case"arm64":D=2;break;default:D=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class E{constructor(h,n,r){this.exePath=h,this.displayName=n,this.knownToExist=r}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await k.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function v({useAlternateBitness:f=!1}={}){return f?D===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function y({useAlternateBitness:f=!1,findPreview:h=!1}={}){const n=v({useAlternateBitness:f});if(!n)return null;const r=i.join(n,"PowerShell");if(!await k.SymlinkSupport.existsDirectory(r))return null;let t=-1,s=null;for(const o of await k.Promises.readdir(r)){let l=-1;if(h){const P=o.indexOf("-");if(P<0)continue;const U=o.substring(0,P);if(!L.test(U)||o.substring(P+1)!=="preview")continue;l=parseInt(U,10)}else{if(!L.test(o))continue;l=parseInt(o,10)}if(l<=t)continue;const g=i.join(r,o,"pwsh.exe");!await k.SymlinkSupport.existsFile(g)||(s=g,t=l)}if(!s)return null;const a=n.includes("x86")?" (x86)":"",c=h?" Preview":"";return new E(s,`PowerShell${c}${a}`,!0)}async function d({findPreview:f}={}){if(!process.env.LOCALAPPDATA)return null;const h=i.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await k.SymlinkSupport.existsDirectory(h))return null;const{pwshMsixDirRegex:n,pwshMsixName:r}=f?{pwshMsixDirRegex:b,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:A,pwshMsixName:"PowerShell (Store)"};for(const t of await k.Promises.readdir(h))if(n.test(t)){const s=i.join(h,t,"pwsh.exe");return new E(s,r)}return null}function S(){const f=i.join(R.homedir(),".dotnet","tools","pwsh.exe");return new E(f,".NET Core PowerShell Global Tool")}function w(){const f=i.join(process.env.windir,D===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new E(f,"Windows PowerShell",!0)}async function*p(){let f=await y();f&&(yield f),f=await y({useAlternateBitness:!0}),f&&(yield f),f=await d(),f&&(yield f),f=S(),f&&(yield f),f=await y({findPreview:!0}),f&&(yield f),f=await d({findPreview:!0}),f&&(yield f),f=await y({useAlternateBitness:!0,findPreview:!0}),f&&(yield f),f=w(),f&&(yield f)}async function*m(){for await(const f of p())await f.exists()&&(yield f)}e.enumeratePowerShellInstallations=m;async function u(){for await(const f of m())return f;return null}e.getFirstAvailablePowerShellInstallation=u}),define(re[130],oe([0,1,48,20]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function k(A){return new Promise((b,C)=>{let D;const I=new Map;function E(y,d,S,w,p){const m=I.get(d);if(y===A||m){const u={name:v(S),cmd:S,pid:y,ppid:d,load:w,mem:p};I.set(y,u),y===A&&(D=u),m&&(m.children||(m.children=[]),m.children.push(u),m.children.length>1&&(m.children=m.children.sort((f,h)=>f.pid-h.pid)))}}function v(y){const d=/--vscode-window-kind=shared-process/,S=/--vscode-window-kind=issue-reporter/,w=/--vscode-window-kind=process-explorer/,p=/--utility-sub-type=network/,m=/--vscode-utility-kind=extension-host/,u=/--crashes-directory/,f=/\\pipe\\winpty-control/,h=/conhost\.exe/,n=/--type=([a-zA-Z-]+)/;if(u.exec(y))return"electron-crash-reporter";if(f.exec(y))return"winpty-process";if(h.exec(y))return"console-window-host (Windows internal process)";let r=n.exec(y);if(r&&r.length===2){if(r[1]==="renderer")return d.exec(y)?"shared-process":S.exec(y)?"issue-reporter":w.exec(y)?"process-explorer":"window";if(r[1]==="utility"){if(p.exec(y))return"utility-network-service";if(m.exec(y))return"extension-host"}return r[1]}const t=/[a-zA-Z-]+\.js/g;let s="";do r=t.exec(y),r&&(s+=r+" ");while(r);return s&&y.indexOf("node ")<0&&y.indexOf("node.exe")<0?`electron_node ${s}`:y}if(process.platform==="win32"){const y=d=>d.indexOf("\\\\?\\")===0||d.indexOf("\\??\\")===0?d.substr(4):d.indexOf('"\\\\?\\')===0||d.indexOf('"\\??\\')===0?'"'+d.substr(5):d;new Promise((d,S)=>{X(["windows-process-tree"],d,S)}).then(d=>{d.getProcessList(A,S=>{if(!S){C(new Error(`Root process ${A} not found`));return}d.getProcessCpuUsage(S,w=>{const p=new Map;w.forEach(m=>{const u=y(m.commandLine||"");p.set(m.pid,{name:v(u),cmd:u,pid:m.pid,ppid:m.ppid,load:m.cpu||0,mem:m.memory||0})}),D=p.get(A),D?(p.forEach(m=>{const u=p.get(m.ppid);u&&(u.children||(u.children=[]),u.children.push(m))}),p.forEach(m=>{m.children&&(m.children=m.children.sort((u,f)=>u.pid-f.pid))}),b(D)):C(new Error(`Root process ${A} not found`))})},d.ProcessDataFlag.CommandLine|d.ProcessDataFlag.Memory)})}else{let y=function(){let d=[D];const S=[];for(;d.length;){const p=d.shift();p&&(S.push(p.pid),p.children&&(d=d.concat(p.children)))}let w=JSON.stringify(i.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",X).fsPath);w+=" "+S.join(" "),(0,R.exec)(w,{},(p,m,u)=>{if(p||u)C(p||new Error(u.toString()));else{const f=m.toString().split(`
`);for(let h=0;h<S.length;h++){const n=I.get(S[h]);n.load=parseFloat(f[h])}if(!D){C(new Error(`Root process ${A} not found`));return}b(D)}})};(0,R.exec)("which ps",{},(d,S,w)=>{if(d||w)if(process.platform!=="linux")C(d||new Error(w.toString()));else{const p=JSON.stringify(i.FileAccess.asFileUri("vs/base/node/ps.sh",X).fsPath);(0,R.exec)(p,{},(m,u,f)=>{m||f?C(m||new Error(f.toString())):(L(u,E),y())})}else{const p=S.toString().trim(),m="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,R.exec)(`${p} ${m}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(u,f,h)=>{u||h&&!h.includes("screen size is bogus")?C(u||new Error(h.toString())):(L(f,E),process.platform==="linux"?y():D?b(D):C(new Error(`Root process ${A} not found`)))})}})}})}e.listProcesses=k;function L(A,b){const C=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,D=A.toString().split(`
`);for(const I of D){const E=C.exec(I.trim());E&&E.length===6&&b(parseInt(E[1]),parseInt(E[2]),E[5],parseFloat(E[3]),parseFloat(E[4]))}}});var ge=this&&this.__decorate||function(X,e,R,i){var k=arguments.length,L=k<3?e:i===null?i=Object.getOwnPropertyDescriptor(e,R):i,A;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")L=Reflect.decorate(X,e,R,i);else for(var b=X.length-1;b>=0;b--)(A=X[b])&&(L=(k<3?A(L):k>3?A(e,R,L):A(e,R))||L);return k>3&&L&&Object.defineProperty(e,R,L),L};define(re[39],oe([0,1,18,6,17,23,60,9,3,2,63,26,14]),function(X,e,R,i,k,L,A,b,C,D,I,E,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var y;(function(x){x[x.Promise=100]="Promise",x[x.PromiseCancel=101]="PromiseCancel",x[x.EventListen=102]="EventListen",x[x.EventDispose=103]="EventDispose"})(y=e.RequestType||(e.RequestType={}));function d(x){switch(x){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var S;(function(x){x[x.Initialize=200]="Initialize",x[x.PromiseSuccess=201]="PromiseSuccess",x[x.PromiseError=202]="PromiseError",x[x.PromiseErrorObj=203]="PromiseErrorObj",x[x.EventFire=204]="EventFire"})(S=e.ResponseType||(e.ResponseType={}));function w(x){switch(x){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var p;(function(x){x[x.Uninitialized=0]="Uninitialized",x[x.Idle=1]="Idle"})(p||(p={}));class m{constructor(B){this.buffer=B,this.pos=0}read(B){const Y=this.buffer.slice(this.pos,this.pos+B);return this.pos+=Y.byteLength,Y}}class u{constructor(){this.buffers=[]}get buffer(){return k.VSBuffer.concat(this.buffers)}write(B){this.buffers.push(B)}}var f;(function(x){x[x.Undefined=0]="Undefined",x[x.String=1]="String",x[x.Buffer=2]="Buffer",x[x.VSBuffer=3]="VSBuffer",x[x.Array=4]="Array",x[x.Object=5]="Object"})(f||(f={}));function h(x){const B=k.VSBuffer.alloc(4);return B.writeUInt32BE(x,0),B}function n(x){return x.read(4).readUInt32BE(0)}function r(x){const B=k.VSBuffer.alloc(1);return B.writeUInt8(x,0),B}const t={Undefined:r(f.Undefined),String:r(f.String),Buffer:r(f.Buffer),VSBuffer:r(f.VSBuffer),Array:r(f.Array),Object:r(f.Object)},s=typeof Buffer!="undefined";function a(x,B){if(typeof B=="undefined")x.write(t.Undefined);else if(typeof B=="string"){const Y=k.VSBuffer.fromString(B);x.write(t.String),x.write(h(Y.byteLength)),x.write(Y)}else if(s&&Buffer.isBuffer(B)){const Y=k.VSBuffer.wrap(B);x.write(t.Buffer),x.write(h(Y.byteLength)),x.write(Y)}else if(B instanceof k.VSBuffer)x.write(t.VSBuffer),x.write(h(B.byteLength)),x.write(B);else if(Array.isArray(B)){x.write(t.Array),x.write(h(B.length));for(const Y of B)a(x,Y)}else{const Y=k.VSBuffer.fromString(JSON.stringify(B));x.write(t.Object),x.write(h(Y.byteLength)),x.write(Y)}}function c(x){switch(x.read(1).readUInt8(0)){case f.Undefined:return;case f.String:return x.read(n(x)).toString();case f.Buffer:return x.read(n(x)).buffer;case f.VSBuffer:return x.read(n(x));case f.Array:{const Y=n(x),se=[];for(let Z=0;Z<Y;Z++)se.push(c(x));return se}case f.Object:return JSON.parse(x.read(n(x)).toString())}}class o{constructor(B,Y,se=null,Z=1e3){this.protocol=B,this.ctx=Y,this.logger=se,this.timeoutDelay=Z,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(W=>this.onRawMessage(W)),this.sendResponse({type:200})}registerChannel(B,Y){this.channels.set(B,Y),setTimeout(()=>this.flushPendingRequests(B),0)}sendResponse(B){switch(B.type){case 200:{const Y=this.send([B.type]);this.logger?.logOutgoing(Y,0,1,w(B.type));return}case 201:case 202:case 204:case 203:{const Y=this.send([B.type,B.id],B.data);this.logger?.logOutgoing(Y,B.id,1,w(B.type),B.data);return}}}send(B,Y=void 0){const se=new u;return a(se,B),a(se,Y),this.sendBuffer(se.buffer)}sendBuffer(B){try{return this.protocol.send(B),B.byteLength}catch{return 0}}onRawMessage(B){const Y=new m(B),se=c(Y),Z=c(Y),W=se[0];switch(W){case 100:return this.logger?.logIncoming(B.byteLength,se[1],1,`${d(W)}: ${se[2]}.${se[3]}`,Z),this.onPromise({type:W,id:se[1],channelName:se[2],name:se[3],arg:Z});case 102:return this.logger?.logIncoming(B.byteLength,se[1],1,`${d(W)}: ${se[2]}.${se[3]}`,Z),this.onEventListen({type:W,id:se[1],channelName:se[2],name:se[3],arg:Z});case 101:return this.logger?.logIncoming(B.byteLength,se[1],1,`${d(W)}`),this.disposeActiveRequest({type:W,id:se[1]});case 103:return this.logger?.logIncoming(B.byteLength,se[1],1,`${d(W)}`),this.disposeActiveRequest({type:W,id:se[1]})}}onPromise(B){const Y=this.channels.get(B.channelName);if(!Y){this.collectPendingRequest(B);return}const se=new L.CancellationTokenSource;let Z;try{Z=Y.call(this.ctx,B.name,B.arg,se.token)}catch(O){Z=Promise.reject(O)}const W=B.id;Z.then(O=>{this.sendResponse({id:W,data:O,type:201}),this.activeRequests.delete(B.id)},O=>{O instanceof Error?this.sendResponse({id:W,data:{message:O.message,name:O.name,stack:O.stack?O.stack.split?O.stack.split(`
`):O.stack:void 0},type:202}):this.sendResponse({id:W,data:O,type:203}),this.activeRequests.delete(B.id)});const V=(0,D.toDisposable)(()=>se.cancel());this.activeRequests.set(B.id,V)}onEventListen(B){const Y=this.channels.get(B.channelName);if(!Y){this.collectPendingRequest(B);return}const se=B.id,W=Y.listen(this.ctx,B.name,B.arg)(V=>this.sendResponse({id:se,data:V,type:204}));this.activeRequests.set(B.id,W)}disposeActiveRequest(B){const Y=this.activeRequests.get(B.id);Y&&(Y.dispose(),this.activeRequests.delete(B.id))}collectPendingRequest(B){let Y=this.pendingRequests.get(B.channelName);Y||(Y=[],this.pendingRequests.set(B.channelName,Y));const se=setTimeout(()=>{console.error(`Unknown channel: ${B.channelName}`),B.type===100&&this.sendResponse({id:B.id,data:{name:"Unknown channel",message:`Channel name '${B.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);Y.push({request:B,timeoutTimer:se})}flushPendingRequests(B){const Y=this.pendingRequests.get(B);if(Y){for(const se of Y)switch(clearTimeout(se.timeoutTimer),se.request.type){case 100:this.onPromise(se.request);break;case 102:this.onEventListen(se.request);break}this.pendingRequests.delete(B)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,D.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=o;var l;(function(x){x[x.LocalSide=0]="LocalSide",x[x.OtherSide=1]="OtherSide"})(l=e.RequestInitiator||(e.RequestInitiator={}));class g{constructor(B,Y=null){this.protocol=B,this.isDisposed=!1,this.state=p.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new C.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(se=>this.onBuffer(se)),this.logger=Y}getChannel(B){const Y=this;return{call(se,Z,W){return Y.isDisposed?Promise.reject(b.canceled()):Y.requestPromise(B,se,Z,W)},listen(se,Z){return Y.isDisposed?C.Event.None:Y.requestEvent(B,se,Z)}}}requestPromise(B,Y,se,Z=L.CancellationToken.None){const W=this.lastRequestId++,O={id:W,type:100,channelName:B,name:Y,arg:se};if(Z.isCancellationRequested)return Promise.reject(b.canceled());let F;return new Promise((j,te)=>{if(Z.isCancellationRequested)return te(b.canceled());const H=()=>{const he=ve=>{switch(ve.type){case 201:this.handlers.delete(W),j(ve.data);break;case 202:{this.handlers.delete(W);const pe=new Error(ve.data.message);pe.stack=ve.data.stack,pe.name=ve.data.name,te(pe);break}case 203:this.handlers.delete(W),te(ve.data);break}};this.handlers.set(W,he),this.sendRequest(O)};let ie=null;this.state===p.Idle?H():(ie=(0,i.createCancelablePromise)(he=>this.whenInitialized()),ie.then(()=>{ie=null,H()}));const ne=()=>{ie?(ie.cancel(),ie=null):this.sendRequest({id:W,type:101}),te(b.canceled())},ce=Z.onCancellationRequested(ne);F=(0,D.combinedDisposable)((0,D.toDisposable)(ne),ce),this.activeRequests.add(F)}).finally(()=>{this.activeRequests.delete(F)})}requestEvent(B,Y,se){const Z=this.lastRequestId++,V={id:Z,type:102,channelName:B,name:Y,arg:se};let O=null;const F=new C.Emitter({onFirstListenerAdd:()=>{O=(0,i.createCancelablePromise)(j=>this.whenInitialized()),O.then(()=>{O=null,this.activeRequests.add(F),this.sendRequest(V)})},onLastListenerRemove:()=>{O?(O.cancel(),O=null):(this.activeRequests.delete(F),this.sendRequest({id:Z,type:103}))}}),q=j=>F.fire(j.data);return this.handlers.set(Z,q),F.event}sendRequest(B){switch(B.type){case 100:case 102:{const Y=this.send([B.type,B.id,B.channelName,B.name],B.arg);this.logger?.logOutgoing(Y,B.id,0,`${d(B.type)}: ${B.channelName}.${B.name}`,B.arg);return}case 101:case 103:{const Y=this.send([B.type,B.id]);this.logger?.logOutgoing(Y,B.id,0,d(B.type));return}}}send(B,Y=void 0){const se=new u;return a(se,B),a(se,Y),this.sendBuffer(se.buffer)}sendBuffer(B){try{return this.protocol.send(B),B.byteLength}catch{return 0}}onBuffer(B){const Y=new m(B),se=c(Y),Z=c(Y),W=se[0];switch(W){case 200:return this.logger?.logIncoming(B.byteLength,0,0,w(W)),this.onResponse({type:se[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(B.byteLength,se[1],0,w(W),Z),this.onResponse({type:se[0],id:se[1],data:Z})}}onResponse(B){if(B.type===200){this.state=p.Idle,this._onDidInitialize.fire();return}this.handlers.get(B.id)?.(B)}get onDidInitializePromise(){return C.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===p.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,D.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}ge([A.memoize],g.prototype,"onDidInitializePromise",null),e.ChannelClient=g;class P{constructor(B){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new C.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new C.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,B(({protocol:Y,onDidClientDisconnect:se})=>{C.Event.once(Y.onMessage)(W=>{const V=new m(W),O=c(V),F=new o(Y,O),q=new g(Y);this.channels.forEach((te,H)=>F.registerChannel(H,te));const j={channelServer:F,channelClient:q,ctx:O};this._connections.add(j),this._onDidAddConnection.fire(j),se(()=>{F.dispose(),q.dispose(),this._connections.delete(j),this._onDidRemoveConnection.fire(j)})})})}get connections(){const B=[];return this._connections.forEach(Y=>B.push(Y)),B}getChannel(B,Y){const se=this;return{call(Z,W,V){let O;if((0,v.isFunction)(Y)){const q=(0,R.getRandomElement)(se.connections.filter(Y));O=q?Promise.resolve(q):C.Event.toPromise(C.Event.filter(se.onDidAddConnection,Y))}else O=Y.routeCall(se,Z,W);const F=O.then(q=>q.channelClient.getChannel(B));return _(F).call(Z,W,V)},listen(Z,W){if((0,v.isFunction)(Y))return se.getMulticastEvent(B,Y,Z,W);const V=Y.routeEvent(se,Z,W).then(O=>O.channelClient.getChannel(B));return _(V).listen(Z,W)}}}getMulticastEvent(B,Y,se,Z){const W=this;let V=new D.DisposableStore;const O=new C.Emitter({onFirstListenerAdd:()=>{V=new D.DisposableStore;const F=new C.EventMultiplexer,q=new Map,j=H=>{const ne=H.channelClient.getChannel(B).listen(se,Z),ce=F.add(ne);q.set(H,ce)},te=H=>{const ie=q.get(H);!ie||(ie.dispose(),q.delete(H))};W.connections.filter(Y).forEach(j),C.Event.filter(W.onDidAddConnection,Y)(j,void 0,V),W.onDidRemoveConnection(te,void 0,V),F.event(O.fire,O,V),V.add(F)},onLastListenerRemove:()=>{V.dispose()}});return O.event}registerChannel(B,Y){this.channels.set(B,Y),this._connections.forEach(se=>{se.channelServer.registerChannel(B,Y)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=P;class U{constructor(B,Y,se=null){const Z=new u;a(Z,Y),B.send(Z.buffer),this.channelClient=new g(B,se),this.channelServer=new o(B,Y,se)}getChannel(B){return this.channelClient.getChannel(B)}registerChannel(B,Y){this.channelServer.registerChannel(B,Y)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=U;function _(x){return{call(B,Y,se){return x.then(Z=>Z.call(B,Y,se))},listen(B,Y){const se=new C.Relay;return x.then(Z=>se.input=Z.listen(B,Y)),se.event}}}e.getDelayedChannel=_;function M(x){let B=!1;return{call(Y,se,Z){return B?x.call(Y,se,Z):(0,i.timeout)(0).then(()=>B=!0).then(()=>x.call(Y,se,Z))},listen(Y,se){if(B)return x.listen(Y,se);const Z=new C.Relay;return(0,i.timeout)(0).then(()=>B=!0).then(()=>Z.input=x.listen(Y,se)),Z.event}}}e.getNextTickChannel=M;class T{constructor(B){this.fn=B}routeCall(B){return this.route(B)}routeEvent(B){return this.route(B)}async route(B){for(const Y of B.connections)if(await Promise.resolve(this.fn(Y.ctx)))return Promise.resolve(Y);return await C.Event.toPromise(B.onDidAddConnection),await this.route(B)}}e.StaticRouter=T;var $;(function(x){function B(W,V){const O=W,F=V&&V.disableMarshalling,q=new Map;for(const j in O)se(j)&&q.set(j,C.Event.buffer(O[j],!0));return new class{listen(j,te,H){const ie=q.get(te);if(ie)return ie;if(Z(te)){const ne=O[te];if(typeof ne=="function")return ne.call(O,H)}throw new Error(`Event not found: ${te}`)}call(j,te,H){const ie=O[te];if(typeof ie=="function"){if(!F&&Array.isArray(H))for(let ne=0;ne<H.length;ne++)H[ne]=(0,I.revive)(H[ne]);return ie.apply(O,H)}throw new Error(`Method not found: ${te}`)}}}x.fromService=B;function Y(W,V){const O=V&&V.disableMarshalling;return new Proxy({},{get(F,q){if(typeof q=="string")return V?.properties?.has(q)?V.properties.get(q):Z(q)?function(j){return W.listen(q,j)}:se(q)?W.listen(q):async function(...j){let te;V&&!(0,v.isUndefinedOrNull)(V.context)?te=[V.context,...j]:te=j;const H=await W.call(q,te);return O?H:(0,I.revive)(H)};throw new Error(`Property not found: ${String(q)}`)}})}x.toService=Y;function se(W){return W[0]==="o"&&W[1]==="n"&&E.isUpperAsciiLetter(W.charCodeAt(2))}function Z(W){return/^onDynamic/.test(W)&&E.isUpperAsciiLetter(W.charCodeAt(9))}})($=e.ProxyChannel||(e.ProxyChannel={}));const N=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function G(x){if(Array.isArray(x))return x;if(x&&typeof x=="object"&&typeof x.toString=="function"){const B=x.toString();if(B!=="[object Object]")return B}return x}function J(x){return Array.isArray(x)?x.map(G):G(x)}function z(x,B,Y,se,Z,W,V){V=J(V);const O=N[Z],F=O[se%O.length];let q=[`%c[${x}]%c[${String(B).padStart(7," ")}]%c[len: ${String(Y).padStart(5," ")}]%c${String(se).padStart(5," ")} - ${W}`,"color: darkgreen","color: grey","color: grey",`color: ${F}`];/\($/.test(W)?(q=q.concat(V),q.push(")")):q.push(V),console.log.apply(console,q)}e.logWithColors=z;class Q{constructor(B,Y){this._outgoingPrefix=B,this._incomingPrefix=Y,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(B,Y,se,Z,W){this._totalOutgoing+=B,z(this._outgoingPrefix,this._totalOutgoing,B,Y,se,Z,W)}logIncoming(B,Y,se,Z,W){this._totalIncoming+=B,z(this._incomingPrefix,this._totalIncoming,B,Y,se,Z,W)}}e.IPCLogger=Q}),define(re[131],oe([0,1,17,3,39]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class L{constructor(C){this.port=C,this.onMessage=i.Event.fromDOMEventEmitter(this.port,"message",D=>R.VSBuffer.wrap(D.data)),C.start()}send(C){this.port.postMessage(C.buffer)}disconnect(){this.port.close()}}e.Protocol=L;class A extends k.IPCClient{constructor(C,D){const I=new L(C);super(I,D);this.protocol=I}dispose(){this.protocol.disconnect()}}e.Client=A}),define(re[83],oe([0,1,17,3,2,39]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var A;(function(s){s.Created="created",s.Read="read",s.Write="write",s.Open="open",s.Error="error",s.Close="close",s.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",s.NodeEndReceived="nodeEndReceived",s.NodeEndSent="nodeEndSent",s.NodeDrainBegin="nodeDrainBegin",s.NodeDrainEnd="nodeDrainEnd",s.zlibInflateError="zlibInflateError",s.zlibInflateData="zlibInflateData",s.zlibInflateInitialWrite="zlibInflateInitialWrite",s.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",s.zlibInflateWrite="zlibInflateWrite",s.zlibInflateFlushFired="zlibInflateFlushFired",s.zlibDeflateError="zlibDeflateError",s.zlibDeflateData="zlibDeflateData",s.zlibDeflateWrite="zlibDeflateWrite",s.zlibDeflateFlushFired="zlibDeflateFlushFired",s.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",s.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",s.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",s.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",s.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",s.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",s.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",s.ProtocolHeaderRead="protocolHeaderRead",s.ProtocolMessageRead="protocolMessageRead",s.ProtocolHeaderWrite="protocolHeaderWrite",s.ProtocolMessageWrite="protocolMessageWrite",s.ProtocolWrite="protocolWrite"})(A=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var b;(function(s){s.enableDiagnostics=!1,s.records=[];const a=new WeakMap;let c=0;function o(g,P){if(!a.has(g)){const U=String(++c);a.set(g,U)}return a.get(g)}function l(g,P,U,_){if(!s.enableDiagnostics)return;const M=o(g,P);if(_ instanceof R.VSBuffer||_ instanceof Uint8Array||_ instanceof ArrayBuffer||ArrayBuffer.isView(_)){const T=R.VSBuffer.alloc(_.byteLength);T.set(_),s.records.push({timestamp:Date.now(),id:M,label:P,type:U,buff:T})}else s.records.push({timestamp:Date.now(),id:M,label:P,type:U,data:_})}s.traceSocketEvent=l})(b=e.SocketDiagnostics||(e.SocketDiagnostics={}));var C;(function(s){s[s.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",s[s.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(C=e.SocketCloseEventType||(e.SocketCloseEventType={}));let D=null;function I(){return D||(D=R.VSBuffer.alloc(0)),D}class E{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(a){this._chunks.push(a),this._totalLength+=a.byteLength}read(a){return this._read(a,!0)}peek(a){return this._read(a,!1)}_read(a,c){if(a===0)return I();if(a>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===a){const P=this._chunks[0];return c&&(this._chunks.shift(),this._totalLength-=a),P}if(this._chunks[0].byteLength>a){const P=this._chunks[0].slice(0,a);return c&&(this._chunks[0]=this._chunks[0].slice(a),this._totalLength-=a),P}const o=R.VSBuffer.alloc(a);let l=0,g=0;for(;a>0;){const P=this._chunks[g];if(P.byteLength>a){const U=P.slice(0,a);o.set(U,l),l+=a,c&&(this._chunks[g]=P.slice(a),this._totalLength-=a),a-=a}else o.set(P,l),l+=P.byteLength,c?(this._chunks.shift(),this._totalLength-=P.byteLength):g++,a-=P.byteLength}return o}}e.ChunkStream=E;var v;(function(s){s[s.None=0]="None",s[s.Regular=1]="Regular",s[s.Control=2]="Control",s[s.Ack=3]="Ack",s[s.Disconnect=5]="Disconnect",s[s.ReplayRequest=6]="ReplayRequest",s[s.Pause=7]="Pause",s[s.Resume=8]="Resume"})(v||(v={}));function y(s){switch(s){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var d;(function(s){s[s.HeaderLength=13]="HeaderLength",s[s.AcknowledgeTime=2e3]="AcknowledgeTime",s[s.TimeoutTime=2e4]="TimeoutTime",s[s.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",s[s.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(d=e.ProtocolConstants||(e.ProtocolConstants={}));class S{constructor(a,c,o,l){this.type=a,this.id=c,this.ack=o,this.data=l,this.writtenTime=0}get size(){return this.data.byteLength}}class w extends k.Disposable{constructor(a){super();this._onMessage=this._register(new i.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=a,this._isDisposed=!1,this._incomingData=new E,this._register(this._socket.onData(c=>this.acceptChunk(c))),this.lastReadTime=Date.now()}acceptChunk(a){if(!(!a||a.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(a);this._incomingData.byteLength>=this._state.readLen;){const c=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=c.readUInt32BE(9),this._state.messageType=c.readUInt8(0),this._state.id=c.readUInt32BE(1),this._state.ack=c.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:y(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const o=this._state.messageType,l=this._state.id,g=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",c),this._onMessage.fire(new S(o,l,g,c)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class p{constructor(a){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=a,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(a){if(this._isDisposed)return;a.writtenTime=Date.now(),this.lastWriteTime=Date.now();const c=R.VSBuffer.alloc(13);c.writeUInt8(a.type,0),c.writeUInt32BE(a.id,1),c.writeUInt32BE(a.ack,5),c.writeUInt32BE(a.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:y(a.type),id:a.id,ack:a.ack,messageSize:a.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",a.data),this._writeSoon(c,a.data)}_bufferAdd(a,c){const o=this._totalLength===0;return this._data.push(a,c),this._totalLength+=a.byteLength+c.byteLength,o}_bufferTake(){const a=R.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,a}_writeSoon(a,c){this._bufferAdd(a,c)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const a=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:a.byteLength}),this._socket.write(a)}}class m extends k.Disposable{constructor(a){super();this._onMessage=new i.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new i.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=a,this._socketWriter=this._register(new p(this._socket)),this._socketReader=this._register(new w(this._socket)),this._register(this._socketReader.onMessage(c=>{c.type===1&&this._onMessage.fire(c.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(a){this._socketWriter.write(new S(1,0,0,a))}}e.Protocol=m;class u extends L.IPCClient{constructor(a,c,o=null){super(a,c,o);this.protocol=a}static fromSocket(a,c){return new u(new m(a),c)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const a=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),a.end()}}e.Client=u;class f{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new i.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(a){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(a):this._emitter.fire(a):this._bufferedMessages.push(a)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=f;class h{constructor(a){this.data=a,this.next=null}}class n{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){const a=[];let c=0,o=this._first;for(;o;)a[c++]=o.data,o=o.next;return a}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(a){const c=new h(a);if(!this._first){this._first=c,this._last=c;return}this._last.next=c,this._last=c}}class r{constructor(){this.lastRuns=[];const a=Date.now();for(let c=0;c<r._HISTORY_LENGTH;c++)this.lastRuns[c]=a-1e3*c;setInterval(()=>{for(let c=r._HISTORY_LENGTH;c>=1;c--)this.lastRuns[c]=this.lastRuns[c-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return r._INSTANCE||(r._INSTANCE=new r),r._INSTANCE}load(){const a=Date.now(),c=(1+r._HISTORY_LENGTH)*1e3;let o=0;for(let l=0;l<r._HISTORY_LENGTH;l++)a-this.lastRuns[l]<=c&&o++;return 1-o/r._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}r._HISTORY_LENGTH=10,r._INSTANCE=null;class t{constructor(a,c=null,o=r.getInstance()){this._onControlMessage=new f,this.onControlMessage=this._onControlMessage.event,this._onMessage=new f,this.onMessage=this._onMessage.event,this._onDidDispose=new f,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new f,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new f,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=o,this._isReconnecting=!1,this._outgoingUnackMsg=new n,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=a,this._socketWriter=new p(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(l=>this._receiveMessage(l))),this._socketDisposables.push(this._socket.onClose(l=>this._onSocketClose.fire(l))),c&&this._socketReader.acceptChunk(c)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,k.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const a=new S(5,0,0,I());this._socketWriter.write(a),this._socketWriter.flush()}sendPause(){const a=new S(7,0,0,I());this._socketWriter.write(a)}sendResume(){const a=new S(8,0,0,I());this._socketWriter.write(a)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(a,c){this._isReconnecting=!0,this._socketDisposables=(0,k.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=a,this._socketWriter=new p(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(o=>this._receiveMessage(o))),this._socketDisposables.push(this._socket.onClose(o=>this._onSocketClose.fire(o))),this._socketReader.acceptChunk(c)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const a=new S(3,0,this._incomingAckId,I());this._socketWriter.write(a);const c=this._outgoingUnackMsg.toArray();for(let o=0,l=c.length;o<l;o++)this._socketWriter.write(c[o]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(a){if(a.ack>this._outgoingAckId){this._outgoingAckId=a.ack;do{const c=this._outgoingUnackMsg.peek();if(c&&c.id<=a.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(a.type){case 0:break;case 1:{if(a.id>this._incomingMsgId)if(a.id!==this._incomingMsgId+1){const c=Date.now();c-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=c,this._socketWriter.write(new S(6,0,0,I())))}else this._incomingMsgId=a.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(a.data);break}case 2:{this._onControlMessage.fire(a.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const c=this._outgoingUnackMsg.toArray();for(let o=0,l=c.length;o<l;o++)this._socketWriter.write(c[o]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(a){const c=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const o=new S(1,c,this._incomingAckId,a);this._outgoingUnackMsg.push(o),this._isReconnecting||(this._socketWriter.write(o),this._recvAckCheck())}sendControl(a){const c=new S(2,0,0,a);this._socketWriter.write(c)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const a=Date.now()-this._incomingMsgLastTime;if(a>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-a+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const a=this._outgoingUnackMsg.peek(),c=Date.now()-a.writtenTime,o=Date.now()-this._socketReader.lastReadTime,l=Date.now()-this._lastSocketTimeoutTime;if(c>=2e4&&o>=2e4&&l>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const g=Math.max(2e4-c,2e4-o,2e4-l,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},g)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const a=new S(3,0,this._incomingAckId,I());this._socketWriter.write(a)}}e.PersistentProtocol=t}),define(re[132],oe([0,1,84,3,39,131]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;class A extends k.IPCServer{static getOnDidClientConnect(){const C=i.Event.fromNodeEventEmitter(R.ipcRenderer,"vscode:createMessageChannel",(D,I)=>I);return i.Event.map(C,D=>{const{port1:I,port2:E}=new MessageChannel,y={protocol:new L.Protocol(I),onDidClientDisconnect:i.Event.fromDOMEventEmitter(I,"close")};return R.ipcRenderer.postMessage("vscode:createMessageChannelResult",D,[E]),y})}constructor(){super(A.getOnDidClientConnect())}}e.Server=A}),define(re[133],oe([0,1,17,9,3,2,12,4,31,39,83]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;function E(){return{crypto:X.__$__nodeRequire("crypto"),zlib:X.__$__nodeRequire("zlib"),net:X.__$__nodeRequire("net"),os:X.__$__nodeRequire("os")}}class v{constructor(o,l=""){this.debugLabel=l,this.socket=o,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=g=>{if(this.traceSocketEvent("error",{code:g?.code,message:g?.message}),g){if(g.code==="EPIPE")return;(0,i.onUnexpectedError)(g)}},this.socket.on("error",this._errorListener)}traceSocketEvent(o,l){I.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,o,l)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(o){const l=g=>{this.traceSocketEvent("read",g),o(R.VSBuffer.wrap(g))};return this.socket.on("data",l),{dispose:()=>this.socket.off("data",l)}}onClose(o){const l=g=>{this.traceSocketEvent("close",{hadError:g}),o({type:0,hadError:g,error:void 0})};return this.socket.on("close",l),{dispose:()=>this.socket.off("close",l)}}onEnd(o){const l=()=>{this.traceSocketEvent("nodeEndReceived"),o()};return this.socket.on("end",l),{dispose:()=>this.socket.off("end",l)}}write(o){if(!this.socket.destroyed)try{this.traceSocketEvent("write",o),this.socket.write(o.buffer,l=>{if(l){if(l.code==="EPIPE")return;(0,i.onUnexpectedError)(l)}})}catch(l){if(l.code==="EPIPE")return;(0,i.onUnexpectedError)(l)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((o,l)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),o();return}const g=()=>{this.socket.off("close",g),this.socket.off("end",g),this.socket.off("error",g),this.socket.off("timeout",g),this.socket.off("drain",g),this.traceSocketEvent("nodeDrainEnd"),o()};this.socket.on("close",g),this.socket.on("end",g),this.socket.on("error",g),this.socket.on("timeout",g),this.socket.on("drain",g)})}}e.NodeSocket=v;var y;(function(c){c[c.MinHeaderByteSize=2]="MinHeaderByteSize"})(y||(y={}));var d;(function(c){c[c.PeekHeader=1]="PeekHeader",c[c.ReadHeader=2]="ReadHeader",c[c.ReadBody=3]="ReadBody",c[c.Fin=4]="Fin"})(d||(d={}));class S extends L.Disposable{constructor(o,l,g,P){super();this._onData=this._register(new k.Emitter),this._onClose=this._register(new k.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=o,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:l,inflateBytesLength:g?.byteLength||0,recordInflateBytes:P}),this._flowManager=this._register(new w(this,l,g,P,this._onData,(U,_)=>this._write(U,_))),this._register(this._flowManager.onError(U=>{console.error(U),(0,i.onUnexpectedError)(U),this._onClose.fire({type:0,hadError:!0,error:U})})),this._incomingData=new I.ChunkStream,this._register(this.socket.onData(U=>this._acceptChunk(U))),this._register(this.socket.onClose(U=>this._onClose.fire(U)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(o,l){this.socket.traceSocketEvent(o,l)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(o){return this._onData.event(o)}onClose(o){return this._onClose.event(o)}onEnd(o){return this.socket.onEnd(o)}write(o){this._flowManager.writeMessage(o)}_write(o,l){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",o);let g=2;o.byteLength<126?g+=0:o.byteLength<2**16?g+=2:g+=8;const P=R.VSBuffer.alloc(g);if(l?P.writeUInt8(194,0):P.writeUInt8(130,0),o.byteLength<126)P.writeUInt8(o.byteLength,1);else if(o.byteLength<2**16){P.writeUInt8(126,1);let U=1;P.writeUInt8(o.byteLength>>>8&255,++U),P.writeUInt8(o.byteLength>>>0&255,++U)}else{P.writeUInt8(127,1);let U=1;P.writeUInt8(0,++U),P.writeUInt8(0,++U),P.writeUInt8(0,++U),P.writeUInt8(0,++U),P.writeUInt8(o.byteLength>>>24&255,++U),P.writeUInt8(o.byteLength>>>16&255,++U),P.writeUInt8(o.byteLength>>>8&255,++U),P.writeUInt8(o.byteLength>>>0&255,++U)}this.socket.write(R.VSBuffer.concat([P,o]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(o){if(o.byteLength!==0){for(this._incomingData.acceptChunk(o);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const l=this._incomingData.peek(this._state.readLen),g=l.readUInt8(0),P=(g&128)>>>7,U=(g&64)>>>6,_=l.readUInt8(1),M=(_&128)>>>7,T=_&127;this._state.state=2,this._state.readLen=2+(M?4:0)+(T===126?2:0)+(T===127?8:0),this._state.fin=P,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(U)),this._state.firstFrameOfMessage=Boolean(P),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const l=this._incomingData.read(this._state.readLen),g=l.readUInt8(1),P=(g&128)>>>7;let U=g&127,_=1;U===126?U=l.readUInt8(++_)*2**8+l.readUInt8(++_):U===127&&(U=l.readUInt8(++_)*0+l.readUInt8(++_)*0+l.readUInt8(++_)*0+l.readUInt8(++_)*0+l.readUInt8(++_)*2**24+l.readUInt8(++_)*2**16+l.readUInt8(++_)*2**8+l.readUInt8(++_));let M=0;P&&(M=l.readUInt8(++_)*2**24+l.readUInt8(++_)*2**16+l.readUInt8(++_)*2**8+l.readUInt8(++_)),this._state.state=3,this._state.readLen=U,this._state.mask=M,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const l=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",l),u(l,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",l),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(l,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await k.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=S;class w extends L.Disposable{constructor(o,l,g,P,U,_){super();this._tracer=o,this._onData=U,this._writeFn=_,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new k.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,l?(this._zlibInflateStream=this._register(new p(this._tracer,P,g,{windowBits:15})),this._zlibDeflateStream=this._register(new m(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(M=>this._onError.fire(M))),this._register(this._zlibDeflateStream.onError(M=>this._onError.fire(M)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:R.VSBuffer.alloc(0)}writeMessage(o){this._writeQueue.push(o),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const o=this._writeQueue.shift();if(this._zlibDeflateStream){const l=await this._deflateMessage(this._zlibDeflateStream,o);this._writeFn(l,!0)}else this._writeFn(o,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(o,l){return new Promise((g,P)=>{o.write(l),o.flush(U=>g(U))})}acceptFrame(o,l,g){this._readQueue.push({data:o,isCompressed:l,isLastFrameOfMessage:g}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const o=this._readQueue.shift();if(this._zlibInflateStream&&o.isCompressed){const l=await this._inflateFrame(this._zlibInflateStream,o.data,o.isLastFrameOfMessage);this._onData.fire(l)}else this._onData.fire(o.data)}this._isProcessingReadQueue=!1}}_inflateFrame(o,l,g){return new Promise((P,U)=>{o.write(l),g&&o.write(R.VSBuffer.fromByteArray([0,0,255,255])),o.flush(_=>P(_))})}}class p extends L.Disposable{constructor(o,l,g,P){super();this._tracer=o,this._recordInflateBytes=l,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=E().zlib.createInflateRaw(P),this._zlibInflate.on("error",U=>{this._tracer.traceSocketEvent("zlibInflateError",{message:U?.message,code:U?.code}),this._onError.fire(U)}),this._zlibInflate.on("data",U=>{this._tracer.traceSocketEvent("zlibInflateData",U),this._pendingInflateData.push(R.VSBuffer.wrap(U))}),g&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",g.buffer),this._zlibInflate.write(g.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?R.VSBuffer.concat(this._recordedInflateBytes):R.VSBuffer.alloc(0)}write(o){this._recordInflateBytes&&this._recordedInflateBytes.push(o.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",o),this._zlibInflate.write(o.buffer)}flush(o){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const l=R.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,o(l)})}}class m extends L.Disposable{constructor(o,l){super();this._tracer=o,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=E().zlib.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",g=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:g?.message,code:g?.code}),this._onError.fire(g)}),this._zlibDeflate.on("data",g=>{this._tracer.traceSocketEvent("zlibDeflateData",g),this._pendingDeflateData.push(R.VSBuffer.wrap(g))})}write(o){this._tracer.traceSocketEvent("zlibDeflateWrite",o.buffer),this._zlibDeflate.write(o.buffer)}flush(o){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let l=R.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,l=l.slice(0,l.byteLength-4),o(l)})}}function u(c,o){if(o===0)return;const l=c.byteLength>>>2;for(let T=0;T<l;T++){const $=c.readUInt32BE(T*4);c.writeUInt32BE($^o,T*4)}const g=l*4,P=c.byteLength-g,U=o>>>24&255,_=o>>>16&255,M=o>>>8&255;P>=1&&c.writeUInt8(c.readUInt8(g)^U,g),P>=2&&c.writeUInt8(c.readUInt8(g+1)^_,g+1),P>=3&&c.writeUInt8(c.readUInt8(g+2)^M,g+2)}e.XDG_RUNTIME_DIR=typeof process!="undefined"?process.env.XDG_RUNTIME_DIR:void 0;const f={[2]:107,[1]:103};function h(){const c=(0,C.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${c}-sock`;let o;return e.XDG_RUNTIME_DIR?o=(0,A.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${c}.sock`):o=(0,A.join)(E().os.tmpdir(),`vscode-ipc-${c}.sock`),r(o),o}e.createRandomIPCHandle=h;function n(c,o,l){const g=E().crypto.createHash("md5").update(c).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${g}-${l}-${o}-sock`;let P;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?P=(0,A.join)(e.XDG_RUNTIME_DIR,`vscode-${g.substr(0,8)}-${l}-${o}.sock`):P=(0,A.join)(c,`${l}-${o}.sock`),r(P),P}e.createStaticIPCHandle=n;function r(c){const o=f[b.platform];typeof o=="number"&&c.length>=o&&console.warn(`WARNING: IPC handle "${c}" is longer than ${o} chars, try a shorter --user-data-dir`)}class t extends D.IPCServer{constructor(o){super(t.toClientConnectionEvent(o));this.server=o}static toClientConnectionEvent(o){const l=k.Event.fromNodeEventEmitter(o,"connection");return k.Event.map(l,g=>({protocol:new I.Protocol(new v(g,"ipc-server-connection")),onDidClientDisconnect:k.Event.once(k.Event.fromNodeEventEmitter(g,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=t;function s(c){return new Promise((o,l)=>{const g=E().net.createServer();g.on("error",l),g.listen(c,()=>{g.removeListener("error",l),o(new t(g))})})}e.serve=s;function a(c,o){return new Promise((l,g)=>{const P=E().net.createConnection(c,()=>{P.removeListener("error",g),l(I.Client.fromSocket(new v(P,`ipc-client${o}`),o))});P.once("error",g)})}e.connect=a}),define(re[85],oe([0,1,6,3,2,14]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageState=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var A;(function(E){E[E.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(A=e.StorageHint||(e.StorageHint={}));function b(E){const v=E;return v?.changed instanceof Map||v?.deleted instanceof Set}e.isStorageItemsChangeEvent=b;var C;(function(E){E[E.None=0]="None",E[E.Initialized=1]="Initialized",E[E.Closed=2]="Closed"})(C=e.StorageState||(e.StorageState={}));class D extends k.Disposable{constructor(v,y=Object.create(null)){super();this.database=v,this.options=y,this._onDidChangeStorage=this._register(new i.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=C.None,this.cache=new Map,this.flushDelayer=new R.ThrottledDelayer(D.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(v=>this.onDidChangeItemsExternal(v)))}onDidChangeItemsExternal(v){v.changed?.forEach((y,d)=>this.accept(d,y)),v.deleted?.forEach(y=>this.accept(y,void 0))}accept(v,y){if(this.state===C.Closed)return;let d=!1;(0,L.isUndefinedOrNull)(y)?d=this.cache.delete(v):this.cache.get(v)!==y&&(this.cache.set(v,y),d=!0),d&&this._onDidChangeStorage.fire(v)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===C.None&&(this.state=C.Initialized,this.options.hint!==A.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(v,y){const d=this.cache.get(v);return(0,L.isUndefinedOrNull)(d)?y:d}getBoolean(v,y){const d=this.get(v);return(0,L.isUndefinedOrNull)(d)?y:d==="true"}getNumber(v,y){const d=this.get(v);return(0,L.isUndefinedOrNull)(d)?y:parseInt(d,10)}async set(v,y){if(this.state===C.Closed)return;if((0,L.isUndefinedOrNull)(y))return this.delete(v);const d=String(y);if(this.cache.get(v)!==d)return this.cache.set(v,d),this.pendingInserts.set(v,d),this.pendingDeletes.delete(v),this._onDidChangeStorage.fire(v),this.doFlush()}async delete(v){if(!(this.state===C.Closed||!this.cache.delete(v)))return this.pendingDeletes.has(v)||this.pendingDeletes.add(v),this.pendingInserts.delete(v),this._onDidChangeStorage.fire(v),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=C.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const v={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(v).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(v){if(!!this.hasPending)return this.doFlush(v)}async doFlush(v){return this.flushDelayer.trigger(()=>this.flushPending(),v)}async whenFlushed(){if(!!this.hasPending)return new Promise(v=>this.whenFlushedCallbacks.push(v))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=D,D.DEFAULT_FLUSH_DELAY=100;class I{constructor(){this.onDidChangeItemsExternal=i.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(v){v.insert?.forEach((y,d)=>this.items.set(d,y)),v.delete?.forEach(y=>this.items.delete(y))}async close(){}}e.InMemoryStorageDatabase=I}),define(re[134],oe([10,11]),function(X,e){return X.create("vs/base/node/processes",e)}),define(re[86],oe([0,1,48,42,20,30,12,4,36,77,14,113,27,134]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return D.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return D.TerminateResponseCode}});function d(h){switch(h){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function S(h,n){if(b.isWindows)try{const r={stdio:["pipe","pipe","ignore"]};n&&(r.cwd=n);const t=R.execFile("taskkill",["/T","/F","/PID",h.pid.toString()],r);return new Promise(s=>{t.once("error",a=>{s({success:!1,error:a})}),t.once("exit",(a,c)=>{s(a===0?{success:!0}:{success:!1,code:a!==null?a:1})})})}catch(r){return Promise.resolve({success:!1,error:r,code:r.status?d(r.status):1})}else if(b.isLinux||b.isMacintosh)try{const r=k.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",X).fsPath;return new Promise(t=>{R.execFile(r,[h.pid.toString()],{encoding:"utf8",shell:!0},(s,a,c)=>{t(s?{success:!1,error:s}:{success:!0})})})}catch(r){return Promise.resolve({success:!1,error:r})}else h.kill("SIGKILL");return Promise.resolve({success:!0})}function w(h=C.env){return h.comspec||"cmd.exe"}e.getWindowsShell=w;class p{constructor(n,r,t,s){if(r!==void 0&&t!==void 0&&s!==void 0)this.cmd=n,this.args=r,this.shell=t,this.options=s;else{const a=n;this.cmd=a.command,this.shell=a.isShellCommand,this.args=a.args.slice(0),this.options=a.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const a=Object.create(null);Object.keys(C.env).forEach(c=>{a[c]=C.env[c]}),Object.keys(this.options.env).forEach(c=>{a[c]=this.options.env[c]}),this.options.env=a}}getSanitizedCommand(){let n=this.cmd.toLowerCase();const r=n.lastIndexOf(A.sep);return r!==-1&&(n=n.substring(r+1)),p.WellKnowCommands[n]?n:"other"}start(n){return b.isWindows&&(this.options&&this.options.cwd&&i.isUNC(this.options.cwd)||!this.options&&i.isUNC(C.cwd()))?Promise.reject(new Error(y.localize(0,null))):this.useExec().then(r=>{let t,s;const a=new Promise((c,o)=>{t=c,s=o});if(r){let c=this.cmd;this.args&&(c=c+" "+this.args.join(" ")),this.childProcess=R.exec(c,this.options,(o,l,g)=>{this.childProcess=null;const P=o;P&&P.killed?s({killed:this.terminateRequested,stdout:l.toString(),stderr:g.toString()}):this.handleExec(t,n,o,l,g)})}else{let c=null;const o=l=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(l,t,n,s);const g={terminated:this.terminateRequested};I.isNumber(l)&&(g.cmdCode=l),t(g)};if(this.shell&&b.isWindows){const l=L.deepClone(this.options);l.windowsVerbatimArguments=!0,l.detached=!1;let g=!1,P=!1;const U=[];let _=this.ensureQuotes(this.cmd);U.push(_.value),g=_.quoted,this.args&&this.args.forEach(T=>{_=this.ensureQuotes(T),U.push(_.value),P=P&&_.quoted});const M=["/s","/c"];g?P?M.push('"'+U.join(" ")+'"'):U.length>1?M.push('"'+U[0]+'" '+U.slice(1).join(" ")):M.push('"'+U[0]+'"'):M.push(U.join(" ")),c=R.spawn(w(),M,l)}else this.cmd&&(c=R.spawn(this.cmd,this.args,this.options));c&&(this.childProcess=c,this.childProcessPromise=Promise.resolve(c),this.pidResolve&&(this.pidResolve(I.isNumber(c.pid)?c.pid:-1),this.pidResolve=void 0),c.on("error",l=>{this.childProcess=null,s({terminated:this.terminateRequested,error:l})}),c.pid&&(this.childProcess.on("close",o),this.handleSpawn(c,t,n,s,!0)))}return a})}handleClose(n,r,t,s){}ensureQuotes(n){return p.regexp.test(n)?{value:'"'+n+'"',quoted:!0}:{value:n,quoted:n.length>0&&n[0]==='"'&&n[n.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(n=>n.pid,n=>-1):new Promise(n=>{this.pidResolve=n})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(n=>(this.terminateRequested=!0,S(n,this.options.cwd).then(r=>(r.success&&(this.childProcess=null),r))),n=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(n=>{if(!this.shell||!b.isWindows)return n(!1);const r=R.spawn(w(),["/s","/c"]);r.on("error",t=>n(!0)),r.on("exit",t=>n(!1))})}}e.AbstractProcess=p,p.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},p.regexp=/^[^"].* .*[^"]/;class m extends p{constructor(n,r,t,s){super(n,r,t,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(n,r,t,s,a){[s,a].forEach((c,o)=>{const l=new E.LineDecoder;l.write(c).forEach(U=>{r({line:U,source:o===0?0:1})});const P=l.end();P&&r({line:P,source:o===0?0:1})}),n({terminated:this.terminateRequested,error:t})}handleSpawn(n,r,t,s,a){const c=new E.LineDecoder,o=new E.LineDecoder;n.stdout.on("data",l=>{c.write(l).forEach(P=>t({line:P,source:0}))}),n.stderr.on("data",l=>{o.write(l).forEach(P=>t({line:P,source:1}))}),this.stdoutLineDecoder=c,this.stderrLineDecoder=o}handleClose(n,r,t,s){const a=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;a&&t({line:a,source:0});const c=this.stderrLineDecoder?this.stderrLineDecoder.end():null;c&&t({line:c,source:1})}}e.LineProcess=m;function u(h){let n=[],r=!1;const t=function(s){if(r){n.push(s);return}(!h.send(s,c=>{if(c&&console.error(c),r=!1,n.length>0){const o=n.slice(0);n=[],o.forEach(l=>t(l))}})||b.isWindows)&&(r=!0)};return{send:t}}e.createQueuedSender=u;var f;(function(h){async function n(r,t,s){if(A.isAbsolute(r))return r;if(t===void 0&&(t=C.cwd()),A.dirname(r)!=="."||(s===void 0&&I.isString(C.env.PATH)&&(s=C.env.PATH.split(A.delimiter)),s===void 0||s.length===0))return A.join(t,r);async function c(o){if(await v.Promises.exists(o)){let l;try{l=await v.Promises.stat(o)}catch(g){g.message.startsWith("EACCES")&&(l=await v.Promises.lstat(o))}return l?!l.isDirectory():!1}return!1}for(const o of s){let l;if(A.isAbsolute(o)?l=A.join(o,r):l=A.join(t,o,r),await c(l))return l;let g=l+".com";if(await c(g)||(g=l+".exe",await c(g)))return g}return A.join(t,r)}h.findExecutable=n})(f=e.win32||(e.win32={}))}),define(re[135],oe([0,1,37,4,82,86]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function A(y,d){return y===1?i.isWindows?E():L.getWindowsShell(d):D(y,d)}e.getSystemShell=A;function b(y,d){return y===1?i.isWindows?v(d):L.getWindowsShell(d):D(y,d)}e.getSystemShellSync=b;let C=null;function D(y,d){if(i.isLinux&&y===2||i.isMacintosh&&y===3)return"/bin/bash";if(!C){let S;if(i.isWindows)S="/bin/bash";else{if(S=d.SHELL,!S)try{S=(0,R.userInfo)().shell}catch{}S||(S="sh"),S==="/bin/false"&&(S="/bin/bash")}C=S}return C}let I=null;async function E(){return I||(I=(await(0,k.getFirstAvailablePowerShellInstallation)()).exePath),I}function v(y){if(I)return I;const d=i.isWindows&&parseFloat((0,R.release)())>=10,S=y.hasOwnProperty("PROCESSOR_ARCHITEW6432"),w=`${y.windir}\\${S?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return d?w:L.getWindowsShell(y)}}),define(re[64],oe([0,1,48,6,17,23,126,9,3,2,30,86,77,39]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class d extends y.ChannelServer{constructor(p){super({send:m=>{try{process.send?.(m.buffer.toString("base64"))}catch{}},onMessage:C.Event.fromNodeEventEmitter(process,"message",m=>k.VSBuffer.wrap(Buffer.from(m,"base64")))},p);process.once("disconnect",()=>this.dispose())}}e.Server=d;class S{constructor(p,m){this.modulePath=p,this.options=m,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new C.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const u=m&&m.timeout?m.timeout:6e4;this.disposeDelayer=new i.Delayer(u),this.child=null,this._client=null}getChannel(p){const m=this;return{call(u,f,h){return m.requestPromise(p,u,f,h)},listen(u,f){return m.requestEvent(p,u,f)}}}requestPromise(p,m,u,f=L.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(f.isCancellationRequested)return Promise.reject(b.canceled());this.disposeDelayer.cancel();const h=this.getCachedChannel(p),n=(0,i.createCancelablePromise)(s=>h.call(m,u,s)),r=f.onCancellationRequested(()=>n.cancel()),t=(0,D.toDisposable)(()=>n.cancel());return this.activeRequests.add(t),n.finally(()=>{r.dispose(),this.activeRequests.delete(t),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),n}requestEvent(p,m,u){if(!this.disposeDelayer)return C.Event.None;this.disposeDelayer.cancel();let f;const h=new C.Emitter({onFirstListenerAdd:()=>{f=this.getCachedChannel(p).listen(m,u)(h.fire,h),this.activeRequests.add(f)},onLastListenerRemove:()=>{this.activeRequests.delete(f),f.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return h.event}get client(){if(!this._client){const p=this.options&&this.options.args?this.options.args:[],m=Object.create(null);m.env={...(0,I.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(m.env={...m.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(m.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(m.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(m.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),m.execArgv===void 0&&(m.execArgv=process.execArgv.filter(a=>!/^--inspect(-brk)?=/.test(a))),(0,v.removeDangerousEnvVariables)(m.env),this.child=(0,R.fork)(this.modulePath,p,m);const u=new C.Emitter;C.Event.fromNodeEventEmitter(this.child,"message",a=>a)(a=>{if((0,A.isRemoteConsoleLog)(a)){(0,A.log)(a,`IPC Library: ${this.options.serverName}`);return}u.fire(k.VSBuffer.wrap(Buffer.from(a,"base64")))});const h=this.options.useQueue?(0,E.createQueuedSender)(this.child):this.child,n=a=>this.child&&this.child.connected&&h.send(a.buffer.toString("base64")),r=u.event,t={send:n,onMessage:r};this._client=new y.ChannelClient(t);const s=()=>this.disposeClient();process.once("exit",s),this.child.on("error",a=>console.warn('IPC "'+this.options.serverName+'" errored with '+a)),this.child.on("exit",(a,c)=>{process.removeListener("exit",s),this.activeRequests.forEach(o=>(0,D.dispose)(o)),this.activeRequests.clear(),a!==0&&c!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+a+" and signal "+c),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:a,signal:c})})}return this._client}getCachedChannel(p){let m=this.channels.get(p);return m||(m=this.client.getChannel(p),this.channels.set(p,m)),m}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=S}),define(re[136],oe([10,11]),function(X,e){return X.create("vs/base/node/zip",e)}),define(re[137],oe([10,11]),function(X,e){return X.create("vs/platform/configuration/common/configurationRegistry",e)}),define(re[138],oe([10,11]),function(X,e){return X.create("vs/platform/environment/node/argv",e)}),define(re[139],oe([10,11]),function(X,e){return X.create("vs/platform/environment/node/argvHelper",e)}),define(re[140],oe([10,11]),function(X,e){return X.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(re[141],oe([10,11]),function(X,e){return X.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(re[142],oe([10,11]),function(X,e){return X.create("vs/platform/extensionManagement/common/extensionsScannerService",e)}),define(re[143],oe([10,11]),function(X,e){return X.create("vs/platform/extensionManagement/electron-sandbox/extensionTipsService",e)}),define(re[144],oe([10,11]),function(X,e){return X.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(re[145],oe([10,11]),function(X,e){return X.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(re[146],oe([10,11]),function(X,e){return X.create("vs/platform/extensions/common/extensionValidator",e)}),define(re[147],oe([10,11]),function(X,e){return X.create("vs/platform/files/common/fileService",e)}),define(re[148],oe([10,11]),function(X,e){return X.create("vs/platform/files/common/files",e)}),define(re[149],oe([10,11]),function(X,e){return X.create("vs/platform/files/common/io",e)}),define(re[150],oe([10,11]),function(X,e){return X.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(re[151],oe([10,11]),function(X,e){return X.create("vs/platform/languagePacks/common/languagePacks",e)}),define(re[152],oe([10,11]),function(X,e){return X.create("vs/platform/request/common/request",e)}),define(re[153],oe([10,11]),function(X,e){return X.create("vs/platform/shell/node/shellEnv",e)}),define(re[154],oe([10,11]),function(X,e){return X.create("vs/platform/telemetry/common/telemetryService",e)}),define(re[155],oe([10,11]),function(X,e){return X.create("vs/platform/terminal/common/terminalPlatformConfiguration",e)}),define(re[156],oe([10,11]),function(X,e){return X.create("vs/platform/terminal/common/terminalProfiles",e)}),define(re[157],oe([10,11]),function(X,e){return X.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(re[158],oe([10,11]),function(X,e){return X.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(re[159],oe([10,11]),function(X,e){return X.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(re[160],oe([10,11]),function(X,e){return X.create("vs/platform/userDataSync/common/settingsSync",e)}),define(re[161],oe([10,11]),function(X,e){return X.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(re[162],oe([10,11]),function(X,e){return X.create("vs/platform/userDataSync/common/userDataSync",e)}),define(re[163],oe([10,11]),function(X,e){return X.create("vs/platform/userDataSync/common/userDataSyncMachines",e)}),define(re[164],oe([10,11]),function(X,e){return X.create("vs/platform/workspace/common/workspace",e)}),define(re[87],oe([0,1,61,60,20,12,36,16,7]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class D{constructor(S,w,p){this._args=S,this.paths=w,this.productService=p,this.editSessionId=this.args.editSessionId}get appRoot(){return(0,L.dirname)(k.FileAccess.asFileUri("",X).fsPath)}get userHome(){return C.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return C.URI.file((0,L.join)(this.userDataPath,"User"))}get tmpDir(){return C.URI.file(this.paths.tmpDir)}get cacheHome(){return C.URI.file(this.userDataPath)}get stateResource(){return(0,b.joinPath)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,b.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const S=(0,R.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,L.join)(this.userDataPath,"logs",S)}return this.args.logsPath}get userDataSyncLogResource(){return C.URI.file((0,L.join)(this.logsPath,"userDataSync.log"))}get editSessionsLogResource(){return C.URI.file((0,L.join)(this.logsPath,"editSessions.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,b.joinPath)(C.URI.file((0,L.join)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,b.joinPath)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,b.joinPath)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,b.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const S=A.env.VSCODE_PORTABLE;return S?C.URI.file((0,L.join)(S,"argv.json")):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return C.URI.file((0,L.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,L.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const S=this.args["builtin-extensions-dir"];return S?(0,L.resolve)(S):(0,L.normalize)((0,L.join)(k.FileAccess.asFileUri("",X).fsPath,"..","extensions"))}get extensionsDownloadPath(){const S=this.args["extensions-download-dir"];return S?(0,L.resolve)(S):(0,L.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const S=this.args["extensions-dir"];if(S)return(0,L.resolve)(S);const w=A.env.VSCODE_EXTENSIONS;if(w)return w;const p=A.env.VSCODE_PORTABLE;return p?(0,L.join)(p,"extensions"):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const S=this.args.extensionDevelopmentPath;if(Array.isArray(S))return S.map(w=>/^[^:/?#]+?:\/\//.test(w)?C.URI.parse(w):C.URI.file((0,L.normalize)(w)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(S=>S==="ui"||S==="workspace"||S==="web"?S:"workspace")}get extensionTestsLocationURI(){const S=this.args.extensionTestsPath;if(S)return/^[^:/?#]+?:\/\//.test(S)?C.URI.parse(S):C.URI.file((0,L.normalize)(S))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const S=this.args["disable-extension"];if(S){if(typeof S=="string")return[S];if(Array.isArray(S)&&S.length>0)return S}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!A.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,b.joinPath)(C.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get telemetryLogResource(){return C.URI.file((0,L.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const S=A.env.VSCODE_PORTABLE;return S?C.URI.file((0,L.join)(S,"policy.json")):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"policy.json")}}get args(){return this._args}}ge([i.memoize],D.prototype,"appRoot",null),ge([i.memoize],D.prototype,"userHome",null),ge([i.memoize],D.prototype,"userDataPath",null),ge([i.memoize],D.prototype,"appSettingsHome",null),ge([i.memoize],D.prototype,"tmpDir",null),ge([i.memoize],D.prototype,"cacheHome",null),ge([i.memoize],D.prototype,"stateResource",null),ge([i.memoize],D.prototype,"userRoamingDataHome",null),ge([i.memoize],D.prototype,"userDataSyncHome",null),ge([i.memoize],D.prototype,"userDataSyncLogResource",null),ge([i.memoize],D.prototype,"editSessionsLogResource",null),ge([i.memoize],D.prototype,"sync",null),ge([i.memoize],D.prototype,"machineSettingsResource",null),ge([i.memoize],D.prototype,"workspaceStorageHome",null),ge([i.memoize],D.prototype,"localHistoryHome",null),ge([i.memoize],D.prototype,"keyboardLayoutResource",null),ge([i.memoize],D.prototype,"argvResource",null),ge([i.memoize],D.prototype,"isExtensionDevelopment",null),ge([i.memoize],D.prototype,"untitledWorkspacesHome",null),ge([i.memoize],D.prototype,"installSourcePath",null),ge([i.memoize],D.prototype,"builtinExtensionsPath",null),ge([i.memoize],D.prototype,"extensionsPath",null),ge([i.memoize],D.prototype,"extensionDevelopmentLocationURI",null),ge([i.memoize],D.prototype,"extensionDevelopmentKind",null),ge([i.memoize],D.prototype,"extensionTestsLocationURI",null),ge([i.memoize],D.prototype,"debugExtensionHost",null),ge([i.memoize],D.prototype,"serviceMachineIdResource",null),ge([i.memoize],D.prototype,"telemetryLogResource",null),ge([i.memoize],D.prototype,"disableWorkspaceTrust",null),ge([i.memoize],D.prototype,"policyFile",null),e.AbstractNativeEnvironmentService=D;function I(d,S){return y(d["inspect-extensions"],d["inspect-brk-extensions"],5870,S,d.debugId,d.extensionEnvironment)}e.parseExtensionHostPort=I;function E(d,S){return y(d["inspect-search"],d["inspect-brk-search"],5876,S,d.extensionEnvironment)}e.parseSearchPort=E;function v(d,S){return y(d["inspect-ptyhost"],d["inspect-brk-ptyhost"],5877,S,d.extensionEnvironment)}e.parsePtyHostPort=v;function y(d,S,w,p,m,u){const h=Number(S||d)||(p?null:w),n=h?Boolean(!!S):!1;let r;if(u)try{r=JSON.parse(u)}catch{}return{port:h,break:n,debugId:m,env:r}}}),define(re[165],oe([0,1,269,4,138]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const L={o:(0,k.localize)(0,null),e:(0,k.localize)(1,null),t:(0,k.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,k.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,k.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,k.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,k.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,k.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,k.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,k.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,k.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,k.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,k.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,k.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,k.localize)(14,null)},category:{type:"string",cat:"e",description:(0,k.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,k.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,k.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,k.localize)(18,null)},"enable-proposed-api":{type:"string[]",allowEmptyValue:!0,cat:"e",args:"ext-id",description:(0,k.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,k.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,k.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,k.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,k.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,k.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,k.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,k.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,k.localize)(27,null),args:["on | off"]},"inspect-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,k.localize)(28,null)},"inspect-brk-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,k.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,k.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,k.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,k.localize)(32,null)},remote:{type:"string",allowEmptyValue:!0},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-brk-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-search":{type:"string",deprecates:["debugSearch"],allowEmptyValue:!0},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"],allowEmptyValue:!0},"export-default-configuration":{type:"string"},"install-source":{type:"string"},"enable-smoke-test-driver":{type:"boolean"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},logsPath:{type:"string"},"__enable-file-policy":{type:"boolean"},editSessionId:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string",allowEmptyValue:!0},"inspect-brk":{type:"string",allowEmptyValue:!0},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},_:{type:"string[]"}};const A={onUnknownOption:()=>{},onMultipleValues:()=>{},onEmptyValue:()=>{},onDeprecatedOption:()=>{}};function b(d,S,w=A){const p={},m=["_"],u=[];for(const r in S){const t=S[r];t.alias&&(p[r]=t.alias),t.type==="string"||t.type==="string[]"?(m.push(r),t.deprecates&&m.push(...t.deprecates)):t.type==="boolean"&&(u.push(r),t.deprecates&&u.push(...t.deprecates))}const f=R(d,{string:m,boolean:u,alias:p}),h={},n=f;h._=f._.map(r=>String(r)).filter(r=>r.length>0),delete n._;for(const r in S){const t=S[r];t.alias&&delete n[t.alias];let s=n[r];if(t.deprecates)for(const a of t.deprecates)n.hasOwnProperty(a)&&(s||(s=n[a],s&&w.onDeprecatedOption(a,t.deprecationMessage||(0,k.localize)(33,null,r))),delete n[a]);if(typeof s!="undefined"){if(t.type==="string[]"){if(Array.isArray(s)||(s=[s]),!t.allowEmptyValue){const a=s.filter(c=>c.length>0);a.length!==s.length&&(w.onEmptyValue(r),s=a.length>0?a:void 0)}}else t.type==="string"&&(Array.isArray(s)?(s=s.pop(),w.onMultipleValues(r,s)):!s&&!t.allowEmptyValue&&(w.onEmptyValue(r),s=void 0));h[r]=s,t.deprecationMessage&&w.onDeprecatedOption(r,t.deprecationMessage)}delete n[r]}for(const r in n)w.onUnknownOption(r);return h}e.parseArgs=b;function C(d,S){let w="";return S.args&&(Array.isArray(S.args)?w=` <${S.args.join("> <")}>`:w=` <${S.args}>`),S.alias?`-${S.alias} --${d}${w}`:`--${d}${w}`}function D(d,S){let w=0;const p=[];for(const h in d){const n=d[h],r=C(h,n);w=Math.max(w,r.length),p.push([r,n.description])}const m=w+2+1;if(S-m<25)return p.reduce((h,n)=>h.concat([`  ${n[0]}`,`      ${n[1]}`]),[]);const u=S-m-1,f=[];for(const h of p){const n=h[0],r=E(h[1],u),t=I(m-n.length-2);f.push("  "+n+t+r[0]);for(let s=1;s<r.length;s++)f.push(I(m)+r[s])}return f}e.formatOptions=D;function I(d){return" ".repeat(d)}function E(d,S){const w=[];for(;d.length;){const p=d.length<S?d.length:d.lastIndexOf(" ",S),m=d.slice(0,p).trim();d=d.slice(p),w.push(m)}return w}function v(d,S,w,p,m){const u=process.stdout.isTTY&&process.stdout.columns||80,f=m?.noInputFiles!==!0?`[${(0,k.localize)(34,null)}...]`:"",h=[`${d} ${w}`];h.push(""),h.push(`${(0,k.localize)(35,null)}: ${S} [${(0,k.localize)(36,null)}]${f}`),h.push(""),m?.noPipe!==!0&&(i.isWindows?h.push((0,k.localize)(37,null,S)):h.push((0,k.localize)(38,null,S)),h.push(""));const n={};for(const r in p){const t=p[r];if(t.description&&t.cat){let s=n[t.cat];s||(n[t.cat]=s={}),s[r]=t}}for(const r in n){const t=r,s=n[t];s&&(h.push(L[t]),h.push(...D(s,u)),h.push(""))}return h.join(`
`)}e.buildHelpMessage=v;function y(d,S){return`${d||(0,k.localize)(39,null)}
${S||(0,k.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=y}),define(re[166],oe([0,1,270,139,165]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const L=2048;function A(v,y){const d={onUnknownOption:w=>{console.warn((0,i.localize)(0,null,w))},onMultipleValues:(w,p)=>{console.warn((0,i.localize)(1,null,w,p))},onEmptyValue:w=>{console.warn((0,i.localize)(2,null,w))},onDeprecatedOption:(w,p)=>{console.warn((0,i.localize)(3,null,w,p))}},S=(0,k.parseArgs)(v,k.OPTIONS,y?d:void 0);return S.goto&&S._.forEach(w=>R(/^(\w:)?[^:]+(:\d*){0,2}$/.test(w),(0,i.localize)(4,null))),S["max-memory"]&&R(parseInt(S["max-memory"])>=L,`The max-memory argument cannot be specified lower than ${L} MB.`),S}function b(v){const y=v.findIndex(d=>!/^-/.test(d));if(y>-1)return[...v.slice(0,y),...v.slice(y+1)]}function C(v){let[,...y]=v;process.env.VSCODE_DEV&&(y=b(y)||[]);const d=!E(process.env);return A(y,d)}e.parseMainProcessArgv=C;function D(v){const[,,...y]=v;return A(y,!0)}e.parseCLIProcessArgv=D;function I(v,...y){const d=v.indexOf("--");return d===-1?v.push(...y):v.splice(d,0,...y),v}e.addArg=I;function E(v){return v.VSCODE_CLI==="1"}e.isLaunchedFromCli=E}),function(){"use strict";function X(e,R,i,k){function L(b){const C=A(b),D=[C];return e.isAbsolute(C)||D.unshift(k),e.resolve(...D)}function A(b){const C=process.env.VSCODE_PORTABLE;if(C)return e.join(C,"user-data");let D=process.env.VSCODE_APPDATA;if(D)return e.join(D,i);const I=b["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(D=process.env.APPDATA,!D){const E=process.env.USERPROFILE;if(typeof E!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");D=e.join(E,"AppData","Roaming")}break;case"darwin":D=e.join(R.homedir(),"Library","Application Support");break;case"linux":D=process.env.XDG_CONFIG_HOME||e.join(R.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(D,i)}return{getUserDataPath:L}}if(typeof define=="function")define(re[167],oe([0,271,37,20,16,36]),function(e,R,i,k,L,A){const b=L.dirname(k.FileAccess.asFileUri("",e)),C=e.__$__nodeRequire(L.joinPath(b,"package.json").fsPath);return X(R,i,C.name,A.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),R=require("path"),i=require("os");module.exports=X(R,i,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(re[168],oe([0,1,37,87,167]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class L extends i.AbstractNativeEnvironmentService{constructor(b,C){super(b,{homeDir:(0,R.homedir)(),tmpDir:(0,R.tmpdir)(),userDataDir:(0,k.getUserDataPath)(b)},C)}}e.NativeEnvironmentService=L}),define(re[169],oe([0,1,7]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemotes=e.getDomainsOfRemotes=e.AllowedSecondLevelDomains=void 0;const i=/^([^@:]+@)?([^:]+):/,k=/^([^@:]+@)?([^:]+):(.+)$/,L=/^([^@]+@)?([^:]+)(:\d+)?$/,A=/([^@:.]+\.[^@:.]+)(:\d+)?$/,b=/^\s*url\s*=\s*(.+\S)\s*$/mg,C=/[^.]/g;e.AllowedSecondLevelDomains=["github.com","bitbucket.org","visualstudio.com","gitlab.com","heroku.com","azurewebsites.net","ibm.com","amazon.com","amazonaws.com","cloudapp.net","rhcloud.com","google.com","azure.com"];function D(w){const p=w.match(A);return p?p[1]:null}function I(w){if(w.indexOf("://")===-1){const p=w.match(i);return p?D(p[2]):null}try{const p=R.URI.parse(w);if(p.authority)return D(p.authority)}catch{}return null}function E(w,p){const m=new Set;let u;for(;u=b.exec(w);){const h=I(u[1]);h&&m.add(h)}const f=new Set(p);return Array.from(m).map(h=>f.has(h)?h:h.replace(C,"a"))}e.getDomainsOfRemotes=E;function v(w){const p=w.match(L);return p?p[2]:null}function y(w,p,m){return w&&p?(m&&p.endsWith(".git")&&(p=p.substr(0,p.length-4)),p.indexOf("/")===0?`${w}${p}`:`${w}/${p}`):null}function d(w,p){if(w.indexOf("://")===-1){const m=w.match(k);if(m)return y(m[2],m[3],p)}try{const m=R.URI.parse(w);if(m.authority)return y(v(m.authority),m.path,p)}catch{}return null}function S(w,p=!1){const m=[];let u;for(;u=b.exec(w);){const f=d(u[1],p);f&&m.push(f)}return m}e.getRemotes=S}),define(re[170],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionRecommendationNotificationServiceChannel=e.ExtensionRecommendationNotificationServiceChannelClient=void 0;class R{constructor(L){this.channel=L}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(L,A,b,C){return this.channel.call("promptImportantExtensionsInstallNotification",[L,A,b,C])}promptWorkspaceRecommendations(L){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.ExtensionRecommendationNotificationServiceChannelClient=R;class i{constructor(L){this.service=L}listen(L,A){throw new Error(`Event not found: ${A}`)}call(L,A,b){switch(A){case"promptImportantExtensionsInstallNotification":return this.service.promptImportantExtensionsInstallNotification(b[0],b[1],b[2],b[3])}throw new Error(`Call not found: ${A}`)}}e.ExtensionRecommendationNotificationServiceChannel=i}),define(re[65],oe([0,1,16,80,146,55]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.validateExtensionManifest=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const A=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,b=/^-(\d{4})(\d{2})(\d{2})$/;function C(p){return p=p.trim(),p==="*"||A.test(p)}e.isValidVersionStr=C;function D(p){if(!C(p))return null;if(p=p.trim(),p==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const m=p.match(A);return m?{hasCaret:m[1]==="^",hasGreaterEquals:m[1]===">=",majorBase:m[2]==="x"?0:parseInt(m[2],10),majorMustEqual:m[2]!=="x",minorBase:m[4]==="x"?0:parseInt(m[4],10),minorMustEqual:m[4]!=="x",patchBase:m[6]==="x"?0:parseInt(m[6],10),patchMustEqual:m[6]!=="x",preRelease:m[8]||null}:null}e.parseVersion=D;function I(p){if(!p)return null;const m=p.majorBase,u=p.majorMustEqual,f=p.minorBase;let h=p.minorMustEqual;const n=p.patchBase;let r=p.patchMustEqual;p.hasCaret&&(m===0||(h=!1),r=!1);let t=0;if(p.preRelease){const s=b.exec(p.preRelease);if(s){const[,a,c,o]=s;t=Date.UTC(Number(a),Number(c)-1,Number(o))}}return{majorBase:m,majorMustEqual:u,minorBase:f,minorMustEqual:h,patchBase:n,patchMustEqual:r,isMinimum:p.hasGreaterEquals,notBefore:t}}e.normalizeVersion=I;function E(p,m,u){let f;typeof p=="string"?f=I(D(p)):f=p;let h;m instanceof Date?h=m.getTime():typeof m=="string"&&(h=new Date(m).getTime());let n;if(typeof u=="string"?n=I(D(u)):n=u,!f||!n)return!1;const r=f.majorBase,t=f.minorBase,s=f.patchBase;let a=n.majorBase,c=n.minorBase,o=n.patchBase;const l=n.notBefore;let g=n.majorMustEqual,P=n.minorMustEqual,U=n.patchMustEqual;return n.isMinimum?r>a?!0:r<a?!1:t>c?!0:t<c||h&&h<l?!1:s>=o:(r===1&&a===0&&(!g||!P||!U)&&(a=1,c=0,o=0,g=!0,P=!1,U=!1),r<a?!1:r>a?!g:t<c?!1:t>c?!P:s<o?!1:s>o?!U:!(h&&h<l))}e.isValidVersion=E;function v(p,m,u,f,h){const n=[];if(typeof f.publisher!="undefined"&&typeof f.publisher!="string")return n.push([i.default.Error,k.localize(0,null)]),n;if(typeof f.name!="string")return n.push([i.default.Error,k.localize(1,null,"name")]),n;if(typeof f.version!="string")return n.push([i.default.Error,k.localize(2,null,"version")]),n;if(!f.engines)return n.push([i.default.Error,k.localize(3,null,"engines")]),n;if(typeof f.engines.vscode!="string")return n.push([i.default.Error,k.localize(4,null,"engines.vscode")]),n;if(typeof f.extensionDependencies!="undefined"&&!w(f.extensionDependencies))return n.push([i.default.Error,k.localize(5,null,"extensionDependencies")]),n;if(typeof f.activationEvents!="undefined"){if(!w(f.activationEvents))return n.push([i.default.Error,k.localize(6,null,"activationEvents")]),n;if(typeof f.main=="undefined"&&typeof f.browser=="undefined")return n.push([i.default.Error,k.localize(7,null,"activationEvents","main")]),n}if(typeof f.extensionKind!="undefined"&&typeof f.main=="undefined"&&n.push([i.default.Warning,k.localize(8,null,"extensionKind")]),typeof f.main!="undefined"){if(typeof f.main!="string")return n.push([i.default.Error,k.localize(9,null,"main")]),n;{const s=(0,R.joinPath)(u,f.main);(0,R.isEqualOrParent)(s,u)||n.push([i.default.Warning,k.localize(10,null,s.path,u.path)])}if(typeof f.activationEvents=="undefined")return n.push([i.default.Error,k.localize(11,null,"activationEvents","main")]),n}if(typeof f.browser!="undefined"){if(typeof f.browser!="string")return n.push([i.default.Error,k.localize(12,null,"browser")]),n;{const s=(0,R.joinPath)(u,f.browser);(0,R.isEqualOrParent)(s,u)||n.push([i.default.Warning,k.localize(13,null,s.path,u.path)])}if(typeof f.activationEvents=="undefined")return n.push([i.default.Error,k.localize(14,null,"activationEvents","browser")]),n}if(!L.valid(f.version))return n.push([i.default.Error,k.localize(15,null)]),n;const r=[];if(!y(p,m,f,h,r))for(const s of r)n.push([i.default.Error,s]);return n}e.validateExtensionManifest=v;function y(p,m,u,f,h){return f||typeof u.main=="undefined"&&typeof u.browser=="undefined"?!0:S(p,m,u.engines.vscode,h)}e.isValidExtensionVersion=y;function d(p,m,u){return p==="*"||S(m,u,p)}e.isEngineValid=d;function S(p,m,u,f=[]){const h=I(D(u));if(!h)return f.push(k.localize(16,null,u)),!1;if(h.majorBase===0){if(!h.majorMustEqual||!h.minorMustEqual)return f.push(k.localize(17,null,u)),!1}else if(!h.majorMustEqual)return f.push(k.localize(18,null,u)),!1;return E(p,m,h)?!0:(f.push(k.localize(19,null,p,u)),!1)}function w(p){if(!Array.isArray(p))return!1;for(let m=0,u=p.length;m<u;m++)if(typeof p[m]!="string")return!1;return!0}}),define(re[49],oe([0,1,17,31]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function k(L,A,b){let C=b&&b.get("storage.serviceMachineId",-1)||null;if(C)return C;try{const I=(await A.readFile(L.serviceMachineIdResource)).value.toString();C=(0,i.isUUID)(I)?I:null}catch{C=null}if(!C){C=(0,i.generateUuid)();try{await A.writeFile(L.serviceMachineIdResource,R.VSBuffer.fromString(C))}catch{}}return b?.store("storage.serviceMachineId",C,-1,1),C}e.getServiceMachineId=k}),define(re[56],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class R{constructor(k,L=[],A=!1){this.ctor=k,this.staticArguments=L,this.supportsDelayedInstantiation=A}}e.SyncDescriptor=R}),define(re[88],oe([0,1,56]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const i=[];function k(A,b,C){b instanceof R.SyncDescriptor||(b=new R.SyncDescriptor(b,[],C)),i.push([A,b])}e.registerSingleton=k;function L(){return i}e.getSingletonServiceDescriptors=L}),define(re[171],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class R{constructor(L){this.incoming=new Map,this.outgoing=new Map,this.data=L}}e.Node=R;class i{constructor(L){this._hashFn=L,this._nodes=new Map}roots(){const L=[];for(const A of this._nodes.values())A.outgoing.size===0&&L.push(A);return L}insertEdge(L,A){const b=this.lookupOrInsertNode(L),C=this.lookupOrInsertNode(A);b.outgoing.set(this._hashFn(A),C),C.incoming.set(this._hashFn(L),b)}removeNode(L){const A=this._hashFn(L);this._nodes.delete(A);for(const b of this._nodes.values())b.outgoing.delete(A),b.incoming.delete(A)}lookupOrInsertNode(L){const A=this._hashFn(L);let b=this._nodes.get(A);return b||(b=new R(L),this._nodes.set(A,b)),b}lookup(L){return this._nodes.get(this._hashFn(L))}isEmpty(){return this._nodes.size===0}toString(){const L=[];for(const[A,b]of this._nodes)L.push(`${A}, (incoming)[${[...b.incoming.keys()].join(", ")}], (outgoing)[${[...b.outgoing.keys()].join(",")}]`);return L.join(`
`)}findCycleSlow(){for(const[L,A]of this._nodes){const b=new Set([L]),C=this._findCycle(A,b);if(C)return C}}_findCycle(L,A){for(const[b,C]of L.outgoing){if(A.has(b))return[...A,b].join(" -> ");A.add(b);const D=this._findCycle(C,A);if(D)return D;A.delete(b)}}}e.Graph=i}),define(re[5],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var R;(function(A){A.serviceIds=new Map,A.DI_TARGET="$di$target",A.DI_DEPENDENCIES="$di$dependencies";function b(C){return C[A.DI_DEPENDENCIES]||[]}A.getServiceDependencies=b})(R=e._util||(e._util={})),e.IInstantiationService=k("instantiationService");function i(A,b,C){b[R.DI_TARGET]===b?b[R.DI_DEPENDENCIES].push({id:A,index:C}):(b[R.DI_DEPENDENCIES]=[{id:A,index:C}],b[R.DI_TARGET]=b)}function k(A){if(R.serviceIds.has(A))return R.serviceIds.get(A);const b=function(C,D,I){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");i(b,C,I)};return b.toString=()=>A,R.serviceIds.set(A,b),b}e.createDecorator=k;function L(A){return A}e.refineServiceDecorator=L}),define(re[172],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IChecksumService=void 0,e.IChecksumService=(0,R.createDecorator)("checksumService")}),define(re[19],oe([0,1,14,7,5]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,k.createDecorator)("configurationService");function L(p){return p&&typeof p=="object"&&(!p.overrideIdentifier||typeof p.overrideIdentifier=="string")&&(!p.resource||p.resource instanceof i.URI)}e.isConfigurationOverrides=L;function A(p){return p&&typeof p=="object"&&(!p.overrideIdentifiers||R.isArray(p.overrideIdentifiers))&&!p.overrideIdentifier&&(!p.resource||p.resource instanceof i.URI)}e.isConfigurationUpdateOverrides=A;var b;(function(p){p[p.USER=1]="USER",p[p.USER_LOCAL=2]="USER_LOCAL",p[p.USER_REMOTE=3]="USER_REMOTE",p[p.WORKSPACE=4]="WORKSPACE",p[p.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",p[p.DEFAULT=6]="DEFAULT",p[p.MEMORY=7]="MEMORY"})(b=e.ConfigurationTarget||(e.ConfigurationTarget={}));function C(p){switch(p){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=C;function D(p,m){const u=Object.create(null);for(const f in p)I(u,f,p[f],m);return u}e.toValuesTree=D;function I(p,m,u,f){const h=m.split("."),n=h.pop();let r=p;for(let t=0;t<h.length;t++){const s=h[t];let a=r[s];switch(typeof a){case"undefined":a=r[s]=Object.create(null);break;case"object":break;default:f(`Ignoring ${m} as ${h.slice(0,t+1).join(".")} is ${JSON.stringify(a)}`);return}r=a}if(typeof r=="object"&&r!==null)try{r[n]=u}catch{f(`Ignoring ${m} as ${h.join(".")} is ${JSON.stringify(r)}`)}else f(`Ignoring ${m} as ${h.join(".")} is ${JSON.stringify(r)}`)}e.addToValueTree=I;function E(p,m){const u=m.split(".");v(p,u)}e.removeFromValueTree=E;function v(p,m){const u=m.shift();if(m.length===0){delete p[u];return}if(Object.keys(p).indexOf(u)!==-1){const f=p[u];typeof f=="object"&&!Array.isArray(f)&&(v(f,m),Object.keys(f).length===0&&delete p[u])}}function y(p,m,u){function f(r,t){let s=r;for(const a of t){if(typeof s!="object"||s===null)return;s=s[a]}return s}const h=m.split("."),n=f(p,h);return typeof n=="undefined"?u:n}e.getConfigurationValue=y;function d(p,m,u){Object.keys(m).forEach(f=>{f!=="__proto__"&&(f in p?R.isObject(p[f])&&R.isObject(m[f])?d(p[f],m[f],u):u&&(p[f]=m[f]):p[f]=m[f])})}e.merge=d;function S(p,m,u){const f=p.inspect(m),h=p.inspect(u);return typeof f.userValue!="undefined"||typeof f.workspaceValue!="undefined"||typeof f.workspaceFolderValue!="undefined"?f.value:typeof h.userValue!="undefined"||typeof h.workspaceValue!="undefined"||typeof h.workspaceFolderValue!="undefined"?h.value:f.defaultValue}e.getMigratedSettingValue=S;function w(p){return p.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=w}),define(re[173],oe([0,1,4,26,5]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const L=new Map;L.set("false",!1),L.set("true",!0),L.set("isMac",R.isMacintosh),L.set("isLinux",R.isLinux),L.set("isWindows",R.isWindows),L.set("isWeb",R.isWeb),L.set("isMacNative",R.isMacintosh&&!R.isWeb),L.set("isEdge",R.isEdge),L.set("isFirefox",R.isFirefox),L.set("isChrome",R.isChrome),L.set("isSafari",R.isSafari);const A=Object.prototype.hasOwnProperty;var b;(function(M){M[M.False=0]="False",M[M.True=1]="True",M[M.Defined=2]="Defined",M[M.Not=3]="Not",M[M.Equals=4]="Equals",M[M.NotEquals=5]="NotEquals",M[M.And=6]="And",M[M.Regex=7]="Regex",M[M.NotRegex=8]="NotRegex",M[M.Or=9]="Or",M[M.In=10]="In",M[M.NotIn=11]="NotIn",M[M.Greater=12]="Greater",M[M.GreaterEquals=13]="GreaterEquals",M[M.Smaller=14]="Smaller",M[M.SmallerEquals=15]="SmallerEquals"})(b=e.ContextKeyExprType||(e.ContextKeyExprType={}));class C{static false(){return E.INSTANCE}static true(){return v.INSTANCE}static has(T){return y.create(T)}static equals(T,$){return d.create(T,$)}static notEquals(T,$){return p.create(T,$)}static regex(T,$){return t.create(T,$)}static in(T,$){return S.create(T,$)}static not(T){return m.create(T)}static and(...T){return c.create(T,null)}static or(...T){return o.create(T,null,!0)}static greater(T,$){return f.create(T,$)}static greaterEquals(T,$){return h.create(T,$)}static smaller(T,$){return n.create(T,$)}static smallerEquals(T,$){return r.create(T,$)}static deserialize(T,$=!1){if(!!T)return this._deserializeOrExpression(T,$)}static _deserializeOrExpression(T,$){const N=T.split("||");return o.create(N.map(G=>this._deserializeAndExpression(G,$)),null,!0)}static _deserializeAndExpression(T,$){const N=T.split("&&");return c.create(N.map(G=>this._deserializeOne(G,$)),null)}static _deserializeOne(T,$){if(T=T.trim(),T.indexOf("!=")>=0){const N=T.split("!=");return p.create(N[0].trim(),this._deserializeValue(N[1],$))}if(T.indexOf("==")>=0){const N=T.split("==");return d.create(N[0].trim(),this._deserializeValue(N[1],$))}if(T.indexOf("=~")>=0){const N=T.split("=~");return t.create(N[0].trim(),this._deserializeRegexValue(N[1],$))}if(T.indexOf(" in ")>=0){const N=T.split(" in ");return S.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(T)){const N=T.split(">=");return h.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(T)){const N=T.split(">");return f.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(T)){const N=T.split("<=");return r.create(N[0].trim(),N[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(T)){const N=T.split("<");return n.create(N[0].trim(),N[1].trim())}return/^\!\s*/.test(T)?m.create(T.substr(1).trim()):y.create(T)}static _deserializeValue(T,$){if(T=T.trim(),T==="true")return!0;if(T==="false")return!1;const N=/^'([^']*)'$/.exec(T);return N?N[1].trim():T}static _deserializeRegexValue(T,$){if((0,i.isFalsyOrWhitespace)(T)){if($)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}const N=T.indexOf("/"),G=T.lastIndexOf("/");if(N===G||N<0){if($)throw new Error(`bad regexp-value '${T}', missing /-enclosure`);return console.warn(`bad regexp-value '${T}', missing /-enclosure`),null}const J=T.slice(N+1,G),z=T[G+1]==="i"?"i":"";try{return new RegExp(J,z)}catch(Q){if($)throw new Error(`bad regexp-value '${T}', parse error: ${Q}`);return console.warn(`bad regexp-value '${T}', parse error: ${Q}`),null}}}e.ContextKeyExpr=C;function D(M,T){const $=M?M.substituteConstants():void 0,N=T?T.substituteConstants():void 0;return!$&&!N?!0:!$||!N?!1:$.equals(N)}e.expressionsAreEqualWithConstantSubstitution=D;function I(M,T){return M.cmp(T)}class E{constructor(){this.type=0}cmp(T){return this.type-T.type}equals(T){return T.type===this.type}substituteConstants(){return this}evaluate(T){return!1}serialize(){return"false"}keys(){return[]}map(T){return this}negate(){return v.INSTANCE}}e.ContextKeyFalseExpr=E,E.INSTANCE=new E;class v{constructor(){this.type=1}cmp(T){return this.type-T.type}equals(T){return T.type===this.type}substituteConstants(){return this}evaluate(T){return!0}serialize(){return"true"}keys(){return[]}map(T){return this}negate(){return E.INSTANCE}}e.ContextKeyTrueExpr=v,v.INSTANCE=new v;class y{constructor(T,$){this.key=T,this.negated=$,this.type=2}static create(T,$=null){const N=L.get(T);return typeof N=="boolean"?N?v.INSTANCE:E.INSTANCE:new y(T,$)}cmp(T){return T.type!==this.type?this.type-T.type:g(this.key,T.key)}equals(T){return T.type===this.type?this.key===T.key:!1}substituteConstants(){const T=L.get(this.key);return typeof T=="boolean"?T?v.INSTANCE:E.INSTANCE:this}evaluate(T){return!!T.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(T){return T.mapDefined(this.key)}negate(){return this.negated||(this.negated=m.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=y;class d{constructor(T,$,N){this.key=T,this.value=$,this.negated=N,this.type=4}static create(T,$,N=null){if(typeof $=="boolean")return $?y.create(T,N):m.create(T,N);const G=L.get(T);return typeof G=="boolean"?$===(G?"true":"false")?v.INSTANCE:E.INSTANCE:new d(T,$,N)}cmp(T){return T.type!==this.type?this.type-T.type:P(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){const T=L.get(this.key);if(typeof T=="boolean"){const $=T?"true":"false";return this.value===$?v.INSTANCE:E.INSTANCE}return this}evaluate(T){return T.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(T){return T.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=p.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=d;class S{constructor(T,$){this.key=T,this.valueKey=$,this.type=10,this.negated=null}static create(T,$){return new S(T,$)}cmp(T){return T.type!==this.type?this.type-T.type:P(this.key,this.valueKey,T.key,T.valueKey)}equals(T){return T.type===this.type?this.key===T.key&&this.valueKey===T.valueKey:!1}substituteConstants(){return this}evaluate(T){const $=T.getValue(this.valueKey),N=T.getValue(this.key);return Array.isArray($)?$.includes(N):typeof N=="string"&&typeof $=="object"&&$!==null?A.call($,N):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(T){return T.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=w.create(this)),this.negated}}e.ContextKeyInExpr=S;class w{constructor(T){this._actual=T,this.type=11}static create(T){return new w(T)}cmp(T){return T.type!==this.type?this.type-T.type:this._actual.cmp(T._actual)}equals(T){return T.type===this.type?this._actual.equals(T._actual):!1}substituteConstants(){return this}evaluate(T){return!this._actual.evaluate(T)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(T){return new w(this._actual.map(T))}negate(){return this._actual}}e.ContextKeyNotInExpr=w;class p{constructor(T,$,N){this.key=T,this.value=$,this.negated=N,this.type=5}static create(T,$,N=null){if(typeof $=="boolean")return $?m.create(T,N):y.create(T,N);const G=L.get(T);return typeof G=="boolean"?$===(G?"true":"false")?E.INSTANCE:v.INSTANCE:new p(T,$,N)}cmp(T){return T.type!==this.type?this.type-T.type:P(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){const T=L.get(this.key);if(typeof T=="boolean"){const $=T?"true":"false";return this.value===$?E.INSTANCE:v.INSTANCE}return this}evaluate(T){return T.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(T){return T.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=d.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=p;class m{constructor(T,$){this.key=T,this.negated=$,this.type=3}static create(T,$=null){const N=L.get(T);return typeof N=="boolean"?N?E.INSTANCE:v.INSTANCE:new m(T,$)}cmp(T){return T.type!==this.type?this.type-T.type:g(this.key,T.key)}equals(T){return T.type===this.type?this.key===T.key:!1}substituteConstants(){const T=L.get(this.key);return typeof T=="boolean"?T?E.INSTANCE:v.INSTANCE:this}evaluate(T){return!T.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(T){return T.mapNot(this.key)}negate(){return this.negated||(this.negated=y.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=m;function u(M,T){if(typeof M=="string"){const $=parseFloat(M);isNaN($)||(M=$)}return typeof M=="string"||typeof M=="number"?T(M):E.INSTANCE}class f{constructor(T,$,N){this.key=T,this.value=$,this.negated=N,this.type=12}static create(T,$,N=null){return u($,G=>new f(T,G,N))}cmp(T){return T.type!==this.type?this.type-T.type:P(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(T){return T.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=r.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=f;class h{constructor(T,$,N){this.key=T,this.value=$,this.negated=N,this.type=13}static create(T,$,N=null){return u($,G=>new h(T,G,N))}cmp(T){return T.type!==this.type?this.type-T.type:P(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(T){return T.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=n.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=h;class n{constructor(T,$,N){this.key=T,this.value=$,this.negated=N,this.type=14}static create(T,$,N=null){return u($,G=>new n(T,G,N))}cmp(T){return T.type!==this.type?this.type-T.type:P(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(T){return T.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=h.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=n;class r{constructor(T,$,N){this.key=T,this.value=$,this.negated=N,this.type=15}static create(T,$,N=null){return u($,G=>new r(T,G,N))}cmp(T){return T.type!==this.type?this.type-T.type:P(this.key,this.value,T.key,T.value)}equals(T){return T.type===this.type?this.key===T.key&&this.value===T.value:!1}substituteConstants(){return this}evaluate(T){return typeof this.value=="string"?!1:parseFloat(T.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(T){return T.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=f.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=r;class t{constructor(T,$){this.key=T,this.regexp=$,this.type=7,this.negated=null}static create(T,$){return new t(T,$)}cmp(T){if(T.type!==this.type)return this.type-T.type;if(this.key<T.key)return-1;if(this.key>T.key)return 1;const $=this.regexp?this.regexp.source:"",N=T.regexp?T.regexp.source:"";return $<N?-1:$>N?1:0}equals(T){if(T.type===this.type){const $=this.regexp?this.regexp.source:"",N=T.regexp?T.regexp.source:"";return this.key===T.key&&$===N}return!1}substituteConstants(){return this}evaluate(T){const $=T.getValue(this.key);return this.regexp?this.regexp.test($):!1}serialize(){const T=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${T}`}keys(){return[this.key]}map(T){return T.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=s.create(this)),this.negated}}e.ContextKeyRegexExpr=t;class s{constructor(T){this._actual=T,this.type=8}static create(T){return new s(T)}cmp(T){return T.type!==this.type?this.type-T.type:this._actual.cmp(T._actual)}equals(T){return T.type===this.type?this._actual.equals(T._actual):!1}substituteConstants(){return this}evaluate(T){return!this._actual.evaluate(T)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(T){return new s(this._actual.map(T))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=s;function a(M){let T=null;for(let $=0,N=M.length;$<N;$++){const G=M[$].substituteConstants();if(M[$]!==G&&T===null){T=[];for(let J=0;J<$;J++)T[J]=M[J]}T!==null&&(T[$]=G)}return T===null?M:T}class c{constructor(T,$){this.expr=T,this.negated=$,this.type=6}static create(T,$){return c._normalizeArr(T,$)}cmp(T){if(T.type!==this.type)return this.type-T.type;if(this.expr.length<T.expr.length)return-1;if(this.expr.length>T.expr.length)return 1;for(let $=0,N=this.expr.length;$<N;$++){const G=I(this.expr[$],T.expr[$]);if(G!==0)return G}return 0}equals(T){if(T.type===this.type){if(this.expr.length!==T.expr.length)return!1;for(let $=0,N=this.expr.length;$<N;$++)if(!this.expr[$].equals(T.expr[$]))return!1;return!0}return!1}substituteConstants(){const T=a(this.expr);return T===this.expr?this:c.create(T,this.negated)}evaluate(T){for(let $=0,N=this.expr.length;$<N;$++)if(!this.expr[$].evaluate(T))return!1;return!0}static _normalizeArr(T,$){const N=[];let G=!1;for(const J of T)if(!!J){if(J.type===1){G=!0;continue}if(J.type===0)return E.INSTANCE;if(J.type===6){N.push(...J.expr);continue}N.push(J)}if(N.length===0&&G)return v.INSTANCE;if(N.length!==0){if(N.length===1)return N[0];N.sort(I);for(let J=1;J<N.length;J++)N[J-1].equals(N[J])&&(N.splice(J,1),J--);if(N.length===1)return N[0];for(;N.length>1;){const J=N[N.length-1];if(J.type!==9)break;N.pop();const z=N.pop(),Q=N.length===0,x=o.create(J.expr.map(B=>c.create([B,z],null)),null,Q);x&&(N.push(x),N.sort(I))}return N.length===1?N[0]:new c(N,$)}}serialize(){return this.expr.map(T=>T.serialize()).join(" && ")}keys(){const T=[];for(const $ of this.expr)T.push(...$.keys());return T}map(T){return new c(this.expr.map($=>$.map(T)),null)}negate(){if(!this.negated){const T=[];for(const $ of this.expr)T.push($.negate());this.negated=o.create(T,this,!0)}return this.negated}}class o{constructor(T,$){this.expr=T,this.negated=$,this.type=9}static create(T,$,N){return o._normalizeArr(T,$,N)}cmp(T){if(T.type!==this.type)return this.type-T.type;if(this.expr.length<T.expr.length)return-1;if(this.expr.length>T.expr.length)return 1;for(let $=0,N=this.expr.length;$<N;$++){const G=I(this.expr[$],T.expr[$]);if(G!==0)return G}return 0}equals(T){if(T.type===this.type){if(this.expr.length!==T.expr.length)return!1;for(let $=0,N=this.expr.length;$<N;$++)if(!this.expr[$].equals(T.expr[$]))return!1;return!0}return!1}substituteConstants(){const T=a(this.expr);return T===this.expr?this:o.create(T,this.negated,!1)}evaluate(T){for(let $=0,N=this.expr.length;$<N;$++)if(this.expr[$].evaluate(T))return!0;return!1}static _normalizeArr(T,$,N){let G=[],J=!1;if(T){for(let z=0,Q=T.length;z<Q;z++){const x=T[z];if(!!x){if(x.type===0){J=!0;continue}if(x.type===1)return v.INSTANCE;if(x.type===9){G=G.concat(x.expr);continue}G.push(x)}}if(G.length===0&&J)return E.INSTANCE;G.sort(I)}if(G.length!==0){if(G.length===1)return G[0];for(let z=1;z<G.length;z++)G[z-1].equals(G[z])&&(G.splice(z,1),z--);if(G.length===1)return G[0];if(N){for(let z=0;z<G.length;z++)for(let Q=z+1;Q<G.length;Q++)U(G[z],G[Q])&&(G.splice(Q,1),Q--);if(G.length===1)return G[0]}return new o(G,$)}}serialize(){return this.expr.map(T=>T.serialize()).join(" || ")}keys(){const T=[];for(const $ of this.expr)T.push(...$.keys());return T}map(T){return new o(this.expr.map($=>$.map(T)),null)}negate(){if(!this.negated){const T=[];for(const $ of this.expr)T.push($.negate());for(;T.length>1;){const $=T.shift(),N=T.shift(),G=[];for(const z of _($))for(const Q of _(N))G.push(c.create([z,Q],null));const J=T.length===0;T.unshift(o.create(G,null,J))}this.negated=T[0]}return this.negated}}class l extends y{constructor(T,$,N){super(T,null);this._defaultValue=$,typeof N=="object"?l._info.push({...N,key:T}):N!==!0&&l._info.push({key:T,description:N,type:$!=null?typeof $:void 0})}static all(){return l._info.values()}bindTo(T){return T.createKey(this.key,this._defaultValue)}getValue(T){return T.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(T){return d.create(this.key,T)}notEqualsTo(T){return p.create(this.key,T)}}e.RawContextKey=l,l._info=[],e.IContextKeyService=(0,k.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function g(M,T){return M<T?-1:M>T?1:0}function P(M,T,$,N){return M<$?-1:M>$?1:T<N?-1:T>N?1:0}function U(M,T){if(T.type===6&&M.type!==9&&M.type!==6){for(const G of T.expr)if(M.equals(G))return!0}const $=M.negate(),N=_($).concat(_(T));N.sort(I);for(let G=0;G<N.length;G++){const z=N[G].negate();for(let Q=G+1;Q<N.length;Q++){const x=N[Q];if(z.equals(x))return!0}}return!1}e.implies=U;function _(M){return M.type===9?M.expr:[M]}}),define(re[89],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullDiagnosticsService=e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,R.createDecorator)(e.ID);function i(L){return!!L.hostName&&!!L.errorMessage}e.isRemoteDiagnosticError=i;class k{async getPerformanceInfo(A,b){return{}}async getSystemInfo(A,b){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(A,b){return""}async getWorkspaceFileExtensions(A){return{extensions:[]}}async reportWorkspaceStats(A){}}e.NullDiagnosticsService=k}),define(re[90],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,R.createDecorator)("downloadService")}),define(re[15],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,R.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,R.refineServiceDecorator)(e.IEnvironmentService)}),define(re[28],oe([0,1,141,5]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDefaultExtensionsProfileInitService=e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function k(p){switch(p){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=k;function L(p){switch(p){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=L;function A(p,m){switch(p){case 3:return m==="x64"?"win32-x64":m==="ia32"?"win32-ia32":m==="arm64"?"win32-arm64":"unknown";case 2:return m==="x64"?"linux-x64":m==="arm64"?"linux-arm64":m==="arm"?"linux-armhf":"unknown";case"alpine":return m==="x64"?"alpine-x64":m==="arm64"?"alpine-arm64":"unknown";case 1:return m==="x64"?"darwin-x64":m==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=A;function b(p,m){return m==="web"&&!p.includes("web")}e.isNotWebExtensionInWebTargetPlatform=b;function C(p,m,u){return b(m,u)?!1:p==="undefined"||p==="universal"?!0:p==="unknown"?!1:p===u?!0:D(u).includes(p)}e.isTargetPlatformCompatible=C;function D(p){switch(p){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=D;function I(p){return p&&typeof p=="object"&&typeof p.id=="string"&&(!p.uuid||typeof p.uuid=="string")}e.isIExtensionIdentifier=I;var E;(function(p){p[p.NoneOrRelevance=0]="NoneOrRelevance",p[p.LastUpdatedDate=1]="LastUpdatedDate",p[p.Title=2]="Title",p[p.PublisherName=3]="PublisherName",p[p.InstallCount=4]="InstallCount",p[p.PublishedDate=10]="PublishedDate",p[p.AverageRating=6]="AverageRating",p[p.WeightedRating=12]="WeightedRating"})(E=e.SortBy||(e.SortBy={}));var v;(function(p){p[p.Default=0]="Default",p[p.Ascending=1]="Ascending",p[p.Descending=2]="Descending"})(v=e.SortOrder||(e.SortOrder={}));var y;(function(p){p.Install="install",p.Uninstall="uninstall"})(y=e.StatisticType||(e.StatisticType={}));var d;(function(p){p[p.None=1]="None",p[p.Install=2]="Install",p[p.Update=3]="Update",p[p.Migrate=4]="Migrate"})(d=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,i.createDecorator)("extensionGalleryService");var S;(function(p){p.Unsupported="Unsupported",p.Deprecated="Deprecated",p.Malicious="Malicious",p.Incompatible="Incompatible",p.IncompatiblePreRelease="IncompatiblePreRelease",p.IncompatibleTargetPlatform="IncompatibleTargetPlatform",p.ReleaseVersionNotFound="ReleaseVersionNotFound",p.Invalid="Invalid",p.Download="Download",p.Extract="Extract",p.Delete="Delete",p.Rename="Rename",p.CorruptZip="CorruptZip",p.IncompleteZip="IncompleteZip",p.Internal="Internal"})(S=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class w extends Error{constructor(m,u){super(m);this.code=u,this.name=u}}e.ExtensionManagementError=w,e.IExtensionManagementService=(0,i.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,i.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,i.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,i.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,R.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,R.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,i.createDecorator)("IExtensionManagementCLIService"),e.IDefaultExtensionsProfileInitService=(0,i.createDecorator)("IDefaultExtensionsProfileInitService")}),define(re[174],oe([0,1,3,2,63,30,7,127,28]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function D(w,p){return A.URI.revive(p?p.transformIncoming(w):w)}function I(w,p){return p?p.transformOutgoingURI(w):w}function E(w,p){p=p||b.DefaultURITransformer;const m=w.manifest;return{...(0,b.transformAndReviveIncomingURIs)({...w,manifest:void 0},p),manifest:m}}function v(w,p){return p?(0,L.cloneAndChange)(w,m=>m instanceof A.URI?p.transformOutgoingURI(m):void 0):w}class y{constructor(p,m){this.service=p,this.getUriTransformer=m,this.onInstallExtension=R.Event.buffer(p.onInstallExtension,!0),this.onDidInstallExtensions=R.Event.buffer(p.onDidInstallExtensions,!0),this.onUninstallExtension=R.Event.buffer(p.onUninstallExtension,!0),this.onDidUninstallExtension=R.Event.buffer(p.onDidUninstallExtension,!0)}listen(p,m){const u=this.getUriTransformer(p);switch(m){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtensions":return R.Event.map(this.onDidInstallExtensions,f=>f.map(h=>({...h,local:h.local?v(h.local,u):h.local})));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(p,m,u){const f=this.getUriTransformer(p);switch(m){case"zip":return this.service.zip(E(u[0],f)).then(h=>I(h,f));case"unzip":return this.service.unzip(D(u[0],f));case"install":return this.service.install(D(u[0],f),(0,k.revive)(u[1]));case"getManifest":return this.service.getManifest(D(u[0],f));case"getTargetPlatform":return this.service.getTargetPlatform();case"canInstall":return this.service.canInstall(u[0]);case"installFromGallery":return this.service.installFromGallery(u[0],(0,k.revive)(u[1]));case"uninstall":return this.service.uninstall(E(u[0],f),(0,k.revive)(u[1]));case"reinstallFromGallery":return this.service.reinstallFromGallery(E(u[0],f));case"getInstalled":return this.service.getInstalled(u[0],A.URI.revive(u[1])).then(h=>h.map(n=>v(n,f)));case"getMetadata":return this.service.getMetadata(E(u[0],f));case"updateMetadata":return this.service.updateMetadata(E(u[0],f),u[1]).then(h=>v(h,f));case"updateExtensionScope":return this.service.updateExtensionScope(E(u[0],f),u[1]).then(h=>v(h,f));case"getExtensionsControlManifest":return this.service.getExtensionsControlManifest()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=y;class d extends i.Disposable{constructor(p){super();this.channel=p,this._onInstallExtension=this._register(new R.Emitter),this._onDidInstallExtensions=this._register(new R.Emitter),this._onUninstallExtension=this._register(new R.Emitter),this._onDidUninstallExtension=this._register(new R.Emitter),this._register(this.channel.listen("onInstallExtension")(m=>this._onInstallExtension.fire({identifier:m.identifier,source:this.isUriComponents(m.source)?A.URI.revive(m.source):m.source,profileLocation:A.URI.revive(m.profileLocation)}))),this._register(this.channel.listen("onDidInstallExtensions")(m=>this._onDidInstallExtensions.fire(m.map(u=>({...u,local:u.local?E(u.local,null):u.local,source:this.isUriComponents(u.source)?A.URI.revive(u.source):u.source,profileLocation:A.URI.revive(u.profileLocation)}))))),this._register(this.channel.listen("onUninstallExtension")(m=>this._onUninstallExtension.fire({identifier:m.identifier,profileLocation:A.URI.revive(m.profileLocation)}))),this._register(this.channel.listen("onDidUninstallExtension")(m=>this._onDidUninstallExtension.fire({...m,profileLocation:A.URI.revive(m.profileLocation)})))}get onInstallExtension(){return this._onInstallExtension.event}get onDidInstallExtensions(){return this._onDidInstallExtensions.event}get onUninstallExtension(){return this._onUninstallExtension.event}get onDidUninstallExtension(){return this._onDidUninstallExtension.event}isUriComponents(p){return p?typeof p.path=="string"&&typeof p.scheme=="string":!1}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=this.channel.call("getTargetPlatform")),this._targetPlatformPromise}async canInstall(p){const m=await this.getTargetPlatform();return p.allTargetPlatforms.some(u=>(0,C.isTargetPlatformCompatible)(u,p.allTargetPlatforms,m))}zip(p){return Promise.resolve(this.channel.call("zip",[p]).then(m=>A.URI.revive(m)))}unzip(p){return Promise.resolve(this.channel.call("unzip",[p]))}install(p,m){return Promise.resolve(this.channel.call("install",[p,m])).then(u=>E(u,null))}getManifest(p){return Promise.resolve(this.channel.call("getManifest",[p]))}installFromGallery(p,m){return Promise.resolve(this.channel.call("installFromGallery",[p,m])).then(u=>E(u,null))}uninstall(p,m){return Promise.resolve(this.channel.call("uninstall",[p,m]))}reinstallFromGallery(p){return Promise.resolve(this.channel.call("reinstallFromGallery",[p]))}getInstalled(p=null,m){return Promise.resolve(this.channel.call("getInstalled",[p,m])).then(u=>u.map(f=>E(f,null)))}getMetadata(p){return Promise.resolve(this.channel.call("getMetadata",[p]))}updateMetadata(p,m){return Promise.resolve(this.channel.call("updateMetadata",[p,m])).then(u=>E(u,null))}updateExtensionScope(p,m){return Promise.resolve(this.channel.call("updateExtensionScope",[p,m])).then(u=>E(u,null))}getExtensionsControlManifest(){return Promise.resolve(this.channel.call("getExtensionsControlManifest"))}registerParticipant(){throw new Error("Not Supported")}}e.ExtensionManagementChannelClient=d;class S{constructor(p){this.service=p}listen(p,m){throw new Error("Invalid listen")}call(p,m,u){switch(m){case"getConfigBasedTips":return this.service.getConfigBasedTips(A.URI.revive(u[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=S}),define(re[91],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionRecommendationNotificationService=e.RecommendationsNotificationResult=e.RecommendationSourceToString=e.RecommendationSource=void 0;var i;(function(A){A[A.FILE=1]="FILE",A[A.WORKSPACE=2]="WORKSPACE",A[A.EXE=3]="EXE"})(i=e.RecommendationSource||(e.RecommendationSource={}));function k(A){switch(A){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.RecommendationSourceToString=k;var L;(function(A){A.Ignored="ignored",A.Cancelled="cancelled",A.TooMany="toomany",A.IncompatibleWindow="incompatibleWindow",A.Accepted="reacted"})(L=e.RecommendationsNotificationResult||(e.RecommendationsNotificationResult={})),e.IExtensionRecommendationNotificationService=(0,R.createDecorator)("IExtensionRecommendationNotificationService")}),define(re[13],oe([0,1,34,12,26,14,7,148,5]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,C.createDecorator)("fileService");function D(z){return z.create===!0}e.isFileOpenForWriteOptions=D;var I;(function(z){z[z.Unknown=0]="Unknown",z[z.File=1]="File",z[z.Directory=2]="Directory",z[z.SymbolicLink=64]="SymbolicLink"})(I=e.FileType||(e.FileType={}));var E;(function(z){z[z.Readonly=1]="Readonly"})(E=e.FilePermission||(e.FilePermission={}));var v;(function(z){z[z.FileReadWrite=2]="FileReadWrite",z[z.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",z[z.FileReadStream=16]="FileReadStream",z[z.FileFolderCopy=8]="FileFolderCopy",z[z.PathCaseSensitive=1024]="PathCaseSensitive",z[z.Readonly=2048]="Readonly",z[z.Trash=4096]="Trash",z[z.FileWriteUnlock=8192]="FileWriteUnlock",z[z.FileAtomicRead=16384]="FileAtomicRead",z[z.FileClone=32768]="FileClone"})(v=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function y(z){return!!(z.capabilities&2)}e.hasReadWriteCapability=y;function d(z){return!!(z.capabilities&8)}e.hasFileFolderCopyCapability=d;function S(z){return!!(z.capabilities&32768)}e.hasFileCloneCapability=S;function w(z){return!!(z.capabilities&4)}e.hasOpenReadWriteCloseCapability=w;function p(z){return!!(z.capabilities&16)}e.hasFileReadStreamCapability=p;function m(z){return y(z)?!!(z.capabilities&16384):!1}e.hasFileAtomicReadCapability=m;var u;(function(z){z.FileExists="EntryExists",z.FileNotFound="EntryNotFound",z.FileNotADirectory="EntryNotADirectory",z.FileIsADirectory="EntryIsADirectory",z.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",z.FileTooLarge="EntryTooLarge",z.FileWriteLocked="EntryWriteLocked",z.NoPermissions="NoPermissions",z.Unavailable="Unavailable",z.Unknown="Unknown"})(u=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class f extends Error{constructor(Q,x){super(Q);this.code=x}}e.FileSystemProviderError=f;function h(z,Q){const x=new f(z.toString(),Q);return r(x,Q),x}e.createFileSystemProviderError=h;function n(z){return z||h((0,b.localize)(0,null),u.Unknown)}e.ensureFileSystemProviderError=n;function r(z,Q){return z.name=Q?`${Q} (FileSystemError)`:"FileSystemError",z}e.markAsFileSystemProviderError=r;function t(z){if(!z)return u.Unknown;if(z instanceof f)return z.code;const Q=/^(.+) \(FileSystemError\)$/.exec(z.name);if(!Q)return u.Unknown;switch(Q[1]){case u.FileExists:return u.FileExists;case u.FileIsADirectory:return u.FileIsADirectory;case u.FileNotADirectory:return u.FileNotADirectory;case u.FileNotFound:return u.FileNotFound;case u.FileExceedsMemoryLimit:return u.FileExceedsMemoryLimit;case u.FileTooLarge:return u.FileTooLarge;case u.FileWriteLocked:return u.FileWriteLocked;case u.NoPermissions:return u.NoPermissions;case u.Unavailable:return u.Unavailable}return u.Unknown}e.toFileSystemProviderErrorCode=t;function s(z){if(z instanceof P)return z.fileOperationResult;switch(t(z)){case u.FileNotFound:return 1;case u.FileIsADirectory:return 0;case u.FileNotADirectory:return 10;case u.FileWriteLocked:return 5;case u.NoPermissions:return 6;case u.FileExists:return 4;case u.FileExceedsMemoryLimit:return 9;case u.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=s;var a;(function(z){z[z.CREATE=0]="CREATE",z[z.DELETE=1]="DELETE",z[z.MOVE=2]="MOVE",z[z.COPY=3]="COPY",z[z.WRITE=4]="WRITE"})(a=e.FileOperation||(e.FileOperation={}));class c{constructor(Q,x,B){this.resource=Q,this.operation=x,this.target=B}isOperation(Q){return this.operation===Q}}e.FileOperationEvent=c;var o;(function(z){z[z.UPDATED=0]="UPDATED",z[z.ADDED=1]="ADDED",z[z.DELETED=2]="DELETED"})(o=e.FileChangeType||(e.FileChangeType={}));class l{constructor(Q,x){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=Q;const B=new Map;for(const Y of Q){const se=B.get(Y.type);switch(se?se.push([Y.resource,Y]):B.set(Y.type,[[Y.resource,Y]]),Y.type){case 1:this.rawAdded.push(Y.resource);break;case 0:this.rawUpdated.push(Y.resource);break;case 2:this.rawDeleted.push(Y.resource);break}}for(const[Y,se]of B)switch(Y){case 1:this.added=R.TernarySearchTree.forUris(()=>x),this.added.fill(se);break;case 0:this.updated=R.TernarySearchTree.forUris(()=>x),this.updated.fill(se);break;case 2:this.deleted=R.TernarySearchTree.forUris(()=>x),this.deleted.fill(se);break}}contains(Q,...x){return this.doContains(Q,{includeChildren:!1},...x)}affects(Q,...x){return this.doContains(Q,{includeChildren:!0},...x)}doContains(Q,x,...B){if(!Q)return!1;const Y=B.length>0;return!!((!Y||B.includes(1))&&(this.added?.get(Q)||x.includeChildren&&this.added?.findSuperstr(Q))||(!Y||B.includes(0))&&(this.updated?.get(Q)||x.includeChildren&&this.updated?.findSuperstr(Q))||(!Y||B.includes(2))&&(this.deleted?.findSubstr(Q)||x.includeChildren&&this.deleted?.findSuperstr(Q)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=l;function g(z,Q,x){return!z||!Q||z===Q||Q.length>z.length?!1:(Q.charAt(Q.length-1)!==i.sep&&(Q+=i.sep),x?(0,k.startsWithIgnoreCase)(z,Q):z.indexOf(Q)===0)}e.isParent=g;class P extends Error{constructor(Q,x,B){super(Q);this.fileOperationResult=x,this.options=B}}e.FileOperationError=P;class U extends P{constructor(Q,x,B){super(Q,2,B);this.stat=x}}e.NotModifiedSinceFileOperationError=U;var _;(function(z){z[z.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",z[z.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",z[z.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",z[z.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",z[z.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",z[z.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",z[z.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",z[z.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",z[z.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",z[z.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",z[z.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",z[z.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(_=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var M;(function(z){z[z.FILE=0]="FILE",z[z.FOLDER=1]="FOLDER",z[z.ROOT_FOLDER=2]="ROOT_FOLDER"})(M=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function T(z){if(!(typeof z.size!="number"||typeof z.mtime!="number"))return z.mtime.toString(29)+z.size.toString(31)}e.etag=T;async function $(z,Q){if(!Q.hasProvider(A.URI.from({scheme:z.scheme})))return new Promise(x=>{const B=Q.onDidChangeFileSystemProviderRegistrations(Y=>{Y.scheme===z.scheme&&Y.added&&(B.dispose(),x())})})}e.whenProviderRegistered=$,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class N{static formatSize(Q){return(0,L.isNumber)(Q)||(Q=0),Q<N.KB?(0,b.localize)(1,null,Q.toFixed(0)):Q<N.MB?(0,b.localize)(2,null,(Q/N.KB).toFixed(2)):Q<N.GB?(0,b.localize)(3,null,(Q/N.MB).toFixed(2)):Q<N.TB?(0,b.localize)(4,null,(Q/N.GB).toFixed(2)):(0,b.localize)(5,null,(Q/N.TB).toFixed(2))}}e.ByteSize=N,N.KB=1024,N.MB=N.KB*N.KB,N.GB=N.MB*N.KB,N.TB=N.GB*N.KB;var G;(function(z){z[z.IA32=0]="IA32",z[z.OTHER=1]="OTHER"})(G=e.Arch||(e.Arch={}));function J(z){return{maxFileSize:z===0?300*N.MB:16*N.GB,maxHeapSize:z===0?700*N.MB:2*700*N.MB}}e.getPlatformLimits=J});var K=this&&this.__param||function(X,e){return function(R,i){e(R,i,X)}};define(re[175],oe([0,1,176,41,13]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChecksumService=void 0;let L=class{constructor(b){this.fileService=b}async checksum(b){const C=(await this.fileService.readFileStream(b)).value;return new Promise((D,I)=>{const E=(0,R.createHash)("md5");(0,i.listenStream)(C,{onData:v=>E.update(v.buffer),onError:v=>I(v),onEnd:()=>D(E.digest("base64").replace(/=+$/,""))})})}};L=ge([K(0,k.IFileService)],L),e.ChecksumService=L}),define(re[177],oe([0,1,17,38,9,3,2,41,7,31,13]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class E extends A.Disposable{constructor(y,d){super();this.channel=y,this.extraCapabilities=d,this.onDidChangeCapabilities=L.Event.None,this._onDidChange=this._register(new L.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new L.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,D.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(y){return this.channel.call("stat",[y])}readdir(y){return this.channel.call("readdir",[y])}async readFile(y,d){const{buffer:S}=await this.channel.call("readFile",[y,d]);return S}readFileStream(y,d,S){const w=(0,b.newWriteableStream)(m=>R.VSBuffer.concat(m.map(u=>R.VSBuffer.wrap(u))).buffer),p=this.channel.listen("readFileStream",[y,d])(m=>{if(m instanceof R.VSBuffer)w.write(m.buffer);else{if(m==="end")w.end();else{let u=m;u instanceof Error||(u=(0,I.createFileSystemProviderError)((0,i.toErrorMessage)(u),I.FileSystemProviderErrorCode.Unknown)),w.error(u),w.end()}p.dispose()}});return S.onCancellationRequested(()=>{w.error((0,k.canceled)()),w.end(),p.dispose()}),w}writeFile(y,d,S){return this.channel.call("writeFile",[y,R.VSBuffer.wrap(d),S])}open(y,d){return this.channel.call("open",[y,d])}close(y){return this.channel.call("close",[y])}async read(y,d,S,w,p){const[m,u]=await this.channel.call("read",[y,d,p]);return S.set(m.buffer.slice(0,u),w),u}write(y,d,S,w,p){return this.channel.call("write",[y,d,R.VSBuffer.wrap(S),w,p])}mkdir(y){return this.channel.call("mkdir",[y])}delete(y,d){return this.channel.call("delete",[y,d])}rename(y,d,S){return this.channel.call("rename",[y,d,S])}copy(y,d,S){return this.channel.call("copy",[y,d,S])}cloneFile(y,d){return this.channel.call("cloneFile",[y,d])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(y=>{if(Array.isArray(y)){const d=y;this._onDidChange.fire(d.map(S=>({resource:C.URI.revive(S.resource),type:S.type})))}else{const d=y;this._onDidWatchError.fire(d)}}))}watch(y,d){const S=(0,D.generateUuid)();return this.channel.call("watch",[this.sessionId,S,y,d]),(0,A.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,S]))}}e.DiskFileSystemProviderClient=E}),define(re[92],oe([0,1,17,9,149,13]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function A(I,E,v,y,d,S){let w;try{await b(I,E,v,y,d,S)}catch(p){w=p}finally{w&&d.errorTransformer&&(w=d.errorTransformer(w)),typeof w!="undefined"&&v.error(w),v.end()}}e.readFileIntoStream=A;async function b(I,E,v,y,d,S){C(S);const w=await I.open(E,{create:!1});try{C(S);let p=0,m=0,u=d&&typeof d.length=="number"?d.length:void 0,f=R.VSBuffer.alloc(Math.min(d.bufferSize,typeof u=="number"?u:d.bufferSize)),h=d&&typeof d.position=="number"?d.position:0,n=0;do m=await I.read(w,h,f.buffer,n,f.byteLength-n),h+=m,n+=m,p+=m,typeof u=="number"&&(u-=m),n===f.byteLength&&(await v.write(y(f)),f=R.VSBuffer.alloc(Math.min(d.bufferSize,typeof u=="number"?u:d.bufferSize)),n=0);while(m>0&&(typeof u!="number"||u>0)&&C(S)&&D(p,d));if(n>0){let r=n;typeof u=="number"&&(r=Math.min(n,u)),v.write(y(f.slice(0,r)))}}catch(p){throw(0,L.ensureFileSystemProviderError)(p)}finally{await I.close(w)}}function C(I){if(I.isCancellationRequested)throw(0,i.canceled)();return!0}function D(I,E){if(E?.limits){if(typeof E.limits.memory=="number"&&I>E.limits.memory)throw(0,L.createFileSystemProviderError)((0,k.localize)(0,null),L.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof E.limits.size=="number"&&I>E.limits.size)throw(0,L.createFileSystemProviderError)((0,k.localize)(1,null),L.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(re[57],oe([0,1,81,2,12,4,7,13]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseWatcherPatterns=e.normalizeWatcherPattern=e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function C(p){return p.recursive===!0}e.isRecursiveWatchRequest=C;class D extends i.Disposable{constructor(m,u,f,h){super();this.onFileChanges=m,this.onLogMessage=u,this.verboseLogging=f,this.options=h,this.watcherDisposables=this._register(new i.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const m=new i.DisposableStore;this.watcherDisposables.value=m,this.watcher=this.createWatcher(m),this.watcher.setVerboseLogging(this.verboseLogging),m.add(this.watcher.onDidChangeFile(u=>this.onFileChanges(u))),m.add(this.watcher.onDidLogMessage(u=>this.onLogMessage(u))),m.add(this.watcher.onDidError(u=>this.onError(u)))}onError(m){this.options.restartOnError?this.restartCounter<D.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${m}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${m}`):this.error(m)}restart(m){this.restartCounter++,this.init(),this.watch(m)}async watch(m){this.requests=m,await this.watcher?.watch(m)}async setVerboseLogging(m){this.verboseLogging=m,await this.watcher?.setVerboseLogging(m)}error(m){this.onLogMessage({type:"error",message:`[File Watcher (${this.options.type})] ${m}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractWatcherClient=D,D.MAX_RESTARTS=5;class I extends D{constructor(m,u,f){super(m,u,f,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=I;class E extends D{constructor(m,u,f){super(m,u,f,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=E;function v(p){return p.map(m=>({type:m.type,resource:A.URI.file(m.path)}))}e.toFileChanges=v;function y(p){const m=new w;for(const u of p)m.processEvent(u);return m.coalesce()}e.coalesceEvents=y;function d(p,m){return typeof m=="string"&&!m.startsWith(R.GLOBSTAR)&&!(0,k.isAbsolute)(m)?{base:p,pattern:m}:m}e.normalizeWatcherPattern=d;function S(p,m){const u=[];for(const f of m)u.push((0,R.parse)(d(p,f)));return u}e.parseWatcherPatterns=S;class w{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(m){return L.isLinux?m.path:m.path.toLowerCase()}processEvent(m){const u=this.mapPathToChange.get(this.toKey(m));let f=!1;if(u){const h=u.type,n=m.type;u.path!==m.path&&(m.type===2||m.type===1)?f=!0:h===1&&n===2?(this.mapPathToChange.delete(this.toKey(m)),this.coalesced.delete(u)):h===2&&n===1?u.type=0:h===1&&n===0||(u.type=n)}else f=!0;f&&(this.coalesced.add(m),this.mapPathToChange.set(this.toKey(m),m))}coalesce(){const m=[],u=[];return Array.from(this.coalesced).filter(f=>f.type!==2?(m.push(f),!1):!0).sort((f,h)=>f.path.length-h.path.length).filter(f=>u.some(h=>(0,b.isParent)(f.path,h,!L.isLinux))?!1:(u.push(f.path),!0)).concat(m)}}}),define(re[178],oe([0,1,54,6,23,42,2,79,12,4,129,27,57]),function(X,e,R,i,k,L,A,b,C,D,I,E,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class y extends A.Disposable{constructor(w,p,m,u){super();this.request=w,this.onDidFilesChange=p,this.onLogMessage=m,this.verboseLogging=u,this.throttledFileChangesWorker=new i.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},f=>this.onDidFilesChange(f)),this.fileChangesDelayer=this._register(new i.ThrottledDelayer(y.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=(0,v.parseWatcherPatterns)(this.request.path,this.request.excludes),this.includes=this.request.includes?(0,v.parseWatcherPatterns)(this.request.path,this.request.includes):void 0,this.cts=new k.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const w=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;const p=await E.Promises.stat(w);this._register(await this.doWatch(w,p.isDirectory()))}catch(w){w.code!=="ENOENT"?this.error(w):this.trace(w)}}async normalizePath(w){let p=w.path;try{p=await E.Promises.realpath(w.path),w.path===p&&(p=await(0,I.realcase)(w.path)??w.path),w.path!==p&&this.trace(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${w.path}, real: ${p})`)}catch{}return p}async doWatch(w,p){if(D.isMacintosh&&(0,L.isEqualOrParent)(w,"/Volumes/",!0))return this.error(`Refusing to watch ${w} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),A.Disposable.None;const m=new k.CancellationTokenSource(this.cts.token),u=new A.DisposableStore;try{const f=(0,C.basename)(w),h=(0,R.watch)(w);u.add((0,A.toDisposable)(()=>{h.removeAllListeners(),h.close()})),this.trace(`Started watching: '${w}'`);const n=new Set;if(p)try{for(const t of await E.Promises.readdir(w))n.add(t)}catch(t){this.error(t)}const r=new Map;u.add((0,A.toDisposable)(()=>{for(const[,t]of r)t.dispose();r.clear()})),h.on("error",(t,s)=>{this.error(`Failed to watch ${w} for changes using fs.watch() (${t}, ${s})`),this.dispose()}),h.on("change",(t,s)=>{if(m.token.isCancellationRequested)return;this.trace(`[raw] ["${t}"] ${s}`);let a="";if(s&&(a=s.toString(),D.isMacintosh&&(a=(0,b.normalizeNFC)(a))),!(!a||t!=="change"&&t!=="rename"))if(p)if(t==="rename"){r.get(a)?.dispose();const c=setTimeout(async()=>{if(r.delete(a),a===f&&!await E.Promises.exists(w)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const o=await this.existsChildStrictCase((0,C.join)(w,a));if(m.token.isCancellationRequested)return;let l;o?n.has(a)?l=0:(l=1,n.add(a)):(n.delete(a),l=2),this.onFileChange({path:(0,C.join)(this.request.path,a),type:l})},y.FILE_DELETE_HANDLER_DELAY);r.set(a,(0,A.toDisposable)(()=>clearTimeout(c)))}else{let c;n.has(a)?c=0:(c=1,n.add(a)),this.onFileChange({path:(0,C.join)(this.request.path,a),type:c})}else if(t==="rename"||a!==f){const c=setTimeout(async()=>{const o=await E.Promises.exists(w);m.token.isCancellationRequested||(o?(this.onFileChange({path:this.request.path,type:0},!0),u.add(await this.doWatch(w,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},y.FILE_DELETE_HANDLER_DELAY);u.clear(),u.add((0,A.toDisposable)(()=>clearTimeout(c)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(f){await E.Promises.exists(w)&&!m.token.isCancellationRequested&&this.error(`Failed to watch ${w} for changes using fs.watch() (${f.toString()})`)}return(0,A.toDisposable)(()=>{m.dispose(!0),u.dispose()})}async onFileChange(w,p=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${w.type===1?"[ADDED]":w.type===2?"[DELETED]":"[CHANGED]"} ${w.path}`),!p&&this.excludes.some(m=>m(w.path))?this.verboseLogging&&this.trace(` >> ignored (excluded) ${w.path}`):!p&&this.includes&&this.includes.length>0&&!this.includes.some(m=>m(w.path))?this.verboseLogging&&this.trace(` >> ignored (not included) ${w.path}`):this.fileChangesBuffer.push(w);try{await this.fileChangesDelayer.trigger(async()=>{const m=this.fileChangesBuffer;this.fileChangesBuffer=[];const u=(0,v.coalesceEvents)(m);if(u.length>0){if(this.verboseLogging)for(const h of u)this.trace(`>> normalized ${h.type===1?"[ADDED]":h.type===2?"[DELETED]":"[CHANGED]"} ${h.path}`);this.throttledFileChangesWorker.work(u)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${u.length}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(w){if(D.isLinux)return E.Promises.exists(w);try{const p=(0,C.basename)(w);return(await E.Promises.readdir((0,C.dirname)(w))).some(u=>u===p)}catch(p){return this.trace(p),!1}}setVerboseLogging(w){this.verboseLogging=w}error(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${w}`})}warn(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${w}`})}trace(w){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${w}`})}dispose(){this.trace(`stopping file watcher on ${this.request.path}`),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=y,y.FILE_DELETE_HANDLER_DELAY=100,y.FILE_CHANGES_HANDLER_DELAY=50;async function d(S,w,p,m,u=512){const f=await E.Promises.open(S,"r"),h=Buffer.allocUnsafe(u),n=new k.CancellationTokenSource(m);let r,t=!1;const s={path:S,excludes:[],recursive:!1},a=new y(s,c=>{(async()=>{for(const{type:o}of c)if(o===0){if(t)return;t=!0;try{for(;!n.token.isCancellationRequested;){const{bytesRead:l}=await E.Promises.read(f,h,0,u,null);if(!l||n.token.isCancellationRequested)break;w(h.slice(0,l))}}catch(l){r=new Error(l),n.dispose(!0)}finally{t=!1}}})()});return await a.ready,p(),new Promise((c,o)=>{n.token.onCancellationRequested(async()=>{a.dispose();try{await E.Promises.close(f)}catch(l){r=new Error(l)}r?o(r):c()})})}e.watchFileContents=d}),define(re[179],oe([0,1,3,81,2,4,178]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class b extends k.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new R.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=R.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(D){const I=this.normalizeRequests(D),E=I.filter(y=>{const d=this.watchers.get(y.path);return d?!(0,i.patternsEquals)(d.request.excludes,y.excludes)||!(0,i.patternsEquals)(d.request.includes,y.includes):!0}),v=Array.from(this.watchers.values()).filter(({request:y})=>!I.find(d=>d.path===y.path&&(0,i.patternsEquals)(d.excludes,y.excludes)&&(0,i.patternsEquals)(d.includes,y.includes))).map(({request:y})=>y.path);E.length&&this.trace(`Request to start watching: ${E.map(y=>`${y.path} (excludes: ${y.excludes.length>0?y.excludes:"<none>"}, includes: ${y.includes&&y.includes.length>0?JSON.stringify(y.includes):"<all>"})`).join(",")}`),v.length&&this.trace(`Request to stop watching: ${v.join(",")}`);for(const y of v)this.stopWatching(y);for(const y of E)this.startWatching(y)}startWatching(D){const I=new A.NodeJSFileWatcherLibrary(D,v=>this._onDidChangeFile.fire(v),v=>this._onDidLogMessage.fire(v),this.verboseLogging),E={request:D,instance:I};this.watchers.set(D.path,E)}async stop(){for(const[D]of this.watchers)this.stopWatching(D);this.watchers.clear()}stopWatching(D){const I=this.watchers.get(D);I&&(this.watchers.delete(D),I.instance.dispose())}normalizeRequests(D){const I=new Map;for(const E of D){const v=L.isLinux?E.path:E.path.toLowerCase();I.set(v,E)}return Array.from(I.values())}async setVerboseLogging(D){this.verboseLogging=D;for(const[,I]of this.watchers)I.instance.setVerboseLogging(D)}trace(D){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(D)})}toMessage(D,I){return I?`[File Watcher (node.js)] ${D} (path: ${I.request.path})`:`[File Watcher (node.js)] ${D}`}}e.NodeJSWatcher=b}),define(re[180],oe([0,1,57,179]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class k extends R.AbstractNonRecursiveWatcherClient{constructor(A,b,C){super(A,b,C);this.init()}createWatcher(){return new i.NodeJSWatcher}}e.NodeJSWatcherClient=k}),define(re[181],oe([0,1,20,39,64,57]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class A extends L.AbstractUniversalWatcherClient{constructor(C,D,I){super(C,D,I);this.init()}createWatcher(C){const D=C.add(new k.Client(R.FileAccess.asFileUri("bootstrap-fork",X).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return C.add(D.onDidProcessExit(({code:I,signal:E})=>this.onError(`terminated by itself with code ${I}, signal: ${E}`))),i.ProxyChannel.toService((0,i.getNextTickChannel)(D.getChannel("watcher")))}}e.UniversalWatcherClient=A}),define(re[93],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class R{constructor(...k){this._entries=new Map;for(const[L,A]of k)this.set(L,A)}set(k,L){const A=this._entries.get(k);return this._entries.set(k,L),A}has(k){return this._entries.has(k)}get(k){return this._entries.get(k)}}e.ServiceCollection=R}),define(re[182],oe([0,1,6,9,56,171,5,93]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const C=!1;class D extends Error{constructor(d){super("cyclic dependency between services");this.message=d.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${d.toString()}`}}class I{constructor(d=new b.ServiceCollection,S=!1,w){this._activeInstantiations=new Set,this._services=d,this._strict=S,this._parent=w,this._services.set(A.IInstantiationService,this)}createChild(d){return new I(d,this._strict,this)}invokeFunction(d,...S){const w=v.traceInvocation(d);let p=!1;try{return d({get:u=>{if(p)throw(0,i.illegalState)("service accessor is only valid during the invocation of its target method");const f=this._getOrCreateServiceInstance(u,w);if(!f)throw new Error(`[invokeFunction] unknown service '${u}'`);return f}},...S)}finally{p=!0,w.stop()}}createInstance(d,...S){let w,p;return d instanceof k.SyncDescriptor?(w=v.traceCreation(d.ctor),p=this._createInstance(d.ctor,d.staticArguments.concat(S),w)):(w=v.traceCreation(d),p=this._createInstance(d,S,w)),w.stop(),p}_createInstance(d,S=[],w){const p=A._util.getServiceDependencies(d).sort((f,h)=>f.index-h.index),m=[];for(const f of p){const h=this._getOrCreateServiceInstance(f.id,w);h||this._throwIfStrict(`[createInstance] ${d.name} depends on UNKNOWN service ${f.id}.`,!1),m.push(h)}const u=p.length>0?p[0].index:S.length;if(S.length!==u){console.trace(`[createInstance] First service dependency of ${d.name} at position ${u+1} conflicts with ${S.length} static arguments`);const f=u-S.length;f>0?S=S.concat(new Array(f)):S=S.slice(0,u)}return new d(...[...S,...m])}_setServiceInstance(d,S){if(this._services.get(d)instanceof k.SyncDescriptor)this._services.set(d,S);else if(this._parent)this._parent._setServiceInstance(d,S);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(d){const S=this._services.get(d);return!S&&this._parent?this._parent._getServiceInstanceOrDescriptor(d):S}_getOrCreateServiceInstance(d,S){const w=this._getServiceInstanceOrDescriptor(d);return w instanceof k.SyncDescriptor?this._safeCreateAndCacheServiceInstance(d,w,S.branch(d,!0)):(S.branch(d,!1),w)}_safeCreateAndCacheServiceInstance(d,S,w){if(this._activeInstantiations.has(d))throw new Error(`illegal state - RECURSIVELY instantiating service '${d}'`);this._activeInstantiations.add(d);try{return this._createAndCacheServiceInstance(d,S,w)}finally{this._activeInstantiations.delete(d)}}_createAndCacheServiceInstance(d,S,w){const p=new L.Graph(f=>f.id.toString());let m=0;const u=[{id:d,desc:S,_trace:w}];for(;u.length;){const f=u.pop();if(p.lookupOrInsertNode(f),m++>1e3)throw new D(p);for(const h of A._util.getServiceDependencies(f.desc.ctor)){const n=this._getServiceInstanceOrDescriptor(h.id);if(n||this._throwIfStrict(`[createInstance] ${d} depends on ${h.id} which is NOT registered.`,!0),n instanceof k.SyncDescriptor){const r={id:h.id,desc:n,_trace:f._trace.branch(h.id,!0)};p.insertEdge(f,r),u.push(r)}}}for(;;){const f=p.roots();if(f.length===0){if(!p.isEmpty())throw new D(p);break}for(const{data:h}of f){if(this._getServiceInstanceOrDescriptor(h.id)instanceof k.SyncDescriptor){const r=this._createServiceInstanceWithOwner(h.id,h.desc.ctor,h.desc.staticArguments,h.desc.supportsDelayedInstantiation,h._trace);this._setServiceInstance(h.id,r)}p.removeNode(h)}}return this._getServiceInstanceOrDescriptor(d)}_createServiceInstanceWithOwner(d,S,w=[],p,m){if(this._services.get(d)instanceof k.SyncDescriptor)return this._createServiceInstance(S,w,p,m);if(this._parent)return this._parent._createServiceInstanceWithOwner(d,S,w,p,m);throw new Error(`illegalState - creating UNKNOWN service instance ${S.name}`)}_createServiceInstance(d,S=[],w,p){if(w){const m=new R.IdleValue(()=>this._createInstance(d,S,p));return new Proxy(Object.create(null),{get(u,f){if(f in u)return u[f];const h=m.value;let n=h[f];return typeof n!="function"||(n=n.bind(h),u[f]=n),n},set(u,f,h){return m.value[f]=h,!0}})}else return this._createInstance(d,S,p)}_throwIfStrict(d,S){if(S&&console.warn(d),this._strict)throw new Error(d)}}e.InstantiationService=I;var E;(function(y){y[y.Creation=0]="Creation",y[y.Invocation=1]="Invocation",y[y.Branch=2]="Branch"})(E||(E={}));class v{constructor(d,S){this.type=d,this.name=S,this._start=Date.now(),this._dep=[]}static traceInvocation(d){return C?new v(1,d.name||d.toString().substring(0,42).replace(/\n/g,"")):v._None}static traceCreation(d){return C?new v(0,d.name):v._None}branch(d,S){const w=new v(2,d.toString());return this._dep.push([d,S,w]),w}stop(){const d=Date.now()-this._start;v._totals+=d;let S=!1;function w(m,u){const f=[],h=new Array(m+1).join("	");for(const[n,r,t]of u._dep)if(r&&t){S=!0,f.push(`${h}CREATES -> ${n}`);const s=w(m+1,t);s&&f.push(s)}else f.push(`${h}uses -> ${n}`);return f.join(`
`)}const p=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${w(1,this)}`,`DONE, took ${d.toFixed(2)}ms (grand total ${v._totals.toFixed(2)}ms)`];(d>2||S)&&console.log(p.join(`
`))}}e.Trace=v,v._None=new class extends v{constructor(){super(-1,null)}stop(){}branch(){return this}},v._totals=0}),define(re[183],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MessagePortMainProcessService=void 0;class R{constructor(k,L){this.server=k,this.router=L}getChannel(k){return this.server.getChannel(k,this.router)}registerChannel(k,L){this.server.registerChannel(k,L)}}e.MessagePortMainProcessService=R}),define(re[94],oe([0,1,39,56,88,5]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerSharedProcessRemoteService=e.ISharedProcessService=e.registerMainProcessRemoteService=e.IMainProcessService=void 0;class A{constructor(y,d,S){const w=S.getChannel(y);return b(d)?new d.channelClientCtor(w):R.ProxyChannel.toService(w,d?.proxyOptions)}}function b(v){return!!v?.channelClientCtor}e.IMainProcessService=(0,L.createDecorator)("mainProcessService");let C=class extends A{constructor(y,d,S){super(y,d,S)}};C=ge([K(2,e.IMainProcessService)],C);function D(v,y,d){(0,k.registerSingleton)(v,new i.SyncDescriptor(C,[y,d],d?.supportsDelayedInstantiation))}e.registerMainProcessRemoteService=D,e.ISharedProcessService=(0,L.createDecorator)("sharedProcessService");let I=class extends A{constructor(y,d,S){super(y,d,S)}};I=ge([K(2,e.ISharedProcessService)],I);function E(v,y,d){(0,k.registerSingleton)(v,new i.SyncDescriptor(I,[y,d],d?.supportsDelayedInstantiation))}e.registerSharedProcessRemoteService=E}),define(re[66],oe([0,1,23,2,4,151,28,5]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackBaseService=e.ILanguagePackService=void 0,e.ILanguagePackService=(0,b.createDecorator)("languagePackService");let C=class extends i.Disposable{constructor(I){super();this.extensionGalleryService=I}async getAvailableLanguages(){const I=new R.CancellationTokenSource;setTimeout(()=>I.cancel(),1e3);let E;try{E=await this.extensionGalleryService.query({text:'category:"language packs"',pageSize:20},I.token)}catch{return[]}const y=E.firstPage.filter(d=>d.properties.localizedLanguages?.length&&d.tags.some(S=>S.startsWith("lp-"))).map(d=>{const S=d.properties.localizedLanguages?.[0],w=d.tags.find(m=>m.startsWith("lp-")).split("lp-")[1];return{...this.createQuickPickItem({locale:w,label:S}),extensionId:d.identifier.id,galleryExtension:d}});return y.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),y}createQuickPickItem(I){const E=I.label??I.locale;let v=I.locale!==I.label?I.locale:void 0;return I.locale.toLowerCase()===k.language.toLowerCase()&&(v||(v=""),v+=(0,L.localize)(0,null)),{id:I.locale,label:E,description:v}}};C=ge([K(0,A.IExtensionGalleryService)],C),e.LanguagePackBaseService=C}),define(re[184],oe([0,1,2,66]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsUpdater=void 0;let k=class extends R.Disposable{constructor(A){super();this.localizationsService=A,this.updateLocalizations()}updateLocalizations(){this.localizationsService.update()}};k=ge([K(0,i.ILanguagePackService)],k),e.LocalizationsUpdater=k}),define(re[8],oe([0,1,38,3,2,4,5]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,A.createDecorator)("logService"),e.ILoggerService=(0,A.createDecorator)("loggerService");function b(){return new Date().toISOString()}var C;(function(r){r[r.Trace=0]="Trace",r[r.Debug=1]="Debug",r[r.Info=2]="Info",r[r.Warning=3]="Warning",r[r.Error=4]="Error",r[r.Critical=5]="Critical",r[r.Off=6]="Off"})(C=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=C.Info;function D(r,t,s){switch(t){case C.Trace:r.trace(s);break;case C.Debug:r.debug(s);break;case C.Info:r.info(s);break;case C.Warning:r.warn(s);break;case C.Error:r.error(s);break;case C.Critical:r.critical(s);break;default:throw new Error("Invalid log level")}}e.log=D;function I(r){let t="";for(let s=0;s<r.length;s++){let a=r[s];if(typeof a=="object")try{a=JSON.stringify(a)}catch{}t+=(s>0?" ":"")+a}return t}e.format=I;class E extends k.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new i.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(t){this.level!==t&&(this.level=t,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=E;class v extends E{constructor(t){super();this.logAlways=t}checkLogLevel(t){return this.logAlways||this.getLevel()<=t}trace(t,...s){this.checkLogLevel(C.Trace)&&this.log(C.Trace,I([t,...s]))}debug(t,...s){this.checkLogLevel(C.Debug)&&this.log(C.Debug,I([t,...s]))}info(t,...s){this.checkLogLevel(C.Info)&&this.log(C.Info,I([t,...s]))}warn(t,...s){this.checkLogLevel(C.Warning)&&this.log(C.Warning,I([t,...s]))}error(t,...s){if(this.checkLogLevel(C.Error))if(t instanceof Error){const a=Array.prototype.slice.call(arguments);a[0]=t.stack,this.log(C.Error,I(a))}else this.log(C.Error,I([t,...s]))}critical(t,...s){this.checkLogLevel(C.Critical)&&this.log(C.Critical,I([t,...s]))}flush(){}}e.AbstractMessageLogger=v;class y extends E{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t),this.useColors=!L.isWindows}trace(t,...s){this.getLevel()<=C.Trace&&(this.useColors?console.log(`[90m[main ${b()}][0m`,t,...s):console.log(`[main ${b()}]`,t,...s))}debug(t,...s){this.getLevel()<=C.Debug&&(this.useColors?console.log(`[90m[main ${b()}][0m`,t,...s):console.log(`[main ${b()}]`,t,...s))}info(t,...s){this.getLevel()<=C.Info&&(this.useColors?console.log(`[90m[main ${b()}][0m`,t,...s):console.log(`[main ${b()}]`,t,...s))}warn(t,...s){this.getLevel()<=C.Warning&&(this.useColors?console.warn(`[93m[main ${b()}][0m`,t,...s):console.warn(`[main ${b()}]`,t,...s))}error(t,...s){this.getLevel()<=C.Error&&(this.useColors?console.error(`[91m[main ${b()}][0m`,t,...s):console.error(`[main ${b()}]`,t,...s))}critical(t,...s){this.getLevel()<=C.Critical&&(this.useColors?console.error(`[90m[main ${b()}][0m`,t,...s):console.error(`[main ${b()}]`,t,...s))}dispose(){}flush(){}}e.ConsoleMainLogger=y;class d extends E{constructor(t=e.DEFAULT_LOG_LEVEL){super();this.setLevel(t)}trace(t,...s){this.getLevel()<=C.Trace&&console.log("%cTRACE","color: #888",t,...s)}debug(t,...s){this.getLevel()<=C.Debug&&console.log("%cDEBUG","background: #eee; color: #888",t,...s)}info(t,...s){this.getLevel()<=C.Info&&console.log("%c INFO","color: #33f",t,...s)}warn(t,...s){this.getLevel()<=C.Warning&&console.log("%c WARN","color: #993",t,...s)}error(t,...s){this.getLevel()<=C.Error&&console.log("%c  ERR","color: #f33",t,...s)}critical(t,...s){this.getLevel()<=C.Critical&&console.log("%cCRITI","background: #f33; color: white",t,...s)}dispose(){}flush(){}}e.ConsoleLogger=d;class S extends E{constructor(t,s=e.DEFAULT_LOG_LEVEL){super();this.adapter=t,this.setLevel(s)}trace(t,...s){this.getLevel()<=C.Trace&&this.adapter.log(C.Trace,[this.extractMessage(t),...s])}debug(t,...s){this.getLevel()<=C.Debug&&this.adapter.log(C.Debug,[this.extractMessage(t),...s])}info(t,...s){this.getLevel()<=C.Info&&this.adapter.log(C.Info,[this.extractMessage(t),...s])}warn(t,...s){this.getLevel()<=C.Warning&&this.adapter.log(C.Warning,[this.extractMessage(t),...s])}error(t,...s){this.getLevel()<=C.Error&&this.adapter.log(C.Error,[this.extractMessage(t),...s])}critical(t,...s){this.getLevel()<=C.Critical&&this.adapter.log(C.Critical,[this.extractMessage(t),...s])}extractMessage(t){return typeof t=="string"?t:(0,R.toErrorMessage)(t,this.getLevel()<=C.Trace)}dispose(){}flush(){}}e.AdapterLogger=S;class w extends E{constructor(t){super();this.logServices=t,t.length&&this.setLevel(t[0].getLevel())}setLevel(t){for(const s of this.logServices)s.setLevel(t);super.setLevel(t)}trace(t,...s){for(const a of this.logServices)a.trace(t,...s)}debug(t,...s){for(const a of this.logServices)a.debug(t,...s)}info(t,...s){for(const a of this.logServices)a.info(t,...s)}warn(t,...s){for(const a of this.logServices)a.warn(t,...s)}error(t,...s){for(const a of this.logServices)a.error(t,...s)}critical(t,...s){for(const a of this.logServices)a.critical(t,...s)}flush(){for(const t of this.logServices)t.flush()}dispose(){for(const t of this.logServices)t.dispose()}}e.MultiplexLogService=w;class p extends k.Disposable{constructor(t){super();this.logger=t,this._register(t)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(t){this.logger.setLevel(t)}getLevel(){return this.logger.getLevel()}trace(t,...s){this.logger.trace(t,...s)}debug(t,...s){this.logger.debug(t,...s)}info(t,...s){this.logger.info(t,...s)}warn(t,...s){this.logger.warn(t,...s)}error(t,...s){this.logger.error(t,...s)}critical(t,...s){this.logger.critical(t,...s)}flush(){this.logger.flush()}}e.LogService=p;class m extends k.Disposable{constructor(t,s){super();this.logLevel=t,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(s(a=>{this.logLevel=a,this.logLevelChangeableLoggers.forEach(c=>c.setLevel(a))}))}getLogger(t){return this.loggers.get(t.toString())}createLogger(t,s){let a=this.loggers.get(t.toString());return a||(a=this.doCreateLogger(t,s?.always?C.Trace:this.logLevel,s),this.loggers.set(t.toString(),a),s?.always||this.logLevelChangeableLoggers.push(a)),a}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(t=>t.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=m;class u{constructor(){this.onDidChangeLogLevel=new i.Emitter().event}setLevel(t){}getLevel(){return C.Info}trace(t,...s){}debug(t,...s){}info(t,...s){}warn(t,...s){}error(t,...s){}critical(t,...s){}dispose(){}flush(){}}e.NullLogService=u;function f(r){if(r.verbose)return C.Trace;if(typeof r.logLevel=="string"){const t=h(r.logLevel.toLowerCase());if(t!==void 0)return t}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=f;function h(r){switch(r){case"trace":return C.Trace;case"debug":return C.Debug;case"info":return C.Info;case"warn":return C.Warning;case"error":return C.Error;case"critical":return C.Critical;case"off":return C.Off}}e.parseLogLevel=h;function n(r){switch(r){case C.Trace:return"trace";case C.Debug:return"debug";case C.Info:return"info";case C.Warning:return"warn";case C.Error:return"error";case C.Critical:return"critical";case C.Off:return"off"}}e.LogLevelToString=n}),define(re[185],oe([0,1,6,9,2,12,27,15,8]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogsDataCleaner=void 0;let D=class extends k.Disposable{constructor(E,v){super();this.environmentService=E,this.logService=v,this._register(new R.RunOnceScheduler(()=>{this.cleanUpOldLogs()},10*1e3)).schedule()}async cleanUpOldLogs(){this.logService.trace("[logs cleanup]: Starting to clean up old logs.");try{const E=(0,L.basename)(this.environmentService.logsPath),v=(0,L.dirname)(this.environmentService.logsPath),S=(await A.Promises.readdir(v)).filter(p=>/^\d{8}T\d{6}$/.test(p)).sort().filter(p=>p!==E),w=S.slice(0,Math.max(0,S.length-9));w.length>0&&(this.logService.trace(`[logs cleanup]: Removing log folders '${w.join(", ")}'`),await Promise.all(w.map(p=>A.Promises.rm((0,L.join)(v,p)))))}catch(E){(0,i.onUnexpectedError)(E)}}};D=ge([K(0,b.IEnvironmentService),K(1,C.ILogService)],D),e.LogsDataCleaner=D}),define(re[186],oe([0,1,6,9,2,12,27,15,8]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDataCleaner=void 0;let D=class gt extends k.Disposable{constructor(E,v,y){super();this.backupWorkspacesPath=E,this.environmentService=v,this.logService=y,this._register(new R.RunOnceScheduler(()=>{this.cleanUpStorage()},30*1e3)).schedule()}async cleanUpStorage(){this.logService.trace("[storage cleanup]: Starting to clean up storage folders.");try{const E=await A.Promises.readFile(this.backupWorkspacesPath,"utf8"),y=JSON.parse(E).emptyWorkspaceInfos.map(S=>S.backupFolder),d=await A.Promises.readdir(this.environmentService.workspaceStorageHome.fsPath);await Promise.all(d.map(async S=>{S.length===gt.NON_EMPTY_WORKSPACE_ID_LENGTH||S===gt.EXTENSION_DEV_EMPTY_WINDOW_ID||y.indexOf(S)>=0||(this.logService.trace(`[storage cleanup]: Deleting workspace storage folder ${S}.`),await A.Promises.rm((0,L.join)(this.environmentService.workspaceStorageHome.fsPath,S)))}))}catch(E){(0,i.onUnexpectedError)(E)}}};D.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4,D.EXTENSION_DEV_EMPTY_WINDOW_ID="ext-dev",D=ge([K(1,b.INativeEnvironmentService),K(2,C.ILogService)],D),e.StorageDataCleaner=D}),define(re[187],oe([0,1,18,6,9,3,2,12,57,8]),function(X,e,R,i,k,L,A,b,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class I extends A.Disposable{constructor(v,y){super();this.logService=v,this.options=y,this._onDidChangeFile=this._register(new L.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new L.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new i.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new i.ThrottledDelayer(0))}watch(v,y){return y.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(v,y):this.watchNonRecursive(v,y)}watchUniversal(v,y){const d={path:this.toFilePath(v),excludes:y.excludes,includes:y.includes,recursive:y.recursive},S=(0,R.insert)(this.universalPathsToWatch,d);return this.refreshUniversalWatchers(),(0,A.toDisposable)(()=>{S(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(v=>(0,k.onUnexpectedError)(v))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(y=>this._onDidChangeFile.fire((0,C.toFileChanges)(y)),y=>this.onWatcherLogMessage(y),this.logService.getLevel()===D.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===D.LogLevel.Trace)})));const v=this.options?.watcher?.recursive?.usePolling;if(v===!0)for(const y of this.universalPathsToWatch)(0,C.isRecursiveWatchRequest)(y)&&(y.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(v))for(const y of this.universalPathsToWatch)(0,C.isRecursiveWatchRequest)(y)&&v.includes(y.path)&&(y.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(v,y){const d={path:this.toFilePath(v),excludes:y.excludes,includes:y.includes,recursive:!1},S=(0,R.insert)(this.nonRecursivePathsToWatch,d);return this.refreshNonRecursiveWatchers(),(0,A.toDisposable)(()=>{S(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(v=>(0,k.onUnexpectedError)(v))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(v=>this._onDidChangeFile.fire((0,C.toFileChanges)(v)),v=>this.onWatcherLogMessage(v),this.logService.getLevel()===D.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===D.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(v){v.type==="error"&&this._onDidWatchError.fire(v.message),this.logService[v.type](v.message)}toFilePath(v){return(0,b.normalize)(v.fsPath)}}e.AbstractDiskFileSystemProvider=I}),define(re[188],oe([0,1,18,6,17,23,3,62,52,2,34,20,189,16,41,147,13,92,8]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let u=class extends D.Disposable{constructor(h){super();this.logService=h,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new A.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new A.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new A.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new A.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new A.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new A.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new i.ResourceQueue)}registerProvider(h,n){if(this.provider.has(h))throw new Error(`A filesystem provider for the scheme '${h}' is already registered.`);(0,v.mark)(`code/registerFilesystem/${h}`);const r=new D.DisposableStore;return this.provider.set(h,n),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:h,provider:n}),r.add(n.onDidChangeFile(t=>this._onDidFilesChange.fire(new w.FileChangesEvent(t,!this.isPathCaseSensitive(n))))),typeof n.onDidWatchError=="function"&&r.add(n.onDidWatchError(t=>this._onDidWatchError.fire(new Error(t)))),r.add(n.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:n,scheme:h}))),(0,D.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:h,provider:n}),this.provider.delete(h),(0,D.dispose)(r)})}getProvider(h){return this.provider.get(h)}async activateProvider(h){const n=[];this._onWillActivateFileSystemProvider.fire({scheme:h,join(r){n.push(r)}}),!this.provider.has(h)&&await i.Promises.settled(n)}async canHandleResource(h){return await this.activateProvider(h.scheme),this.hasProvider(h)}hasProvider(h){return this.provider.has(h.scheme)}hasCapability(h,n){const r=this.provider.get(h.scheme);return!!(r&&r.capabilities&n)}listCapabilities(){return C.Iterable.map(this.provider,([h,n])=>({scheme:h,capabilities:n.capabilities}))}async withProvider(h){if(!(0,y.isAbsolutePath)(h))throw new w.FileOperationError((0,S.localize)(0,null,this.resourceForError(h)),8);await this.activateProvider(h.scheme);const n=this.provider.get(h.scheme);if(!n){const r=new Error;throw r.name="ENOPRO",r.message=(0,S.localize)(1,null,h.toString()),r}return n}async withReadProvider(h){const n=await this.withProvider(h);if((0,w.hasOpenReadWriteCloseCapability)(n)||(0,w.hasReadWriteCapability)(n)||(0,w.hasFileReadStreamCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${h.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(h){const n=await this.withProvider(h);if((0,w.hasOpenReadWriteCloseCapability)(n)||(0,w.hasReadWriteCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${h.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(h,n){try{return await this.doResolveFile(h,n)}catch(r){throw(0,w.toFileSystemProviderErrorCode)(r)===w.FileSystemProviderErrorCode.FileNotFound?new w.FileOperationError((0,S.localize)(2,null,this.resourceForError(h)),1):(0,w.ensureFileSystemProviderError)(r)}}async doResolveFile(h,n){const r=await this.withProvider(h),t=this.isPathCaseSensitive(r),s=n?.resolveTo,a=n?.resolveSingleChildDescendants,c=n?.resolveMetadata,o=await r.stat(h);let l;return this.toFileStat(r,h,o,void 0,!!c,(g,P)=>(l||(l=I.TernarySearchTree.forUris(()=>!t),l.set(h,!0),s&&l.fill(!0,s)),l.get(g.resource)||l.findSuperstr(g.resource.with({query:null,fragment:null}))?!0:g.isDirectory&&a?P===1:!1))}async toFileStat(h,n,r,t,s,a){const{providerExtUri:c}=this.getExtUri(h),o={resource:n,name:c.basename(n),isFile:(r.type&w.FileType.File)!=0,isDirectory:(r.type&w.FileType.Directory)!=0,isSymbolicLink:(r.type&w.FileType.SymbolicLink)!=0,mtime:r.mtime,ctime:r.ctime,size:r.size,readonly:Boolean((r.permissions??0)&w.FilePermission.Readonly)||Boolean(h.capabilities&2048),etag:(0,w.etag)({mtime:r.mtime,size:r.size}),children:void 0};if(o.isDirectory&&a(o,t)){try{const l=await h.readdir(n),g=await i.Promises.settled(l.map(async([P,U])=>{try{const _=c.joinPath(n,P),M=s?await h.stat(_):{type:U};return await this.toFileStat(h,_,M,l.length,s,a)}catch(_){return this.logService.trace(_),null}}));o.children=(0,R.coalesce)(g)}catch(l){this.logService.trace(l),o.children=[]}return o}return o}async resolveAll(h){return i.Promises.settled(h.map(async n=>{try{return{stat:await this.doResolveFile(n.resource,n.options),success:!0}}catch(r){return this.logService.trace(r),{stat:void 0,success:!1}}}))}async stat(h){const n=await this.withProvider(h),r=await n.stat(h);return this.toFileStat(n,h,r,void 0,!0,()=>!1)}async exists(h){const n=await this.withProvider(h);try{return!!await n.stat(h)}catch{return!1}}async canCreateFile(h,n){try{await this.doValidateCreateFile(h,n)}catch(r){return r}return!0}async doValidateCreateFile(h,n){if(!n?.overwrite&&await this.exists(h))throw new w.FileOperationError((0,S.localize)(3,null,this.resourceForError(h)),3,n)}async createFile(h,n=k.VSBuffer.fromString(""),r){await this.doValidateCreateFile(h,r);const t=await this.writeFile(h,n);return this._onDidRunOperation.fire(new w.FileOperationEvent(h,0,t)),t}async writeFile(h,n,r){const t=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(h),h),{providerExtUri:s}=this.getExtUri(t);try{await this.validateWriteFile(t,h,r)||await this.mkdirp(t,s.dirname(h));let c;if((0,w.hasReadWriteCapability)(t)&&!(n instanceof k.VSBuffer))if((0,d.isReadableStream)(n)){const o=await(0,d.peekStream)(n,3);o.ended?c=k.VSBuffer.concat(o.buffer):c=o}else c=(0,d.peekReadable)(n,o=>k.VSBuffer.concat(o),3);else c=n;!(0,w.hasOpenReadWriteCloseCapability)(t)||(0,w.hasReadWriteCapability)(t)&&c instanceof k.VSBuffer?await this.doWriteUnbuffered(t,h,r,c):await this.doWriteBuffered(t,h,r,c instanceof k.VSBuffer?(0,k.bufferToReadable)(c):c),this._onDidRunOperation.fire(new w.FileOperationEvent(h,4))}catch(a){throw new w.FileOperationError((0,S.localize)(4,null,this.resourceForError(h),(0,w.ensureFileSystemProviderError)(a).toString()),(0,w.toFileOperationResult)(a),r)}return this.resolve(h,{resolveMetadata:!0})}async validateWriteFile(h,n,r){if(!!r?.unlock&&!(h.capabilities&8192))throw new Error((0,S.localize)(5,null,this.resourceForError(n)));let s;try{s=await h.stat(n)}catch{return}if((s.type&w.FileType.Directory)!=0)throw new w.FileOperationError((0,S.localize)(6,null,this.resourceForError(n)),0,r);if(this.throwIfFileIsReadonly(n,s),typeof r?.mtime=="number"&&typeof r.etag=="string"&&r.etag!==w.ETAG_DISABLED&&typeof s.mtime=="number"&&typeof s.size=="number"&&r.mtime<s.mtime&&r.etag!==(0,w.etag)({mtime:r.mtime,size:s.size}))throw new w.FileOperationError((0,S.localize)(7,null),3,r);return s}async readFile(h,n,r){const t=await this.withReadProvider(h);return n?.atomic?this.doReadFileAtomic(t,h,n,r):this.doReadFile(t,h,n,r)}async doReadFileAtomic(h,n,r,t){return new Promise((s,a)=>{this.writeQueue.queueFor(n,this.getExtUri(h).providerExtUri).queue(async()=>{try{const c=await this.doReadFile(h,n,r,t);s(c)}catch(c){a(c)}})})}async doReadFile(h,n,r,t){const s=await this.doReadFileStream(h,n,{...r,preferUnbuffered:!0},t);return{...s,value:await(0,k.streamToBuffer)(s.value)}}async readFileStream(h,n,r){const t=await this.withReadProvider(h);return this.doReadFileStream(t,h,n,r)}async doReadFileStream(h,n,r,t){const s=new L.CancellationTokenSource(t),a=this.validateReadFile(n,r).then(o=>o,o=>{throw s.cancel(),o});let c;try{return typeof r?.etag=="string"&&r.etag!==w.ETAG_DISABLED&&await a,r?.atomic&&(0,w.hasFileAtomicReadCapability)(h)||!((0,w.hasOpenReadWriteCloseCapability)(h)||(0,w.hasFileReadStreamCapability)(h))||(0,w.hasReadWriteCapability)(h)&&r?.preferUnbuffered?c=this.readFileUnbuffered(h,n,r):(0,w.hasFileReadStreamCapability)(h)?c=this.readFileStreamed(h,n,s.token,r):c=this.readFileBuffered(h,n,s.token,r),{...await a,value:c}}catch(o){c&&await(0,d.consumeStream)(c);const l=(0,S.localize)(8,null,this.resourceForError(n),(0,w.ensureFileSystemProviderError)(o).toString());throw o instanceof w.NotModifiedSinceFileOperationError?new w.NotModifiedSinceFileOperationError(l,o.stat,r):new w.FileOperationError(l,(0,w.toFileOperationResult)(o),r)}}readFileStreamed(h,n,r,t=Object.create(null)){const s=h.readFileStream(n,t,r);return(0,d.transform)(s,{data:a=>a instanceof k.VSBuffer?a:k.VSBuffer.wrap(a),error:a=>new w.FileOperationError((0,S.localize)(9,null,this.resourceForError(n),(0,w.ensureFileSystemProviderError)(a).toString()),(0,w.toFileOperationResult)(a),t)},a=>k.VSBuffer.concat(a))}readFileBuffered(h,n,r,t=Object.create(null)){const s=(0,k.newWriteableBufferStream)();return(0,p.readFileIntoStream)(h,n,s,a=>a,{...t,bufferSize:this.BUFFER_SIZE,errorTransformer:a=>new w.FileOperationError((0,S.localize)(10,null,this.resourceForError(n),(0,w.ensureFileSystemProviderError)(a).toString()),(0,w.toFileOperationResult)(a),t)},r),s}readFileUnbuffered(h,n,r){const t=(0,d.newWriteableStream)(s=>k.VSBuffer.concat(s));return(async()=>{try{let s;r?.atomic&&(0,w.hasFileAtomicReadCapability)(h)?s=await h.readFile(n,{atomic:!0}):s=await h.readFile(n),typeof r?.position=="number"&&(s=s.slice(r.position)),typeof r?.length=="number"&&(s=s.slice(0,r.length)),this.validateReadFileLimits(n,s.byteLength,r),t.end(k.VSBuffer.wrap(s))}catch(s){t.error(s),t.end()}})(),t}async validateReadFile(h,n){const r=await this.resolve(h,{resolveMetadata:!0});if(r.isDirectory)throw new w.FileOperationError((0,S.localize)(11,null,this.resourceForError(h)),0,n);if(typeof n?.etag=="string"&&n.etag!==w.ETAG_DISABLED&&n.etag===r.etag)throw new w.NotModifiedSinceFileOperationError((0,S.localize)(12,null),r,n);return this.validateReadFileLimits(h,r.size,n),r}validateReadFileLimits(h,n,r){if(r?.limits){let t;if(typeof r.limits.memory=="number"&&n>r.limits.memory&&(t=9),typeof r.limits.size=="number"&&n>r.limits.size&&(t=7),typeof t=="number")throw new w.FileOperationError((0,S.localize)(13,null,this.resourceForError(h)),t)}}async canMove(h,n,r){return this.doCanMoveCopy(h,n,"move",r)}async canCopy(h,n,r){return this.doCanMoveCopy(h,n,"copy",r)}async doCanMoveCopy(h,n,r,t){if(h.toString()!==n.toString())try{const s=r==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(h),h):await this.withReadProvider(h),a=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n);await this.doValidateMoveCopy(s,h,a,n,r,t)}catch(s){return s}return!0}async move(h,n,r){const t=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(h),h),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),a=await this.doMoveCopy(t,h,s,n,"move",!!r),c=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(h,a==="move"?2:3,c)),c}async copy(h,n,r){const t=await this.withReadProvider(h),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),a=await this.doMoveCopy(t,h,s,n,"copy",!!r),c=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(h,a==="copy"?3:2,c)),c}async doMoveCopy(h,n,r,t,s,a){if(n.toString()===t.toString())return s;const{exists:c,isSameResourceWithDifferentPathCase:o}=await this.doValidateMoveCopy(h,n,r,t,s,a);if(c&&!o&&a&&await this.del(t,{recursive:!0}),await this.mkdirp(r,this.getExtUri(r).providerExtUri.dirname(t)),s==="copy"){if(h===r&&(0,w.hasFileFolderCopyCapability)(h))await h.copy(n,t,{overwrite:a});else{const l=await this.resolve(n);l.isDirectory?await this.doCopyFolder(h,l,r,t):await this.doCopyFile(h,n,r,t)}return s}else return h===r?(await h.rename(n,t,{overwrite:a}),s):(await this.doMoveCopy(h,n,r,t,"copy",a),await this.del(n,{recursive:!0}),"copy")}async doCopyFile(h,n,r,t){if((0,w.hasOpenReadWriteCloseCapability)(h)&&(0,w.hasOpenReadWriteCloseCapability)(r))return this.doPipeBuffered(h,n,r,t);if((0,w.hasOpenReadWriteCloseCapability)(h)&&(0,w.hasReadWriteCapability)(r))return this.doPipeBufferedToUnbuffered(h,n,r,t);if((0,w.hasReadWriteCapability)(h)&&(0,w.hasOpenReadWriteCloseCapability)(r))return this.doPipeUnbufferedToBuffered(h,n,r,t);if((0,w.hasReadWriteCapability)(h)&&(0,w.hasReadWriteCapability)(r))return this.doPipeUnbuffered(h,n,r,t)}async doCopyFolder(h,n,r,t){await r.mkdir(t),Array.isArray(n.children)&&await i.Promises.settled(n.children.map(async s=>{const a=this.getExtUri(r).providerExtUri.joinPath(t,s.name);return s.isDirectory?this.doCopyFolder(h,await this.resolve(s.resource),r,a):this.doCopyFile(h,s.resource,r,a)}))}async doValidateMoveCopy(h,n,r,t,s,a){let c=!1;if(h===r){const{providerExtUri:l,isPathCaseSensitive:g}=this.getExtUri(h);if(g||(c=l.isEqual(n,t)),c&&s==="copy")throw new Error((0,S.localize)(14,null,this.resourceForError(n),this.resourceForError(t)));if(!c&&l.isEqualOrParent(t,n))throw new Error((0,S.localize)(15,null,this.resourceForError(n),this.resourceForError(t)))}const o=await this.exists(t);if(o&&!c){if(!a)throw new w.FileOperationError((0,S.localize)(16,null,this.resourceForError(n),this.resourceForError(t)),4);if(h===r){const{providerExtUri:l}=this.getExtUri(h);if(l.isEqualOrParent(n,t))throw new Error((0,S.localize)(17,null,this.resourceForError(n),this.resourceForError(t)))}}return{exists:o,isSameResourceWithDifferentPathCase:c}}getExtUri(h){const n=this.isPathCaseSensitive(h);return{providerExtUri:n?y.extUri:y.extUriIgnorePathCase,isPathCaseSensitive:n}}isPathCaseSensitive(h){return!!(h.capabilities&1024)}async createFolder(h){const n=this.throwIfFileSystemIsReadonly(await this.withProvider(h),h);await this.mkdirp(n,h);const r=await this.resolve(h,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(h,0,r)),r}async mkdirp(h,n){const r=[],{providerExtUri:t}=this.getExtUri(h);for(;!t.isEqual(n,t.dirname(n));)try{if(((await h.stat(n)).type&w.FileType.Directory)==0)throw new Error((0,S.localize)(18,null,this.resourceForError(n)));break}catch(s){if((0,w.toFileSystemProviderErrorCode)(s)!==w.FileSystemProviderErrorCode.FileNotFound)throw s;r.push(t.basename(n)),n=t.dirname(n)}for(let s=r.length-1;s>=0;s--){n=t.joinPath(n,r[s]);try{await h.mkdir(n)}catch(a){if((0,w.toFileSystemProviderErrorCode)(a)!==w.FileSystemProviderErrorCode.FileExists)throw a}}}async canDelete(h,n){try{await this.doValidateDelete(h,n)}catch(r){return r}return!0}async doValidateDelete(h,n){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(h),h);if(!!n?.useTrash&&!(r.capabilities&4096))throw new Error((0,S.localize)(19,null,this.resourceForError(h)));let s;try{s=await r.stat(h)}catch{}if(s)this.throwIfFileIsReadonly(h,s);else throw new w.FileOperationError((0,S.localize)(20,null,this.resourceForError(h)),1);if(!!!n?.recursive){const c=await this.resolve(h);if(c.isDirectory&&Array.isArray(c.children)&&c.children.length>0)throw new Error((0,S.localize)(21,null,this.resourceForError(h)))}return r}async del(h,n){const r=await this.doValidateDelete(h,n),t=!!n?.useTrash,s=!!n?.recursive;await r.delete(h,{recursive:s,useTrash:t}),this._onDidRunOperation.fire(new w.FileOperationEvent(h,1))}async cloneFile(h,n){const r=await this.withProvider(h),t=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n);if(r===t&&this.getExtUri(r).providerExtUri.isEqual(h,n))return;if(r===t&&(0,w.hasFileCloneCapability)(r))return r.cloneFile(h,n);await this.mkdirp(t,this.getExtUri(t).providerExtUri.dirname(n));const s=this.writeQueue.queueFor(h,this.getExtUri(r).providerExtUri);return r===t&&(0,w.hasFileFolderCopyCapability)(r)?s.queue(()=>r.copy(h,n,{overwrite:!0})):s.queue(()=>this.doCopyFile(r,h,t,n))}watch(h,n={recursive:!1,excludes:[]}){const r=new D.DisposableStore;let t=!1,s=()=>{t=!0};return r.add((0,D.toDisposable)(()=>s())),(async()=>{try{const a=await this.doWatch(h,n);t?(0,D.dispose)(a):s=()=>(0,D.dispose)(a)}catch(a){this.logService.error(a)}})(),r}async doWatch(h,n){const r=await this.withProvider(h),t=(0,b.hash)([this.getExtUri(r).providerExtUri.getComparisonKey(h),n]);let s=this.activeWatchers.get(t);return s||(s={count:0,disposable:r.watch(h,n)},this.activeWatchers.set(t,s)),s.count+=1,(0,D.toDisposable)(()=>{s&&(s.count--,s.count===0&&((0,D.dispose)(s.disposable),this.activeWatchers.delete(t)))})}dispose(){super.dispose();for(const[,h]of this.activeWatchers)(0,D.dispose)(h.disposable);this.activeWatchers.clear()}async doWriteBuffered(h,n,r,t){return this.writeQueue.queueFor(n,this.getExtUri(h).providerExtUri).queue(async()=>{const s=await h.open(n,{create:!0,unlock:r?.unlock??!1});try{(0,d.isReadableStream)(t)||(0,d.isReadableBufferedStream)(t)?await this.doWriteStreamBufferedQueued(h,s,t):await this.doWriteReadableBufferedQueued(h,s,t)}catch(a){throw(0,w.ensureFileSystemProviderError)(a)}finally{await h.close(s)}})}async doWriteStreamBufferedQueued(h,n,r){let t=0,s;if((0,d.isReadableBufferedStream)(r)){if(r.buffer.length>0){const a=k.VSBuffer.concat(r.buffer);await this.doWriteBuffer(h,n,a,a.byteLength,t,0),t+=a.byteLength}if(r.ended)return;s=r.stream}else s=r;return new Promise((a,c)=>{(0,d.listenStream)(s,{onData:async o=>{s.pause();try{await this.doWriteBuffer(h,n,o,o.byteLength,t,0)}catch(l){return c(l)}t+=o.byteLength,setTimeout(()=>s.resume())},onError:o=>c(o),onEnd:()=>a()})})}async doWriteReadableBufferedQueued(h,n,r){let t=0,s;for(;(s=r.read())!==null;)await this.doWriteBuffer(h,n,s,s.byteLength,t,0),t+=s.byteLength}async doWriteBuffer(h,n,r,t,s,a){let c=0;for(;c<t;)c+=await h.write(n,s+c,r.buffer,a+c,t-c)}async doWriteUnbuffered(h,n,r,t){return this.writeQueue.queueFor(n,this.getExtUri(h).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(h,n,r,t))}async doWriteUnbufferedQueued(h,n,r,t){let s;t instanceof k.VSBuffer?s=t:(0,d.isReadableStream)(t)?s=await(0,k.streamToBuffer)(t):(0,d.isReadableBufferedStream)(t)?s=await(0,k.bufferedStreamToBuffer)(t):s=(0,k.readableToBuffer)(t),await h.writeFile(n,s.buffer,{create:!0,overwrite:!0,unlock:r?.unlock??!1})}async doPipeBuffered(h,n,r,t){return this.writeQueue.queueFor(t,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeBufferedQueued(h,n,r,t))}async doPipeBufferedQueued(h,n,r,t){let s,a;try{s=await h.open(n,{create:!1}),a=await r.open(t,{create:!0,unlock:!1});const c=k.VSBuffer.alloc(this.BUFFER_SIZE);let o=0,l=0,g=0;do g=await h.read(s,o,c.buffer,l,c.byteLength-l),await this.doWriteBuffer(r,a,c,g,o,l),o+=g,l+=g,l===c.byteLength&&(l=0);while(g>0)}catch(c){throw(0,w.ensureFileSystemProviderError)(c)}finally{await i.Promises.settled([typeof s=="number"?h.close(s):Promise.resolve(),typeof a=="number"?r.close(a):Promise.resolve()])}}async doPipeUnbuffered(h,n,r,t){return this.writeQueue.queueFor(t,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(h,n,r,t))}async doPipeUnbufferedQueued(h,n,r,t){return r.writeFile(t,await h.readFile(n),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(h,n,r,t){return this.writeQueue.queueFor(t,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(h,n,r,t))}async doPipeUnbufferedToBufferedQueued(h,n,r,t){const s=await r.open(t,{create:!0,unlock:!1});try{const a=await h.readFile(n);await this.doWriteBuffer(r,s,k.VSBuffer.wrap(a),a.byteLength,0,0)}catch(a){throw(0,w.ensureFileSystemProviderError)(a)}finally{await r.close(s)}}async doPipeBufferedToUnbuffered(h,n,r,t){const s=await(0,k.streamToBuffer)(this.readFileBuffered(h,n,L.CancellationToken.None));await this.doWriteUnbuffered(r,t,void 0,s)}throwIfFileSystemIsReadonly(h,n){if(h.capabilities&2048)throw new w.FileOperationError((0,S.localize)(22,null,this.resourceForError(n)),6);return h}throwIfFileIsReadonly(h,n){if((n.permissions??0)&w.FilePermission.Readonly)throw new w.FileOperationError((0,S.localize)(23,null,this.resourceForError(h)),6)}resourceForError(h){return h.scheme===E.Schemas.file?h.fsPath:h.toString(!0)}};u=ge([K(0,m.ILogService)],u),e.FileService=u}),define(re[190],oe([0,1,54,272,6,34,17,3,42,2,12,4,16,41,27,150,13,92,187,38,181,180]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,i.gracefulify)(R)}catch(r){console.error(`Error enabling graceful-fs: ${(0,u.toErrorMessage)(r)}`)}})();class n extends m.AbstractDiskFileSystemProvider{constructor(t,s){super(t,s);this.onDidChangeCapabilities=b.Event.None,this.resourceLocks=new L.ResourceMap(a=>v.extUriBiasedIgnorePathCase.getComparisonKey(a)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,E.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(t){try{const{stat:s,symbolicLink:a}=await d.SymlinkSupport.stat(this.toFilePath(t));return{type:this.toType(s,a),ctime:s.birthtime.getTime(),mtime:s.mtime.getTime(),size:s.size}}catch(s){throw this.toFileSystemProviderError(s)}}async readdir(t){try{const s=await d.Promises.readdir(this.toFilePath(t),{withFileTypes:!0}),a=[];return await Promise.all(s.map(async c=>{try{let o;c.isSymbolicLink()?o=(await this.stat((0,v.joinPath)(t,c.name))).type:o=this.toType(c),a.push([c.name,o])}catch(o){this.logService.trace(o)}})),a}catch(s){throw this.toFileSystemProviderError(s)}}toType(t,s){let a;return s?.dangling?a=w.FileType.Unknown:t.isFile()?a=w.FileType.File:t.isDirectory()?a=w.FileType.Directory:a=w.FileType.Unknown,s&&(a|=w.FileType.SymbolicLink),a}async createResourceLock(t){const s=this.toFilePath(t);this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${s})`);let a;for(;a=this.resourceLocks.get(t);)this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${s})`),await a.wait();const c=new k.Barrier;return this.resourceLocks.set(t,c),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${s})`),(0,D.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${s})`),this.resourceLocks.get(t)===c&&(this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${s})`),this.resourceLocks.delete(t)),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${s})`),c.open()})}async readFile(t,s){let a;try{s?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(t)})`),a=await this.createResourceLock(t));const c=this.toFilePath(t);return await d.Promises.readFile(c)}catch(c){throw this.toFileSystemProviderError(c)}finally{a?.dispose()}}readFileStream(t,s,a){const c=(0,y.newWriteableStream)(o=>A.VSBuffer.concat(o.map(l=>A.VSBuffer.wrap(l))).buffer);return(0,p.readFileIntoStream)(this,t,c,o=>o.buffer,{...s,bufferSize:256*1024},a),c}async writeFile(t,s,a){let c;try{const o=this.toFilePath(t);if(!a.create||!a.overwrite){if(await d.Promises.exists(o)){if(!a.overwrite)throw(0,w.createFileSystemProviderError)((0,S.localize)(0,null),w.FileSystemProviderErrorCode.FileExists)}else if(!a.create)throw(0,w.createFileSystemProviderError)((0,S.localize)(1,null),w.FileSystemProviderErrorCode.FileNotFound)}c=await this.open(t,{create:!0,unlock:a.unlock}),await this.write(c,0,s,0,s.byteLength)}catch(o){throw await this.toFileSystemProviderWriteError(t,o)}finally{typeof c=="number"&&await this.close(c)}}async open(t,s){const a=this.toFilePath(t);let c;(0,w.isFileOpenForWriteOptions)(s)&&(c=await this.createResourceLock(t));let o;try{if((0,w.isFileOpenForWriteOptions)(s)&&s.unlock)try{const{stat:g}=await d.SymlinkSupport.stat(a);g.mode&128||await d.Promises.chmod(a,g.mode|128)}catch(g){this.logService.trace(g)}let l;if((0,w.isFileOpenForWriteOptions)(s)){if(E.isWindows)try{await d.Promises.truncate(a,0),l="r+"}catch(g){g.code!=="ENOENT"&&this.logService.trace(g)}l||(l="w")}else l="r";o=await d.Promises.open(a,l)}catch(l){throw c?.dispose(),(0,w.isFileOpenForWriteOptions)(s)?await this.toFileSystemProviderWriteError(t,l):this.toFileSystemProviderError(l)}if(this.mapHandleToPos.set(o,0),(0,w.isFileOpenForWriteOptions)(s)&&this.writeHandles.set(o,t),c){const l=this.mapHandleToLock.get(o);this.logService.trace(`[Disk FileSystemProvider]: open() - storing lock for handle ${o} (${a})`),this.mapHandleToLock.set(o,c),l&&(this.logService.trace(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${o} (${a})`),l.dispose())}return o}async close(t){const s=this.mapHandleToLock.get(t);try{if(this.mapHandleToPos.delete(t),this.writeHandles.delete(t)&&this.canFlush)try{await d.Promises.fdatasync(t)}catch(a){this.canFlush=!1,this.logService.error(a)}return await d.Promises.close(t)}catch(a){throw this.toFileSystemProviderError(a)}finally{s&&(this.mapHandleToLock.get(t)===s&&(this.logService.trace(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${t}`),this.mapHandleToLock.delete(t)),this.logService.trace(`[Disk FileSystemProvider]: close() - disposing lock for handle ${t}`),s.dispose())}}async read(t,s,a,c,o){const l=this.normalizePos(t,s);let g=null;try{g=(await d.Promises.read(t,a,c,o,l)).bytesRead}catch(P){throw this.toFileSystemProviderError(P)}finally{this.updatePos(t,l,g)}return g}normalizePos(t,s){return s===this.mapHandleToPos.get(t)?null:s}updatePos(t,s,a){const c=this.mapHandleToPos.get(t);typeof c=="number"&&(typeof s=="number"||(typeof a=="number"?this.mapHandleToPos.set(t,c+a):this.mapHandleToPos.delete(t)))}async write(t,s,a,c,o){return(0,k.retry)(()=>this.doWrite(t,s,a,c,o),100,3)}async doWrite(t,s,a,c,o){const l=this.normalizePos(t,s);let g=null;try{g=(await d.Promises.write(t,a,c,o,l)).bytesWritten}catch(P){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(t),P)}finally{this.updatePos(t,l,g)}return g}async mkdir(t){try{await d.Promises.mkdir(this.toFilePath(t))}catch(s){throw this.toFileSystemProviderError(s)}}async delete(t,s){try{const a=this.toFilePath(t);s.recursive?await d.Promises.rm(a,d.RimRafMode.MOVE):await d.Promises.unlink(a)}catch(a){throw this.toFileSystemProviderError(a)}}async rename(t,s,a){const c=this.toFilePath(t),o=this.toFilePath(s);if(c!==o)try{await this.validateTargetDeleted(t,s,"move",a.overwrite),await d.Promises.move(c,o)}catch(l){throw(l.code==="EINVAL"||l.code==="EBUSY"||l.code==="ENAMETOOLONG")&&(l=new Error((0,S.localize)(2,null,(0,I.basename)(c),(0,I.basename)((0,I.dirname)(o)),l.toString()))),this.toFileSystemProviderError(l)}}async copy(t,s,a){const c=this.toFilePath(t),o=this.toFilePath(s);if(c!==o)try{await this.validateTargetDeleted(t,s,"copy",a.overwrite),await d.Promises.copy(c,o,{preserveSymlinks:!0})}catch(l){throw(l.code==="EINVAL"||l.code==="EBUSY"||l.code==="ENAMETOOLONG")&&(l=new Error((0,S.localize)(3,null,(0,I.basename)(c),(0,I.basename)((0,I.dirname)(o)),l.toString()))),this.toFileSystemProviderError(l)}}async validateTargetDeleted(t,s,a,c){const o=this.toFilePath(t),l=this.toFilePath(s);let g=!1;if(!!(this.capabilities&1024)||(g=(0,C.isEqual)(o,l,!0)),g&&a==="copy")throw(0,w.createFileSystemProviderError)((0,S.localize)(4,null),w.FileSystemProviderErrorCode.FileExists);if(!g&&await d.Promises.exists(l)){if(!c)throw(0,w.createFileSystemProviderError)((0,S.localize)(5,null),w.FileSystemProviderErrorCode.FileExists);await this.delete(s,{recursive:!0,useTrash:!1})}}async cloneFile(t,s){return this.doCloneFile(t,s,!1)}async doCloneFile(t,s,a){const c=this.toFilePath(t),o=this.toFilePath(s),l=!!(this.capabilities&1024);if((0,C.isEqual)(c,o,!l))return;const g=new D.DisposableStore;try{const[P,U]=await Promise.all([this.createResourceLock(t),this.createResourceLock(s)]);g.add(P),g.add(U),a&&await d.Promises.mkdir((0,I.dirname)(o),{recursive:!0}),await d.Promises.copyFile(c,o)}catch(P){if(P.code==="ENOENT"&&!a)return this.doCloneFile(t,s,!0);throw this.toFileSystemProviderError(P)}finally{g.dispose()}}createUniversalWatcher(t,s,a){return new f.UniversalWatcherClient(c=>t(c),c=>s(c),a)}createNonRecursiveWatcher(t,s,a){return new h.NodeJSWatcherClient(c=>t(c),c=>s(c),a)}toFileSystemProviderError(t){if(t instanceof w.FileSystemProviderError)return t;let s;switch(t.code){case"ENOENT":s=w.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":s=w.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":s=w.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":s=w.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":s=w.FileSystemProviderErrorCode.NoPermissions;break;default:s=w.FileSystemProviderErrorCode.Unknown}return(0,w.createFileSystemProviderError)(t,s)}async toFileSystemProviderWriteError(t,s){let a=this.toFileSystemProviderError(s);if(t&&a.code===w.FileSystemProviderErrorCode.NoPermissions)try{const{stat:c}=await d.SymlinkSupport.stat(this.toFilePath(t));c.mode&128||(a=(0,w.createFileSystemProviderError)(s,w.FileSystemProviderErrorCode.FileWriteLocked))}catch(c){this.logService.trace(c)}return a}}e.DiskFileSystemProvider=n}),define(re[95],oe([0,1,3,7,8]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class L{constructor(v){this.service=v,this.onDidChangeLogLevel=R.Event.buffer(v.onDidChangeLogLevel,!0)}listen(v,y){switch(y){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${y}`)}async call(v,y,d){switch(y){case"setLevel":return this.service.setLevel(d)}throw new Error(`Call not found: ${y}`)}}e.LogLevelChannel=L;class A{constructor(v){this.channel=v}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(v){A.setLevel(this.channel,v)}static setLevel(v,y){return v.call("setLevel",y)}}e.LogLevelChannelClient=A;class b{constructor(v){this.loggerService=v,this.loggers=new Map}listen(v,y){throw new Error(`Event not found: ${y}`)}async call(v,y,d){switch(y){case"createLogger":this.createLogger(i.URI.revive(d[0]),d[1]);return;case"log":return this.log(i.URI.revive(d[0]),d[1]);case"consoleLog":return this.consoleLog(d[0],d[1])}throw new Error(`Call not found: ${y}`)}createLogger(v,y){this.loggers.set(v.toString(),this.loggerService.createLogger(v,y))}consoleLog(v,y){let d=console.log;switch(v){case k.LogLevel.Error:d=console.error;break;case k.LogLevel.Warning:d=console.warn;break;case k.LogLevel.Info:d=console.info;break}d.call(console,...y)}log(v,y){const d=this.loggers.get(v.toString());if(!d)throw new Error("Create the logger before logging");for(const[S,w]of y)(0,k.log)(d,S,w)}}e.LoggerChannel=b;class C extends k.AbstractLoggerService{constructor(v,y,d){super(v,y);this.channel=d}createConsoleMainLogger(){return new k.AdapterLogger({log:(v,y)=>{this.channel.call("consoleLog",[v,y])}})}doCreateLogger(v,y,d){return new D(this.channel,v,y,d)}}e.LoggerChannelClient=C;class D extends k.AbstractMessageLogger{constructor(v,y,d,S){super(S?.always);this.channel=v,this.file=y,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(d),this.channel.call("createLogger",[y,S]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(v,y){const d=[[v,y]];this.isLoggerCreated?this.doLog(d):this.buffer.push(...d)}doLog(v){this.channel.call("log",[this.file,v])}}class I extends k.LogService{constructor(v,y){super(y);this.parent=v,this._register(v.onDidChangeLogLevel(d=>y.setLevel(d)))}setLevel(v){super.setLevel(v),this.parent.setLevel(v)}}e.FollowerLogService=I}),define(re[67],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeHostService=void 0,e.INativeHostService=(0,R.createDecorator)("nativeHostService")}),define(re[58],oe([0,1,3,52,2,5]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullPolicyService=e.AbstractPolicyService=e.IPolicyService=void 0,e.IPolicyService=(0,L.createDecorator)("policy");class A extends k.Disposable{constructor(){super(...arguments);this.policyDefinitions={},this.policies=new Map,this._onDidChange=this._register(new R.Emitter),this.onDidChange=this._onDidChange.event}async registerPolicyDefinitions(D){const I=Object.keys(this.policyDefinitions).length;return this.policyDefinitions={...D,...this.policyDefinitions},I!==Object.keys(this.policyDefinitions).length&&await this.initializePolicies(D),i.Iterable.reduce(this.policies.entries(),(E,[v,y])=>({...E,[v]:y}),{})}getPolicyValue(D){return this.policies.get(D)}serialize(){return i.Iterable.reduce(Object.entries(this.policyDefinitions),(D,[I,E])=>({...D,[I]:{definition:E,value:this.policies.get(I)}}),{})}}e.AbstractPolicyService=A;class b{constructor(){this.onDidChange=R.Event.None}async registerPolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.NullPolicyService=b}),define(re[191],oe([0,1,3,2,58]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyChannelClient=e.PolicyChannel=void 0;class L{constructor(C){this.service=C,this.disposables=new i.DisposableStore}listen(C,D){switch(D){case"onDidChange":return R.Event.map(this.service.onDidChange,I=>I.reduce((E,v)=>({...E,[v]:this.service.getPolicyValue(v)??null}),{}),this.disposables)}throw new Error(`Event not found: ${D}`)}call(C,D,I){switch(D){case"registerPolicyDefinitions":return this.service.registerPolicyDefinitions(I)}throw new Error(`Call not found: ${D}`)}dispose(){this.disposables.dispose()}}e.PolicyChannel=L;class A extends k.AbstractPolicyService{constructor(C,D){super();this.channel=D;for(const I in C){const{definition:E,value:v}=C[I];this.policyDefinitions[I]=E,v!==void 0&&this.policies.set(I,v)}this.channel.listen("onDidChange")(I=>{for(const E in I){const v=I[E];v===null?this.policies.delete(E):this.policies.set(E,v)}this._onDidChange.fire(Object.keys(I))})}async initializePolicies(C){const D=await this.channel.call("registerPolicyDefinitions",C);for(const I in D)this.policies.set(I,D[I])}}e.PolicyChannelClient=A}),define(re[96],oe([0,1,20,4,36,16]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let A;if(typeof i.globals.vscode!="undefined"&&typeof i.globals.vscode.context!="undefined"){const b=i.globals.vscode.context.configuration();if(b)A=b.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof X?.__$__nodeRequire=="function"){const b=(0,L.dirname)(R.FileAccess.asFileUri("",X));A=X.__$__nodeRequire((0,L.joinPath)(b,"product.json").fsPath);const C=X.__$__nodeRequire((0,L.joinPath)(b,"package.json").fsPath);k.env.VSCODE_DEV&&Object.assign(A,{nameShort:`${A.nameShort} Dev`,nameLong:`${A.nameLong} Dev`,dataFolderName:`${A.dataFolderName}-dev`,serverDataFolderName:A.serverDataFolderName?`${A.serverDataFolderName}-dev`:void 0}),Object.assign(A,{version:C.version})}else A={},Object.keys(A).length===0&&Object.assign(A,{version:"1.67.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=A}),define(re[24],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,R.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(re[192],oe([0,1,6,9,2,12,27,8,24]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeCacheCleaner=void 0;let D=class extends k.Disposable{constructor(E,v,y){super();this.productService=v,this.logService=y,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,E&&this._register(new R.RunOnceScheduler(()=>{this.cleanUpCodeCaches(E)},30*1e3)).schedule()}async cleanUpCodeCaches(E){this.logService.trace("[code cache cleanup]: Starting to clean up old code cache folders.");try{const v=Date.now(),y=(0,L.dirname)(E),d=(0,L.basename)(E),S=await A.Promises.readdir(y);await Promise.all(S.map(async w=>{if(w===d)return;const p=(0,L.join)(y,w),m=await A.Promises.stat(p);if(m.isDirectory()&&v-m.mtime.getTime()>this._DataMaxAge)return this.logService.trace(`[code cache cleanup]: Removing code cache folder ${w}.`),A.Promises.rm(p)}))}catch(v){(0,i.onUnexpectedError)(v)}}};D=ge([K(1,C.IProductService),K(2,b.ILogService)],D),e.CodeCacheCleaner=D}),define(re[193],oe([0,1,6,9,2,12,27,15,8,24]),function(X,e,R,i,k,L,A,b,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackCachedDataCleaner=void 0;let I=class extends k.Disposable{constructor(v,y,d){super();this.environmentService=v,this.logService=y,this.productService=d,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,this.environmentService.isBuilt&&this._register(new R.RunOnceScheduler(()=>{this.cleanUpLanguagePackCache()},40*1e3)).schedule()}async cleanUpLanguagePackCache(){this.logService.trace("[language pack cache cleanup]: Starting to clean up unused language packs.");try{const v=Object.create(null),y=JSON.parse(await A.Promises.readFile((0,L.join)(this.environmentService.userDataPath,"languagepacks.json"),"utf8"));for(const m of Object.keys(y)){const u=y[m];v[`${u.hash}.${m}`]=!0}const d=(0,L.join)(this.environmentService.userDataPath,"clp");if(!await A.Promises.exists(d))return;const w=await A.Promises.readdir(d);for(const m of w){if(v[m]){this.logService.trace(`[language pack cache cleanup]: Skipping folder ${m}. Language pack still in use.`);continue}this.logService.trace(`[language pack cache cleanup]: Removing unused language pack: ${m}`),await A.Promises.rm((0,L.join)(d,m))}const p=Date.now();for(const m of Object.keys(v)){const u=(0,L.join)(d,m),f=await A.Promises.readdir(u);for(const h of f){if(h==="tcf.json")continue;const n=(0,L.join)(u,h),r=await A.Promises.stat(n);r.isDirectory()&&p-r.mtime.getTime()>this._DataMaxAge&&(this.logService.trace(`[language pack cache cleanup]: Removing language pack cache folder: ${(0,L.join)(m,h)}`),await A.Promises.rm(n))}}}catch(v){(0,i.onUnexpectedError)(v)}}};I=ge([K(0,b.INativeEnvironmentService),K(1,C.ILogService),K(2,D.IProductService)],I),e.LanguagePackCachedDataCleaner=I}),define(re[194],oe([0,1,12,5]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Utils=e.IV8InspectProfilingService=void 0,e.IV8InspectProfilingService=(0,i.createDecorator)("IV8InspectProfilingService");var k;(function(L){function A(b,C="noAbsolutePaths"){for(const D of b.nodes)D.callFrame&&D.callFrame.url&&((0,R.isAbsolute)(D.callFrame.url)||/^\w[\w\d+.-]*:\/\/\//.test(D.callFrame.url))&&(D.callFrame.url=(0,R.join)(C,(0,R.basename)(D.callFrame.url)));return b}L.rewriteAbsolutePaths=A})(k=e.Utils||(e.Utils={}))}),define(re[195],oe([0,1,31]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InspectProfilingService=void 0;class i{constructor(){this._sessions=new Map}async startProfiling(L){const b=await(await new Promise((D,I)=>{X(["v8-inspect-profiler"],D,I)})).startProfiling({port:L.port,checkForPaused:!0}),C=(0,R.generateUuid)();return this._sessions.set(C,b),C}async stopProfiling(L){const A=this._sessions.get(L);if(!A)throw new Error(`UNKNOWN session '${L}'`);const b=await A.stop();return this._sessions.delete(L),b.profile}}e.InspectProfilingService=i}),define(re[40],oe([0,1,109,14]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class k{constructor(){this.data=new Map}add(A,b){R.ok(i.isString(A)),R.ok(i.isObject(b)),R.ok(!this.data.has(A),"There is already an extension with this id"),this.data.set(A,b)}knows(A){return this.data.has(A)}as(A){return this.data.get(A)||null}}e.Registry=new k}),define(re[97],oe([0,1,3,40]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function k(b){return b.length>0&&b.charAt(b.length-1)==="#"?b.substring(0,b.length-1):b}class L{constructor(){this._onDidChangeSchema=new R.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(C,D){this.schemasById[k(C)]=D,this._onDidChangeSchema.fire(C)}notifySchemaChanged(C){this._onDidChangeSchema.fire(C)}getSchemaContributions(){return{schemas:this.schemasById}}}const A=new L;i.Registry.add(e.Extensions.JSONContribution,A)}),define(re[43],oe([0,1,18,3,14,137,19,97,40]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var D;(function(h){h.Multiline="multilineText",h.Singleline="singlelineText"})(D=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var I;(function(h){h[h.APPLICATION=1]="APPLICATION",h[h.MACHINE=2]="MACHINE",h[h.WINDOW=3]="WINDOW",h[h.RESOURCE=4]="RESOURCE",h[h.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",h[h.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const E=C.Registry.as(b.Extensions.JSONContribution);class v{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new i.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new i.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:L.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(n,r=!0){this.registerConfigurations([n],r)}registerConfigurations(n,r=!0){const t=this.doRegisterConfigurations(n,r);E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:t})}deregisterConfigurations(n){const r=this.doDeregisterConfigurations(n);E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}updateConfigurations({add:n,remove:r}){const t=[];t.push(...this.doDeregisterConfigurations(r)),t.push(...this.doRegisterConfigurations(n,!1)),E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,R.distinct)(t)})}registerDefaultConfigurations(n){const r=[],t=[];for(const{overrides:s,source:a}of n)for(const c in s)if(r.push(c),e.OVERRIDE_PROPERTY_REGEX.test(c)){const o=this.configurationDefaultsOverrides.get(c),l=o?.valuesSources??new Map;if(a)for(const _ of Object.keys(s[c]))l.set(_,a);const g={...o?.value||{},...s[c]};this.configurationDefaultsOverrides.set(c,{source:a,value:g,valuesSources:l});const P=(0,A.getLanguageTagSettingPlainKey)(c),U={type:"object",default:g,description:L.localize(1,null,P),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:g,source:k.isString(a)?void 0:a,defaultValueSource:a};t.push(...S(c)),this.configurationProperties[c]=U,this.defaultLanguageConfigurationOverridesNode.properties[c]=U}else{this.configurationDefaultsOverrides.set(c,{value:s[c],source:a});const o=this.configurationProperties[c];o&&(this.updatePropertyDefaultValue(c,o),this.updateSchema(c,o))}this.registerOverrideIdentifiers(t),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}deregisterDefaultConfigurations(n){const r=[];for(const{overrides:t,source:s}of n)for(const a in t){const c=this.configurationDefaultsOverrides.get(a),o=k.isString(s)?s:s?.id,l=k.isString(c?.source)?c?.source:c?.source?.id;if(o===l)if(r.push(a),this.configurationDefaultsOverrides.delete(a),e.OVERRIDE_PROPERTY_REGEX.test(a))delete this.configurationProperties[a],delete this.defaultLanguageConfigurationOverridesNode.properties[a];else{const g=this.configurationProperties[a];g&&(this.updatePropertyDefaultValue(a,g),this.updateSchema(a,g))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...n){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(n){for(const r of n)this.overrideIdentifiers.add(r);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(n,r){const t=[];return n.forEach(s=>{t.push(...this.validateAndRegisterProperties(s,r,s.extensionInfo,s.restrictedProperties)),this.configurationContributors.push(s),this.registerJSONConfiguration(s)}),t}doDeregisterConfigurations(n){const r=[],t=s=>{if(s.properties)for(const a in s.properties){r.push(a);const c=this.configurationProperties[a];c?.policy?.name&&this.policyConfigurations.delete(c.policy.name),delete this.configurationProperties[a],this.removeFromSchema(a,s.properties[a])}s.allOf?.forEach(a=>t(a))};for(const s of n){t(s);const a=this.configurationContributors.indexOf(s);a!==-1&&this.configurationContributors.splice(a,1)}return r}validateAndRegisterProperties(n,r=!0,t,s,a=3){a=k.isUndefinedOrNull(n.scope)?a:n.scope;const c=[],o=n.properties;if(o)for(const g in o){const P=o[g];if(r&&u(g,P)){delete o[g];continue}if(P.source=t,P.defaultDefaultValue=o[g].default,this.updatePropertyDefaultValue(g,P),e.OVERRIDE_PROPERTY_REGEX.test(g)?P.scope=void 0:(P.scope=k.isUndefinedOrNull(P.scope)?a:P.scope,P.restricted=k.isUndefinedOrNull(P.restricted)?!!s?.includes(g):P.restricted),o[g].hasOwnProperty("included")&&!o[g].included){this.excludedConfigurationProperties[g]=o[g],delete o[g];continue}else this.configurationProperties[g]=o[g],o[g].policy?.name&&this.policyConfigurations.set(o[g].policy.name,g);!o[g].deprecationMessage&&o[g].markdownDeprecationMessage&&(o[g].deprecationMessage=o[g].markdownDeprecationMessage),c.push(g)}const l=n.allOf;if(l)for(const g of l)c.push(...this.validateAndRegisterProperties(g,r,t,s,a));return c}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(n){const r=t=>{const s=t.properties;if(s)for(const c in s)this.updateSchema(c,s[c]);t.allOf?.forEach(r)};r(n)}updateSchema(n,r){switch(e.allSettings.properties[n]=r,r.scope){case 1:e.applicationSettings.properties[n]=r;break;case 2:e.machineSettings.properties[n]=r;break;case 6:e.machineOverridableSettings.properties[n]=r;break;case 3:e.windowSettings.properties[n]=r;break;case 4:e.resourceSettings.properties[n]=r;break;case 5:e.resourceSettings.properties[n]=r,this.resourceLanguageSettingsSchema.properties[n]=r;break}}removeFromSchema(n,r){switch(delete e.allSettings.properties[n],r.scope){case 1:delete e.applicationSettings.properties[n];break;case 2:delete e.machineSettings.properties[n];break;case 6:delete e.machineOverridableSettings.properties[n];break;case 3:delete e.windowSettings.properties[n];break;case 4:case 5:delete e.resourceSettings.properties[n],delete this.resourceLanguageSettingsSchema.properties[n];break}}updateOverridePropertyPatternKey(){for(const n of this.overrideIdentifiers.values()){const r=`[${n}]`,t={type:"object",description:L.localize(2,null),errorMessage:L.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(r,t),e.allSettings.properties[r]=t,e.applicationSettings.properties[r]=t,e.machineSettings.properties[r]=t,e.machineOverridableSettings.properties[r]=t,e.windowSettings.properties[r]=t,e.resourceSettings.properties[r]=t}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const n={type:"object",description:L.localize(4,null),errorMessage:L.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(n,r){const t=this.configurationDefaultsOverrides.get(n);let s=t?.value,a=t?.source;k.isUndefined(s)&&(s=r.defaultDefaultValue,a=void 0),k.isUndefined(s)&&(s=p(r.type)),r.default=s,r.defaultValueSource=a}}const y="\\[([^\\]]+)\\]",d=new RegExp(y,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${y})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function S(h){const n=[];if(e.OVERRIDE_PROPERTY_REGEX.test(h)){let r=d.exec(h);for(;r?.length;){const t=r[1].trim();t&&n.push(t),r=d.exec(h)}}return(0,R.distinct)(n)}e.overrideIdentifiersFromKey=S;function w(h){return h.reduce((n,r)=>`${n}[${r}]`,"")}e.keyFromOverrideIdentifiers=w;function p(h){switch(Array.isArray(h)?h[0]:h){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=p;const m=new v;C.Registry.add(e.Extensions.Configuration,m);function u(h,n){return h.trim()?e.OVERRIDE_PROPERTY_REGEX.test(h)?L.localize(7,null,h):m.getConfigurationProperties()[h]!==void 0?L.localize(8,null,h):n.policy?.name&&m.getPolicyConfigurations().get(n.policy?.name)!==void 0?L.localize(9,null,h,n.policy?.name,m.getPolicyConfigurations().get(n.policy?.name)):null:L.localize(6,null)}e.validateProperty=u;function f(){const h=[],n=m.getConfigurationProperties();for(const r of Object.keys(n))h.push([r,n[r].scope]);return h.push(["launch",4]),h.push(["task",4]),h}e.getScopes=f}),define(re[68],oe([0,1,18,3,35,2,34,30,14,7,19,43,40]),function(X,e,R,i,k,L,A,b,C,D,I,E,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class y{constructor(r={},t=[],s=[]){this._contents=r,this._keys=t,this._overrides=s,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(r){return r?(0,I.getConfigurationValue)(this.contents,r):this.contents}getOverrideValue(r,t){const s=this.getContentsForOverrideIdentifer(t);return s?r?(0,I.getConfigurationValue)(s,r):s:void 0}getKeysForOverrideIdentifier(r){const t=[];for(const s of this.overrides)s.identifiers.includes(r)&&t.push(...s.keys);return R.distinct(t)}getAllOverrideIdentifiers(){const r=[];for(const t of this.overrides)r.push(...t.identifiers);return R.distinct(r)}override(r){let t=this.overrideConfigurations.get(r);return t||(t=this.createOverrideConfigurationModel(r),this.overrideConfigurations.set(r,t)),t}merge(...r){const t=b.deepClone(this.contents),s=b.deepClone(this.overrides),a=[...this.keys];for(const c of r)if(!c.isEmpty()){this.mergeContents(t,c.contents);for(const o of c.overrides){const[l]=s.filter(g=>R.equals(g.identifiers,o.identifiers));l?(this.mergeContents(l.contents,o.contents),l.keys.push(...o.keys),l.keys=R.distinct(l.keys)):s.push(b.deepClone(o))}for(const o of c.keys)a.indexOf(o)===-1&&a.push(o)}return new y(t,a,s)}freeze(){return this.frozen=!0,this}clone(){return new y(b.deepClone(this.contents),[...this.keys],b.deepClone(this.overrides))}createOverrideConfigurationModel(r){const t=this.getContentsForOverrideIdentifer(r);if(!t||typeof t!="object"||!Object.keys(t).length)return this;const s={};for(const a of R.distinct([...Object.keys(this.contents),...Object.keys(t)])){let c=this.contents[a];const o=t[a];o&&(typeof c=="object"&&typeof o=="object"?(c=b.deepClone(c),this.mergeContents(c,o)):c=o),s[a]=c}return new y(s,this.keys,this.overrides)}mergeContents(r,t){for(const s of Object.keys(t)){if(s in r&&C.isObject(r[s])&&C.isObject(t[s])){this.mergeContents(r[s],t[s]);continue}r[s]=b.deepClone(t[s])}}checkAndFreeze(r){return this.frozen&&!Object.isFrozen(r)?b.deepFreeze(r):r}getContentsForOverrideIdentifer(r){let t=null,s=null;const a=c=>{c&&(s?this.mergeContents(s,c):s=b.deepClone(c))};for(const c of this.overrides)R.equals(c.identifiers,[r])?t=c.contents:c.identifiers.includes(r)&&a(c.contents);return a(t),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(r,t){this.addKey(r),(0,I.addToValueTree)(this.contents,r,t,s=>{throw new Error(s)})}removeValue(r){this.removeKey(r)&&(0,I.removeFromValueTree)(this.contents,r)}addKey(r){let t=this.keys.length;for(let s=0;s<t;s++)r.indexOf(this.keys[s])===0&&(t=s);this.keys.splice(t,1,r)}removeKey(r){const t=this.keys.indexOf(r);return t!==-1?(this.keys.splice(t,1),!0):!1}}e.ConfigurationModel=y;class d{constructor(r){this._name=r,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new y}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(r,t){if(!C.isUndefinedOrNull(r)){const s=this.doParseContent(r);this.parseRaw(s,t)}}reparse(r){this._raw&&this.parseRaw(this._raw,r)}parseRaw(r,t){this._raw=r;const{contents:s,keys:a,overrides:c,restricted:o}=this.doParseRaw(r,t);this._configurationModel=new y(s,a,c),this._restrictedConfigurations=o||[]}doParseContent(r){let t={},s=null,a=[];const c=[],o=[];function l(P){Array.isArray(a)?a.push(P):s!==null&&(a[s]=P)}const g={onObjectBegin:()=>{const P={};l(P),c.push(a),a=P,s=null},onObjectProperty:P=>{s=P},onObjectEnd:()=>{a=c.pop()},onArrayBegin:()=>{const P=[];l(P),c.push(a),a=P,s=null},onArrayEnd:()=>{a=c.pop()},onLiteralValue:l,onError:(P,U,_)=>{o.push({error:P,offset:U,length:_})}};if(r)try{k.visit(r,g),t=a[0]||{}}catch(P){console.error(`Error while parsing settings file ${this._name}: ${P}`),this._parseErrors=[P]}return t}doParseRaw(r,t){const s=v.Registry.as(E.Extensions.Configuration).getConfigurationProperties(),a=this.filter(r,s,!0,t);r=a.raw;const c=(0,I.toValuesTree)(r,g=>console.error(`Conflict in settings file ${this._name}: ${g}`)),o=Object.keys(r),l=this.toOverrides(r,g=>console.error(`Conflict in settings file ${this._name}: ${g}`));return{contents:c,keys:o,overrides:l,restricted:a.restricted}}filter(r,t,s,a){if(!a?.scopes&&!a?.skipRestricted)return{raw:r,restricted:[]};const c={},o=[];for(const l in r)if(E.OVERRIDE_PROPERTY_REGEX.test(l)&&s){const g=this.filter(r[l],t,!1,a);c[l]=g.raw,o.push(...g.restricted)}else{const g=t[l],P=g?typeof g.scope!="undefined"?g.scope:3:void 0;g?.restricted&&o.push(l),(P===void 0||a.scopes===void 0||a.scopes.includes(P))&&(a.skipRestricted&&g?.restricted||(c[l]=r[l]))}return{raw:c,restricted:o}}toOverrides(r,t){const s=[];for(const a of Object.keys(r))if(E.OVERRIDE_PROPERTY_REGEX.test(a)){const c={};for(const o in r[a])c[o]=r[a][o];s.push({identifiers:(0,E.overrideIdentifiersFromKey)(a),keys:Object.keys(c),contents:(0,I.toValuesTree)(c,t)})}return s}}e.ConfigurationModelParser=d;class S extends L.Disposable{constructor(r,t,s,a){super();this.userSettingsResource=r,this.scopes=t,this.fileService=a,this._onDidChange=this._register(new i.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new d(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(i.Event.any(i.Event.filter(this.fileService.onDidFilesChange,c=>c.contains(this.userSettingsResource)),i.Event.filter(this.fileService.onDidRunOperation,c=>(c.isOperation(0)||c.isOperation(3)||c.isOperation(1)||c.isOperation(4))&&s.isEqual(c.resource,r)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const r=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(r.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new y}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=S;class w{constructor(r,t,s,a,c=new y,o=new y,l=new A.ResourceMap,g=new y,P=new A.ResourceMap,U=!0){this._defaultConfiguration=r,this._policyConfiguration=t,this._applicationConfiguration=s,this._localUserConfiguration=a,this._remoteUserConfiguration=c,this._workspaceConfiguration=o,this._folderConfigurations=l,this._memoryConfiguration=g,this._memoryConfigurationByResource=P,this._freeze=U,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new A.ResourceMap,this._userConfiguration=null}getValue(r,t,s){return this.getConsolidatedConfigurationModel(r,t,s).getValue(r)}updateValue(r,t,s={}){let a;s.resource?(a=this._memoryConfigurationByResource.get(s.resource),a||(a=new y,this._memoryConfigurationByResource.set(s.resource,a))):a=this._memoryConfiguration,t===void 0?a.removeValue(r):a.setValue(r,t),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(r,t,s){const a=this.getConsolidatedConfigurationModel(r,t,s),c=this.getFolderConfigurationModelForResource(t.resource,s),o=t.resource?this._memoryConfigurationByResource.get(t.resource)||this._memoryConfiguration:this._memoryConfiguration,l=t.overrideIdentifier?this._defaultConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this._defaultConfiguration.freeze().getValue(r),g=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(r),P=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(r),U=t.overrideIdentifier?this.userConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this.userConfiguration.freeze().getValue(r),_=t.overrideIdentifier?this.localUserConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this.localUserConfiguration.freeze().getValue(r),M=t.overrideIdentifier?this.remoteUserConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this.remoteUserConfiguration.freeze().getValue(r),T=s?t.overrideIdentifier?this._workspaceConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this._workspaceConfiguration.freeze().getValue(r):void 0,$=c?t.overrideIdentifier?c.freeze().override(t.overrideIdentifier).getValue(r):c.freeze().getValue(r):void 0,N=t.overrideIdentifier?o.override(t.overrideIdentifier).getValue(r):o.getValue(r),G=a.getValue(r),J=R.distinct(a.overrides.map(z=>z.identifiers).flat()).filter(z=>a.getOverrideValue(r,z)!==void 0);return{defaultValue:l,policyValue:g,applicationValue:P,userValue:U,userLocalValue:_,userRemoteValue:M,workspaceValue:T,workspaceFolderValue:$,memoryValue:N,value:G,default:l!==void 0?{value:this._defaultConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,policy:g!==void 0?{value:g}:void 0,application:P!==void 0?{value:P,override:t.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,user:U!==void 0?{value:this.userConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,userLocal:_!==void 0?{value:this.localUserConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,userRemote:M!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,workspace:T!==void 0?{value:this._workspaceConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,workspaceFolder:$!==void 0?{value:c?.freeze().getValue(r),override:t.overrideIdentifier?c?.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,memory:N!==void 0?{value:o.getValue(r),override:t.overrideIdentifier?o.getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,overrideIdentifiers:J.length?J:void 0}}keys(r){const t=this.getFolderConfigurationModelForResource(void 0,r);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:t?t.freeze().keys:[]}}updateDefaultConfiguration(r){this._defaultConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(r){this._policyConfiguration=r}updateApplicationConfiguration(r){this._applicationConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(r){this._localUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(r){this._remoteUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(r){this._workspaceConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(r,t){this._folderConfigurations.set(r,t),this._foldersConsolidatedConfigurations.delete(r)}deleteFolderConfiguration(r){this.folderConfigurations.delete(r),this._foldersConsolidatedConfigurations.delete(r)}compareAndUpdateDefaultConfiguration(r,t){const s=[];if(!t){const{added:a,updated:c,removed:o}=f(this._defaultConfiguration,r);t=[...a,...c,...o]}for(const a of t)for(const c of(0,E.overrideIdentifiersFromKey)(a)){const o=this._defaultConfiguration.getKeysForOverrideIdentifier(c),l=r.getKeysForOverrideIdentifier(c),g=[...l.filter(P=>o.indexOf(P)===-1),...o.filter(P=>l.indexOf(P)===-1),...o.filter(P=>!b.equals(this._defaultConfiguration.override(c).getValue(P),r.override(c).getValue(P)))];s.push([c,g])}return this.updateDefaultConfiguration(r),{keys:t,overrides:s}}compareAndUpdatePolicyConfiguration(r){const{added:t,updated:s,removed:a}=f(this._policyConfiguration,r),c=[...t,...s,...a];return c.length&&this.updatePolicyConfiguration(r),{keys:c,overrides:[]}}compareAndUpdateApplicationConfiguration(r){const{added:t,updated:s,removed:a,overrides:c}=f(this.applicationConfiguration,r),o=[...t,...s,...a];return o.length&&this.updateApplicationConfiguration(r),{keys:o,overrides:c}}compareAndUpdateLocalUserConfiguration(r){const{added:t,updated:s,removed:a,overrides:c}=f(this.localUserConfiguration,r),o=[...t,...s,...a];return o.length&&this.updateLocalUserConfiguration(r),{keys:o,overrides:c}}compareAndUpdateRemoteUserConfiguration(r){const{added:t,updated:s,removed:a,overrides:c}=f(this.remoteUserConfiguration,r),o=[...t,...s,...a];return o.length&&this.updateRemoteUserConfiguration(r),{keys:o,overrides:c}}compareAndUpdateWorkspaceConfiguration(r){const{added:t,updated:s,removed:a,overrides:c}=f(this.workspaceConfiguration,r),o=[...t,...s,...a];return o.length&&this.updateWorkspaceConfiguration(r),{keys:o,overrides:c}}compareAndUpdateFolderConfiguration(r,t){const s=this.folderConfigurations.get(r),{added:a,updated:c,removed:o,overrides:l}=f(s,t),g=[...a,...c,...o];return(g.length||!s)&&this.updateFolderConfiguration(r,t),{keys:g,overrides:l}}compareAndDeleteFolderConfiguration(r){const t=this.folderConfigurations.get(r);if(!t)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:s,updated:a,removed:c,overrides:o}=f(t,void 0);return{keys:[...s,...a,...c],overrides:o}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(r,t,s){let a=this.getConsolidatedConfigurationModelForResource(t,s);return t.overrideIdentifier&&(a=a.override(t.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(r)!==void 0&&(a=a.merge(this._policyConfiguration)),a}getConsolidatedConfigurationModelForResource({resource:r},t){let s=this.getWorkspaceConsolidatedConfiguration();if(t&&r){const a=t.getFolder(r);a&&(s=this.getFolderConsolidatedConfiguration(a.uri)||s);const c=this._memoryConfigurationByResource.get(r);c&&(s=s.merge(c))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(r){let t=this._foldersConsolidatedConfigurations.get(r);if(!t){const s=this.getWorkspaceConsolidatedConfiguration(),a=this._folderConfigurations.get(r);a?(t=s.merge(a),this._freeze&&(t=t.freeze()),this._foldersConsolidatedConfigurations.set(r,t)):t=s}return t}getFolderConfigurationModelForResource(r,t){if(t&&r){const s=t.getFolder(r);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((r,t)=>{const{contents:s,overrides:a,keys:c}=this._folderConfigurations.get(t);return r.push([t,{contents:s,overrides:a,keys:c}]),r},[])}}allKeys(){const r=new Set;return this._defaultConfiguration.freeze().keys.forEach(t=>r.add(t)),this.userConfiguration.freeze().keys.forEach(t=>r.add(t)),this._workspaceConfiguration.freeze().keys.forEach(t=>r.add(t)),this._folderConfigurations.forEach(t=>t.freeze().keys.forEach(s=>r.add(s))),[...r.values()]}allOverrideIdentifiers(){const r=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>r.add(t)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>r.add(t)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>r.add(t)),this._folderConfigurations.forEach(t=>t.freeze().getAllOverrideIdentifiers().forEach(s=>r.add(s))),[...r.values()]}getAllKeysForOverrideIdentifier(r){const t=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>t.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>t.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>t.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(r).forEach(a=>t.add(a))),[...t.values()]}static parse(r){const t=this.parseConfigurationModel(r.defaults),s=this.parseConfigurationModel(r.policy),a=this.parseConfigurationModel(r.application),c=this.parseConfigurationModel(r.user),o=this.parseConfigurationModel(r.workspace),l=r.folders.reduce((g,P)=>(g.set(D.URI.revive(P[0]),this.parseConfigurationModel(P[1])),g),new A.ResourceMap);return new w(t,s,a,c,new y,o,l,new y,new A.ResourceMap,!1)}static parseConfigurationModel(r){return new y(r.contents,r.keys,r.overrides).freeze()}}e.Configuration=w;function p(...n){if(n.length===0)return{keys:[],overrides:[]};if(n.length===1)return n[0];const r=new Set,t=new Map;for(const a of n)a.keys.forEach(c=>r.add(c)),a.overrides.forEach(([c,o])=>{const l=(0,A.getOrSet)(t,c,new Set);o.forEach(g=>l.add(g))});const s=[];return t.forEach((a,c)=>s.push([c,[...a.values()]])),{keys:[...r.values()],overrides:s}}e.mergeChanges=p;class m{constructor(r,t,s,a){this.change=r,this.previous=t,this.currentConfiguraiton=s,this.currentWorkspace=a,this._previousConfiguration=void 0;const c=new Set;r.keys.forEach(l=>c.add(l)),r.overrides.forEach(([,l])=>l.forEach(g=>c.add(g))),this.affectedKeys=[...c.values()];const o=new y;this.affectedKeys.forEach(l=>o.setValue(l,{})),this.affectedKeysTree=o.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=w.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(r,t){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,r)){if(t){const s=this.previousConfiguration?this.previousConfiguration.getValue(r,t,this.previous?.workspace):void 0,a=this.currentConfiguraiton.getValue(r,t,this.currentWorkspace);return!b.equals(s,a)}return!0}return!1}doesAffectedKeysTreeContains(r,t){let s=(0,I.toValuesTree)({[t]:!0},()=>{}),a;for(;typeof s=="object"&&(a=Object.keys(s)[0]);){if(r=r[a],!r)return!1;s=s[a]}return!0}}e.ConfigurationChangeEvent=m;class u extends m{constructor(r,t,s,a){super({keys:r.allKeys(),overrides:[]},void 0,r,t);this.source=s,this.sourceConfig=a}}e.AllKeysConfigurationChangeEvent=u;function f(n,r){const{added:t,removed:s,updated:a}=h(r,n),c=[],o=n?.getAllOverrideIdentifiers()||[],l=r?.getAllOverrideIdentifiers()||[];if(r){const g=l.filter(P=>!o.includes(P));for(const P of g)c.push([P,r.getKeysForOverrideIdentifier(P)])}if(n){const g=o.filter(P=>!l.includes(P));for(const P of g)c.push([P,n.getKeysForOverrideIdentifier(P)])}if(r&&n){for(const g of o)if(l.includes(g)){const P=h({contents:n.getOverrideValue(void 0,g)||{},keys:n.getKeysForOverrideIdentifier(g)},{contents:r.getOverrideValue(void 0,g)||{},keys:r.getKeysForOverrideIdentifier(g)});c.push([g,[...P.added,...P.removed,...P.updated]])}}return{added:t,removed:s,updated:a,overrides:c}}function h(n,r){const t=n?r?n.keys.filter(c=>r.keys.indexOf(c)===-1):[...n.keys]:[],s=r?n?r.keys.filter(c=>n.keys.indexOf(c)===-1):[...r.keys]:[],a=[];if(n&&r){for(const c of r.keys)if(n.keys.indexOf(c)!==-1){const o=(0,I.getConfigurationValue)(r.contents,c),l=(0,I.getConfigurationValue)(n.contents,c);b.equals(o,l)||a.push(c)}}return{added:t,removed:s,updated:a}}}),define(re[196],oe([0,1,18,3,2,30,14,19,68,43,8,58,40]),function(X,e,R,i,k,L,A,b,C,D,I,E,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyConfiguration=e.NullPolicyConfiguration=e.DefaultConfigurationModel=e.DefaultConfiguration=void 0;class y extends k.Disposable{constructor(){super(...arguments);this._onDidChangeConfiguration=this._register(new i.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event}get configurationModel(){return this._configurationModel||(this._configurationModel=new d(this.getConfigurationDefaultOverrides())),this._configurationModel}async initialize(){return this._configurationModel=void 0,this._register(v.Registry.as(D.Extensions.Configuration).onDidUpdateConfiguration(({properties:m,defaultsOverrides:u})=>this.onDidUpdateConfiguration(m,u))),this.configurationModel}reload(){return this._configurationModel=void 0,this.configurationModel}onDidUpdateConfiguration(m,u){this._configurationModel=void 0,this._onDidChangeConfiguration.fire({defaults:this.configurationModel,properties:m})}getConfigurationDefaultOverrides(){return{}}}e.DefaultConfiguration=y;class d extends C.ConfigurationModel{constructor(m={}){const u=v.Registry.as(D.Extensions.Configuration).getConfigurationProperties(),f=Object.keys(u),h=Object.create(null),n=[];for(const r in u){const t=m[r],s=t!==void 0?t:u[r].default;(0,b.addToValueTree)(h,r,s,a=>console.error(`Conflict in default settings: ${a}`))}for(const r of Object.keys(h))D.OVERRIDE_PROPERTY_REGEX.test(r)&&n.push({identifiers:(0,D.overrideIdentifiersFromKey)(r),keys:Object.keys(h[r]),contents:(0,b.toValuesTree)(h[r],t=>console.error(`Conflict in default settings file: ${t}`))});super(h,f,n)}}e.DefaultConfigurationModel=d;class S{constructor(){this.onDidChangeConfiguration=i.Event.None,this.configurationModel=new C.ConfigurationModel}async initialize(){return this.configurationModel}}e.NullPolicyConfiguration=S;let w=class extends k.Disposable{constructor(m,u,f){super();this.defaultConfiguration=m,this.policyService=u,this.logService=f,this._onDidChangeConfiguration=this._register(new i.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configurationModel=new C.ConfigurationModel}get configurationModel(){return this._configurationModel}async initialize(){return this.update(await this.registerPolicyDefinitions(this.defaultConfiguration.configurationModel.keys),!1),this._register(this.policyService.onDidChange(m=>this.onDidChangePolicies(m))),this._register(this.defaultConfiguration.onDidChangeConfiguration(async({properties:m})=>this.update(await this.registerPolicyDefinitions(m),!0))),this._configurationModel}async registerPolicyDefinitions(m){const u={},f=[],h=v.Registry.as(D.Extensions.Configuration).getConfigurationProperties();for(const n of m){const r=h[n];if(!r){f.push(n);continue}if(r.policy){if(r.type!=="string"&&r.type!=="number"){this.logService.warn(`Policy ${r.policy.name} has unsupported type ${r.type}`);continue}f.push(n),u[r.policy.name]={type:r.type}}}return(0,A.isEmptyObject)(u)||await this.policyService.registerPolicyDefinitions(u),f}onDidChangePolicies(m){const u=v.Registry.as(D.Extensions.Configuration).getPolicyConfigurations(),f=(0,R.coalesce)(m.map(h=>u.get(h)));this.update(f,!0)}update(m,u){const f=v.Registry.as(D.Extensions.Configuration).getConfigurationProperties(),h=[],n=this._configurationModel.isEmpty();for(const r of m){const t=f[r]?.policy?.name;if(t){const s=this.policyService.getPolicyValue(t);(n?s!==void 0:!(0,L.equals)(this._configurationModel.getValue(r),s))&&h.push([r,s])}else this._configurationModel.getValue(r)!==void 0&&h.push([r,void 0])}if(h.length){const r=this._configurationModel;this._configurationModel=new C.ConfigurationModel;for(const t of r.keys)this._configurationModel.setValue(t,r.getValue(t));for(const[t,s]of h)s===void 0?this._configurationModel.removeValue(t):this._configurationModel.setValue(t,s);u&&this._onDidChangeConfiguration.fire(this._configurationModel)}}};w=ge([K(1,E.IPolicyService),K(2,I.ILogService)],w),e.PolicyConfiguration=w}),define(re[197],oe([0,1,6,3,2,16,19,68,196,58]),function(X,e,R,i,k,L,A,b,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class I extends k.Disposable{constructor(v,y,d,S){super();this.settingsResource=v,this._onDidChangeConfiguration=this._register(new i.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.defaultConfiguration=this._register(new C.DefaultConfiguration),this.policyConfiguration=d instanceof D.NullPolicyService?new C.NullPolicyConfiguration:this._register(new C.PolicyConfiguration(this.defaultConfiguration,d,S)),this.userConfiguration=this._register(new b.UserSettings(this.settingsResource,void 0,L.extUriBiasedIgnorePathCase,y)),this.configuration=new b.Configuration(this.defaultConfiguration.configurationModel,this.policyConfiguration.configurationModel,new b.ConfigurationModel,new b.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new R.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(this.defaultConfiguration.onDidChangeConfiguration(({defaults:w,properties:p})=>this.onDidDefaultConfigurationChange(w,p))),this._register(this.policyConfiguration.onDidChangeConfiguration(w=>this.onDidPolicyConfigurationChange(w))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const[v,y,d]=await Promise.all([this.defaultConfiguration.initialize(),this.policyConfiguration.initialize(),this.userConfiguration.loadConfiguration()]);this.configuration=new b.Configuration(v,y,new b.ConfigurationModel,d)}getConfigurationData(){return this.configuration.toData()}getValue(v,y){const d=typeof v=="string"?v:void 0,S=(0,A.isConfigurationOverrides)(v)?v:(0,A.isConfigurationOverrides)(y)?y:{};return this.configuration.getValue(d,S,void 0)}updateValue(v,y,d,S){return Promise.reject(new Error("not supported"))}inspect(v){return this.configuration.inspect(v,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const v=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(v)}onDidChangeUserConfiguration(v){const y=this.configuration.toData(),d=this.configuration.compareAndUpdateLocalUserConfiguration(v);this.trigger(d,y,1)}onDidDefaultConfigurationChange(v,y){const d=this.configuration.toData(),S=this.configuration.compareAndUpdateDefaultConfiguration(v,y);this.trigger(S,d,6)}onDidPolicyConfigurationChange(v){const y=this.configuration.toData(),d=this.configuration.compareAndUpdatePolicyConfiguration(v);this.trigger(d,y,6)}trigger(v,y,d){const S=new b.ConfigurationChangeEvent(v,{data:y},this.configuration);S.source=d,S.sourceConfig=this.getTargetConfiguration(d),this._onDidChangeConfiguration.fire(S)}getTargetConfiguration(v){switch(v){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=I}),define(re[198],oe([0,1,9,5]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,i.createDecorator)("remoteAuthorityResolverService");var k;(function(A){A.Unknown="Unknown",A.NotAvailable="NotAvailable",A.TemporarilyNotAvailable="TemporarilyNotAvailable",A.NoResolverFound="NoResolverFound"})(k=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class L extends R.ErrorNoTelemetry{constructor(b,C=k.Unknown,D){super(b);this._message=b,this._code=C,this._detail=D,this.isHandled=C===k.NotAvailable&&D===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,L.prototype)}static isTemporarilyNotAvailable(b){return b instanceof L&&b._code===k.TemporarilyNotAvailable}static isNoResolverFound(b){return b instanceof L&&b._code===k.NoResolverFound}static isHandled(b){return b instanceof L&&b.isHandled}}e.RemoteAuthorityResolverError=L}),define(re[98],oe([0,1,20]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function i(D){return D.scheme===R.Schemas.vscodeRemote?D.authority:void 0}e.getRemoteAuthority=i;function k(D){if(!D)return;const I=D.indexOf("+");return I<0?D:D.substr(0,I)}e.getRemoteName=k;function L(D){return`/${D.quality??"oss"}-${D.commit??"dev"}`}e.getRemoteServerRootPath=L;function A(D){const{host:I,port:E}=C(D);if(typeof E=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:I,port:E}}e.parseAuthorityWithPort=A;function b(D,I){let{host:E,port:v}=C(D);return typeof v=="undefined"&&(v=I),{host:E,port:v}}e.parseAuthorityWithOptionalPort=b;function C(D){const I=D.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(I)return{host:I[1],port:parseInt(I[2],10)};const E=D.match(/^(\[[0-9a-z:]+\])$/);if(E)return{host:E[1],port:void 0};const v=D.match(/(.*):(\d+)$/);return v?{host:v[1],port:parseInt(v[2],10)}:{host:D,port:void 0}}}),define(re[44],oe([0,1,26,5,98]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.isApplicationScopedExtension=e.ExtensionIdentifier=e.TargetPlatform=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function L(d){if(typeof d=="object"&&d!==null&&d.supported!==!0)return d.description}e.getWorkspaceSupportTypeMessage=L;function A(d){return d&&typeof d=="object"&&typeof d.id=="string"&&(!d.uuid||typeof d.uuid=="string")}e.isIExtensionIdentifier=A,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var b;(function(d){d[d.System=0]="System",d[d.User=1]="User"})(b=e.ExtensionType||(e.ExtensionType={}));var C;(function(d){d.WIN32_X64="win32-x64",d.WIN32_IA32="win32-ia32",d.WIN32_ARM64="win32-arm64",d.LINUX_X64="linux-x64",d.LINUX_ARM64="linux-arm64",d.LINUX_ARMHF="linux-armhf",d.ALPINE_X64="alpine-x64",d.ALPINE_ARM64="alpine-arm64",d.DARWIN_X64="darwin-x64",d.DARWIN_ARM64="darwin-arm64",d.WEB="web",d.UNIVERSAL="universal",d.UNKNOWN="unknown",d.UNDEFINED="undefined"})(C=e.TargetPlatform||(e.TargetPlatform={}));class D{constructor(S){this.value=S,this._lower=S.toLowerCase()}static equals(S,w){if(typeof S=="undefined"||S===null)return typeof w=="undefined"||w===null;if(typeof w=="undefined"||w===null)return!1;if(typeof S=="string"||typeof w=="string"){const p=typeof S=="string"?S:S.value,m=typeof w=="string"?w:w.value;return R.equalsIgnoreCase(p,m)}return S._lower===w._lower}static toKey(S){return typeof S=="string"?S.toLowerCase():S._lower}}e.ExtensionIdentifier=D;function I(d){return E(d)}e.isApplicationScopedExtension=I;function E(d){return d.contributes&&d.contributes.localizations?d.contributes.localizations.length>0:!1}e.isLanguagePackExtension=E;function v(d){return d.contributes&&d.contributes.authentication?d.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=v;function y(d,S){if(S){const w=`onResolveRemoteAuthority:${(0,k.getRemoteName)(S)}`;return d.activationEvents?.indexOf(w)!==-1}return!1}e.isResolverExtension=y,e.IBuiltinExtensionsScannerService=(0,i.createDecorator)("IBuiltinExtensionsScannerService")}),define(re[32],oe([0,1,26,28,44,4,7,9,36]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeTargetPlatform=e.isAlpineLinux=e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.getIdAndVersion=e.ExtensionKey=e.areSameExtensions=void 0;function D(t,s){return t.uuid&&s.uuid?t.uuid===s.uuid:t.id===s.id?!0:(0,R.compareIgnoreCase)(t.id,s.id)===0}e.areSameExtensions=D;const I=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class E{constructor(s,a,c="undefined"){this.version=a,this.targetPlatform=c,this.id=s.id}static create(s){const a=s.manifest?s.manifest.version:s.version,c=s.manifest?s.targetPlatform:s.properties.targetPlatform;return new E(s.identifier,a,c)}static parse(s){const a=I.exec(s);return a&&a[1]&&a[2]?new E({id:a[1]},a[2],a[4]||void 0):null}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(s){return s instanceof E?D(this,s)&&this.version===s.version&&this.targetPlatform===s.targetPlatform:!1}}e.ExtensionKey=E;const v=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function y(t){const s=v.exec(t);return s&&s[1]?[S(s[1]),s[2]]:[S(t),void 0]}e.getIdAndVersion=y;function d(t,s){return`${t}.${s}`}e.getExtensionId=d;function S(t){return t.toLocaleLowerCase()}e.adoptToGalleryExtensionId=S;function w(t,s){return S(d(t,s))}e.getGalleryExtensionId=w;function p(t,s){const a=[],c=o=>{for(const l of a)if(l.some(g=>D(s(g),s(o))))return l;return null};for(const o of t){const l=c(o);l?l.push(o):a.push([o])}return a}e.groupByExtension=p;function m(t){return{id:t.identifier.id,name:t.manifest.name,galleryId:null,publisherId:t.publisherId,publisherName:t.manifest.publisher,publisherDisplayName:t.publisherDisplayName,dependencies:t.manifest.extensionDependencies&&t.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=m;function u(t){return{id:t.identifier.id,name:t.name,galleryId:t.identifier.uuid,publisherId:t.publisherId,publisherName:t.publisher,publisherDisplayName:t.publisherDisplayName,isPreReleaseVersion:t.properties.isPreReleaseVersion,dependencies:!!(t.properties.dependencies&&t.properties.dependencies.length>0),...t.telemetryData}}e.getGalleryExtensionTelemetryData=u,e.BetterMergeId=new k.ExtensionIdentifier("pprice.better-merge");function f(t){const s=new Set;if(t.malicious)for(const a of t.malicious)s.add(a.id);return s}e.getMaliciousExtensionsSet=f;function h(t,s){const a=[],c=s.manifest.extensionDependencies?.slice(0)??[];for(;c.length;){const o=c.shift();if(o&&a.every(l=>!D(l.identifier,{id:o}))){const l=t.filter(g=>D(g.identifier,{id:o}));l.length===1&&(a.push(l[0]),c.push(...l[0].manifest.extensionDependencies?.slice(0)??[]))}}return a}e.getExtensionDependencies=h;async function n(t,s){if(!L.isLinux)return!1;let a;try{a=(await t.readFile(A.URI.file("/etc/os-release"))).value.toString()}catch{try{a=(await t.readFile(A.URI.file("/usr/lib/os-release"))).value.toString()}catch(o){s.debug("Error while getting the os-release file.",(0,b.getErrorMessage)(o))}}return!!a&&(a.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}e.isAlpineLinux=n;async function r(t,s){const a=await n(t,s),c=(0,i.getTargetPlatform)(a?"alpine":L.platform,C.arch);return s.debug("ComputeTargetPlatform:",c),c}e.computeTargetPlatform=r}),define(re[45],oe([0,1,6,17,2,34,7,32,13,5,8]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsProfileScannerService=e.IExtensionsProfileScannerService=void 0,e.IExtensionsProfileScannerService=(0,D.createDecorator)("IExtensionsProfileScannerService");let E=class extends k.Disposable{constructor(y,d){super();this.fileService=y,this.logService=d,this.resourcesAccessQueueMap=new L.ResourceMap}scanProfileExtensions(y){return this.withProfileExtensions(y)}addExtensionsToProfile(y,d){return this.withProfileExtensions(d,S=>(S=S.filter(w=>y.some(([p])=>!(0,b.areSameExtensions)(w.identifier,p.identifier))),S.push(...y.map(([w,p])=>({identifier:w.identifier,version:w.manifest.version,location:w.location,metadata:p}))),S))}removeExtensionFromProfile(y,d){return this.withProfileExtensions(d,S=>S.filter(w=>!(0,b.areSameExtensions)(w.identifier,y)))}async withProfileExtensions(y,d){return this.getResourceAccessQueue(y).queue(async()=>{let S=[];try{const w=await this.fileService.readFile(y),p=JSON.parse(w.value.toString());for(const m of p){if(!m.identifier){this.logService.info("Ignoring invalid extension while scanning. Identifier does not exist.",m);continue}if(!m.location){this.logService.info("Ignoring invalid extension while scanning. Location does not exist.",m);continue}if(!m.version){this.logService.info("Ignoring invalid extension while scanning. Version does not exist.",m);continue}S.push({identifier:m.identifier,location:A.URI.revive(m.location),version:m.version,metadata:m.metadata})}}catch(w){w.fileOperationResult!==1&&this.logService.error(w)}if(d){S=d(S);const w=S.map(p=>({identifier:p.identifier,version:p.version,location:p.location.toJSON(),metadata:p.metadata}));await this.fileService.writeFile(y,i.VSBuffer.fromString(JSON.stringify(w)))}return S})}getResourceAccessQueue(y){let d=this.resourcesAccessQueueMap.get(y);return d||(d=new R.Queue,this.resourcesAccessQueueMap.set(y,d)),d}};E=ge([K(0,C.IFileService),K(1,I.ILogService)],E),e.ExtensionsProfileScannerService=E}),define(re[199],oe([0,1,23,32]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.migrateUnsupportedExtensions=void 0;async function k(L,A,b,C,D){try{const I=await L.getExtensionsControlManifest();if(!I.deprecated)return;const E=await L.getInstalled(1);for(const[v,y]of Object.entries(I.deprecated)){if(!y?.extension)continue;const{id:d,autoMigrate:S,preRelease:w}=y.extension;if(!S)continue;const p=E.find(u=>(0,i.areSameExtensions)(u.identifier,{id:v}));if(!p)continue;const m=(await A.getExtensions([{id:d,preRelease:w}],{targetPlatform:await L.getTargetPlatform(),compatible:!0},R.CancellationToken.None))[0];if(!m){D.info(`Skipping migrating '${p.identifier.id}' extension because, the comaptible target '${d}' extension is not found`);continue}try{D.info(`Migrating '${p.identifier.id}' extension to '${d}' extension...`);const u=!C.getDisabledExtensions().some(h=>(0,i.areSameExtensions)(h,p.identifier));await L.uninstall(p),D.info(`Uninstalled the unsupported extension '${p.identifier.id}'`);let f=E.find(h=>(0,i.areSameExtensions)(h.identifier,{id:d}));(!f||!f.isPreReleaseVersion&&u)&&(f=await L.installFromGallery(m,{installPreReleaseVersion:!0,isMachineScoped:p.isMachineScoped,operation:4}),D.info(`Installed the pre-release extension '${f.identifier.id}'`),u||(await C.disableExtension(f.identifier),D.info(`Disabled the pre-release extension '${f.identifier.id}' because the unsupported extension '${p.identifier.id}' is disabled`)),S.storage&&(b.addToMigrationList((0,i.getExtensionId)(p.manifest.publisher,p.manifest.name),(0,i.getExtensionId)(f.manifest.publisher,f.manifest.name)),D.info("Added pre-release extension to the storage migration list"))),D.info(`Migrated '${p.identifier.id}' extension to '${d}' extension.`)}catch(u){D.error(u)}}}catch(I){D.error(I)}}e.migrateUnsupportedExtensions=k}),define(re[200],oe([0,1,6,9,2,4,16,55,7,31,27,15,28,32,13,8]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;let w=class extends k.Disposable{constructor(m,u,f,h){super();this.fileService=u,this.extensionGalleryService=f,this.logService=h,this.extensionsDownloadDir=C.URI.file(m.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(m,u){await this.cleanUpPromise;const f=this.getName(m),h=(0,A.joinPath)(this.extensionsDownloadDir,f);if(!await this.fileService.exists(h)){const n=(0,A.joinPath)(this.extensionsDownloadDir,`.${(0,D.generateUuid)()}`);await this.fileService.exists(n)||await this.extensionGalleryService.download(m,n,u);try{await this.rename(n,h,Date.now()+2*60*1e3)}catch(r){try{await this.fileService.del(n)}catch{}if(r.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",m.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,i.getErrorMessage)(r)}. Deleted the vsix from downloaded location`,n.path),r}}return h}async delete(m){await this.cleanUpPromise,await this.fileService.del(m)}async rename(m,u,f){try{await I.Promises.rename(m.fsPath,u.fsPath)}catch(h){if(L.isWindows&&h&&h.code==="EPERM"&&Date.now()<f)return this.logService.info(`Failed renaming ${m} to ${u} with 'EPERM' error. Trying again...`),this.rename(m,u,f);throw h}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const m=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(m.children){const u=[],f=[];for(const r of m.children){const t=y.ExtensionKey.parse(r.name);t&&f.push([t,r])}const h=(0,y.groupByExtension)(f,([r])=>r),n=[];for(const r of h)r.sort((t,s)=>b.rcompare(t[0].version,s[0].version)),u.push(...r.slice(1).map(t=>t[1].resource)),n.push(r[0][1]);n.sort((r,t)=>r.mtime-t.mtime),u.push(...n.slice(0,Math.max(0,n.length-this.cache)).map(r=>r.resource)),await R.Promises.settled(u.map(r=>(this.logService.trace("Deleting vsix from cache",r.path),this.fileService.del(r))))}}catch(m){this.logService.error(m)}}getName(m){return this.cache?y.ExtensionKey.create(m).toString().toLowerCase():(0,D.generateUuid)()}};w=ge([K(0,E.INativeEnvironmentService),K(1,d.IFileService),K(2,v.IExtensionGalleryService),K(3,S.ILogService)],w),e.ExtensionsDownloader=w}),define(re[201],oe([0,1,2,12,27,44]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class A extends R.Disposable{constructor(C,D){super();this.environmentService=C,this.extensionsManifestCache=(0,i.join)(this.environmentService.userDataPath,L.MANIFEST_CACHE_FOLDER,L.USER_MANIFEST_CACHE_FILE),this._register(D.onDidInstallExtensions(I=>this.onDidInstallExtensions(I))),this._register(D.onDidUninstallExtension(I=>this.onDidUnInstallExtension(I)))}onDidInstallExtensions(C){C.some(D=>!!D.local)&&this.invalidate()}onDidUnInstallExtension(C){C.error||this.invalidate()}invalidate(){k.Promises.rm(this.extensionsManifestCache,k.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=A}),define(re[202],oe([0,1,176,18,6,2,20,12,27,15,28,32,8,66]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLanguagePackService=void 0;let d=class extends y.LanguagePackBaseService{constructor(m,u,f,h){super(f);this.extensionManagementService=m,this.logService=h,this.cache=this._register(new S(u,h)),this.extensionManagementService.registerParticipant({postInstall:async n=>this.postInstallExtension(n),postUninstall:async n=>this.postUninstallExtension(n)})}async getInstalledLanguages(){const m=await this.cache.getLanguagePacks(),u=Object.keys(m).map(f=>{const h=m[f];return{...this.createQuickPickItem({locale:f,label:h.label}),extensionId:h.extensions[0].extensionIdentifier.id}});return u.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),u}async postInstallExtension(m){m&&m.manifest&&m.manifest.contributes&&m.manifest.contributes.localizations&&m.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",m.identifier.id),await this.update())}async postUninstallExtension(m){const u=await this.cache.getLanguagePacks();Object.keys(u).some(f=>u[f]&&u[f].extensions.some(h=>(0,E.areSameExtensions)(h.extensionIdentifier,m.identifier)))&&(this.logService.info("Removing language packs from the extension",m.identifier.id),await this.update())}async update(){const[m,u]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),f=await this.cache.update(u);return!(0,i.equals)(Object.keys(m),Object.keys(f))}};d=ge([K(0,I.IExtensionManagementService),K(1,D.INativeEnvironmentService),K(2,I.IExtensionGalleryService),K(3,v.ILogService)],d),e.NativeLanguagePackService=d;let S=class extends L.Disposable{constructor(m,u){super();this.logService=u,this.languagePacks={},this.languagePacksFilePath=(0,b.join)(m.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new k.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(m){return this.withLanguagePacks(u=>{Object.keys(u).forEach(f=>delete u[f]),this.createLanguagePacksFromExtensions(u,...m)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(m,...u){for(const f of u)f&&f.manifest&&f.manifest.contributes&&f.manifest.contributes.localizations&&f.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(m,f);Object.keys(m).forEach(f=>this.updateHash(m[f]))}createLanguagePacksFromExtension(m,u){const f=u.identifier,h=u.manifest.contributes&&u.manifest.contributes.localizations?u.manifest.contributes.localizations:[];for(const n of h)if(u.location.scheme===A.Schemas.file&&w(n)){let r=m[n.languageId];r||(r={hash:"",extensions:[],translations:{},label:n.localizedLanguageName??n.languageName},m[n.languageId]=r);const t=r.extensions.filter(s=>(0,E.areSameExtensions)(s.extensionIdentifier,f))[0];t?t.version=u.manifest.version:r.extensions.push({extensionIdentifier:f,version:u.manifest.version});for(const s of n.translations)r.translations[s.id]=(0,b.join)(u.location.fsPath,s.path)}}updateHash(m){if(m){const u=(0,R.createHash)("md5");for(const f of m.extensions)u.update(f.extensionIdentifier.uuid||f.extensionIdentifier.id).update(f.version);m.hash=u.digest("hex")}}withLanguagePacks(m=()=>null){return this.languagePacksFileLimiter.queue(()=>{let u=null;return C.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,f=>f.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(f)).then(f=>{try{return JSON.parse(f)}catch{return{}}}).then(f=>(u=m(f),f)).then(f=>{for(const n of Object.keys(f))f[n]||delete f[n];this.languagePacks=f,this.initializedCache=!0;const h=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",h),C.Promises.writeFile(this.languagePacksFilePath,h)}).then(()=>u,f=>this.logService.error(f))})}};S=ge([K(0,D.INativeEnvironmentService),K(1,v.ILogService)],S);function w(p){if(typeof p.languageId!="string"||!Array.isArray(p.translations)||p.translations.length===0)return!1;for(const m of p.translations)if(typeof m.id!="string"||typeof m.path!="string")return!1;return!(p.languageName&&typeof p.languageName!="string"||p.localizedLanguageName&&typeof p.localizedLanguageName!="string")}}),define(re[203],oe([0,1,6,17,23,9,3,2,31,83,198,98]),function(X,e,R,i,k,L,A,b,C,D,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const v=30*1e3;var y;(function(Z){Z[Z.Management=1]="Management",Z[Z.ExtensionHost=2]="ExtensionHost",Z[Z.Tunnel=3]="Tunnel"})(y=e.ConnectionType||(e.ConnectionType={}));function d(Z){switch(Z){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function S(Z){const W=new k.CancellationTokenSource;return setTimeout(()=>W.cancel(),Z),W.token}function w(Z,W){if(Z.isCancellationRequested||W.isCancellationRequested)return k.CancellationToken.Cancelled;const V=new k.CancellationTokenSource;return Z.onCancellationRequested(()=>V.cancel()),W.onCancellationRequested(()=>V.cancel()),V.token}class p{constructor(W){this._state="pending",this._disposables=new b.DisposableStore,this.promise=new Promise((V,O)=>{this._resolvePromise=V,this._rejectPromise=O}),W.isCancellationRequested?this._timeout():this._disposables.add(W.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(W){this._state==="pending"?this._disposables.add(W):W.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const W=new Error("Time limit reached");return W.code="ETIMEDOUT",W.syscall="connect",W}resolve(W){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(W))}reject(W){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(W))}}function m(Z,W){const V=new p(W);return V.registerDisposable(Z.onControlMessage(O=>{const F=JSON.parse(O.toString()),q=Q(F);q?V.reject(q):V.resolve(F)})),V.promise}function u(Z,W,V,O,F,q,j,te){const H=new p(te);return W.connect(V,O,F,q,j,(ie,ne)=>{H.didTimeout?(ie&&Z.error(ie),ne?.dispose()):ie||!ne?H.reject(ie):H.resolve(ne)}),H.promise}function f(Z,W){const V=new p(W);return Z.then(O=>{V.didTimeout||V.resolve(O)},O=>{V.didTimeout||V.reject(O)}),V.promise}async function h(Z,W,V,O){const F=Y(Z,W);Z.logService.trace(`${F} 1/6. invoking socketFactory.connect().`);let q;try{q=await u(Z.logService,Z.socketFactory,Z.host,Z.port,(0,E.getRemoteServerRootPath)(Z),`reconnectionToken=${Z.reconnectionToken}&reconnection=${Z.reconnectionProtocol?"true":"false"}`,`renderer-${d(W)}-${Z.reconnectionToken}`,O)}catch(ne){throw Z.logService.error(`${F} socketFactory.connect() failed or timed out. Error:`),Z.logService.error(ne),ne}Z.logService.trace(`${F} 2/6. socketFactory.connect() was successful.`);let j,te;Z.reconnectionProtocol?(Z.reconnectionProtocol.beginAcceptReconnection(q,null),j=Z.reconnectionProtocol,te=!1):(j=new D.PersistentProtocol(q,null),te=!0),Z.logService.trace(`${F} 3/6. sending AuthRequest control message.`);const H=await f(Z.signService.createNewMessage((0,C.generateUuid)()),O),ie={type:"auth",auth:Z.connectionToken||"00000000000000000000",data:H.data};j.sendControl(i.VSBuffer.fromString(JSON.stringify(ie)));try{const ne=await m(j,w(O,S(1e4)));if(ne.type!=="sign"||typeof ne.data!="string"){const pe=new Error("Unexpected handshake message");throw pe.code="VSCODE_CONNECTION_ERROR",pe}if(Z.logService.trace(`${F} 4/6. received SignRequest control message.`),!await f(Z.signService.validate(H,ne.signedData),O)){const pe=new Error("Refused to connect to unsupported server");throw pe.code="VSCODE_CONNECTION_ERROR",pe}const he=await f(Z.signService.sign(ne.data),O),ve={type:"connectionType",commit:Z.commit,signedData:he,desiredConnectionType:W};return V&&(ve.args=V),Z.logService.trace(`${F} 5/6. sending ConnectionTypeRequest control message.`),j.sendControl(i.VSBuffer.fromString(JSON.stringify(ve))),{protocol:j,ownsProtocol:te}}catch(ne){throw ne&&ne.code==="ETIMEDOUT"&&(Z.logService.error(`${F} the handshake timed out. Error:`),Z.logService.error(ne)),ne&&ne.code==="VSCODE_CONNECTION_ERROR"&&(Z.logService.error(`${F} received error control message when negotiating connection. Error:`),Z.logService.error(ne)),te&&z(j),ne}}async function n(Z,W,V,O){const F=Date.now(),q=Y(Z,W),{protocol:j,ownsProtocol:te}=await h(Z,W,V,O),H=new p(O);return H.registerDisposable(j.onControlMessage(ie=>{const ne=JSON.parse(ie.toString()),ce=Q(ne);ce?(Z.logService.error(`${q} received error control message when negotiating connection. Error:`),Z.logService.error(ce),te&&z(j),H.reject(ce)):(Z.reconnectionProtocol&&Z.reconnectionProtocol.endAcceptReconnection(),Z.logService.trace(`${q} 6/6. handshake finished, connection is up and running after ${se(F)}!`),H.resolve({protocol:j,firstMessage:ne}))})),H.promise}async function r(Z,W){const{protocol:V}=await n(Z,1,void 0,W);return{protocol:V}}async function t(Z,W,V){const{protocol:O,firstMessage:F}=await n(Z,2,W,V),q=F&&F.debugPort;return{protocol:O,debugPort:q}}async function s(Z,W,V){const O=Date.now(),F=Y(Z,3),{protocol:q}=await h(Z,3,W,V);return Z.logService.trace(`${F} 6/6. handshake finished, connection is up and running after ${se(O)}!`),q}async function a(Z,W,V){const{host:O,port:F,connectionToken:q}=await Z.addressProvider.getAddress();return{commit:Z.commit,quality:Z.quality,host:O,port:F,connectionToken:q,reconnectionToken:W,reconnectionProtocol:V,socketFactory:Z.socketFactory,signService:Z.signService,logService:Z.logService}}async function c(Z,W,V){try{const O=(0,C.generateUuid)(),F=await a(Z,O,null),{protocol:q}=await r(F,k.CancellationToken.None);return new G(Z,W,V,O,q)}catch(O){throw Z.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),Z.logService.error(O),N.triggerPermanentFailure(0,0,I.RemoteAuthorityResolverError.isHandled(O)),O}}e.connectRemoteAgentManagement=c;async function o(Z,W){try{const V=(0,C.generateUuid)(),O=await a(Z,V,null),{protocol:F,debugPort:q}=await t(O,W,k.CancellationToken.None);return new J(Z,W,V,F,q)}catch(V){throw Z.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),Z.logService.error(V),N.triggerPermanentFailure(0,0,I.RemoteAuthorityResolverError.isHandled(V)),V}}e.connectRemoteAgentExtensionHost=o;async function l(Z,W,V){const O=await a(Z,(0,C.generateUuid)(),null);return await s(O,{host:W,port:V},k.CancellationToken.None)}e.connectRemoteAgentTunnel=l;function g(Z){return(0,R.createCancelablePromise)(W=>new Promise((V,O)=>{const F=setTimeout(V,Z*1e3);W.onCancellationRequested(()=>{clearTimeout(F),V()})}))}var P;(function(Z){Z[Z.ConnectionLost=0]="ConnectionLost",Z[Z.ReconnectionWait=1]="ReconnectionWait",Z[Z.ReconnectionRunning=2]="ReconnectionRunning",Z[Z.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",Z[Z.ConnectionGain=4]="ConnectionGain"})(P=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class U{constructor(W,V){this.reconnectionToken=W,this.millisSinceLastIncomingData=V,this.type=0}}e.ConnectionLostEvent=U;class _{constructor(W,V,O,F){this.reconnectionToken=W,this.millisSinceLastIncomingData=V,this.durationSeconds=O,this.cancellableTimer=F,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=_;class M{constructor(W,V,O){this.reconnectionToken=W,this.millisSinceLastIncomingData=V,this.attempt=O,this.type=2}}e.ReconnectionRunningEvent=M;class T{constructor(W,V,O){this.reconnectionToken=W,this.millisSinceLastIncomingData=V,this.attempt=O,this.type=4}}e.ConnectionGainEvent=T;class ${constructor(W,V,O,F){this.reconnectionToken=W,this.millisSinceLastIncomingData=V,this.attempt=O,this.handled=F,this.type=3}}e.ReconnectionPermanentFailureEvent=$;class N extends b.Disposable{constructor(W,V,O,F,q){super();this._connectionType=W,this._options=V,this.reconnectionToken=O,this.protocol=F,this._reconnectionFailureIsFatal=q,this._onDidStateChange=this._register(new A.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._permanentFailure=!1,this._isReconnecting=!1,this._onDidStateChange.fire(new T(this.reconnectionToken,0,0)),this._register(F.onSocketClose(j=>{const te=B(this._connectionType,this.reconnectionToken,!0);j?j.type===0?(this._options.logService.info(`${te} received socket close event (hadError: ${j.hadError}).`),j.error&&this._options.logService.error(j.error)):(this._options.logService.info(`${te} received socket close event (wasClean: ${j.wasClean}, code: ${j.code}, reason: ${j.reason}).`),j.event&&this._options.logService.error(j.event)):this._options.logService.info(`${te} received socket close event.`),this._beginReconnecting()})),this._register(F.onSocketTimeout(()=>{const j=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${j} received socket timeout event.`),this._beginReconnecting()})),N._instances.push(this),this._register((0,b.toDisposable)(()=>{const j=N._instances.indexOf(this);j>=0&&N._instances.splice(j,1)})),this._isPermanentFailure&&this._gotoPermanentFailure(N._permanentFailureMillisSinceLastIncomingData,N._permanentFailureAttempt,N._permanentFailureHandled)}static triggerPermanentFailure(W,V,O){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=W,this._permanentFailureAttempt=V,this._permanentFailureHandled=O,this._instances.forEach(F=>F._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(W=>W._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(W=>W._pauseSocketWriting())}get _isPermanentFailure(){return this._permanentFailure||N._permanentFailure}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(this._isPermanentFailure)return;const W=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${W} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new U(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const V=[0,5,5,10,10,10,10,10,30];let O=-1;do{O++;const F=O<V.length?V[O]:V[V.length-1];try{if(F>0){const j=g(F);this._onDidStateChange.fire(new _(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),F,j)),this._options.logService.info(`${W} waiting for ${F} seconds before reconnecting...`);try{await j}catch{}}if(this._isPermanentFailure){this._options.logService.error(`${W} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new M(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),O+1)),this._options.logService.info(`${W} resolving connection...`);const q=await a(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${W} connecting to ${q.host}:${q.port}...`),await this._reconnect(q,S(v)),this._options.logService.info(`${W} reconnected!`),this._onDidStateChange.fire(new T(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),O+1));break}catch(q){if(q.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${W} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(q),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),O+1,!1);break}if(O>360){this._options.logService.error(`${W} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(q),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),O+1,!1);break}if(I.RemoteAuthorityResolverError.isTemporarilyNotAvailable(q)){this._options.logService.info(`${W} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(q);continue}if((q.code==="ETIMEDOUT"||q.code==="ENETUNREACH"||q.code==="ECONNREFUSED"||q.code==="ECONNRESET")&&q.syscall==="connect"){this._options.logService.info(`${W} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(q);continue}if((0,L.isCancellationError)(q)){this._options.logService.info(`${W} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(q);continue}if(q instanceof I.RemoteAuthorityResolverError){this._options.logService.error(`${W} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(q),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),O+1,I.RemoteAuthorityResolverError.isHandled(q));break}this._options.logService.error(`${W} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(q),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),O+1,!1);break}}while(!this._isPermanentFailure)}_onReconnectionPermanentFailure(W,V,O){this._reconnectionFailureIsFatal?N.triggerPermanentFailure(W,V,O):this._gotoPermanentFailure(W,V,O)}_gotoPermanentFailure(W,V,O){this._onDidStateChange.fire(new $(this.reconnectionToken,W,V,O)),z(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=N,N._permanentFailure=!1,N._permanentFailureMillisSinceLastIncomingData=0,N._permanentFailureAttempt=0,N._permanentFailureHandled=!1,N._instances=[];class G extends N{constructor(W,V,O,F,q){super(1,W,F,q,!0);this.client=this._register(new D.Client(q,{remoteAuthority:V,clientId:O},W.ipcLogger))}async _reconnect(W,V){await r(W,V)}}e.ManagementPersistentConnection=G;class J extends N{constructor(W,V,O,F,q){super(2,W,O,F,!1);this._startArguments=V,this.debugPort=q}async _reconnect(W,V){await t(W,this._startArguments,V)}}e.ExtensionHostPersistentConnection=J;function z(Z){try{Z.acceptDisconnect();const W=Z.getSocket();Z.dispose(),W.dispose()}catch(W){(0,L.onUnexpectedError)(W)}}function Q(Z){if(Z&&Z.type==="error"){const W=new Error(`Connection error: ${Z.reason}`);return W.code="VSCODE_CONNECTION_ERROR",W}return null}function x(Z,W){for(;Z.length<W;)Z+=" ";return Z}function B(Z,W,V){return`[remote-connection][${x(d(Z),13)}][${W.substr(0,5)}\u2026][${V?"reconnect":"initial"}]`}function Y(Z,W){return`${B(W,Z.reconnectionToken,!!Z.reconnectionProtocol)}[${Z.host}:${Z.port}]`}function se(Z){return`${Date.now()-Z} ms`}}),define(re[204],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessTunnelChannelName=e.ISharedProcessTunnelService=void 0,e.ISharedProcessTunnelService=(0,R.createDecorator)("sharedProcessTunnelService"),e.ipcSharedProcessTunnelChannelName="sharedProcessTunnel"}),define(re[205],oe([0,1,76,133]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(k,L,A,b,C,D){const I=v=>D(v,void 0),E=R.createConnection({host:k,port:L},()=>{E.removeListener("error",I);const v=Buffer.alloc(16);for(let w=0;w<16;w++)v[w]=Math.round(Math.random()*256);const y=v.toString("base64"),d=[`GET ws://${/:/.test(k)?`[${k}]`:k}:${L}${A}?${b}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${y}`];E.write(d.join(`\r
`)+`\r
\r
`);const S=w=>{w.toString().indexOf(`\r
\r
`)>=0&&(E.off("data",S),D(void 0,new i.NodeSocket(E,C)))};E.on("data",S)});E.setNoDelay(!0),E.once("error",I)}}}),define(re[206],oe([0,1,117,19,8]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let L=class{constructor(b,C){this.configurationService=b,this.logService=C}async request(b,C){this.logService.trace("RequestService#request (browser) - begin",b.url),b.proxyAuthorization||(b.proxyAuthorization=this.configurationService.getValue("http.proxyAuthorization"));try{const D=await(0,R.request)(b,C);return this.logService.trace("RequestService#request (browser) - success",b.url),D}catch(D){throw this.logService.error("RequestService#request (browser) - error",b.url,D),D}}async resolveProxy(b){}};L=ge([K(0,i.IConfigurationService),K(1,k.ILogService)],L),e.RequestService=L}),define(re[46],oe([0,1,17,152,43,5,40]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asTextOrError=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,L.createDecorator)("requestService");function b(S){return S.res.statusCode&&S.res.statusCode>=200&&S.res.statusCode<300||S.res.statusCode===1223}e.isSuccess=b;function C(S){return S.res.statusCode===204}async function D(S){return C(S)?null:(await(0,R.streamToBuffer)(S.stream)).toString()}e.asText=D;async function I(S){if(!b(S))throw new Error("Server returned "+S.res.statusCode);return D(S)}e.asTextOrError=I;async function E(S){if(!b(S))throw new Error("Server returned "+S.res.statusCode);if(C(S))return null;const p=(await(0,R.streamToBuffer)(S.stream)).toString();try{return JSON.parse(p)}catch(m){throw m.message+=`:
`+p,m}}e.asJson=E;function v(S){d(S)}e.updateProxyConfigurationsScope=v;let y;function d(S){const w=A.Registry.as(k.Extensions.Configuration),p=y;y={id:"http",order:15,title:(0,i.localize)(0,null),type:"object",scope:S,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,i.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,i.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,i.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,i.localize)(4,null),(0,i.localize)(5,null),(0,i.localize)(6,null),(0,i.localize)(7,null)],default:"override",description:(0,i.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,i.localize)(9,null),restricted:!0}}},w.updateConfigurations({add:[y],remove:p?[p]:[]})}d(2)}),define(re[207],oe([0,1,23,20,13,46]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let A=class{constructor(C,D){this.requestService=C,this.fileService=D}async download(C,D,I=R.CancellationToken.None){if(C.scheme===i.Schemas.file||C.scheme===i.Schemas.vscodeRemote){await this.fileService.copy(C,D);return}const E={type:"GET",url:C.toString(!0)},v=await this.requestService.request(E,I);if(v.res.statusCode===200)await this.fileService.writeFile(D,v.stream);else{const y=await(0,L.asTextOrError)(v);throw new Error(`Expected 200, got back ${v.res.statusCode} instead.

${y}`)}}};A=ge([K(0,L.IRequestService),K(1,k.IFileService)],A),e.DownloadService=A}),define(re[208],oe([0,1,18,23,2,16,169,13,8,24,46]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;let E=class extends k.Disposable{constructor(y,d,S,w){super();this.fileService=y,this.productService=d,this.requestService=S,this.logService=w,this.allConfigBasedTips=new Map,this.productService.configBasedExtensionTips&&Object.entries(this.productService.configBasedExtensionTips).forEach(([,p])=>this.allConfigBasedTips.set(p.configPath,p))}getConfigBasedTips(y){return this.getValidConfigBasedTips(y)}getAllWorkspacesTips(){return this.fetchWorkspacesTips()}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async getValidConfigBasedTips(y){const d=[];for(const[S,w]of this.allConfigBasedTips)if(!(w.configScheme&&w.configScheme!==y.scheme))try{const p=await this.fileService.readFile((0,L.joinPath)(y,S)),m=new Map;Object.entries(w.recommendations).forEach(([f,h])=>{if((0,R.isNonEmptyArray)(h.remotes))for(const n of h.remotes)m.set(n,{extensionId:f,extensionName:h.name,configName:w.configName,important:!!h.important,isExtensionPack:!!h.isExtensionPack,whenNotInstalled:h.whenNotInstalled});else d.push({extensionId:f,extensionName:h.name,configName:w.configName,important:!!h.important,isExtensionPack:!!h.isExtensionPack,whenNotInstalled:h.whenNotInstalled})});const u=(0,A.getDomainsOfRemotes)(p.value.toString(),[...m.keys()]);for(const f of u){const h=m.get(f);h&&d.push(h)}}catch{}return d}async fetchWorkspacesTips(){if(!this.productService.extensionsGallery?.recommendationsUrl)return[];try{const y=await this.requestService.request({type:"GET",url:this.productService.extensionsGallery?.recommendationsUrl},i.CancellationToken.None);if(y.res.statusCode!==200)return[];const d=await(0,I.asJson)(y);return d?d.workspaceRecommendations||[]:[]}catch(y){return this.logService.error(y),[]}}};E=ge([K(0,b.IFileService),K(1,D.IProductService),K(2,I.IRequestService),K(3,C.ILogService)],E),e.ExtensionTipsService=E}),define(re[99],oe([0,1,62,5]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessWorkerChannelName=e.ISharedProcessWorkerService=e.hash=void 0;function k(L){return(0,R.hash)({moduleId:L.process.moduleId,windowId:L.reply.windowId})}e.hash=k,e.ISharedProcessWorkerService=(0,i.createDecorator)("sharedProcessWorkerService"),e.ipcSharedProcessWorkerChannelName="sharedProcessWorker"}),define(re[209],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerMessages=void 0;var R;(function(i){i.Spawn="vscode:shared-process->shared-process-worker=spawn",i.Terminate="vscode:shared-process->shared-process-worker=terminate",i.SelfTerminated="vscode:shared-process-worker->shared-process=selfTerminated",i.Ready="vscode:shared-process-worker->shared-process=ready",i.Ack="vscode:shared-process-worker->shared-process=ack",i.Trace="vscode:shared-process-worker->shared-process=trace",i.Info="vscode:shared-process-worker->shared-process=info",i.Warn="vscode:shared-process-worker->shared-process=warn",i.Error="vscode:shared-process-worker->shared-process=error"})(R=e.SharedProcessWorkerMessages||(e.SharedProcessWorkerMessages={}))}),define(re[210],oe([0,1,84,6,23,3,2,20,31,8,99,209]),function(X,e,R,i,k,L,A,b,C,D,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerService=void 0;let v=class{constructor(S){this.logService=S,this.workers=new Map,this.processeDisposables=new Map,this.processResolvers=new Map}async createWorker(S){const w=`window: ${S.reply.windowId}, moduleId: ${S.process.moduleId}`;this.logService.trace(`SharedProcess: createWorker (${w})`);const p=(0,I.hash)(S);this.processeDisposables.has(p)&&(this.logService.warn(`SharedProcess: createWorker found an existing worker that will be terminated (${w})`),this.doDisposeWorker(S));const m=new k.CancellationTokenSource;let u,f,h;this.processeDisposables.set(p,s=>{m.dispose(!0),u?.terminate(S,k.CancellationToken.None),f?.close(),h?.close(),this.processeDisposables.delete(p);const a=this.processResolvers.get(p);a&&(this.processResolvers.delete(p),a({reason:s}))}),u=await this.getOrCreateWebWorker(S);const n=new Promise(s=>{this.processResolvers.set(p,s)});if(m.token.isCancellationRequested)return n;const{port1:r,port2:t}=new MessageChannel;return f=r,h=t,await u.spawn(S,h,m.token),m.token.isCancellationRequested||(this.logService.trace(`SharedProcess: createWorker sending message port back to window (${w})`),R.ipcRenderer.postMessage("vscode:relaySharedProcessWorkerMessageChannel",S,[f])),n}getOrCreateWebWorker(S){let w=this.workers.get(S.process.moduleId);if(!w){this.logService.trace(`SharedProcess: creating new web worker (${S.process.moduleId})`);const p=new y(S.process.type,this.logService);w=p.init(),p.onDidProcessSelfTerminate(({configuration:m,reason:u})=>{this.doDisposeWorker(m,u)}),this.workers.set(S.process.moduleId,w)}return w}async disposeWorker(S){return this.doDisposeWorker(S)}doDisposeWorker(S,w){const p=this.processeDisposables.get((0,I.hash)(S));p&&(this.logService.trace(`SharedProcess: disposeWorker (window: ${S.reply.windowId}, moduleId: ${S.process.moduleId})`),p(w))}};v=ge([K(0,D.ILogService)],v),e.SharedProcessWorkerService=v;class y extends A.Disposable{constructor(S,w){super();this.type=S,this.logService=w,this._onDidProcessSelfTerminate=this._register(new L.Emitter),this.onDidProcessSelfTerminate=this._onDidProcessSelfTerminate.event,this.workerReady=this.doInit(),this.mapMessageNonceToPendingMessageResolve=new Map}async init(){return await this.workerReady,this}doInit(){const S=new i.DeferredPromise,w=new Worker("../../../base/worker/workerMain.js",{name:`Shared Process Worker (${this.type})`});return w.onerror=p=>{this.logService.error(`SharedProcess: worker error (${this.type})`,p.message)},w.onmessageerror=p=>{this.logService.error(`SharedProcess: worker message error (${this.type})`,p)},w.onmessage=p=>{const{id:m,message:u,configuration:f,nonce:h}=p.data;switch(m){case E.SharedProcessWorkerMessages.Ready:S.complete(w);break;case E.SharedProcessWorkerMessages.Ack:if(h){const n=this.mapMessageNonceToPendingMessageResolve.get(h);n&&(this.mapMessageNonceToPendingMessageResolve.delete(h),n())}break;case E.SharedProcessWorkerMessages.SelfTerminated:f&&u&&this._onDidProcessSelfTerminate.fire({configuration:f,reason:JSON.parse(u)});break;case E.SharedProcessWorkerMessages.Trace:this.logService.trace(`SharedProcess (worker, ${this.type}):`,u);break;case E.SharedProcessWorkerMessages.Info:u&&this.logService.info(u);break;case E.SharedProcessWorkerMessages.Warn:this.logService.warn(`SharedProcess (worker, ${this.type}):`,u);break;case E.SharedProcessWorkerMessages.Error:this.logService.error(`SharedProcess (worker, ${this.type}):`,u);break;default:this.logService.warn(`SharedProcess: unexpected worker message (${this.type})`,p)}},w.postMessage("vs/platform/sharedProcess/electron-browser/sharedProcessWorkerMain"),S.p}async send(S,w,p){const m=await this.workerReady;if(!w.isCancellationRequested)return new Promise(u=>{const f=(0,C.generateUuid)();this.mapMessageNonceToPendingMessageResolve.set(f,u);const h={...S,nonce:f};p?m.postMessage(h,[p]):m.postMessage(h),w.onCancellationRequested(()=>{this.mapMessageNonceToPendingMessageResolve.delete(f)&&u()})})}spawn(S,w,p){const m={id:E.SharedProcessWorkerMessages.Spawn,configuration:S,environment:{bootstrapPath:b.FileAccess.asFileUri("bootstrap-fork",X).fsPath}};return this.send(m,p,w)}terminate(S,w){const p={id:E.SharedProcessWorkerMessages.Terminate,configuration:S};return this.send(p,w)}}}),define(re[211],oe([0,1,60,20,168]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessEnvironmentService=void 0;class L extends k.NativeEnvironmentService{get userRoamingDataHome(){return this.appSettingsHome.with({scheme:i.Schemas.vscodeUserData})}}ge([R.memoize],L.prototype,"userRoamingDataHome",null),e.SharedProcessEnvironmentService=L}),define(re[212],oe([0,1,48,12,153,23,38,9,4,31,135,166,6]),function(X,e,R,i,k,L,A,b,C,D,I,E,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const y=1e4;let d;async function S(p,m,u){return m["force-disable-user-env"]?(p.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):C.isWindows?(p.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,E.isLaunchedFromCli)(u)&&!m["force-user-env"]?(p.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,E.isLaunchedFromCli)(u)?p.trace("resolveShellEnv(): running (--force-user-env)"):p.trace("resolveShellEnv(): running (macOS/Linux)"),d||(d=v.Promises.withAsyncBody(async(f,h)=>{const n=new L.CancellationTokenSource,r=setTimeout(()=>{n.dispose(!0),h(new Error((0,k.localize)(0,null)))},y);try{f(await w(p,n.token))}catch(t){!(0,b.isCancellationError)(t)&&!n.token.isCancellationRequested?h(new Error((0,k.localize)(1,null,(0,A.toErrorMessage)(t)))):f({})}finally{clearTimeout(r),n.dispose()}})),d)}e.getResolvedShellEnv=S;async function w(p,m){const u=process.env.ELECTRON_RUN_AS_NODE;p.trace("getUnixShellEnvironment#runAsNode",u);const f=process.env.ELECTRON_NO_ATTACH_CONSOLE;p.trace("getUnixShellEnvironment#noAttach",f);const h=(0,D.generateUuid)().replace(/-/g,"").substr(0,12),n=new RegExp(h+"(.*)"+h),r={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};p.trace("getUnixShellEnvironment#env",r);const t=await(0,I.getSystemShell)(C.OS,r);return p.trace("getUnixShellEnvironment#shell",t),new Promise((s,a)=>{if(m.isCancellationRequested)return a((0,b.canceled)());const c=(0,i.basename)(t);let o,l;const g=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(c)?(o=`& '${process.execPath}' ${g} -p '''${h}'' + JSON.stringify(process.env) + ''${h}'''`,l=["-Login","-Command"]):(o=`'${process.execPath}' ${g} -p '"${h}" + JSON.stringify(process.env) + "${h}"'`,c==="tcsh"?l=["-ic"]:l=["-ilc"]),p.trace("getUnixShellEnvironment#spawn",JSON.stringify(l),o);const P=(0,R.spawn)(t,[...l,o],{detached:!0,stdio:["ignore","pipe","pipe"],env:r});m.onCancellationRequested(()=>(P.kill(),a((0,b.canceled)()))),P.on("error",M=>{p.error("getUnixShellEnvironment#errorChildProcess",(0,A.toErrorMessage)(M)),a(M)});const U=[];P.stdout.on("data",M=>U.push(M));const _=[];P.stderr.on("data",M=>_.push(M)),P.on("close",(M,T)=>{const $=Buffer.concat(U).toString("utf8");p.trace("getUnixShellEnvironment#raw",$);const N=Buffer.concat(_).toString("utf8");if(N.trim()&&p.trace("getUnixShellEnvironment#stderr",N),M||T)return a(new Error((0,k.localize)(2,null,M,T)));const G=n.exec($),J=G?G[1]:"{}";try{const z=JSON.parse(J);u?z.ELECTRON_RUN_AS_NODE=u:delete z.ELECTRON_RUN_AS_NODE,f?z.ELECTRON_NO_ATTACH_CONSOLE=f:delete z.ELECTRON_NO_ATTACH_CONSOLE,delete z.XDG_RUNTIME_DIR,p.trace("getUnixShellEnvironment#result",z),s(z)}catch(z){p.error("getUnixShellEnvironment#errorCaught",(0,A.toErrorMessage)(z)),a(z)}})})}}),define(re[100],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,R.createDecorator)(e.SIGN_SERVICE_ID)}),define(re[213],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class R{constructor(){this.validators=new Map}vsda(){return new Promise((k,L)=>X(["vsda"],k,L))}async createNewMessage(k){try{const L=await this.vsda(),A=new L.validator;if(A){const b=String(R._nextId++);return this.validators.set(b,A),{id:b,data:A.createNewMessage(k)}}}catch{}return{id:"",data:k}}async validate(k,L){if(!k.id)return!0;const A=this.validators.get(k.id);if(!A)return!1;this.validators.delete(k.id);try{return A.validate(L)==="ok"}catch{return!1}}async sign(k){try{const L=await this.vsda(),A=new L.signer;if(A)return A.sign(k)}catch{}return k}}e.SignService=R,R._nextId=1}),define(re[214],oe([0,1,3,2]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceStorageDatabaseClient=e.ProfileStorageDatabaseClient=e.ApplicationStorageDatabaseClient=void 0;class k extends i.Disposable{constructor(I,E,v){super();this.channel=I,this.profile=E,this.workspace=v}async getItems(){const I={profile:this.profile,workspace:this.workspace},E=await this.channel.call("getItems",I);return new Map(E)}updateItems(I){const E={profile:this.profile,workspace:this.workspace};return I.insert&&(E.insert=Array.from(I.insert.entries())),I.delete&&(E.delete=Array.from(I.delete.values())),this.channel.call("updateItems",E)}}class L extends k{constructor(I,E){super(I,E,void 0);this._onDidChangeItemsExternal=this._register(new R.Emitter),this.onDidChangeItemsExternal=this._onDidChangeItemsExternal.event,this.registerListeners()}registerListeners(){this._register(this.channel.listen("onDidChangeStorage",{profile:this.profile})(I=>this.onDidChangeStorage(I)))}onDidChangeStorage(I){(Array.isArray(I.changed)||Array.isArray(I.deleted))&&this._onDidChangeItemsExternal.fire({changed:I.changed?new Map(I.changed):void 0,deleted:I.deleted?new Set(I.deleted):void 0})}}class A extends L{constructor(I){super(I,void 0)}async close(){this.dispose()}}e.ApplicationStorageDatabaseClient=A;class b extends L{constructor(I,E){super(I,E)}async close(){this.dispose()}}e.ProfileStorageDatabaseClient=b;class C extends k{constructor(I,E){super(I,void 0,E);this.onDidChangeItemsExternal=R.Event.None}async close(){this.dispose()}}e.WorkspaceStorageDatabaseClient=C}),define(re[215],oe([0,1,4,36,7,31]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function A(D){if(R.platform===2&&/^penguin(\.|$)/i.test(D))return"chromebook"}async function b(D,I,E,v,y,d,S,w,p,m){const u=Object.create(null);u["common.machineId"]=S,u.sessionID=(0,L.generateUuid)()+Date.now(),u.commitHash=y,u.version=d,u["common.platformVersion"]=(I||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),u["common.platform"]=(0,R.PlatformToString)(R.platform),u["common.nodePlatform"]=i.platform,u["common.nodeArch"]=v,u["common.product"]=m||"desktop";const f=C(w||[]);f&&(u["common.msftInternal"]=f);let h=0;const n=Date.now();Object.defineProperties(u,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-n,enumerable:!0},"common.sequence":{get:()=>h++,enumerable:!0}}),R.isLinuxSnap&&(u["common.snap"]="true");const r=A(E);r&&(u["common.platformDetail"]=r);try{const t=await D.readFile(k.URI.file(p));u["common.source"]=t.value.toString().slice(0,30)}catch{}return u}e.resolveCommonProperties=b;function C(D){const I=i.env.USERDNSDOMAIN;if(!I)return!1;const E=I.toLowerCase();return D.some(v=>E===v)}e.verifyMicrosoftInternalDomain=C}),define(re[21],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,R.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,R.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var i;(function(L){L[L.NONE=0]="NONE",L[L.CRASH=1]="CRASH",L[L.ERROR=2]="ERROR",L[L.USAGE=3]="USAGE"})(i=e.TelemetryLevel||(e.TelemetryLevel={}));var k;(function(L){L.OFF="off",L.CRASH="crash",L.ERROR="error",L.ON="all"})(k=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(re[216],oe([0,1,37,52,6,35,20,12,4,7,128,27,130,89,13,24,21]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;const p=new Map;async function m(r,t){const s=`${r}::${t.join(":")}`,a=p.get(s);if(a)return a;const c=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],o=new Map,l=new Map,g=2e4;function P(_,M,T,$){const N=M.substring(_.length+1);return k.Promises.withAsyncBody(async G=>{let J;try{J=await E.Promises.readdir(M,{withFileTypes:!0})}catch{G();return}if($.count>=g){$.count+=J.length,$.maxReached=!0,G();return}let z=J.length;if(z===0){G();return}let Q=J;$.count+J.length>g&&($.maxReached=!0,z=g-$.count,Q=J.slice(0,z)),$.count+=J.length;for(const x of Q)if(x.isDirectory()){if(T.includes(x.name)||await P(_,(0,b.join)(M,x.name),T,$),--z==0){G();return}}else{const B=x.name.lastIndexOf(".");if(B>=0){const Y=x.name.substring(B+1);Y&&o.set(Y,(o.get(Y)??0)+1)}for(const Y of c)Y.relativePathPattern?.test(N)!==!1&&Y.filePattern.test(x.name)&&l.set(Y.tag,(l.get(Y.tag)??0)+1);if(--z==0){G();return}}})}const U=k.Promises.withAsyncBody(async _=>{const M={count:0,maxReached:!1};await P(r,r,t,M);const T=await h(r);_({configFiles:u(l),fileTypes:u(o),fileCount:M.count,maxFilesReached:M.maxReached,launchConfigFiles:T})});return p.set(s,U),U}e.collectWorkspaceStats=m;function u(r){return[...i.Iterable.map(r.entries(),([t,s])=>({name:t,count:s}))].sort((t,s)=>s.count-t.count)}function f(){const r={os:`${R.type()} ${R.arch()} ${R.release()}`,memory:`${(R.totalmem()/d.ByteSize.GB).toFixed(2)}GB (${(R.freemem()/d.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(I.virtualMachineHint.value()*100)}%`},t=R.cpus();return t&&t.length>0&&(r.cpus=`${t[0].model} (${t.length} x ${t[0].speed})`),r}e.getMachineInfo=f;async function h(r){try{const t=new Map,s=(0,b.join)(r,".vscode","launch.json"),a=await E.Promises.readFile(s),c=[],o=(0,L.parse)(a.toString(),c);if(c.length)return console.log(`Unable to parse ${s}`),[];if((0,L.getNodeType)(o)==="object"&&o.configurations)for(const l of o.configurations){const g=l.type;g&&(t.has(g)?t.set(g,t.get(g)+1):t.set(g,1))}return u(t)}catch{return[]}}e.collectLaunchConfigs=h;let n=class{constructor(t,s){this.telemetryService=t,this.productService=s}formatMachineInfo(t){const s=[];return s.push(`OS Version:       ${t.os}`),s.push(`CPUs:             ${t.cpus}`),s.push(`Memory (System):  ${t.memory}`),s.push(`VM:               ${t.vmHint}`),s.join(`
`)}formatEnvironment(t){const s=[];s.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),s.push(`OS Version:       ${R.type()} ${R.arch()} ${R.release()}`);const a=R.cpus();return a&&a.length>0&&s.push(`CPUs:             ${a[0].model} (${a.length} x ${a[0].speed})`),s.push(`Memory (System):  ${(R.totalmem()/d.ByteSize.GB).toFixed(2)}GB (${(R.freemem()/d.ByteSize.GB).toFixed(2)}GB free)`),C.isWindows||s.push(`Load (avg):       ${R.loadavg().map(c=>Math.round(c)).join(", ")}`),s.push(`VM:               ${Math.round(I.virtualMachineHint.value()*100)}%`),s.push(`Screen Reader:    ${t.screenReader?"yes":"no"}`),s.push(`Process Argv:     ${t.mainArguments.join(" ")}`),s.push(`GPU Status:       ${this.expandGPUFeatures(t.gpuFeatureStatus)}`),s.join(`
`)}async getPerformanceInfo(t,s){return Promise.all([(0,v.listProcesses)(t.mainPID),this.formatWorkspaceMetadata(t)]).then(async a=>{let[c,o]=a,l=this.formatProcessList(t,c);return s.forEach(g=>{if((0,y.isRemoteDiagnosticError)(g))l+=`
${g.errorMessage}`,o+=`
${g.errorMessage}`;else if(l+=`

Remote: ${g.hostName}`,g.processes&&(l+=`
${this.formatProcessList(t,g.processes)}`),g.workspaceMetadata){o+=`
|  Remote: ${g.hostName}`;for(const P of Object.keys(g.workspaceMetadata)){const U=g.workspaceMetadata[P];let _=`${U.fileCount} files`;U.maxFilesReached&&(_=`more than ${_}`),o+=`|    Folder (${P}): ${_}`,o+=this.formatWorkspaceStats(U)}}}),{processInfo:l,workspaceInfo:o}})}async getSystemInfo(t,s){const{memory:a,vmHint:c,os:o,cpus:l}=f(),g={os:o,memory:a,cpus:l,vmHint:c,processArgs:`${t.mainArguments.join(" ")}`,gpuStatus:t.gpuFeatureStatus,screenReader:`${t.screenReader?"yes":"no"}`,remoteData:s};return C.isWindows||(g.load=`${R.loadavg().map(P=>Math.round(P)).join(", ")}`),C.isLinux&&(g.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(g)}async getDiagnostics(t,s){const a=[];return(0,v.listProcesses)(t.mainPID).then(async c=>(a.push(""),a.push(this.formatEnvironment(t)),a.push(""),a.push(this.formatProcessList(t,c)),t.windows.some(o=>o.folderURIs&&o.folderURIs.length>0&&!o.remoteAuthority)&&(a.push(""),a.push("Workspace Stats: "),a.push(await this.formatWorkspaceMetadata(t))),s.forEach(o=>{if((0,y.isRemoteDiagnosticError)(o))a.push(`
${o.errorMessage}`);else if(a.push(`

`),a.push(`Remote:           ${o.hostName}`),a.push(this.formatMachineInfo(o.machineInfo)),o.processes&&a.push(this.formatProcessList(t,o.processes)),o.workspaceMetadata)for(const l of Object.keys(o.workspaceMetadata)){const g=o.workspaceMetadata[l];let P=`${g.fileCount} files`;g.maxFilesReached&&(P=`more than ${P}`),a.push(`Folder (${l}): ${P}`),a.push(this.formatWorkspaceStats(g))}}),a.push(""),a.push(""),a.join(`
`)))}formatWorkspaceStats(t){const s=[],a=60;let c=0;const o=(U,_)=>{const M=` ${U}(${_})`;c+M.length>a?(s.push(l),l="|                 ",c=l.length):c+=M.length,l+=M};let l="|      File types:";const g=10,P=t.fileTypes.length>g?g:t.fileTypes.length;for(let U=0;U<P;U++){const _=t.fileTypes[U];o(_.name,_.count)}if(s.push(l),t.configFiles.length>=0&&(l="|      Conf files:",c=0,t.configFiles.forEach(U=>{o(U.name,U.count)}),s.push(l)),t.launchConfigFiles.length>0){let U="|      Launch Configs:";t.launchConfigFiles.forEach(_=>{U+=_.count>1?` ${_.name}(${_.count})`:` ${_.name}`}),s.push(U)}return s.join(`
`)}expandGPUFeatures(t){const s=Math.max(...Object.keys(t).map(a=>a.length));return Object.keys(t).map(a=>`${a}:  ${" ".repeat(s-a.length)}  ${t[a]}`).join(`
                  `)}formatWorkspaceMetadata(t){const s=[],a=[];return t.windows.forEach(c=>{c.folderURIs.length===0||!!c.remoteAuthority||(s.push(`|  Window (${c.title})`),c.folderURIs.forEach(o=>{const l=D.URI.revive(o);if(l.scheme===A.Schemas.file){const g=l.fsPath;a.push(m(g,["node_modules",".git"]).then(P=>{let U=`${P.fileCount} files`;P.maxFilesReached&&(U=`more than ${U}`),s.push(`|    Folder (${(0,b.basename)(g)}): ${U}`),s.push(this.formatWorkspaceStats(P))}).catch(P=>{s.push(`|      Error: Unable to collect workspace stats for folder ${g} (${P.toString()})`)}))}else s.push(`|    Folder (${l.toString()}): Workspace stats not available.`)}))}),Promise.all(a).then(c=>s.join(`
`)).catch(c=>`Unable to collect workspace stats: ${c}`)}formatProcessList(t,s){const a=new Map;t.windows.forEach(o=>a.set(o.pid,o.title));const c=[];return c.push("CPU %	Mem MB	   PID	Process"),s&&this.formatProcessItem(t.mainPID,a,c,s,0),c.join(`
`)}formatProcessItem(t,s,a,c,o){const l=o===0;let g;l?g=c.pid===t?`${this.productService.applicationName} main`:"remote agent":(g=`${"  ".repeat(o)} ${c.name}`,c.name==="window"&&(g=`${g} (${s.get(c.pid)})`));const P=process.platform==="win32"?c.mem:R.totalmem()*(c.mem/100);a.push(`${c.load.toFixed(0).padStart(5," ")}	${(P/d.ByteSize.MB).toFixed(0).padStart(6," ")}	${c.pid.toFixed(0).padStart(6," ")}	${g}`),Array.isArray(c.children)&&c.children.forEach(U=>this.formatProcessItem(t,s,a,U,o+1))}async getWorkspaceFileExtensions(t){const s=new Set;for(const{uri:a}of t.folders){const c=D.URI.revive(a);if(c.scheme!==A.Schemas.file)continue;const o=c.fsPath;try{(await m(o,["node_modules",".git"])).fileTypes.forEach(g=>s.add(g.name))}catch{}}return{extensions:[...s]}}async reportWorkspaceStats(t){for(const{uri:s}of t.folders){const a=D.URI.revive(s);if(a.scheme!==A.Schemas.file)continue;const c=a.fsPath;try{const o=await m(c,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":t.telemetryId,rendererSessionId:t.rendererSessionId}),o.fileTypes.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:t.rendererSessionId,type:l.name,count:l.count})}),o.launchConfigFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:t.rendererSessionId,type:l.name,count:l.count})}),o.configFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:t.rendererSessionId,type:l.name,count:l.count})})}catch{}}}};n=ge([K(0,w.ITelemetryService),K(1,S.IProductService)],n),e.DiagnosticsService=n}),define(re[101],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class R{constructor(L){this.appenders=L}listen(L,A){throw new Error(`Event not found: ${A}`)}call(L,A,{eventName:b,data:C}){return this.appenders.forEach(D=>D.log(b,C)),Promise.resolve(null)}}e.TelemetryAppenderChannel=R;class i{constructor(L){this.channel=L}log(L,A){return this.channel.call("log",{eventName:L,data:A}).then(void 0,b=>`Failed to log telemetry: ${console.warn(b)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=i}),define(re[50],oe([0,1,30,78,14,19,21]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPiiPathsFromEnvironment=e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class b{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=(0,i.staticObservableValue)(0)}publicLog(f,h){return Promise.resolve(void 0)}publicLog2(f,h){return this.publicLog(f,h)}publicLogError(f,h){return Promise.resolve(void 0)}publicLogError2(f,h){return this.publicLogError(f,h)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=b,e.NullTelemetryService=new b;class C{async publicLog(f,h,n){}async publicLogError(f,h,n){}}e.NullEndpointTelemetryService=C,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function D(u,f){return f.onDidChangeConfiguration(h=>{h.source!==6&&u.publicLog2("updateConfiguration",{configurationSource:(0,L.ConfigurationTargetToString)(h.source),configurationKeys:w(h.sourceConfig)})})}e.configurationTelemetry=D;function I(u,f){return!(f.disableTelemetry||!u.enableTelemetry||f.extensionTestsLocationURI)}e.supportsTelemetry=I;function E(u){const f=u.getValue(A.TELEMETRY_SETTING_ID),h=u.getValue("telemetry.enableCrashReporter");if(u.getValue(A.TELEMETRY_OLD_SETTING_ID)===!1||h===!1)return 0;switch(f??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=E;function v(u){const f={},h={},n={};S(u,n);for(let r in n){r=r.length>150?r.substr(r.length-149):r;const t=n[r];typeof t=="number"?h[r]=t:typeof t=="boolean"?h[r]=t?1:0:typeof t=="string"?(t.length>8192&&console.warn(`Telemetry property: ${r} has been trimmed to 8192, the original length is ${t.length}`),f[r]=t.substring(0,8191)):typeof t!="undefined"&&t!==null&&(f[r]=t)}return{properties:f,measurements:h}}e.validateTelemetryData=v;const y=["ssh-remote","dev-container","attached-container","wsl","tunneling"];function d(u){if(!u)return"none";for(const f of y)if(u.startsWith(`${f}+`))return f;return"other"}e.cleanRemoteAuthority=d;function S(u,f,h=0,n){if(!!u)for(const r of Object.getOwnPropertyNames(u)){const t=u[r],s=n?n+r:r;Array.isArray(t)?f[s]=(0,R.safeStringify)(t):t instanceof Date?f[s]=t.toISOString():(0,k.isObject)(t)?h<2?S(t,f,h+1,s+"."):f[s]=(0,R.safeStringify)(t):f[s]=t}}function w(u){if(!u)return[];const f=[];return p(f,"",u),f}function p(u,f,h){h&&typeof h=="object"&&!Array.isArray(h)?Object.keys(h).forEach(n=>p(u,f?`${f}.${n}`:n,h[n])):u.push(f)}function m(u){return[u.appRoot,u.extensionsPath,u.userHome.fsPath,u.tmpDir.fsPath,u.userDataPath]}e.getPiiPathsFromEnvironment=m}),define(re[217],oe([0,1,49,50]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function k(L,A,b,C,D,I,E){const v={"X-Market-Client-Id":`VSCode ${L}`,"User-Agent":`VSCode ${L} (${A.nameShort})`},y=await(0,R.getServiceMachineId)(b,D,I),{sessionId:d}=await E.getTelemetryInfo();return(0,i.supportsTelemetry)(A,b)&&(0,i.getTelemetryLevel)(C)===3&&(v["X-Market-User-Id"]=y,v["VSCode-SessionId"]=d),v}e.resolveMarketplaceHeaders=k}),define(re[218],oe([0,1,9,30,50]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractOneDataSystemAppender=void 0;const L="https://mobile.events.data.microsoft.com/OneCollector/1.0";async function A(C,D,I){const E=await new Promise((w,p)=>{X(["@microsoft/1ds-core-js"],w,p)}),v=await new Promise((w,p)=>{X(["@microsoft/1ds-post-js"],w,p)}),y=new E.AppInsightsCore,d=new v.PostChannel,S={instrumentationKey:C,endpointUrl:L,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[d]]};if(I){S.extensionConfig={};const w={alwaysUseXhrOverride:!0,httpXHROverride:I};S.extensionConfig[d.identifier]=w}return y.initialize(S,[]),y.addTelemetryInitializer(w=>{D&&(w.ext=w.ext??{},w.ext.utc=w.ext.utc??{},w.ext.utc.flags=8462029)}),y}class b{constructor(D,I,E,v,y){this._configurationService=D,this._eventPrefix=I,this._defaultData=E,this._xhrOverride=y,this.endPointUrl=L,this._defaultData||(this._defaultData={}),typeof v=="function"?this._aiCoreOrKey=v():this._aiCoreOrKey=v,this._asyncAiCore=null}_withAIClient(D){if(!!this._aiCoreOrKey){if(typeof this._aiCoreOrKey!="string"){D(this._aiCoreOrKey);return}if(!this._asyncAiCore){const I=this._configurationService?.getValue("telemetry.internalTesting");this._asyncAiCore=A(this._aiCoreOrKey,I,this._xhrOverride)}this._asyncAiCore.then(I=>{D(I)},I=>{(0,R.onUnexpectedError)(I),console.error(I)})}}log(D,I){if(!this._aiCoreOrKey)return;I=(0,i.mixin)(I,this._defaultData),I=(0,k.validateTelemetryData)(I);const E=this._eventPrefix+"/"+D;try{this._withAIClient(v=>{v.pluginVersionString=I?.properties.version??"Unknown",v.track({name:E,baseData:{name:E,properties:I?.properties,measurements:I?.measurements}})})}catch{}}flush(){return this._aiCoreOrKey?new Promise(D=>{this._withAIClient(I=>{I.unload(!0,()=>{this._aiCoreOrKey=void 0,D(void 0)})})}):Promise.resolve(void 0)}}e.AbstractOneDataSystemAppender=b}),define(re[219],oe([0,1,218]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OneDataSystemWebAppender=void 0;class i extends R.AbstractOneDataSystemAppender{constructor(L,A,b,C){super(L,A,b,C);fetch(this.endPointUrl,{method:"POST"}).catch(D=>{this._aiCoreOrKey=void 0})}}e.OneDataSystemWebAppender=i}),define(re[102],oe([0,1,2,15,8,50]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryLogAppender=void 0;let A=class extends R.Disposable{constructor(C,D,I=""){super();this.prefix=I;const E=C.getLogger(D.telemetryLogResource);E?this.logger=this._register(E):(this.logger=this._register(C.createLogger(D.telemetryLogResource)),this.logger.info("The below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.logger.info("==========================================================="))}flush(){return Promise.resolve(void 0)}log(C,D){this.logger.trace(`${this.prefix}telemetry/${C}`,(0,L.validateTelemetryData)(D))}};A=ge([K(0,k.ILoggerService),K(1,i.IEnvironmentService)],A),e.TelemetryLogAppender=A}),define(re[103],oe([0,1,2,30,78,4,26,154,19,43,96,24,40,21,50]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let S=class{constructor(m,u,f){this._configurationService=u,this._productService=f,this._experimentProperties={},this.telemetryLevel=new k.MutableObservableValue(3),this._disposables=new R.DisposableStore,this._cleanupPatterns=[],this._appenders=m.appenders,this._commonProperties=m.commonProperties||Promise.resolve({}),this._piiPaths=m.piiPaths||[],this._sendErrorTelemetry=!!m.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(const h of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,A.escapeRegExpCharacters)(h),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(m,u){this._experimentProperties[m]=u}_updateTelemetryLevel(){let m=(0,d.getTelemetryLevel)(this._configurationService);const u=this._productService.enabledTelemetryLevels;if(u){this._sendErrorTelemetry=this.sendErrorTelemetry?u.error:!1;const f=u.usage?3:u.error?2:0;m=Math.min(m,f)}this.telemetryLevel.value=m}get sendErrorTelemetry(){return this._sendErrorTelemetry}async getTelemetryInfo(){const m=await this._commonProperties,u=m.sessionID,f=m["common.machineId"],h=m["common.firstSessionDate"],n=m["common.msftInternal"];return{sessionId:u,machineId:f,firstSessionDate:h,msftInternal:n}}dispose(){this._disposables.dispose()}_log(m,u,f,h){return this.telemetryLevel.value<u?Promise.resolve(void 0):this._commonProperties.then(n=>{f=(0,i.mixin)(f,n),f=(0,i.mixin)(f,this._experimentProperties),f=(0,i.cloneAndChange)(f,r=>{if(typeof r=="string")return this._cleanupInfo(r,h)}),this._appenders.forEach(r=>r.log(m,f))},n=>{console.error(n)})}publicLog(m,u,f){return this._log(m,3,u,f)}publicLog2(m,u,f){return this.publicLog(m,u,f)}publicLogError(m,u){return this._sendErrorTelemetry?this._log(m,2,u,!0):Promise.resolve(void 0)}publicLogError2(m,u){return this.publicLogError(m,u)}_anonymizeFilePaths(m){let u=m;const f=[];for(const t of this._cleanupPatterns)for(;;){const s=t.exec(m);if(!s)break;f.push([s.index,t.lastIndex])}const h=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,n=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let r=0;for(u="";;){const t=n.exec(m);if(!t)break;!h.test(t[0])&&f.every(([s,a])=>t.index<s||t.index>=a)&&(u+=m.substring(r,t.index)+"<REDACTED: user-file-path>",r=n.lastIndex)}return r<m.length&&(u+=m.substr(r)),u}_removePropertiesWithPossibleUserInfo(m){if(!m)return m;const u=m.toLowerCase(),f=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/},{label:"Email",regex:/@[a-zA-Z0-9-.]+/}];for(const h of f)if(h.regex.test(u))return`<REDACTED: ${h.label}>`;return m}_cleanupInfo(m,u){let f=m;u&&(f=this._anonymizeFilePaths(f));for(const h of this._cleanupPatterns)f=f.replace(h,"");return f=this._removePropertiesWithPossibleUserInfo(f),f}};S.IDLE_START_EVENT_NAME="UserIdleStart",S.IDLE_STOP_EVENT_NAME="UserIdleStop",S=ge([K(1,C.IConfigurationService),K(2,E.IProductService)],S),e.TelemetryService=S;function w(){const p=(0,b.localize)(0,null,I.default.nameLong),m=I.default.privacyStatementUrl?(0,b.localize)(2,null,"https://aka.ms/vscode-telemetry",I.default.privacyStatementUrl):(0,b.localize)(1,null,"https://aka.ms/vscode-telemetry"),u=L.isWeb?"":(0,b.localize)(3,null),f=(0,b.localize)(4,null),h=(0,b.localize)(5,null),n=(0,b.localize)(6,null),r=(0,b.localize)(7,null),t=`
|       | ${f} | ${h} | ${n} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,s=(0,b.localize)(8,null);return`
${p} ${m} ${u}

&nbsp;

${r}
${t}

&nbsp;

${s}
`}v.Registry.as(D.Extensions.Configuration).registerConfiguration({id:y.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,b.localize)(9,null),properties:{[y.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,b.localize)(10,null),(0,b.localize)(11,null),(0,b.localize)(12,null),(0,b.localize)(13,null)],markdownDescription:w(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),v.Registry.as(D.Extensions.Configuration).registerConfiguration({id:y.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,b.localize)(14,null),properties:{[y.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:I.default.privacyStatementUrl?(0,b.localize)(16,null,I.default.nameLong,I.default.privacyStatementUrl):(0,b.localize)(15,null,I.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,b.localize)(17,null,`\`#${y.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(re[220],oe([0,1,20,64,19,15,8,24,21,101,102,103]),function(X,e,R,i,k,L,A,b,C,D,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CustomEndpointTelemetryService=void 0;let v=class{constructor(d,S,w,p,m){this.configurationService=d,this.telemetryService=S,this.loggerService=w,this.environmentService=p,this.productService=m,this.customTelemetryServices=new Map}async getCustomTelemetryService(d){if(!this.customTelemetryServices.has(d.id)){const{machineId:S,sessionId:w}=await this.telemetryService.getTelemetryInfo(),p=Object.create(null);p["common.vscodemachineid"]=S,p["common.vscodesessionid"]=w;const m=[d.id,JSON.stringify(p),d.aiKey],f=new i.Client(R.FileAccess.asFileUri("bootstrap-fork",X).fsPath,{serverName:"Debug Telemetry",timeout:1e3*60*5,args:m,env:{ELECTRON_RUN_AS_NODE:1,VSCODE_PIPE_LOGGING:"true",VSCODE_AMD_ENTRYPOINT:"vs/workbench/contrib/debug/node/telemetryApp"}}).getChannel("telemetryAppender"),h=[new D.TelemetryAppenderClient(f),new I.TelemetryLogAppender(this.loggerService,this.environmentService,`[${d.id}] `)];this.customTelemetryServices.set(d.id,new E.TelemetryService({appenders:h,sendErrorTelemetry:d.sendErrorTelemetry},this.configurationService,this.productService))}return this.customTelemetryServices.get(d.id)}async publicLog(d,S,w){await(await this.getCustomTelemetryService(d)).publicLog(S,w)}async publicLogError(d,S,w){await(await this.getCustomTelemetryService(d)).publicLogError(S,w)}};v=ge([K(0,k.IConfigurationService),K(1,C.ITelemetryService),K(2,A.ILoggerService),K(3,L.IEnvironmentService),K(4,b.IProductService)],v),e.CustomEndpointTelemetryService=v}),define(re[221],oe([0,1,6,23,3,2,8]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestStore=void 0;let b=class extends L.Disposable{constructor(D,I){super();this._logService=I,this._lastRequestId=0,this._pendingRequests=new Map,this._pendingRequestDisposables=new Map,this._onCreateRequest=this._register(new k.Emitter),this.onCreateRequest=this._onCreateRequest.event,this._timeout=D===void 0?15e3:D}createRequest(D){return new Promise((I,E)=>{const v=++this._lastRequestId;this._pendingRequests.set(v,I),this._onCreateRequest.fire({requestId:v,...D});const y=new i.CancellationTokenSource;(0,R.timeout)(this._timeout,y.token).then(()=>E(`Request ${v} timed out (${this._timeout}ms)`)),this._pendingRequestDisposables.set(v,[(0,L.toDisposable)(()=>y.cancel())])})}acceptReply(D,I){const E=this._pendingRequests.get(D);E?(this._pendingRequests.delete(D),(0,L.dispose)(this._pendingRequestDisposables.get(D)||[]),this._pendingRequestDisposables.delete(D),E(I)):this._logService.warn(`RequestStore#acceptReply was called without receiving a matching request ${D}`)}};b=ge([K(1,A.ILogService)],b),e.RequestStore=b}),define(re[104],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalExitReason=e.ShellIntegrationStatus=e.ProfileSource=e.FlowControlConstants=e.LocalReconnectConstants=e.TerminalLocationString=e.TerminalLocation=e.HeartbeatConstants=e.ProcessPropertyType=e.IPtyService=e.TerminalIpcChannels=e.TitleEventSource=e.WindowsShellType=e.PosixShellType=e.TerminalLogConstants=e.TerminalSettingId=e.TerminalSettingPrefix=void 0;var i;(function(u){u.Shell="terminal.integrated.shell.",u.ShellArgs="terminal.integrated.shellArgs.",u.DefaultProfile="terminal.integrated.defaultProfile.",u.Profiles="terminal.integrated.profiles."})(i=e.TerminalSettingPrefix||(e.TerminalSettingPrefix={}));var k;(function(u){u.ShellLinux="terminal.integrated.shell.linux",u.ShellMacOs="terminal.integrated.shell.osx",u.ShellWindows="terminal.integrated.shell.windows",u.SendKeybindingsToShell="terminal.integrated.sendKeybindingsToShell",u.AutomationShellLinux="terminal.integrated.automationShell.linux",u.AutomationShellMacOs="terminal.integrated.automationShell.osx",u.AutomationShellWindows="terminal.integrated.automationShell.windows",u.AutomationProfileLinux="terminal.integrated.automationProfile.linux",u.AutomationProfileMacOs="terminal.integrated.automationProfile.osx",u.AutomationProfileWindows="terminal.integrated.automationProfile.windows",u.ShellArgsLinux="terminal.integrated.shellArgs.linux",u.ShellArgsMacOs="terminal.integrated.shellArgs.osx",u.ShellArgsWindows="terminal.integrated.shellArgs.windows",u.ProfilesWindows="terminal.integrated.profiles.windows",u.ProfilesMacOs="terminal.integrated.profiles.osx",u.ProfilesLinux="terminal.integrated.profiles.linux",u.DefaultProfileLinux="terminal.integrated.defaultProfile.linux",u.DefaultProfileMacOs="terminal.integrated.defaultProfile.osx",u.DefaultProfileWindows="terminal.integrated.defaultProfile.windows",u.UseWslProfiles="terminal.integrated.useWslProfiles",u.TabsDefaultColor="terminal.integrated.tabs.defaultColor",u.TabsDefaultIcon="terminal.integrated.tabs.defaultIcon",u.TabsEnabled="terminal.integrated.tabs.enabled",u.TabsEnableAnimation="terminal.integrated.tabs.enableAnimation",u.TabsHideCondition="terminal.integrated.tabs.hideCondition",u.TabsShowActiveTerminal="terminal.integrated.tabs.showActiveTerminal",u.TabsShowActions="terminal.integrated.tabs.showActions",u.TabsLocation="terminal.integrated.tabs.location",u.TabsFocusMode="terminal.integrated.tabs.focusMode",u.MacOptionIsMeta="terminal.integrated.macOptionIsMeta",u.MacOptionClickForcesSelection="terminal.integrated.macOptionClickForcesSelection",u.AltClickMovesCursor="terminal.integrated.altClickMovesCursor",u.CopyOnSelection="terminal.integrated.copyOnSelection",u.EnableMultiLinePasteWarning="terminal.integrated.enableMultiLinePasteWarning",u.DrawBoldTextInBrightColors="terminal.integrated.drawBoldTextInBrightColors",u.FontFamily="terminal.integrated.fontFamily",u.FontSize="terminal.integrated.fontSize",u.LetterSpacing="terminal.integrated.letterSpacing",u.LineHeight="terminal.integrated.lineHeight",u.MinimumContrastRatio="terminal.integrated.minimumContrastRatio",u.FastScrollSensitivity="terminal.integrated.fastScrollSensitivity",u.MouseWheelScrollSensitivity="terminal.integrated.mouseWheelScrollSensitivity",u.BellDuration="terminal.integrated.bellDuration",u.FontWeight="terminal.integrated.fontWeight",u.FontWeightBold="terminal.integrated.fontWeightBold",u.CursorBlinking="terminal.integrated.cursorBlinking",u.CursorStyle="terminal.integrated.cursorStyle",u.CursorWidth="terminal.integrated.cursorWidth",u.Scrollback="terminal.integrated.scrollback",u.DetectLocale="terminal.integrated.detectLocale",u.DefaultLocation="terminal.integrated.defaultLocation",u.GpuAcceleration="terminal.integrated.gpuAcceleration",u.TerminalTitleSeparator="terminal.integrated.tabs.separator",u.TerminalTitle="terminal.integrated.tabs.title",u.TerminalDescription="terminal.integrated.tabs.description",u.RightClickBehavior="terminal.integrated.rightClickBehavior",u.Cwd="terminal.integrated.cwd",u.ConfirmOnExit="terminal.integrated.confirmOnExit",u.ConfirmOnKill="terminal.integrated.confirmOnKill",u.EnableBell="terminal.integrated.enableBell",u.CommandsToSkipShell="terminal.integrated.commandsToSkipShell",u.AllowChords="terminal.integrated.allowChords",u.AllowMnemonics="terminal.integrated.allowMnemonics",u.EnvMacOs="terminal.integrated.env.osx",u.EnvLinux="terminal.integrated.env.linux",u.EnvWindows="terminal.integrated.env.windows",u.EnvironmentChangesIndicator="terminal.integrated.environmentChangesIndicator",u.EnvironmentChangesRelaunch="terminal.integrated.environmentChangesRelaunch",u.ShowExitAlert="terminal.integrated.showExitAlert",u.SplitCwd="terminal.integrated.splitCwd",u.WindowsEnableConpty="terminal.integrated.windowsEnableConpty",u.WordSeparators="terminal.integrated.wordSeparators",u.EnableFileLinks="terminal.integrated.enableFileLinks",u.UnicodeVersion="terminal.integrated.unicodeVersion",u.LocalEchoLatencyThreshold="terminal.integrated.localEchoLatencyThreshold",u.LocalEchoEnabled="terminal.integrated.localEchoEnabled",u.LocalEchoExcludePrograms="terminal.integrated.localEchoExcludePrograms",u.LocalEchoStyle="terminal.integrated.localEchoStyle",u.EnablePersistentSessions="terminal.integrated.enablePersistentSessions",u.PersistentSessionReviveProcess="terminal.integrated.persistentSessionReviveProcess",u.CustomGlyphs="terminal.integrated.customGlyphs",u.PersistentSessionScrollback="terminal.integrated.persistentSessionScrollback",u.InheritEnv="terminal.integrated.inheritEnv",u.ShowLinkHover="terminal.integrated.showLinkHover",u.IgnoreProcessNames="terminal.integrated.ignoreProcessNames",u.AutoReplies="terminal.integrated.autoReplies",u.ShellIntegrationEnabled="terminal.integrated.shellIntegration.enabled",u.ShellIntegrationShowWelcome="terminal.integrated.shellIntegration.showWelcome",u.ShellIntegrationDecorationsEnabled="terminal.integrated.shellIntegration.decorationsEnabled",u.ShellIntegrationDecorationIcon="terminal.integrated.shellIntegration.decorationIcon",u.ShellIntegrationDecorationIconError="terminal.integrated.shellIntegration.decorationIconError",u.ShellIntegrationDecorationIconSuccess="terminal.integrated.shellIntegration.decorationIconSuccess",u.ShellIntegrationCommandHistory="terminal.integrated.shellIntegration.history"})(k=e.TerminalSettingId||(e.TerminalSettingId={}));var L;(function(u){u.FileName="ptyhost"})(L=e.TerminalLogConstants||(e.TerminalLogConstants={}));var A;(function(u){u.PowerShell="pwsh",u.Bash="bash",u.Fish="fish",u.Sh="sh",u.Csh="csh",u.Ksh="ksh",u.Zsh="zsh"})(A=e.PosixShellType||(e.PosixShellType={}));var b;(function(u){u.CommandPrompt="cmd",u.PowerShell="pwsh",u.Wsl="wsl",u.GitBash="gitbash"})(b=e.WindowsShellType||(e.WindowsShellType={}));var C;(function(u){u[u.Api=0]="Api",u[u.Process=1]="Process",u[u.Sequence=2]="Sequence",u[u.Config=3]="Config"})(C=e.TitleEventSource||(e.TitleEventSource={}));var D;(function(u){u.LocalPty="localPty",u.PtyHost="ptyHost",u.Log="log",u.Heartbeat="heartbeat"})(D=e.TerminalIpcChannels||(e.TerminalIpcChannels={})),e.IPtyService=(0,R.createDecorator)("ptyService");var I;(function(u){u.Cwd="cwd",u.InitialCwd="initialCwd",u.FixedDimensions="fixedDimensions",u.Title="title",u.ShellType="shellType",u.HasChildProcesses="hasChildProcesses",u.ResolvedShellLaunchConfig="resolvedShellLaunchConfig",u.OverrideDimensions="overrideDimensions",u.FailedShellIntegrationActivation="failedShellIntegrationActivation",u.UsedShellIntegrationInjection="usedShellIntegrationInjection"})(I=e.ProcessPropertyType||(e.ProcessPropertyType={}));var E;(function(u){u[u.BeatInterval=5e3]="BeatInterval",u[u.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",u[u.SecondWaitMultiplier=1]="SecondWaitMultiplier",u[u.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(E=e.HeartbeatConstants||(e.HeartbeatConstants={}));var v;(function(u){u[u.Panel=1]="Panel",u[u.Editor=2]="Editor"})(v=e.TerminalLocation||(e.TerminalLocation={}));var y;(function(u){u.TerminalView="view",u.Editor="editor"})(y=e.TerminalLocationString||(e.TerminalLocationString={}));var d;(function(u){u[u.GraceTime=6e4]="GraceTime",u[u.ShortGraceTime=6e3]="ShortGraceTime"})(d=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var S;(function(u){u[u.HighWatermarkChars=1e5]="HighWatermarkChars",u[u.LowWatermarkChars=5e3]="LowWatermarkChars",u[u.CharCountAckSize=5e3]="CharCountAckSize"})(S=e.FlowControlConstants||(e.FlowControlConstants={}));var w;(function(u){u.GitBash="Git Bash",u.Pwsh="PowerShell"})(w=e.ProfileSource||(e.ProfileSource={}));var p;(function(u){u[u.Off=0]="Off",u[u.FinalTerm=1]="FinalTerm",u[u.VSCode=2]="VSCode"})(p=e.ShellIntegrationStatus||(e.ShellIntegrationStatus={}));var m;(function(u){u[u.Unknown=0]="Unknown",u[u.Shutdown=1]="Shutdown",u[u.Process=2]="Process",u[u.User=3]="User",u[u.Extension=4]="Extension"})(m=e.TerminalExitReason||(e.TerminalExitReason={}))}),define(re[222],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILocalPtyService=void 0,e.ILocalPtyService=(0,R.createDecorator)("localPtyService")}),define(re[223],oe([0,1,37,20,30,12,4,36,26,14,27]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shellIntegrationArgs=e.ShellIntegrationExecutable=e.getShellIntegrationInjection=e.findExecutable=e.getWindowsBuildNumber=void 0;function E(){const f=/(\d+)\.(\d+)\.(\d+)/g.exec(R.release());let h=0;return f&&f.length===4&&(h=parseInt(f[3])),h}e.getWindowsBuildNumber=E;async function v(f,h,n,r=b.env,t=I.Promises.exists){if(L.isAbsolute(f))return await t(f)?f:void 0;if(h===void 0&&(h=b.cwd()),L.dirname(f)!=="."){const o=L.join(h,f);return await t(o)?o:void 0}const a=(0,k.getCaseInsensitive)(r,"PATH");if(n===void 0&&(0,D.isString)(a)&&(n=a.split(L.delimiter)),n===void 0||n.length===0){const o=L.join(h,f);return await t(o)?o:void 0}for(const o of n){let l;if(L.isAbsolute(o)?l=L.join(o,f):l=L.join(h,o,f),await t(l))return l;if(A.isWindows){let g=l+".com";if(await t(g)||(g=l+".exe",await t(g)))return g}}const c=L.join(h,f);return await t(c)?c:void 0}e.findExecutable=v;function y(f,h,n){if(!h.enabled||!f.executable||f.isFeatureTerminal||f.hideFromUser||f.ignoreShellIntegration)return;const r=f.args,t=b.platform==="win32"?L.basename(f.executable).toLowerCase():L.basename(f.executable),s=L.dirname(i.FileAccess.asFileUri("",X).fsPath);let a;const c={VSCODE_INJECTION:"1"};if(A.isWindows){if(t==="pwsh.exe")return!r||m(r)?a=e.shellIntegrationArgs.get(d.WindowsPwsh):p(r)&&(a=e.shellIntegrationArgs.get(d.WindowsPwshLogin)),a?(a&&(a=[...a],a[a.length-1]=(0,C.format)(a[a.length-1],s,"")),{newArgs:a,envMixin:c}):void 0;n.warn(`Shell integration cannot be enabled for executable "${f.executable}" and args`,f.args);return}switch(t){case"bash":return!r||r.length===0?a=e.shellIntegrationArgs.get(d.Bash):u(r)&&(c.VSCODE_SHELL_LOGIN="1",a=e.shellIntegrationArgs.get(d.Bash)),a?(a=[...a],a[a.length-1]=(0,C.format)(a[a.length-1],s),{newArgs:a,envMixin:c}):void 0;case"pwsh":return!r||m(r)?a=e.shellIntegrationArgs.get(d.Pwsh):p(r)&&(a=e.shellIntegrationArgs.get(d.PwshLogin)),a?(a=[...a],a[a.length-1]=(0,C.format)(a[a.length-1],s,""),{newArgs:a,envMixin:c}):void 0;case"zsh":{if(!r||r.length===0?a=e.shellIntegrationArgs.get(d.Zsh):u(r)?a=e.shellIntegrationArgs.get(d.ZshLogin):(r===e.shellIntegrationArgs.get(d.Zsh)||r===e.shellIntegrationArgs.get(d.ZshLogin))&&(a=r),!a)return;a=[...a],a[a.length-1]=(0,C.format)(a[a.length-1],s);const o=L.join(R.tmpdir(),"vscode-zsh");c.ZDOTDIR=o;const l=[];return l.push({source:L.join(s,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-rc.zsh"),dest:L.join(o,".zshrc")}),l.push({source:L.join(s,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-profile.zsh"),dest:L.join(o,".zprofile")}),l.push({source:L.join(s,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-env.zsh"),dest:L.join(o,".zshenv")}),l.push({source:L.join(s,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-login.zsh"),dest:L.join(o,".zlogin")}),{newArgs:a,envMixin:c,filesToCopy:l}}}n.warn(`Shell integration cannot be enabled for executable "${f.executable}" and args`,f.args)}e.getShellIntegrationInjection=y;var d;(function(f){f.WindowsPwsh="windows-pwsh",f.WindowsPwshLogin="windows-pwsh-login",f.Pwsh="pwsh",f.PwshLogin="pwsh-login",f.Zsh="zsh",f.ZshLogin="zsh-login",f.Bash="bash"})(d=e.ShellIntegrationExecutable||(e.ShellIntegrationExecutable={})),e.shellIntegrationArgs=new Map,e.shellIntegrationArgs.set(d.WindowsPwsh,["-noexit","-command",'. "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1"{1}']),e.shellIntegrationArgs.set(d.WindowsPwshLogin,["-l","-noexit","-command",'. "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1"{1}']),e.shellIntegrationArgs.set(d.Pwsh,["-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"{1}']),e.shellIntegrationArgs.set(d.PwshLogin,["-l","-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"']),e.shellIntegrationArgs.set(d.Zsh,["-i"]),e.shellIntegrationArgs.set(d.ZshLogin,["-il"]),e.shellIntegrationArgs.set(d.Bash,["--init-file","{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration-bash.sh"]);const S=["-login","-l"],w=["-nol","-nologo"];function p(f){return typeof f=="string"?S.includes(f.toLowerCase()):f.length===1&&S.includes(f[0].toLowerCase())||f.length===2&&(S.includes(f[0].toLowerCase())||S.includes(f[1].toLowerCase()))&&(w.includes(f[0].toLowerCase())||w.includes(f[1].toLowerCase()))}function m(f){return typeof f=="string"?w.includes(f.toLowerCase()):f.length===0||f?.length===1&&w.includes(f[0].toLowerCase())}function u(f){return f==="string"&&S.includes(f.toLowerCase())||typeof f!="string"&&f.length===1&&S.includes(f[0].toLowerCase())}}),define(re[224],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isDark=e.isHighContrast=e.ColorScheme=void 0;var R;(function(L){L.DARK="dark",L.LIGHT="light",L.HIGH_CONTRAST_DARK="hcDark",L.HIGH_CONTRAST_LIGHT="hcLight"})(R=e.ColorScheme||(e.ColorScheme={}));function i(L){return L===R.HIGH_CONTRAST_DARK||L===R.HIGH_CONTRAST_LIGHT}e.isHighContrast=i;function k(L){return L===R.DARK||L===R.HIGH_CONTRAST_DARK}e.isDark=k}),define(re[105],oe([0,1,51,3,2,5,40,224]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,L.createDecorator)("themeService");var C;(function(w){function p(m){return m&&typeof m=="object"&&typeof m.id=="string"}w.isThemeColor=p})(C=e.ThemeColor||(e.ThemeColor={}));function D(w){return{id:w}}e.themeColorFromId=D;var I;(function(w){function p(s){return s&&typeof s=="object"&&typeof s.id=="string"&&(typeof s.color=="undefined"||C.isThemeColor(s.color))}w.isThemeIcon=p;const m=new RegExp(`^\\$\\((${R.CSSIcon.iconNameExpression}(?:${R.CSSIcon.iconModifierExpression})?)\\)$`);function u(s){const a=m.exec(s);if(!a)return;const[,c]=a;return{id:c}}w.fromString=u;function f(s){return{id:s}}w.fromId=f;function h(s,a){let c=s.id;const o=c.lastIndexOf("~");return o!==-1&&(c=c.substring(0,o)),a&&(c=`${c}~${a}`),{id:c}}w.modify=h;function n(s){const a=s.id.lastIndexOf("~");if(a!==-1)return s.id.substring(a+1)}w.getModifier=n;function r(s,a){return s.id===a.id&&s.color?.id===a.color?.id}w.isEqual=r;function t(s,a){return{id:s.id,color:a?D(a):void 0}}w.asThemeIcon=t,w.asClassNameArray=R.CSSIcon.asClassNameArray,w.asClassName=R.CSSIcon.asClassName,w.asCSSSelector=R.CSSIcon.asCSSSelector})(I=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=R.Codicon.file,e.FolderThemeIcon=R.Codicon.folder;function E(w){switch(w){case b.ColorScheme.DARK:return"vs-dark";case b.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case b.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}e.getThemeTypeSelector=E,e.Extensions={ThemingContribution:"base.contributions.theming"};class v{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new i.Emitter}onColorThemeChange(p){return this.themingParticipants.push(p),this.onThemingParticipantAddedEmitter.fire(p),(0,k.toDisposable)(()=>{const m=this.themingParticipants.indexOf(p);this.themingParticipants.splice(m,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const y=new v;A.Registry.add(e.Extensions.ThemingContribution,y);function d(w){return y.onColorThemeChange(w)}e.registerThemingParticipant=d;class S extends k.Disposable{constructor(p){super();this.themeService=p,this.theme=p.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(m=>this.onThemeChange(m)))}onThemeChange(p){this.theme=p,this.updateStyles()}updateStyles(){}getColor(p,m){let u=this.theme.getColor(p);return u&&m&&(u=m(u,this.theme)),u?u.toString():null}}e.Themable=S}),define(re[225],oe([0,1,51,7,156,105]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isUriComponents=e.terminalIconsEqual=e.terminalProfileArgsMatch=e.createProfileSchemaEnums=void 0;function A(v,y){const d=[{name:null,description:(0,k.localize)(0,null)}];return d.push(...v.map(S=>({name:S.profileName,description:b(S)}))),y&&d.push(...y.map(S=>({name:S.title,description:C(S)}))),{values:d.map(S=>S.name),markdownDescriptions:d.map(S=>S.description)}}e.createProfileSchemaEnums=A;function b(v){let y=`$(${L.ThemeIcon.isThemeIcon(v.icon)?v.icon.id:v.icon?v.icon:R.Codicon.terminal.id}) ${v.profileName}
- path: ${v.path}`;return v.args&&(typeof v.args=="string"?y+=`
- args: "${v.args}"`:y+=`
- args: [${v.args.length===0?"":`'${v.args.join("','")}'`}]`),v.overrideName!==void 0&&(y+=`
- overrideName: ${v.overrideName}`),v.color&&(y+=`
- color: ${v.color}`),v.env&&(y+=`
- env: ${JSON.stringify(v.env)}`),y}function C(v){return`$(${L.ThemeIcon.isThemeIcon(v.icon)?v.icon.id:v.icon?v.icon:R.Codicon.terminal.id}) ${v.title}
- extensionIdentifier: ${v.extensionIdentifier}`}function D(v,y){if(!v&&!y)return!0;if(typeof v=="string"&&typeof y=="string")return v===y;if(Array.isArray(v)&&Array.isArray(y)){if(v.length!==y.length)return!1;for(let d=0;d<v.length;d++)if(v[d]!==y[d])return!1;return!0}return!1}e.terminalProfileArgsMatch=D;function I(v,y){if(!v&&!y)return!0;if(!v||!y)return!1;if(L.ThemeIcon.isThemeIcon(v)&&L.ThemeIcon.isThemeIcon(y))return v.id===y.id&&v.color===y.color;if(typeof v=="object"&&v&&"light"in v&&"dark"in v&&typeof y=="object"&&y&&"light"in y&&"dark"in y){const d=v,S=y;if((i.URI.isUri(d.light)||E(d.light))&&(i.URI.isUri(d.dark)||E(d.dark))&&(i.URI.isUri(S.light)||E(S.light))&&(i.URI.isUri(S.dark)||E(S.dark)))return d.light.path===S.light.path&&d.dark.path===S.dark.path}if(i.URI.isUri(v)&&i.URI.isUri(y)||E(v)||E(y)){const d=v,S=y;return d.path===S.path&&d.scheme===S.scheme}return!1}e.terminalIconsEqual=I;function E(v){return v?typeof v.path=="string"&&typeof v.scheme=="string":!1}e.isUriComponents=E}),define(re[226],oe([0,1,51,155,43,40,225]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerTerminalDefaultProfileConfiguration=e.registerTerminalPlatformConfiguration=e.terminalIconSchema=e.terminalColorSchema=void 0,e.terminalColorSchema={type:["string","null"],enum:["terminal.ansiBlack","terminal.ansiRed","terminal.ansiGreen","terminal.ansiYellow","terminal.ansiBlue","terminal.ansiMagenta","terminal.ansiCyan","terminal.ansiWhite"],default:null},e.terminalIconSchema={type:"string",enum:Array.from(R.Codicon.getAll(),f=>f.id),markdownEnumDescriptions:Array.from(R.Codicon.getAll(),f=>`$(${f.id})`)};const b={args:{description:(0,i.localize)(0,null),type:"array",items:{type:"string"}},overrideName:{description:(0,i.localize)(1,null),type:"boolean"},icon:{description:(0,i.localize)(2,null),...e.terminalIconSchema},color:{description:(0,i.localize)(3,null),...e.terminalColorSchema},env:{markdownDescription:(0,i.localize)(4,null),type:"object",additionalProperties:{type:["string","null"]},default:{}}},C={type:"object",required:["path"],properties:{path:{description:(0,i.localize)(5,null),type:["string","array"],items:{type:"string"}},...b}},D={type:"object",required:["path"],properties:{path:{description:(0,i.localize)(6,null),type:["string"],items:{type:"string"}},...b}},I=(0,i.localize)(7,null,"`#terminal.integrated.profiles.linux#`","`#terminal.integrated.defaultProfile.linux#`"),E=(0,i.localize)(8,null,"`#terminal.integrated.profiles.osx#`","`#terminal.integrated.defaultProfile.osx#`"),v=(0,i.localize)(9,null,"`#terminal.integrated.profiles.windows#`","`#terminal.integrated.defaultProfile.windows#`"),y=(0,i.localize)(10,null,"`#terminal.integrated.automationProfile.linux#`"),d=(0,i.localize)(11,null,"`#terminal.integrated.automationProfile.osx#`"),S=(0,i.localize)(12,null,"`#terminal.integrated.automationProfile.windows#`"),w={id:"terminal",order:100,title:(0,i.localize)(13,null),type:"object",properties:{["terminal.integrated.automationShell.linux"]:{restricted:!0,markdownDescription:(0,i.localize)(14,null,"`terminal.integrated.shell.linux`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:y},["terminal.integrated.automationShell.osx"]:{restricted:!0,markdownDescription:(0,i.localize)(15,null,"`terminal.integrated.shell.osx`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:d},["terminal.integrated.automationShell.windows"]:{restricted:!0,markdownDescription:(0,i.localize)(16,null,"`terminal.integrated.shell.windows`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:S},["terminal.integrated.automationProfile.linux"]:{restricted:!0,markdownDescription:(0,i.localize)(17,null,"`#terminal.integrated.automationShell.linux#`"),type:["object","null"],default:null,anyOf:[{type:"null"},D],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.osx"]:{restricted:!0,markdownDescription:(0,i.localize)(18,null,"`#terminal.integrated.automationShell.osx#`"),type:["object","null"],default:null,anyOf:[{type:"null"},D],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.windows"]:{restricted:!0,markdownDescription:(0,i.localize)(19,null,"`#terminal.integrated.automationShell.windows#`"),type:["object","null"],default:null,anyOf:[{type:"null"},D],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.shell.linux"]:{restricted:!0,markdownDescription:(0,i.localize)(20,null),type:["string","null"],default:null,markdownDeprecationMessage:I},["terminal.integrated.shell.osx"]:{restricted:!0,markdownDescription:(0,i.localize)(21,null),type:["string","null"],default:null,markdownDeprecationMessage:E},["terminal.integrated.shell.windows"]:{restricted:!0,markdownDescription:(0,i.localize)(22,null),type:["string","null"],default:null,markdownDeprecationMessage:v},["terminal.integrated.shellArgs.linux"]:{restricted:!0,markdownDescription:(0,i.localize)(23,null),type:"array",items:{type:"string"},default:[],markdownDeprecationMessage:I},["terminal.integrated.shellArgs.osx"]:{restricted:!0,markdownDescription:(0,i.localize)(24,null),type:"array",items:{type:"string"},default:["-l"],markdownDeprecationMessage:E},["terminal.integrated.shellArgs.windows"]:{restricted:!0,markdownDescription:(0,i.localize)(25,null),anyOf:[{type:"array",items:{type:"string",markdownDescription:(0,i.localize)(26,null)}},{type:"string",markdownDescription:(0,i.localize)(27,null)}],default:[],markdownDeprecationMessage:v},["terminal.integrated.profiles.windows"]:{restricted:!0,markdownDescription:(0,i.localize)(28,null,"`source`","`path`","`args`","`null`",'`"Ubuntu-20.04 (WSL)": null`'),type:"object",default:{PowerShell:{source:"PowerShell",icon:"terminal-powershell"},"Command Prompt":{path:["${env:windir}\\Sysnative\\cmd.exe","${env:windir}\\System32\\cmd.exe"],args:[],icon:"terminal-cmd"},"Git Bash":{source:"Git Bash"}},additionalProperties:{anyOf:[{type:"object",required:["source"],properties:{source:{description:(0,i.localize)(29,null),enum:["PowerShell","Git Bash"]},...b}},{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,i.localize)(30,null),type:"string"},id:{description:(0,i.localize)(31,null),type:"string"},title:{description:(0,i.localize)(32,null),type:"string"},...b}},{type:"null"},C]}},["terminal.integrated.profiles.osx"]:{restricted:!0,markdownDescription:(0,i.localize)(33,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",args:["-l"],icon:"terminal-bash"},zsh:{path:"zsh",args:["-l"]},fish:{path:"fish",args:["-l"]},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,i.localize)(34,null),type:"string"},id:{description:(0,i.localize)(35,null),type:"string"},title:{description:(0,i.localize)(36,null),type:"string"},...b}},{type:"null"},C]}},["terminal.integrated.profiles.linux"]:{restricted:!0,markdownDescription:(0,i.localize)(37,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",icon:"terminal-bash"},zsh:{path:"zsh"},fish:{path:"fish"},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,i.localize)(38,null),type:"string"},id:{description:(0,i.localize)(39,null),type:"string"},title:{description:(0,i.localize)(40,null),type:"string"},...b}},{type:"null"},C]}},["terminal.integrated.useWslProfiles"]:{description:(0,i.localize)(41,null),type:"boolean",default:!0},["terminal.integrated.inheritEnv"]:{scope:1,description:(0,i.localize)(42,null),type:"boolean",default:!0},["terminal.integrated.persistentSessionScrollback"]:{scope:1,markdownDescription:(0,i.localize)(43,null),type:"number",default:100},["terminal.integrated.showLinkHover"]:{scope:1,description:(0,i.localize)(44,null),type:"boolean",default:!0},["terminal.integrated.ignoreProcessNames"]:{description:(0,i.localize)(45,null,"`terminal.integrated.confirmOnKill`"),type:"array",items:{type:"string",uniqueItems:!0},default:["starship","oh-my-posh","bash","zsh"]}}};function p(){L.Registry.as(k.Extensions.Configuration).registerConfiguration(w),u()}e.registerTerminalPlatformConfiguration=p;let m;function u(f,h){const n=L.Registry.as(k.Extensions.Configuration);let r;f&&(r=(0,A.createProfileSchemaEnums)(f?.profiles,h));const t=m;m={id:"terminal",order:100,title:(0,i.localize)(46,null),type:"object",properties:{["terminal.integrated.defaultProfile.linux"]:{restricted:!0,markdownDescription:(0,i.localize)(47,null,"`terminal.integrated.shell.linux`","`terminal.integrated.shellArgs.linux`"),type:["string","null"],default:null,enum:f?.os===3?r?.values:void 0,markdownEnumDescriptions:f?.os===3?r?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.osx"]:{restricted:!0,markdownDescription:(0,i.localize)(48,null,"`terminal.integrated.shell.osx`","`terminal.integrated.shellArgs.osx`"),type:["string","null"],default:null,enum:f?.os===2?r?.values:void 0,markdownEnumDescriptions:f?.os===2?r?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.windows"]:{restricted:!0,markdownDescription:(0,i.localize)(49,null,"`terminal.integrated.shell.windows`","`terminal.integrated.shellArgs.windows`"),type:["string","null"],default:null,enum:f?.os===1?r?.values:void 0,markdownEnumDescriptions:f?.os===1?r?.markdownDescriptions:void 0}}},n.updateConfigurations({add:[m],remove:t?[t]:[]})}e.registerTerminalDefaultProfileConfiguration=u}),define(re[227],oe([0,1,48,51,12,4,27,82,223,105]),function(X,e,R,i,k,L,A,b,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableProfiles=void 0;let I,E=!0;function v(r,t,s,a,c=process.env,o,l,g,P){return o=o||{existsFile:A.SymlinkSupport.existsFile,readFile:A.Promises.readFile},L.isWindows?y(s,o,c,l,a.getValue("terminal.integrated.useWslProfiles")!==!1,r&&typeof r=="object"?{...r}:a.getValue("terminal.integrated.profiles.windows"),typeof t=="string"?t:a.getValue("terminal.integrated.defaultProfile.windows"),P,g):f(o,l,s,r&&typeof r=="object"?{...r}:a.getValue(L.isLinux?"terminal.integrated.profiles.linux":"terminal.integrated.profiles.osx"),typeof t=="string"?t:a.getValue(L.isLinux?"terminal.integrated.defaultProfile.linux":"terminal.integrated.defaultProfile.osx"),P,g,c)}e.detectAvailableProfiles=v;async function y(r,t,s,a,c,o,l,g,P){const U=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),_=`${process.env.windir}\\${U?"Sysnative":"System32"}`;let M=!1;(0,C.getWindowsBuildNumber)()>=16299&&(M=!0),await w(g);const T=new Map;r&&(T.set("PowerShell",{source:"PowerShell",icon:i.Codicon.terminalPowershell,isAutoDetected:!0}),T.set("Windows PowerShell",{path:`${_}\\WindowsPowerShell\\v1.0\\powershell.exe`,icon:i.Codicon.terminalPowershell,isAutoDetected:!0}),T.set("Git Bash",{source:"Git Bash",isAutoDetected:!0}),T.set("Cygwin",{path:[`${process.env.HOMEDRIVE}\\cygwin64\\bin\\bash.exe`,`${process.env.HOMEDRIVE}\\cygwin\\bin\\bash.exe`],args:["--login"],isAutoDetected:!0}),T.set("Command Prompt",{path:`${_}\\cmd.exe`,icon:i.Codicon.terminalCmd,isAutoDetected:!0})),h(o,T);const $=await d(T.entries(),l,t,s,a,P);if(r||!r&&c)try{const N=await m(`${_}\\${M?"wsl":"bash"}.exe`,l);for(const G of N)(!o||!(G.profileName in o))&&$.push(G)}catch{E&&(a?.info("WSL is not installed, so could not detect WSL profiles"),E=!1)}return $}async function d(r,t,s,a=process.env,c,o){const l=[];for(const[g,P]of r){if(P===null)continue;let U,_,M;if("source"in P){const N=I?.get(P.source);if(!N)continue;U=N.paths,_=P.args||N.args,P.icon?M=S(P.icon):N.icon&&(M=N.icon)}else U=Array.isArray(P.path)?P.path:[P.path],_=L.isWindows||Array.isArray(P.args)?P.args:void 0,M=S(P.icon);const T=await o?.(U)||U.slice(),$=await n(g,t,T,s,a,_,P.env,P.overrideName,P.isAutoDetected,c);$?($.isAutoDetected=P.isAutoDetected,$.icon=M,$.color=P.color,l.push($)):c?.debug("Terminal profile not validated",g,U)}return c?.debug("Validated terminal profiles",l),l}function S(r){return typeof r=="string"?{id:r}:r}async function w(r){I&&!r||(I=new Map,I.set("Git Bash",{profileName:"Git Bash",paths:[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`,`${process.env.UserProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`,`${process.env.AllUsersProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`],args:["--login"]}),I.set("PowerShell",{profileName:"PowerShell",paths:r||await p(),icon:D.ThemeIcon.asThemeIcon(i.Codicon.terminalPowershell)}))}async function p(){const r=[];for await(const t of(0,b.enumeratePowerShellInstallations)())r.push(t.exePath);return r}async function m(r,t){const s=[],a=await new Promise((l,g)=>{R.exec("wsl.exe -l -q",{encoding:"utf16le",timeout:1e3},(P,U)=>{if(P)return g("Problem occurred when getting wsl distros");l(U)})});if(!a)return[];const c=new RegExp(/[\r?\n]/),o=a.split(c).filter(l=>l.trim().length>0&&l!=="");for(const l of o){if(l===""||l.startsWith("docker-desktop"))continue;const g=`${l} (WSL)`,P={profileName:g,path:r,args:["-d",`${l}`],isDefault:g===t,icon:u(l),isAutoDetected:!1};s.push(P)}return s}function u(r){return r.includes("Ubuntu")?D.ThemeIcon.asThemeIcon(i.Codicon.terminalUbuntu):r.includes("Debian")?D.ThemeIcon.asThemeIcon(i.Codicon.terminalDebian):D.ThemeIcon.asThemeIcon(i.Codicon.terminalLinux)}async function f(r,t,s,a,c,o,l,g){const P=new Map;if(s){const U=(await r.readFile("/etc/shells")).toString(),_=o||U.split(`
`).filter(T=>T.trim().indexOf("#")!==0&&T.trim().length>0),M=new Map;for(const T of _){let $=(0,k.basename)(T),N=M.get($)||0;N++,N>1&&($=`${$} (${N})`),M.set($,N),P.set($,{path:T,isAutoDetected:!0})}}return h(a,P),await d(P.entries(),c,r,g,t,l)}function h(r,t){if(!!r)for(const[s,a]of Object.entries(r))a===null||!("path"in a)&&!("source"in a)?t.delete(s):(a.icon=a.icon||t.get(s)?.icon,t.set(s,a))}async function n(r,t,s,a,c,o,l,g,P,U){if(s.length===0)return Promise.resolve(void 0);const _=s.shift();if(_==="")return n(r,t,s,a,c,o,l,g,P);const M={profileName:r,path:_,args:o,env:l,overrideName:g,isAutoDetected:P,isDefault:r===t};if((0,k.basename)(_)===_){const $=c.PATH?c.PATH.split(k.delimiter):void 0,N=await(0,C.findExecutable)(_,void 0,$,void 0,a.existsFile);return N?(M.path=N,M.isFromPath=!0,M):n(r,t,s,a,c,o)}return await a.existsFile((0,k.normalize)(_))?M:n(r,t,s,a,c,o,l,g,P)}}),define(re[228],oe([0,1,3,2,20,4,39,64,19,15,87,212,8,95,221,104,226,227]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PtyHostService=void 0;var m;(function(h){h[h.MaxRestarts=5]="MaxRestarts"})(m||(m={}));let u=0,f=class extends i.Disposable{constructor(n,r,t,s){super();this._reconnectConstants=n,this._configurationService=r,this._environmentService=t,this._logService=s,this._restartCount=0,this._isResponsive=!0,this._isDisposed=!1,this._onPtyHostExit=this._register(new R.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new R.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new R.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onPtyHostResponsive=this._register(new R.Emitter),this.onPtyHostResponsive=this._onPtyHostResponsive.event,this._onPtyHostRequestResolveVariables=this._register(new R.Emitter),this.onPtyHostRequestResolveVariables=this._onPtyHostRequestResolveVariables.event,this._onProcessData=this._register(new R.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessReady=this._register(new R.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new R.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessOrphanQuestion=this._register(new R.Emitter),this.onProcessOrphanQuestion=this._onProcessOrphanQuestion.event,this._onDidRequestDetach=this._register(new R.Emitter),this.onDidRequestDetach=this._onDidRequestDetach.event,this._onDidChangeProperty=this._register(new R.Emitter),this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=this._register(new R.Emitter),this.onProcessExit=this._onProcessExit.event,(0,w.registerTerminalPlatformConfiguration)(),this._shellEnv=this._resolveShellEnv(),this._register((0,i.toDisposable)(()=>this._disposePtyHost())),this._resolveVariablesRequestStore=this._register(new d.RequestStore(void 0,this._logService)),this._resolveVariablesRequestStore.onCreateRequest(this._onPtyHostRequestResolveVariables.fire,this._onPtyHostRequestResolveVariables),[this._client,this._proxy]=this._startPtyHost(),this._register(this._configurationService.onDidChangeConfiguration(async a=>{a.affectsConfiguration("terminal.integrated.ignoreProcessNames")&&await this._refreshIgnoreProcessNames()}))}initialize(){this._refreshIgnoreProcessNames()}get _ignoreProcessNames(){return this._configurationService.getValue("terminal.integrated.ignoreProcessNames")}async _refreshIgnoreProcessNames(){return this._proxy.refreshIgnoreProcessNames?.(this._ignoreProcessNames)}async _resolveShellEnv(){if(L.isWindows)return process.env;try{return await(0,E.getResolvedShellEnv)(this._logService,{_:[]},process.env)}catch(n){return this._logService.error("ptyHost was unable to resolve shell environment",n),{}}}_startPtyHost(){const n={serverName:"Pty Host",args:["--type=ptyHost","--logsPath",this._environmentService.logsPath],env:{VSCODE_LAST_PTY_ID:u,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_RECONNECT_GRACE_TIME:this._reconnectConstants.graceTime,VSCODE_RECONNECT_SHORT_GRACE_TIME:this._reconnectConstants.shortGraceTime,VSCODE_RECONNECT_SCROLLBACK:this._reconnectConstants.scrollback}},r=(0,I.parsePtyHostPort)(this._environmentService.args,this._environmentService.isBuilt);r&&(r.break&&r.port?n.debugBrk=r.port:!r.break&&r.port&&(n.debug=r.port));const t=new b.Client(k.FileAccess.asFileUri("bootstrap-fork",X).fsPath,n);this._onPtyHostStart.fire(),A.ProxyChannel.toService(t.getChannel(S.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._handleHeartbeat(),this._register(t.onDidProcessExit(o=>{this._onPtyHostExit.fire(o.code),this._isDisposed||(this._restartCount<=m.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${o.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${o.code}, giving up`))}));const a=t.getChannel(S.TerminalIpcChannels.Log);y.LogLevelChannelClient.setLevel(a,this._logService.getLevel()),this._register(this._logService.onDidChangeLogLevel(()=>{y.LogLevelChannelClient.setLevel(a,this._logService.getLevel())}));const c=A.ProxyChannel.toService(t.getChannel(S.TerminalIpcChannels.PtyHost));return this._register(c.onProcessData(o=>this._onProcessData.fire(o))),this._register(c.onProcessReady(o=>this._onProcessReady.fire(o))),this._register(c.onProcessExit(o=>this._onProcessExit.fire(o))),this._register(c.onDidChangeProperty(o=>this._onDidChangeProperty.fire(o))),this._register(c.onProcessReplay(o=>this._onProcessReplay.fire(o))),this._register(c.onProcessOrphanQuestion(o=>this._onProcessOrphanQuestion.fire(o))),this._register(c.onDidRequestDetach(o=>this._onDidRequestDetach.fire(o))),[t,c]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(n,r,t,s,a,c,o,l,g,P,U){const _=setTimeout(()=>this._handleUnresponsiveCreateProcess(),S.HeartbeatConstants.CreateProcessTimeout),M=await this._proxy.createProcess(n,r,t,s,a,c,o,l,g,P,U);return clearTimeout(_),u=Math.max(u,M),M}updateTitle(n,r,t){return this._proxy.updateTitle(n,r,t)}updateIcon(n,r,t){return this._proxy.updateIcon(n,r,t)}attachToProcess(n){return this._proxy.attachToProcess(n)}detachFromProcess(n){return this._proxy.detachFromProcess(n)}listProcesses(){return this._proxy.listProcesses()}reduceConnectionGraceTime(){return this._proxy.reduceConnectionGraceTime()}start(n){return this._proxy.start(n)}shutdown(n,r){return this._proxy.shutdown(n,r)}input(n,r){return this._proxy.input(n,r)}processBinary(n,r){return this._proxy.processBinary(n,r)}resize(n,r,t){return this._proxy.resize(n,r,t)}acknowledgeDataEvent(n,r){return this._proxy.acknowledgeDataEvent(n,r)}setUnicodeVersion(n,r){return this._proxy.setUnicodeVersion(n,r)}getInitialCwd(n){return this._proxy.getInitialCwd(n)}getCwd(n){return this._proxy.getCwd(n)}getLatency(n){return this._proxy.getLatency(n)}orphanQuestionReply(n){return this._proxy.orphanQuestionReply(n)}installAutoReply(n,r){return this._proxy.installAutoReply(n,r)}uninstallAllAutoReplies(){return this._proxy.uninstallAllAutoReplies()}uninstallAutoReply(n){return this._proxy.uninstallAutoReply(n)}getDefaultSystemShell(n){return this._proxy.getDefaultSystemShell(n)}async getProfiles(n,r,t,s=!1){const a=await this._shellEnv;return(0,p.detectAvailableProfiles)(r,t,s,this._configurationService,a,void 0,this._logService,this._resolveVariables.bind(this,n))}getEnvironment(){return this._proxy.getEnvironment()}getWslPath(n){return this._proxy.getWslPath(n)}getRevivedPtyNewId(n){return this._proxy.getRevivedPtyNewId(n)}setTerminalLayoutInfo(n){return this._proxy.setTerminalLayoutInfo(n)}async getTerminalLayoutInfo(n){return await this._proxy.getTerminalLayoutInfo(n)}async requestDetachInstance(n,r){return this._proxy.requestDetachInstance(n,r)}async acceptDetachInstanceReply(n,r){return this._proxy.acceptDetachInstanceReply(n,r)}async serializeTerminalState(n){return this._proxy.serializeTerminalState(n)}async reviveTerminalProcesses(n,r){return this._proxy.reviveTerminalProcesses(n,r)}async refreshProperty(n,r){return this._proxy.refreshProperty(n,r)}async updateProperty(n,r,t){return this._proxy.updateProperty(n,r,t)}async restartPtyHost(){this._isResponsive=!0,this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll?.(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier),this._isResponsive||(this._isResponsive=!0,this._onPtyHostResponsive.fire())}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier+S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._isResponsive&&(this._isResponsive=!1,this._onPtyHostUnresponsive.fire())}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${S.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._isResponsive&&(this._isResponsive=!1,this._onPtyHostUnresponsive.fire())}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}_resolveVariables(n,r){return this._resolveVariablesRequestStore.createRequest({workspaceId:n,originalText:r})}async acceptPtyHostResolvedVariables(n,r){this._resolveVariablesRequestStore.acceptReply(n,r)}};f=ge([K(1,C.IConfigurationService),K(2,D.IEnvironmentService),K(3,v.ILogService)],f),e.PtyHostService=f}),define(re[69],oe([0,1,3,4,5,8]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,k.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,k.createDecorator)("sharedTunnelsService");var A;(function(S){S.Http="http",S.Https="https"})(A=e.TunnelProtocol||(e.TunnelProtocol={}));var b;(function(S){S.ConstantPrivate="constantPrivate",S.Private="private",S.Public="public"})(b=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var C;(function(S){S[S.Notify=1]="Notify",S[S.OpenBrowser=2]="OpenBrowser",S[S.OpenPreview=3]="OpenPreview",S[S.Silent=4]="Silent",S[S.Ignore=5]="Ignore",S[S.OpenBrowserOnce=6]="OpenBrowserOnce"})(C=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function D(S){if(S.scheme!=="http"&&S.scheme!=="https")return;const w=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(S.authority);if(!!w)return{address:w[1],port:+w[2]}}e.extractLocalHostUriMetaDataForPortMapping=D,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function I(S){return e.LOCALHOST_ADDRESSES.indexOf(S)>=0}e.isLocalhost=I,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function E(S){return e.ALL_INTERFACES_ADDRESSES.indexOf(S)>=0}e.isAllInterfaces=E;function v(S,w){return w?w!==1&&S<1024:!i.isWindows&&S<1024}e.isPortPrivileged=v;class y{constructor(w,p,m){this.remoteAddress=w,this.localAddress=p,this._dispose=m,this._onDispose=new R.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}e.DisposableTunnel=y;let d=class{constructor(w){this.logService=w,this._onTunnelOpened=new R.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new R.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new R.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[],this._factoryInProgress=new Set}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(w){return this._tunnelProvider=w,w?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(w){this._canElevate=w.elevation,this._privacyOptions=w.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const w=[],p=Array.from(this._tunnels.values());for(const m of p){const u=Array.from(m.values());for(const f of u){const h=await f.value;h&&w.push(h)}}return w}async dispose(){for(const w of this._tunnels.values()){for(const{value:p}of w.values())await p.then(m=>m?.dispose());w.clear()}this._tunnels.clear()}openTunnel(w,p,m,u,f=!1,h,n){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${p}:${m} on local port ${u}.`),!w)return;if(p||(p="localhost"),this._tunnelProvider&&this._factoryInProgress.has(m)){this.logService.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const r=this.retainOrCreateTunnel(w,p,m,u,f,h,n);return r?r.then(t=>{if(!t){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(p,m);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const s=this.makeTunnel(t);return(t.tunnelRemoteHost!==p||t.tunnelRemotePort!==m)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(s),s}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),r)}makeTunnel(w){return{tunnelRemotePort:w.tunnelRemotePort,tunnelRemoteHost:w.tunnelRemoteHost,tunnelLocalPort:w.tunnelLocalPort,localAddress:w.localAddress,privacy:w.privacy,protocol:w.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${w.tunnelRemoteHost}:${w.tunnelRemotePort} `);const p=this._tunnels.get(w.tunnelRemoteHost);if(p){const m=p.get(w.tunnelRemotePort);m&&(m.refcount--,await this.tryDisposeTunnel(w.tunnelRemoteHost,w.tunnelRemotePort,m))}}}}async tryDisposeTunnel(w,p,m){if(m.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${w}:${p}.`);const u=m.value.then(async f=>{f&&(await f.dispose(!0),this._onTunnelClosed.fire({host:f.tunnelRemoteHost,port:f.tunnelRemotePort}))});return this._tunnels.has(w)&&this._tunnels.get(w).delete(p),u}}async closeTunnel(w,p){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${w}:${p} `);const m=this._tunnels.get(w);if(m&&m.has(p)){const u=m.get(p);u.refcount=0,await this.tryDisposeTunnel(w,p,u)}}addTunnelToMap(w,p,m){this._tunnels.has(w)||this._tunnels.set(w,new Map),this._tunnels.get(w).set(p,{refcount:1,value:m})}async removeEmptyTunnelFromMap(w,p){const m=this._tunnels.get(w);m&&(await m.get(p)||m.delete(p),m.size===0&&this._tunnels.delete(w))}getTunnelFromMap(w,p){const m=[w];I(w)?(m.push(...e.LOCALHOST_ADDRESSES),m.push(...e.ALL_INTERFACES_ADDRESSES)):E(w)&&m.push(...e.ALL_INTERFACES_ADDRESSES);const u=m.map(f=>this._tunnels.get(f));for(const f of u){const h=f?.get(p);if(h)return h}}canTunnel(w){return!!D(w)}createWithProvider(w,p,m,u,f,h,n){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${p}:${m} on local port ${u}.`);const r=m;this._factoryInProgress.add(r);const s={elevationRequired:f?v(u===void 0?m:u):!1},a={remoteAddress:{host:p,port:m},localAddressPort:u,privacy:h,public:h?h!==b.Private:void 0,protocol:n},c=w.forwardPort(a,s);return c?(this.addTunnelToMap(p,m,c),c.finally(()=>{this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this._factoryInProgress.delete(r)})):this._factoryInProgress.delete(r),c}};d=ge([K(0,L.ILogService)],d),e.AbstractTunnelService=d}),define(re[229],oe([0,1,8,69,2,9,6]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessTunnelService=void 0;class b extends k.Disposable{constructor(){super();this._address=null,this._addressPromise=null}async getAddress(){return this._address?this._address:(this._addressPromise||(this._addressPromise=new A.DeferredPromise),this._addressPromise.p)}setAddress(I){this._address=I,this._addressPromise&&(this._addressPromise.complete(I),this._addressPromise=null)}setTunnel(I){this._register(I)}}let C=class Ct extends k.Disposable{constructor(I,E){super();this._tunnelService=I,this._logService=E,this._tunnels=new Map,this._disposedTunnels=new Set}dispose(){super.dispose(),this._tunnels.forEach(I=>I.dispose())}async createTunnel(){return{id:String(++Ct._lastId)}}async startTunnel(I,E,v,y,d,S){const w=new b,p=await Promise.resolve(this._tunnelService.openTunnel(I,w,v,y,d,S));if(!p)throw this._logService.info(`[SharedProcessTunnelService] Could not create a tunnel to ${v}:${y} (remote).`),w.dispose(),new Error("Could not create tunnel");if(this._disposedTunnels.has(E))throw this._disposedTunnels.delete(E),w.dispose(),await p.dispose(),(0,L.canceled)();return w.setTunnel(p),this._tunnels.set(E,w),this._logService.info(`[SharedProcessTunnelService] Created tunnel ${E}: ${p.localAddress} (local) to ${v}:${y} (remote).`),{tunnelLocalPort:p.tunnelLocalPort,localAddress:p.localAddress}}async setAddress(I,E){const v=this._tunnels.get(I);!v||v.setAddress(E)}async destroyTunnel(I){const E=this._tunnels.get(I);if(E){this._logService.info(`[SharedProcessTunnelService] Disposing tunnel ${I}.`),this._tunnels.delete(I),await E.dispose();return}this._disposedTunnels.add(I)}};C._lastId=0,C=ge([K(0,i.ISharedTunnelsService),K(1,R.ILogService)],C),e.SharedProcessTunnelService=C}),define(re[230],oe([0,1,76,115,205,6,2,19,8,24,203,69,100]),function(X,e,R,i,k,L,A,b,C,D,I,E,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function y(m,u,f,h,n){let r;for(let t=3;t&&(r&&r.dispose(),r=await new d(m,u,f,h,n).waitForReady(),!(n&&i.BROWSER_RESTRICTED_PORTS[n]||!i.BROWSER_RESTRICTED_PORTS[r.tunnelLocalPort]));t--);return r}class d extends A.Disposable{constructor(u,f,h,n,r){super();this.defaultTunnelHost=f,this.suggestedLocalPort=r,this.privacy=E.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=u,this._server=R.createServer(),this._barrier=new L.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=t=>this._onConnection(t),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=n,this.tunnelRemoteHost=h}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(f=>{f()})}async waitForReady(){let u=await(0,i.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),f=null;return this._server.listen(u,this.defaultTunnelHost),await this._barrier.wait(),f=this._server.address(),f||(u=0,this._server.listen(u,this.defaultTunnelHost),await this._barrier.wait(),f=this._server.address()),this.tunnelLocalPort=f.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${f.port}`,this}async _onConnection(u){u.pause();const f=(0,E.isLocalhost)(this.tunnelRemoteHost)||(0,E.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,h=await(0,I.connectRemoteAgentTunnel)(this._options,f,this.tunnelRemotePort),n=h.getSocket().socket,r=h.readEntireBuffer();h.dispose(),r.byteLength>0&&u.write(r.buffer),u.on("end",()=>{u.localAddress&&this._socketsDispose.delete(u.localAddress),n.end()}),u.on("close",()=>n.end()),u.on("error",()=>{u.localAddress&&this._socketsDispose.delete(u.localAddress),n.destroy()}),n.on("end",()=>u.end()),n.on("close",()=>u.end()),n.on("error",()=>{u.destroy()}),u.pipe(n),n.pipe(u),u.localAddress&&this._socketsDispose.set(u.localAddress,()=>{u.end(),n.end()})}}let S=class extends E.AbstractTunnelService{constructor(u,f,h,n,r){super(f);this.socketFactory=u,this.signService=h,this.productService=n,this.configurationService=r}get defaultTunnelHost(){const u=this.configurationService.getValue("remote.localPortHost");return!u||u==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(u,f,h,n,r,t,s){const a=this.getTunnelFromMap(f,h);if(a)return++a.refcount,a.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,f,h,n,r,t,s);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${f}:${h} on local port ${n}.`);const c={commit:this.productService.commit,quality:this.productService.quality,socketFactory:this.socketFactory,addressProvider:u,signService:this.signService,logService:this.logService,ipcLogger:null},o=y(c,this.defaultTunnelHost,f,h,n);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(f,h,o),o}}};S=ge([K(1,C.ILogService),K(2,v.ISignService),K(3,D.IProductService),K(4,b.IConfigurationService)],S),e.BaseTunnelService=S;let w=class extends S{constructor(u,f,h,n){super(k.nodeSocketFactory,u,f,h,n)}};w=ge([K(0,C.ILogService),K(1,v.ISignService),K(2,D.IProductService),K(3,b.IConfigurationService)],w),e.TunnelService=w;let p=class extends A.Disposable{constructor(u,f,h,n){super();this.logService=u,this.productService=f,this.signService=h,this.configurationService=n,this._tunnelServices=new Map}async openTunnel(u,f,h,n,r,t,s,a){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${h}:${n} on local port ${r}.`),!this._tunnelServices.has(u)){const c=new w(this.logService,this.signService,this.productService,this.configurationService);this._register(c),this._tunnelServices.set(u,c),c.onTunnelClosed(async()=>{(await c.tunnels).length===0&&(c.dispose(),this._tunnelServices.delete(u))})}return this._tunnelServices.get(u).openTunnel(f,h,n,r,t,s,a)}};p=ge([K(0,C.ILogService),K(1,D.IProductService),K(2,v.ISignService),K(3,b.IConfigurationService)],p),e.SharedTunnelsService=p}),define(re[33],oe([0,1,5]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,R.createDecorator)("IUriIdentityService")}),define(re[231],oe([0,1,3,2,7,15,32,13,8,33]),function(X,e,R,i,k,L,A,b,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsWatcher=void 0;let I=class extends i.Disposable{constructor(v,y,d,S,w){super();this.extensionsManagementService=v,this.logService=S,this.uriIdentityService=w,this._onDidChangeExtensionsByAnotherSource=this._register(new R.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled().then(m=>{this.installedExtensions=m.map(u=>u.identifier),this.startTimestamp=Date.now()}),this._register(v.onInstallExtension(m=>this.onInstallExtension(m))),this._register(v.onDidInstallExtensions(m=>this.onDidInstallExtensions(m))),this._register(v.onDidUninstallExtension(m=>this.onDidUninstallExtension(m)));const p=k.URI.file(d.extensionsPath);this._register(y.watch(p)),this._register(R.Event.filter(y.onDidFilesChange,m=>m.rawChanges.some(u=>this.doesChangeAffects(u,p)))(()=>this.onDidChange()))}doesChangeAffects(v,y){return v.type!==1&&v.type!==2||!this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(v.resource),y)?!1:this.uriIdentityService.extUri.isEqual(v.resource,this.uriIdentityService.extUri.joinPath(y,".obsolete"))?!0:!this.uriIdentityService.extUri.basename(v.resource).startsWith(".")}onInstallExtension(v){this.addInstallingExtension(v.identifier)}onDidInstallExtensions(v){for(const y of v)this.removeInstallingExtension(y.identifier),y.local&&this.addInstalledExtension(y.identifier)}onDidUninstallExtension(v){v.error||this.removeInstalledExtension(v.identifier)}addInstallingExtension(v){this.removeInstallingExtension(v),this.installingExtensions.push(v)}removeInstallingExtension(v){this.installingExtensions=this.installingExtensions.filter(y=>!(0,A.areSameExtensions)(y,v))}addInstalledExtension(v){this.installedExtensions&&(this.removeInstalledExtension(v),this.installedExtensions.push(v))}removeInstalledExtension(v){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(y=>!(0,A.areSameExtensions)(y,v)))}async onDidChange(){if(this.installedExtensions){const v=await this.extensionsManagementService.getInstalled(),y=v.filter(S=>[...this.installingExtensions,...this.installedExtensions].some(w=>(0,A.areSameExtensions)(w,S.identifier))?!1:S.installedTimestamp&&S.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",S.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",S.identifier.id),!1)),d=this.installedExtensions.filter(S=>this.installingExtensions.some(w=>(0,A.areSameExtensions)(w,S))?!1:v.every(w=>!(0,A.areSameExtensions)(w.identifier,S))?(this.logService.info("Detected extension removed from another source",S.id),!0):!1);this.installedExtensions=v.map(S=>S.identifier),(y.length||d.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:y,removed:d})}}};I=ge([K(1,b.IFileService),K(2,L.INativeEnvironmentService),K(3,C.ILogService),K(4,D.IUriIdentityService)],I),e.ExtensionsWatcher=I}),define(re[232],oe([0,1,33,88,13,16,112,3,2]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class D{constructor(v){this.uri=v,this.time=D._clock++}touch(){return this.time=D._clock++,this}}D._clock=0;let I=class{constructor(v){this._fileService=v,this._dispooables=new C.DisposableStore,this._limit=2**16;const y=new Map,d=S=>{let w=y.get(S.scheme);return w===void 0&&(w=v.hasProvider(S)&&!this._fileService.hasCapability(S,1024),y.set(S.scheme,w)),w};this._dispooables.add(b.Event.any(v.onDidChangeFileSystemProviderRegistrations,v.onDidChangeFileSystemProviderCapabilities)(S=>{y.delete(S.scheme)})),this.extUri=new L.ExtUri(d),this._canonicalUris=new A.SkipList((S,w)=>this.extUri.compare(S,w,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(v){this._fileService.hasProvider(v)&&(v=(0,L.normalizePath)(v));const y=this._canonicalUris.get(v);return y?y.touch().uri.with({fragment:v.fragment}):(this._canonicalUris.set(v,new D(v)),this._checkTrim(),v)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const v=[...this._canonicalUris.entries()].sort((d,S)=>d[1].touch<S[1].touch?1:d[1].touch>S[1].touch?-1:0);D._clock=0,this._canonicalUris.clear();const y=this._limit*.5;for(let d=0;d<y;d++)this._canonicalUris.set(v[d][0],v[d][1].touch())}};I=ge([K(0,k.IFileService)],I),e.UriIdentityService=I,(0,i.registerSingleton)(R.IUriIdentityService,I,!0)}),define(re[233],oe([0,1,3,2,13,41,34,17]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileUserDataProvider=void 0;class C extends i.Disposable{constructor(I,E,v,y){super();this.fileSystemScheme=I,this.fileSystemProvider=E,this.userDataScheme=v,this.logService=y,this.onDidChangeCapabilities=this.fileSystemProvider.onDidChangeCapabilities,this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.watchResources=A.TernarySearchTree.forUris(()=>!(this.capabilities&1024)),this._register(this.fileSystemProvider.onDidChangeFile(d=>this.handleFileChanges(d)))}get capabilities(){return this.fileSystemProvider.capabilities&~4}watch(I,E){this.watchResources.set(I,I);const v=this.fileSystemProvider.watch(this.toFileSystemResource(I),E);return(0,i.toDisposable)(()=>{this.watchResources.delete(I),v.dispose()})}stat(I){return this.fileSystemProvider.stat(this.toFileSystemResource(I))}mkdir(I){return this.fileSystemProvider.mkdir(this.toFileSystemResource(I))}rename(I,E,v){return this.fileSystemProvider.rename(this.toFileSystemResource(I),this.toFileSystemResource(E),v)}readFile(I){return this.fileSystemProvider.readFile(this.toFileSystemResource(I),{atomic:!0})}readFileStream(I,E,v){const y=(0,L.newWriteableStream)(d=>b.VSBuffer.concat(d.map(S=>b.VSBuffer.wrap(S))).buffer);return(async()=>{try{const d=await this.readFile(I);y.end(d)}catch(d){y.error(d),y.end()}})(),y}readdir(I){return this.fileSystemProvider.readdir(this.toFileSystemResource(I))}writeFile(I,E,v){return this.fileSystemProvider.writeFile(this.toFileSystemResource(I),E,v)}delete(I,E){return this.fileSystemProvider.delete(this.toFileSystemResource(I),E)}copy(I,E,v){if((0,k.hasFileFolderCopyCapability)(this.fileSystemProvider))return this.fileSystemProvider.copy(this.toFileSystemResource(I),this.toFileSystemResource(E),v);throw new Error("copy not supported")}handleFileChanges(I){const E=[];for(const v of I){if(v.resource.scheme!==this.fileSystemScheme)continue;const y=this.toUserDataResource(v.resource);this.watchResources.findSubstr(y)&&E.push({resource:y,type:v.type})}E.length&&(this.logService.debug("User data changed"),this._onDidChangeFile.fire(E))}toFileSystemResource(I){return I.with({scheme:this.fileSystemScheme})}toUserDataResource(I){return I.with({scheme:this.userDataScheme})}}e.FileUserDataProvider=C}),define(re[59],oe([0,1,75]),function(X,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLineEndOffset=e.getLineStartOffset=e.edit=void 0;function i(A,b,C,D){const I=(0,R.setProperty)(A,b,C,D)[0];return I&&(A=A.substring(0,I.offset)+I.content+A.substring(I.offset+I.length)),A}e.edit=i;function k(A,b,C){let D=C;for(;D>=0;){if(A.charAt(D)===b.charAt(b.length-1)&&b.length===1)return D+1;if(D--,b.length===2&&D>=0&&A.charAt(D)===b.charAt(0))return D+2}return 0}e.getLineStartOffset=k;function L(A,b,C){let D=C;for(;D>=0;)if(A.charAt(D)===b.charAt(b.length-1)&&b.length===1||(D++,b.length===2&&D>=0&&A.charAt(D)===b.charAt(1)))return D;return A.length-1}e.getLineEndOffset=L}),define(re[234],oe([0,1,30,55,14]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function L(v,y,d,S,w){const p=[],m=[],u=[];if(!y){const _=v.filter(({identifier:M})=>w.every(T=>T.toLowerCase()!==M.id.toLowerCase()));return{local:{added:p,removed:m,updated:u},remote:_.length>0?{added:_,updated:[],removed:[],all:_}:null}}v=v.map(I),y=y.map(I),d=d?d.map(I):null;const f=new Map,h=_=>{_.uuid&&f.set(_.id.toLowerCase(),_.uuid)};v.forEach(({identifier:_})=>h(_)),y.forEach(({identifier:_})=>h(_)),d?.forEach(({identifier:_})=>h(_));const n=_=>{const M=_.identifier.uuid||f.get(_.identifier.id.toLowerCase());return M?`uuid:${M}`:`id:${_.identifier.id.toLowerCase()}`},r=(_,M)=>(_.set(n(M),M),_),t=v.reduce(r,new Map),s=y.reduce(r,new Map),a=y.reduce((_,M)=>{const T=n(M);M=(0,R.deepClone)(M);const $=t.get(T);return $&&($.installed&&(M.installed=!0),M.version||(M.version=$.version)),r(_,M)},new Map),c=d?d.reduce(r,new Map):null,o=S.reduce(r,new Map),l=w.reduce((_,M)=>{const T=f.get(M.toLowerCase());return _.add(T?`uuid:${T}`:`id:${M.toLowerCase()}`)},new Set),g=A(t,s,l);if(g.added.size>0||g.removed.size>0||g.updated.size>0){const _=A(c,t,l),M=A(c,s,l),T=($,N)=>{const G=t.get($);if(G){const J=s.get($),z=N?J:G;return{...z,version:J.version&&(!G.installed||i.gt(J.version,G.version))?J.version:G.version,state:b(G,J,c?.get($)),preRelease:(0,k.isUndefined)(z.preRelease)?G.preRelease:G.installed?z.preRelease:J.preRelease}}};for(const $ of M.removed.values()){const N=t.get($);N&&m.push(N.identifier)}for(const $ of M.added.values())if(_.added.has($)){if(g.updated.has($)){const N=T($,!0);N&&(u.push(E(N,$)),a.set($,N))}}else{const N=s.get($);N.installed&&p.push(E(N,$))}for(const $ of M.updated.values()){const N=T($,!0);N&&(u.push(E(N,$)),a.set($,N))}for(const $ of _.added.values())M.added.has($)||a.set($,t.get($));for(const $ of _.updated.values())if(!M.removed.has($)&&!M.updated.has($)){const N=T($,!1);N&&(a.get($)?.installed&&(N.installed=!0),a.set($,N))}for(const $ of _.removed.values())!o.has($)&&!M.updated.has($)&&c?.get($)?.installed&&a.delete($)}const P=[],U=A(s,a,new Set,{checkInstalledProperty:!0,checkVersionProperty:!0});return(U.added.size>0||U.updated.size>0||U.removed.size>0)&&a.forEach((_,M)=>P.push(E(_,M))),{local:{added:p,removed:m,updated:u},remote:P.length?{added:[...U.added].map(_=>a.get(_)),updated:[...U.updated].map(_=>a.get(_)),removed:[...U.removed].map(_=>s.get(_)),all:P}:null}}e.merge=L;function A(v,y,d,{checkInstalledProperty:S,checkVersionProperty:w}={checkInstalledProperty:!1,checkVersionProperty:!1}){const p=v?[...v.keys()].filter(n=>!d.has(n)):[],m=[...y.keys()].filter(n=>!d.has(n)),u=m.filter(n=>p.indexOf(n)===-1).reduce((n,r)=>(n.add(r),n),new Set),f=p.filter(n=>m.indexOf(n)===-1).reduce((n,r)=>(n.add(r),n),new Set),h=new Set;for(const n of p){if(f.has(n))continue;const r=v.get(n),t=y.get(n);(!t||r.disabled!==t.disabled||r.installed&&t.installed&&r.preRelease!==t.preRelease||!D(r.state,t.state)||w&&r.version!==t.version||S&&r.installed!==t.installed)&&h.add(n)}return{added:u,removed:f,updated:h}}function b(v,y,d){const S=v.state,w=y.state,p=d?.state;if(!y.version||S&&i.gt(v.version,y.version))return S;if(w&&i.gt(y.version,v.version)||!S)return w;if(!w)return S;const m=(0,R.deepClone)(S),u=p?C(p,w):{added:Object.keys(w).reduce((h,n)=>(h.add(n),h),new Set),removed:new Set,updated:new Set},f=p?C(p,S):{added:Object.keys(S).reduce((h,n)=>(h.add(n),h),new Set),removed:new Set,updated:new Set};for(const h of[...u.added.values(),...u.updated.values()])m[h]=w[h];for(const h of u.removed.values())f.updated.has(h)||delete m[h];return m}function C(v,y){const d=Object.keys(v),S=Object.keys(y),w=S.filter(u=>d.indexOf(u)===-1).reduce((u,f)=>(u.add(f),u),new Set),p=d.filter(u=>S.indexOf(u)===-1).reduce((u,f)=>(u.add(f),u),new Set),m=new Set;for(const u of d){if(p.has(u))continue;const f=v[u],h=y[u];(0,R.equals)(f,h)||m.add(u)}return{added:w,removed:p,updated:m}}function D(v={},y={}){const{added:d,removed:S,updated:w}=C(v,y);return d.size===0&&S.size===0&&w.size===0}function I(v){return{...v,disabled:!!v.disabled,installed:!!v.installed}}function E(v,y){const d={identifier:{id:v.identifier.id,uuid:y.startsWith("uuid:")?y.substring("uuid:".length):void 0},preRelease:!!v.preRelease};return v.version&&(d.version=v.version),v.disabled&&(d.disabled=!0),v.installed&&(d.installed=!0),v.state&&(d.state=v.state),d}}),define(re[106],oe([0,1,18,19,5]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IgnoredExtensionsManagementService=e.IIgnoredExtensionsManagementService=void 0,e.IIgnoredExtensionsManagementService=(0,k.createDecorator)("IIgnoredExtensionsManagementService");let L=class{constructor(b){this.configurationService=b}hasToNeverSyncExtension(b){return this.getConfiguredIgnoredExtensions().includes(b.toLowerCase())}hasToAlwaysSyncExtension(b){return this.getConfiguredIgnoredExtensions().includes(`-${b.toLowerCase()}`)}updateIgnoredExtensions(b,C){let D=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(I=>I.toLowerCase());return D=D.filter(I=>I!==b&&I!==`-${b}`),C&&D.push(b.toLowerCase()),this.configurationService.updateValue("settingsSync.ignoredExtensions",D.length?D:void 0,1)}updateSynchronizedExtensions(b,C){let D=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(I=>I.toLowerCase());return D=D.filter(I=>I!==b&&I!==`-${b}`),C&&D.push(`-${b.toLowerCase()}`),this.configurationService.updateValue("settingsSync.ignoredExtensions",D.length?D:void 0,1)}getIgnoredExtensions(b){const C=b.filter(v=>v.isMachineScoped).map(v=>v.identifier.id.toLowerCase()),D=this.getConfiguredIgnoredExtensions().map(v=>v.toLowerCase()),I=[],E=[];if(Array.isArray(D))for(const v of D)v.startsWith("-")?E.push(v.substring(1)):I.push(v);return(0,R.distinct)([...C,...I].filter(v=>E.indexOf(v)===-1))}getConfiguredIgnoredExtensions(){let b=this.configurationService.inspect("settingsSync.ignoredExtensions").userValue;return b!==void 0||(b=this.configurationService.inspect("sync.ignoredExtensions").userValue,b!==void 0)?b:(this.configurationService.getValue("settingsSync.ignoredExtensions")||[]).map(C=>C.toLowerCase())}};L=ge([K(0,i.IConfigurationService)],L),e.IgnoredExtensionsManagementService=L}),define(re[235],oe([0,1,18,35,30,173,59]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=e.parseKeybindings=void 0;function b(f){return(0,i.parse)(f)||[]}e.parseKeybindings=b;async function C(f,h,n,r,t){const s=b(f),a=b(h),c=n?b(n):null,o=[...s,...a,...c||[]].map(J=>J.key),l=await t.resolveUserBindings(o),g=I(s,a,c,l);if(!g.hasLocalForwarded&&!g.hasRemoteForwarded)return{mergeContent:f,hasChanges:!1,hasConflicts:!1};if(!g.hasLocalForwarded&&g.hasRemoteForwarded)return{mergeContent:h,hasChanges:!0,hasConflicts:!1};if(g.hasLocalForwarded&&!g.hasRemoteForwarded)return{mergeContent:f,hasChanges:!0,hasConflicts:!1};const P=v(s),U=v(a),_=c?v(c):null,M=d(P,U,l),T=_?d(_,P,l):{added:[...P.keys()].reduce((J,z)=>(J.add(z),J),new Set),removed:new Set,updated:new Set},$=_?d(_,U,l):{added:[...U.keys()].reduce((J,z)=>(J.add(z),J),new Set),removed:new Set,updated:new Set},N=D(M,T,$);let G=f;for(const J of N.removed.values())N.conflicts.has(J)||(G=m(G,J,r));for(const J of N.added.values()){if(N.conflicts.has(J))continue;const z=U.get(J);if(z.some(Q=>Q.command!==`-${J}`&&g.conflicts.has(l[Q.key]))){N.conflicts.add(J);continue}G=p(G,z,r)}for(const J of N.updated.values()){if(N.conflicts.has(J))continue;const z=U.get(J);if(z.some(Q=>Q.command!==`-${J}`&&g.conflicts.has(l[Q.key]))){N.conflicts.add(J);continue}G=u(G,J,z,r)}return{mergeContent:G,hasChanges:!0,hasConflicts:N.conflicts.size>0}}e.merge=C;function D(f,h,n){const r=new Set,t=new Set,s=new Set,a=new Set;for(const c of h.removed.values())n.updated.has(c)&&a.add(c);for(const c of n.removed.values())a.has(c)||(h.updated.has(c)?a.add(c):t.add(c));for(const c of h.added.values())a.has(c)||n.added.has(c)&&f.updated.has(c)&&a.add(c);for(const c of n.added.values())a.has(c)||(h.added.has(c)?f.updated.has(c)&&a.add(c):r.add(c));for(const c of h.updated.values())a.has(c)||n.updated.has(c)&&f.updated.has(c)&&a.add(c);for(const c of n.updated.values())a.has(c)||(h.updated.has(c)?f.updated.has(c)&&a.add(c):s.add(c));return{added:r,removed:t,updated:s,conflicts:a}}function I(f,h,n,r){const t=new Set,s=E(f,r),a=E(h,r),c=n?E(n,r):null,o=y(s,a);if(o.added.size===0&&o.removed.size===0&&o.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:t,removed:t,updated:t,conflicts:t};const l=c?y(c,s):{added:[...s.keys()].reduce((T,$)=>(T.add($),T),new Set),removed:new Set,updated:new Set};if(l.added.size===0&&l.removed.size===0&&l.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:t,removed:t,updated:t,conflicts:t};const g=c?y(c,a):{added:[...a.keys()].reduce((T,$)=>(T.add($),T),new Set),removed:new Set,updated:new Set};if(g.added.size===0&&g.removed.size===0&&g.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:t,removed:t,updated:t,conflicts:t};const{added:P,removed:U,updated:_,conflicts:M}=D(o,l,g);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:P,removed:U,updated:_,conflicts:M}}function E(f,h){const n=new Map;for(const r of f){const t=h[r.key];let s=n.get(t);s||(s=[],n.set(t,s)),s.push(r)}return n}function v(f){const h=new Map;for(const n of f){const r=n.command[0]==="-"?n.command.substring(1):n.command;let t=h.get(r);t||(t=[],h.set(r,t)),t.push(n)}return h}function y(f,h){const n=[...f.keys()],r=[...h.keys()],t=r.filter(c=>n.indexOf(c)===-1).reduce((c,o)=>(c.add(o),c),new Set),s=n.filter(c=>r.indexOf(c)===-1).reduce((c,o)=>(c.add(o),c),new Set),a=new Set;for(const c of n){if(s.has(c))continue;const o=f.get(c).map(g=>({...g,key:c})),l=h.get(c).map(g=>({...g,key:c}));(0,R.equals)(o,l,(g,P)=>w(g,P))||a.add(c)}return{added:t,removed:s,updated:a}}function d(f,h,n){const r=[...f.keys()],t=[...h.keys()],s=t.filter(o=>r.indexOf(o)===-1).reduce((o,l)=>(o.add(l),o),new Set),a=r.filter(o=>t.indexOf(o)===-1).reduce((o,l)=>(o.add(l),o),new Set),c=new Set;for(const o of r){if(a.has(o))continue;const l=f.get(o).map(P=>({...P,key:n[P.key]})),g=h.get(o).map(P=>({...P,key:n[P.key]}));S(l,g)||c.add(o)}return{added:s,removed:a,updated:c}}function S(f,h){return!(!(0,R.equals)(f.filter(({command:n})=>n[0]!=="-"),h.filter(({command:n})=>n[0]!=="-"),(n,r)=>w(n,r))||!(0,R.equals)(f.filter(({command:n})=>n[0]==="-"),h.filter(({command:n})=>n[0]==="-"),(n,r)=>w(n,r)))}function w(f,h){if(f.command!==h.command||f.key!==h.key)return!1;const n=L.ContextKeyExpr.deserialize(f.when),r=L.ContextKeyExpr.deserialize(h.when);return!(n&&!r||!n&&r||n&&r&&!n.equals(r)||!k.equals(f.args,h.args))}function p(f,h,n){for(const r of h)f=A.edit(f,[-1],r,n);return f}function m(f,h,n){const r=b(f);for(let t=r.length-1;t>=0;t--)(r[t].command===h||r[t].command===`-${h}`)&&(f=A.edit(f,[t],void 0,n));return f}function u(f,h,n,r){const t=b(f),s=t.findIndex(a=>a.command===h||a.command===`-${h}`);for(let a=t.length-1;a>=0;a--)(t[a].command===h||t[a].command===`-${h}`)&&(f=A.edit(f,[a],void 0,r));for(let a=n.length-1;a>=0;a--)f=A.edit(f,[s],n[a],r);return f}}),define(re[236],oe([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.areSame=e.merge=void 0;function R(L,A,b){const C={},D={},I=new Set;if(!A)return{local:{added:C,updated:D,removed:[...I.values()]},remote:{added:L,updated:{},removed:[]},conflicts:[]};const E=i(L,A);if(E.added.size===0&&E.removed.size===0&&E.updated.size===0)return{local:{added:C,updated:D,removed:[...I.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const v=i(b,L),y=i(b,A),d={},S={},w=new Set,p=new Set;for(const m of v.removed.values())y.updated.has(m)?C[m]=A[m]:w.add(m);for(const m of y.removed.values())p.has(m)||(v.updated.has(m)?p.add(m):I.add(m));for(const m of v.updated.values())p.has(m)||(y.updated.has(m)?E.updated.has(m)&&p.add(m):S[m]=L[m]);for(const m of y.updated.values())p.has(m)||(v.updated.has(m)?E.updated.has(m)&&p.add(m):L[m]!==void 0&&(D[m]=A[m]));for(const m of v.added.values())p.has(m)||(y.added.has(m)?E.updated.has(m)&&p.add(m):d[m]=L[m]);for(const m of y.added.values())p.has(m)||(v.added.has(m)?E.updated.has(m)&&p.add(m):C[m]=A[m]);return{local:{added:C,removed:[...I.values()],updated:D},remote:{added:d,removed:[...w.values()],updated:S},conflicts:[...p.values()]}}e.merge=R;function i(L,A){const b=L?Object.keys(L):[],C=A?Object.keys(A):[],D=C.filter(v=>b.indexOf(v)===-1).reduce((v,y)=>(v.add(y),v),new Set),I=b.filter(v=>C.indexOf(v)===-1).reduce((v,y)=>(v.add(y),v),new Set),E=new Set;for(const v of b){if(I.has(v))continue;const y=L[v],d=A[v];y!==d&&E.add(v)}return{added:D,removed:I,updated:E}}function k(L,A){const{added:b,removed:C,updated:D}=i(L,A);return b.size===0&&C.size===0&&D.size===0}e.areSame=k}),define(re[25],oe([0,1,18,16,14,162,43,28,5,97,40]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSyncResourceFromLocalPreview=e.PREVIEW_DIR_NAME=e.USER_DATA_SYNC_SCHEME=e.IUserDataSyncLogService=e.IUserDataSyncUtilService=e.IUserDataAutoSyncService=e.IUserDataSyncService=e.IUserDataSyncEnablementService=e.getEnablementKey=e.SYNC_SERVICE_URL_TYPE=e.MergeState=e.Change=e.SyncStatus=e.UserDataAutoSyncError=e.UserDataSyncStoreError=e.UserDataSyncError=e.UserDataSyncErrorCode=e.createSyncHeaders=e.HEADER_EXECUTION_ID=e.HEADER_OPERATION_ID=e.IUserDataSyncBackupStoreService=e.IUserDataSyncStoreService=e.IUserDataSyncStoreManagementService=e.getLastSyncResourceUri=e.ALL_SYNC_RESOURCES=e.SyncResource=e.isAuthenticationProvider=e.registerConfiguration=e.USER_DATA_SYNC_CONFIGURATION_SCOPE=e.getDefaultIgnoredSettings=e.getDisallowedIgnoredSettings=e.CONFIGURATION_SYNC_STORE_KEY=void 0,e.CONFIGURATION_SYNC_STORE_KEY="configurationSync.store";function E(){const c=I.Registry.as(A.Extensions.Configuration).getConfigurationProperties();return Object.keys(c).filter(o=>!!c[o].disallowSyncIgnore)}e.getDisallowedIgnoredSettings=E;function v(){const c=I.Registry.as(A.Extensions.Configuration).getConfigurationProperties(),o=Object.keys(c).filter(P=>!!c[P].ignoreSync),l=Object.keys(c).filter(P=>c[P].scope===2||c[P].scope===6),g=E();return(0,R.distinct)([e.CONFIGURATION_SYNC_STORE_KEY,...o,...l,...g])}e.getDefaultIgnoredSettings=v,e.USER_DATA_SYNC_CONFIGURATION_SCOPE="settingsSync";function y(){const c="vscode://schemas/ignoredSettings",o=I.Registry.as(A.Extensions.Configuration);o.registerConfiguration({id:"settingsSync",order:30,title:(0,L.localize)(0,null),type:"object",properties:{"settingsSync.keybindingsPerPlatform":{type:"boolean",description:(0,L.localize)(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:(0,L.localize)(2,null),items:[{type:"string",pattern:b.EXTENSION_IDENTIFIER_PATTERN,errorMessage:(0,L.localize)(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:(0,L.localize)(4,null),default:[],scope:1,$ref:c,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const l=I.Registry.as(D.Extensions.JSONContribution),g=()=>{const P=E(),U=v().filter($=>$!==e.CONFIGURATION_SYNC_STORE_KEY),_=Object.keys(A.allSettings.properties).filter($=>U.indexOf($)===-1),M=U.filter($=>P.indexOf($)===-1),T={items:{type:"string",enum:[..._,...M.map($=>`-${$}`)]}};l.registerSchema(c,T)};return o.onDidUpdateConfiguration(()=>g())}e.registerConfiguration=y;function d(c){return c&&(0,k.isObject)(c)&&(0,k.isString)(c.id)&&(0,k.isArray)(c.scopes)}e.isAuthenticationProvider=d;var S;(function(c){c.Settings="settings",c.Keybindings="keybindings",c.Snippets="snippets",c.Tasks="tasks",c.Extensions="extensions",c.GlobalState="globalState"})(S=e.SyncResource||(e.SyncResource={})),e.ALL_SYNC_RESOURCES=["settings","keybindings","snippets","tasks","extensions","globalState"];function w(c,o,l){return l.joinPath(o.userDataSyncHome,c,`lastSync${c}.json`)}e.getLastSyncResourceUri=w,e.IUserDataSyncStoreManagementService=(0,C.createDecorator)("IUserDataSyncStoreManagementService"),e.IUserDataSyncStoreService=(0,C.createDecorator)("IUserDataSyncStoreService"),e.IUserDataSyncBackupStoreService=(0,C.createDecorator)("IUserDataSyncBackupStoreService"),e.HEADER_OPERATION_ID="x-operation-id",e.HEADER_EXECUTION_ID="X-Execution-Id";function p(c){const o={};return o[e.HEADER_EXECUTION_ID]=c,o}e.createSyncHeaders=p;var m;(function(c){c.Unauthorized="Unauthorized",c.Conflict="Conflict",c.Gone="Gone",c.PreconditionFailed="PreconditionFailed",c.TooLarge="TooLarge",c.UpgradeRequired="UpgradeRequired",c.PreconditionRequired="PreconditionRequired",c.TooManyRequests="RemoteTooManyRequests",c.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",c.RequestFailed="RequestFailed",c.RequestCanceled="RequestCanceled",c.RequestTimeout="RequestTimeout",c.RequestProtocolNotSupported="RequestProtocolNotSupported",c.RequestPathNotEscaped="RequestPathNotEscaped",c.RequestHeadersNotObject="RequestHeadersNotObject",c.NoRef="NoRef",c.EmptyResponse="EmptyResponse",c.TurnedOff="TurnedOff",c.SessionExpired="SessionExpired",c.ServiceChanged="ServiceChanged",c.DefaultServiceChanged="DefaultServiceChanged",c.LocalTooManyRequests="LocalTooManyRequests",c.LocalPreconditionFailed="LocalPreconditionFailed",c.LocalInvalidContent="LocalInvalidContent",c.LocalError="LocalError",c.IncompatibleLocalContent="IncompatibleLocalContent",c.IncompatibleRemoteContent="IncompatibleRemoteContent",c.UnresolvedConflicts="UnresolvedConflicts",c.Unknown="Unknown"})(m=e.UserDataSyncErrorCode||(e.UserDataSyncErrorCode={}));class u extends Error{constructor(o,l,g,P){super(o);this.code=l,this.resource=g,this.operationId=P,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.UserDataSyncError=u;class f extends u{constructor(o,l,g,P,U){super(o,g,void 0,U);this.url=l,this.serverCode=P}}e.UserDataSyncStoreError=f;class h extends u{constructor(o,l){super(o,l)}}e.UserDataAutoSyncError=h,function(c){function o(l){if(l instanceof c)return l;const g=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(l.name);if(g&&g[1]){const P=g[2]==="unknown"?void 0:g[2],U=g[3]==="unknown"?void 0:g[3];return new c(l.message,g[1],P,U)}return new c(l.message,"Unknown")}c.toUserDataSyncError=o}(u=e.UserDataSyncError||(e.UserDataSyncError={}));var n;(function(c){c.Uninitialized="uninitialized",c.Idle="idle",c.Syncing="syncing",c.HasConflicts="hasConflicts"})(n=e.SyncStatus||(e.SyncStatus={}));var r;(function(c){c[c.None=0]="None",c[c.Added=1]="Added",c[c.Modified=2]="Modified",c[c.Deleted=3]="Deleted"})(r=e.Change||(e.Change={}));var t;(function(c){c.Preview="preview",c.Conflict="conflict",c.Accepted="accepted"})(t=e.MergeState||(e.MergeState={})),e.SYNC_SERVICE_URL_TYPE="sync.store.url.type";function s(c){return`sync.enable.${c}`}e.getEnablementKey=s,e.IUserDataSyncEnablementService=(0,C.createDecorator)("IUserDataSyncEnablementService"),e.IUserDataSyncService=(0,C.createDecorator)("IUserDataSyncService"),e.IUserDataAutoSyncService=(0,C.createDecorator)("IUserDataAutoSyncService"),e.IUserDataSyncUtilService=(0,C.createDecorator)("IUserDataSyncUtilService"),e.IUserDataSyncLogService=(0,C.createDecorator)("IUserDataSyncLogService"),e.USER_DATA_SYNC_SCHEME="vscode-userdata-sync",e.PREVIEW_DIR_NAME="preview";function a(c,o){if(c.scheme!==e.USER_DATA_SYNC_SCHEME)return c=c.with({scheme:o.userDataSyncHome.scheme}),e.ALL_SYNC_RESOURCES.filter(l=>(0,i.isEqualOrParent)(c,(0,i.joinPath)(o.userDataSyncHome,l,e.PREVIEW_DIR_NAME)))[0]}e.getSyncResourceFromLocalPreview=a}),define(re[237],oe([0,1,30,25]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function k(b,C,D,I,E){if(!C)return{remote:Object.keys(b).length>0?b:null,local:{added:{},removed:[],updated:{}}};const v=L(b,C);if(v.added.size===0&&v.removed.size===0&&v.updated.size===0)return{remote:null,local:{added:{},removed:[],updated:{}}};const y=D?L(D,C):{added:Object.keys(C).reduce((m,u)=>(m.add(u),m),new Set),removed:new Set,updated:new Set},d=D?L(D,b):{added:Object.keys(b).reduce((m,u)=>(m.add(u),m),new Set),removed:new Set,updated:new Set},S={added:{},removed:[],updated:{}},w=R.deepClone(C),p=!D;for(const m of d.added.values())m!==i.SYNC_SERVICE_URL_TYPE&&p&&y.added.has(m)||(w[m]=b[m]);for(const m of d.updated.values())w[m]=b[m];for(const m of d.removed.values())I.unregistered.includes(m)||delete w[m];for(const m of y.added.values()){const u=C[m];if(I.machine.includes(m)){E.info(`GlobalState: Skipped adding ${m} in local storage because it is declared as machine scoped.`);continue}if(D&&d.added.has(m))continue;const f=b[m];f&&f.value===u.value||m===i.SYNC_SERVICE_URL_TYPE&&p&&d.added.has(m)||(f?S.updated[m]=u:S.added[m]=u)}for(const m of y.updated.values()){const u=C[m];if(I.machine.includes(m)){E.info(`GlobalState: Skipped updating ${m} in local storage because it is declared as machine scoped.`);continue}if(d.updated.has(m)||d.removed.has(m))continue;const f=b[m];f&&f.value===u.value||(S.updated[m]=u)}for(const m of y.removed.values()){if(I.machine.includes(m)){E.trace(`GlobalState: Skipped removing ${m} in local storage because it is declared as machine scoped.`);continue}d.updated.has(m)||d.removed.has(m)||S.removed.push(m)}return{local:S,remote:A(w,C)?null:w}}e.merge=k;function L(b,C){const D=Object.keys(b),I=Object.keys(C),E=I.filter(d=>D.indexOf(d)===-1).reduce((d,S)=>(d.add(S),d),new Set),v=D.filter(d=>I.indexOf(d)===-1).reduce((d,S)=>(d.add(S),d),new Set),y=new Set;for(const d of D){if(v.has(d))continue;const S=b[d],w=C[d];R.equals(S,w)||y.add(d)}return{added:E,removed:v,updated:y}}function A(b,C){const{added:D,removed:I,updated:E}=L(b,C);return D.size===0&&I.size===0&&E.size===0}}),define(re[238],oe([0,1,18,35,75,53,30,59,25]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.addSetting=e.isEmpty=e.areSame=e.merge=e.updateIgnoredSettings=e.removeComments=e.getIgnoredSettings=void 0;function D(o,l,g){let P=[];g?P=E(g):P=I(l);const U=[],_=[...(0,C.getDisallowedIgnoredSettings)()];if(Array.isArray(P))for(const M of P)M.startsWith("-")?_.push(M.substring(1)):U.push(M);return(0,R.distinct)([...o,...U].filter(M=>_.indexOf(M)===-1))}e.getIgnoredSettings=D;function I(o){let l=o.inspect("settingsSync.ignoredSettings").userValue;return l!==void 0||(l=o.inspect("sync.ignoredSettings").userValue,l!==void 0)?l:o.getValue("settingsSync.ignoredSettings")||[]}function E(o){const l=(0,i.parse)(o);return l?l["settingsSync.ignoredSettings"]||l["sync.ignoredSettings"]||[]:[]}function v(o,l){const g=(0,i.parse)(o)||{};let P="{}";for(const U of Object.keys(g)){const _=(0,k.setProperty)(P,[U],g[U],l);P=(0,k.applyEdits)(P,_)}return P}e.removeComments=v;function y(o,l,g,P){if(g.length){const U=c(l),_=(0,i.parse)(l)||{},M=(0,i.parse)(o);if(!M)return o;const T=[];for(const $ of g){const N=_[$],G=M[$];N===void 0?o=b.edit(o,[$],void 0,P):G!==void 0?o=b.edit(o,[$],N,P):T.push(n($,U))}T.sort(($,N)=>$.startOffset-N.startOffset),T.forEach($=>o=m($.setting.key,l,o,P))}return o}e.updateIgnoredSettings=y;function d(o,l,g,P,U,_){const M=y(o,l,P,_),T=g!==M,$=g!==l;if(!T&&!$)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if(T&&!$)return{conflictsSettings:[],localContent:null,remoteContent:M,hasConflicts:!1};if($&&!T)return{conflictsSettings:[],localContent:y(l,o,P,_),remoteContent:null,hasConflicts:!1};if(g===null&&w(o)){const j=S(o,l,P)?null:y(l,o,P,_);return{conflictsSettings:[],localContent:j,remoteContent:null,hasConflicts:!1}}let N=o,G=l;const J=(0,i.parse)(o),z=(0,i.parse)(l),Q=g?(0,i.parse)(g):null,x=P.reduce((j,te)=>(j.add(te),j),new Set),B=p(J,z,x),Y=p(Q,J,x),se=p(Q,z,x),Z=new Map,W=new Set,V=j=>{W.add(j);const te=U.filter(({key:H})=>H===j)[0];te?(N=b.edit(N,[j],te.value,_),G=b.edit(G,[j],te.value,_)):Z.set(j,{key:j,localValue:J[j],remoteValue:z[j]})};for(const j of Y.removed.values())se.updated.has(j)?V(j):G=b.edit(G,[j],void 0,_);for(const j of se.removed.values())W.has(j)||(Y.updated.has(j)?V(j):N=b.edit(N,[j],void 0,_));for(const j of Y.updated.values())W.has(j)||(se.updated.has(j)?B.updated.has(j)&&V(j):G=b.edit(G,[j],J[j],_));for(const j of se.updated.values())W.has(j)||(Y.updated.has(j)?B.updated.has(j)&&V(j):N=b.edit(N,[j],z[j],_));for(const j of Y.added.values())W.has(j)||(se.added.has(j)?B.updated.has(j)&&V(j):G=m(j,N,G,_));for(const j of se.added.values())W.has(j)||(Y.added.has(j)?B.updated.has(j)&&V(j):N=m(j,G,N,_));const O=Z.size>0||!S(N,G,P),F=O||!S(N,o,[]),q=O||!S(G,l,[]);return{localContent:F?N:null,remoteContent:q?G:null,conflictsSettings:[...Z.values()],hasConflicts:O}}e.merge=d;function S(o,l,g){if(o===l)return!0;const P=(0,i.parse)(o),U=(0,i.parse)(l),_=g.reduce(($,N)=>($.add(N),$),new Set),M=c(o).filter($=>!($.setting&&_.has($.setting.key))),T=c(l).filter($=>!($.setting&&_.has($.setting.key)));if(M.length!==T.length)return!1;for(let $=0;$<M.length;$++){const N=M[$],G=T[$];if(N.setting&&G.setting){if(N.setting.key!==G.setting.key||!A.equals(P[N.setting.key],U[N.setting.key]))return!1}else if(!N.setting&&!G.setting){if(N.value!==G.value)return!1}else return!1}return!0}e.areSame=S;function w(o){return o?c(o).length===0:!0}e.isEmpty=w;function p(o,l,g){const P=o?Object.keys(o).filter($=>!g.has($)):[],U=Object.keys(l).filter($=>!g.has($)),_=U.filter($=>P.indexOf($)===-1).reduce(($,N)=>($.add(N),$),new Set),M=P.filter($=>U.indexOf($)===-1).reduce(($,N)=>($.add(N),$),new Set),T=new Set;if(o)for(const $ of P){if(M.has($))continue;const N=o[$],G=l[$];A.equals(N,G)||T.add($)}return{added:_,removed:M,updated:T}}function m(o,l,g,P){const U=(0,i.parse)(l),_=c(l),M=c(g),T=u(o,_,M);return f(g,o,U[o],T,M,P)}e.addSetting=m;function u(o,l,g){const P=l.findIndex(_=>_.setting?.key===o),U=l[P-1];if(U){if(U.setting){const M=n(U.setting.key,g);if(M)return{index:g.indexOf(M),insertAfter:!0}}else{const M=r(P,l);if(M){const T=n(M.setting.key,g);if(T){const $=t(g.indexOf(T),g),N=s(l,M,l[P]);if($){const G=s(g,T,$),J=a(N,G);return J?{index:g.indexOf(J),insertAfter:!0}:{index:g.indexOf($),insertAfter:!1}}else{const G=s(g,T,g[g.length-1]),J=a(N,G);return J?{index:g.indexOf(J),insertAfter:!0}:{index:g.length-1,insertAfter:!0}}}}}const _=l[P+1];if(_)if(_.setting){const M=n(_.setting.key,g);if(M)return{index:g.indexOf(M),insertAfter:!1}}else{const M=t(P,l);if(M){const T=n(M.setting.key,g);if(T){const $=r(g.indexOf(T),g),N=s(l,l[P],M);if($){const G=s(g,$,T),J=a(N.reverse(),G.reverse());return J?{index:g.indexOf(J),insertAfter:!1}:{index:g.indexOf($),insertAfter:!0}}else{const G=s(g,g[0],T),J=a(N.reverse(),G.reverse());return J?{index:g.indexOf(J),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:g.length-1,insertAfter:!0}}function f(o,l,g,P,U,_){let M;return P.index===-1?M=(0,k.setProperty)(o,[l],g,_):M=h(o,l,g,P,U,_).map(T=>(0,k.withFormatting)(o,T,_)[0]),(0,k.applyEdits)(o,M)}function h(o,l,g,P,U,_){const M=`${JSON.stringify(l)}: ${JSON.stringify(g)}`,T=(0,L.getEOL)(_,o),$=U[P.index];if(P.insertAfter){const N=[];if($.setting)N.push({offset:$.endOffset,length:0,content:","+M});else{const G=t(P.index,U),J=r(P.index,U),z=J?.setting?.commaOffset;J&&z===void 0&&N.push({offset:J.endOffset,length:0,content:","});const Q=z!==void 0&&z>$.endOffset;N.push({offset:Q?z+1:$.endOffset,length:0,content:G?T+M+",":T+M})}return N}else{if($.setting)return[{offset:$.startOffset,length:0,content:M+","}];const N=(U[P.index-1]&&!U[P.index-1].setting?T:"")+M+(t(P.index,U)?",":"")+T;return[{offset:$.startOffset,length:0,content:N}]}}function n(o,l){return l.filter(g=>g.setting?.key===o)[0]}function r(o,l){for(let g=o-1;g>=0;g--)if(l[g].setting)return l[g]}function t(o,l){for(let g=o+1;g<l.length;g++)if(l[g].setting)return l[g]}function s(o,l,g){const P=o.indexOf(l),U=o.indexOf(g);return o.filter((_,M)=>P<M&&M<U)}function a(o,l){if(o.length&&l.length){let g=0;for(;g<l.length&&g<o.length;g++)if(o[g].value!==l[g].value)return l[g-1];return l[g-1]}}function c(o){const l=[];let g=-1,P,U;const _={onObjectBegin:M=>{g++},onObjectProperty:(M,T,$)=>{g===0&&(P=T,U=M)},onObjectEnd:(M,T)=>{g--,g===0&&l.push({startOffset:P,endOffset:M+T,value:o.substring(P,M+T),setting:{key:U,commaOffset:void 0}})},onArrayBegin:(M,T)=>{g++},onArrayEnd:(M,T)=>{g--,g===0&&l.push({startOffset:P,endOffset:M+T,value:o.substring(P,M+T),setting:{key:U,commaOffset:void 0}})},onLiteralValue:(M,T,$)=>{g===0&&l.push({startOffset:P,endOffset:T+$,value:o.substring(P,T+$),setting:{key:U,commaOffset:void 0}})},onSeparator:(M,T,$)=>{if(g===0&&M===","){let N=l.length-1;for(;N>=0&&!l[N].setting;N--);const G=l[N];G&&l.splice(N,1,{startOffset:G.startOffset,endOffset:G.endOffset,value:G.value,setting:{key:G.setting.key,commaOffset:T}})}},onComment:(M,T)=>{g===0&&l.push({startOffset:M,endOffset:M+T,value:o.substring(M,M+T)})}};return(0,i.visit)(o,_),l}}),define(re[70],oe([0,1,3,2,5,25]),function(X,e,R,i,k,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncAccountService=e.IUserDataSyncAccountService=void 0,e.IUserDataSyncAccountService=(0,k.createDecorator)("IUserDataSyncAccountService");let A=class extends i.Disposable{constructor(C,D){super();this.userDataSyncStoreService=C,this.logService=D,this._onDidChangeAccount=this._register(new R.Emitter),this.onDidChangeAccount=this._onDidChangeAccount.event,this._onTokenFailed=this._register(new R.Emitter),this.onTokenFailed=this._onTokenFailed.event,this.wasTokenFailed=!1,this._register(C.onTokenFailed(()=>{this.logService.info("Settings Sync auth token failed",this.account?.authenticationProviderId,this.wasTokenFailed),this.updateAccount(void 0),this._onTokenFailed.fire(this.wasTokenFailed),this.wasTokenFailed=!0})),this._register(C.onTokenSucceed(()=>this.wasTokenFailed=!1))}get account(){return this._account}async updateAccount(C){(C&&this._account?C.token!==this._account.token||C.authenticationProviderId!==this._account.authenticationProviderId:C!==this._account)&&(this._account=C,this._account&&this.userDataSyncStoreService.setAuthToken(this._account.token,this._account.authenticationProviderId),this._onDidChangeAccount.fire(C))}};A=ge([K(0,L.IUserDataSyncStoreService),K(1,L.IUserDataSyncLogService)],A),e.UserDataSyncAccountService=A}),define(re[239],oe([0,1,6,17,61,2,16,19,15,13,25]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncBackupStoreService=void 0;let E=class extends L.Disposable{constructor(y,d,S,w){super();this.environmentService=y,this.fileService=d,this.configurationService=S,this.logService=w,I.ALL_SYNC_RESOURCES.forEach(p=>this.cleanUpBackup(p))}async getAllRefs(y){const d=(0,A.joinPath)(this.environmentService.userDataSyncHome,y),S=await this.fileService.resolve(d);return S.children?S.children.filter(p=>p.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(p.name)).sort().reverse().map(p=>({ref:p.name,created:this.getCreationTime(p)})):[]}async resolveContent(y,d){if(!d){const S=await this.getAllRefs(y);S.length&&(d=S[S.length-1].ref)}if(d){const S=(0,A.joinPath)(this.environmentService.userDataSyncHome,y,d);return(await this.fileService.readFile(S)).value.toString()}return null}async backup(y,d){const S=(0,A.joinPath)(this.environmentService.userDataSyncHome,y),w=(0,A.joinPath)(S,`${(0,k.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.fileService.writeFile(w,i.VSBuffer.fromString(d))}catch(p){this.logService.error(p)}try{this.cleanUpBackup(y)}catch{}}async cleanUpBackup(y){const d=(0,A.joinPath)(this.environmentService.userDataSyncHome,y);try{try{if(!await this.fileService.exists(d))return}catch{return}const S=await this.fileService.resolve(d);if(S.children){const w=S.children.filter(f=>f.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(f.name)).sort(),p=1e3*60*60*24*(this.configurationService.getValue("sync.localBackupDuration")||30);let m=w.filter(f=>Date.now()-this.getCreationTime(f)>p);const u=w.length-m.length;u<10&&(m=m.slice(10-u)),await R.Promises.settled(m.map(async f=>{this.logService.info("Deleting from backup",f.resource.path),await this.fileService.del(f.resource)}))}}catch(S){this.logService.error(S)}}getCreationTime(y){return y.ctime||new Date(parseInt(y.name.substring(0,4)),parseInt(y.name.substring(4,6))-1,parseInt(y.name.substring(6,8)),parseInt(y.name.substring(9,11)),parseInt(y.name.substring(11,13)),parseInt(y.name.substring(13,15))).getTime()}};E=ge([K(0,C.IEnvironmentService),K(1,D.IFileService),K(2,b.IConfigurationService),K(3,I.IUserDataSyncLogService)],E),e.UserDataSyncBackupStoreService=E}),define(re[240],oe([0,1,2,7]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreManagementServiceChannelClient=e.UserDataSyncStoreManagementServiceChannel=e.UserDataSyncAccountServiceChannel=e.UserDataSyncMachinesServiceChannel=e.UserDataSyncUtilServiceClient=e.UserDataSycnUtilServiceChannel=e.UserDataAutoSyncChannel=void 0;class k{constructor(v){this.service=v}listen(v,y){switch(y){case"onError":return this.service.onError}throw new Error(`Event not found: ${y}`)}call(v,y,d){switch(y){case"triggerSync":return this.service.triggerSync(d[0],d[1],d[2]);case"turnOn":return this.service.turnOn();case"turnOff":return this.service.turnOff(d[0])}throw new Error("Invalid call")}}e.UserDataAutoSyncChannel=k;class L{constructor(v){this.service=v}listen(v,y){throw new Error(`Event not found: ${y}`)}call(v,y,d){switch(y){case"resolveDefaultIgnoredSettings":return this.service.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.service.resolveUserBindings(d[0]);case"resolveFormattingOptions":return this.service.resolveFormattingOptions(i.URI.revive(d[0]))}throw new Error("Invalid call")}}e.UserDataSycnUtilServiceChannel=L;class A{constructor(v){this.channel=v}async resolveDefaultIgnoredSettings(){return this.channel.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(v){return this.channel.call("resolveUserKeybindings",[v])}async resolveFormattingOptions(v){return this.channel.call("resolveFormattingOptions",[v])}}e.UserDataSyncUtilServiceClient=A;class b{constructor(v){this.service=v}listen(v,y){switch(y){case"onDidChange":return this.service.onDidChange}throw new Error(`Event not found: ${y}`)}async call(v,y,d){switch(y){case"getMachines":return this.service.getMachines();case"addCurrentMachine":return this.service.addCurrentMachine();case"removeCurrentMachine":return this.service.removeCurrentMachine();case"renameMachine":return this.service.renameMachine(d[0],d[1]);case"setEnablements":return this.service.setEnablements(d)}throw new Error("Invalid call")}}e.UserDataSyncMachinesServiceChannel=b;class C{constructor(v){this.service=v}listen(v,y){switch(y){case"onDidChangeAccount":return this.service.onDidChangeAccount;case"onTokenFailed":return this.service.onTokenFailed}throw new Error(`Event not found: ${y}`)}call(v,y,d){switch(y){case"_getInitialData":return Promise.resolve(this.service.account);case"updateAccount":return this.service.updateAccount(d)}throw new Error("Invalid call")}}e.UserDataSyncAccountServiceChannel=C;class D{constructor(v){this.service=v}listen(v,y){switch(y){case"onDidChangeUserDataSyncStore":return this.service.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${y}`)}call(v,y,d){switch(y){case"switch":return this.service.switch(d[0]);case"getPreviousUserDataSyncStore":return this.service.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.UserDataSyncStoreManagementServiceChannel=D;class I extends R.Disposable{constructor(v){super();this.channel=v,this.onDidChangeUserDataSyncStore=this.channel.listen("onDidChangeUserDataSyncStore")}async switch(v){return this.channel.call("switch",[v])}async getPreviousUserDataSyncStore(){const v=await this.channel.call("getPreviousUserDataSyncStore");return this.revive(v)}revive(v){return{url:i.URI.revive(v.url),type:v.type,defaultUrl:i.URI.revive(v.defaultUrl),insidersUrl:i.URI.revive(v.insidersUrl),stableUrl:i.URI.revive(v.stableUrl),canSwitch:v.canSwitch,authenticationProviders:v.authenticationProviders}}}e.UserDataSyncStoreManagementServiceChannelClient=I}),define(re[241],oe([0,1,15,8]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncLogService=void 0;let k=class extends i.AbstractLogger{constructor(A,b){super();this.logger=this._register(A.createLogger(b.userDataSyncLogResource,{name:"settingssync"}))}trace(A,...b){this.logger.trace(A,...b)}debug(A,...b){this.logger.debug(A,...b)}info(A,...b){this.logger.info(A,...b)}warn(A,...b){this.logger.warn(A,...b)}error(A,...b){this.logger.error(A,...b)}critical(A,...b){this.logger.critical(A,...b)}flush(){this.logger.flush()}};k=ge([K(0,i.ILoggerService),K(1,R.IEnvironmentService)],k),e.UserDataSyncLogService=k}),define(re[242],oe([0,1,3,2,14,7,25]),function(X,e,R,i,k,L,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncChannelClient=e.UserDataSyncChannel=void 0;class b{constructor(E,v){this.service=E,this.logService=v,this.manualSyncTasks=new Map,this.onManualSynchronizeResources=new R.Emitter}listen(E,v){switch(v){case"onDidChangeStatus":return this.service.onDidChangeStatus;case"onDidChangeConflicts":return this.service.onDidChangeConflicts;case"onDidChangeLocal":return this.service.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.service.onDidChangeLastSyncTime;case"onSyncErrors":return this.service.onSyncErrors;case"onDidResetLocal":return this.service.onDidResetLocal;case"onDidResetRemote":return this.service.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.onManualSynchronizeResources.event}throw new Error(`Event not found: ${v}`)}async call(E,v,y){try{return await this._call(E,v,y)}catch(d){throw this.logService.error(d),d}}async _call(E,v,y){switch(v){case"_getInitialData":return Promise.resolve([this.service.status,this.service.conflicts,this.service.lastSyncTime]);case"replace":return this.service.replace(L.URI.revive(y[0]));case"reset":return this.service.reset();case"resetRemote":return this.service.resetRemote();case"resetLocal":return this.service.resetLocal();case"hasPreviouslySynced":return this.service.hasPreviouslySynced();case"hasLocalData":return this.service.hasLocalData();case"accept":return this.service.accept(y[0],L.URI.revive(y[1]),y[2],y[3]);case"resolveContent":return this.service.resolveContent(L.URI.revive(y[0]));case"getLocalSyncResourceHandles":return this.service.getLocalSyncResourceHandles(y[0]);case"getRemoteSyncResourceHandles":return this.service.getRemoteSyncResourceHandles(y[0]);case"getAssociatedResources":return this.service.getAssociatedResources(y[0],{created:y[1].created,uri:L.URI.revive(y[1].uri)});case"getMachineId":return this.service.getMachineId(y[0],{created:y[1].created,uri:L.URI.revive(y[1].uri)});case"createManualSyncTask":return this.createManualSyncTask()}if(v.startsWith("manualSync/")){const d=v.substring("manualSync/".length),S=y[0],w=this.getManualSyncTask(S);switch(y=y.slice(1),d){case"preview":return w.preview();case"accept":return w.accept(L.URI.revive(y[0]),y[1]);case"merge":return w.merge(L.URI.revive(y[0]));case"discard":return w.discard(L.URI.revive(y[0]));case"discardConflicts":return w.discardConflicts();case"apply":return w.apply();case"pull":return w.pull();case"push":return w.push();case"stop":return w.stop();case"_getStatus":return w.status;case"dispose":return this.disposeManualSyncTask(w)}}throw new Error("Invalid call")}getManualSyncTask(E){const v=this.manualSyncTasks.get(this.createKey(E));if(!v)throw new Error(`Manual sync taks not found: ${E}`);return v.manualSyncTask}async createManualSyncTask(){const E=new i.DisposableStore,v=E.add(await this.service.createManualSyncTask());return E.add(v.onSynchronizeResources(y=>this.onManualSynchronizeResources.fire({manualSyncTaskId:v.id,data:y}))),this.manualSyncTasks.set(this.createKey(v.id),{manualSyncTask:v,disposables:E}),{id:v.id,manifest:v.manifest,status:v.status}}disposeManualSyncTask(E){E.dispose();const v=this.createKey(E.id);this.manualSyncTasks.get(v)?.disposables.dispose(),this.manualSyncTasks.delete(v)}createKey(E){return`manualSyncTask-${E}`}}e.UserDataSyncChannel=b;class C extends i.Disposable{constructor(E){super();this._status="uninitialized",this._onDidChangeStatus=this._register(new R.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new R.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new R.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onSyncErrors=this._register(new R.Emitter),this.onSyncErrors=this._onSyncErrors.event,this.channel={call(v,y,d){return E.call(v,y,d).then(null,S=>{throw A.UserDataSyncError.toUserDataSyncError(S)})},listen(v,y){return E.listen(v,y)}},this.channel.call("_getInitialData").then(([v,y,d])=>{this.updateStatus(v),this.updateConflicts(y),d&&this.updateLastSyncTime(d),this._register(this.channel.listen("onDidChangeStatus")(S=>this.updateStatus(S))),this._register(this.channel.listen("onDidChangeLastSyncTime")(S=>this.updateLastSyncTime(S)))}),this._register(this.channel.listen("onDidChangeConflicts")(v=>this.updateConflicts(v))),this._register(this.channel.listen("onSyncErrors")(v=>this._onSyncErrors.fire(v.map(([y,d])=>[y,A.UserDataSyncError.toUserDataSyncError(d)]))))}get status(){return this._status}get onDidChangeLocal(){return this.channel.listen("onDidChangeLocal")}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}get onDidResetLocal(){return this.channel.listen("onDidResetLocal")}get onDidResetRemote(){return this.channel.listen("onDidResetRemote")}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const{id:E,manifest:v,status:y}=await this.channel.call("createManualSyncTask"),d=this,S=new D(E,v,y,{async call(w,p,m){return d.channel.call(`manualSync/${w}`,[E,...(0,k.isArray)(p)?p:[p]],m)},listen(w,p){return R.Event.map(R.Event.filter(d.channel.listen(`manualSync/${w}`,p),m=>!S.isDiposed()&&m.manualSyncTaskId===E),m=>m.data)}});return S}replace(E){return this.channel.call("replace",[E])}reset(){return this.channel.call("reset")}resetRemote(){return this.channel.call("resetRemote")}resetLocal(){return this.channel.call("resetLocal")}hasPreviouslySynced(){return this.channel.call("hasPreviouslySynced")}hasLocalData(){return this.channel.call("hasLocalData")}accept(E,v,y,d){return this.channel.call("accept",[E,v,y,d])}resolveContent(E){return this.channel.call("resolveContent",[E])}async getLocalSyncResourceHandles(E){return(await this.channel.call("getLocalSyncResourceHandles",[E])).map(({created:y,uri:d})=>({created:y,uri:L.URI.revive(d)}))}async getRemoteSyncResourceHandles(E){return(await this.channel.call("getRemoteSyncResourceHandles",[E])).map(({created:y,uri:d})=>({created:y,uri:L.URI.revive(d)}))}async getAssociatedResources(E,v){return(await this.channel.call("getAssociatedResources",[E,v])).map(({resource:d,comparableResource:S})=>({resource:L.URI.revive(d),comparableResource:L.URI.revive(S)}))}async getMachineId(E,v){return this.channel.call("getMachineId",[E,v])}async updateStatus(E){this._status=E,this._onDidChangeStatus.fire(E)}async updateConflicts(E){this._conflicts=E.map(([v,y])=>[v,y.map(d=>({...d,baseResource:L.URI.revive(d.baseResource),localResource:L.URI.revive(d.localResource),remoteResource:L.URI.revive(d.remoteResource),previewResource:L.URI.revive(d.previewResource)}))]),this._onDidChangeConflicts.fire(this._conflicts)}updateLastSyncTime(E){this._lastSyncTime!==E&&(this._lastSyncTime=E,this._onDidChangeLastSyncTime.fire(E))}}e.UserDataSyncChannelClient=C;class D extends i.Disposable{constructor(E,v,y,d){super();this.id=E,this.manifest=v,this._disposed=!1,this._status=y;const S=this;this.channel={async call(w,p,m){try{const u=await d.call(w,p,m);return S.isDiposed()||(S._status=await d.call("_getStatus")),u}catch(u){throw A.UserDataSyncError.toUserDataSyncError(u)}},listen(w,p){return d.listen(w,p)}}}get onSynchronizeResources(){return this.channel.listen("onSynchronizeResources")}get status(){return this._status}async preview(){const E=await this.channel.call("preview");return this.deserializePreviews(E)}async accept(E,v){const y=await this.channel.call("accept",[E,v]);return this.deserializePreviews(y)}async merge(E){const v=await this.channel.call("merge",[E]);return this.deserializePreviews(v)}async discard(E){const v=await this.channel.call("discard",[E]);return this.deserializePreviews(v)}async discardConflicts(){const E=await this.channel.call("discardConflicts");return this.deserializePreviews(E)}async apply(){const E=await this.channel.call("apply");return this.deserializePreviews(E)}pull(){return this.channel.call("pull")}push(){return this.channel.call("push")}stop(){return this.channel.call("stop")}isDiposed(){return this._disposed}dispose(){this._disposed=!0,this.channel.call("dispose")}deserializePreviews(E){return E.map(([v,y])=>[v,{isLastSyncFromCurrentMachine:y.isLastSyncFromCurrentMachine,resourcePreviews:y.resourcePreviews.map(d=>({...d,baseResource:L.URI.revive(d.baseResource),localResource:L.URI.revive(d.localResource),remoteResource:L.URI.revive(d.remoteResource),previewResource:L.URI.revive(d.previewResource),acceptedResource:L.URI.revive(d.acceptedResource)}))}])}}}),define(re[243],oe([0,1,6,3,2]),function(X,e,R,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class L extends k.Disposable{constructor({onDidOpenWindow:b,onDidFocusWindow:C,getActiveWindowId:D}){super();this.disposables=this._register(new k.DisposableStore),i.Event.latch(i.Event.any(b,C))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,R.createCancelablePromise)(()=>D()),(async()=>{try{const E=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:E}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(b){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=b}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=L}),define(re[244],oe([0,1,164,12,34,16,7,5,20]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,b.createDecorator)("contextService");function D(t){const s=t;return typeof s?.id=="string"&&A.URI.isUri(s.uri)}e.isSingleFolderWorkspaceIdentifier=D;function I(t){if(t.configuration)return{id:t.id,configPath:t.configuration};if(t.folders.length===1)return{id:t.id,uri:t.folders[0].uri}}e.toWorkspaceIdentifier=I;function E(t){const s=t;return typeof s?.id=="string"&&A.URI.isUri(s.configPath)}e.isWorkspaceIdentifier=E;function v(t){const s=t;if(s?.uri)return{id:s.id,uri:A.URI.revive(s.uri)};const a=t;if(a?.configPath)return{id:a.id,configPath:A.URI.revive(a.configPath)};if(t?.id)return{id:t.id}}e.reviveIdentifier=v;var y;(function(t){t[t.EMPTY=1]="EMPTY",t[t.FOLDER=2]="FOLDER",t[t.WORKSPACE=3]="WORKSPACE"})(y=e.WorkbenchState||(e.WorkbenchState={}));function d(t){const s=t;return!!(s&&typeof s=="object"&&typeof s.id=="string"&&Array.isArray(s.folders))}e.isWorkspace=d;function S(t){const s=t;return!!(s&&typeof s=="object"&&A.URI.isUri(s.uri)&&typeof s.name=="string"&&typeof s.toResource=="function")}e.isWorkspaceFolder=S;class w{constructor(s,a,c,o,l){this._id=s,this._transient=c,this._configuration=o,this._ignorePathCasing=l,this._foldersMap=k.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=a}update(s){this._id=s.id,this._configuration=s.configuration,this._transient=s.transient,this._ignorePathCasing=s._ignorePathCasing,this.folders=s.folders}get folders(){return this._folders}set folders(s){this._folders=s,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(s){this._configuration=s}getFolder(s){return s&&this._foldersMap.findSubstr(s)||null}updateFoldersMap(){this._foldersMap=k.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const s of this.folders)this._foldersMap.set(s.uri,s)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=w;class p{constructor(s,a){this.raw=a,this.uri=s.uri,this.index=s.index,this.name=s.name}toResource(s){return(0,L.joinPath)(this.uri,s)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=p;function m(t){return new p({uri:t,index:0,name:(0,L.basenameOrAuthority)(t)},{uri:t.toString()})}e.toWorkspaceFolder=m,e.WORKSPACE_EXTENSION="code-workspace";const u=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,R.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function f(t,s){return L.extUriBiasedIgnorePathCase.isEqualOrParent(t,s.untitledWorkspacesHome)}e.isUntitledWorkspace=f;function h(t){let s;return A.URI.isUri(t)?s=t:s=t.configuration,s?.scheme===C.Schemas.tmp}e.isTemporaryWorkspace=h;function n(t,s){return!f(t,s)&&!h(t)}e.isSavedWorkspace=n;function r(t){return(typeof t=="string"?(0,i.extname)(t):(0,L.extname)(t))===u}e.hasWorkspaceFileExtension=r}),define(re[29],oe([0,1,62,3,2,16,14,7,157,15,13,5,8,244,34,33,6]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=e.toUserDataProfile=e.EXTENSIONS_RESOURCE_NAME=e.reviveProfile=e.IUserDataProfilesService=e.PROFILES_ENABLEMENT_CONFIG=e.isUserDataProfile=void 0;function p(h){const n=h;return!!(n&&typeof n=="object"&&typeof n.id=="string"&&typeof n.isDefault=="boolean"&&typeof n.name=="string"&&b.URI.isUri(n.location)&&b.URI.isUri(n.globalStorageHome)&&b.URI.isUri(n.settingsResource)&&b.URI.isUri(n.keybindingsResource)&&b.URI.isUri(n.tasksResource)&&b.URI.isUri(n.snippetsHome)&&((0,A.isUndefined)(n.extensionsResource)||b.URI.isUri(n.extensionsResource)))}e.isUserDataProfile=p,e.PROFILES_ENABLEMENT_CONFIG="workbench.experimental.settingsProfiles.enabled",e.IUserDataProfilesService=(0,E.createDecorator)("IUserDataProfilesService");function m(h,n){return{id:h.id,isDefault:h.isDefault,name:h.name,location:b.URI.revive(h.location).with({scheme:n}),globalStorageHome:b.URI.revive(h.globalStorageHome).with({scheme:n}),settingsResource:b.URI.revive(h.settingsResource).with({scheme:n}),keybindingsResource:b.URI.revive(h.keybindingsResource).with({scheme:n}),tasksResource:b.URI.revive(h.tasksResource).with({scheme:n}),snippetsHome:b.URI.revive(h.snippetsHome).with({scheme:n}),extensionsResource:b.URI.revive(h.extensionsResource)?.with({scheme:n})}}e.reviveProfile=m,e.EXTENSIONS_RESOURCE_NAME="extensions.json";function u(h,n,r){return{id:(0,R.hash)(n.path).toString(16),name:h,location:n,isDefault:!1,globalStorageHome:(0,L.joinPath)(n,"globalStorage"),settingsResource:(0,L.joinPath)(n,"settings.json"),keybindingsResource:(0,L.joinPath)(n,"keybindings.json"),tasksResource:(0,L.joinPath)(n,"tasks.json"),snippetsHome:(0,L.joinPath)(n,"snippets"),extensionsResource:(0,L.joinPath)(n,e.EXTENSIONS_RESOURCE_NAME),useDefaultFlags:r}}e.toUserDataProfile=u;let f=class extends k.Disposable{constructor(n,r,t,s){super();this.environmentService=n,this.fileService=r,this.uriIdentityService=t,this.logService=s,this.enabled=!1,this.defaultProfileShouldIncludeExtensionsResourceAlways=!1,this._onDidChangeProfiles=this._register(new i.Emitter),this.onDidChangeProfiles=this._onDidChangeProfiles.event,this._onWillCreateProfile=this._register(new i.Emitter),this.onWillCreateProfile=this._onWillCreateProfile.event,this._onWillRemoveProfile=this._register(new i.Emitter),this.onWillRemoveProfile=this._onWillRemoveProfile.event,this.profilesHome=(0,L.joinPath)(this.environmentService.userRoamingDataHome,"profiles")}get defaultProfile(){return this.profiles[0]}get profiles(){return this.profilesObject.profiles}setEnablement(n){this.enabled!==n&&(this._profilesObject=void 0,this.enabled=n)}get profilesObject(){if(!this._profilesObject){const n=this.enabled?this.getStoredProfiles().map(a=>u(a.name,a.location,a.useDefaultFlags)):[];let r;const t=new d.ResourceMap;if(n.length){const a=this.getStoredProfileAssociations();if(a.workspaces)for(const[c,o]of Object.entries(a.workspaces)){const l=b.URI.parse(c),g=b.URI.parse(o),P=n.find(U=>this.uriIdentityService.extUri.isEqual(U.location,g));P&&t.set(l,P)}if(a.emptyWindow){const c=b.URI.parse(a.emptyWindow);r=n.find(o=>this.uriIdentityService.extUri.isEqual(o.location,c))}}const s=u((0,C.localize)(0,null),this.environmentService.userRoamingDataHome);n.unshift({...s,isDefault:!0,extensionsResource:this.defaultProfileShouldIncludeExtensionsResourceAlways||n.length>0?s.extensionsResource:void 0}),this._profilesObject={profiles:n,workspaces:t,emptyWindow:r}}return this._profilesObject}getProfile(n){const r=this.getWorkspace(n);return(b.URI.isUri(r)?this.profilesObject.workspaces.get(r):this.profilesObject.emptyWindow)??this.defaultProfile}getWorkspace(n){return(0,y.isSingleFolderWorkspaceIdentifier)(n)?n.uri:(0,y.isWorkspaceIdentifier)(n)?n.configPath:"empty-window"}async createProfile(n,r,t){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(this.getStoredProfiles().some(c=>c.name===n))throw new Error(`Profile with name ${n} already exists`);const s=u(n,(0,L.joinPath)(this.profilesHome,(0,R.hash)(n).toString(16)),r);await this.fileService.createFolder(s.location);const a=[];return this._onWillCreateProfile.fire({profile:s,join(c){a.push(c)}}),await w.Promises.settled(a),this.updateProfiles([s],[]),t&&await this.setProfileForWorkspace(s,t),s}async setProfileForWorkspace(n,r){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);const t=this.profiles.find(s=>s.id===n.id);if(!t)throw new Error(`Profile '${n.name}' does not exist`);this.updateWorkspaceAssociation(r,t)}async unsetWorkspace(n){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);this.updateWorkspaceAssociation(n)}async removeProfile(n){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(n.isDefault)throw new Error("Cannot remove default profile");const r=this.profiles.find(s=>s.id===n.id);if(!r)throw new Error(`Profile '${n.name}' does not exist`);const t=[];this._onWillRemoveProfile.fire({profile:r,join(s){t.push(s)}}),await w.Promises.settled(t),r.id===this.profilesObject.emptyWindow?.id&&(this.profilesObject.emptyWindow=void 0);for(const s of[...this.profilesObject.workspaces.keys()])r.id===this.profilesObject.workspaces.get(s)?.id&&this.profilesObject.workspaces.delete(s);this.updateStoredProfileAssociations(),this.updateProfiles([],[r]);try{this.profiles.length===1?await this.fileService.del(this.profilesHome,{recursive:!0}):await this.fileService.del(r.location,{recursive:!0})}catch(s){this.logService.error(s)}}updateProfiles(n,r){const t=[];for(const s of[...this.profilesObject.profiles,...n])s.isDefault||r.some(a=>s.id===a.id)||t.push({location:s.location,name:s.name,useDefaultFlags:s.useDefaultFlags});this.saveStoredProfiles(t),this._profilesObject=void 0,this.triggerProfilesChanges(n,r)}triggerProfilesChanges(n,r){this._onDidChangeProfiles.fire({added:n,removed:r,all:this.profiles})}updateWorkspaceAssociation(n,r){const t=this.getWorkspace(n);b.URI.isUri(t)?(this.profilesObject.workspaces.delete(t),r&&!r.isDefault&&this.profilesObject.workspaces.set(t,r)):this.profilesObject.emptyWindow=r?.isDefault?void 0:r,this.updateStoredProfileAssociations()}updateStoredProfileAssociations(){const n={};for(const[t,s]of this.profilesObject.workspaces.entries())n[t.toString()]=s.location.toString();const r=this.profilesObject.emptyWindow?.location.toString();this.saveStoredProfileAssociations({workspaces:n,emptyWindow:r}),this._profilesObject=void 0}getStoredProfiles(){return[]}saveStoredProfiles(n){throw new Error("not implemented")}getStoredProfileAssociations(){return{}}saveStoredProfileAssociations(n){throw new Error("not implemented")}};f.PROFILES_KEY="userDataProfiles",f.PROFILE_ASSOCIATIONS_KEY="profileAssociations",f=ge([K(0,D.IEnvironmentService),K(1,I.IFileService),K(2,S.IUriIdentityService),K(3,v.ILogService)],f),e.UserDataProfilesService=f}),define(re[245],oe([0,1,18,6,23,9,3,2,4,7,140,28,32,44,8,24,21,29]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionTask=e.reportTelemetry=e.joinErrors=e.AbstractExtensionManagementService=void 0;let m=class extends b.Disposable{constructor(t,s,a,c,o){super();this.galleryService=t,this.telemetryService=s,this.logService=a,this.productService=c,this.userDataProfilesService=o,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new A.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new A.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new A.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new A.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,b.toDisposable)(()=>{this.installingExtensions.forEach(l=>l.cancel()),this.uninstallingExtensions.forEach(l=>l.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(t){const s=await this.getTargetPlatform();return t.allTargetPlatforms.some(a=>(0,E.isTargetPlatformCompatible)(a,t.allTargetPlatforms,s))}async installFromGallery(t,s={}){try{if(!this.galleryService.isEnabled())throw new E.ExtensionManagementError(I.localize(0,null),E.ExtensionManagementErrorCode.Internal);const a=await this.checkAndGetCompatibleVersion(t,!!s.installGivenVersion,!!s.installPreReleaseVersion);return await this.installExtension(a.manifest,a.extension,s)}catch(a){throw h(this.telemetryService,"extensionGallery:install",{extensionData:(0,v.getGalleryExtensionTelemetryData)(t),error:a}),this.logService.error("Failed to install extension.",t.identifier.id),this.logService.error(a),f(a)}}async uninstall(t,s={}){return this.logService.trace("ExtensionManagementService#uninstall",t.identifier.id),this.unininstallExtension(t,s)}async reinstallFromGallery(t){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",t.identifier.id),!this.galleryService.isEnabled())throw new Error(I.localize(1,null));const s=await this.getTargetPlatform(),[a]=await this.galleryService.getExtensions([{...t.identifier,preRelease:t.preRelease}],{targetPlatform:s,compatible:!0},k.CancellationToken.None);if(!a)throw new Error(I.localize(2,null));await this.createUninstallExtensionTask(t,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(a)}getExtensionsControlManifest(){const t=new Date().getTime();return(!this.extensionsControlManifest||t-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=t),this.extensionsControlManifest}registerParticipant(t){this.participants.push(t)}async installExtension(t,s,a){const c=U=>`${v.ExtensionKey.create(U).toString()}${a.profileLocation?`-${a.profileLocation.toString()}`:""}`;if(!D.URI.isUri(s)){const U=this.installingExtensions.get(c(s));if(U){this.logService.info("Extensions is already requested to install",s.identifier.id);const{local:_}=await U.waitUntilTaskIsFinished();return _}a={...a,installOnlyNewlyAddedFromExtensionPack:!0}}const o=[],l=[],g=this.createInstallExtensionTask(t,s,a);D.URI.isUri(s)||this.installingExtensions.set(c(s),g),this._onInstallExtension.fire({identifier:g.identifier,source:s,profileLocation:a.profileLocation}),this.logService.info("Installing extension:",g.identifier.id),o.push({task:g,manifest:t});let P=!1;try{if(a.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",g.identifier.id);else try{const _=await this.getAllDepsAndPackExtensionsToInstall(g.identifier,t,!!a.installOnlyNewlyAddedFromExtensionPack,!!a.installPreReleaseVersion,a.profileLocation);for(const{gallery:M,manifest:T}of _){P=P||!!T.extensionDependencies?.some(N=>(0,v.areSameExtensions)({id:N},g.identifier));const $=c(M);if(this.installingExtensions.has($))this.logService.info("Extension is already requested to install",M.identifier.id);else{const N=this.createInstallExtensionTask(T,M,{...a,donotIncludePackAndDependencies:!0});this.installingExtensions.set($,N),this._onInstallExtension.fire({identifier:N.identifier,source:M,profileLocation:a.profileLocation}),this.logService.info("Installing extension:",N.identifier.id),o.push({task:N,manifest:T})}}}catch(_){if(D.URI.isUri(g.source))(0,R.isNonEmptyArray)(t.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",g.identifier.id,_.message),(0,R.isNonEmptyArray)(t.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",g.identifier.id,_.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",g.identifier.id),_}const U=o.reduce((_,{task:M,manifest:T})=>(_.set(M.identifier.id.toLowerCase(),{task:M,manifest:T}),_),new Map);for(;U.size;){let _;const M=[...U.values()].filter(({manifest:T})=>!T.extensionDependencies?.some($=>U.has($.toLowerCase())));M.length?_=U.size===1?M:M.filter(({task:T})=>!(T===g&&!P)):(this.logService.info("Found extensions with circular dependencies",M.map(({task:T})=>T.identifier.id)),_=[...U.values()]),await this.joinAllSettled(_.map(async({task:T})=>{const $=new Date().getTime();try{const{local:N}=await T.run();if(await this.joinAllSettled(this.participants.map(G=>G.postInstall(N,T.source,a,k.CancellationToken.None))),!D.URI.isUri(T.source)){const G=T.operation===3,J=G?void 0:(new Date().getTime()-T.source.lastUpdated)/1e3;if(h(this.telemetryService,G?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,v.getGalleryExtensionTelemetryData)(T.source),duration:new Date().getTime()-$,durationSinceUpdate:J}),C.isWeb&&T.operation!==3)try{await this.galleryService.reportStatistic(N.manifest.publisher,N.manifest.name,N.manifest.version,"install")}catch{}}l.push({local:N,identifier:T.identifier,operation:T.operation,source:T.source,context:a.context,profileLocation:a.profileLocation,applicationScoped:N.isApplicationScoped})}catch(N){throw D.URI.isUri(T.source)||h(this.telemetryService,T.operation===3?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,v.getGalleryExtensionTelemetryData)(T.source),duration:new Date().getTime()-$,error:N}),this.logService.error("Error while installing the extension:",T.identifier.id),N}finally{U.delete(T.identifier.id.toLowerCase())}}))}return l.forEach(({identifier:_})=>this.logService.info("Extension installed successfully:",_.id)),this._onDidInstallExtensions.fire(l),l.filter(({identifier:_})=>(0,v.areSameExtensions)(_,g.identifier))[0].local}catch(U){if(o.forEach(({task:_})=>_.cancel()),l.length)try{const _=await Promise.allSettled(l.map(({local:M})=>this.createUninstallExtensionTask(M,{versionOnly:!0,profileLocation:a.profileLocation}).run()));for(let M=0;M<_.length;M++){const T=_[M],{identifier:$}=l[M];T.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",$.id):this.logService.warn("Rollback: Error while uninstalling extension",$.id,(0,L.getErrorMessage)(T.reason))}}catch(_){this.logService.warn("Error while rolling back extensions",(0,L.getErrorMessage)(_),l.map(({identifier:M})=>M.id))}throw this._onDidInstallExtensions.fire(o.map(({task:_})=>({identifier:_.identifier,operation:2,source:_.source,context:a.context,profileLocation:a.profileLocation}))),U}finally{for(const{task:U}of o)if(!D.URI.isUri(U.source)){const _=c(U.source);this.installingExtensions.delete(_)||this.logService.warn("Installation task is not found in the cache",_)}}}async joinAllSettled(t){const s=[],a=[],c=await Promise.allSettled(t);for(const o of c)o.status==="fulfilled"?s.push(o.value):a.push(o.reason);if(a.length)throw u(a);return s}async getAllDepsAndPackExtensionsToInstall(t,s,a,c,o){if(!this.galleryService.isEnabled())return[];let l=await this.getInstalled(void 0,o);const g=[t,...l.map(_=>_.identifier)],P=[],U=async(_,M)=>{const T=M.extensionDependencies||[],$=[...T];if(M.extensionPack){const N=a?l.find(G=>(0,v.areSameExtensions)(G.identifier,_)):void 0;for(const G of M.extensionPack)N&&N.manifest.extensionPack&&N.manifest.extensionPack.some(J=>(0,v.areSameExtensions)({id:J},{id:G}))||$.every(J=>!(0,v.areSameExtensions)({id:J},{id:G}))&&$.push(G)}if($.length){const N=[...g,...P.map(J=>J.gallery.identifier)],G=$.filter(J=>N.every(z=>!(0,v.areSameExtensions)(z,{id:J})));if(G.length){const J=await this.galleryService.getExtensions(G.map(z=>({id:z,preRelease:c})),k.CancellationToken.None);for(const z of J){if(N.find(B=>(0,v.areSameExtensions)(B,z.identifier)))continue;const Q=T.some(B=>(0,v.areSameExtensions)({id:B},z.identifier));let x;try{x=await this.checkAndGetCompatibleVersion(z,!1,c)}catch(B){if(B instanceof E.ExtensionManagementError&&B.code===E.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!Q){this.logService.info("Skipping the packed extension as it cannot be installed",z.identifier.id);continue}else throw B}P.push({gallery:x.extension,manifest:x.manifest}),await U(x.extension.identifier,x.manifest)}}}};return await U(t,s),l=await this.getInstalled(void 0,o),P.filter(_=>!l.some(M=>(0,v.areSameExtensions)(M.identifier,_.gallery.identifier)))}async checkAndGetCompatibleVersion(t,s,a){const c=await this.getExtensionsControlManifest();if((0,v.getMaliciousExtensionsSet)(c).has(t.identifier.id))throw new E.ExtensionManagementError(I.localize(3,null,t.identifier.id),E.ExtensionManagementErrorCode.Malicious);if(!await this.canInstall(t)){const g=await this.getTargetPlatform();throw new E.ExtensionManagementError(I.localize(4,null,t.identifier.id,this.productService.nameLong,(0,E.TargetPlatformToString)(g)),E.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const o=await this.getCompatibleVersion(t,s,a);if(o){if(a&&!s&&t.hasPreReleaseVersion&&!o.properties.isPreReleaseVersion)throw new E.ExtensionManagementError(I.localize(5,null,t.identifier.id,this.productService.nameLong,this.productService.version),E.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!a&&t.properties.isPreReleaseVersion&&(await this.galleryService.getExtensions([t.identifier],k.CancellationToken.None))[0]?new E.ExtensionManagementError(I.localize(6,null,t.identifier.id),E.ExtensionManagementErrorCode.ReleaseVersionNotFound):new E.ExtensionManagementError(I.localize(7,null,t.identifier.id,this.productService.nameLong,this.productService.version),E.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",o.identifier.id);const l=await this.galleryService.getManifest(o,k.CancellationToken.None);if(l===null)throw new E.ExtensionManagementError(`Missing manifest for extension ${t.identifier.id}`,E.ExtensionManagementErrorCode.Invalid);if(l.version!==o.version)throw new E.ExtensionManagementError(`Cannot install '${t.identifier.id}' extension because of version mismatch in Marketplace`,E.ExtensionManagementErrorCode.Invalid);return{extension:o,manifest:l}}async getCompatibleVersion(t,s,a){const c=await this.getTargetPlatform();let o=null;return!s&&t.hasPreReleaseVersion&&t.properties.isPreReleaseVersion!==a&&(o=(await this.galleryService.getExtensions([{...t.identifier,preRelease:a}],{targetPlatform:c,compatible:!0},k.CancellationToken.None))[0]||null),!o&&await this.galleryService.isExtensionCompatible(t,a,c)&&(o=t),o||(s?o=(await this.galleryService.getExtensions([{...t.identifier,version:t.version}],{targetPlatform:c,compatible:!0},k.CancellationToken.None))[0]||null:o=await this.galleryService.getCompatibleExtension(t,a,c)),o}async unininstallExtension(t,s){const a=U=>`${U.id.toLowerCase()}${s.profileLocation?`@${s.profileLocation.toString()}`:""}`,c=this.uninstallingExtensions.get(a(t.identifier));if(c)return this.logService.info("Extensions is already requested to uninstall",t.identifier.id),c.waitUntilTaskIsFinished();const o=(U,_)=>{const M=this.createUninstallExtensionTask(U,_);return this.uninstallingExtensions.set(a(M.extension.identifier),M),s.profileLocation?this.logService.info("Uninstalling extension from the profile:",`${U.identifier.id}@${U.manifest.version}`,s.profileLocation.toString()):this.logService.info("Uninstalling extension:",`${U.identifier.id}@${U.manifest.version}`),this._onUninstallExtension.fire({identifier:U.identifier,profileLocation:s.profileLocation,applicationScoped:U.isApplicationScoped}),M},l=(U,_)=>{_?s.profileLocation?this.logService.error("Failed to uninstall extension from the profile:",`${U.identifier.id}@${U.manifest.version}`,s.profileLocation.toString(),_.message):this.logService.error("Failed to uninstall extension:",`${U.identifier.id}@${U.manifest.version}`,_.message):s.profileLocation?this.logService.info("Successfully uninstalled extension from the profile",`${U.identifier.id}@${U.manifest.version}`,s.profileLocation.toString()):this.logService.info("Successfully uninstalled extension:",`${U.identifier.id}@${U.manifest.version}`),h(this.telemetryService,"extensionGallery:uninstall",{extensionData:(0,v.getLocalExtensionTelemetryData)(U),error:_}),this._onDidUninstallExtension.fire({identifier:U.identifier,version:U.manifest.version,error:_?.code,profileLocation:s.profileLocation,applicationScoped:U.isApplicationScoped})},g=[],P=[];try{g.push(o(t,s));const U=await this.getInstalled(1,s.profileLocation);if(s.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",`${t.identifier.id}@${t.manifest.version}`);else{const _=this.getAllPackExtensionsToUninstall(t,U);for(const M of _)this.uninstallingExtensions.has(a(M.identifier))?this.logService.info("Extensions is already requested to uninstall",M.identifier.id):g.push(o(M,s))}s.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",`${t.identifier.id}@${t.manifest.version}`):this.checkForDependents(g.map(_=>_.extension),U,t),await this.joinAllSettled(g.map(async _=>{try{if(await _.run(),await this.joinAllSettled(this.participants.map(M=>M.postUninstall(_.extension,s,k.CancellationToken.None))),_.extension.identifier.uuid)try{await this.galleryService.reportStatistic(_.extension.manifest.publisher,_.extension.manifest.name,_.extension.manifest.version,"uninstall")}catch{}l(_.extension)}catch(M){const T=M instanceof E.ExtensionManagementError?M:new E.ExtensionManagementError((0,L.getErrorMessage)(M),E.ExtensionManagementErrorCode.Internal);throw l(_.extension,T),T}finally{P.push(_)}}))}catch(U){const _=U instanceof E.ExtensionManagementError?U:new E.ExtensionManagementError((0,L.getErrorMessage)(U),E.ExtensionManagementErrorCode.Internal);for(const M of g){try{M.cancel()}catch{}P.includes(M)||l(M.extension,_)}throw _}finally{for(const U of g)this.uninstallingExtensions.delete(a(U.extension.identifier))||this.logService.warn("Uninstallation task is not found in the cache",U.extension.identifier.id)}}checkForDependents(t,s,a){for(const c of t){const o=this.getDependents(c,s);if(o.length){const l=o.filter(g=>!t.some(P=>(0,v.areSameExtensions)(P.identifier,g.identifier)));if(l.length)throw new Error(this.getDependentsErrorMessage(c,l,a))}}}getDependentsErrorMessage(t,s,a){return a===t?s.length===1?I.localize(8,null,a.manifest.displayName||a.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?I.localize(9,null,a.manifest.displayName||a.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):I.localize(10,null,a.manifest.displayName||a.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):s.length===1?I.localize(11,null,a.manifest.displayName||a.manifest.name,t.manifest.displayName||t.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?I.localize(12,null,a.manifest.displayName||a.manifest.name,t.manifest.displayName||t.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):I.localize(13,null,a.manifest.displayName||a.manifest.name,t.manifest.displayName||t.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name)}getAllPackExtensionsToUninstall(t,s,a=[]){if(a.indexOf(t)!==-1)return[];a.push(t);const c=t.manifest.extensionPack?t.manifest.extensionPack:[];if(c.length){const o=s.filter(g=>!g.isBuiltin&&c.some(P=>(0,v.areSameExtensions)({id:P},g.identifier))),l=[];for(const g of o)l.push(...this.getAllPackExtensionsToUninstall(g,s,a));return[...o,...l]}return[]}getDependents(t,s){return s.filter(a=>a.manifest.extensionDependencies&&a.manifest.extensionDependencies.some(c=>(0,v.areSameExtensions)({id:c},t.identifier)))}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const t=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",t),t}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[],deprecated:{}}}}createInstallExtensionTask(t,s,a){return a.profileLocation&&(0,y.isApplicationScopedExtension)(t)&&(a={...a,profileLocation:this.userDataProfilesService.defaultProfile.extensionsResource}),this.doCreateInstallExtensionTask(t,s,a)}createUninstallExtensionTask(t,s){return s.profileLocation&&t.isApplicationScoped&&(s={...s,profileLocation:this.userDataProfilesService.defaultProfile.extensionsResource}),this.doCreateUninstallExtensionTask(t,s)}};m=ge([K(0,E.IExtensionGalleryService),K(1,w.ITelemetryService),K(2,d.ILogService),K(3,S.IProductService),K(4,p.IUserDataProfilesService)],m),e.AbstractExtensionManagementService=m;function u(r){const t=Array.isArray(r)?r:[r];return t.length===1?t[0]instanceof Error?t[0]:new Error(t[0]):t.reduce((s,a)=>new Error(`${s.message}${s.message?",":""}${a instanceof Error?a.message:a}`),new Error(""))}e.joinErrors=u;function f(r){if(r instanceof E.ExtensionManagementError)return r;const t=new E.ExtensionManagementError(r.message,E.ExtensionManagementErrorCode.Internal);return t.stack=r.stack,t}function h(r,t,{extensionData:s,duration:a,error:c,durationSinceUpdate:o}){const l=c?c instanceof E.ExtensionManagementError?c.code:E.ExtensionManagementErrorCode.Internal:void 0;r.publicLog(t,{...s,success:!c,duration:a,errorcode:l,durationSinceUpdate:o})}e.reportTelemetry=h;class n{constructor(){this.barrier=new i.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,i.createCancelablePromise)(t=>this.doRun(t))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,i.createCancelablePromise)(t=>new Promise((s,a)=>{const c=t.onCancellationRequested(()=>{c.dispose(),a(new L.CancellationError)})})),this.barrier.open()),this.cancellablePromise.cancel()}}e.AbstractExtensionTask=n}),define(re[71],oe([0,1,18,6,30,17,9,35,121,2,20,12,4,16,55,80,14,7,142,15,32,44,65,13,5,8,24,3,63,45,29,33]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h,n,r,t,s,a,c,o,l,g,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtensionsScannerService=e.toExtensionDescription=e.AbstractExtensionsScannerService=e.IExtensionsScannerService=e.Translations=void 0;var U;(function(J){function z(Q,x){if(Q===x)return!0;const B=Object.keys(Q),Y=new Set;for(const se of Object.keys(x))Y.add(se);if(B.length!==Y.size)return!1;for(const se of B){if(Q[se]!==x[se])return!1;Y.delete(se)}return Y.size===0}J.equals=z})(U=e.Translations||(e.Translations={})),e.IExtensionsScannerService=(0,t.createDecorator)("IExtensionsScannerService");let _=class extends D.Disposable{constructor(z,Q,x,B,Y,se,Z,W,V,O,F){super();this.systemExtensionsLocation=z,this.userExtensionsLocation=Q,this.extensionsControlLocation=x,this.cacheLocation=B,this.userDataProfilesService=Y,this.extensionsProfileScannerService=se,this.fileService=Z,this.logService=W,this.environmentService=V,this.productService=O,this.instantiationService=F,this._onDidChangeCache=this._register(new c.Emitter),this.onDidChangeCache=this._onDidChangeCache.event,this.obsoleteFile=(0,y.joinPath)(this.userExtensionsLocation,".obsolete"),this.systemExtensionsCachedScanner=this._register(this.instantiationService.createInstance($,(0,y.joinPath)(this.cacheLocation,h.BUILTIN_MANIFEST_CACHE_FILE),this.obsoleteFile)),this.userExtensionsCachedScanner=this._register(this.instantiationService.createInstance($,(0,y.joinPath)(this.cacheLocation,h.USER_MANIFEST_CACHE_FILE),this.obsoleteFile)),this.extensionsScanner=this._register(this.instantiationService.createInstance(T,this.obsoleteFile)),this._register(this.systemExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(0))),this._register(this.userExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(1)))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,f.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async scanAllExtensions(z,Q){const[x,B]=await Promise.all([this.scanSystemExtensions(z),this.scanUserExtensions(Q)]),Y=await this.scanExtensionsUnderDevelopment(z,[...x,...B]);return this.dedupExtensions(x,B,Y,await this.getTargetPlatform(),!0)}async scanSystemExtensions(z){const Q=[];Q.push(this.scanDefaultSystemExtensions(!!z.useCache,z.language)),Q.push(this.scanDevSystemExtensions(z.language,!!z.checkControlFile));const[x,B]=await Promise.all(Q);return this.applyScanOptions([...x,...B],0,z,!1)}async scanUserExtensions(z){this.logService.trace("Started scanning user extensions");const Q=await this.createExtensionScannerInput(z.profileLocation??this.userExtensionsLocation,!!z.profileLocation,1,!z.includeUninstalled,z.language);let B=await(z.useCache&&!Q.devMode&&Q.excludeObsolete?this.userExtensionsCachedScanner:this.extensionsScanner).scanExtensions(Q);return B=await this.applyScanOptions(B,1,z,!0),this.logService.trace("Scanned user extensions:",B.length),B}async scanExtensionsUnderDevelopment(z,Q){if(this.environmentService.isExtensionDevelopment&&this.environmentService.extensionDevelopmentLocationURI){const x=(await Promise.all(this.environmentService.extensionDevelopmentLocationURI.filter(B=>B.scheme===I.Schemas.file).map(async B=>{const Y=await this.createExtensionScannerInput(B,!1,1,!0,z.language,!1);return(await this.extensionsScanner.scanOneOrMultipleExtensions(Y)).map(Z=>(Z.type=Q.find(W=>(0,f.areSameExtensions)(W.identifier,Z.identifier))?.type??Z.type,this.extensionsScanner.validate(Z,Y)))}))).flat();return this.applyScanOptions(x,"development",z,!0)}return[]}async scanExistingExtension(z,Q,x){const B=await this.createExtensionScannerInput(z,!1,Q,!0,x.language),Y=await this.extensionsScanner.scanExtension(B);return!Y||!x.includeInvalid&&!Y.isValid?null:Y}async scanOneOrMultipleExtensions(z,Q,x){const B=await this.createExtensionScannerInput(z,!1,Q,!0,x.language),Y=await this.extensionsScanner.scanOneOrMultipleExtensions(B);return this.applyScanOptions(Y,Q,x,!0)}async scanMetadata(z){const Q=(0,y.joinPath)(z,"package.json"),x=(await this.fileService.readFile(Q)).value.toString();return JSON.parse(x).__metadata}async updateMetadata(z,Q){const x=(0,y.joinPath)(z,"package.json"),B=(await this.fileService.readFile(x)).value.toString(),Y=JSON.parse(B);Q.isMachineScoped=Q.isMachineScoped||void 0,Q.isBuiltin=Q.isBuiltin||void 0,Q.installedTimestamp=Q.installedTimestamp||void 0,Y.__metadata={...Y.__metadata,...Q},await this.fileService.writeFile((0,y.joinPath)(z,"package.json"),L.VSBuffer.fromString(JSON.stringify(Y,null,"	")))}async applyScanOptions(z,Q,x,B){return x.includeAllVersions||(z=this.dedupExtensions(Q===0?z:void 0,Q===1?z:void 0,Q==="development"?z:void 0,await this.getTargetPlatform(),B)),x.includeInvalid||(z=z.filter(Y=>Y.isValid)),z.sort((Y,se)=>{const Z=E.basename(Y.location.fsPath),W=E.basename(se.location.fsPath);return Z<W?-1:Z>W?1:0})}dedupExtensions(z,Q,x,B,Y){const se=(W,V)=>{if(W.isValid&&!V.isValid)return!1;if(W.isValid===V.isValid){if(Y&&d.gt(W.manifest.version,V.manifest.version))return this.logService.debug(`Skipping extension ${V.location.path} with lower version ${V.manifest.version} in favour of ${W.location.path} with version ${W.manifest.version}`),!1;if(d.eq(W.manifest.version,V.manifest.version)){if(W.type===0)return this.logService.debug(`Skipping extension ${V.location.path} in favour of system extension ${W.location.path} with same version`),!1;if(W.targetPlatform===B)return this.logService.debug(`Skipping extension ${V.location.path} from different target platform ${V.targetPlatform}`),!1}}return W.type===0?this.logService.debug(`Overwriting system extension ${W.location.path} with ${V.location.path}.`):this.logService.warn(`Overwriting user extension ${W.location.path} with ${V.location.path}.`),!0},Z=new Map;return z?.forEach(W=>{const V=h.ExtensionIdentifier.toKey(W.identifier.id),O=Z.get(V);(!O||se(O,W))&&Z.set(V,W)}),Q?.forEach(W=>{const V=h.ExtensionIdentifier.toKey(W.identifier.id),O=Z.get(V);if(!O&&z&&W.type===0){this.logService.debug(`Skipping obsolete system extension ${W.location.path}.`);return}(!O||se(O,W))&&Z.set(V,W)}),x?.forEach(W=>{const V=h.ExtensionIdentifier.toKey(W.identifier.id),O=Z.get(V);(!O||se(O,W))&&Z.set(V,W),Z.set(V,W)}),[...Z.values()]}async scanDefaultSystemExtensions(z,Q){this.logService.trace("Started scanning system extensions");const x=await this.createExtensionScannerInput(this.systemExtensionsLocation,!1,0,!0,Q),Y=await(z&&!x.devMode?this.systemExtensionsCachedScanner:this.extensionsScanner).scanExtensions(x);return this.logService.trace("Scanned system extensions:",Y.length),Y}async scanDevSystemExtensions(z,Q){const x=this.environmentService.isBuilt?[]:this.productService.builtInExtensions;if(!x?.length)return[];this.logService.trace("Started scanning dev system extensions");const B=Q?await this.getBuiltInExtensionControl():{},Y=[],se=p.URI.file(E.normalize(E.join(I.FileAccess.asFileUri("",X).fsPath,"..",".build","builtInExtensions")));for(const W of x){const V=B[W.name]||"marketplace";switch(V){case"disabled":break;case"marketplace":Y.push((0,y.joinPath)(se,W.name));break;default:Y.push(p.URI.file(V));break}}const Z=await Promise.all(Y.map(async W=>this.extensionsScanner.scanExtension(await this.createExtensionScannerInput(W,!1,0,!0,z))));return this.logService.trace("Scanned dev system extensions:",Z.length),(0,R.coalesce)(Z)}async getBuiltInExtensionControl(){try{const z=await this.fileService.readFile(this.extensionsControlLocation);return JSON.parse(z.value.toString())}catch{return{}}}async createExtensionScannerInput(z,Q,x,B,Y,se=!0){const Z=await this.getTranslations(Y??v.language),W=await this.getMtime(z),V=Q?this.userDataProfilesService.defaultProfile.extensionsResource:void 0,O=V?await this.getMtime(V):void 0;return new M(z,W,V,O,Q,x,B,se,this.productService.version,this.productService.date,this.productService.commit,!this.environmentService.isBuilt,Y,Z)}async getMtime(z){try{const Q=await this.fileService.stat(z);if(typeof Q.mtime=="number")return Q.mtime}catch{}}};_=ge([K(4,g.IUserDataProfilesService),K(5,l.IExtensionsProfileScannerService),K(6,r.IFileService),K(7,s.ILogService),K(8,u.IEnvironmentService),K(9,a.IProductService),K(10,t.IInstantiationService)],_),e.AbstractExtensionsScannerService=_;class M{constructor(z,Q,x,B,Y,se,Z,W,V,O,F,q,j,te){this.location=z,this.mtime=Q,this.applicationExtensionslocation=x,this.applicationExtensionslocationMtime=B,this.profile=Y,this.type=se,this.excludeObsolete=Z,this.validate=W,this.productVersion=V,this.productDate=O,this.productCommit=F,this.devMode=q,this.language=j,this.translations=te}static createNlsConfiguration(z){return{language:z.language,pseudo:z.language==="pseudo",devMode:z.devMode,translations:z.translations}}static equals(z,Q){return(0,y.isEqual)(z.location,Q.location)&&z.mtime===Q.mtime&&(0,y.isEqual)(z.applicationExtensionslocation,Q.applicationExtensionslocation)&&z.applicationExtensionslocationMtime===Q.applicationExtensionslocationMtime&&z.profile===Q.profile&&z.type===Q.type&&z.excludeObsolete===Q.excludeObsolete&&z.validate===Q.validate&&z.productVersion===Q.productVersion&&z.productDate===Q.productDate&&z.productCommit===Q.productCommit&&z.devMode===Q.devMode&&z.language===Q.language&&U.equals(z.translations,Q.translations)}}let T=class extends D.Disposable{constructor(z,Q,x,B,Y){super();this.obsoleteFile=z,this.extensionsProfileScannerService=Q,this.uriIdentityService=x,this.fileService=B,this.logService=Y}async scanExtensions(z){const Q=z.profile?await this.scanExtensionsFromProfile(z):await this.scanExtensionsFromLocation(z);let x={};if(z.excludeObsolete&&z.type===1)try{const B=(await this.fileService.readFile(this.obsoleteFile)).value.toString();x=JSON.parse(B)}catch{}return(0,w.isEmptyObject)(x)?Q:Q.filter(B=>!x[f.ExtensionKey.create(B).toString()])}async scanExtensionsFromLocation(z){const Q=await this.fileService.resolve(z.location);if(!Q.children?.length)return[];const x=await Promise.all(Q.children.map(async B=>{if(!B.isDirectory||z.type===1&&(0,y.basename)(B.resource).indexOf(".")===0)return null;const Y=new M(B.resource,z.mtime,z.applicationExtensionslocation,z.applicationExtensionslocationMtime,z.profile,z.type,z.excludeObsolete,z.validate,z.productVersion,z.productDate,z.productCommit,z.devMode,z.language,z.translations);return this.scanExtension(Y)}));return(0,R.coalesce)(x).sort((B,Y)=>B.location.path<Y.location.path?-1:1)}async scanExtensionsFromProfile(z){let Q=await this.scanExtensionsFromProfileResource(z.location,()=>!0,z);if(z.applicationExtensionslocation&&!this.uriIdentityService.extUri.isEqual(z.location,z.applicationExtensionslocation)){Q=Q.filter(B=>!B.metadata?.isApplicationScoped);const x=await this.scanExtensionsFromProfileResource(z.applicationExtensionslocation,B=>!!B.metadata?.isApplicationScoped,z);Q.push(...x)}return Q}async scanExtensionsFromProfileResource(z,Q,x){const B=await this.extensionsProfileScannerService.scanProfileExtensions(z);if(!B.length)return[];const Y=await Promise.all(B.map(async se=>{if(Q(se)){const Z=new M(se.location,x.mtime,x.applicationExtensionslocation,x.applicationExtensionslocationMtime,x.profile,x.type,x.excludeObsolete,x.validate,x.productVersion,x.productDate,x.productCommit,x.devMode,x.language,x.translations);return this.scanExtension(Z,se.metadata)}return null}));return(0,R.coalesce)(Y)}async scanOneOrMultipleExtensions(z){try{if(await this.fileService.exists((0,y.joinPath)(z.location,"package.json"))){const Q=await this.scanExtension(z);return Q?[Q]:[]}else return await this.scanExtensions(z)}catch(Q){return this.logService.error(`Error scanning extensions at ${z.location.path}:`,(0,A.getErrorMessage)(Q)),[]}}async scanExtension(z,Q){try{let x=await this.scanExtensionManifest(z.location);if(x){x.publisher||(x.publisher=h.UNDEFINED_PUBLISHER),Q=Q??x.__metadata,delete x.__metadata;const B=(0,f.getGalleryExtensionId)(x.publisher,x.name),Y=Q?.id?{id:B,uuid:Q.id}:{id:B},se=Q?.isSystem?0:z.type,Z=se===0||!!Q?.isBuiltin;x=await this.translateManifest(z.location,x,M.createNlsConfiguration(z));const W={type:se,identifier:Y,manifest:x,location:z.location,isBuiltin:Z,targetPlatform:Q?.targetPlatform??"undefined",metadata:Q,isValid:!0,validations:[]};return z.validate?this.validate(W,z):W}}catch(x){z.type!==0&&this.logService.error(x)}return null}validate(z,Q){let x=!0;const B=(0,n.validateExtensionManifest)(Q.productVersion,Q.productDate,Q.location,z.manifest,z.isBuiltin);for(const[Y,se]of B)Y===S.default.Error&&(x=!1,this.logService.error(this.formatMessage(Q.location,se)));return z.isValid=x,z.validations=B,z}async scanExtensionManifest(z){const Q=(0,y.joinPath)(z,"package.json");let x;try{x=(await this.fileService.readFile(Q)).value.toString()}catch(Y){return(0,r.toFileOperationResult)(Y)!==1&&this.logService.error(this.formatMessage(z,(0,m.localize)(0,null,Q.path,Y.message))),null}let B;try{B=JSON.parse(x)}catch{const se=[];(0,b.parse)(x,se);for(const Z of se)this.logService.error(this.formatMessage(z,(0,m.localize)(1,null,Q.path,Z.offset,Z.length,(0,C.getParseErrorMessage)(Z.error))));return null}return(0,b.getNodeType)(B)!=="object"?(this.logService.error(this.formatMessage(z,(0,m.localize)(2,null,Q.path))),null):B}async translateManifest(z,Q,x){const B=await this.getLocalizedMessages(z,Q,x);if(B)try{const Y=[],se=await this.resolveOriginalMessageBundle(B.default,Y);if(Y.length>0)return Y.forEach(W=>{this.logService.error(this.formatMessage(z,(0,m.localize)(3,null,B.default?.path,(0,C.getParseErrorMessage)(W.error))))}),Q;if((0,b.getNodeType)(B)!=="object")return this.logService.error(this.formatMessage(z,(0,m.localize)(4,null,B.default?.path))),Q;const Z=B.values||Object.create(null);this.replaceNLStrings(x.pseudo,Q,Z,se,z)}catch{}return Q}async getLocalizedMessages(z,Q,x){const B=(0,y.joinPath)(z,"package.nls.json"),Y=(V,O)=>{O.forEach(F=>{this.logService.error(this.formatMessage(z,(0,m.localize)(5,null,V?.path,(0,C.getParseErrorMessage)(F.error))))})},se=V=>{this.logService.error(this.formatMessage(z,(0,m.localize)(6,null,V?.path)))},Z=`${Q.publisher}.${Q.name}`,W=x.translations[Z];if(W)try{const V=p.URI.file(W),O=(await this.fileService.readFile(V)).value.toString(),F=[],q=(0,b.parse)(O,F);return F.length>0?(Y(V,F),{values:void 0,default:B}):(0,b.getNodeType)(q)!=="object"?(se(V),{values:void 0,default:B}):{values:q.contents?q.contents.package:void 0,default:B}}catch{return{values:void 0,default:B}}else{if(!await this.fileService.exists(B))return;let O;try{O=await this.findMessageBundles(z,x)}catch{return}if(!O.localized)return{values:void 0,default:O.original};try{const F=(await this.fileService.readFile(O.localized)).value.toString(),q=[],j=(0,b.parse)(F,q);return q.length>0?(Y(O.localized,q),{values:void 0,default:O.original}):(0,b.getNodeType)(j)!=="object"?(se(O.localized),{values:void 0,default:O.original}):{values:j,default:O.original}}catch{return{values:void 0,default:O.original}}}}async resolveOriginalMessageBundle(z,Q){if(z)try{const x=(await this.fileService.readFile(z)).value.toString();return(0,b.parse)(x,Q)}catch{return null}else return null}findMessageBundles(z,Q){return new Promise((x,B)=>{const Y=se=>{const Z=(0,y.joinPath)(z,`package.nls.${se}.json`);this.fileService.exists(Z).then(W=>{W&&x({localized:Z,original:(0,y.joinPath)(z,"package.nls.json")});const V=se.lastIndexOf("-");V===-1?x({localized:(0,y.joinPath)(z,"package.nls.json"),original:null}):(se=se.substring(0,V),Y(se))})};if(Q.devMode||Q.pseudo||!Q.language)return x({localized:(0,y.joinPath)(z,"package.nls.json"),original:null});Y(Q.language)})}replaceNLStrings(z,Q,x,B,Y){const se=(Z,W,V)=>{const O=Z[W];if((0,w.isString)(O)){const F=O,q=F.length;if(q>1&&F[0]==="%"&&F[q-1]==="%"){const j=F.substr(1,q-2);let te=x[j];te===void 0&&B&&(te=B[j]);let H=typeof te=="string"?te:typeof te?.message=="string"?te.message:void 0;H!==void 0?(z&&(H="\uFF3B"+H.replace(/[aouei]/g,"$&$&")+"\uFF3D"),Z[W]=V&&(W==="title"||W==="category")&&B?{value:H,original:B[j]}:H):this.logService.warn(this.formatMessage(Y,(0,m.localize)(7,null,j)))}}else if((0,w.isObject)(O))for(const F in O)O.hasOwnProperty(F)&&(F==="commands"?se(O,F,!0):se(O,F,V));else if((0,w.isArray)(O))for(let F=0;F<O.length;F++)se(O,F,V)};for(const Z in Q)Q.hasOwnProperty(Z)&&se(Q,Z)}formatMessage(z,Q){return`[${z.path}]: ${Q}`}};T=ge([K(1,l.IExtensionsProfileScannerService),K(2,P.IUriIdentityService),K(3,r.IFileService),K(4,s.ILogService)],T);let $=class extends T{constructor(z,Q,x,B,Y,se){super(Q,x,B,Y,se);this.cacheFile=z,this.cacheValidatorThrottler=this._register(new i.ThrottledDelayer(3e3)),this._onDidChangeCache=this._register(new c.Emitter),this.onDidChangeCache=this._onDidChangeCache.event}async scanExtensions(z){const Q=await this.readExtensionCache();if(this.input=z,Q&&Q.input&&M.equals(Q.input,this.input))return this.cacheValidatorThrottler.trigger(()=>this.validateCache()),Q.result.map(B=>(B.location=p.URI.revive(B.location),B));const x=await super.scanExtensions(z);return await this.writeExtensionCache({input:z,result:x}),x}async readExtensionCache(){try{const z=await this.fileService.readFile(this.cacheFile),Q=JSON.parse(z.value.toString());return{result:Q.result,input:(0,o.revive)(Q.input)}}catch(z){this.logService.debug("Error while reading the extension cache file:",this.cacheFile.path,(0,A.getErrorMessage)(z))}return null}async writeExtensionCache(z){try{await this.fileService.writeFile(this.cacheFile,L.VSBuffer.fromString(JSON.stringify(z)))}catch(Q){this.logService.debug("Error while writing the extension cache file:",this.cacheFile.path,(0,A.getErrorMessage)(Q))}}async validateCache(){if(!this.input)return;const z=await this.readExtensionCache();if(!z)return;const Q=z.result,x=JSON.parse(JSON.stringify(await super.scanExtensions(this.input)));if(!k.equals(x,Q))try{await this.fileService.del(this.cacheFile),this._onDidChangeCache.fire()}catch(B){this.logService.error(B)}}};$=ge([K(2,l.IExtensionsProfileScannerService),K(3,P.IUriIdentityService),K(4,r.IFileService),K(5,s.ILogService)],$);function N(J,z){const Q=(0,f.getExtensionId)(J.manifest.publisher,J.manifest.name);return{id:Q,identifier:new h.ExtensionIdentifier(Q),isBuiltin:J.type===0,isUserBuiltin:J.type===1&&J.isBuiltin,isUnderDevelopment:z,extensionLocation:J.location,uuid:J.identifier.uuid,targetPlatform:J.targetPlatform,...J.manifest}}e.toExtensionDescription=N;class G extends _{constructor(z,Q,x,B,Y,se,Z,W,V,O,F){super(z,Q,(0,y.joinPath)(x,".vscode-oss-dev","extensions","control.json"),(0,y.joinPath)(B,h.MANIFEST_CACHE_FOLDER),Y,se,Z,W,V,O,F);this.translationsPromise=(async()=>{if(v.translationsConfigFile)try{const q=await this.fileService.readFile(p.URI.file(v.translationsConfigFile));return JSON.parse(q.value.toString())}catch{}return Object.create(null)})()}getTranslations(z){return this.translationsPromise}}e.NativeExtensionsScannerService=G}),define(re[246],oe([0,1,2,16,28,45,13,29]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DefaultExtensionsProfileInitService=void 0;let C=class extends R.Disposable{constructor(I,E,v,y){super();this.userDataProfilesService=I,this.fileService=E,this.extensionManagementService=v,this.extensionsProfileScannerService=y}async initialize(){const I=this.getDefaultExtensionsProfileResource();try{await this.fileService.del(I)}catch{}const E=await this.extensionManagementService.getInstalled(1),v=await Promise.all(E.map(async y=>[y,await this.extensionManagementService.getMetadata(y)]));await this.extensionsProfileScannerService.addExtensionsToProfile(v,I)}async uninitialize(){try{await this.fileService.del(this.getDefaultExtensionsProfileResource())}catch{}}getDefaultExtensionsProfileResource(){return this.userDataProfilesService.defaultProfile.extensionsResource??(0,i.joinPath)(this.userDataProfilesService.defaultProfile.location,b.EXTENSIONS_RESOURCE_NAME)}};C=ge([K(0,b.IUserDataProfilesService),K(1,A.IFileService),K(2,k.IExtensionManagementService),K(3,L.IExtensionsProfileScannerService)],C),e.DefaultExtensionsProfileInitService=C}),define(re[247],oe([0,1,48,6,38,3,2,20,12,27,8,29]),function(X,e,R,i,k,L,A,b,C,D,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let v=class extends A.Disposable{constructor(d,S){super();this.userDataProfilesService=d,this.logService=S,this.processesLimiter=new i.Limiter(5)}async postUninstall(d){const S=this.parseScript(d,"uninstall");return S&&(this.logService.info(d.identifier.id,d.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(S.script,"uninstall",S.args,!0,d).then(()=>this.logService.info(d.identifier.id,d.manifest.version,"Finished running post uninstall script"),w=>this.logService.error(d.identifier.id,d.manifest.version,`Failed to run post uninstall script: ${w}`)))),D.Promises.rm(this.getExtensionStoragePath(d)).then(void 0,w=>this.logService.error("Error while removing extension storage path",w))}parseScript(d,S){const w=`vscode:${S}`;if(d.location.scheme===b.Schemas.file&&d.manifest&&d.manifest.scripts&&typeof d.manifest.scripts[w]=="string"){const p=d.manifest.scripts[w].split(" ");return p.length<2||p[0]!=="node"||!p[1]?(this.logService.warn(d.identifier.id,d.manifest.version,`${w} should be a node script`),null):{script:(0,C.join)(d.location.fsPath,p[1]),args:p.slice(2)||[]}}return null}runLifecycleHook(d,S,w,p,m){return new Promise((u,f)=>{const h=this.start(d,S,w,m);let n;const r=t=>{n&&(clearTimeout(n),n=null),t?f(t):u(void 0)};h.on("error",t=>{r((0,k.toErrorMessage)(t)||"Unknown")}),h.on("exit",(t,s)=>{r(t?`post-${S} process exited with code ${t}`:void 0)}),p&&(n=setTimeout(()=>{n=null,h.kill(),f("timed out")},5e3))})}start(d,S,w,p){const m={silent:!0,execArgv:void 0},u=(0,R.fork)(d,[`--type=extension-post-${S}`,...w],m);u.stdout.setEncoding("utf8"),u.stderr.setEncoding("utf8");const f=L.Event.fromNodeEventEmitter(u.stdout,"data"),h=L.Event.fromNodeEventEmitter(u.stderr,"data");f(t=>this.logService.info(p.identifier.id,p.manifest.version,`post-${S}`,t)),h(t=>this.logService.error(p.identifier.id,p.manifest.version,`post-${S}`,t));const n=L.Event.any(L.Event.map(f,t=>({data:`%c${t}`,format:[""]})),L.Event.map(h,t=>({data:`%c${t}`,format:["color: red"]})));return L.Event.debounce(n,(t,s)=>t?{data:t.data+s.data,format:[...t.format,...s.format]}:{data:s.data,format:s.format},100)(t=>{console.group(p.identifier.id),console.log(t.data,...t.format),console.groupEnd()}),u}getExtensionStoragePath(d){return(0,C.join)(this.userDataProfilesService.defaultProfile.globalStorageHome.fsPath,d.identifier.id.toLowerCase())}};v=ge([K(0,E.IUserDataProfilesService),K(1,I.ILogService)],v),e.ExtensionsLifecycle=v}),define(re[248],oe([0,1,7,15,45,71,13,5,8,24,29]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScannerService=void 0;let E=class extends L.NativeExtensionsScannerService{constructor(y,d,S,w,p,m,u){super(R.URI.file(p.builtinExtensionsPath),R.URI.file(p.extensionsPath),p.userHome,R.URI.file(p.userDataPath),y,d,S,w,p,m,u)}};E=ge([K(0,I.IUserDataProfilesService),K(1,k.IExtensionsProfileScannerService),K(2,A.IFileService),K(3,C.ILogService),K(4,i.INativeEnvironmentService),K(5,D.IProductService),K(6,b.IInstantiationService)],E),e.ExtensionsScannerService=E}),define(re[22],oe([0,1,6,3,2,189,14,85,5,29]),function(X,e,R,i,k,L,A,b,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.isProfileUsingDefaultStorage=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const I="__$__targetStorageMarker";e.IStorageService=(0,C.createDecorator)("storageService");var E;(function(m){m[m.NONE=0]="NONE",m[m.SHUTDOWN=1]="SHUTDOWN"})(E=e.WillSaveStateReason||(e.WillSaveStateReason={}));var v;(function(m){m[m.APPLICATION=-1]="APPLICATION",m[m.PROFILE=0]="PROFILE",m[m.WORKSPACE=1]="WORKSPACE"})(v=e.StorageScope||(e.StorageScope={}));var y;(function(m){m[m.USER=0]="USER",m[m.MACHINE=1]="MACHINE"})(y=e.StorageTarget||(e.StorageTarget={}));class d extends k.Disposable{constructor(u={flushInterval:d.DEFAULT_FLUSH_INTERVAL}){super();this.options=u,this._onDidChangeValue=this._register(new i.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new i.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new i.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new R.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new k.MutableDisposable),this._workspaceKeyTargets=void 0,this._profileKeyTargets=void 0,this._applicationKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,R.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,k.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,L.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,L.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(u,f){if(f===I){switch(u){case-1:this._applicationKeyTargets=void 0;break;case 0:this._profileKeyTargets=void 0;break;case 1:this._workspaceKeyTargets=void 0;break}this._onDidChangeTarget.fire({scope:u})}else this._onDidChangeValue.fire({scope:u,key:f,target:this.getKeyTargets(u)[f]})}emitWillSaveState(u){this._onWillSaveState.fire({reason:u})}get(u,f,h){return this.getStorage(f)?.get(u,h)}getBoolean(u,f,h){return this.getStorage(f)?.getBoolean(u,h)}getNumber(u,f,h){return this.getStorage(f)?.getNumber(u,h)}store(u,f,h,n){if((0,A.isUndefinedOrNull)(f)){this.remove(u,h);return}this.withPausedEmitters(()=>{this.updateKeyTarget(u,h,n),this.getStorage(h)?.set(u,f)})}remove(u,f){this.withPausedEmitters(()=>{this.updateKeyTarget(u,f,void 0),this.getStorage(f)?.delete(u)})}withPausedEmitters(u){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{u()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(u,f){const h=[],n=this.getKeyTargets(u);for(const r of Object.keys(n))n[r]===f&&h.push(r);return h}updateKeyTarget(u,f,h){const n=this.getKeyTargets(f);typeof h=="number"?n[u]!==h&&(n[u]=h,this.getStorage(f)?.set(I,JSON.stringify(n))):typeof n[u]=="number"&&(delete n[u],this.getStorage(f)?.set(I,JSON.stringify(n)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get profileKeyTargets(){return this._profileKeyTargets||(this._profileKeyTargets=this.loadKeyTargets(0)),this._profileKeyTargets}get applicationKeyTargets(){return this._applicationKeyTargets||(this._applicationKeyTargets=this.loadKeyTargets(-1)),this._applicationKeyTargets}getKeyTargets(u){switch(u){case-1:return this.applicationKeyTargets;case 0:return this.profileKeyTargets;default:return this.workspaceKeyTargets}}loadKeyTargets(u){const f=this.get(I,u);if(f)try{return JSON.parse(f)}catch{}return Object.create(null)}isNew(u){return this.getBoolean(e.IS_NEW_KEY,u)===!0}async flush(u=E.NONE){this._onWillSaveState.fire({reason:u});const f=this.getStorage(-1),h=this.getStorage(0),n=this.getStorage(1);switch(u){case E.NONE:await R.Promises.settled([f?.whenFlushed()??Promise.resolve(),h?.whenFlushed()??Promise.resolve(),n?.whenFlushed()??Promise.resolve()]);break;case E.SHUTDOWN:await R.Promises.settled([f?.flush(0)??Promise.resolve(),h?.flush(0)??Promise.resolve(),n?.flush(0)??Promise.resolve()]);break}}async log(){const u=this.getStorage(-1)?.items??new Map,f=this.getStorage(0)?.items??new Map,h=this.getStorage(1)?.items??new Map;return p(u,f,h,this.getLogDetails(-1)??"",this.getLogDetails(0)??"",this.getLogDetails(1)??"")}async switch(u,f){return this.emitWillSaveState(E.NONE),(0,D.isUserDataProfile)(u)?this.switchToProfile(u,f):this.switchToWorkspace(u,f)}canSwitchProfile(u,f){return!(u.id===f.id||S(f)&&S(u))}switchData(u,f,h,n){this.withPausedEmitters(()=>{if(n)for(const[r,t]of u)f.set(r,t);else{const r=new Set;for(const[t,s]of u)r.add(t),f.get(t)!==s&&this.emitDidChangeValue(h,t);for(const[t]of f.items)r.has(t)||this.emitDidChangeValue(h,t)}})}}e.AbstractStorageService=d,d.DEFAULT_FLUSH_INTERVAL=60*1e3;function S(m){return m.isDefault||!!m.useDefaultFlags?.uiState}e.isProfileUsingDefaultStorage=S;class w extends d{constructor(){super();this.applicationStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this.profileStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(u=>this.emitDidChangeValue(1,u))),this._register(this.profileStorage.onDidChangeStorage(u=>this.emitDidChangeValue(0,u))),this._register(this.applicationStorage.onDidChangeStorage(u=>this.emitDidChangeValue(-1,u)))}getStorage(u){switch(u){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(u){switch(u){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async doInitialize(){}async switchToProfile(){}async switchToWorkspace(){}}e.InMemoryStorageService=w;async function p(m,u,f,h,n,r){const t=_=>{try{return JSON.parse(_)}catch{return _}},s=new Map,a=new Map;m.forEach((_,M)=>{s.set(M,_),a.set(M,t(_))});const c=new Map,o=new Map;u.forEach((_,M)=>{c.set(M,_),o.set(M,t(_))});const l=new Map,g=new Map;f.forEach((_,M)=>{l.set(M,_),g.set(M,t(_))}),console.group(h!==n?`Storage: Application (path: ${h})`:`Storage: Application & Profile (path: ${h}, default profile)`);const P=[];if(s.forEach((_,M)=>{P.push({key:M,value:_})}),console.table(P),console.groupEnd(),console.log(a),h!==n){console.group(`Storage: Profile (path: ${n}, profile specific)`);const _=[];c.forEach((M,T)=>{_.push({key:T,value:M})}),console.table(_),console.groupEnd(),console.log(o)}console.group(`Storage: Workspace (path: ${r})`);const U=[];l.forEach((_,M)=>{U.push({key:M,value:_})}),console.table(U),console.groupEnd(),console.log(g)}e.logStorage=p}),define(re[249],oe([0,1,3,2,14,28,32,22]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageManager=e.GlobalExtensionEnablementService=void 0;let C=class extends i.Disposable{constructor(E,v){super();this._onDidChangeEnablement=new R.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this.storageManger=this._register(new D(E)),this._register(this.storageManger.onDidChange(y=>this._onDidChangeEnablement.fire({extensions:y,source:"storage"}))),this._register(v.onDidInstallExtensions(y=>y.forEach(({local:d,operation:S})=>{d&&S===4&&this._removeFromDisabledExtensions(d.identifier)})))}async enableExtension(E,v){return this._removeFromDisabledExtensions(E)?(this._onDidChangeEnablement.fire({extensions:[E],source:v}),!0):!1}async disableExtension(E,v){return this._addToDisabledExtensions(E)?(this._onDidChangeEnablement.fire({extensions:[E],source:v}),!0):!1}getDisabledExtensions(){return this._getExtensions(L.DISABLED_EXTENSIONS_STORAGE_PATH)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}_addToDisabledExtensions(E){const v=this.getDisabledExtensions();return v.every(y=>!(0,A.areSameExtensions)(y,E))?(v.push(E),this._setDisabledExtensions(v),!0):!1}_removeFromDisabledExtensions(E){const v=this.getDisabledExtensions();for(let y=0;y<v.length;y++){const d=v[y];if((0,A.areSameExtensions)(d,E))return v.splice(y,1),this._setDisabledExtensions(v),!0}return!1}_setDisabledExtensions(E){this._setExtensions(L.DISABLED_EXTENSIONS_STORAGE_PATH,E)}_getExtensions(E){return this.storageManger.get(E,0)}_setExtensions(E,v){this.storageManger.set(E,v,0)}};C=ge([K(0,b.IStorageService),K(1,L.IExtensionManagementService)],C),e.GlobalExtensionEnablementService=C;class D extends i.Disposable{constructor(E){super();this.storageService=E,this.storage=Object.create(null),this._onDidChange=this._register(new R.Emitter),this.onDidChange=this._onDidChange.event,this._register(E.onDidChangeValue(v=>this.onDidStorageChange(v)))}get(E,v){let y;return v===0?((0,k.isUndefinedOrNull)(this.storage[E])&&(this.storage[E]=this._get(E,v)),y=this.storage[E]):y=this._get(E,v),JSON.parse(y)}set(E,v,y){const d=JSON.stringify(v.map(({id:w,uuid:p})=>({id:w,uuid:p})));this._get(E,y)!==d&&(y===0&&(v.length?this.storage[E]=d:delete this.storage[E]),this._set(E,v.length?d:void 0,y))}onDidStorageChange(E){if(E.scope===0&&!(0,k.isUndefinedOrNull)(this.storage[E.key])&&this._get(E.key,E.scope)!==this.storage[E.key]){const y=this.get(E.key,E.scope);delete this.storage[E.key];const d=this.get(E.key,E.scope),S=y.filter(p=>!d.some(m=>(0,A.areSameExtensions)(p,m))),w=d.filter(p=>!y.some(m=>(0,A.areSameExtensions)(m,p)));(S.length||w.length)&&this._onDidChange.fire([...S,...w])}}_get(E,v){return this.storageService.get(E,v,"[]")}_set(E,v,y){v?this.storageService.store(E,v,y,1):this.storageService.remove(E,y)}}e.StorageManager=D}),define(re[250],oe([0,1,18,23,9,4,36,14,7,19,15,28,32,65,13,8,24,46,217,22,21]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGalleryServiceWithNoStorageService=e.ExtensionGalleryService=e.sortExtensionVersions=void 0;const h=L.isWeb?"web":(0,E.getTargetPlatform)(L.platform,A.arch);var n;(function(O){O[O.None=0]="None",O[O.IncludeVersions=1]="IncludeVersions",O[O.IncludeFiles=2]="IncludeFiles",O[O.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",O[O.IncludeSharedAccounts=8]="IncludeSharedAccounts",O[O.IncludeVersionProperties=16]="IncludeVersionProperties",O[O.ExcludeNonValidated=32]="ExcludeNonValidated",O[O.IncludeInstallationTargets=64]="IncludeInstallationTargets",O[O.IncludeAssetUri=128]="IncludeAssetUri",O[O.IncludeStatistics=256]="IncludeStatistics",O[O.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",O[O.Unpublished=4096]="Unpublished",O[O.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(n||(n={}));function r(...O){return String(O.reduce((F,q)=>F|q,0))}var t;(function(O){O[O.Tag=1]="Tag",O[O.ExtensionId=4]="ExtensionId",O[O.Category=5]="Category",O[O.ExtensionName=7]="ExtensionName",O[O.Target=8]="Target",O[O.Featured=9]="Featured",O[O.SearchText=10]="SearchText",O[O.ExcludeWithFlags=12]="ExcludeWithFlags"})(t||(t={}));const s={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},a={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension",SponsorLink:"Microsoft.VisualStudio.Code.SponsorLink"},o={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:n.None,criteria:[],assetTypes:[]};class l{constructor(F=o){this.state=F}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(F,q=this.state.pageSize){return new l({...this.state,pageNumber:F,pageSize:q})}withFilter(F,...q){const j=[...this.state.criteria,...q.length?q.map(te=>({filterType:F,value:te})):[{filterType:F}]];return new l({...this.state,criteria:j})}withSortBy(F){return new l({...this.state,sortBy:F})}withSortOrder(F){return new l({...this.state,sortOrder:F})}withFlags(...F){return new l({...this.state,flags:F.reduce((q,j)=>q|j,0)})}withAssetTypes(...F){return new l({...this.state,assetTypes:F})}withSource(F){return new l({...this.state,source:F})}get raw(){const{criteria:F,pageNumber:q,pageSize:j,sortBy:te,sortOrder:H,flags:ie,assetTypes:ne}=this.state;return{filters:[{criteria:F,pageNumber:q,pageSize:j,sortBy:te,sortOrder:H}],assetTypes:ne,flags:ie}}get searchText(){const F=this.state.criteria.filter(q=>q.filterType===t.SearchText)[0];return F&&F.value?F.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(F=>String(F.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder),pageNumber:String(this.pageNumber),source:this.state.source,searchTextLength:this.searchText.length}}}function g(O,F){const q=(O||[]).filter(j=>j.statisticName===F)[0];return q?q.value:0}function P(O){const F="Microsoft.VisualStudio.Code.Translation.";return O.files.filter(j=>j.assetType.indexOf(F)===0).reduce((j,te)=>{const H=M(O,te.assetType);return H&&j.push([te.assetType.substring(F.length),H]),j},[])}function U(O){if(O.properties){const F=O.properties.filter(te=>te.key===s.Repository),q=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),j=F.filter(te=>q.test(te.value))[0];return j?{uri:j.value,fallbackUri:j.value}:null}return M(O,s.Repository)}function _(O){return{uri:`${O.fallbackAssetUri}/${s.VSIX}?redirect=true${O.targetPlatform?`&targetPlatform=${O.targetPlatform}`:""}`,fallbackUri:`${O.fallbackAssetUri}/${s.VSIX}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`}}function M(O,F){return O.files.filter(j=>j.assetType===F)[0]?{uri:`${O.assetUri}/${F}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`,fallbackUri:`${O.fallbackAssetUri}/${F}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`}:null}function T(O,F){const q=O.properties?O.properties.filter(te=>te.key===F):[],j=q.length>0&&q[0].value;return j?j.split(",").map(te=>(0,v.adoptToGalleryExtensionId)(te)):[]}function $(O){const F=O.properties?O.properties.filter(q=>q.key===a.Engine):[];return F.length>0&&F[0].value||""}function N(O){const F=O.properties?O.properties.filter(q=>q.key===a.PreRelease):[];return F.length>0&&F[0].value==="true"}function G(O){const F=O.properties?O.properties.filter(j=>j.key===a.LocalizedLanguages):[],q=F.length>0&&F[0].value||"";return q?q.split(","):[]}function J(O){return O.properties?.find(F=>F.key===a.SponsorLink)?.value}function z(O){return O.indexOf("preview")!==-1}function Q(O){return O.targetPlatform?(0,E.toTargetPlatform)(O.targetPlatform):"undefined"}function x(O){const F=(0,R.distinct)(O.versions.map(Q)),q=!!O.tags?.includes(E.WEB_EXTENSION_TAG),j=F.indexOf("web");return q?j===-1&&F.push("web"):j!==-1&&F.splice(j,1),F}function B(O,F){const q=(0,E.getFallbackTargetPlarforms)(F);for(let j=0;j<O.length;j++){const te=O[j];if(te.version===O[j-1]?.version){let H=j;const ie=Q(te);if(ie===F)for(;H>0&&O[H-1].version===te.version;)H--;else if(q.includes(ie))for(;H>0&&O[H-1].version===te.version&&Q(O[H-1])!==F;)H--;H!==j&&(O.splice(j,1),O.splice(H,0,te))}}return O}e.sortExtensionVersions=B;function Y(O,F,q){O.telemetryData={index:F,querySource:q}}function se(O,F,q){const j=O.versions[0],te={manifest:M(F,s.Manifest),readme:M(F,s.Details),changelog:M(F,s.Changelog),license:M(F,s.License),repository:U(F),download:_(F),icon:M(F,s.Icon),coreTranslations:P(F)};return{identifier:{id:(0,v.getGalleryExtensionId)(O.publisher.publisherName,O.extensionName),uuid:O.extensionId},name:O.extensionName,version:F.version,displayName:O.displayName,publisherId:O.publisher.publisherId,publisher:O.publisher.publisherName,publisherDisplayName:O.publisher.displayName,publisherDomain:O.publisher.domain?{link:O.publisher.domain,verified:!!O.publisher.isDomainVerified}:void 0,publisherSponsorLink:J(j),description:O.shortDescription||"",installCount:g(O.statistics,"install"),rating:g(O.statistics,"averagerating"),ratingCount:g(O.statistics,"ratingcount"),categories:O.categories||[],tags:O.tags||[],releaseDate:Date.parse(O.releaseDate),lastUpdated:Date.parse(O.lastUpdated),allTargetPlatforms:q,assets:te,properties:{dependencies:T(F,a.Dependency),extensionPack:T(F,a.ExtensionPack),engine:$(F),localizedLanguages:G(F),targetPlatform:Q(F),isPreReleaseVersion:N(F)},hasPreReleaseVersion:N(j),hasReleaseVersion:!0,preview:z(O.flags)}}let Z=class{constructor(F,q,j,te,H,ie,ne,ce){this.requestService=q,this.logService=j,this.environmentService=te,this.telemetryService=H,this.fileService=ie,this.productService=ne,this.configurationService=ce;const he=ne.extensionsGallery;this.extensionsGalleryUrl=he&&he.serviceUrl,this.extensionsControlUrl=he&&he.controlUrl,this.commonHeadersPromise=(0,m.resolveMarketplaceHeaders)(ne.version,ne,this.environmentService,this.configurationService,this.fileService,F,this.telemetryService)}api(F=""){return`${this.extensionsGalleryUrl}${F}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(F,q,j){const te=i.CancellationToken.isCancellationToken(q)?{}:q,H=i.CancellationToken.isCancellationToken(q)?q:j,ie=[],ne=[],ce=[],he=[];let ve=!0;for(const be of F){be.uuid?ne.push(be.uuid):ie.push(be.id);const Pe=!!(be.version||be.preRelease);ce.push({id:be.id,uuid:be.uuid,includePreRelease:Pe}),be.version&&he.push({id:be.id,uuid:be.uuid,version:be.version}),ve=ve&&!!be.hasPreRelease&&!Pe}if(!ne.length&&!ie.length)return[];let pe=new l().withPage(1,F.length);ne.length&&(pe=pe.withFilter(t.ExtensionId,...ne)),ie.length&&(pe=pe.withFilter(t.ExtensionName,...ie)),(te.queryAllVersions||ve)&&(pe=pe.withFlags(pe.flags,n.IncludeVersions)),te.source&&(pe=pe.withSource(te.source));const{extensions:Ce}=await this.queryGalleryExtensions(pe,{targetPlatform:te.targetPlatform??h,includePreRelease:ce,versions:he,compatible:!!te.compatible},H);return te.source&&Ce.forEach((be,Pe)=>Y(be,Pe,te.source)),Ce}async getCompatibleExtension(F,q,j){if((0,E.isNotWebExtensionInWebTargetPlatform)(F.allTargetPlatforms,j))return null;if(await this.isExtensionCompatible(F,q,j))return F;const te=new l().withFlags(n.IncludeVersions).withPage(1,1).withFilter(t.ExtensionId,F.identifier.uuid),{extensions:H}=await this.queryGalleryExtensions(te,{targetPlatform:j,compatible:!0,includePreRelease:q},i.CancellationToken.None);return H[0]||null}async isExtensionCompatible(F,q,j){if(!(0,E.isTargetPlatformCompatible)(F.properties.targetPlatform,F.allTargetPlatforms,j)||!q&&F.properties.isPreReleaseVersion)return!1;let te=F.properties.engine;if(!te){const H=await this.getManifest(F,i.CancellationToken.None);if(!H)throw new Error("Manifest was not found");te=H.engines.vscode}return(0,y.isEngineValid)(te,this.productService.version,this.productService.date)}async isValidVersion(F,q,j,te,H){if(!(0,E.isTargetPlatformCompatible)(Q(F),te,H)||q!=="any"&&N(F)!==(q==="prerelease"))return!1;if(j)try{const ie=await this.getEngine(F);if(!(0,y.isEngineValid)(ie,this.productService.version,this.productService.date))return!1}catch(ie){return this.logService.error(`Error while getting the engine for the version ${F.version}.`,(0,k.getErrorMessage)(ie)),!1}return!0}async query(F,q){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let j=F.text||"";const te=F.pageSize??50;let H=new l().withPage(1,te);j?(j=j.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ve,pe,Ce)=>(H=H.withFilter(t.Category,Ce||pe),"")),j=j.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ve,pe,Ce)=>(H=H.withFilter(t.Tag,Ce||pe),"")),j=j.replace(/\bfeatured(\s+|\b|$)/g,()=>(H=H.withFilter(t.Featured),"")),j=j.trim(),j&&(j=j.length<200?j:j.substring(0,200),H=H.withFilter(t.SearchText,j)),H=H.withSortBy(0)):F.ids?H=H.withFilter(t.ExtensionId,...F.ids):F.names?H=H.withFilter(t.ExtensionName,...F.names):H=H.withSortBy(4),typeof F.sortBy=="number"&&(H=H.withSortBy(F.sortBy)),typeof F.sortOrder=="number"&&(H=H.withSortOrder(F.sortOrder)),F.source&&(H=H.withSource(F.source));const ie=async(ve,pe)=>{const{extensions:Ce,total:be}=await this.queryGalleryExtensions(ve,{targetPlatform:h,compatible:!1,includePreRelease:!!F.includePreRelease},pe);return Ce.forEach((Pe,Me)=>Y(Pe,(ve.pageNumber-1)*ve.pageSize+Me,F.source)),{extensions:Ce,total:be}},{extensions:ne,total:ce}=await ie(H,q),he=async(ve,pe)=>{if(pe.isCancellationRequested)throw new k.CancellationError;const{extensions:Ce}=await ie(H.withPage(ve+1),pe);return Ce};return{firstPage:ne,total:ce,pageSize:H.pageSize,getPage:he}}async queryGalleryExtensions(F,q,j){const te=F.flags;!!(F.flags&n.IncludeLatestVersionOnly)&&!!(F.flags&n.IncludeVersions)&&(F=F.withFlags(F.flags&~n.IncludeVersions,n.IncludeLatestVersionOnly)),!(F.flags&n.IncludeLatestVersionOnly)&&!(F.flags&n.IncludeVersions)&&(F=F.withFlags(F.flags,n.IncludeLatestVersionOnly)),q.versions?.length&&(F=F.withFlags(F.flags&~n.IncludeLatestVersionOnly,n.IncludeVersions)),F=F.withFlags(F.flags,n.IncludeAssetUri,n.IncludeCategoryAndTags,n.IncludeFiles,n.IncludeStatistics,n.IncludeVersionProperties);const{galleryExtensions:H,total:ie}=await this.queryRawGalleryExtensions(F,j);if(!(F.flags&n.IncludeLatestVersionOnly)){const ve=[];for(const pe of H){const Ce=await this.toGalleryExtensionWithCriteria(pe,q);Ce&&ve.push(Ce)}return{extensions:ve,total:ie}}const ce=[],he=new Map;for(let ve=0;ve<H.length;ve++){const pe=H[ve],Ce={id:(0,v.getGalleryExtensionId)(pe.publisher.publisherName,pe.extensionName),uuid:pe.extensionId},be=(0,b.isBoolean)(q.includePreRelease)?q.includePreRelease:!!q.includePreRelease.find(Me=>(0,v.areSameExtensions)(Me,Ce))?.includePreRelease;if(q.compatible&&(0,E.isNotWebExtensionInWebTargetPlatform)(x(pe),q.targetPlatform))continue;const Pe=await this.toGalleryExtensionWithCriteria(pe,q);!Pe||Pe.properties.isPreReleaseVersion&&(!be||!Pe.hasReleaseVersion)||!Pe.properties.isPreReleaseVersion&&Pe.properties.targetPlatform!==q.targetPlatform&&Pe.hasPreReleaseVersion?he.set(pe.extensionId,ve):ce.push([ve,Pe])}if(he.size){const ve=new Date().getTime(),pe=new l().withFlags(te&~n.IncludeLatestVersionOnly,n.IncludeVersions).withPage(1,he.size).withFilter(t.ExtensionId,...he.keys()),{extensions:Ce}=await this.queryGalleryExtensions(pe,q,j);this.telemetryService.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-ve,count:he.size});for(const be of Ce){const Pe=he.get(be.identifier.uuid);ce.push([Pe,be])}}return{extensions:ce.sort((ve,pe)=>ve[0]-pe[0]).map(([,ve])=>ve),total:ie}}async toGalleryExtensionWithCriteria(F,q){const j={id:(0,v.getGalleryExtensionId)(F.publisher.publisherName,F.extensionName),uuid:F.extensionId},te=q.versions?.find(ce=>(0,v.areSameExtensions)(ce,j))?.version,H=(0,b.isBoolean)(q.includePreRelease)?q.includePreRelease:!!q.includePreRelease.find(ce=>(0,v.areSameExtensions)(ce,j))?.includePreRelease,ie=x(F),ne=B(F.versions,q.targetPlatform);if(q.compatible&&(0,E.isNotWebExtensionInWebTargetPlatform)(ie,q.targetPlatform))return null;for(let ce=0;ce<ne.length;ce++){const he=ne[ce];if(!(te&&he.version!==te)){if(await this.isValidVersion(he,H?"any":"release",q.compatible,ie,q.targetPlatform))return se(F,he,ie);if(te&&he.version===te)return null}}return te||q.compatible?null:se(F,F.versions[0],ie)}async queryRawGalleryExtensions(F,q){if(!this.isEnabled())throw new Error("No extension gallery service configured.");F=F.withFlags(F.flags,n.ExcludeNonValidated).withFilter(t.Target,"Microsoft.VisualStudio.Code").withFilter(t.ExcludeWithFlags,r(n.Unpublished));const j=await this.commonHeadersPromise,te=JSON.stringify(F.raw),H={...j,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(te.length)},ie=new Date().getTime();let ne,ce,he=0;try{if(ne=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:te,headers:H},q),ne.res.statusCode&&ne.res.statusCode>=400&&ne.res.statusCode<500)return{galleryExtensions:[],total:he};const ve=await(0,p.asJson)(ne);if(ve){const pe=ve.results[0],Ce=pe.extensions,be=pe.resultMetadata&&pe.resultMetadata.filter(Pe=>Pe.metadataType==="ResultCount")[0];return he=be&&be.metadataItems.filter(Pe=>Pe.name==="TotalCount")[0].count||0,{galleryExtensions:Ce,total:he}}return{galleryExtensions:[],total:he}}catch(ve){throw ce=ve,ve}finally{this.telemetryService.publicLog2("galleryService:query",{...F.telemetryData,requestBodySize:String(te.length),duration:new Date().getTime()-ie,success:!!ne&&(0,p.isSuccess)(ne),responseBodySize:ne?.res.headers["Content-Length"],statusCode:ne?String(ne.res.statusCode):void 0,errorCode:ce?(0,k.isCancellationError)(ce)?"canceled":(0,k.getErrorMessage)(ce).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(he)})}}async reportStatistic(F,q,j,te){if(!this.isEnabled())return;const H=L.isWeb?this.api(`/itemName/${F}.${q}/version/${j}/statType/${te==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${F}/extensions/${q}/${j}/stats?statType=${te}`),ie=L.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",ce={...await this.commonHeadersPromise,Accept:ie};try{await this.requestService.request({type:"POST",url:H,headers:ce},i.CancellationToken.None)}catch{}}async download(F,q,j){this.logService.trace("ExtensionGalleryService#download",F.identifier.id);const te=(0,v.getGalleryExtensionTelemetryData)(F),H=new Date().getTime(),ie=ve=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...te,duration:ve}),ne=j===2?"install":j===3?"update":"",ce=ne?{uri:`${F.assets.download.uri}${C.URI.parse(F.assets.download.uri).query?"&":"?"}${ne}=true`,fallbackUri:`${F.assets.download.fallbackUri}${C.URI.parse(F.assets.download.fallbackUri).query?"&":"?"}${ne}=true`}:F.assets.download,he=await this.getAsset(ce);await this.fileService.writeFile(q,he.stream),ie(new Date().getTime()-H)}async getReadme(F,q){if(F.assets.readme){const j=await this.getAsset(F.assets.readme,{},q);return await(0,p.asTextOrError)(j)||""}return""}async getManifest(F,q){if(F.assets.manifest){const j=await this.getAsset(F.assets.manifest,{},q),te=await(0,p.asTextOrError)(j);return te?JSON.parse(te):null}return null}async getManifestFromRawExtensionVersion(F,q){const j=M(F,s.Manifest);if(!j)throw new Error("Manifest was not found");const te={"Accept-Encoding":"gzip"},H=await this.getAsset(j,{headers:te});return await(0,p.asJson)(H)}async getCoreTranslation(F,q){const j=F.assets.coreTranslations.filter(te=>te[0]===q.toUpperCase())[0];if(j){const te=await this.getAsset(j[1]),H=await(0,p.asTextOrError)(te);return H?JSON.parse(H):null}return null}async getChangelog(F,q){if(F.assets.changelog){const j=await this.getAsset(F.assets.changelog,{},q);return await(0,p.asTextOrError)(j)||""}return""}async getAllCompatibleVersions(F,q,j){let te=new l().withFlags(n.IncludeVersions,n.IncludeCategoryAndTags,n.IncludeFiles,n.IncludeVersionProperties).withPage(1,1);F.identifier.uuid?te=te.withFilter(t.ExtensionId,F.identifier.uuid):te=te.withFilter(t.ExtensionName,F.identifier.id);const{galleryExtensions:H}=await this.queryRawGalleryExtensions(te,i.CancellationToken.None);if(!H.length)return[];const ie=x(H[0]);if((0,E.isNotWebExtensionInWebTargetPlatform)(ie,j))return[];const ne=[];await Promise.all(H[0].versions.map(async ve=>{try{await this.isValidVersion(ve,q?"any":"release",!0,ie,j)&&ne.push(ve)}catch{}}));const ce=[],he=new Set;for(const ve of B(ne,j))he.has(ve.version)||(he.add(ve.version),ce.push({version:ve.version,date:ve.lastUpdated,isPreReleaseVersion:N(ve)}));return ce}async getAsset(F,q={},j=i.CancellationToken.None){const te=await this.commonHeadersPromise,H={type:"GET"},ie={...te,...q.headers||{}};q={...q,...H,headers:ie};const ne=F.uri,ce=F.fallbackUri,he={...q,url:ne};try{const ve=await this.requestService.request(he,j);if(ve.res.statusCode===200)return ve;const pe=await(0,p.asTextOrError)(ve);throw new Error(`Expected 200, got back ${ve.res.statusCode} instead.

${pe}`)}catch(ve){if((0,k.isCancellationError)(ve))throw ve;const pe=(0,k.getErrorMessage)(ve);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ne,message:pe});const Ce={...q,url:ce};return this.requestService.request(Ce,j)}}async getEngine(F){let q=$(F);if(!q){const j=await this.getManifestFromRawExtensionVersion(F,i.CancellationToken.None);if(!j)throw new Error("Manifest was not found");q=j.engines.vscode}return q}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[],deprecated:{}};const F=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},i.CancellationToken.None);if(F.res.statusCode!==200)throw new Error("Could not get extensions report.");const q=await(0,p.asJson)(F),j=[],te={};if(q){for(const H of q.malicious)j.push({id:H});if(q.migrateToPreRelease)for(const[H,ie]of Object.entries(q.migrateToPreRelease))(!ie.engine||(0,y.isEngineValid)(ie.engine,this.productService.version,this.productService.date))&&(te[H.toLowerCase()]={disallowInstall:!0,extension:{id:ie.id,displayName:ie.displayName,autoMigrate:{storage:!!ie.migrateStorage},preRelease:!0}});if(q.deprecated)for(const[H,ie]of Object.entries(q.deprecated))ie&&(te[H.toLowerCase()]=(0,b.isBoolean)(ie)?{}:ie)}return{malicious:j,deprecated:te}}};Z=ge([K(1,p.IRequestService),K(2,S.ILogService),K(3,I.IEnvironmentService),K(4,f.ITelemetryService),K(5,d.IFileService),K(6,w.IProductService),K(7,D.IConfigurationService)],Z);let W=class extends Z{constructor(F,q,j,te,H,ie,ne,ce){super(F,q,j,te,H,ie,ne,ce)}};W=ge([K(0,u.IStorageService),K(1,p.IRequestService),K(2,S.ILogService),K(3,I.IEnvironmentService),K(4,f.ITelemetryService),K(5,d.IFileService),K(6,w.IProductService),K(7,D.IConfigurationService)],W),e.ExtensionGalleryService=W;let V=class extends Z{constructor(F,q,j,te,H,ie,ne){super(void 0,F,q,j,te,H,ie,ne)}};V=ge([K(0,p.IRequestService),K(1,S.ILogService),K(2,I.IEnvironmentService),K(3,f.ITelemetryService),K(4,d.IFileService),K(5,w.IProductService),K(6,D.IConfigurationService)],V),e.ExtensionGalleryServiceWithNoStorageService=V}),define(re[72],oe([0,1,5,3,2,22,32,24,18,8,14]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStorageService=e.IExtensionStorageService=void 0,e.IExtensionStorageService=(0,R.createDecorator)("IExtensionStorageService");const E=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let v=class Je extends k.Disposable{constructor(d,S,w){super();this.storageService=d,this.productService=S,this.logService=w,this._onDidChangeExtensionStorageToSync=this._register(new i.Emitter),this.onDidChangeExtensionStorageToSync=this._onDidChangeExtensionStorageToSync.event,this.extensionsWithKeysForSync=Je.readAllExtensionsWithKeysForSync(d),this._register(this.storageService.onDidChangeValue(p=>this.onDidChangeStorageValue(p)))}static toKey(d){return`extensionKeys/${(0,A.adoptToGalleryExtensionId)(d.id)}@${d.version}`}static fromKey(d){const S=E.exec(d);if(S&&S[1])return{id:S[1],version:S[2]}}static async removeOutdatedExtensionVersions(d,S){const w=await d.getInstalled(),p=[];for(const[m,u]of Je.readAllExtensionsWithKeysForSync(S)){const f=w.find(h=>(0,A.areSameExtensions)(h.identifier,{id:m}))?.manifest.version;for(const h of u)f!==h&&p.push(Je.toKey({id:m,version:h}))}for(const m of p)S.remove(m,0)}static readAllExtensionsWithKeysForSync(d){const S=new Map,w=d.keys(0,1);for(const p of w){const m=Je.fromKey(p);if(m){let u=S.get(m.id.toLowerCase());u||S.set(m.id.toLowerCase(),u=[]),u.push(m.version)}}return S}onDidChangeStorageValue(d){if(d.scope!==0)return;if(this.extensionsWithKeysForSync.has(d.key.toLowerCase())){this._onDidChangeExtensionStorageToSync.fire();return}const S=Je.fromKey(d.key);if(S){if(this.storageService.get(d.key,0)===void 0)this.extensionsWithKeysForSync.delete(S.id.toLowerCase());else{let w=this.extensionsWithKeysForSync.get(S.id.toLowerCase());w||this.extensionsWithKeysForSync.set(S.id.toLowerCase(),w=[]),w.push(S.version),this._onDidChangeExtensionStorageToSync.fire()}return}}getExtensionId(d){if((0,I.isString)(d))return d;const S=d.manifest?d.manifest.publisher:d.publisher,w=d.manifest?d.manifest.name:d.name;return(0,A.getExtensionId)(S,w)}getExtensionState(d,S){const w=this.getExtensionId(d),p=this.storageService.get(w,S?0:1);if(p)try{return JSON.parse(p)}catch(m){this.logService.error(`[mainThreadStorage] unexpected error parsing storage contents (extensionId: ${w}, global: ${S}): ${m}`)}}setExtensionState(d,S,w){const p=this.getExtensionId(d);S===void 0?this.storageService.remove(p,w?0:1):this.storageService.store(p,JSON.stringify(S),w?0:1,1)}setKeysForSync(d,S){this.storageService.store(Je.toKey(d),JSON.stringify(S),0,1)}getKeysForSync(d){const S=this.productService.extensionSyncedKeys?.[d.id.toLowerCase()],w=this.storageService.get(Je.toKey(d),0),p=w?JSON.parse(w):void 0;return p&&S?(0,C.distinct)([...p,...S]):p||S}addToMigrationList(d,S){if(d!==S){const w=this.migrationList.filter(p=>!p.includes(d)&&!p.includes(S));w.push([d,S]),this.migrationList=w}}getSourceExtensionToMigrate(d){const S=this.migrationList.find(([,w])=>d===w);return S?S[0]:void 0}get migrationList(){const d=this.storageService.get("extensionStorage.migrationList",-1,"[]");try{const S=JSON.parse(d);if((0,I.isArray)(S))return S}catch{}return[]}set migrationList(d){d.length?this.storageService.store("extensionStorage.migrationList",JSON.stringify(d),-1,1):this.storageService.remove("extensionStorage.migrationList",-1)}};v=ge([K(0,L.IStorageService),K(1,b.IProductService),K(2,D.ILogService)],v),e.ExtensionStorageService=v}),define(re[251],oe([0,1,18,6,3,12,4,36,7,143,15,28,32,208,91,13,8,67,24,46,22,21]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;const n="extensionTips/promptedExecutableTips",r="extensionTips/lastPromptedMediumImpExeTime";let t=class extends y.ExtensionTipsService{constructor(a,c,o,l,g,P,U,_,M,T){super(U,_,M,T);this.environmentService=a,this.telemetryService=c,this.extensionManagementService=o,this.storageService=l,this.nativeHostService=g,this.extensionRecommendationNotificationService=P,this.highImportanceExecutableTips=new Map,this.mediumImportanceExecutableTips=new Map,this.allOtherExecutableTips=new Map,this.highImportanceTipsByExe=new Map,this.mediumImportanceTipsByExe=new Map,_.exeBasedExtensionTips&&Object.entries(_.exeBasedExtensionTips).forEach(([$,N])=>{const G=[],J=[],z=[];Object.entries(N.recommendations).forEach(([Q,x])=>{x.important?N.important?G.push({extensionId:Q,extensionName:x.name,isExtensionPack:!!x.isExtensionPack}):J.push({extensionId:Q,extensionName:x.name,isExtensionPack:!!x.isExtensionPack}):z.push({extensionId:Q,extensionName:x.name,isExtensionPack:!!x.isExtensionPack})}),G.length&&this.highImportanceExecutableTips.set($,{exeFriendlyName:N.friendlyName,windowsPath:N.windowsPath,recommendations:G}),J.length&&this.mediumImportanceExecutableTips.set($,{exeFriendlyName:N.friendlyName,windowsPath:N.windowsPath,recommendations:J}),z.length&&this.allOtherExecutableTips.set($,{exeFriendlyName:N.friendlyName,windowsPath:N.windowsPath,recommendations:z})}),(0,i.timeout)(3e3).then(async()=>{await this.collectTips(),this.promptHighImportanceExeBasedTip(),this.promptMediumImportanceExeBasedTip()})}async getImportantExecutableBasedTips(){const a=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),c=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips);return[...a,...c]}getOtherExecutableBasedTips(){return this.getValidExecutableBasedExtensionTips(this.allOtherExecutableTips)}async collectTips(){const a=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),c=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips),o=await this.extensionManagementService.getInstalled();this.highImportanceTipsByExe=this.groupImportantTipsByExe(a,o),this.mediumImportanceTipsByExe=this.groupImportantTipsByExe(c,o)}groupImportantTipsByExe(a,c){const o=new Map;a.forEach(_=>o.set(_.extensionId.toLowerCase(),_));const{installed:l,uninstalled:g}=this.groupByInstalled([...o.keys()],c);for(const _ of l){const M=o.get(_);M&&this.telemetryService.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:_,exeName:M.exeName})}for(const _ of g){const M=o.get(_);M&&this.telemetryService.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:_,exeName:M.exeName})}const P=this.getPromptedExecutableTips(),U=new Map;for(const _ of g){const M=o.get(_);if(M&&(!P[M.exeName]||!P[M.exeName].includes(M.extensionId))){let T=U.get(M.exeName);T||(T=[],U.set(M.exeName,T)),T.push(M)}}return U}promptHighImportanceExeBasedTip(){if(this.highImportanceTipsByExe.size===0)return;const[a,c]=[...this.highImportanceTipsByExe.entries()][0];this.promptExeRecommendations(c).then(o=>{switch(o){case"reacted":this.addToRecommendedExecutables(c[0].exeName,c);break;case"ignored":this.highImportanceTipsByExe.delete(a);break;case"incompatibleWindow":{const l=k.Event.once(k.Event.latch(k.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(l(()=>this.promptHighImportanceExeBasedTip()));break}case"toomany":{const l=this._register((0,i.disposableTimeout)(()=>{l.dispose(),this.promptHighImportanceExeBasedTip()},60*60*1e3));break}}})}promptMediumImportanceExeBasedTip(){if(this.mediumImportanceTipsByExe.size===0)return;const a=this.getLastPromptedMediumExeTime(),c=Date.now()-a,o=7*24*60*60*1e3;if(c<o){const P=this._register((0,i.disposableTimeout)(()=>{P.dispose(),this.promptMediumImportanceExeBasedTip()},o-c));return}const[l,g]=[...this.mediumImportanceTipsByExe.entries()][0];this.promptExeRecommendations(g).then(P=>{switch(P){case"reacted":{this.updateLastPromptedMediumExeTime(Date.now()),this.mediumImportanceTipsByExe.delete(l),this.addToRecommendedExecutables(g[0].exeName,g);const U=this._register((0,i.disposableTimeout)(()=>{U.dispose(),this.promptMediumImportanceExeBasedTip()},o));break}case"ignored":this.mediumImportanceTipsByExe.delete(l),this.promptMediumImportanceExeBasedTip();break;case"incompatibleWindow":{const U=k.Event.once(k.Event.latch(k.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(U(()=>this.promptMediumImportanceExeBasedTip()));break}case"toomany":{const U=this._register((0,i.disposableTimeout)(()=>{U.dispose(),this.promptMediumImportanceExeBasedTip()},60*60*1e3));break}}})}async promptExeRecommendations(a){const c=await this.extensionManagementService.getInstalled(1),o=a.filter(g=>!g.whenNotInstalled||g.whenNotInstalled.every(P=>c.every(U=>!(0,v.areSameExtensions)(U.identifier,{id:P})))).map(({extensionId:g})=>g.toLowerCase()),l=(0,D.localize)(0,null,a[0].exeFriendlyName);return this.extensionRecommendationNotificationService.promptImportantExtensionsInstallNotification(o,l,`@exe:"${a[0].exeName}"`,3)}getLastPromptedMediumExeTime(){let a=this.storageService.getNumber(r,-1);return a||(a=Date.now(),this.updateLastPromptedMediumExeTime(a)),a}updateLastPromptedMediumExeTime(a){this.storageService.store(r,a,-1,1)}getPromptedExecutableTips(){return JSON.parse(this.storageService.get(n,-1,"{}"))}addToRecommendedExecutables(a,c){const o=this.getPromptedExecutableTips();o[a]=c.map(({extensionId:l})=>l.toLowerCase()),this.storageService.store(n,JSON.stringify(o),-1,0)}groupByInstalled(a,c){const o=[],l=[],g=c.reduce((P,U)=>(P.add(U.identifier.id.toLowerCase()),P),new Set);return a.forEach(P=>{g.has(P.toLowerCase())?o.push(P):l.push(P)}),{installed:o,uninstalled:l}}async getValidExecutableBasedExtensionTips(a){const c=[],o=new Map;for(const l of a.keys()){const g=a.get(l);if(!g||!(0,R.isNonEmptyArray)(g.recommendations))continue;const P=[];A.isWindows?g.windowsPath&&P.push(g.windowsPath.replace("%USERPROFILE%",b.env.USERPROFILE).replace("%ProgramFiles(x86)%",b.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",b.env.ProgramFiles).replace("%APPDATA%",b.env.APPDATA).replace("%WINDIR%",b.env.WINDIR)):(P.push((0,L.join)("/usr/local/bin",l)),P.push((0,L.join)("/usr/bin",l)),P.push((0,L.join)(this.environmentService.userHome.fsPath,l)));for(const U of P){let _=o.get(U);if(_===void 0&&(_=await this.fileService.exists(C.URI.file(U)),o.set(U,_)),_)for(const{extensionId:M,extensionName:T,isExtensionPack:$,whenNotInstalled:N}of g.recommendations)c.push({extensionId:M,extensionName:T,isExtensionPack:$,exeName:l,exeFriendlyName:g.exeFriendlyName,windowsPath:g.windowsPath,whenNotInstalled:N})}}return c}};t=ge([K(0,I.INativeEnvironmentService),K(1,h.ITelemetryService),K(2,E.IExtensionManagementService),K(3,f.IStorageService),K(4,p.INativeHostService),K(5,d.IExtensionRecommendationNotificationService),K(6,S.IFileService),K(7,m.IProductService),K(8,u.IRequestService),K(9,w.ILogService)],t),e.ExtensionTipsService=t}),define(re[252],oe([0,1,6,2,16,85,22,214]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeStorageService=void 0;class C extends A.AbstractStorageService{constructor(I,E,v,y){super();this.initialWorkspace=I,this.initialProfiles=E,this.mainProcessService=v,this.environmentService=y,this.applicationStorageProfile=this.initialProfiles.defaultProfile,this.applicationStorage=this.createApplicationStorage(),this.profileStorageProfile=this.initialProfiles.currentProfile,this.profileStorageDisposables=this._register(new i.DisposableStore),this.profileStorage=this.createProfileStorage(this.profileStorageProfile),this.workspaceStorageId=this.initialWorkspace?.id,this.workspaceStorageDisposables=this._register(new i.DisposableStore),this.workspaceStorage=this.createWorkspaceStorage(this.initialWorkspace)}createApplicationStorage(){const I=this._register(new b.ApplicationStorageDatabaseClient(this.mainProcessService.getChannel("storage"))),E=this._register(new L.Storage(I));return this._register(E.onDidChangeStorage(v=>this.emitDidChangeValue(-1,v))),E}createProfileStorage(I){this.profileStorageDisposables.clear(),this.profileStorageProfile=I;let E;if((0,A.isProfileUsingDefaultStorage)(I))E=this.applicationStorage;else{const v=this.profileStorageDisposables.add(new b.ProfileStorageDatabaseClient(this.mainProcessService.getChannel("storage"),I));E=this.profileStorageDisposables.add(new L.Storage(v))}return this.profileStorageDisposables.add(E.onDidChangeStorage(v=>this.emitDidChangeValue(0,v))),E}createWorkspaceStorage(I){this.workspaceStorageDisposables.clear(),this.workspaceStorageId=I?.id;let E;if(I){const v=this.workspaceStorageDisposables.add(new b.WorkspaceStorageDatabaseClient(this.mainProcessService.getChannel("storage"),I));E=this.workspaceStorageDisposables.add(new L.Storage(v)),this.workspaceStorageDisposables.add(E.onDidChangeStorage(y=>this.emitDidChangeValue(1,y)))}return E}async doInitialize(){await R.Promises.settled([this.applicationStorage.init(),this.profileStorage.init(),this.workspaceStorage?.init()??Promise.resolve()])}getStorage(I){switch(I){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(I){switch(I){case-1:return this.applicationStorageProfile.globalStorageHome.fsPath;case 0:return this.profileStorageProfile?.globalStorageHome.fsPath;default:return this.workspaceStorageId?`${(0,k.joinPath)(this.environmentService.workspaceStorageHome,this.workspaceStorageId,"state.vscdb").fsPath}`:void 0}}async close(){this.stopFlushWhenIdle(),this.emitWillSaveState(A.WillSaveStateReason.SHUTDOWN),await R.Promises.settled([this.applicationStorage.close(),this.profileStorage.close(),this.workspaceStorage?.close()??Promise.resolve()])}async switchToProfile(I,E){if(!this.canSwitchProfile(this.profileStorageProfile,I))return;const v=this.profileStorage,y=v.items;v!==this.applicationStorage&&await v.close(),this.profileStorage=this.createProfileStorage(I),await this.profileStorage.init(),this.switchData(y,this.profileStorage,0,E)}async switchToWorkspace(I,E){const v=this.workspaceStorage,y=v?.items??new Map;await v?.close(),this.workspaceStorage=this.createWorkspaceStorage(I),await this.workspaceStorage.init(),this.switchData(y,this.workspaceStorage,1,E)}}e.NativeStorageService=C}),define(re[253],oe([0,1,3,2,16,15,94,29]),function(X,e,R,i,k,L,A,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesNativeService=void 0;let C=class extends i.Disposable{constructor(I,E,v){super();this._profiles=[],this._onDidChangeProfiles=this._register(new R.Emitter),this.onDidChangeProfiles=this._onDidChangeProfiles.event,this.channel=E.getChannel("userDataProfiles"),this.profilesHome=(0,k.joinPath)(v.userRoamingDataHome,"profiles"),this._profiles=I.map(y=>(0,b.reviveProfile)(y,this.profilesHome.scheme)),this._register(this.channel.listen("onDidChangeProfiles")(y=>{const d=y.added.map(w=>(0,b.reviveProfile)(w,this.profilesHome.scheme)),S=y.removed.map(w=>(0,b.reviveProfile)(w,this.profilesHome.scheme));this._profiles=y.all.map(w=>(0,b.reviveProfile)(w,this.profilesHome.scheme)),this._onDidChangeProfiles.fire({added:d,removed:S,all:this.profiles})}))}get defaultProfile(){return this.profiles[0]}get profiles(){return this._profiles}async createProfile(I,E,v){const y=await this.channel.call("createProfile",[I,E,v]);return(0,b.reviveProfile)(y,this.profilesHome.scheme)}async setProfileForWorkspace(I,E){await this.channel.call("setProfileForWorkspace",[I,E])}removeProfile(I){return this.channel.call("removeProfile",[I])}getProfile(I){throw new Error("Not implemented")}};C=ge([K(1,A.IMainProcessService),K(2,L.IEnvironmentService)],C),e.UserDataProfilesNativeService=C}),define(re[47],oe([0,1,18,6,17,23,3,35,2,26,14,7,158,19,15,13,8,49,22,21,33,25,29]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractInitializer=e.AbstractJsonFileSynchroniser=e.AbstractFileSynchroniser=e.AbstractSynchroniser=e.isSyncData=void 0;function r(o){return!!(o&&o.version!==void 0&&typeof o.version=="number"&&o.content!==void 0&&typeof o.content=="string"&&(Object.keys(o).length===2||Object.keys(o).length===3&&o.machineId!==void 0&&typeof o.machineId=="string"))}e.isSyncData=r;let t=class extends C.Disposable{constructor(l,g,P,U,_,M,T,$,N,G,J){super();this.resource=l,this.fileService=g,this.environmentService=P,this.userDataSyncStoreService=_,this.userDataSyncBackupStoreService=M,this.userDataSyncEnablementService=T,this.telemetryService=$,this.logService=N,this.configurationService=G,this.syncPreviewPromise=null,this._status="idle",this._onDidChangStatus=this._register(new A.Emitter),this.onDidChangeStatus=this._onDidChangStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new A.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this.localChangeTriggerThrottler=new i.ThrottledDelayer(50),this._onDidChangeLocal=this._register(new A.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this.hasSyncResourceStateVersionChanged=!1,this.syncHeaders={},this.syncResourceLogLabel=(0,D.uppercaseFirstLetter)(this.resource),this.extUri=J.extUri,this.syncFolder=this.extUri.joinPath(P.userDataSyncHome,l),this.syncPreviewFolder=this.extUri.joinPath(this.syncFolder,h.PREVIEW_DIR_NAME),this.lastSyncResource=(0,h.getLastSyncResourceUri)(l,P,this.extUri),this.currentMachineIdPromise=(0,p.getServiceMachineId)(P,g,U)}get status(){return this._status}get conflicts(){return this._conflicts}triggerLocalChange(){this.localChangeTriggerThrottler.trigger(()=>this.doTriggerLocalChange())}async doTriggerLocalChange(){if(this.status==="hasConflicts"){this.logService.info(`${this.syncResourceLogLabel}: In conflicts state and local change detected. Syncing again...`);const l=await this.syncPreviewPromise;this.syncPreviewPromise=null;const g=await this.performSync(l.remoteUserData,l.lastSyncUserData,!0,this.getUserDataSyncConfiguration());this.setStatus(g)}else{this.logService.trace(`${this.syncResourceLogLabel}: Checking for local changes...`);const l=await this.getLastSyncUserData();(l?await this.hasRemoteChanged(l):!0)&&this._onDidChangeLocal.fire()}}setStatus(l){this._status!==l&&(this._status=l,this._onDidChangStatus.fire(l))}async sync(l,g={}){await this._sync(l,!0,this.getUserDataSyncConfiguration(),g)}async preview(l,g,P={}){return this._sync(l,!1,g,P)}async apply(l,g={}){try{this.syncHeaders={...g};const P=await this.doApply(l);return this.setStatus(P),this.syncPreviewPromise}finally{this.syncHeaders={}}}async _sync(l,g,P,U){try{if(this.syncHeaders={...U},this.status==="hasConflicts")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.syncPreviewPromise;if(this.status==="syncing")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.syncPreviewPromise;this.logService.trace(`${this.syncResourceLogLabel}: Started synchronizing ${this.resource.toLowerCase()}...`),this.setStatus("syncing");let _="idle";try{const M=await this.getLastSyncUserData(),T=await this.getLatestRemoteUserData(l,M);return _=await this.performSync(T,M,g,P),_==="hasConflicts"?this.logService.info(`${this.syncResourceLogLabel}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):_==="idle"&&this.logService.trace(`${this.syncResourceLogLabel}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise||null}finally{this.setStatus(_)}}finally{this.syncHeaders={}}}async replace(l){const g=await this.resolveContent(l);if(!g)return!1;const P=this.parseSyncData(g);if(!P)return!1;await this.stop();try{this.logService.trace(`${this.syncResourceLogLabel}: Started resetting ${this.resource.toLowerCase()}...`),this.setStatus("syncing");const U=await this.getLastSyncUserData(),_=await this.getLatestRemoteUserData(null,U),M=await this.isRemoteDataFromCurrentMachine(_),T=await this.generateSyncPreview({ref:_.ref,syncData:P},U,M,this.getUserDataSyncConfiguration(),L.CancellationToken.None),$=[];for(const N of T){const G=await this.getAcceptResult(N,N.remoteResource,void 0,L.CancellationToken.None),{remoteChange:J}=await this.getAcceptResult(N,N.previewResource,N.remoteContent,L.CancellationToken.None);$.push([N,{...G,remoteChange:J!==0?J:2}])}await this.applyResult(_,U,$,!1),this.logService.info(`${this.syncResourceLogLabel}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.setStatus("idle")}return!0}async isRemoteDataFromCurrentMachine(l){const g=await this.currentMachineIdPromise;return!!l.syncData?.machineId&&l.syncData.machineId===g}async getLatestRemoteUserData(l,g){if(g){const P=l&&l.latest?l.latest[this.resource]:void 0;if(g.ref===P||P===void 0&&g.syncData===null)return g}return this.getRemoteUserData(g)}async performSync(l,g,P,U){if(l.syncData&&l.syncData.version>this.version)throw this.telemetryService.publicLog2("sync/incompatible",{source:this.resource}),new h.UserDataSyncError((0,v.localize)(0,null,this.resource,this.version,l.syncData.version),"IncompatibleLocalContent",this.resource);try{return await this.doSync(l,g,P,U)}catch(_){if(_ instanceof h.UserDataSyncError)switch(_.code){case"LocalPreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize ${this.syncResourceLogLabel} as there is a new local version available. Synchronizing again...`),this.performSync(l,g,P,U);case"Conflict":case"PreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),l=await this.getRemoteUserData(null),g=await this.getLastSyncUserData(),this.performSync(l,g,P,U)}throw _}}async doSync(l,g,P,U){try{this.syncPreviewPromise||(this.syncPreviewPromise=(0,i.createCancelablePromise)(M=>this.doGenerateSyncResourcePreview(l,g,P,U,M)));const _=await this.syncPreviewPromise;return this.updateConflicts(_.resourcePreviews),_.resourcePreviews.some(({mergeState:M})=>M==="conflict")?"hasConflicts":P?await this.doApply(!1):"syncing"}catch(_){throw this.syncPreviewPromise=null,_}}async merge(l){return await this.updateSyncResourcePreview(l,async g=>{const P=await this.getMergeResult(g,L.CancellationToken.None);await this.fileService.writeFile(g.previewResource,k.VSBuffer.fromString(P?.content||""));const U=P&&!P.hasConflicts?await this.getAcceptResult(g,g.previewResource,void 0,L.CancellationToken.None):void 0;return g.acceptResult=U,g.mergeState=P.hasConflicts?"conflict":U?"accepted":"preview",g.localChange=U?U.localChange:P.localChange,g.remoteChange=U?U.remoteChange:P.remoteChange,g}),this.syncPreviewPromise}async accept(l,g){return await this.updateSyncResourcePreview(l,async P=>{const U=await this.getAcceptResult(P,l,g,L.CancellationToken.None);return P.acceptResult=U,P.mergeState="accepted",P.localChange=U.localChange,P.remoteChange=U.remoteChange,P}),this.syncPreviewPromise}async discard(l){return await this.updateSyncResourcePreview(l,async g=>{const P=await this.getMergeResult(g,L.CancellationToken.None);return await this.fileService.writeFile(g.previewResource,k.VSBuffer.fromString(P.content||"")),g.acceptResult=void 0,g.mergeState="preview",g.localChange=P.localChange,g.remoteChange=P.remoteChange,g}),this.syncPreviewPromise}async updateSyncResourcePreview(l,g){if(!this.syncPreviewPromise)return;let P=await this.syncPreviewPromise;const U=P.resourcePreviews.findIndex(({localResource:_,remoteResource:M,previewResource:T})=>this.extUri.isEqual(_,l)||this.extUri.isEqual(M,l)||this.extUri.isEqual(T,l));U!==-1&&(this.syncPreviewPromise=(0,i.createCancelablePromise)(async _=>{const M=[...P.resourcePreviews];return M[U]=await g(M[U]),{...P,resourcePreviews:M}}),P=await this.syncPreviewPromise,this.updateConflicts(P.resourcePreviews),P.resourcePreviews.some(({mergeState:_})=>_==="conflict")?this.setStatus("hasConflicts"):this.setStatus("syncing"))}async doApply(l){if(!this.syncPreviewPromise)return"idle";const g=await this.syncPreviewPromise;return g.resourcePreviews.some(({mergeState:P})=>P==="conflict")?"hasConflicts":g.resourcePreviews.some(({mergeState:P})=>P!=="accepted")?"syncing":(await this.applyResult(g.remoteUserData,g.lastSyncUserData,g.resourcePreviews.map(P=>[P,P.acceptResult]),l),this.syncPreviewPromise=null,await this.clearPreviewFolder(),"idle")}async clearPreviewFolder(){try{await this.fileService.del(this.syncPreviewFolder,{recursive:!0})}catch{}}updateConflicts(l){const g=l.filter(({mergeState:P})=>P==="conflict");(0,R.equals)(this._conflicts,g,(P,U)=>this.extUri.isEqual(P.previewResource,U.previewResource))||(this._conflicts=g,this._onDidChangeConflicts.fire(g))}async hasPreviouslySynced(){const l=await this.getLastSyncUserData();return!!l&&l.syncData!==null}async getRemoteSyncResourceHandles(){return(await this.userDataSyncStoreService.getAllRefs(this.resource)).map(({created:g,ref:P})=>({created:g,uri:this.toRemoteBackupResource(P)}))}async getLocalSyncResourceHandles(){return(await this.userDataSyncBackupStoreService.getAllRefs(this.resource)).map(({created:g,ref:P})=>({created:g,uri:this.toLocalBackupResource(P)}))}toRemoteBackupResource(l){return E.URI.from({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote-backup",path:`/${this.resource}/${l}`})}toLocalBackupResource(l){return E.URI.from({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local-backup",path:`/${this.resource}/${l}`})}async getMachineId({uri:l}){const g=this.extUri.basename(l);if(this.extUri.isEqual(l,this.toRemoteBackupResource(g))){const{content:P}=await this.getUserData(g);if(P)return this.parseSyncData(P)?.machineId}}async resolveContent(l){const g=this.extUri.basename(l);if(this.extUri.isEqual(l,this.toRemoteBackupResource(g))){const{content:P}=await this.getUserData(g);return P}return this.extUri.isEqual(l,this.toLocalBackupResource(g))?this.userDataSyncBackupStoreService.resolveContent(this.resource,g):null}async resolvePreviewContent(l){const g=this.syncPreviewPromise?await this.syncPreviewPromise:null;if(g)for(const P of g.resourcePreviews){if(this.extUri.isEqual(P.acceptedResource,l))return P.acceptResult?P.acceptResult.content:null;if(this.extUri.isEqual(P.remoteResource,l))return P.remoteContent;if(this.extUri.isEqual(P.localResource,l))return P.localContent;if(this.extUri.isEqual(P.baseResource,l))return P.baseContent}return null}async resetLocal(){try{await this.fileService.del(this.lastSyncResource)}catch{}}async doGenerateSyncResourcePreview(l,g,P,U,_){const M=await this.isRemoteDataFromCurrentMachine(l),T=await this.generateSyncPreview(l,g,M,U,_),$=[];for(const N of T){const G=N.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"});if(N.localChange===0&&N.remoteChange===0)$.push({...N,acceptedResource:G,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"});else{const J=P?await this.getMergeResult(N,_):void 0;if(_.isCancellationRequested)break;await this.fileService.writeFile(N.previewResource,k.VSBuffer.fromString(J?.content||""));const z=J&&!J.hasConflicts?await this.getAcceptResult(N,N.previewResource,void 0,_):void 0;$.push({...N,acceptResult:z,mergeState:J?.hasConflicts?"conflict":z?"accepted":"preview",localChange:z?z.localChange:J?J.localChange:N.localChange,remoteChange:z?z.remoteChange:J?J.remoteChange:N.remoteChange})}}return{remoteUserData:l,lastSyncUserData:g,resourcePreviews:$,isLastSyncFromCurrentMachine:M}}async getLastSyncUserData(){try{const l=await this.fileService.readFile(this.lastSyncResource),g=JSON.parse(l.value.toString()),P=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource);if(this.hasSyncResourceStateVersionChanged=g.version&&P&&g.version!==P,this.hasSyncResourceStateVersionChanged)return this.logService.info(`${this.syncResourceLogLabel}: Reset last sync state because last sync state version ${g.version} is not compatible with current sync state version ${P}.`),await this.resetLocal(),null;const U=g;if(U.content===null)return{ref:g.ref,syncData:null};const _=JSON.parse(U.content);if(r(_))return{...g,syncData:_,content:void 0}}catch(l){l instanceof S.FileOperationError&&l.fileOperationResult===1||this.logService.error(l)}return null}async updateLastSyncUserData(l,g={}){if(g.ref||g.content||g.version)throw new Error("Cannot have core properties as additional");const P=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource),U={ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null,version:P,...g};await this.fileService.writeFile(this.lastSyncResource,k.VSBuffer.fromString(JSON.stringify(U)))}async getRemoteUserData(l){const{ref:g,content:P}=await this.getUserData(l);let U=null;return P!==null&&(U=this.parseSyncData(P)),{ref:g,syncData:U}}parseSyncData(l){try{const g=JSON.parse(l);if(r(g))return g}catch(g){this.logService.error(g)}throw new h.UserDataSyncError((0,v.localize)(1,null),"IncompatibleRemoteContent",this.resource)}async getUserData(l){if((0,I.isString)(l)){const g=await this.userDataSyncStoreService.resolveContent(this.resource,l);return{ref:l,content:g}}else{const g=l?{ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null}:null;return this.userDataSyncStoreService.read(this.resource,g,this.syncHeaders)}}async updateRemoteUserData(l,g){const P=await this.currentMachineIdPromise,U={version:this.version,machineId:P,content:l};return g=await this.userDataSyncStoreService.write(this.resource,JSON.stringify(U),g,this.syncHeaders),{ref:g,syncData:U}}async backupLocal(l){const g={version:this.version,content:l};return this.userDataSyncBackupStoreService.backup(this.resource,JSON.stringify(g))}async stop(){this.status!=="idle"&&(this.logService.trace(`${this.syncResourceLogLabel}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise&&(this.syncPreviewPromise.cancel(),this.syncPreviewPromise=null),this.updateConflicts([]),await this.clearPreviewFolder(),this.setStatus("idle"),this.logService.info(`${this.syncResourceLogLabel}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}getUserDataSyncConfiguration(){return this.configurationService.getValue(h.USER_DATA_SYNC_CONFIGURATION_SCOPE)}};t=ge([K(1,S.IFileService),K(2,d.IEnvironmentService),K(3,m.IStorageService),K(4,h.IUserDataSyncStoreService),K(5,h.IUserDataSyncBackupStoreService),K(6,h.IUserDataSyncEnablementService),K(7,u.ITelemetryService),K(8,h.IUserDataSyncLogService),K(9,y.IConfigurationService),K(10,f.IUriIdentityService)],t),e.AbstractSynchroniser=t;let s=class extends t{constructor(l,g,P,U,_,M,T,$,N,G,J,z){super(g,P,U,_,M,T,$,N,G,J,z);this.file=l,this._register(this.fileService.watch(this.extUri.dirname(l))),this._register(this.fileService.onDidFilesChange(Q=>this.onFileChanges(Q)))}async getLocalFileContent(){try{return await this.fileService.readFile(this.file)}catch{return null}}async updateLocalFileContent(l,g,P){try{g?await this.fileService.writeFile(this.file,k.VSBuffer.fromString(l),P?void 0:g):await this.fileService.createFile(this.file,k.VSBuffer.fromString(l),{overwrite:P})}catch(U){throw U instanceof S.FileOperationError&&U.fileOperationResult===1||U instanceof S.FileOperationError&&U.fileOperationResult===3?new h.UserDataSyncError(U.message,"LocalPreconditionFailed"):U}}onFileChanges(l){!l.contains(this.file)||this.triggerLocalChange()}};s=ge([K(2,S.IFileService),K(3,d.IEnvironmentService),K(4,m.IStorageService),K(5,h.IUserDataSyncStoreService),K(6,h.IUserDataSyncBackupStoreService),K(7,h.IUserDataSyncEnablementService),K(8,u.ITelemetryService),K(9,h.IUserDataSyncLogService),K(10,y.IConfigurationService),K(11,f.IUriIdentityService)],s),e.AbstractFileSynchroniser=s;let a=class extends s{constructor(l,g,P,U,_,M,T,$,N,G,J,z,Q){super(l,g,P,U,_,M,T,$,N,G,z,Q);this.userDataSyncUtilService=J,this._formattingOptions=void 0}hasErrors(l,g){const P=[],U=(0,b.parse)(l,P,{allowEmptyContent:!0,allowTrailingComma:!0});return P.length>0||!(0,I.isUndefined)(U)&&g!==Array.isArray(U)}getFormattingOptions(){return this._formattingOptions||(this._formattingOptions=this.userDataSyncUtilService.resolveFormattingOptions(this.file)),this._formattingOptions}};a=ge([K(2,S.IFileService),K(3,d.IEnvironmentService),K(4,m.IStorageService),K(5,h.IUserDataSyncStoreService),K(6,h.IUserDataSyncBackupStoreService),K(7,h.IUserDataSyncEnablementService),K(8,u.ITelemetryService),K(9,h.IUserDataSyncLogService),K(10,h.IUserDataSyncUtilService),K(11,y.IConfigurationService),K(12,f.IUriIdentityService)],a),e.AbstractJsonFileSynchroniser=a;let c=class{constructor(l,g,P,U,_,M){this.resource=l,this.userDataProfilesService=g,this.environmentService=P,this.logService=U,this.fileService=_,this.extUri=M.extUri,this.lastSyncResource=(0,h.getLastSyncResourceUri)(this.resource,P,this.extUri)}async initialize({ref:l,content:g}){if(!g){this.logService.info("Remote content does not exist.",this.resource);return}const P=this.parseSyncData(g);if(!!P)try{await this.doInitialize({ref:l,syncData:P})}catch(U){this.logService.error(U)}}parseSyncData(l){try{const g=JSON.parse(l);if(r(g))return g}catch(g){this.logService.error(g)}this.logService.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async updateLastSyncUserData(l,g={}){const P={ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null,...g};await this.fileService.writeFile(this.lastSyncResource,k.VSBuffer.fromString(JSON.stringify(P)))}};c=ge([K(1,n.IUserDataProfilesService),K(2,d.IEnvironmentService),K(3,w.ILogService),K(4,S.IFileService),K(5,f.IUriIdentityService)],c),e.AbstractInitializer=c}),define(re[254],oe([0,1,6,23,9,3,53,26,7,19,15,28,32,72,13,8,22,21,33,29,47,234,106,25]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h,n,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionsInitializer=e.ExtensionsSynchroniser=void 0;async function t(c,o){const l=JSON.parse(c.content);if(c.version===1||c.version===2){const g=(await o.getInstalled(0)).filter(P=>P.isBuiltin);for(const P of l)c.version===1&&(P.enabled===!1&&(P.disabled=!0),delete P.enabled),c.version===2&&g.every(U=>!(0,v.areSameExtensions)(U.identifier,P.identifier))&&(P.installed=!0)}return l}let s=class mt extends f.AbstractSynchroniser{constructor(o,l,g,P,U,_,M,T,$,N,G,J,z,Q,x){super("extensions",l,o,g,P,U,J,z,$,G,x);this.extensionManagementService=_,this.extensionEnablementService=M,this.ignoredExtensionsManagementService=T,this.extensionGalleryService=N,this.extensionStorageService=Q,this.version=5,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"extensions.json"),this.baseResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(L.Event.any(L.Event.filter(this.extensionManagementService.onDidInstallExtensions,B=>B.some(({local:Y})=>!!Y)),L.Event.filter(this.extensionManagementService.onDidUninstallExtension,B=>!B.error),this.extensionEnablementService.onDidChangeEnablement,this.extensionStorageService.onDidChangeExtensionStorageToSync)(()=>this.triggerLocalChange()))}async generateSyncPreview(o,l){const g=o.syncData?await t(o.syncData,this.extensionManagementService):null,P=l?.skippedExtensions||[],U=l?.syncData?await t(l.syncData,this.extensionManagementService):null,_=await this.extensionManagementService.getInstalled(void 0),M=this.getLocalExtensions(_),T=this.ignoredExtensionsManagementService.getIgnoredExtensions(_);g?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote extensions with local extensions...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{local:$,remote:N}=(0,h.merge)(M,g,U,P,T),G={local:$,remote:N,content:this.getPreviewContent(M,$.added,$.updated,$.removed),localChange:$.added.length>0||$.removed.length>0||$.updated.length>0?2:0,remoteChange:N!==null?2:0},J=this.stringify(M,!1);return[{skippedExtensions:P,baseResource:this.baseResource,baseContent:U?this.stringify(U,!1):J,localResource:this.localResource,localContent:J,localExtensions:M,remoteResource:this.remoteResource,remoteContent:g?this.stringify(g,!1):null,previewResource:this.previewResource,previewResult:G,localChange:G.localChange,remoteChange:G.remoteChange,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(o){const l=o.syncData?await t(o.syncData,this.extensionManagementService):null,g=await this.extensionManagementService.getInstalled(void 0),P=this.getLocalExtensions(g),U=this.ignoredExtensionsManagementService.getIgnoredExtensions(g),{remote:_}=(0,h.merge)(P,l,l,o.skippedExtensions||[],U);return _!==null}getPreviewContent(o,l,g,P){const U=[...l,...g],_=new Set,M=T=>{_.add(T.id.toLowerCase()),T.uuid&&_.add(T.uuid)};U.forEach(({identifier:T})=>M(T)),P.forEach(M);for(const T of o)_.has(T.identifier.id.toLowerCase())||T.identifier.uuid&&_.has(T.identifier.uuid)||U.push(T);return this.stringify(U,!1)}async getMergeResult(o,l){return{...o.previewResult,hasConflicts:!1}}async getAcceptResult(o,l,g,P){if(this.extUri.isEqual(l,this.localResource))return this.acceptLocal(o);if(this.extUri.isEqual(l,this.remoteResource))return this.acceptRemote(o);if(this.extUri.isEqual(l,this.previewResource))return o.previewResult;throw new Error(`Invalid Resource: ${l.toString()}`)}async acceptLocal(o){const l=await this.extensionManagementService.getInstalled(),g=this.ignoredExtensionsManagementService.getIgnoredExtensions(l),P=(0,h.merge)(o.localExtensions,null,null,o.skippedExtensions,g),{local:U,remote:_}=P;return{content:o.localContent,local:U,remote:_,localChange:U.added.length>0||U.removed.length>0||U.updated.length>0?2:0,remoteChange:_!==null?2:0}}async acceptRemote(o){const l=await this.extensionManagementService.getInstalled(),g=this.ignoredExtensionsManagementService.getIgnoredExtensions(l),P=o.remoteContent?JSON.parse(o.remoteContent):null;if(P!==null){const U=(0,h.merge)(o.localExtensions,P,o.localExtensions,[],g),{local:_,remote:M}=U;return{content:o.remoteContent,local:_,remote:M,localChange:_.added.length>0||_.removed.length>0||_.updated.length>0?2:0,remoteChange:M!==null?2:0}}else return{content:o.remoteContent,local:{added:[],removed:[],updated:[]},remote:null,localChange:0,remoteChange:0}}async applyResult(o,l,g,P){let{skippedExtensions:U,localExtensions:_}=g[0][0];const{local:M,remote:T,localChange:$,remoteChange:N}=g[0][1];if($===0&&N===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing extensions.`),$!==0&&(await this.backupLocal(JSON.stringify(_)),U=await this.updateLocalExtensions(M.added,M.removed,M.updated,U)),T){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote extensions...`);const G=JSON.stringify(T.all);o=await this.updateRemoteUserData(G,P?null:o.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote extensions.${T.added.length?` Added: ${JSON.stringify(T.added.map(J=>J.identifier.id))}.`:""}${T.updated.length?` Updated: ${JSON.stringify(T.updated.map(J=>J.identifier.id))}.`:""}${T.removed.length?` Removed: ${JSON.stringify(T.removed.map(J=>J.identifier.id))}.`:""}`)}l?.ref!==o.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized extensions...`),await this.updateLastSyncUserData(o,{skippedExtensions:U}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized extensions.${U.length?` Skipped: ${JSON.stringify(U.map(G=>G.identifier.id))}.`:""}`))}async getAssociatedResources({uri:o}){return[{resource:this.extUri.joinPath(o,"extensions.json"),comparableResource:mt.EXTENSIONS_DATA_URI}]}async resolveContent(o){if(this.extUri.isEqual(o,mt.EXTENSIONS_DATA_URI)){const g=await this.extensionManagementService.getInstalled(),P=this.ignoredExtensionsManagementService.getIgnoredExtensions(g),U=this.getLocalExtensions(g).filter(_=>!P.some(M=>(0,v.areSameExtensions)({id:M},_.identifier)));return this.stringify(U,!0)}if(this.extUri.isEqual(this.remoteResource,o)||this.extUri.isEqual(this.baseResource,o)||this.extUri.isEqual(this.localResource,o)||this.extUri.isEqual(this.acceptedResource,o)){const g=await this.resolvePreviewContent(o);return g&&this.stringify(JSON.parse(g),!0)}let l=await super.resolveContent(o);if(l)return l;if(l=await super.resolveContent(this.extUri.dirname(o)),l){const g=this.parseSyncData(l);if(g)switch(this.extUri.basename(o)){case"extensions.json":return this.stringify(this.parseExtensions(g),!0)}}return null}stringify(o,l){return o.sort((g,P)=>!g.identifier.uuid&&P.identifier.uuid?-1:g.identifier.uuid&&!P.identifier.uuid?1:(0,b.compare)(g.identifier.id,P.identifier.id)),l?(0,A.toFormattedString)(o,{}):JSON.stringify(o)}async hasLocalData(){try{const o=await this.extensionManagementService.getInstalled();if(this.getLocalExtensions(o).some(g=>g.installed||g.disabled))return!0}catch{}return!1}async updateLocalExtensions(o,l,g,P){const U=[],_=[],M=await this.extensionManagementService.getInstalled();if(l.length){const $=M.filter(({identifier:N,isBuiltin:G})=>!G&&l.some(J=>(0,v.areSameExtensions)(N,J)));await R.Promises.settled($.map(async N=>{this.logService.trace(`${this.syncResourceLogLabel}: Uninstalling local extension...`,N.identifier.id),await this.extensionManagementService.uninstall(N,{donotIncludePack:!0,donotCheckDependents:!0}),this.logService.info(`${this.syncResourceLogLabel}: Uninstalled local extension.`,N.identifier.id),U.push(N.identifier)}))}(o.length||g.length)&&await R.Promises.settled([...o,...g].map(async $=>{const N=M.find(J=>(0,v.areSameExtensions)(J.identifier,$.identifier));if(N&&N.isBuiltin){$.state&&N.manifest.version===$.version&&this.updateExtensionState($.state,N,N.manifest.version),this.extensionEnablementService.getDisabledExtensions().some(z=>(0,v.areSameExtensions)(z,$.identifier))!==!!$.disabled&&($.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,$.identifier.id),await this.extensionEnablementService.disableExtension($.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,$.identifier.id)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,$.identifier.id),await this.extensionEnablementService.enableExtension($.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,$.identifier.id))),U.push($.identifier);return}const G=(await this.extensionGalleryService.getExtensions([{...$.identifier,preRelease:$.preRelease}],i.CancellationToken.None))[0];if($.state&&(N?N.manifest.version===$.version:!!G)&&this.updateExtensionState($.state,N||G,N?.manifest.version),G)try{this.extensionEnablementService.getDisabledExtensions().some(z=>(0,v.areSameExtensions)(z,$.identifier))!==!!$.disabled&&($.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,$.identifier.id,G.version),await this.extensionEnablementService.disableExtension(G.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,$.identifier.id,G.version)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,$.identifier.id,G.version),await this.extensionEnablementService.enableExtension(G.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,$.identifier.id,G.version))),(!N||N.preRelease!==$.preRelease)&&(await this.extensionManagementService.canInstall(G)?(this.logService.trace(`${this.syncResourceLogLabel}: Installing extension...`,$.identifier.id,G.version),await this.extensionManagementService.installFromGallery(G,{isMachineScoped:!1,donotIncludePackAndDependencies:!0,installPreReleaseVersion:$.preRelease}),this.logService.info(`${this.syncResourceLogLabel}: Installed extension.`,$.identifier.id,G.version),U.push(G.identifier)):(this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because it cannot be installed.`,G.displayName||G.identifier.id),_.push($)))}catch(J){_.push($),J instanceof E.ExtensionManagementError&&[E.ExtensionManagementErrorCode.Incompatible,E.ExtensionManagementErrorCode.IncompatiblePreRelease,E.ExtensionManagementErrorCode.IncompatibleTargetPlatform].includes(J.code)?this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the compatible extension is not found.`,G.displayName||G.identifier.id):(this.logService.error(J),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension`,G.displayName||G.identifier.id))}else _.push($),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the extension is not found.`,$.identifier.id)}));const T=[];for(const $ of P)U.some(N=>(0,v.areSameExtensions)(N,$.identifier))||T.push($);for(const $ of _)T.some(N=>(0,v.areSameExtensions)(N.identifier,$.identifier))||T.push($);return T}updateExtensionState(o,l,g){const P=this.extensionStorageService.getExtensionState(l,!0)||{},U=g?this.extensionStorageService.getKeysForSync({id:l.identifier.id,version:g}):void 0;U?U.forEach(_=>{P[_]=o[_]}):Object.keys(o).forEach(_=>P[_]=o[_]),this.extensionStorageService.setExtensionState(l,P,!0)}parseExtensions(o){return JSON.parse(o.content)}getLocalExtensions(o){const l=this.extensionEnablementService.getDisabledExtensions();return o.map(g=>{const{identifier:P,isBuiltin:U,manifest:_,preRelease:M}=g,T={identifier:P,preRelease:M,version:_.version};l.some($=>(0,v.areSameExtensions)($,P))&&(T.disabled=!0),U||(T.installed=!0);try{const $=this.extensionStorageService.getKeysForSync({id:P.id,version:_.version});if($){const N=this.extensionStorageService.getExtensionState(g,!0)||{};T.state=Object.keys(N).reduce((G,J)=>($.includes(J)&&(G[J]=N[J]),G),{})}}catch($){this.logService.info(`${this.syncResourceLogLabel}: Error while parsing extension state`,(0,k.getErrorMessage)($))}return T})}};s.EXTENSIONS_DATA_URI=C.URI.from({scheme:r.USER_DATA_SYNC_SCHEME,authority:"extensions",path:"/extensions.json"}),s=ge([K(0,I.IEnvironmentService),K(1,d.IFileService),K(2,w.IStorageService),K(3,r.IUserDataSyncStoreService),K(4,r.IUserDataSyncBackupStoreService),K(5,E.IExtensionManagementService),K(6,E.IGlobalExtensionEnablementService),K(7,n.IIgnoredExtensionsManagementService),K(8,r.IUserDataSyncLogService),K(9,E.IExtensionGalleryService),K(10,D.IConfigurationService),K(11,r.IUserDataSyncEnablementService),K(12,p.ITelemetryService),K(13,y.IExtensionStorageService),K(14,m.IUriIdentityService)],s),e.ExtensionsSynchroniser=s;let a=class extends f.AbstractInitializer{constructor(o,l,g,P,U,_,M){super("extensions",P,U,_,g,M);this.extensionManagementService=o,this.ignoredExtensionsManagementService=l}async parseExtensions(o){return o.syncData?await t(o.syncData,this.extensionManagementService):null}generatePreview(o,l){const g=[],P=[],U=[];for(const _ of o){if(this.ignoredExtensionsManagementService.hasToNeverSyncExtension(_.identifier.id))continue;const M=l.find(T=>(0,v.areSameExtensions)(T.identifier,_.identifier));M?(g.push(M),_.disabled&&U.push(_.identifier)):_.installed&&(P.push({..._.identifier,preRelease:!!_.preRelease}),_.disabled&&U.push(_.identifier))}return{installedExtensions:g,newExtensions:P,disabledExtensions:U,remoteExtensions:o}}};a=ge([K(0,E.IExtensionManagementService),K(1,n.IIgnoredExtensionsManagementService),K(2,d.IFileService),K(3,u.IUserDataProfilesService),K(4,I.IEnvironmentService),K(5,S.ILogService),K(6,m.IUriIdentityService)],a),e.AbstractExtensionsInitializer=a}),define(re[255],oe([0,1,17,9,3,35,53,4,7,31,19,15,13,8,49,22,21,33,47,59,237,25,29]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreTypeSynchronizer=e.GlobalStateInitializer=e.GlobalStateSynchroniser=void 0;const r="globalState.argv.",t=["locale"];function s(g,P){const U=g.storage?Object.keys(g.storage).sort():[],_={};return U.forEach(M=>_[M]=g.storage[M]),g.storage=_,P?(0,A.toFormattedString)(g,{}):JSON.stringify(g)}const a=1;let c=class vt extends m.AbstractSynchroniser{constructor(P,U,_,M,T,$,N,G,J,z){super("globalState",P,T,J,U,_,$,N,M,G,z);this.storageService=J,this.version=a,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"globalState.json"),this.baseResource=this.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(P.watch(this.extUri.dirname(this.environmentService.argvResource))),this._register(k.Event.any(k.Event.filter(P.onDidFilesChange,Q=>Q.contains(this.environmentService.argvResource)),k.Event.filter(J.onDidChangeValue,Q=>Q.scope===0&&Q.target!==void 0?Q.target===0:J.keys(0,0).includes(Q.key)),this.storageService.onDidChangeTarget)(()=>this.triggerLocalChange()))}async generateSyncPreview(P,U,_){const M=P.syncData?JSON.parse(P.syncData.content):null;U=U===null&&_?P:U;const T=U&&U.syncData?JSON.parse(U.syncData.content):null,$=await this.getLocalGlobalState();M?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote ui state with local ui state...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const N=this.getStorageKeys(T),{local:G,remote:J}=(0,f.merge)($.storage,M?M.storage:null,T?T.storage:null,N,this.logService),z={content:null,local:G,remote:J,localChange:Object.keys(G.added).length>0||Object.keys(G.updated).length>0||G.removed.length>0?2:0,remoteChange:J!==null?2:0},Q=s($,!1);return[{baseResource:this.baseResource,baseContent:T?s(T,!1):Q,localResource:this.localResource,localContent:Q,localUserData:$,remoteResource:this.remoteResource,remoteContent:M?s(M,!1):null,previewResource:this.previewResource,previewResult:z,localChange:z.localChange,remoteChange:z.remoteChange,acceptedResource:this.acceptedResource,storageKeys:N}]}async hasRemoteChanged(P){const U=P.syncData?JSON.parse(P.syncData.content):null;if(U===null)return!0;const _=await this.getLocalGlobalState(),M=this.getStorageKeys(U),{remote:T}=(0,f.merge)(_.storage,U.storage,U.storage,M,this.logService);return T!==null}async getMergeResult(P,U){return{...P.previewResult,hasConflicts:!1}}async getAcceptResult(P,U,_,M){if(this.extUri.isEqual(U,this.localResource))return this.acceptLocal(P);if(this.extUri.isEqual(U,this.remoteResource))return this.acceptRemote(P);if(this.extUri.isEqual(U,this.previewResource))return P.previewResult;throw new Error(`Invalid Resource: ${U.toString()}`)}async acceptLocal(P){return{content:P.localContent,local:{added:{},removed:[],updated:{}},remote:P.localUserData.storage,localChange:0,remoteChange:2}}async acceptRemote(P){if(P.remoteContent!==null){const U=JSON.parse(P.remoteContent),{local:_,remote:M}=(0,f.merge)(P.localUserData.storage,U.storage,null,P.storageKeys,this.logService);return{content:P.remoteContent,local:_,remote:M,localChange:Object.keys(_.added).length>0||Object.keys(_.updated).length>0||_.removed.length>0?2:0,remoteChange:M!==null?2:0}}else return{content:P.remoteContent,local:{added:{},removed:[],updated:{}},remote:null,localChange:0,remoteChange:0}}async applyResult(P,U,_,M){const{localUserData:T}=_[0][0],{local:$,remote:N,localChange:G,remoteChange:J}=_[0][1];if(G===0&&J===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing ui state.`),G!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local ui state...`),await this.backupLocal(JSON.stringify(T)),await this.writeLocalGlobalState($),this.logService.info(`${this.syncResourceLogLabel}: Updated local ui state`)),J!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote ui state...`);const z=JSON.stringify({storage:N});P=await this.updateRemoteUserData(z,M?null:P.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote ui state`)}U?.ref!==P.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized ui state...`),await this.updateLastSyncUserData(P),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized ui state`))}async getAssociatedResources({uri:P}){return[{resource:this.extUri.joinPath(P,"globalState.json"),comparableResource:vt.GLOBAL_STATE_DATA_URI}]}async resolveContent(P){if(this.extUri.isEqual(P,vt.GLOBAL_STATE_DATA_URI)){const _=await this.getLocalGlobalState();return s(_,!0)}if(this.extUri.isEqual(this.remoteResource,P)||this.extUri.isEqual(this.baseResource,P)||this.extUri.isEqual(this.localResource,P)||this.extUri.isEqual(this.acceptedResource,P)){const _=await this.resolvePreviewContent(P);return _&&s(JSON.parse(_),!0)}let U=await super.resolveContent(P);if(U)return U;if(U=await super.resolveContent(this.extUri.dirname(P)),U){const _=this.parseSyncData(U);if(_)switch(this.extUri.basename(P)){case"globalState.json":return s(JSON.parse(_.content),!0)}}return null}async hasLocalData(){try{const{storage:P}=await this.getLocalGlobalState();if(Object.keys(P).length>1||P[`${r}.locale`]?.value!=="en")return!0}catch{}return!1}async getLocalGlobalState(){const P={},U=await this.getLocalArgvContent(),_=(0,L.parse)(U);for(const M of t)_[M]!==void 0&&(P[`${r}${M}`]={version:1,value:_[M]});for(const M of this.storageService.keys(0,0)){const T=this.storageService.get(M,0);T&&(P[M]={version:1,value:T})}return{storage:P}}async getLocalArgvContent(){try{this.logService.debug("GlobalStateSync#getLocalArgvContent",this.environmentService.argvResource);const P=await this.fileService.readFile(this.environmentService.argvResource);return this.logService.debug("GlobalStateSync#getLocalArgvContent - Resolved",this.environmentService.argvResource),P.value.toString()}catch(P){this.logService.debug((0,i.getErrorMessage)(P))}return"{}"}async writeLocalGlobalState({added:P,removed:U,updated:_}){const M={},T={},$=(G,J)=>{for(const z of G){if(z.startsWith(r)){M[z.substring(r.length)]=J?J[z].value:void 0;continue}if(J){const Q=J[z];Q.value!==String(this.storageService.get(z,0))&&(T[z]=Q.value)}else this.storageService.get(z,0)!==void 0&&(T[z]=void 0)}};if($(Object.keys(P),P),$(Object.keys(_),_),$(U),Object.keys(M).length&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.updateArgv(M),this.logService.info(`${this.syncResourceLogLabel}: Updated locale`)),Object.keys(T).length){this.logService.trace(`${this.syncResourceLogLabel}: Updating global state...`);for(const G of Object.keys(T))this.storageService.store(G,T[G],0,0);this.logService.info(`${this.syncResourceLogLabel}: Updated global state`,Object.keys(T))}}async updateArgv(P){const U=await this.getLocalArgvContent();let _=U;for(const M of Object.keys(P))_=(0,u.edit)(_,[M],P[M],{});U!==_&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.fileService.writeFile(this.environmentService.argvResource,R.VSBuffer.fromString(_)),this.logService.info(`${this.syncResourceLogLabel}: Updated locale.`))}getStorageKeys(P){const U=this.storageService.keys(0,0),_=this.storageService.keys(0,1),M=[...U,..._],T=P?.storage?Object.keys(P.storage).filter($=>!$.startsWith(r)&&!M.includes($)&&this.storageService.get($,0)!==void 0):[];if(!b.isWeb){const $=[...h.ALL_SYNC_RESOURCES.map(N=>(0,h.getEnablementKey)(N)),h.SYNC_SERVICE_URL_TYPE];T.push(...$),_.push(...$)}return{user:U,machine:_,unregistered:T}}};c.GLOBAL_STATE_DATA_URI=C.URI.from({scheme:h.USER_DATA_SYNC_SCHEME,authority:"globalState",path:"/globalState.json"}),c=ge([K(0,v.IFileService),K(1,h.IUserDataSyncStoreService),K(2,h.IUserDataSyncBackupStoreService),K(3,h.IUserDataSyncLogService),K(4,E.IEnvironmentService),K(5,h.IUserDataSyncEnablementService),K(6,w.ITelemetryService),K(7,I.IConfigurationService),K(8,S.IStorageService),K(9,p.IUriIdentityService)],c),e.GlobalStateSynchroniser=c;let o=class extends m.AbstractInitializer{constructor(P,U,_,M,T,$){super("globalState",_,M,T,U,$);this.storageService=P}async doInitialize(P){const U=P.syncData?JSON.parse(P.syncData.content):null;if(!U){this.logService.info("Skipping initializing global state because remote global state does not exist.");return}const _={},M={};for(const T of Object.keys(U.storage))T.startsWith(r)?_[T.substring(r.length)]=U.storage[T].value:this.storageService.get(T,0)===void 0&&(M[T]=U.storage[T].value);if(Object.keys(_).length){let T="{}";try{T=(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch{}for(const $ of Object.keys(_))T=(0,u.edit)(T,[$],_[$],{});await this.fileService.writeFile(this.environmentService.argvResource,R.VSBuffer.fromString(T))}if(Object.keys(M).length)for(const T of Object.keys(M))this.storageService.store(T,M[T],0,0)}};o=ge([K(0,S.IStorageService),K(1,v.IFileService),K(2,n.IUserDataProfilesService),K(3,E.IEnvironmentService),K(4,h.IUserDataSyncLogService),K(5,p.IUriIdentityService)],o),e.GlobalStateInitializer=o;let l=class{constructor(P,U,_,M,T){this.userDataSyncStoreClient=P,this.storageService=U,this.environmentService=_,this.fileService=M,this.logService=T}getSyncStoreType(P){return this.parseGlobalState(P)?.storage[h.SYNC_SERVICE_URL_TYPE]?.value}async sync(P){const U=(0,h.createSyncHeaders)((0,D.generateUuid)());try{return await this.doSync(P,U)}catch(_){if(_ instanceof h.UserDataSyncError)switch(_.code){case"PreconditionFailed":return this.logService.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.doSync(P,U)}throw _}}async doSync(P,U){const _=await this.userDataSyncStoreClient.read("globalState",null,U),M=this.parseGlobalState(_)||{storage:{}};M.storage[h.SYNC_SERVICE_URL_TYPE]={value:P,version:a};const T=await(0,d.getServiceMachineId)(this.environmentService,this.fileService,this.storageService),$={version:a,machineId:T,content:s(M,!1)};await this.userDataSyncStoreClient.write("globalState",JSON.stringify($),_.ref,U)}parseGlobalState({content:P}){if(!P)return null;const U=JSON.parse(P);if((0,m.isSyncData)(U))return U?JSON.parse(U.content):null;throw new Error("Invalid remote data")}};l=ge([K(1,S.IStorageService),K(2,E.IEnvironmentService),K(3,v.IFileService),K(4,y.ILogService)],l),e.UserDataSyncStoreTypeSynchronizer=l}),define(re[256],oe([0,1,18,17,3,35,4,14,159,19,15,13,22,21,33,29,47,235,25]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingsInitializer=e.KeybindingsSynchroniser=e.getKeybindingsContentFromSyncContent=void 0;function u(n,r,t){try{const s=JSON.parse(n);if(!r)return(0,b.isUndefined)(s.all)?null:s.all;switch(A.OS){case 2:return(0,b.isUndefined)(s.mac)?null:s.mac;case 3:return(0,b.isUndefined)(s.linux)?null:s.linux;case 1:return(0,b.isUndefined)(s.windows)?null:s.windows}}catch(s){return t.error(s),null}}e.getKeybindingsContentFromSyncContent=u;let f=class extends w.AbstractJsonFileSynchroniser{constructor(r,t,s,a,c,o,l,g,P,U,_,M){super(l.defaultProfile.keybindingsResource,"keybindings",o,g,P,r,t,c,_,s,U,a,M);this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"keybindings.json"),this.baseResource=this.previewResource.with({scheme:m.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:m.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:m.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:m.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(k.Event.filter(a.onDidChangeConfiguration,T=>T.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.triggerLocalChange()))}async generateSyncPreview(r,t,s,a){const c=r.syncData?u(r.syncData.content,a.keybindingsPerPlatform??this.syncKeybindingsPerPlatform(),this.logService):null;t=t===null&&s?r:t;const o=t?this.getKeybindingsContentFromLastSyncUserData(t):null,l=await this.getLocalFileContent(),g=await this.getFormattingOptions();let P=null,U=!1,_=!1,M=!1;if(c){let N=l?l.value.toString():"[]";if(N=N||"[]",this.hasErrors(N,!0))throw new m.UserDataSyncError((0,C.localize)(0,null),"LocalInvalidContent",this.resource);if(!o||o!==N||o!==c){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote keybindings with local keybindings...`);const G=await(0,p.merge)(N,c,o,g,this.userDataSyncUtilService);G.hasChanges&&(P=G.mergeContent,M=G.hasConflicts,U=M||G.mergeContent!==N,_=M||G.mergeContent!==c)}}else l&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),P=l.value.toString(),_=!0);const T={content:P,localChange:U?l?2:1:0,remoteChange:_?2:0,hasConflicts:M},$=l?l.value.toString():null;return[{fileContent:l,baseResource:this.baseResource,baseContent:o!==null?o:$,localResource:this.localResource,localContent:$,localChange:T.localChange,remoteResource:this.remoteResource,remoteContent:c,remoteChange:T.remoteChange,previewResource:this.previewResource,previewResult:T,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(r){const t=this.getKeybindingsContentFromLastSyncUserData(r);if(t===null)return!0;const s=await this.getLocalFileContent(),a=s?s.value.toString():"",c=await this.getFormattingOptions(),o=await(0,p.merge)(a||"[]",t,t,c,this.userDataSyncUtilService);return o.hasConflicts||o.mergeContent!==t}async getMergeResult(r,t){return r.previewResult}async getAcceptResult(r,t,s,a){if(this.extUri.isEqual(t,this.localResource))return{content:r.fileContent?r.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(t,this.remoteResource))return{content:r.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(t,this.previewResource))return s===void 0?{content:r.previewResult.content,localChange:r.previewResult.localChange,remoteChange:r.previewResult.remoteChange}:{content:s,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${t.toString()}`)}async applyResult(r,t,s,a){const{fileContent:c}=s[0][0];let{content:o,localChange:l,remoteChange:g}=s[0][1];if(l===0&&g===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing keybindings.`),o!==null&&(o=o.trim(),o=o||"[]",this.hasErrors(o,!0)))throw new m.UserDataSyncError((0,C.localize)(1,null),"LocalInvalidContent",this.resource);if(l!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local keybindings...`),c&&await this.backupLocal(this.toSyncContent(c.value.toString())),await this.updateLocalFileContent(o||"[]",c,a),this.logService.info(`${this.syncResourceLogLabel}: Updated local keybindings`)),g!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote keybindings...`);const P=this.toSyncContent(o||"[]",r.syncData?.content);r=await this.updateRemoteUserData(P,a?null:r.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote keybindings`)}try{await this.fileService.del(this.previewResource)}catch{}t?.ref!==r.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized keybindings...`),await this.updateLastSyncUserData(r,{platformSpecific:this.syncKeybindingsPerPlatform()}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized keybindings`))}async hasLocalData(){try{const r=await this.getLocalFileContent();if(r){const t=(0,L.parse)(r.value.toString());if((0,R.isNonEmptyArray)(t))return!0}}catch(r){if(r.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:r}){const t=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(r,"keybindings.json"),comparableResource:t}]}async resolveContent(r){if(this.extUri.isEqual(this.remoteResource,r)||this.extUri.isEqual(this.baseResource,r)||this.extUri.isEqual(this.localResource,r)||this.extUri.isEqual(this.acceptedResource,r))return this.resolvePreviewContent(r);let t=await super.resolveContent(r);if(t)return t;if(t=await super.resolveContent(this.extUri.dirname(r)),t){const s=this.parseSyncData(t);if(s)switch(this.extUri.basename(r)){case"keybindings.json":return u(s.content,this.syncKeybindingsPerPlatform(),this.logService)}}return null}getKeybindingsContentFromLastSyncUserData(r){return!r.syncData||r.platformSpecific!==void 0&&r.platformSpecific!==this.syncKeybindingsPerPlatform()?null:u(r.syncData.content,this.syncKeybindingsPerPlatform(),this.logService)}toSyncContent(r,t){let s={};try{s=JSON.parse(t||"{}")}catch(a){this.logService.error(a)}switch(this.syncKeybindingsPerPlatform()?delete s.all:s.all=r,A.OS){case 2:s.mac=r;break;case 3:s.linux=r;break;case 1:s.windows=r;break}return JSON.stringify(s)}syncKeybindingsPerPlatform(){return!!this.configurationService.getValue("settingsSync.keybindingsPerPlatform")}};f=ge([K(0,m.IUserDataSyncStoreService),K(1,m.IUserDataSyncBackupStoreService),K(2,m.IUserDataSyncLogService),K(3,D.IConfigurationService),K(4,m.IUserDataSyncEnablementService),K(5,E.IFileService),K(6,S.IUserDataProfilesService),K(7,I.IEnvironmentService),K(8,v.IStorageService),K(9,m.IUserDataSyncUtilService),K(10,y.ITelemetryService),K(11,d.IUriIdentityService)],f),e.KeybindingsSynchroniser=f;let h=class extends w.AbstractInitializer{constructor(r,t,s,a,c){super("keybindings",t,s,a,r,c)}async doInitialize(r){const t=r.syncData?this.getKeybindingsContentFromSyncContent(r.syncData.content):null;if(!t){this.logService.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing keybindings because local keybindings exist.");return}await this.fileService.writeFile(this.userDataProfilesService.defaultProfile.keybindingsResource,i.VSBuffer.fromString(t)),await this.updateLastSyncUserData(r)}async isEmpty(){try{const r=await this.fileService.readFile(this.userDataProfilesService.defaultProfile.settingsResource),t=(0,L.parse)(r.value.toString());return!(0,R.isNonEmptyArray)(t)}catch(r){return r.fileOperationResult===1}}getKeybindingsContentFromSyncContent(r){try{return u(r,!0,this.logService)}catch(t){return this.logService.error(t),null}}};h=ge([K(0,E.IFileService),K(1,S.IUserDataProfilesService),K(2,I.IEnvironmentService),K(3,m.IUserDataSyncLogService),K(4,d.IUriIdentityService)],h),e.KeybindingsInitializer=h}),define(re[257],oe([0,1,17,3,160,19,68,15,28,13,22,21,33,29,47,59,238,25]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SettingsInitializer=e.SettingsSynchroniser=e.parseSettingsSyncContent=void 0;function m(n){return n&&n.settings&&typeof n.settings=="string"&&Object.keys(n).length===1}function u(n){const r=JSON.parse(n);return m(r)?r:{settings:n}}e.parseSettingsSyncContent=u;let f=class extends d.AbstractJsonFileSynchroniser{constructor(r,t,s,a,c,o,l,g,P,U,_,M,T){super(t.defaultProfile.settingsResource,"settings",r,s,a,c,o,U,_,l,g,P,T);this.extensionManagementService=M,this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"settings.json"),this.baseResource=this.previewResource.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._defaultIgnoredSettings=void 0}async getRemoteUserDataSyncConfiguration(r){const t=await this.getLastSyncUserData(),s=await this.getLatestRemoteUserData(r,t),a=this.getSettingsSyncContent(s),c=new A.ConfigurationModelParser(p.USER_DATA_SYNC_CONFIGURATION_SCOPE);return a?.settings&&c.parse(a.settings),c.configurationModel.getValue(p.USER_DATA_SYNC_CONFIGURATION_SCOPE)||{}}async generateSyncPreview(r,t,s){const a=await this.getLocalFileContent(),c=await this.getFormattingOptions(),o=this.getSettingsSyncContent(r);t=t===null&&s?r:t;const l=t?this.getSettingsSyncContent(t):null,g=await this.getIgnoredSettings();let P=null,U=!1,_=!1,M=!1;if(o){let N=a?a.value.toString().trim():"{}";N=N||"{}",this.validateContent(N),this.logService.trace(`${this.syncResourceLogLabel}: Merging remote settings with local settings...`);const G=(0,w.merge)(N,o.settings,l?l.settings:null,g,[],c);P=G.localContent||G.remoteContent,U=G.localContent!==null,_=G.remoteContent!==null,M=G.hasConflicts}else a&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote settings does not exist. Synchronizing settings for the first time.`),P=a.value.toString().trim()||"{}",this.validateContent(P),_=!0);const T={content:P,localChange:U?2:0,remoteChange:_?2:0,hasConflicts:M},$=a?a.value.toString():null;return[{fileContent:a,baseResource:this.baseResource,baseContent:l?l.settings:$,localResource:this.localResource,localContent:$,localChange:T.localChange,remoteResource:this.remoteResource,remoteContent:o?o.settings:null,remoteChange:T.remoteChange,previewResource:this.previewResource,previewResult:T,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(r){const t=this.getSettingsSyncContent(r);if(t===null)return!0;const s=await this.getLocalFileContent(),a=s?s.value.toString().trim():"",c=await this.getIgnoredSettings(),o=await this.getFormattingOptions();return(0,w.merge)(a||"{}",t.settings,t.settings,c,[],o).remoteContent!==null}async getMergeResult(r,t){const s=await this.getFormattingOptions(),a=await this.getIgnoredSettings();return{...r.previewResult,content:r.previewResult.content?(0,w.updateIgnoredSettings)(r.previewResult.content,"{}",a,s):null}}async getAcceptResult(r,t,s,a){const c=await this.getFormattingOptions(),o=await this.getIgnoredSettings();if(this.extUri.isEqual(t,this.localResource))return{content:r.fileContent?(0,w.updateIgnoredSettings)(r.fileContent.value.toString(),"{}",o,c):null,localChange:0,remoteChange:2};if(this.extUri.isEqual(t,this.remoteResource))return{content:r.remoteContent!==null?(0,w.updateIgnoredSettings)(r.remoteContent,r.fileContent?r.fileContent.value.toString():"{}",o,c):null,localChange:2,remoteChange:0};if(this.extUri.isEqual(t,this.previewResource))return s===void 0?{content:r.previewResult.content,localChange:r.previewResult.localChange,remoteChange:r.previewResult.remoteChange}:{content:s!==null?(0,w.updateIgnoredSettings)(s,r.fileContent?r.fileContent.value.toString():"{}",o,c):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${t.toString()}`)}async applyResult(r,t,s,a){const{fileContent:c}=s[0][0];let{content:o,localChange:l,remoteChange:g}=s[0][1];if(l===0&&g===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing settings.`),o=o?o.trim():"{}",o=o||"{}",this.validateContent(o),l!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local settings...`),c&&await this.backupLocal(JSON.stringify(this.toSettingsSyncContent(c.value.toString()))),await this.updateLocalFileContent(o,c,a),await this.configurationService.reloadConfiguration(2),this.logService.info(`${this.syncResourceLogLabel}: Updated local settings`)),g!==0){const P=await this.getFormattingOptions(),U=this.getSettingsSyncContent(r),_=await this.getIgnoredSettings(o);o=(0,w.updateIgnoredSettings)(o,U?U.settings:"{}",_,P),this.logService.trace(`${this.syncResourceLogLabel}: Updating remote settings...`),r=await this.updateRemoteUserData(JSON.stringify(this.toSettingsSyncContent(o)),a?null:r.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote settings`)}try{await this.fileService.del(this.previewResource)}catch{}t?.ref!==r.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized settings...`),await this.updateLastSyncUserData(r),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized settings`))}async hasLocalData(){try{const r=await this.getLocalFileContent();if(r){const t=await this.getFormattingOptions(),s=(0,S.edit)(r.value.toString(),[p.CONFIGURATION_SYNC_STORE_KEY],void 0,t);return!(0,w.isEmpty)(s)}}catch(r){if(r.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:r}){const t=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(r,"settings.json"),comparableResource:t}]}async resolveContent(r){if(this.extUri.isEqual(this.remoteResource,r)||this.extUri.isEqual(this.localResource,r)||this.extUri.isEqual(this.acceptedResource,r)||this.extUri.isEqual(this.baseResource,r))return this.resolvePreviewContent(r);let t=await super.resolveContent(r);if(t)return t;if(t=await super.resolveContent(this.extUri.dirname(r)),t){const s=this.parseSyncData(t);if(s){const a=this.parseSettingsSyncContent(s.content);if(a)switch(this.extUri.basename(r)){case"settings.json":return a.settings}}}return null}async resolvePreviewContent(r){let t=await super.resolvePreviewContent(r);if(t){const s=await this.getFormattingOptions(),a=await this.getIgnoredSettings();t=(0,w.updateIgnoredSettings)(t,"{}",a,s)}return t}getSettingsSyncContent(r){return r.syncData?this.parseSettingsSyncContent(r.syncData.content):null}parseSettingsSyncContent(r){try{return u(r)}catch(t){this.logService.error(t)}return null}toSettingsSyncContent(r){return{settings:r}}async getIgnoredSettings(r){if(!this._defaultIgnoredSettings){this._defaultIgnoredSettings=this.userDataSyncUtilService.resolveDefaultIgnoredSettings();const s=i.Event.any(i.Event.filter(this.extensionManagementService.onDidInstallExtensions,a=>a.some(({local:c})=>!!c)),i.Event.filter(this.extensionManagementService.onDidUninstallExtension,a=>!a.error))(()=>{s.dispose(),this._defaultIgnoredSettings=void 0})}const t=await this._defaultIgnoredSettings;return(0,w.getIgnoredSettings)(t,this.configurationService,r)}validateContent(r){if(this.hasErrors(r,!1))throw new p.UserDataSyncError((0,k.localize)(0,null),"LocalInvalidContent",this.resource)}};f=ge([K(0,D.IFileService),K(1,y.IUserDataProfilesService),K(2,b.IEnvironmentService),K(3,I.IStorageService),K(4,p.IUserDataSyncStoreService),K(5,p.IUserDataSyncBackupStoreService),K(6,p.IUserDataSyncLogService),K(7,p.IUserDataSyncUtilService),K(8,L.IConfigurationService),K(9,p.IUserDataSyncEnablementService),K(10,E.ITelemetryService),K(11,C.IExtensionManagementService),K(12,v.IUriIdentityService)],f),e.SettingsSynchroniser=f;let h=class extends d.AbstractInitializer{constructor(r,t,s,a,c){super("settings",t,s,a,r,c)}async doInitialize(r){const t=r.syncData?this.parseSettingsSyncContent(r.syncData.content):null;if(!t){this.logService.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing settings because local settings exist.");return}await this.fileService.writeFile(this.userDataProfilesService.defaultProfile.settingsResource,R.VSBuffer.fromString(t.settings)),await this.updateLastSyncUserData(r)}async isEmpty(){try{const r=await this.fileService.readFile(this.userDataProfilesService.defaultProfile.settingsResource);return(0,w.isEmpty)(r.value.toString().trim())}catch(r){return r.fileOperationResult===1}}parseSettingsSyncContent(r){try{return u(r)}catch(t){this.logService.error(t)}return null}};h=ge([K(0,D.IFileService),K(1,y.IUserDataProfilesService),K(2,b.IEnvironmentService),K(3,p.IUserDataSyncLogService),K(4,v.IUriIdentityService)],h),e.SettingsInitializer=h}),define(re[258],oe([0,1,17,3,30,19,15,13,22,21,33,29,47,236,25]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnippetsInitializer=e.SnippetsSynchroniser=void 0;let S=class extends v.AbstractSynchroniser{constructor(m,u,f,h,n,r,t,s,a,c,o){super("snippets",u,m,h,n,r,a,c,t,s,o);this.version=1,this.snippetsFolder=f.defaultProfile.snippetsHome,this._register(this.fileService.watch(m.userRoamingDataHome)),this._register(this.fileService.watch(this.snippetsFolder)),this._register(i.Event.filter(this.fileService.onDidFilesChange,l=>l.affects(this.snippetsFolder))(()=>this.triggerLocalChange()))}async generateSyncPreview(m,u,f){const h=await this.getSnippetsFileContents(),n=this.toSnippetsContents(h),r=m.syncData?this.parseSnippets(m.syncData):null;u=u===null&&f?m:u;const t=u&&u.syncData?this.parseSnippets(u.syncData):null;r?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote snippets with local snippets...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const s=(0,y.merge)(n,r,t);return this.getResourcePreviews(s,h,r||{},t||{})}async hasRemoteChanged(m){const u=m.syncData?this.parseSnippets(m.syncData):null;if(u===null)return!0;const f=await this.getSnippetsFileContents(),h=this.toSnippetsContents(f),n=(0,y.merge)(h,u,u);return Object.keys(n.remote.added).length>0||Object.keys(n.remote.updated).length>0||n.remote.removed.length>0||n.conflicts.length>0}async getMergeResult(m,u){return m.previewResult}async getAcceptResult(m,u,f,h){if(this.extUri.isEqualOrParent(u,this.syncPreviewFolder.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"})))return{content:m.fileContent?m.fileContent.value.toString():null,localChange:0,remoteChange:m.fileContent?m.remoteContent!==null?2:1:3};if(this.extUri.isEqualOrParent(u,this.syncPreviewFolder.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"})))return{content:m.remoteContent,localChange:m.remoteContent!==null?m.fileContent?2:1:3,remoteChange:0};if(this.extUri.isEqualOrParent(u,this.syncPreviewFolder))return f===void 0?{content:m.previewResult.content,localChange:m.previewResult.localChange,remoteChange:m.previewResult.remoteChange}:{content:f,localChange:f===null?m.fileContent!==null?3:0:2,remoteChange:f===null?m.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${u.toString()}`)}async applyResult(m,u,f,h){const n=f.map(([r,t])=>({...r,acceptResult:t}));n.every(({localChange:r,remoteChange:t})=>r===0&&t===0)&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing snippets.`),n.some(({localChange:r})=>r!==0)&&(await this.updateLocalBackup(n),await this.updateLocalSnippets(n,h)),n.some(({remoteChange:r})=>r!==0)&&(m=await this.updateRemoteSnippets(n,m,h)),u?.ref!==m.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized snippets...`),await this.updateLastSyncUserData(m),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized snippets`));for(const{previewResource:r}of n)try{await this.fileService.del(r)}catch{}}getResourcePreviews(m,u,f,h){const n=new Map;for(const r of Object.keys(m.local.added)){const t={content:m.local.added[r],hasConflicts:!1,localChange:1,remoteChange:0};n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:null,fileContent:null,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:f[r],previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const r of Object.keys(m.local.updated)){const t={content:m.local.updated[r],hasConflicts:!1,localChange:2,remoteChange:0},s=u[r]?u[r].value.toString():null;n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:h[r]??s,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:u[r],localContent:s,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:f[r],previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const r of m.local.removed){const t={content:null,hasConflicts:!1,localChange:3,remoteChange:0},s=u[r]?u[r].value.toString():null;n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:h[r]??s,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:u[r],localContent:s,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const r of Object.keys(m.remote.added)){const t={content:m.remote.added[r],hasConflicts:!1,localChange:0,remoteChange:1},s=u[r]?u[r].value.toString():null;n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:h[r]??s,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:u[r],localContent:s,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const r of Object.keys(m.remote.updated)){const t={content:m.remote.updated[r],hasConflicts:!1,localChange:0,remoteChange:2},s=u[r]?u[r].value.toString():null;n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:h[r]??s,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:u[r],localContent:s,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:f[r],previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const r of m.remote.removed){const t={content:null,hasConflicts:!1,localChange:0,remoteChange:3};n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:h[r]??null,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:f[r],previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const r of m.conflicts){const t={content:u[r]?u[r].value.toString():null,hasConflicts:!0,localChange:u[r]?2:1,remoteChange:f[r]?2:1},s=u[r]?u[r].value.toString():null;n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:h[r]??s,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:u[r]||null,localContent:s,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:f[r]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const r of Object.keys(u))if(!n.has(r)){const t={content:u[r]?u[r].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0},s=u[r]?u[r].value.toString():null;n.set(r,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:h[r]??s,localResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:u[r]||null,localContent:s,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:f[r]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,r),previewResult:t,localChange:t.localChange,remoteChange:t.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}return[...n.values()]}async getAssociatedResources({uri:m}){const u=await super.resolveContent(m);if(u){const f=this.parseSyncData(u);if(f){const h=this.parseSnippets(f),n=[];for(const r of Object.keys(h)){const t=this.extUri.joinPath(m,r),s=this.extUri.joinPath(this.snippetsFolder,r),a=await this.fileService.exists(s);n.push({resource:t,comparableResource:a?s:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"})})}return n}}return[]}async resolveContent(m){if(this.extUri.isEqualOrParent(m,this.syncPreviewFolder.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}))||this.extUri.isEqualOrParent(m,this.syncPreviewFolder.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}))||this.extUri.isEqualOrParent(m,this.syncPreviewFolder.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}))||this.extUri.isEqualOrParent(m,this.syncPreviewFolder.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"})))return this.resolvePreviewContent(m);let u=await super.resolveContent(m);if(u)return u;if(u=await super.resolveContent(this.extUri.dirname(m)),u){const f=this.parseSyncData(u);if(f)return this.parseSnippets(f)[this.extUri.basename(m)]||null}return null}async hasLocalData(){try{const m=await this.getSnippetsFileContents();if(Object.keys(m).length)return!0}catch{}return!1}async updateLocalBackup(m){const u={};for(const f of m)f.fileContent&&(u[this.extUri.basename(f.localResource)]=f.fileContent);await this.backupLocal(JSON.stringify(this.toSnippetsContents(u)))}async updateLocalSnippets(m,u){for(const{fileContent:f,acceptResult:h,localResource:n,remoteResource:r,localChange:t}of m)if(t!==0){const s=r?this.extUri.basename(r):this.extUri.basename(n),a=this.extUri.joinPath(this.snippetsFolder,s);t===3?(this.logService.trace(`${this.syncResourceLogLabel}: Deleting snippet...`,this.extUri.basename(a)),await this.fileService.del(a),this.logService.info(`${this.syncResourceLogLabel}: Deleted snippet`,this.extUri.basename(a))):t===1?(this.logService.trace(`${this.syncResourceLogLabel}: Creating snippet...`,this.extUri.basename(a)),await this.fileService.createFile(a,R.VSBuffer.fromString(h.content),{overwrite:u}),this.logService.info(`${this.syncResourceLogLabel}: Created snippet`,this.extUri.basename(a))):(this.logService.trace(`${this.syncResourceLogLabel}: Updating snippet...`,this.extUri.basename(a)),await this.fileService.writeFile(a,R.VSBuffer.fromString(h.content),u?void 0:f),this.logService.info(`${this.syncResourceLogLabel}: Updated snippet`,this.extUri.basename(a)))}}async updateRemoteSnippets(m,u,f){const h=u.syncData?this.parseSnippets(u.syncData):{},n=(0,k.deepClone)(h);for(const{acceptResult:r,localResource:t,remoteResource:s,remoteChange:a}of m)if(a!==0){const c=t?this.extUri.basename(t):this.extUri.basename(s);a===3?delete n[c]:n[c]=r.content}return(0,y.areSame)(h,n)||(this.logService.trace(`${this.syncResourceLogLabel}: Updating remote snippets...`),u=await this.updateRemoteUserData(JSON.stringify(n),f?null:u.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote snippets`)),u}parseSnippets(m){return JSON.parse(m.content)}toSnippetsContents(m){const u={};for(const f of Object.keys(m))u[f]=m[f].value.toString();return u}async getSnippetsFileContents(){const m={};let u;try{u=await this.fileService.resolve(this.snippetsFolder)}catch(f){if(f instanceof b.FileOperationError&&f.fileOperationResult===1)return m;throw f}for(const f of u.children||[]){const h=f.resource,n=this.extUri.extname(h);if(n===".json"||n===".code-snippets"){const r=this.extUri.relativePath(this.snippetsFolder,h),t=await this.fileService.readFile(h);m[r]=t}}return m}};S=ge([K(0,A.IEnvironmentService),K(1,b.IFileService),K(2,E.IUserDataProfilesService),K(3,C.IStorageService),K(4,d.IUserDataSyncStoreService),K(5,d.IUserDataSyncBackupStoreService),K(6,d.IUserDataSyncLogService),K(7,L.IConfigurationService),K(8,d.IUserDataSyncEnablementService),K(9,D.ITelemetryService),K(10,I.IUriIdentityService)],S),e.SnippetsSynchroniser=S;let w=class extends v.AbstractInitializer{constructor(m,u,f,h,n){super("snippets",u,f,h,m,n)}async doInitialize(m){const u=m.syncData?JSON.parse(m.syncData.content):null;if(!u){this.logService.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing snippets because local snippets exist.");return}for(const h of Object.keys(u)){const n=u[h];if(n){const r=this.extUri.joinPath(this.userDataProfilesService.defaultProfile.snippetsHome,h);await this.fileService.createFile(r,R.VSBuffer.fromString(n)),this.logService.info("Created snippet",this.extUri.basename(r))}}await this.updateLastSyncUserData(m)}async isEmpty(){try{return!(await this.fileService.resolve(this.userDataProfilesService.defaultProfile.snippetsHome)).children?.length}catch(m){return m.fileOperationResult===1}}};w=ge([K(0,b.IFileService),K(1,E.IUserDataProfilesService),K(2,A.IEnvironmentService),K(3,d.IUserDataSyncLogService),K(4,I.IUriIdentityService)],w),e.SnippetsInitializer=w}),define(re[259],oe([0,1,17,19,15,13,22,21,33,29,47,25]),function(X,e,R,i,k,L,A,b,C,D,I,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TasksInitializer=e.TasksSynchroniser=e.getTasksContentFromSyncContent=void 0;function v(w,p){try{return JSON.parse(w).tasks}catch(m){return p.error(m),null}}e.getTasksContentFromSyncContent=v;let y=class extends I.AbstractFileSynchroniser{constructor(p,m,u,f,h,n,r,t,s,a,c){super(c.defaultProfile.tasksResource,"tasks",n,r,t,p,m,h,s,u,f,a);this.version=1,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"tasks.json"),this.baseResource=this.previewResource.with({scheme:E.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:E.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:E.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:E.USER_DATA_SYNC_SCHEME,authority:"accepted"})}async generateSyncPreview(p,m,u,f){const h=p.syncData?v(p.syncData.content,this.logService):null;m=m===null&&u?p:m;const n=m?.syncData?v(m.syncData.content,this.logService):null,r=await this.getLocalFileContent();let t=null,s=!1,a=!1,c=!1;if(h){const g=r?r.value.toString():null;if(!n||n!==g||n!==h){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote tasks with local tasks...`);const P=S(g,h,n);t=P.content,c=P.hasConflicts,s=P.hasLocalChanged,a=P.hasRemoteChanged}}else r&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote tasks does not exist. Synchronizing tasks for the first time.`),t=r.value.toString(),a=!0);const o={content:t,localChange:s?r?2:1:0,remoteChange:a?2:0,hasConflicts:c},l=r?r.value.toString():null;return[{fileContent:r,baseResource:this.baseResource,baseContent:n!==null?n:l,localResource:this.localResource,localContent:l,localChange:o.localChange,remoteResource:this.remoteResource,remoteContent:h,remoteChange:o.remoteChange,previewResource:this.previewResource,previewResult:o,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(p){const m=p?.syncData?v(p.syncData.content,this.logService):null;if(m===null)return!0;const u=await this.getLocalFileContent(),f=u?u.value.toString():null,h=S(f,m,m);return h.hasLocalChanged||h.hasRemoteChanged}async getMergeResult(p,m){return p.previewResult}async getAcceptResult(p,m,u,f){if(this.extUri.isEqual(m,this.localResource))return{content:p.fileContent?p.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(m,this.remoteResource))return{content:p.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(m,this.previewResource))return u===void 0?{content:p.previewResult.content,localChange:p.previewResult.localChange,remoteChange:p.previewResult.remoteChange}:{content:u,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${m.toString()}`)}async applyResult(p,m,u,f){const{fileContent:h}=u[0][0],{content:n,localChange:r,remoteChange:t}=u[0][1];if(r===0&&t===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing tasks.`),r!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local tasks...`),h&&await this.backupLocal(JSON.stringify(this.toTasksSyncContent(h.value.toString()))),await this.updateLocalFileContent(n||"{}",h,f),this.logService.info(`${this.syncResourceLogLabel}: Updated local tasks`)),t!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote tasks...`);const s=JSON.stringify(this.toTasksSyncContent(n||"{}"));p=await this.updateRemoteUserData(s,f?null:p.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote tasks`)}try{await this.fileService.del(this.previewResource)}catch{}m?.ref!==p.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized tasks...`),await this.updateLastSyncUserData(p),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized tasks`))}async hasLocalData(){return this.fileService.exists(this.file)}async getAssociatedResources({uri:p}){const m=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(p,"tasks.json"),comparableResource:m}]}async resolveContent(p){if(this.extUri.isEqual(this.remoteResource,p)||this.extUri.isEqual(this.baseResource,p)||this.extUri.isEqual(this.localResource,p)||this.extUri.isEqual(this.acceptedResource,p))return this.resolvePreviewContent(p);let m=await super.resolveContent(p);if(m)return m;if(m=await super.resolveContent(this.extUri.dirname(p)),m){const u=this.parseSyncData(m);if(u)switch(this.extUri.basename(p)){case"tasks.json":return v(u.content,this.logService)}}return null}toTasksSyncContent(p){return{tasks:p}}};y=ge([K(0,E.IUserDataSyncStoreService),K(1,E.IUserDataSyncBackupStoreService),K(2,E.IUserDataSyncLogService),K(3,i.IConfigurationService),K(4,E.IUserDataSyncEnablementService),K(5,L.IFileService),K(6,k.IEnvironmentService),K(7,A.IStorageService),K(8,b.ITelemetryService),K(9,C.IUriIdentityService),K(10,D.IUserDataProfilesService)],y),e.TasksSynchroniser=y;let d=class extends I.AbstractInitializer{constructor(p,m,u,f,h){super("tasks",m,u,f,p,h);this.tasksResource=this.userDataProfilesService.defaultProfile.tasksResource}async doInitialize(p){const m=p.syncData?v(p.syncData.content,this.logService):null;if(!m){this.logService.info("Skipping initializing tasks because remote tasks does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing tasks because local tasks exist.");return}await this.fileService.writeFile(this.tasksResource,R.VSBuffer.fromString(m)),await this.updateLastSyncUserData(p)}async isEmpty(){return this.fileService.exists(this.tasksResource)}};d=ge([K(0,L.IFileService),K(1,D.IUserDataProfilesService),K(2,k.IEnvironmentService),K(3,E.IUserDataSyncLogService),K(4,C.IUriIdentityService)],d),e.TasksInitializer=d;function S(w,p,m){if(w===null&&p===null&&m===null)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};if(w===p)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};const u=m!==w,f=m!==p;return!u&&!f?{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1}:u&&!f?{content:w,hasRemoteChanged:!0,hasLocalChanged:!1,hasConflicts:!1}:f&&!u?{content:p,hasLocalChanged:!0,hasRemoteChanged:!1,hasConflicts:!1}:{content:w,hasLocalChanged:!0,hasRemoteChanged:!0,hasConflicts:!0}}}),define(re[260],oe([0,1,3,2,4,15,22,21,25]),function(X,e,R,i,k,L,A,b,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncEnablementService=void 0;const D="sync.enable";let I=class extends i.Disposable{constructor(v,y,d,S){super();this.storageService=v,this.telemetryService=y,this.environmentService=d,this.userDataSyncStoreManagementService=S,this._onDidChangeEnablement=new R.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this._onDidChangeResourceEnablement=new R.Emitter,this.onDidChangeResourceEnablement=this._onDidChangeResourceEnablement.event,this._register(v.onDidChangeValue(w=>this.onDidStorageChange(w)))}isEnabled(){switch(this.environmentService.sync){case"on":return!0;case"off":return!1}return this.storageService.getBoolean(D,-1,!1)}canToggleEnablement(){return this.userDataSyncStoreManagementService.userDataSyncStore!==void 0&&this.environmentService.sync===void 0}setEnablement(v){v&&!this.canToggleEnablement()||(this.telemetryService.publicLog2(D,{enabled:v}),this.storageService.store(D,v,-1,1))}isResourceEnabled(v){return this.storageService.getBoolean((0,C.getEnablementKey)(v),-1,!0)}setResourceEnablement(v,y){if(this.isResourceEnabled(v)!==y){const d=(0,C.getEnablementKey)(v);this.storeResourceEnablement(d,y)}}getResourceSyncStateVersion(v){}storeResourceEnablement(v,y){this.storageService.store(v,y,-1,k.isWeb?0:1)}onDidStorageChange(v){if(v.scope!==-1)return;if(D===v.key){this._onDidChangeEnablement.fire(this.isEnabled());return}const y=C.ALL_SYNC_RESOURCES.filter(d=>(0,C.getEnablementKey)(d)===v.key)[0];if(y){this._onDidChangeResourceEnablement.fire([y,this.isResourceEnabled(y)]);return}}};I=ge([K(0,A.IStorageService),K(1,b.ITelemetryService),K(2,L.IEnvironmentService),K(3,C.IUserDataSyncStoreManagementService)],I),e.UserDataSyncEnablementService=I}),define(re[73],oe([0,1,3,2,4,26,163,15,13,5,24,49,22,25]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncMachinesService=e.isWebPlatform=e.IUserDataSyncMachinesService=void 0,e.IUserDataSyncMachinesService=(0,D.createDecorator)("IUserDataSyncMachinesService");const d="sync.currentMachineName",S="Safari",w="Chrome",p="Edge",m="Firefox",u="Android";function f(r){switch(r){case S:case w:case p:case m:case u:case(0,k.PlatformToString)(0):return!0}return!1}e.isWebPlatform=f;function h(){return k.isSafari?S:k.isChrome?w:k.isEdge?p:k.isFirefox?m:k.isAndroid?u:(0,k.PlatformToString)(k.isWeb?0:k.platform)}let n=class nt extends i.Disposable{constructor(t,s,a,c,o,l){super();this.storageService=a,this.userDataSyncStoreService=c,this.logService=o,this.productService=l,this._onDidChange=this._register(new R.Emitter),this.onDidChange=this._onDidChange.event,this.userData=null,this.currentMachineIdPromise=(0,E.getServiceMachineId)(t,s,a)}async getMachines(t){const s=await this.currentMachineIdPromise;return(await this.readMachinesData(t)).machines.map(c=>({...c,isCurrent:c.id===s}))}async addCurrentMachine(t){const s=await this.currentMachineIdPromise,a=await this.readMachinesData(t);a.machines.some(({id:c})=>c===s)||(a.machines.push({id:s,name:this.computeCurrentMachineName(a.machines),platform:h()}),await this.writeMachinesData(a))}async removeCurrentMachine(t){const s=await this.currentMachineIdPromise,a=await this.readMachinesData(t),c=a.machines.filter(({id:o})=>o!==s);c.length!==a.machines.length&&(a.machines=c,await this.writeMachinesData(a))}async renameMachine(t,s,a){const c=await this.readMachinesData(a),o=c.machines.find(({id:l})=>l===t);if(o){o.name=s,await this.writeMachinesData(c);const l=await this.currentMachineIdPromise;t===l&&this.storageService.store(d,s,-1,1)}}async setEnablements(t){const s=await this.readMachinesData();for(const[a,c]of t){const o=s.machines.find(l=>l.id===a);o&&(o.disabled=c?void 0:!0)}await this.writeMachinesData(s)}computeCurrentMachineName(t){const s=this.storageService.get(d,-1);if(s)return s;const a=`${this.productService.embedderIdentifier?`${this.productService.embedderIdentifier} - `:""}${h()} (${this.productService.nameShort})`,c=new RegExp(`${(0,L.escapeRegExpCharacters)(a)}\\s#(\\d+)`);let o=0;for(const l of t){const g=c.exec(l.name),P=g?parseInt(g[1]):0;o=P>o?P:o}return`${a} #${o+1}`}async readMachinesData(t){this.userData=await this.readUserData(t);const s=this.parse(this.userData);if(s.version!==nt.VERSION)throw new Error((0,A.localize)(0,null,this.productService.nameLong));return s}async writeMachinesData(t){const s=JSON.stringify(t),a=await this.userDataSyncStoreService.write(nt.RESOURCE,s,this.userData?.ref||null);this.userData={ref:a,content:s},this._onDidChange.fire()}async readUserData(t){if(this.userData){const s=t&&t.latest?t.latest[nt.RESOURCE]:void 0;if(this.userData.ref===s)return this.userData;if(s===void 0&&this.userData.content===null)return this.userData}return this.userDataSyncStoreService.read(nt.RESOURCE,this.userData)}parse(t){if(t.content!==null)try{return JSON.parse(t.content)}catch(s){this.logService.error(s)}return{version:nt.VERSION,machines:[]}}};n.VERSION=1,n.RESOURCE="machines",n=ge([K(0,b.IEnvironmentService),K(1,C.IFileService),K(2,v.IStorageService),K(3,y.IUserDataSyncStoreService),K(4,y.IUserDataSyncLogService),K(5,I.IProductService)],n),e.UserDataSyncMachinesService=n}),define(re[261],oe([0,1,6,61,38,9,3,2,4,16,7,161,24,22,21,25,70,73]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;const m="sync.disableMachineEventually",u="sync.sessionId",f="sync.storeUrl",h="sync.productQuality";let n=class extends b.Disposable{constructor(s,a,c,o,l,g,P,U,_,M){super();this.userDataSyncStoreManagementService=a,this.userDataSyncStoreService=c,this.userDataSyncEnablementService=o,this.userDataSyncService=l,this.logService=g,this.userDataSyncAccountService=P,this.telemetryService=U,this.userDataSyncMachinesService=_,this.storageService=M,this.autoSync=this._register(new b.MutableDisposable),this.successiveFailures=0,this.lastSyncTriggerTime=void 0,this.suspendUntilRestart=!1,this._onError=this._register(new A.Emitter),this.onError=this._onError.event,this.sources=[],this.syncTriggerDelayer=this._register(new R.ThrottledDelayer(this.getSyncTriggerDelayTime())),this.lastSyncUrl=this.syncUrl,this.syncUrl=a.userDataSyncStore?.url,this.previousProductQuality=this.productQuality,this.productQuality=s.quality,this.syncUrl&&(this.logService.info("Using settings sync service",this.syncUrl.toString()),this._register(a.onDidChangeUserDataSyncStore(()=>{(0,D.isEqual)(this.syncUrl,a.userDataSyncStore?.url)||(this.lastSyncUrl=this.syncUrl,this.syncUrl=a.userDataSyncStore?.url,this.syncUrl&&this.logService.info("Using settings sync service",this.syncUrl.toString()))})),this.userDataSyncEnablementService.isEnabled()?this.logService.info("Auto Sync is enabled."):this.logService.info("Auto Sync is disabled."),this.updateAutoSync(),this.hasToDisableMachineEventually()&&this.disableMachineEventually(),this._register(P.onDidChangeAccount(()=>this.updateAutoSync())),this._register(c.onDidChangeDonotMakeRequestsUntil(()=>this.updateAutoSync())),this._register(l.onDidChangeLocal(T=>this.triggerSync([T],!1,!1))),this._register(A.Event.filter(this.userDataSyncEnablementService.onDidChangeResourceEnablement,([,T])=>T)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this._register(this.userDataSyncStoreManagementService.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}get syncUrl(){const s=this.storageService.get(f,-1);return s?I.URI.parse(s):void 0}set syncUrl(s){s?this.storageService.store(f,s.toString(),-1,1):this.storageService.remove(f,-1)}get productQuality(){return this.storageService.get(h,-1)}set productQuality(s){s?this.storageService.store(h,s,-1,1):this.storageService.remove(h,-1)}updateAutoSync(){const{enabled:s,message:a}=this.isAutoSyncEnabled();s?this.autoSync.value===void 0&&(this.autoSync.value=new r(this.lastSyncUrl,1e3*60*5,this.userDataSyncStoreManagementService,this.userDataSyncStoreService,this.userDataSyncService,this.userDataSyncMachinesService,this.logService,this.storageService),this.autoSync.value.register(this.autoSync.value.onDidStartSync(()=>this.lastSyncTriggerTime=new Date().getTime())),this.autoSync.value.register(this.autoSync.value.onDidFinishSync(c=>this.onDidFinishSync(c))),this.startAutoSync()&&this.autoSync.value.start()):(this.syncTriggerDelayer.cancel(),this.autoSync.value!==void 0?(a&&this.logService.info(a),this.autoSync.clear()):a&&this.userDataSyncEnablementService.isEnabled()&&this.logService.info(a))}startAutoSync(){return!0}isAutoSyncEnabled(){return this.userDataSyncEnablementService.isEnabled()?this.userDataSyncAccountService.account?this.userDataSyncStoreService.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${(0,i.toLocalISOString)(this.userDataSyncStoreService.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:this.suspendUntilRestart?{enabled:!1,message:"Auto Sync: Suspended until restart."}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.stopDisableMachineEventually(),this.lastSyncUrl=this.syncUrl,this.updateEnablement(!0)}async turnOff(s,a,c){try{this.userDataSyncAccountService.account&&!c&&await this.userDataSyncMachinesService.removeCurrentMachine(),this.updateEnablement(!1),this.storageService.remove(u,-1),s?(this.telemetryService.publicLog2("sync/turnOffEveryWhere"),await this.userDataSyncService.reset()):await this.userDataSyncService.resetLocal()}catch(o){if(a)this.logService.error(o),this.updateEnablement(!1);else throw o}}updateEnablement(s){this.userDataSyncEnablementService.isEnabled()!==s&&(this.userDataSyncEnablementService.setEnablement(s),this.updateAutoSync())}hasProductQualityChanged(){return!!this.previousProductQuality&&!!this.productQuality&&this.previousProductQuality!==this.productQuality}async onDidFinishSync(s){if(!s){this.successiveFailures=0;return}const a=S.UserDataSyncError.toUserDataSyncError(s);a instanceof S.UserDataAutoSyncError&&this.telemetryService.publicLog2("autosync/error",{code:a.code,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()}),a.code==="SessionExpired"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because current session is expired")):a.code==="TurnedOff"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):a.code==="LocalTooManyRequests"?(this.suspendUntilRestart=!0,this.logService.info("Auto Sync: Suspended sync because of making too many requests to server"),this.updateAutoSync()):a.code==="RemoteTooManyRequests"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because of making too many requests to server")):a.code==="UpgradeRequired"||a.code==="Gone"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):a.code==="IncompatibleLocalContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${a.resource} content with newer version than of client. Requires client upgrade.`)):a.code==="IncompatibleRemoteContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${a.resource} content with older version than of client. Requires server reset.`)):a.code==="ServiceChanged"||a.code==="DefaultServiceChanged"?C.isWeb&&a.code==="DefaultServiceChanged"&&!this.hasProductQualityChanged()?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.logService.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.logService.error(a),this.successiveFailures++),this._onError.fire(a)}async disableMachineEventually(){this.storageService.store(m,!0,-1,1),await(0,R.timeout)(1e3*60*10),!!this.hasToDisableMachineEventually()&&(this.stopDisableMachineEventually(),!this.userDataSyncEnablementService.isEnabled()&&this.userDataSyncAccountService.account&&await this.userDataSyncMachinesService.removeCurrentMachine())}hasToDisableMachineEventually(){return this.storageService.getBoolean(m,-1,!1)}stopDisableMachineEventually(){this.storageService.remove(m,-1)}async triggerSync(s,a,c){if(this.autoSync.value===void 0)return this.syncTriggerDelayer.cancel();if(a&&this.lastSyncTriggerTime&&Math.round((new Date().getTime()-this.lastSyncTriggerTime)/1e3)<10){this.logService.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.sources.push(...s),this.syncTriggerDelayer.trigger(async()=>{this.logService.trace("activity sources",...this.sources),this.telemetryService.publicLog2("sync/triggered",{sources:this.sources}),this.sources=[],this.autoSync.value&&await this.autoSync.value.sync("Activity",c)},this.successiveFailures?this.getSyncTriggerDelayTime()*1*Math.min(Math.pow(2,this.successiveFailures),60):this.getSyncTriggerDelayTime())}getSyncTriggerDelayTime(){return 2e3}};n=ge([K(0,v.IProductService),K(1,S.IUserDataSyncStoreManagementService),K(2,S.IUserDataSyncStoreService),K(3,S.IUserDataSyncEnablementService),K(4,S.IUserDataSyncService),K(5,S.IUserDataSyncLogService),K(6,w.IUserDataSyncAccountService),K(7,d.ITelemetryService),K(8,p.IUserDataSyncMachinesService),K(9,y.IStorageService)],n),e.UserDataAutoSyncService=n;class r extends b.Disposable{constructor(s,a,c,o,l,g,P,U){super();this.lastSyncUrl=s,this.interval=a,this.userDataSyncStoreManagementService=c,this.userDataSyncStoreService=o,this.userDataSyncService=l,this.userDataSyncMachinesService=g,this.logService=P,this.storageService=U,this.intervalHandler=this._register(new b.MutableDisposable),this._onDidStartSync=this._register(new A.Emitter),this.onDidStartSync=this._onDidStartSync.event,this._onDidFinishSync=this._register(new A.Emitter),this.onDidFinishSync=this._onDidFinishSync.event,this.manifest=null}start(){this._register(this.onDidFinishSync(()=>this.waitUntilNextIntervalAndSync())),this._register((0,b.toDisposable)(()=>{this.syncPromise&&(this.syncPromise.cancel(),this.logService.info("Auto sync: Cancelled sync that is in progress"),this.syncPromise=void 0),this.syncTask&&this.syncTask.stop(),this.logService.info("Auto Sync: Stopped")})),this.logService.info("Auto Sync: Started"),this.sync(r.INTERVAL_SYNCING,!1)}waitUntilNextIntervalAndSync(){this.intervalHandler.value=(0,R.disposableTimeout)(()=>this.sync(r.INTERVAL_SYNCING,!1),this.interval)}sync(s,a){const c=(0,R.createCancelablePromise)(async o=>{if(this.syncPromise)try{this.logService.debug("Auto Sync: Waiting until sync is finished."),await this.syncPromise}catch(l){if((0,L.isCancellationError)(l))return}return this.doSync(s,a,o)});return this.syncPromise=c,this.syncPromise.finally(()=>this.syncPromise=void 0),this.syncPromise}hasSyncServiceChanged(){return this.lastSyncUrl!==void 0&&!(0,D.isEqual)(this.lastSyncUrl,this.userDataSyncStoreManagementService.userDataSyncStore?.url)}async hasDefaultServiceChanged(){const s=await this.userDataSyncStoreManagementService.getPreviousUserDataSyncStore(),a=this.userDataSyncStoreManagementService.userDataSyncStore;return!!a&&!!s&&(!(0,D.isEqual)(a.defaultUrl,s.defaultUrl)||!(0,D.isEqual)(a.insidersUrl,s.insidersUrl)||!(0,D.isEqual)(a.stableUrl,s.stableUrl))}async doSync(s,a,c){this.logService.info(`Auto Sync: Triggered by ${s}`),this._onDidStartSync.fire();let o;try{if(this.syncTask=await this.userDataSyncService.createSyncTask(this.manifest,a),c.isCancellationRequested)return;if(this.manifest=this.syncTask.manifest,this.manifest===null&&await this.userDataSyncService.hasPreviouslySynced())throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new S.UserDataAutoSyncError((0,E.localize)(0,null),"DefaultServiceChanged"):new S.UserDataAutoSyncError((0,E.localize)(1,null),"ServiceChanged"):new S.UserDataAutoSyncError((0,E.localize)(2,null),"TurnedOff");const l=this.storageService.get(u,-1);if(l&&this.manifest&&l!==this.manifest.session)throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new S.UserDataAutoSyncError((0,E.localize)(3,null),"DefaultServiceChanged"):new S.UserDataAutoSyncError((0,E.localize)(4,null),"ServiceChanged"):new S.UserDataAutoSyncError((0,E.localize)(5,null),"SessionExpired");const g=await this.userDataSyncMachinesService.getMachines(this.manifest||void 0);if(c.isCancellationRequested)return;const P=g.find(U=>U.isCurrent);if(P?.disabled)throw new S.UserDataAutoSyncError((0,E.localize)(6,null),"TurnedOff");if(await this.syncTask.run(),this.manifest===null)try{this.manifest=await this.userDataSyncStoreService.manifest(null)}catch(U){throw new S.UserDataAutoSyncError((0,k.toErrorMessage)(U),U instanceof S.UserDataSyncError?U.code:"Unknown")}if(this.manifest&&this.manifest.session!==l&&this.storageService.store(u,this.manifest.session,-1,1),c.isCancellationRequested)return;P||await this.userDataSyncMachinesService.addCurrentMachine(this.manifest||void 0)}catch(l){this.logService.error(l),o=l}this._onDidFinishSync.fire(o)}register(s){return super._register(s)}}r.INTERVAL_SYNCING="Interval"}),define(re[262],oe([0,1,18,6,38,3,2,16,14,31,19,28,5,22,21,254,255,256,257,258,259,25]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncService=void 0;const n="sync.lastSyncTime";let r=class extends A.Disposable{constructor(o,l,g,P,U,_,M,T){super();this.userDataSyncStoreService=o,this.userDataSyncStoreManagementService=l,this.instantiationService=g,this.configurationService=P,this.logService=U,this.telemetryService=_,this.storageService=M,this.userDataSyncEnablementService=T,this._status="uninitialized",this._onDidChangeStatus=this._register(new L.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._onDidChangeLocal=this._register(new L.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new L.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._syncErrors=[],this._onSyncErrors=this._register(new L.Emitter),this.onSyncErrors=this._onSyncErrors.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new L.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onDidResetLocal=this._register(new L.Emitter),this.onDidResetLocal=this._onDidResetLocal.event,this._onDidResetRemote=this._register(new L.Emitter),this.onDidResetRemote=this._onDidResetRemote.event,this.synchronizers=this._register(new A.MutableDisposable),this.updateStatus([]),this._lastSyncTime=this.storageService.getNumber(n,-1,void 0)}get status(){return this._status}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}async createSyncTask(o,l){this.checkEnablement();const g=(0,D.generateUuid)();try{const T=(0,h.createSyncHeaders)(g);l&&(T["Cache-Control"]="no-cache"),o=await this.userDataSyncStoreService.manifest(o,T)}catch(T){const $=h.UserDataSyncError.toUserDataSyncError(T);throw this.reportUserDataSyncError($,g),$}const P=!1,U=this,_=this.getEnabledSynchronizers();let M;return{manifest:o,async run(){if(P)throw new Error("Can run a task only once");return M=(0,i.createCancelablePromise)(T=>U.sync(_,o,g,T)),M.finally(()=>M=void 0)},async stop(){if(M&&M.cancel(),U.status!=="idle")return U.stop(_)}}}async createManualSyncTask(){if(this.checkEnablement(),this.userDataSyncEnablementService.isEnabled())throw new h.UserDataSyncError("Cannot start manual sync when sync is enabled","LocalError");const o=(0,D.generateUuid)(),l=(0,h.createSyncHeaders)(o);let g;try{g=await this.userDataSyncStoreService.manifest(null,l)}catch(_){const M=h.UserDataSyncError.toUserDataSyncError(_);throw this.reportUserDataSyncError(M,o),M}await this.resetLocal();const P=this.getEnabledSynchronizers(),U=async()=>{await this.stop(P),await this.resetLocal()};return new t(o,g,l,P,U,this.configurationService,this.logService)}async sync(o,l,g,P){if(P.isCancellationRequested||!o.length)return;const U=new Date().getTime();this._syncErrors=[];try{this.logService.trace("Sync started."),this.status!=="hasConflicts"&&this.setStatus("syncing");const _=(0,h.createSyncHeaders)(g);for(const M of o){if(P.isCancellationRequested||!this.userDataSyncEnablementService.isResourceEnabled(M.resource))return;try{await M.sync(l,_)}catch(T){let $=!1;if(T instanceof h.UserDataSyncError)switch(T.code){case"TooLarge":T=new h.UserDataSyncError(T.message,T.code,M.resource),$=!0;break;case"RemoteTooManyRequests":case"TooManyRequestsAndRetryAfter":case"LocalTooManyRequests":case"Gone":case"UpgradeRequired":case"IncompatibleRemoteContent":case"IncompatibleLocalContent":$=!0;break}const N=h.UserDataSyncError.toUserDataSyncError(T);if(this.reportUserDataSyncError(N,g),$)throw N;this.logService.error(T),this.logService.error(`${M.resource}: ${(0,k.toErrorMessage)(T)}`),this._syncErrors.push([M.resource,N])}}this.logService.info(`Sync done. Took ${new Date().getTime()-U}ms`),this.updateLastSyncTime()}catch(_){const M=h.UserDataSyncError.toUserDataSyncError(_);throw this.reportUserDataSyncError(M,g),M}finally{this.updateStatus(o),this._onSyncErrors.fire(this._syncErrors)}}async stop(o){if(this.status!=="idle")for(const l of o)try{l.status!=="idle"&&await l.stop()}catch(g){this.logService.error(g)}}async replace(o){this.checkEnablement(),await this.performSynchronizerAction(async l=>{if(await l.replace(o))return!0})}async accept(o,l,g,P){this.checkEnablement(),await this.performSynchronizerAction(async U=>{if(U.resource===o)return await U.accept(l,g),P&&await U.apply(!1,(0,h.createSyncHeaders)((0,D.generateUuid)())),!0})}async resolveContent(o){return this.performSynchronizerAction(async l=>{const g=await l.resolveContent(o);if(g)return g})}async getRemoteSyncResourceHandles(o){return await this.performSynchronizerAction(async g=>{if(g.resource===o)return g.getRemoteSyncResourceHandles()})||[]}async getLocalSyncResourceHandles(o){return await this.performSynchronizerAction(async g=>{if(g.resource===o)return g.getLocalSyncResourceHandles()})||[]}async getAssociatedResources(o,l){return await this.performSynchronizerAction(async P=>{if(P.resource===o)return P.getAssociatedResources(l)})||[]}async getMachineId(o,l){return await this.performSynchronizerAction(async P=>{if(P.resource===o)return await P.getMachineId(l)||null})||void 0}async hasLocalData(){return!!await this.performSynchronizerAction(async l=>{if(l.resource!=="globalState"&&await l.hasLocalData())return!0})}async hasPreviouslySynced(){return!!await this.performSynchronizerAction(async l=>{if(await l.hasPreviouslySynced())return!0})}async reset(){this.checkEnablement(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){this.checkEnablement();try{await this.userDataSyncStoreService.clear(),this.logService.info("Cleared data on server")}catch(o){this.logService.error(o)}this._onDidResetRemote.fire()}async resetLocal(){if(this.checkEnablement(),this.storageService.remove(n,-1),this.synchronizers.value){for(const o of this.synchronizers.value.enabled)try{await o.resetLocal()}catch(l){this.logService.error(`${o.resource}: ${(0,k.toErrorMessage)(l)}`),this.logService.error(l)}this.synchronizers.value=void 0}this._onDidResetLocal.fire(),this.logService.info("Did reset the local sync state.")}async performSynchronizerAction(o){const l=new A.DisposableStore;try{const g=this.synchronizers.value||l.add(this.instantiationService.createInstance(s,()=>{},()=>{},()=>{})),P=[...g.enabled,...g.disabled.map(U=>l.add(g.createSynchronizer(U)))];for(const U of P){const _=await o(U);if(!(0,C.isUndefined)(_))return _}return null}finally{l.dispose()}}setStatus(o){const l=this._status;this._status!==o&&(this._status=o,this._onDidChangeStatus.fire(o),l==="hasConflicts"&&this.updateLastSyncTime())}updateStatus(o){this.updateConflicts(o);const l=this.computeStatus(o);this.setStatus(l)}updateConflicts(o){const l=this.computeConflicts(o);(0,R.equals)(this._conflicts,l,([g,P],[U,_])=>g===g&&(0,R.equals)(P,_,(M,T)=>(0,b.isEqual)(M.previewResource,T.previewResource)))||(this._conflicts=this.computeConflicts(o),this._onDidChangeConflicts.fire(l))}computeConflicts(o){return o.filter(l=>l.status==="hasConflicts").map(l=>[l.resource,l.conflicts.map(a)])}computeStatus(o){return this.userDataSyncStoreManagementService.userDataSyncStore?o.some(l=>l.status==="hasConflicts")?"hasConflicts":o.some(l=>l.status==="syncing")?"syncing":"idle":"uninitialized"}updateLastSyncTime(){this.status==="idle"&&(this._lastSyncTime=new Date().getTime(),this.storageService.store(n,this._lastSyncTime,-1,1),this._onDidChangeLastSyncTime.fire(this._lastSyncTime))}reportUserDataSyncError(o,l){this.telemetryService.publicLog2("sync/error",{code:o.code,serverCode:o instanceof h.UserDataSyncStoreError?String(o.serverCode):void 0,url:o instanceof h.UserDataSyncStoreError?o.url:void 0,resource:o.resource,executionId:l,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()})}getEnabledSynchronizers(){return this.synchronizers.value||(this.synchronizers.value=this.instantiationService.createInstance(s,o=>this.updateStatus(o),o=>this.updateConflicts(o),o=>this._onDidChangeLocal.fire(o))),this.synchronizers.value.enabled}checkEnablement(){if(!this.userDataSyncStoreManagementService.userDataSyncStore)throw new Error("Not enabled")}};r=ge([K(0,h.IUserDataSyncStoreService),K(1,h.IUserDataSyncStoreManagementService),K(2,v.IInstantiationService),K(3,I.IConfigurationService),K(4,h.IUserDataSyncLogService),K(5,d.ITelemetryService),K(6,y.IStorageService),K(7,h.IUserDataSyncEnablementService)],r),e.UserDataSyncService=r;class t extends A.Disposable{constructor(o,l,g,P,U,_,M){super();this.id=o,this.manifest=l,this.syncHeaders=g,this.synchronisers=P,this.onStop=U,this.configurationService=_,this.logService=M,this.synchronizingResources=[],this._onSynchronizeResources=this._register(new L.Emitter),this.onSynchronizeResources=this._onSynchronizeResources.event,this.isDisposed=!1}get status(){return this.synchronisers.some(o=>o.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(o=>o.status==="syncing")?"syncing":"idle"}async preview(){try{if(this.isDisposed)throw new Error("Disposed");return this.previewsPromise||(this.previewsPromise=(0,i.createCancelablePromise)(o=>this.getPreviews(o))),this.previews||(this.previews=await this.previewsPromise),this.previews}catch(o){throw this.logService.error(o),o}}async accept(o,l){try{return await this.performAction(o,g=>g.accept(o,l))}catch(g){throw this.logService.error(g),g}}async merge(o){try{return o?await this.performAction(o,l=>l.merge(o)):await this.mergeAll()}catch(l){throw this.logService.error(l),l}}async discard(o){try{return await this.performAction(o,l=>l.discard(o))}catch(l){throw this.logService.error(l),l}}async discardConflicts(){try{if(!this.previews)throw new Error("Missing preview. Create preview and try again.");if(this.synchronizingResources.length)throw new Error("Cannot discard while synchronizing resources");const o=[];for(const[,l]of this.previews)for(const g of l.resourcePreviews)g.mergeState==="conflict"&&o.push(g.previewResource);for(const l of o)await this.discard(l);return this.previews}catch(o){throw this.logService.error(o),o}}async apply(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");const o=[];for(const[l,g]of this.previews){this.synchronizingResources.push([l,g.resourcePreviews.map(_=>_.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const P=this.synchronisers.find(_=>_.resource===l);for(const _ of g.resourcePreviews)(_.localChange!==0||_.remoteChange!==0)&&_.mergeState==="preview"&&await P.merge(_.previewResource);const U=await P.apply(!1,this.syncHeaders);U&&o.push(this.toSyncResourcePreview(P.resource,U)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(_=>_[0]===l),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=o,this.previews}catch(o){throw this.logService.error(o),o}}async pull(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[o,l]of this.previews){this.synchronizingResources.push([o,l.resourcePreviews.map(P=>P.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const g=this.synchronisers.find(P=>P.resource===o);for(const P of l.resourcePreviews)await g.accept(P.remoteResource);await g.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(P=>P[0]===o),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(o){throw this.logService.error(o),o}}async push(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[o,l]of this.previews){this.synchronizingResources.push([o,l.resourcePreviews.map(P=>P.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const g=this.synchronisers.find(P=>P.resource===o);for(const P of l.resourcePreviews)await g.accept(P.localResource);await g.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(P=>P[0]===o),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(o){throw this.logService.error(o),o}}async stop(){await this.onStop(),this.reset()}async performAction(o,l){if(!this.previews)throw new Error("Missing preview. Create preview and try again.");const g=this.previews.findIndex(([,G])=>G.resourcePreviews.some(({localResource:J,previewResource:z,remoteResource:Q})=>(0,b.isEqual)(o,J)||(0,b.isEqual)(o,z)||(0,b.isEqual)(o,Q)));if(g===-1)return this.previews;const[P,U]=this.previews[g],_=U.resourcePreviews.find(({localResource:G,remoteResource:J,previewResource:z})=>(0,b.isEqual)(G,o)||(0,b.isEqual)(J,o)||(0,b.isEqual)(z,o));if(!_)return this.previews;let M=this.synchronizingResources.find(G=>G[0]===P);M||(M=[P,[]],this.synchronizingResources.push(M)),M[1].some(G=>(0,b.isEqual)(G,_.localResource))||(M[1].push(_.localResource),this._onSynchronizeResources.fire(this.synchronizingResources));const T=this.synchronisers.find(G=>G.resource===this.previews[g][0]),$=await l(T);$?this.previews.splice(g,1,this.toSyncResourcePreview(T.resource,$)):this.previews.splice(g,1);const N=this.synchronizingResources.findIndex(G=>G[0]===P);return this.synchronizingResources[N][1].splice(M[1].findIndex(G=>(0,b.isEqual)(G,_.localResource)),1),M[1].length||(this.synchronizingResources.splice(N,1),this._onSynchronizeResources.fire(this.synchronizingResources)),this.previews}async mergeAll(){if(!this.previews)throw new Error("You need to create preview before merging or applying");if(this.synchronizingResources.length)throw new Error("Cannot merge or apply while synchronizing resources");const o=[];for(const[l,g]of this.previews){this.synchronizingResources.push([l,g.resourcePreviews.map(_=>_.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const P=this.synchronisers.find(_=>_.resource===l);let U=g;for(const _ of g.resourcePreviews)(_.localChange!==0||_.remoteChange!==0)&&_.mergeState==="preview"&&(U=await P.merge(_.previewResource));U&&o.push(this.toSyncResourcePreview(P.resource,U)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(_=>_[0]===l),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=o,this.previews}async getPreviews(o){const l=[],g=await this.getUserDataSyncConfiguration();for(const P of this.synchronisers){if(o.isCancellationRequested)return[];const U=await P.preview(this.manifest,g,this.syncHeaders);U&&l.push(this.toSyncResourcePreview(P.resource,U))}return l}async getUserDataSyncConfiguration(){const o=this.configurationService.getValue(h.USER_DATA_SYNC_CONFIGURATION_SCOPE),l=this.synchronisers.find(g=>g instanceof m.SettingsSynchroniser);if(l){const g=await l.getRemoteUserDataSyncConfiguration(this.manifest);return{...o,...g}}return o}toSyncResourcePreview(o,l){return[o,{isLastSyncFromCurrentMachine:l.isLastSyncFromCurrentMachine,resourcePreviews:l.resourcePreviews.map(a)}]}reset(){this.previewsPromise&&(this.previewsPromise.cancel(),this.previewsPromise=void 0),this.previews=void 0,this.synchronizingResources=[]}dispose(){this.reset(),this.isDisposed=!0}}let s=class extends A.Disposable{constructor(o,l,g,P,U,_,M){super();this.onDidChangeStatus=o,this.onDidChangeConflicts=l,this.onDidChangeLocal=g,this.userDataSyncEnablementService=P,this.instantiationService=U,this.extensionGalleryService=_,this.logService=M,this._enabled=[],this._register(P.onDidChangeResourceEnablement(([T,$])=>this.onDidChangeResourceEnablement(T,$))),this._register((0,A.toDisposable)(()=>this._enabled.splice(0,this._enabled.length).forEach(([,,T])=>T.dispose())));for(const T of h.ALL_SYNC_RESOURCES)P.isResourceEnabled(T)&&this.registerSynchronizer(T)}get enabled(){return this._enabled.sort((o,l)=>o[1]-l[1]).map(([o])=>o)}get disabled(){return h.ALL_SYNC_RESOURCES.filter(o=>!this.userDataSyncEnablementService.isResourceEnabled(o))}onDidChangeResourceEnablement(o,l){l?this.registerSynchronizer(o):this.deRegisterSynchronizer(o)}registerSynchronizer(o){if(this._enabled.some(([U])=>U.resource===o))return;if(o==="extensions"&&!this.extensionGalleryService.isEnabled()){this.logService.info("Skipping extensions sync because gallery is not configured");return}const l=new A.DisposableStore,g=l.add(this.createSynchronizer(o));l.add(g.onDidChangeStatus(()=>this.onDidChangeStatus(this.enabled))),l.add(g.onDidChangeConflicts(()=>this.onDidChangeConflicts(this.enabled))),l.add(g.onDidChangeLocal(()=>this.onDidChangeLocal(o)));const P=this.getOrder(o);this._enabled.push([g,P,l])}deRegisterSynchronizer(o){const l=this._enabled.findIndex(([g])=>g.resource===o);if(l!==-1){const g=this._enabled.splice(l,1);for(const[P,,U]of g){if(P.status!=="idle"){const _=P.conflicts.length>0;P.stop(),_&&this.onDidChangeConflicts(this.enabled),this.onDidChangeStatus(this.enabled)}U.dispose()}}}createSynchronizer(o){switch(o){case"settings":return this.instantiationService.createInstance(m.SettingsSynchroniser);case"keybindings":return this.instantiationService.createInstance(p.KeybindingsSynchroniser);case"snippets":return this.instantiationService.createInstance(u.SnippetsSynchroniser);case"tasks":return this.instantiationService.createInstance(f.TasksSynchroniser);case"globalState":return this.instantiationService.createInstance(w.GlobalStateSynchroniser);case"extensions":return this.instantiationService.createInstance(S.ExtensionsSynchroniser)}}getOrder(o){switch(o){case"settings":return 0;case"keybindings":return 1;case"snippets":return 2;case"tasks":return 3;case"globalState":return 4;case"extensions":return 5}}};s=ge([K(3,h.IUserDataSyncEnablementService),K(4,v.IInstantiationService),K(5,E.IExtensionGalleryService),K(6,h.IUserDataSyncLogService)],s);function a(c){return{baseResource:c.baseResource,localResource:c.localResource,previewResource:c.previewResource,remoteResource:c.remoteResource,acceptedResource:c.acceptedResource,localChange:c.localChange,remoteChange:c.remoteChange,mergeState:c.mergeState}}}),define(re[263],oe([0,1,6,23,9,3,2,123,4,16,14,7,31,19,15,13,24,46,49,22,25]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestsSession=e.UserDataSyncStoreService=e.UserDataSyncStoreClient=e.UserDataSyncStoreManagementService=e.AbstractUserDataSyncStoreManagementService=void 0;const h="sync.previous.store",n="sync.donot-make-requests-until",r="sync.user-session-id",t="sync.machine-session-id",s=100,a=1e3*60*5;let c=class extends A.Disposable{constructor(_,M,T){super();this.productService=_,this.configurationService=M,this.storageService=T,this._onDidChangeUserDataSyncStore=this._register(new L.Emitter),this.onDidChangeUserDataSyncStore=this._onDidChangeUserDataSyncStore.event,this.updateUserDataSyncStore(),this._register(L.Event.filter(T.onDidChangeValue,$=>$.key===f.SYNC_SERVICE_URL_TYPE&&$.scope===-1&&this.userDataSyncStoreType!==this.userDataSyncStore?.type)(()=>this.updateUserDataSyncStore()))}get userDataSyncStore(){return this._userDataSyncStore}get userDataSyncStoreType(){return this.storageService.get(f.SYNC_SERVICE_URL_TYPE,-1)}set userDataSyncStoreType(_){this.storageService.store(f.SYNC_SERVICE_URL_TYPE,_,-1,C.isWeb?0:1)}updateUserDataSyncStore(){this._userDataSyncStore=this.toUserDataSyncStore(this.productService[f.CONFIGURATION_SYNC_STORE_KEY],this.configurationService.getValue(f.CONFIGURATION_SYNC_STORE_KEY)),this._onDidChangeUserDataSyncStore.fire()}toUserDataSyncStore(_,M){_=C.isWeb&&_?.web?{..._,..._.web}:_;const T={..._||{},...M||{}};if(T&&(0,I.isString)(T.url)&&(0,I.isObject)(T.authenticationProviders)&&Object.keys(T.authenticationProviders).every($=>(0,I.isArray)(T.authenticationProviders[$].scopes))){const $=T,N=!!$.canSwitch&&!M?.url,G=$.url===$.insidersUrl?"insiders":"stable",J=(N?this.userDataSyncStoreType:void 0)||G,z=M?.url||(J==="insiders"?$.insidersUrl:J==="stable"?$.stableUrl:$.url);return{url:E.URI.parse(z),type:J,defaultType:G,defaultUrl:E.URI.parse($.url),stableUrl:E.URI.parse($.stableUrl),insidersUrl:E.URI.parse($.insidersUrl),canSwitch:N,authenticationProviders:Object.keys($.authenticationProviders).reduce((Q,x)=>(Q.push({id:x,scopes:$.authenticationProviders[x].scopes}),Q),[])}}}};c=ge([K(0,w.IProductService),K(1,y.IConfigurationService),K(2,u.IStorageService)],c),e.AbstractUserDataSyncStoreManagementService=c;let o=class extends c{constructor(_,M,T){super(_,M,T);const $=this.storageService.get(h,-1);$&&(this.previousConfigurationSyncStore=JSON.parse($));const N=this.productService[f.CONFIGURATION_SYNC_STORE_KEY];N?this.storageService.store(h,JSON.stringify(N),-1,1):this.storageService.remove(h,-1)}async switch(_){_!==this.userDataSyncStoreType&&(this.userDataSyncStoreType=_,this.updateUserDataSyncStore())}async getPreviousUserDataSyncStore(){return this.toUserDataSyncStore(this.previousConfigurationSyncStore)}};o=ge([K(0,w.IProductService),K(1,y.IConfigurationService),K(2,u.IStorageService)],o),e.UserDataSyncStoreManagementService=o;let l=class extends A.Disposable{constructor(_,M,T,$,N,G,J){super();this.requestService=T,this.logService=$,this.storageService=J,this._onTokenFailed=this._register(new L.Emitter),this.onTokenFailed=this._onTokenFailed.event,this._onTokenSucceed=this._register(new L.Emitter),this.onTokenSucceed=this._onTokenSucceed.event,this._donotMakeRequestsUntil=void 0,this._onDidChangeDonotMakeRequestsUntil=this._register(new L.Emitter),this.onDidChangeDonotMakeRequestsUntil=this._onDidChangeDonotMakeRequestsUntil.event,this.resetDonotMakeRequestsUntilPromise=void 0,this.updateUserDataSyncStoreUrl(_),this.commonHeadersPromise=(0,m.getServiceMachineId)(N,G,J).then(z=>{const Q={"X-Client-Name":`${M.applicationName}${C.isWeb?"-web":""}`,"X-Client-Version":M.version};return M.commit&&(Q["X-Client-Commit"]=M.commit),Q}),this.session=new P(s,a,this.requestService,this.logService),this.initDonotMakeRequestsUntil(),this._register((0,A.toDisposable)(()=>{this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0)}))}get donotMakeRequestsUntil(){return this._donotMakeRequestsUntil}setAuthToken(_,M){this.authToken={token:_,type:M}}updateUserDataSyncStoreUrl(_){this.userDataSyncStoreUrl=_?(0,D.joinPath)(_,"v1"):void 0}initDonotMakeRequestsUntil(){const _=this.storageService.getNumber(n,-1);_&&Date.now()<_&&this.setDonotMakeRequestsUntil(new Date(_))}setDonotMakeRequestsUntil(_){this._donotMakeRequestsUntil?.getTime()!==_?.getTime()&&(this._donotMakeRequestsUntil=_,this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0),this._donotMakeRequestsUntil?(this.storageService.store(n,this._donotMakeRequestsUntil.getTime(),-1,1),this.resetDonotMakeRequestsUntilPromise=(0,R.createCancelablePromise)(M=>(0,R.timeout)(this._donotMakeRequestsUntil.getTime()-Date.now(),M).then(()=>this.setDonotMakeRequestsUntil(void 0))),this.resetDonotMakeRequestsUntilPromise.then(null,M=>null)):this.storageService.remove(n,-1),this._onDidChangeDonotMakeRequestsUntil.fire())}async getAllRefs(_){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const M=(0,D.joinPath)(this.userDataSyncStoreUrl,"resource",_),T={},$=await this.request(M.toString(),{type:"GET",headers:T},[],i.CancellationToken.None);return(await(0,p.asJson)($)||[]).map(({url:G,created:J})=>({ref:(0,D.relativePath)(M,M.with({path:G})),created:J*1e3}))}async resolveContent(_,M,T={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const $=(0,D.joinPath)(this.userDataSyncStoreUrl,"resource",_,M).toString();T={...T},T["Cache-Control"]="no-cache";const N=await this.request($,{type:"GET",headers:T},[],i.CancellationToken.None);return await(0,p.asTextOrError)(N)}async delete(_,M){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const T=M!==null?(0,D.joinPath)(this.userDataSyncStoreUrl,"resource",_,M).toString():(0,D.joinPath)(this.userDataSyncStoreUrl,"resource",_).toString(),$={};await this.request(T,{type:"DELETE",headers:$},[],i.CancellationToken.None)}async read(_,M,T={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const $=(0,D.joinPath)(this.userDataSyncStoreUrl,"resource",_,"latest").toString();T={...T},T["Cache-Control"]="no-cache",M&&(T["If-None-Match"]=M.ref);const N=await this.request($,{type:"GET",headers:T},[304],i.CancellationToken.None);let G=null;if(N.res.statusCode===304&&(G=M),G===null){const J=N.res.headers.etag;if(!J)throw new f.UserDataSyncStoreError("Server did not return the ref",$,"NoRef",N.res.statusCode,N.res.headers[f.HEADER_OPERATION_ID]);const z=await(0,p.asTextOrError)(N);if(!z&&N.res.statusCode===304)throw new f.UserDataSyncStoreError("Empty response",$,"EmptyResponse",N.res.statusCode,N.res.headers[f.HEADER_OPERATION_ID]);G={ref:J,content:z}}return G}async write(_,M,T,$={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const N=(0,D.joinPath)(this.userDataSyncStoreUrl,"resource",_).toString();$={...$},$["Content-Type"]=b.Mimes.text,T&&($["If-Match"]=T);const G=await this.request(N,{type:"POST",data:M,headers:$},[],i.CancellationToken.None),J=G.res.headers.etag;if(!J)throw new f.UserDataSyncStoreError("Server did not return the ref",N,"NoRef",G.res.statusCode,G.res.headers[f.HEADER_OPERATION_ID]);return J}async manifest(_,M={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const T=(0,D.joinPath)(this.userDataSyncStoreUrl,"manifest").toString();M={...M},M["Content-Type"]="application/json",_&&(M["If-None-Match"]=_.ref);const $=await this.request(T,{type:"GET",headers:M},[304],i.CancellationToken.None);let N=null;if($.res.statusCode===304&&(N=_),!N){const J=$.res.headers.etag;if(!J)throw new f.UserDataSyncStoreError("Server did not return the ref",T,"NoRef",$.res.statusCode,$.res.headers[f.HEADER_OPERATION_ID]);const z=await(0,p.asTextOrError)($);if(!z&&$.res.statusCode===304)throw new f.UserDataSyncStoreError("Empty response",T,"EmptyResponse",$.res.statusCode,$.res.headers[f.HEADER_OPERATION_ID]);z&&(N={...JSON.parse(z),ref:J})}const G=this.storageService.get(r,-1);return G&&N&&G!==N.session&&this.clearSession(),N===null&&G&&this.clearSession(),N&&this.storageService.store(r,N.session,-1,1),N}async clear(){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,D.joinPath)(this.userDataSyncStoreUrl,"resource").toString(),M={"Content-Type":b.Mimes.text};await this.request(_,{type:"DELETE",headers:M},[],i.CancellationToken.None),this.clearSession()}clearSession(){this.storageService.remove(r,-1),this.storageService.remove(t,-1)}async request(_,M,T,$){if(!this.authToken)throw new f.UserDataSyncStoreError("No Auth Token Available",_,"Unauthorized",void 0,void 0);if(this._donotMakeRequestsUntil&&Date.now()<this._donotMakeRequestsUntil.getTime())throw new f.UserDataSyncStoreError(`${M.type} request '${_}' failed because of too many requests (429).`,_,"TooManyRequestsAndRetryAfter",void 0,void 0);this.setDonotMakeRequestsUntil(void 0);const N=await this.commonHeadersPromise;M.headers={...M.headers||{},...N,"X-Account-Type":this.authToken.type,authorization:`Bearer ${this.authToken.token}`},this.addSessionHeaders(M.headers),this.logService.trace("Sending request to server",{url:_,type:M.type,headers:{...M.headers,authorization:void 0}});let G;try{G=await this.session.request(_,M,$)}catch(x){if(!(x instanceof f.UserDataSyncStoreError)){let B="RequestFailed";const Y=(0,k.getErrorMessage)(x).toLowerCase();Y.includes("xhr timeout")?B="RequestTimeout":Y.includes("protocol")&&Y.includes("not supported")?B="RequestProtocolNotSupported":Y.includes("request path contains unescaped characters")?B="RequestPathNotEscaped":Y.includes("headers must be an object")?B="RequestHeadersNotObject":(0,k.isCancellationError)(x)&&(B="RequestCanceled"),x=new f.UserDataSyncStoreError(`Connection refused for the request '${_}'.`,_,B,void 0,void 0)}throw this.logService.info("Request failed",_),x}const J=G.res.headers[f.HEADER_OPERATION_ID],z={url:_,status:G.res.statusCode,"execution-id":M.headers[f.HEADER_EXECUTION_ID],"operation-id":J},Q=(0,p.isSuccess)(G)||G.res.statusCode&&T.indexOf(G.res.statusCode)!==-1;if(Q?this.logService.trace("Request succeeded",z):this.logService.info("Request failed",z),G.res.statusCode===401)throw this.authToken=void 0,this._onTokenFailed.fire(),new f.UserDataSyncStoreError(`Request '${_}' failed because of Unauthorized (401).`,_,"Unauthorized",G.res.statusCode,J);if(this._onTokenSucceed.fire(),G.res.statusCode===409)throw new f.UserDataSyncStoreError(`${M.type} request '${_}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,_,"Conflict",G.res.statusCode,J);if(G.res.statusCode===410)throw new f.UserDataSyncStoreError(`${M.type} request '${_}' failed because the requested resource is not longer available (410).`,_,"Gone",G.res.statusCode,J);if(G.res.statusCode===412)throw new f.UserDataSyncStoreError(`${M.type} request '${_}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,_,"PreconditionFailed",G.res.statusCode,J);if(G.res.statusCode===413)throw new f.UserDataSyncStoreError(`${M.type} request '${_}' failed because of too large payload (413).`,_,"TooLarge",G.res.statusCode,J);if(G.res.statusCode===426)throw new f.UserDataSyncStoreError(`${M.type} request '${_}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,_,"UpgradeRequired",G.res.statusCode,J);if(G.res.statusCode===429){const x=G.res.headers["retry-after"];throw x?(this.setDonotMakeRequestsUntil(new Date(Date.now()+parseInt(x)*1e3)),new f.UserDataSyncStoreError(`${M.type} request '${_}' failed because of too many requests (429).`,_,"TooManyRequestsAndRetryAfter",G.res.statusCode,J)):new f.UserDataSyncStoreError(`${M.type} request '${_}' failed because of too many requests (429).`,_,"RemoteTooManyRequests",G.res.statusCode,J)}if(!Q)throw new f.UserDataSyncStoreError("Server returned "+G.res.statusCode,_,"Unknown",G.res.statusCode,J);return G}addSessionHeaders(_){let M=this.storageService.get(t,-1);M===void 0&&(M=(0,v.generateUuid)(),this.storageService.store(t,M,-1,1)),_["X-Machine-Session-Id"]=M;const T=this.storageService.get(r,-1);T!==void 0&&(_["X-User-Session-Id"]=T)}};l=ge([K(1,w.IProductService),K(2,p.IRequestService),K(3,f.IUserDataSyncLogService),K(4,d.IEnvironmentService),K(5,S.IFileService),K(6,u.IStorageService)],l),e.UserDataSyncStoreClient=l;let g=class extends l{constructor(_,M,T,$,N,G,J){super(_.userDataSyncStore?.url,M,T,$,N,G,J);this._register(_.onDidChangeUserDataSyncStore(()=>this.updateUserDataSyncStoreUrl(_.userDataSyncStore?.url)))}};g=ge([K(0,f.IUserDataSyncStoreManagementService),K(1,w.IProductService),K(2,p.IRequestService),K(3,f.IUserDataSyncLogService),K(4,d.IEnvironmentService),K(5,S.IFileService),K(6,u.IStorageService)],g),e.UserDataSyncStoreService=g;class P{constructor(_,M,T,$){this.limit=_,this.interval=M,this.requestService=T,this.logService=$,this.requests=[],this.startTime=void 0}request(_,M,T){if(this.isExpired()&&this.reset(),M.url=_,this.requests.length>=this.limit)throw this.logService.info("Too many requests",...this.requests),new f.UserDataSyncStoreError(`Too many requests. Only ${this.limit} requests allowed in ${this.interval/(1e3*60)} minutes.`,_,"LocalTooManyRequests",void 0,void 0);return this.startTime=this.startTime||new Date,this.requests.push(_),this.requestService.request(M,T)}isExpired(){return this.startTime!==void 0&&new Date().getTime()-this.startTime.getTime()>this.interval}reset(){this.requests=[],this.startTime=void 0}}e.RequestsSession=P}),define(re[264],oe([0,1,3,67,24,22,21,261,25,70,73]),function(X,e,R,i,k,L,A,b,C,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;let E=class extends b.UserDataAutoSyncService{constructor(y,d,S,w,p,m,u,f,h,n,r){super(y,d,S,w,p,u,f,h,n,r);this._register(R.Event.debounce(R.Event.any(R.Event.map(m.onDidFocusWindow,()=>"windowFocus"),R.Event.map(m.onDidOpenWindow,()=>"windowOpen")),(t,s)=>t?[...t,s]:[s],1e3)(t=>this.triggerSync(t,!0,!1)))}};E=ge([K(0,k.IProductService),K(1,C.IUserDataSyncStoreManagementService),K(2,C.IUserDataSyncStoreService),K(3,C.IUserDataSyncEnablementService),K(4,C.IUserDataSyncService),K(5,i.INativeHostService),K(6,C.IUserDataSyncLogService),K(7,D.IUserDataSyncAccountService),K(8,A.ITelemetryService),K(9,I.IUserDataSyncMachinesService),K(10,L.IStorageService)],E),e.UserDataAutoSyncService=E}),define(re[107],oe([0,1,54,6,12,14,27,136,273,274]),function(X,e,R,i,k,L,A,b,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class I extends Error{constructor(n,r){let t=r.message;switch(n){case"CorruptZip":t=`Corrupt ZIP: ${t}`;break}super(t);this.type=n,this.cause=r}}e.ExtractError=I;function E(h){const n=h.externalFileAttributes>>16||33188;return[448,56,7].map(r=>n&r).reduce((r,t)=>r+t,n&61440)}function v(h){if(h instanceof I)return h;let n;return/end of central directory record signature not found/.test(h.message)&&(n="CorruptZip"),new I(n,h)}function y(h,n,r,t,s,a){const c=k.dirname(n),o=k.join(t,c);if(!o.startsWith(t))return Promise.reject(new Error(b.localize(0,null,n)));const l=k.join(t,n);let g;return a.onCancellationRequested(()=>{g&&g.destroy()}),Promise.resolve(A.Promises.mkdir(o,{recursive:!0})).then(()=>new Promise((P,U)=>{if(!a.isCancellationRequested)try{g=(0,R.createWriteStream)(l,{mode:r}),g.once("close",()=>P()),g.once("error",U),h.once("error",U),h.pipe(g)}catch(_){U(_)}}))}function d(h,n,r,t){let s=(0,i.createCancelablePromise)(()=>Promise.resolve()),a=0;return t.onCancellationRequested(()=>{s.cancel(),h.close()}),new Promise((c,o)=>{const l=new i.Sequencer,g=P=>{P.isCancellationRequested||(a++,h.readEntry())};h.once("error",o),h.once("close",()=>s.then(()=>{t.isCancellationRequested||h.entryCount===a?c():o(new I("Incomplete",new Error(b.localize(1,null,a,h.entryCount))))},o)),h.readEntry(),h.on("entry",P=>{if(t.isCancellationRequested)return;if(!r.sourcePathRegex.test(P.fileName)){g(t);return}const U=P.fileName.replace(r.sourcePathRegex,"");if(/\/$/.test(U)){const T=k.join(n,U);s=(0,i.createCancelablePromise)($=>A.Promises.mkdir(T,{recursive:!0}).then(()=>g($)).then(void 0,o));return}const _=w(h,P),M=E(P);s=(0,i.createCancelablePromise)(T=>l.queue(()=>_.then($=>y($,U,M,n,r,T).then(()=>g(T)))).then(null,o))})})}function S(h,n=!1){return new Promise((r,t)=>{(0,C.open)(h,n?{lazyEntries:!0}:void 0,(s,a)=>{s?t(v(s)):r((0,L.assertIsDefined)(a))})})}function w(h,n){return new Promise((r,t)=>{h.openReadStream(n,(s,a)=>{s?t(v(s)):r((0,L.assertIsDefined)(a))})})}function p(h,n){return new Promise((r,t)=>{const s=new D.ZipFile;n.forEach(c=>{c.contents?s.addBuffer(typeof c.contents=="string"?Buffer.from(c.contents,"utf8"):c.contents,c.path):c.localPath&&s.addFile(c.localPath,c.path)}),s.end();const a=(0,R.createWriteStream)(h);s.outputStream.pipe(a),s.outputStream.once("error",t),a.once("error",t),a.once("finish",()=>r(h))})}e.zip=p;function m(h,n,r={},t){const s=new RegExp(r.sourcePath?`^${r.sourcePath}`:"");let a=S(h,!0);return r.overwrite&&(a=a.then(c=>A.Promises.rm(n).then(()=>c))),a.then(c=>d(c,n,{sourcePathRegex:s},t))}e.extract=m;function u(h,n){return S(h).then(r=>new Promise((t,s)=>{r.on("entry",a=>{a.fileName===n&&w(r,a).then(c=>t(c),c=>s(c))}),r.once("close",()=>s(new Error(b.localize(2,null,n))))}))}function f(h,n){return u(h,n).then(r=>new Promise((t,s)=>{const a=[];r.once("error",s),r.on("data",c=>a.push(c)),r.on("end",()=>t(Buffer.concat(a)))}))}e.buffer=f}),define(re[265],oe([0,1,107,145]),function(X,e,R,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function k(L){return(0,R.buffer)(L,"extension/package.json").then(A=>{try{return JSON.parse(A.toString("utf8"))}catch{throw new Error((0,i.localize)(0,null))}})}e.getManifest=k}),define(re[108],oe([0,1,6,38,9,2,20,12,4,16,55,14,7,31,27,107,144,90,15,245,28,32,45,71,200,247,265,201,231,44,65,13,5,8,24,21,33,29]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h,n,r,t,s,a,c,o,l,g,P,U,_,M,T,$,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=e.INativeServerExtensionManagementService=void 0,e.INativeServerExtensionManagementService=(0,U.refineServiceDecorator)(f.IServerExtensionManagementService);let G=class extends u.AbstractExtensionManagementService{constructor(W,V,O,F,q,j,te,H,ie,ne,ce,he){super(W,V,O,ne,he);this.environmentService=F,this.extensionsScannerService=q,this.extensionsProfileScannerService=j,this.downloadService=te,this.fileService=ie,this.installGalleryExtensionsTasks=new Map;const ve=this._register(H.createInstance(s.ExtensionsLifecycle));this.extensionsScanner=this._register(H.createInstance(J,Ce=>ve.postUninstall(Ce))),this.manifestCache=this._register(new c.ExtensionsManifestCache(F,this)),this.extensionsDownloader=this._register(H.createInstance(t.ExtensionsDownloader));const pe=this._register(new o.ExtensionsWatcher(this,ie,F,O,ce));this._register(pe.onDidChangeExtensionsByAnotherSource(({added:Ce,removed:be})=>{Ce.length&&this._onDidInstallExtensions.fire(Ce.map(Pe=>({identifier:Pe.identifier,operation:1,local:Pe}))),be.forEach(Pe=>this._onDidUninstallExtension.fire({identifier:Pe}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,h.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async zip(W){this.logService.trace("ExtensionManagementService#zip",W.identifier.id);const V=await this.collectFiles(W),O=await(0,S.zip)((0,D.joinPath)(this.environmentService.tmpDir,(0,y.generateUuid)()).fsPath,V);return v.URI.file(O)}async unzip(W){return this.logService.trace("ExtensionManagementService#unzip",W.toString()),(await this.install(W)).identifier}async getManifest(W){const V=await this.downloadVsix(W),O=b.resolve(V.fsPath);return(0,a.getManifest)(O)}getInstalled(W,V){return this.extensionsScanner.scanExtensions(W??null,V)}getAllUserInstalled(){return this.extensionsScanner.scanUserExtensions(!1)}async install(W,V={}){this.logService.trace("ExtensionManagementService#install",W.toString());const O=await this.downloadVsix(W),F=await(0,a.getManifest)(b.resolve(O.fsPath));if(F.engines&&F.engines.vscode&&!(0,g.isEngineValid)(F.engines.vscode,this.productService.version,this.productService.date))throw new Error(w.localize(0,null,(0,h.getGalleryExtensionId)(F.publisher,F.name),this.productService.version));return this.installExtension(F,O,V)}getMetadata(W){return this.extensionsScannerService.scanMetadata(W.location)}async updateMetadata(W,V){this.logService.trace("ExtensionManagementService#updateMetadata",W.identifier.id);const O={...V};return V.isPreReleaseVersion&&(O.preRelease=!0),W=await this.extensionsScanner.updateMetadata(W,O),this.manifestCache.invalidate(),W}async updateExtensionScope(W,V){return this.logService.trace("ExtensionManagementService#updateExtensionScope",W.identifier.id),W=await this.extensionsScanner.updateMetadata(W,{isMachineScoped:V}),this.manifestCache.invalidate(),W}removeUninstalledExtensions(W){return this.extensionsScanner.cleanUp(W)}async downloadVsix(W){if(W.scheme===A.Schemas.file)return W;const V=(0,D.joinPath)(this.environmentService.tmpDir,(0,y.generateUuid)());return await this.downloadService.download(W,V),V}doCreateInstallExtensionTask(W,V,O){let F;if(v.URI.isUri(V))F=new x(W,V,O,this.galleryService,this.extensionsScanner,this.logService);else{const q=h.ExtensionKey.create(V).toString();F=this.installGalleryExtensionsTasks.get(q),F||(this.installGalleryExtensionsTasks.set(q,F=new Q(W,V,O,this.extensionsDownloader,this.extensionsScanner,this.logService)),F.waitUntilTaskIsFinished().then(()=>this.installGalleryExtensionsTasks.delete(q)))}return O.profileLocation?new B(F,O.profileLocation,this.extensionsProfileScannerService):F}doCreateUninstallExtensionTask(W,V){return V.profileLocation?new se(W,V.profileLocation,this.extensionsProfileScannerService):new Y(W,V,this.extensionsScanner)}async collectFiles(W){const V=async F=>{let q=await d.Promises.readdir(F);q=q.map(H=>b.join(F,H));const j=await Promise.all(q.map(H=>d.Promises.stat(H)));let te=Promise.resolve([]);return j.forEach((H,ie)=>{const ne=q[ie];H.isFile()&&(te=te.then(ce=>[...ce,ne])),H.isDirectory()&&(te=te.then(ce=>V(ne).then(he=>[...ce,...he])))}),te};return(await V(W.location.fsPath)).map(F=>({path:`extension/${b.relative(W.location.fsPath,F)}`,localPath:F}))}};G=ge([K(0,f.IExtensionGalleryService),K(1,T.ITelemetryService),K(2,_.ILogService),K(3,m.INativeEnvironmentService),K(4,r.IExtensionsScannerService),K(5,n.IExtensionsProfileScannerService),K(6,p.IDownloadService),K(7,U.IInstantiationService),K(8,P.IFileService),K(9,M.IProductService),K(10,$.IUriIdentityService),K(11,N.IUserDataProfilesService)],G),e.ExtensionManagementService=G;let J=class extends L.Disposable{constructor(W,V,O,F){super();this.beforeRemovingExtension=W,this.fileService=V,this.extensionsScannerService=O,this.logService=F,this.uninstalledPath=(0,D.joinPath)(this.extensionsScannerService.userExtensionsLocation,".obsolete").fsPath,this.uninstalledFileLimiter=new R.Queue}async cleanUp(W){await this.removeUninstalledExtensions(),W&&await this.removeOutdatedExtensions()}async scanExtensions(W,V){const O={includeInvalid:!0,profileLocation:V};let F=[];return W===null||W===0?F.push(...await this.extensionsScannerService.scanAllExtensions({includeInvalid:!0},O)):W===1&&F.push(...await this.extensionsScannerService.scanUserExtensions(O)),F=W!==null?F.filter(q=>q.type===W):F,Promise.all(F.map(q=>this.toLocalExtension(q)))}async scanUserExtensions(W){const V=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!W,includeInvalid:!0});return Promise.all(V.map(O=>this.toLocalExtension(O)))}async extractUserExtension(W,V,O,F){const q=W.toString(),j=b.join(this.extensionsScannerService.userExtensionsLocation.fsPath,`.${(0,y.generateUuid)()}`),te=b.join(this.extensionsScannerService.userExtensionsLocation.fsPath,q);try{await d.Promises.rm(te)}catch{throw new f.ExtensionManagementError(w.localize(1,null,te,W.id),f.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(W,V,j,F),O={...O,installedTimestamp:Date.now()},await this.extensionsScannerService.updateMetadata(v.URI.file(j),O);try{await this.rename(W,j,te,Date.now()+2*60*1e3),this.logService.info("Renamed to",te)}catch(H){try{await d.Promises.rm(j)}catch{}if(H.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",W.id);else throw this.logService.info(`Rename failed because of ${(0,k.getErrorMessage)(H)}. Deleted from extracted location`,j),H}return this.scanLocalExtension(v.URI.file(te),1)}async updateMetadata(W,V){return await this.extensionsScannerService.updateMetadata(W.location,V),this.scanLocalExtension(W.location,W.type)}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...W){const V=W.map(O=>h.ExtensionKey.create(O));await this.withUninstalledExtensions(O=>{V.forEach(F=>O[F.toString()]=!0)})}async setInstalled(W){await this.withUninstalledExtensions(F=>delete F[W.toString()]);const O=(await this.scanUserExtensions(!0)).find(F=>h.ExtensionKey.create(F).equals(W))||null;return O?this.updateMetadata(O,{installedTimestamp:Date.now()}):null}async removeExtension(W,V){this.logService.trace(`Deleting ${V} extension from disk`,W.identifier.id,W.location.fsPath),await d.Promises.rm(W.location.fsPath),this.logService.info("Deleted from disk",W.identifier.id,W.location.fsPath)}async removeUninstalledExtension(W){await this.removeExtension(W,"uninstalled"),await this.withUninstalledExtensions(V=>delete V[h.ExtensionKey.create(W).toString()])}async withUninstalledExtensions(W){return this.uninstalledFileLimiter.queue(async()=>{let V;try{V=await d.Promises.readFile(this.uninstalledPath,"utf8")}catch(F){if(F.code!=="ENOENT")throw F}let O={};if(V)try{O=JSON.parse(V)}catch{}return W&&(W(O),Object.keys(O).length?await d.Promises.writeFile(this.uninstalledPath,JSON.stringify(O)):await d.Promises.rm(this.uninstalledPath)),O})}async extractAtLocation(W,V,O,F){this.logService.trace(`Started extracting the extension from ${V} to ${O}`);try{await d.Promises.rm(O)}catch(q){throw new f.ExtensionManagementError(this.joinErrors(q).message,f.ExtensionManagementErrorCode.Delete)}try{await(0,S.extract)(V,O,{sourcePath:"extension",overwrite:!0},F),this.logService.info(`Extracted extension to ${O}:`,W.id)}catch(q){try{await d.Promises.rm(O)}catch{}let j=f.ExtensionManagementErrorCode.Extract;throw q instanceof S.ExtractError&&(q.type==="CorruptZip"?j=f.ExtensionManagementErrorCode.CorruptZip:q.type==="Incomplete"&&(j=f.ExtensionManagementErrorCode.IncompleteZip)),new f.ExtensionManagementError(q.message,j)}}async rename(W,V,O,F){try{await d.Promises.rename(V,O)}catch(q){if(C.isWindows&&q&&q.code==="EPERM"&&Date.now()<F)return this.logService.info(`Failed renaming ${V} to ${O} with 'EPERM' error. Trying again...`,W.id),this.rename(W,V,O,F);throw new f.ExtensionManagementError(q.message||w.localize(2,null,V,O),q.code||f.ExtensionManagementErrorCode.Rename)}}async scanLocalExtension(W,V){const O=await this.extensionsScannerService.scanExistingExtension(W,V,{includeInvalid:!0});if(O)return this.toLocalExtension(O);throw new Error(w.localize(3,null,W.path))}async toLocalExtension(W){const V=await this.fileService.resolve(W.location);let O,F;return V.children&&(O=V.children.find(({name:q})=>/^readme(\.txt|\.md|)$/i.test(q))?.resource,F=V.children.find(({name:q})=>/^changelog(\.txt|\.md|)$/i.test(q))?.resource),{identifier:W.identifier,type:W.type,isBuiltin:W.isBuiltin||!!W.metadata?.isBuiltin,location:W.location,manifest:W.manifest,targetPlatform:W.targetPlatform,validations:W.validations,isValid:W.isValid,readmeUrl:O,changelogUrl:F,publisherDisplayName:W.metadata?.publisherDisplayName||null,publisherId:W.metadata?.publisherId||null,isApplicationScoped:!!W.metadata?.isApplicationScoped,isMachineScoped:!!W.metadata?.isMachineScoped,isPreReleaseVersion:!!W.metadata?.isPreReleaseVersion,preRelease:!!W.metadata?.preRelease,installedTimestamp:W.metadata?.installedTimestamp,updated:!!W.metadata?.updated}}async removeUninstalledExtensions(){const W=await this.getUninstalledExtensions(),V=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),O=new Set;for(const j of V)W[h.ExtensionKey.create(j).toString()]||O.add(j.identifier.id.toLowerCase());const F=(0,h.groupByExtension)(V,j=>j.identifier);await R.Promises.settled(F.map(async j=>{const te=j.sort((H,ie)=>I.rcompare(H.manifest.version,ie.manifest.version))[0];O.has(te.identifier.id.toLowerCase())||await this.beforeRemovingExtension(await this.toLocalExtension(te))}));const q=V.filter(j=>W[h.ExtensionKey.create(j).toString()]);await R.Promises.settled(q.map(j=>this.removeUninstalledExtension(j)))}async removeOutdatedExtensions(){const W=await this.extensionsScannerService.scanSystemExtensions({}),V=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),O=[],F=await this.extensionsScannerService.getTargetPlatform(),q=(0,h.groupByExtension)(V,j=>j.identifier);for(const j of q)if(j.length>1&&O.push(...j.sort((te,H)=>{const ie=I.rcompare(te.manifest.version,H.manifest.version);return ie!==0?ie:te.targetPlatform===F?-1:1}).slice(1)),j[0].type===0){const te=W.find(H=>(0,h.areSameExtensions)(H.identifier,j[0].identifier));(!te||I.gte(te.manifest.version,j[0].manifest.version))&&O.push(j[0])}await R.Promises.settled(O.map(j=>this.removeExtension(j,"outdated")))}joinErrors(W){const V=Array.isArray(W)?W:[W];return V.length===1?V[0]instanceof Error?V[0]:new Error(V[0]):V.reduce((O,F)=>new Error(`${O.message}${O.message?",":""}${F instanceof Error?F.message:F}`),new Error(""))}};J=ge([K(1,P.IFileService),K(2,r.IExtensionsScannerService),K(3,_.ILogService)],J);class z extends u.AbstractExtensionTask{constructor(W,V,O,F,q){super();this.identifier=W,this.source=V,this.options=O,this.extensionsScanner=F,this.logService=q,this._operation=2}get operation(){return(0,E.isUndefined)(this.options.operation)?this._operation:this.options.operation}async installExtension(W,V){try{const O=await this.unsetUninstalledAndGetLocal(W.key);if(O)return W.metadata?this.extensionsScanner.updateMetadata(O,W.metadata):O}catch{throw C.isMacintosh?new f.ExtensionManagementError(w.localize(4,null),f.ExtensionManagementErrorCode.Internal):new f.ExtensionManagementError(w.localize(5,null),f.ExtensionManagementErrorCode.Internal)}return this.extract(W,V)}async unsetUninstalledAndGetLocal(W){if(!await this.isUninstalled(W))return null;this.logService.trace("Removing the extension from uninstalled list:",W.id);const O=await this.extensionsScanner.setInstalled(W);return this.logService.info("Removed the extension from uninstalled list:",W.id),O}async isUninstalled(W){return!!(await this.extensionsScanner.getUninstalledExtensions())[W.toString()]}async extract({zipPath:W,key:V,metadata:O},F){const q=await this.extensionsScanner.extractUserExtension(V,W,O,F);return this.logService.info("Extracting completed.",V.id),q}}class Q extends z{constructor(W,V,O,F,q,j){super(V.identifier,V,O,q,j);this.manifest=W,this.gallery=V,this.extensionsDownloader=F}async doRun(W){const O=(await this.extensionsScanner.scanExtensions(null,void 0)).find(j=>(0,h.areSameExtensions)(j.identifier,this.gallery.identifier));O&&(this._operation=3);const F={id:this.gallery.identifier.uuid,publisherId:this.gallery.publisherId,publisherDisplayName:this.gallery.publisherDisplayName,targetPlatform:this.gallery.properties.targetPlatform,isApplicationScoped:(0,l.isApplicationScopedExtension)(this.manifest),isMachineScoped:this.options.isMachineScoped||O?.isMachineScoped,isBuiltin:this.options.isBuiltin||O?.isBuiltin,isSystem:O?.type===0?!0:void 0,updated:!!O,isPreReleaseVersion:this.gallery.properties.isPreReleaseVersion,preRelease:this.gallery.properties.isPreReleaseVersion||((0,E.isBoolean)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:O?.preRelease)};if(O?.manifest.version===this.gallery.version)return{local:await this.extensionsScanner.updateMetadata(O,F),metadata:F};const q=await this.downloadExtension(this.gallery,this._operation);try{const j=await this.installExtension({zipPath:q,key:h.ExtensionKey.create(this.gallery),metadata:F},W);return O&&!this.options.profileLocation&&(O.targetPlatform!==j.targetPlatform||I.neq(O.manifest.version,j.manifest.version))&&await this.extensionsScanner.setUninstalled(O),{local:j,metadata:F}}catch(j){throw await this.deleteDownloadedVSIX(q),j}}async deleteDownloadedVSIX(W){try{await this.extensionsDownloader.delete(v.URI.file(W))}catch(V){this.logService.warn("Error while deleting the downloaded vsix",W.toString(),(0,k.getErrorMessage)(V))}}async downloadExtension(W,V){let O;try{this.logService.trace("Started downloading extension:",W.identifier.id),O=(await this.extensionsDownloader.downloadExtension(W,V)).fsPath,this.logService.info("Downloaded extension:",W.identifier.id,O)}catch(F){throw new f.ExtensionManagementError((0,u.joinErrors)(F).message,f.ExtensionManagementErrorCode.Download)}try{return await(0,a.getManifest)(O),O}catch(F){throw await this.deleteDownloadedVSIX(O),new f.ExtensionManagementError((0,u.joinErrors)(F).message,f.ExtensionManagementErrorCode.Invalid)}}}class x extends z{constructor(W,V,O,F,q,j){super({id:(0,h.getGalleryExtensionId)(W.publisher,W.name)},V,O,q,j);this.manifest=W,this.location=V,this.galleryService=F}async doRun(W){const V=new h.ExtensionKey(this.identifier,this.manifest.version),F=(await this.extensionsScanner.scanExtensions(1,void 0)).find(te=>(0,h.areSameExtensions)(this.identifier,te.identifier)),q=await this.getMetadata(this.identifier.id,this.manifest.version,W);if(q.isApplicationScoped=(0,l.isApplicationScopedExtension)(this.manifest),q.isMachineScoped=this.options.isMachineScoped||F?.isMachineScoped,q.isBuiltin=this.options.isBuiltin||F?.isBuiltin,F)if(this._operation=3,V.equals(new h.ExtensionKey(F.identifier,F.manifest.version)))try{await this.extensionsScanner.removeExtension(F,"existing")}catch{throw new Error(w.localize(6,null,this.manifest.displayName||this.manifest.name))}else!this.options.profileLocation&&I.gt(F.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(F);else{const te=await this.unsetUninstalledAndGetLocal(V);if(te)try{await this.extensionsScanner.removeExtension(te,"existing")}catch{throw new Error(w.localize(7,null,this.manifest.displayName||this.manifest.name))}}return{local:await this.installExtension({zipPath:b.resolve(this.location.fsPath),key:V,metadata:q},W),metadata:q}}async getMetadata(W,V,O){try{let[F]=await this.galleryService.getExtensions([{id:W,version:V}],O);if(F||([F]=await this.galleryService.getExtensions([{id:W}],O)),F)return{id:F.identifier.uuid,publisherDisplayName:F.publisherDisplayName,publisherId:F.publisherId,isPreReleaseVersion:F.properties.isPreReleaseVersion,preRelease:F.properties.isPreReleaseVersion||this.options.installPreReleaseVersion}}catch{}return{}}}class B{constructor(W,V,O){this.task=W,this.profileLocation=V,this.extensionsProfileScannerService=O,this.identifier=this.task.identifier,this.source=this.task.source,this.operation=this.task.operation,this.promise=this.waitAndAddExtensionToProfile()}async waitAndAddExtensionToProfile(){const W=await this.task.waitUntilTaskIsFinished();return await this.extensionsProfileScannerService.addExtensionsToProfile([[W.local,W.metadata]],this.profileLocation),W}async run(){return await this.task.run(),this.promise}waitUntilTaskIsFinished(){return this.promise}cancel(){return this.task.cancel()}}class Y extends u.AbstractExtensionTask{constructor(W,V,O){super();this.extension=W,this.options=V,this.extensionsScanner=O}async doRun(W){const V=[],O=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const F=h.ExtensionKey.create(this.extension);V.push(...O.filter(q=>F.equals(h.ExtensionKey.create(q))))}else V.push(...O.filter(F=>(0,h.areSameExtensions)(F.identifier,this.extension.identifier)));if(!V.length)throw new Error(w.localize(8,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...V),this.options.remove)for(const F of V)try{W.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(F)}catch(q){throw new Error(w.localize(9,null,(0,i.toErrorMessage)(q)))}}}class se extends u.AbstractExtensionTask{constructor(W,V,O){super();this.extension=W,this.profileLocation=V,this.extensionsProfileScannerService=O}async doRun(W){await this.extensionsProfileScannerService.removeExtensionFromProfile(this.extension.identifier,this.profileLocation)}}}),define(re[266],oe([0,1,2,28,32,45,72,199,108,44,5,8,22,33,29]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsCleaner=void 0;const S={versionOnly:!0,donotIncludePack:!0,donotCheckDependents:!0};let w=class extends R.Disposable{constructor(u,f,h,n,r,t,s,a){super();this.userDataProfilesService=f,u.removeUninstalledExtensions(this.userDataProfilesService.profiles.length===1),(0,b.migrateUnsupportedExtensions)(u,h,n,r,a),A.ExtensionStorageService.removeOutdatedExtensionVersions(u,s),this._register(t.createInstance(p))}};w=ge([K(0,C.INativeServerExtensionManagementService),K(1,d.IUserDataProfilesService),K(2,i.IExtensionGalleryService),K(3,A.IExtensionStorageService),K(4,i.IGlobalExtensionEnablementService),K(5,I.IInstantiationService),K(6,v.IStorageService),K(7,E.ILogService)],w),e.ExtensionsCleaner=w;let p=class extends R.Disposable{constructor(u,f,h,n,r){super();this.extensionManagementService=u,this.userDataProfilesService=f,this.extensionsProfileScannerService=h,this.uriIdentityService=n,this.logService=r,this.profileExtensionsLocations=new Map,this.profileModeDisposables=this._register(new R.MutableDisposable),this.onDidChangeProfiles({added:this.userDataProfilesService.profiles,removed:[],all:this.userDataProfilesService.profiles})}async onDidChangeProfiles({added:u,removed:f,all:h}){try{await Promise.all(f.map(n=>n.extensionsResource?this.removeExtensionsFromProfile(n.extensionsResource):Promise.resolve()))}catch(n){this.logService.error(n)}if(h.length===1){this.profileModeDisposables.clear();const n=this._register(this.userDataProfilesService.onDidChangeProfiles(()=>{n.dispose(),this.onDidChangeProfiles({added:this.userDataProfilesService.profiles,removed:[],all:this.userDataProfilesService.profiles})}));return}try{u.length&&(await Promise.all(u.map(n=>n.extensionsResource?this.populateExtensionsFromProfile(n.extensionsResource):Promise.resolve())),this.profileModeDisposables.value||(this.profileModeDisposables.value=new R.DisposableStore,this.profileModeDisposables.value.add((0,R.toDisposable)(()=>this.profileExtensionsLocations.clear())),this.profileModeDisposables.value.add(this.userDataProfilesService.onDidChangeProfiles(n=>this.onDidChangeProfiles(n))),this.profileModeDisposables.value.add(this.extensionManagementService.onDidInstallExtensions(n=>this.onDidInstallExtensions(n))),this.profileModeDisposables.value.add(this.extensionManagementService.onDidUninstallExtension(n=>this.onDidUninstallExtension(n))),await this.uninstallExtensionsNotInProfiles()))}catch(n){this.logService.error(n)}}async uninstallExtensionsNotInProfiles(){const f=(await this.extensionManagementService.getAllUserInstalled()).filter(h=>!this.profileExtensionsLocations.has(this.getKey(h.identifier,h.manifest.version)));f.length&&await Promise.all(f.map(h=>this.extensionManagementService.uninstall(h,S)))}async onDidInstallExtensions(u){for(const{local:f,profileLocation:h}of u)!f||!h||this.addExtensionWithKey(this.getKey(f.identifier,f.manifest.version),h)}async onDidUninstallExtension(u){!u.profileLocation||!u.version||this.removeExtensionWithKey(this.getKey(u.identifier,u.version),u.profileLocation)&&await this.uninstallExtensions([{identifier:u.identifier,version:u.version}])}async populateExtensionsFromProfile(u){const f=await this.extensionsProfileScannerService.scanProfileExtensions(u);for(const h of f)this.addExtensionWithKey(this.getKey(h.identifier,h.version),u)}async removeExtensionsFromProfile(u){const f=[];for(const h of[...this.profileExtensionsLocations.keys()]){if(!this.removeExtensionWithKey(h,u))continue;const n=this.fromKey(h);n&&f.push(n)}f.length&&await this.uninstallExtensions(f)}addExtensionWithKey(u,f){let h=this.profileExtensionsLocations.get(u);h||(h=[],this.profileExtensionsLocations.set(u,h)),h.push(f)}removeExtensionWithKey(u,f){const h=this.profileExtensionsLocations.get(u);if(h){const n=h.findIndex(r=>this.uriIdentityService.extUri.isEqual(r,f));n>-1&&h.splice(n,1)}return h?.length?!1:(this.profileExtensionsLocations.delete(u),!0)}async uninstallExtensions(u){const h=(await this.extensionManagementService.getAllUserInstalled()).filter(n=>u.some(r=>this.getKey(n.identifier,n.manifest.version)===this.getKey(r.identifier,r.version)));h.length&&await Promise.all(h.map(n=>this.extensionManagementService.uninstall(n,S)))}getKey(u,f){return`${D.ExtensionIdentifier.toKey(u.id)}@${f}`}fromKey(u){const[f,h]=(0,k.getIdAndVersion)(u);return h?{identifier:{id:f},version:h}:void 0}};p=ge([K(0,C.INativeServerExtensionManagementService),K(1,d.IUserDataProfilesService),K(2,L.IExtensionsProfileScannerService),K(3,y.IUriIdentityService),K(4,E.ILogService)],p)}),define(re[275],oe([0,1,84,37,38,9,2,20,16,7,39,132,192,266,193,184,185,186,172,175,19,197,89,216,90,207,15,211,249,250,28,174,251,108,91,170,13,188,190,56,5,182,93,183,94,66,202,8,95,67,96,24,206,46,22,252,215,21,101,102,103,50,220,104,222,228,72,106,25,70,239,240,241,73,260,262,242,263,264,243,100,213,69,230,204,229,99,210,33,232,4,233,177,195,194,71,248,29,45,191,58,253,219,246]),function(X,e,R,i,k,L,A,b,C,D,I,E,v,y,d,S,w,p,m,u,f,h,n,r,t,s,a,c,o,l,g,P,U,_,M,T,$,N,G,J,z,Q,x,B,Y,se,Z,W,V,O,F,q,j,te,H,ie,ne,ce,he,ve,pe,Ce,be,Pe,Me,Qe,xe,Ke,ae,ue,de,Ee,Ie,Oe,Re,$e,_e,Le,Ne,ee,le,fe,Se,me,we,De,ke,Te,Ae,Fe,ze,Xe,Ze,It,pt,Dt,Rt,kt,St,Lt,yt,Tt,At,_t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Ot extends A.Disposable{constructor(ye){super();this.configuration=ye,this.server=this._register(new E.Server),this.sharedProcessWorkerService=void 0,this.registerListeners()}registerListeners(){const ye=()=>this.dispose();process.once("exit",ye),R.ipcRenderer.once("vscode:electron-main->shared-process=exit",ye);const Ue="vscode:electron-main->shared-process=disposeWorker",We=(je,et)=>this.onDisposeWorker(et);R.ipcRenderer.on(Ue,We),this._register((0,A.toDisposable)(()=>R.ipcRenderer.removeListener(Ue,We)))}onDisposeWorker(ye){this.sharedProcessWorkerService?.disposeWorker(ye)}async open(){const ye=await this.initServices();(0,ae.registerConfiguration)(),ye.invokeFunction(Ue=>{const We=Ue.get(W.ILogService);We.trace("sharedProcess configuration",JSON.stringify(this.configuration)),this.initChannels(Ue),this.registerErrorHandler(We)}),this._register((0,A.combinedDisposable)(ye.createInstance(v.CodeCacheCleaner,this.configuration.codeCachePath),ye.createInstance(d.LanguagePackCachedDataCleaner),ye.createInstance(p.StorageDataCleaner,this.configuration.backupWorkspacesPath),ye.createInstance(w.LogsDataCleaner),ye.createInstance(S.LocalizationsUpdater),ye.createInstance(y.ExtensionsCleaner)))}async initServices(){const ye=new x.ServiceCollection,Ue={_serviceBrand:void 0,...F.default};ye.set(q.IProductService,Ue);const We=new I.StaticRouter(He=>He==="main"),je=new B.MessagePortMainProcessService(this.server,We);ye.set(Y.IMainProcessService,je);const et=this.configuration.policiesData?new Lt.PolicyChannelClient(this.configuration.policiesData,je.getChannel("policy")):new yt.NullPolicyService;ye.set(yt.IPolicyService,et);const qe=new c.SharedProcessEnvironmentService(this.configuration.args,Ue);ye.set(a.INativeEnvironmentService,qe);const ot=new V.LogLevelChannelClient(this.server.getChannel("logLevel",We)),tt=new V.LoggerChannelClient(this.configuration.logLevel,ot.onDidChangeLogLevel,je.getChannel("logger"));ye.set(W.ILoggerService,tt);const lt=this._register(new W.MultiplexLogService([this._register(new W.ConsoleLogger(this.configuration.logLevel)),this._register(tt.createLogger((0,C.joinPath)(D.URI.file(qe.logsPath),"sharedprocess.log"),{name:"sharedprocess"}))])),Be=this._register(new V.FollowerLogService(ot,lt));ye.set(W.ILogService,Be),this.sharedProcessWorkerService=new Te.SharedProcessWorkerService(Be),ye.set(ke.ISharedProcessWorkerService,this.sharedProcessWorkerService);const Ye=this._register(new N.FileService(Be));ye.set($.IFileService,Ye);const ut=this._register(new G.DiskFileSystemProvider(Be));Ye.registerProvider(b.Schemas.file,ut);const ht=this._register(new Xe.FileUserDataProvider(b.Schemas.file,this._register(new Ze.DiskFileSystemProviderClient(je.getChannel(Ze.LOCAL_FILE_SYSTEM_CHANNEL_NAME),{pathCaseSensitive:ze.isLinux})),b.Schemas.vscodeUserData,Be));Ye.registerProvider(b.Schemas.vscodeUserData,ht);const it=this._register(new Tt.UserDataProfilesNativeService(this.configuration.profiles,je,qe));ye.set(kt.IUserDataProfilesService,it);const Ve=this._register(new h.ConfigurationService(it.defaultProfile.settingsResource,Ye,et,Be));ye.set(f.IConfigurationService,Ve);const rt=new ie.NativeStorageService(void 0,{defaultProfile:it.defaultProfile,currentProfile:it.defaultProfile},je,qe);ye.set(H.IStorageService,rt),this._register((0,A.toDisposable)(()=>rt.flush())),await Promise.all([Ve.initialize(),rt.initialize()]),ye.set(Ae.IUriIdentityService,new Fe.UriIdentityService(Ye)),ye.set(te.IRequestService,new J.SyncDescriptor(j.RequestService)),ye.set(m.IChecksumService,new J.SyncDescriptor(u.ChecksumService)),ye.set(pt.IV8InspectProfilingService,new J.SyncDescriptor(It.InspectProfilingService));const at=I.ProxyChannel.toService(je.getChannel("nativeHost"),{context:this.configuration.windowId});ye.set(O.INativeHostService,at),ye.set(t.IDownloadService,new J.SyncDescriptor(s.DownloadService));const dt=this._register(new ee.ActiveWindowManager(at)),Mt=new I.StaticRouter(He=>dt.getActiveClientId().then(ft=>He===ft));ye.set(M.IExtensionRecommendationNotificationService,new T.ExtensionRecommendationNotificationServiceChannelClient(this.server.getChannel("extensionRecommendationNotification",Mt)));let ct;const st=[];if((0,Ce.supportsTelemetry)(Ue,qe)){const He=new ve.TelemetryLogAppender(tt,qe);st.push(He);const{installSourcePath:ft}=qe;if(Ue.aiConfig?.ariaKey){const bt=new At.OneDataSystemWebAppender(Ve,"monacoworkbench",null,Ue.aiConfig.ariaKey);this._register((0,A.toDisposable)(()=>bt.flush())),st.push(bt)}ct=new pe.TelemetryService({appenders:st,commonProperties:(0,ne.resolveCommonProperties)(Ye,(0,i.release)(),(0,i.hostname)(),process.arch,Ue.commit,Ue.version,this.configuration.machineId,Ue.msftInternalDomains,ft),sendErrorTelemetry:!0,piiPaths:(0,Ce.getPiiPathsFromEnvironment)(qe)},Ve,Ue)}else{ct=Ce.NullTelemetryService;const He=Ce.NullAppender;st.push(He)}this.server.registerChannel("telemetryAppender",new he.TelemetryAppenderChannel(st)),ye.set(ce.ITelemetryService,ct);const Ft=new be.CustomEndpointTelemetryService(Ve,ct,tt,qe,Ue);ye.set(ce.ICustomEndpointTelemetryService,Ft),ye.set(St.IExtensionsProfileScannerService,new J.SyncDescriptor(St.ExtensionsProfileScannerService)),ye.set(Dt.IExtensionsScannerService,new J.SyncDescriptor(Rt.ExtensionsScannerService)),ye.set(_.INativeServerExtensionManagementService,new J.SyncDescriptor(_.ExtensionManagementService)),ye.set(g.IDefaultExtensionsProfileInitService,new J.SyncDescriptor(_t.DefaultExtensionsProfileInitService)),ye.set(g.IExtensionGalleryService,new J.SyncDescriptor(l.ExtensionGalleryService)),ye.set(g.IExtensionTipsService,new J.SyncDescriptor(U.ExtensionTipsService)),ye.set(se.ILanguagePackService,new J.SyncDescriptor(Z.NativeLanguagePackService)),ye.set(n.IDiagnosticsService,new J.SyncDescriptor(r.DiagnosticsService)),ye.set(ue.IUserDataSyncAccountService,new J.SyncDescriptor(ue.UserDataSyncAccountService)),ye.set(ae.IUserDataSyncLogService,new J.SyncDescriptor(Ie.UserDataSyncLogService)),ye.set(ae.IUserDataSyncUtilService,new Ee.UserDataSyncUtilServiceClient(this.server.getChannel("userDataSyncUtil",He=>He.ctx!=="main"))),ye.set(g.IGlobalExtensionEnablementService,new J.SyncDescriptor(o.GlobalExtensionEnablementService)),ye.set(Ke.IIgnoredExtensionsManagementService,new J.SyncDescriptor(Ke.IgnoredExtensionsManagementService)),ye.set(xe.IExtensionStorageService,new J.SyncDescriptor(xe.ExtensionStorageService)),ye.set(ae.IUserDataSyncStoreManagementService,new J.SyncDescriptor(Le.UserDataSyncStoreManagementService)),ye.set(ae.IUserDataSyncStoreService,new J.SyncDescriptor(Le.UserDataSyncStoreService)),ye.set(Oe.IUserDataSyncMachinesService,new J.SyncDescriptor(Oe.UserDataSyncMachinesService)),ye.set(ae.IUserDataSyncBackupStoreService,new J.SyncDescriptor(de.UserDataSyncBackupStoreService)),ye.set(ae.IUserDataSyncEnablementService,new J.SyncDescriptor(Re.UserDataSyncEnablementService)),ye.set(ae.IUserDataSyncService,new J.SyncDescriptor($e.UserDataSyncService));const Et=new Qe.PtyHostService({graceTime:6e4,shortGraceTime:6e3,scrollback:Ve.getValue("terminal.integrated.persistentSessionScrollback")??100},Ve,qe,Be);return Et.initialize(),ye.set(Me.ILocalPtyService,this._register(Et)),ye.set(le.ISignService,new J.SyncDescriptor(fe.SignService)),ye.set(Se.ISharedTunnelsService,new J.SyncDescriptor(me.SharedTunnelsService)),ye.set(we.ISharedProcessTunnelService,new J.SyncDescriptor(De.SharedProcessTunnelService)),new Q.InstantiationService(ye)}initChannels(ye){const Ue=new P.ExtensionManagementChannel(ye.get(g.IExtensionManagementService),()=>null);this.server.registerChannel("extensions",Ue);const We=I.ProxyChannel.fromService(ye.get(se.ILanguagePackService));this.server.registerChannel("languagePacks",We);const je=I.ProxyChannel.fromService(ye.get(n.IDiagnosticsService));this.server.registerChannel("diagnostics",je);const et=new P.ExtensionTipsChannel(ye.get(g.IExtensionTipsService));this.server.registerChannel("extensionTipsService",et);const qe=I.ProxyChannel.fromService(ye.get(m.IChecksumService));this.server.registerChannel("checksum",qe);const ot=I.ProxyChannel.fromService(ye.get(pt.IV8InspectProfilingService));this.server.registerChannel("v8InspectProfiling",ot);const tt=new Ee.UserDataSyncMachinesServiceChannel(ye.get(Oe.IUserDataSyncMachinesService));this.server.registerChannel("userDataSyncMachines",tt);const lt=I.ProxyChannel.fromService(ye.get(ce.ICustomEndpointTelemetryService));this.server.registerChannel("customEndpointTelemetry",lt);const Be=new Ee.UserDataSyncAccountServiceChannel(ye.get(ue.IUserDataSyncAccountService));this.server.registerChannel("userDataSyncAccount",Be);const Ye=new Ee.UserDataSyncStoreManagementServiceChannel(ye.get(ae.IUserDataSyncStoreManagementService));this.server.registerChannel("userDataSyncStoreManagement",Ye);const ut=new _e.UserDataSyncChannel(ye.get(ae.IUserDataSyncService),ye.get(W.ILogService));this.server.registerChannel("userDataSync",ut);const ht=this._register(ye.get(z.IInstantiationService).createInstance(Ne.UserDataAutoSyncService)),it=new Ee.UserDataAutoSyncChannel(ht);this.server.registerChannel("userDataAutoSync",it);const Ve=ye.get(Me.ILocalPtyService),rt=I.ProxyChannel.fromService(Ve);this.server.registerChannel(Pe.TerminalIpcChannels.LocalPty,rt);const at=I.ProxyChannel.fromService(ye.get(we.ISharedProcessTunnelService));this.server.registerChannel(we.ipcSharedProcessTunnelChannelName,at);const dt=I.ProxyChannel.fromService(ye.get(ke.ISharedProcessWorkerService));this.server.registerChannel(ke.ipcSharedProcessWorkerChannelName,dt),this.server.registerChannel("IDefaultExtensionsProfileInitService",I.ProxyChannel.fromService(ye.get(g.IDefaultExtensionsProfileInitService)))}registerErrorHandler(ye){window.addEventListener("unhandledrejection",Ue=>{(0,L.onUnexpectedError)(Ue.reason),Ue.preventDefault()}),(0,L.setUnexpectedErrorHandler)(Ue=>{const We=(0,k.toErrorMessage)(Ue,!0);!We||ye.error(`[uncaught exception in sharedProcess]: ${We}`)})}}async function Ut(wt){const ye=new Ot(wt);R.ipcRenderer.send("vscode:shared-process->electron-main=ipc-ready"),await ye.open(),R.ipcRenderer.send("vscode:shared-process->electron-main=init-done")}e.main=Ut})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/f3528d481b366b24321c382d5e5849f4c7d65248/core/vs/code/electron-browser/sharedProcess/sharedProcessMain.js.map
