/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var X=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/uri","vs/base/common/async","vs/base/common/path","vs/nls!vs/code/electron-main/main","vs/nls","vs/base/common/network","vs/base/common/types","electron","vs/platform/files/common/files","vs/base/common/resources","vs/platform/configuration/common/configuration","vs/base/common/errors","vs/base/common/buffer","vs/platform/product/common/productService","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/base/common/cancellation","vs/base/node/pfs","vs/platform/workspace/common/workspace","vs/base/common/arrays","vs/platform/environment/electron-main/environmentMainService","fs","os","vs/base/common/extpath","vs/base/common/uuid","vs/base/common/strings","vs/platform/windows/electron-main/windows","vs/base/common/map","vs/base/common/labels","vs/platform/telemetry/common/telemetry","vs/base/common/process","vs/platform/policy/common/policy","vs/base/parts/ipc/electron-main/ipcMain","vs/platform/environment/common/environment","vs/platform/userDataProfile/common/userDataProfile","vs/base/common/errorMessage","child_process","vs/base/parts/ipc/common/ipc","vs/platform/registry/common/platform","vs/platform/state/electron-main/state","vs/platform/update/common/update","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/base/common/functional","vs/base/common/json","vs/base/common/objects","vs/base/common/decorators","vs/platform/dialogs/electron-main/dialogMainService","vs/base/common/iterator","vs/base/common/stream","vs/platform/environment/node/argvHelper","vs/platform/backup/electron-main/backup","vs/platform/product/common/product","vs/platform/protocol/electron-main/protocol","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/theme/electron-main/themeMainService","vs/platform/uriIdentity/common/uriIdentity","vs/platform/userDataProfile/electron-main/userDataProfile","vs/platform/native/electron-main/nativeHostMainService","vs/base/common/hash","vs/base/common/marshalling","vs/platform/instantiation/common/descriptors","vs/platform/credentials/common/credentials","vs/platform/files/common/watcher","vs/base/common/performance","vs/platform/remote/common/remoteHosts","vs/platform/telemetry/common/telemetryUtils","vs/platform/window/common/window","vs/platform/workspaces/electron-main/workspacesHistoryMainService","crypto","net","vs/base/common/processes","vs/base/common/stopwatch","vs/base/common/normalization","vs/base/node/id","vs/base/parts/ipc/node/ipc.net","vs/base/node/processes","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/platform/files/node/diskFileSystemProvider","vs/platform/sign/common/sign","vs/platform/update/electron-main/abstractUpdateService","vs/platform/storage/electron-main/storageMainService","vs/platform/workspaces/common/workspaces","vs/base/node/ports","vs/base/common/observableValue","vs/base/common/glob","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/platform/environment/node/argv","vs/platform/encryption/common/encryptionService","vs/platform/extensionManagement/common/extensionManagement","vs/platform/externalTerminal/common/externalTerminal","vs/platform/files/common/io","vs/platform/log/common/bufferLog","vs/platform/log/node/spdlogLog","vs/platform/configuration/common/configurationModels","vs/platform/shell/node/shellEnv","vs/platform/tunnel/common/tunnel","vs/platform/url/common/url","vs/platform/window/electron-main/window","vs/platform/storage/common/storage","vs/platform/windows/electron-main/windowsFinder","vs/platform/workspaces/electron-main/workspaces","vs/platform/diagnostics/electron-main/diagnosticsMainService","vs/platform/launch/electron-main/launchMainService","vs/base/common/assert","vs/base/common/codicons","vs/base/common/color","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/skipList","vs/base/node/crypto","vs/base/node/decoder","string_decoder","vs/base/node/macAddress","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/contextmenu/electron-main/contextmenu","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/platform","vs/base/common/cache","vs/base/common/console","vs/base/common/uriIpc","util","vs/base/node/powershell","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/storage/node/storage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/electron-main/diskFileSystemProviderServer","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/native/electron-main/nativeHostMainService","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/windows/electron-main/window","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/backup/common/backup","vs/platform/backup/node/backup","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/encryption/node/encryptionMainService","vs/platform/environment/common/environmentService","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/environment/node/wait","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensionHostStarter","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/credentials/common/credentialsMainService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/files/electron-main/diskFileSystemProviderServer","vs/platform/log/common/fileLog","vs/platform/log/common/logIpc","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/policy/common/filePolicyService","vs/platform/policy/common/policyIpc","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/node/nodeSocketFactory","vs/platform/request/node/proxy","url","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/state/node/state","vs/platform/state/node/stateService","vs/platform/state/electron-main/stateMainService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/telemetry/common/telemetryIpc","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/telemetryService","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/tunnel/node/tunnelService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.snap","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/webview/common/webviewManagerService","vs/platform/webview/electron-main/webviewProtocolProvider","vs/code/electron-main/auth","vs/platform/credentials/electron-main/credentialsMainService","vs/platform/extensions/electron-main/extensionHostStarter","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/backup/electron-main/backupMainService","vs/platform/storage/electron-main/storageIpc","vs/platform/protocol/electron-main/protocolMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/storage/electron-main/storageMain","vs/platform/userDataProfile/node/userDataProfile","vs/platform/extensionManagement/electron-main/defaultExtensionsProfileInit","vs/platform/windows/electron-main/windowsStateHandler","vs/platform/issue/electron-main/issueMainService","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.win32","vs/platform/windows/electron-main/window","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","vs/platform/policy/node/nativePolicyService","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","minimist","assert","path","graceful-fs","vscode-policy-watcher","zlib","vs/code/electron-main/main"],Z=function(z){for(var e=[],v=0,t=z.length;v<t;v++)e[v]=X[z[v]];return e};define(X[115],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function v(t,D){if(!t)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}e.ok=v}),define(X[116],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function v(M){return M?M.replace(/\$\((.*?)\)/g,(b,f)=>` ${f} `).trim():""}e.getCodiconAriaLabel=v;class t{constructor(b,f,p){this.id=b,this.definition=f,this.description=p,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.circleSmallFilled=new t("circle-small-filled",{fontCharacter:"\\eb8a"}),t.debugStackframeDot=new t("debug-stackframe-dot",t.circleSmallFilled.definition),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.layoutSidebarRightOff=new t("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),t.layoutPanelOff=new t("layout-panel-off",{fontCharacter:"\\ec01"}),t.layoutSidebarLeftOff=new t("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.heartFilled=new t("heart-filled",{fontCharacter:"\\ec04"}),t.map=new t("map",{fontCharacter:"\\ec05"}),t.mapFilled=new t("map-filled",{fontCharacter:"\\ec06"}),t.circleSmall=new t("circle-small",{fontCharacter:"\\ec07"}),t.bellSlash=new t("bell-slash",{fontCharacter:"\\ec08"}),t.bellSlashDot=new t("bell-slash-dot",{fontCharacter:"\\ec09"}),t.commentUnresolved=new t("comment-unresolved",{fontCharacter:"\\ec0a"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function D(M,b){const f=["codicon","codicon-"+M];return b&&f.push("codicon-modifier-"+b),f}e.getClassNamesArray=D;var R;(function(M){M.iconNameSegment="[A-Za-z0-9]+",M.iconNameExpression="[A-Za-z0-9-]+",M.iconModifierExpression="~[A-Za-z]+",M.iconNameCharacter="[A-Za-z0-9~-]";const b=new RegExp(`^(${M.iconNameExpression})(${M.iconModifierExpression})?$`);function f(k){if(k instanceof t)return["codicon","codicon-"+k.id];const y=b.exec(k.id);if(!y)return f(t.error);const[,m,u]=y,S=["codicon","codicon-"+m];return u&&S.push("codicon-modifier-"+u.substr(1)),S}M.asClassNameArray=f;function p(k){return f(k).join(" ")}M.asClassName=p;function C(k){return"."+f(k).join(".")}M.asCSSSelector=C})(R=e.CSSIcon||(e.CSSIcon={}))}),define(X[117],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Color=e.HSVA=e.HSLA=e.RGBA=void 0;function v(b,f){const p=Math.pow(10,f);return Math.round(b*p)/p}class t{constructor(f,p,C,k=1){this._rgbaBrand=void 0,this.r=Math.min(255,Math.max(0,f))|0,this.g=Math.min(255,Math.max(0,p))|0,this.b=Math.min(255,Math.max(0,C))|0,this.a=v(Math.max(Math.min(1,k),0),3)}static equals(f,p){return f.r===p.r&&f.g===p.g&&f.b===p.b&&f.a===p.a}}e.RGBA=t;class D{constructor(f,p,C,k){this._hslaBrand=void 0,this.h=Math.max(Math.min(360,f),0)|0,this.s=v(Math.max(Math.min(1,p),0),3),this.l=v(Math.max(Math.min(1,C),0),3),this.a=v(Math.max(Math.min(1,k),0),3)}static equals(f,p){return f.h===p.h&&f.s===p.s&&f.l===p.l&&f.a===p.a}static fromRGBA(f){const p=f.r/255,C=f.g/255,k=f.b/255,y=f.a,m=Math.max(p,C,k),u=Math.min(p,C,k);let S=0,w=0;const E=(u+m)/2,P=m-u;if(P>0){switch(w=Math.min(E<=.5?P/(2*E):P/(2-2*E),1),m){case p:S=(C-k)/P+(C<k?6:0);break;case C:S=(k-p)/P+2;break;case k:S=(p-C)/P+4;break}S*=60,S=Math.round(S)}return new D(S,w,E,y)}static _hue2rgb(f,p,C){return C<0&&(C+=1),C>1&&(C-=1),C<1/6?f+(p-f)*6*C:C<1/2?p:C<2/3?f+(p-f)*(2/3-C)*6:f}static toRGBA(f){const p=f.h/360,{s:C,l:k,a:y}=f;let m,u,S;if(C===0)m=u=S=k;else{const w=k<.5?k*(1+C):k+C-k*C,E=2*k-w;m=D._hue2rgb(E,w,p+1/3),u=D._hue2rgb(E,w,p),S=D._hue2rgb(E,w,p-1/3)}return new t(Math.round(m*255),Math.round(u*255),Math.round(S*255),y)}}e.HSLA=D;class R{constructor(f,p,C,k){this._hsvaBrand=void 0,this.h=Math.max(Math.min(360,f),0)|0,this.s=v(Math.max(Math.min(1,p),0),3),this.v=v(Math.max(Math.min(1,C),0),3),this.a=v(Math.max(Math.min(1,k),0),3)}static equals(f,p){return f.h===p.h&&f.s===p.s&&f.v===p.v&&f.a===p.a}static fromRGBA(f){const p=f.r/255,C=f.g/255,k=f.b/255,y=Math.max(p,C,k),m=Math.min(p,C,k),u=y-m,S=y===0?0:u/y;let w;return u===0?w=0:y===p?w=((C-k)/u%6+6)%6:y===C?w=(k-p)/u+2:w=(p-C)/u+4,new R(Math.round(w*60),S,y,f.a)}static toRGBA(f){const{h:p,s:C,v:k,a:y}=f,m=k*C,u=m*(1-Math.abs(p/60%2-1)),S=k-m;let[w,E,P]=[0,0,0];return p<60?(w=m,E=u):p<120?(w=u,E=m):p<180?(E=m,P=u):p<240?(E=u,P=m):p<300?(w=u,P=m):p<=360&&(w=m,P=u),w=Math.round((w+S)*255),E=Math.round((E+S)*255),P=Math.round((P+S)*255),new t(w,E,P,y)}}e.HSVA=R;class M{constructor(f){if(f)if(f instanceof t)this.rgba=f;else if(f instanceof D)this._hsla=f,this.rgba=D.toRGBA(f);else if(f instanceof R)this._hsva=f,this.rgba=R.toRGBA(f);else throw new Error("Invalid color ctor argument");else throw new Error("Color needs a value")}static fromHex(f){return M.Format.CSS.parseHex(f)||M.red}get hsla(){return this._hsla?this._hsla:D.fromRGBA(this.rgba)}get hsva(){return this._hsva?this._hsva:R.fromRGBA(this.rgba)}equals(f){return!!f&&t.equals(this.rgba,f.rgba)&&D.equals(this.hsla,f.hsla)&&R.equals(this.hsva,f.hsva)}getRelativeLuminance(){const f=M._relativeLuminanceForComponent(this.rgba.r),p=M._relativeLuminanceForComponent(this.rgba.g),C=M._relativeLuminanceForComponent(this.rgba.b),k=.2126*f+.7152*p+.0722*C;return v(k,4)}static _relativeLuminanceForComponent(f){const p=f/255;return p<=.03928?p/12.92:Math.pow((p+.055)/1.055,2.4)}getContrastRatio(f){const p=this.getRelativeLuminance(),C=f.getRelativeLuminance();return p>C?(p+.05)/(C+.05):(C+.05)/(p+.05)}isDarker(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3<128}isLighter(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3>=128}isLighterThan(f){const p=this.getRelativeLuminance(),C=f.getRelativeLuminance();return p>C}isDarkerThan(f){const p=this.getRelativeLuminance(),C=f.getRelativeLuminance();return p<C}lighten(f){return new M(new D(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*f,this.hsla.a))}darken(f){return new M(new D(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*f,this.hsla.a))}transparent(f){const{r:p,g:C,b:k,a:y}=this.rgba;return new M(new t(p,C,k,y*f))}isTransparent(){return this.rgba.a===0}isOpaque(){return this.rgba.a===1}opposite(){return new M(new t(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}blend(f){const p=f.rgba,C=this.rgba.a,k=p.a,y=C+k*(1-C);if(y<1e-6)return M.transparent;const m=this.rgba.r*C/y+p.r*k*(1-C)/y,u=this.rgba.g*C/y+p.g*k*(1-C)/y,S=this.rgba.b*C/y+p.b*k*(1-C)/y;return new M(new t(m,u,S,y))}makeOpaque(f){if(this.isOpaque()||f.rgba.a!==1)return this;const{r:p,g:C,b:k,a:y}=this.rgba;return new M(new t(f.rgba.r-y*(f.rgba.r-p),f.rgba.g-y*(f.rgba.g-C),f.rgba.b-y*(f.rgba.b-k),1))}flatten(...f){const p=f.reduceRight((C,k)=>M._flatten(k,C));return M._flatten(this,p)}static _flatten(f,p){const C=1-f.rgba.a;return new M(new t(C*p.rgba.r+f.rgba.a*f.rgba.r,C*p.rgba.g+f.rgba.a*f.rgba.g,C*p.rgba.b+f.rgba.a*f.rgba.b))}toString(){return this._toString||(this._toString=M.Format.CSS.format(this)),this._toString}static getLighterColor(f,p,C){if(f.isLighterThan(p))return f;C=C||.5;const k=f.getRelativeLuminance(),y=p.getRelativeLuminance();return C=C*(y-k)/y,f.lighten(C)}static getDarkerColor(f,p,C){if(f.isDarkerThan(p))return f;C=C||.5;const k=f.getRelativeLuminance(),y=p.getRelativeLuminance();return C=C*(k-y)/k,f.darken(C)}}e.Color=M,M.white=new M(new t(255,255,255,1)),M.black=new M(new t(0,0,0,1)),M.red=new M(new t(255,0,0,1)),M.blue=new M(new t(0,0,255,1)),M.green=new M(new t(0,255,0,1)),M.cyan=new M(new t(0,255,255,1)),M.lightgrey=new M(new t(211,211,211,1)),M.transparent=new M(new t(0,0,0,0)),function(b){let f;(function(p){let C;(function(k){function y(n){return n.rgba.a===1?`rgb(${n.rgba.r}, ${n.rgba.g}, ${n.rgba.b})`:b.Format.CSS.formatRGBA(n)}k.formatRGB=y;function m(n){return`rgba(${n.rgba.r}, ${n.rgba.g}, ${n.rgba.b}, ${+n.rgba.a.toFixed(2)})`}k.formatRGBA=m;function u(n){return n.hsla.a===1?`hsl(${n.hsla.h}, ${(n.hsla.s*100).toFixed(2)}%, ${(n.hsla.l*100).toFixed(2)}%)`:b.Format.CSS.formatHSLA(n)}k.formatHSL=u;function S(n){return`hsla(${n.hsla.h}, ${(n.hsla.s*100).toFixed(2)}%, ${(n.hsla.l*100).toFixed(2)}%, ${n.hsla.a.toFixed(2)})`}k.formatHSLA=S;function w(n){const r=n.toString(16);return r.length!==2?"0"+r:r}function E(n){return`#${w(n.rgba.r)}${w(n.rgba.g)}${w(n.rgba.b)}`}k.formatHex=E;function P(n,r=!1){return r&&n.rgba.a===1?b.Format.CSS.formatHex(n):`#${w(n.rgba.r)}${w(n.rgba.g)}${w(n.rgba.b)}${w(Math.round(n.rgba.a*255))}`}k.formatHexA=P;function g(n){return n.isOpaque()?b.Format.CSS.formatHex(n):b.Format.CSS.formatRGBA(n)}k.format=g;function h(n){const r=n.length;if(r===0||n.charCodeAt(0)!==35)return null;if(r===7){const i=16*l(n.charCodeAt(1))+l(n.charCodeAt(2)),s=16*l(n.charCodeAt(3))+l(n.charCodeAt(4)),o=16*l(n.charCodeAt(5))+l(n.charCodeAt(6));return new b(new t(i,s,o,1))}if(r===9){const i=16*l(n.charCodeAt(1))+l(n.charCodeAt(2)),s=16*l(n.charCodeAt(3))+l(n.charCodeAt(4)),o=16*l(n.charCodeAt(5))+l(n.charCodeAt(6)),a=16*l(n.charCodeAt(7))+l(n.charCodeAt(8));return new b(new t(i,s,o,a/255))}if(r===4){const i=l(n.charCodeAt(1)),s=l(n.charCodeAt(2)),o=l(n.charCodeAt(3));return new b(new t(16*i+i,16*s+s,16*o+o))}if(r===5){const i=l(n.charCodeAt(1)),s=l(n.charCodeAt(2)),o=l(n.charCodeAt(3)),a=l(n.charCodeAt(4));return new b(new t(16*i+i,16*s+s,16*o+o,(16*a+a)/255))}return null}k.parseHex=h;function l(n){switch(n){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:return 10;case 65:return 10;case 98:return 11;case 66:return 11;case 99:return 12;case 67:return 12;case 100:return 13;case 68:return 13;case 101:return 14;case 69:return 14;case 102:return 15;case 70:return 15}return 0}})(C=p.CSS||(p.CSS={}))})(f=b.Format||(b.Format={}))}(M=e.Color||(e.Color={}))}),define(X[51],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function v(M){return(b,f,p)=>{let C=null,k=null;if(typeof p.value=="function"?(C="value",k=p.value):typeof p.get=="function"&&(C="get",k=p.get),!k)throw new Error("not supported");p[C]=M(k,f)}}e.createDecorator=v;function t(M,b,f){let p=null,C=null;if(typeof f.value=="function"?(p="value",C=f.value,C.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof f.get=="function"&&(p="get",C=f.get),!C)throw new Error("not supported");const k=`$memoize$${b}`;f[p]=function(...y){return this.hasOwnProperty(k)||Object.defineProperty(this,k,{configurable:!1,enumerable:!1,writable:!1,value:C.apply(this,y)}),this[k]}}e.memoize=t;function D(M,b,f){return v((p,C)=>{const k=`$debounce$${C}`,y=`$debounce$result$${C}`;return function(...m){this[y]||(this[y]=f?f():void 0),clearTimeout(this[k]),b&&(this[y]=b(this[y],...m),m=[this[y]]),this[k]=setTimeout(()=>{p.apply(this,m),this[y]=f?f():void 0},M)}})}e.debounce=D;function R(M,b,f){return v((p,C)=>{const k=`$throttle$timer$${C}`,y=`$throttle$result$${C}`,m=`$throttle$lastRun$${C}`,u=`$throttle$pending$${C}`;return function(...S){if(this[y]||(this[y]=f?f():void 0),(this[m]===null||this[m]===void 0)&&(this[m]=-Number.MAX_VALUE),b&&(this[y]=b(this[y],...S)),this[u])return;const w=this[m]+M;w<=Date.now()?(this[m]=Date.now(),p.apply(this,[this[y]]),this[y]=f?f():void 0):(this[u]=!0,this[k]=setTimeout(()=>{this[u]=!1,this[m]=Date.now(),p.apply(this,[this[y]]),this[y]=f?f():void 0},w-Date.now()))}})}e.throttle=R}),define(X[18],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BugIndicatingError=e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class v{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(n){setTimeout(()=>{throw n.stack?g.isErrorNoTelemetry(n)?new g(n.message+`

`+n.stack):new Error(n.message+`

`+n.stack):n},0)}}addListener(n){return this.listeners.push(n),()=>{this._removeListener(n)}}emit(n){this.listeners.forEach(r=>{r(n)})}_removeListener(n){this.listeners.splice(this.listeners.indexOf(n),1)}setUnexpectedErrorHandler(n){this.unexpectedErrorHandler=n}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(n){this.unexpectedErrorHandler(n),this.emit(n)}onUnexpectedExternalError(n){this.unexpectedErrorHandler(n)}}e.ErrorHandler=v,e.errorHandler=new v;function t(l){e.errorHandler.setUnexpectedErrorHandler(l)}e.setUnexpectedErrorHandler=t;function D(l){f(l)||e.errorHandler.onUnexpectedError(l)}e.onUnexpectedError=D;function R(l){f(l)||e.errorHandler.onUnexpectedExternalError(l)}e.onUnexpectedExternalError=R;function M(l){if(l instanceof Error){const{name:n,message:r}=l,i=l.stacktrace||l.stack;return{$isError:!0,name:n,message:r,stack:i,noTelemetry:g.isErrorNoTelemetry(l)}}return l}e.transformErrorForSerialization=M;const b="Canceled";function f(l){return l instanceof p?!0:l instanceof Error&&l.name===b&&l.message===b}e.isCancellationError=f;class p extends Error{constructor(){super(b);this.name=this.message}}e.CancellationError=p;function C(){const l=new Error(b);return l.name=l.message,l}e.canceled=C;function k(l){return l?new Error(`Illegal argument: ${l}`):new Error("Illegal argument")}e.illegalArgument=k;function y(l){return l?new Error(`Illegal state: ${l}`):new Error("Illegal state")}e.illegalState=y;function m(l){return l?new Error(`readonly property '${l} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=m;function u(l){const n=new Error(`${l} has been disposed`);return n.name="DISPOSED",n}e.disposed=u;function S(l){return l?l.message?l.message:l.stack?l.stack.split(`
`)[0]:String(l):"Error"}e.getErrorMessage=S;class w extends Error{constructor(n){super("NotImplemented");n&&(this.message=n)}}e.NotImplementedError=w;class E extends Error{constructor(n){super("NotSupported");n&&(this.message=n)}}e.NotSupportedError=E;class P extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=P;class g extends Error{constructor(n){super(n);this.name="ErrorNoTelemetry"}static fromError(n){if(n instanceof g)return n;const r=new g;return r.message=n.message,r.stack=n.stack,r}static isErrorNoTelemetry(n){return n.name==="ErrorNoTelemetry"}}e.ErrorNoTelemetry=g;class h extends Error{constructor(n){super(n||"An unexpected bug occurred.");Object.setPrototypeOf(this,h.prototype);debugger}}e.BugIndicatingError=h}),define(X[25],Z([0,1,18]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.tieBreakComparators=e.compareBy=e.CompareResult=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushMany=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.lastOrDefault=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch2=e.binarySearch=e.removeFastWithoutKeepingOrder=e.equals=e.tail2=e.tail=void 0;function t(U,V=0){return U[U.length-(1+V)]}e.tail=t;function D(U){if(U.length===0)throw new Error("Invalid tail call");return[U.slice(0,U.length-1),U[U.length-1]]}e.tail2=D;function R(U,V,x=(se,ce)=>se===ce){if(U===V)return!0;if(!U||!V||U.length!==V.length)return!1;for(let se=0,ce=U.length;se<ce;se++)if(!x(U[se],V[se]))return!1;return!0}e.equals=R;function M(U,V){const x=U.length-1;V<x&&(U[V]=U[x]),U.pop()}e.removeFastWithoutKeepingOrder=M;function b(U,V,x){return f(U.length,se=>x(U[se],V))}e.binarySearch=b;function f(U,V){let x=0,se=U-1;for(;x<=se;){const ce=(x+se)/2|0,ge=V(ce);if(ge<0)x=ce+1;else if(ge>0)se=ce-1;else return ce}return-(x+1)}e.binarySearch2=f;function p(U,V){let x=0,se=U.length;if(se===0)return 0;for(;x<se;){const ce=Math.floor((x+se)/2);V(U[ce])?se=ce:x=ce+1}return x}e.findFirstInSorted=p;function C(U,V,x){if(U=U|0,U>=V.length)throw new TypeError("invalid index");const se=V[Math.floor(V.length*Math.random())],ce=[],ge=[],ye=[];for(const Ce of V){const Ie=x(Ce,se);Ie<0?ce.push(Ce):Ie>0?ge.push(Ce):ye.push(Ce)}return U<ce.length?C(U,ce,x):U<ce.length+ye.length?ye[0]:C(U-(ce.length+ye.length),ge,x)}e.quickSelect=C;function k(U,V){const x=[];let se;for(const ce of U.slice(0).sort(V))!se||V(se[0],ce)!==0?(se=[ce],x.push(se)):se.push(ce);return x}e.groupBy=k;function y(U,V,x){const se=[];function ce(Ce,Ie,Ae){if(Ie===0&&Ae.length===0)return;const Re=se[se.length-1];Re&&Re.start+Re.deleteCount===Ce?(Re.deleteCount+=Ie,Re.toInsert.push(...Ae)):se.push({start:Ce,deleteCount:Ie,toInsert:Ae})}let ge=0,ye=0;for(;;){if(ge===U.length){ce(ge,0,V.slice(ye));break}if(ye===V.length){ce(ge,U.length-ge,[]);break}const Ce=U[ge],Ie=V[ye],Ae=x(Ce,Ie);Ae===0?(ge+=1,ye+=1):Ae<0?(ce(ge,1,[]),ge+=1):Ae>0&&(ce(ge,0,[Ie]),ye+=1)}return se}e.sortedDiff=y;function m(U,V,x){const se=y(U,V,x),ce=[],ge=[];for(const ye of se)ce.push(...U.slice(ye.start,ye.start+ye.deleteCount)),ge.push(...ye.toInsert);return{removed:ce,added:ge}}e.delta=m;function u(U,V,x){if(x===0)return[];const se=U.slice(0,x).sort(V);return w(U,V,se,x,U.length),se}e.top=u;function S(U,V,x,se,ce){return x===0?Promise.resolve([]):new Promise((ge,ye)=>{(async()=>{const Ce=U.length,Ie=U.slice(0,x).sort(V);for(let Ae=x,Re=Math.min(x+se,Ce);Ae<Ce;Ae=Re,Re=Math.min(Re+se,Ce)){if(Ae>x&&await new Promise(ue=>setTimeout(ue)),ce&&ce.isCancellationRequested)throw new v.CancellationError;w(U,V,Ie,Ae,Re)}return Ie})().then(ge,ye)})}e.topAsync=S;function w(U,V,x,se,ce){for(const ge=x.length;se<ce;se++){const ye=U[se];if(V(ye,x[ge-1])<0){x.pop();const Ce=p(x,Ie=>V(ye,Ie)<0);x.splice(Ce,0,ye)}}}function E(U){return U.filter(V=>!!V)}e.coalesce=E;function P(U){let V=0;for(let x=0;x<U.length;x++)U[x]&&(U[V]=U[x],V+=1);U.length=V}e.coalesceInPlace=P;function g(U,V,x){U.splice(x,0,U.splice(V,1)[0])}e.move=g;function h(U){return!Array.isArray(U)||U.length===0}e.isFalsyOrEmpty=h;function l(U){return Array.isArray(U)&&U.length>0}e.isNonEmptyArray=l;function n(U,V=x=>x){const x=new Set;return U.filter(se=>{const ce=V(se);return x.has(ce)?!1:(x.add(ce),!0)})}e.distinct=n;function r(U){const V=new Set;return x=>{const se=U(x);return V.has(se)?!1:(V.add(se),!0)}}e.uniqueFilter=r;function i(U,V){const x=s(U,V);if(x!==-1)return U[x]}e.findLast=i;function s(U,V){for(let x=U.length-1;x>=0;x--){const se=U[x];if(V(se))return x}return-1}e.lastIndex=s;function o(U,V){return U.length>0?U[0]:V}e.firstOrDefault=o;function a(U,V){return U.length>0?U[U.length-1]:V}e.lastOrDefault=a;function c(U,V,x=(se,ce)=>se===ce){let se=0;for(let ce=0,ge=Math.min(U.length,V.length);ce<ge&&x(U[ce],V[ce]);ce++)se++;return se}e.commonPrefixLength=c;function d(U){return[].concat(...U)}e.flatten=d;function I(U,V){let x=typeof V=="number"?U:0;typeof V=="number"?x=U:(x=0,V=U);const se=[];if(x<=V)for(let ce=x;ce<V;ce++)se.push(ce);else for(let ce=x;ce>V;ce--)se.push(ce);return se}e.range=I;function L(U,V,x){return U.reduce((se,ce)=>(se[V(ce)]=x?x(ce):ce,se),Object.create(null))}e.index=L;function T(U,V){return U.push(V),()=>_(U,V)}e.insert=T;function _(U,V){const x=U.indexOf(V);if(x>-1)return U.splice(x,1),V}e.remove=_;function K(U,V,x){const se=U.slice(0,V),ce=U.slice(V);return se.concat(x,ce)}e.arrayInsert=K;function ie(U,V){let x;if(typeof V=="number"){let se=V;x=()=>{const ce=Math.sin(se++)*179426549;return ce-Math.floor(ce)}}else x=Math.random;for(let se=U.length-1;se>0;se-=1){const ce=Math.floor(x()*(se+1)),ge=U[se];U[se]=U[ce],U[ce]=ge}}e.shuffle=ie;function ne(U,V){const x=U.indexOf(V);x>-1&&(U.splice(x,1),U.unshift(V))}e.pushToStart=ne;function Q(U,V){const x=U.indexOf(V);x>-1&&(U.splice(x,1),U.push(V))}e.pushToEnd=Q;function ae(U,V){for(const x of V)U.push(x)}e.pushMany=ae;function le(U,V){return Array.isArray(U)?U.map(V):V(U)}e.mapArrayOrNot=le;function $(U){return Array.isArray(U)?U:[U]}e.asArray=$;function oe(U){return U[Math.floor(Math.random()*U.length)]}e.getRandomElement=oe;function W(U,V){for(const x of U){const se=V(x);if(se!==void 0)return se}}e.mapFind=W;function F(U,V,x){const se=Y(U,V),ce=U.length,ge=x.length;U.length=ce+ge;for(let ye=ce-1;ye>=se;ye--)U[ye+ge]=U[ye];for(let ye=0;ye<ge;ye++)U[ye+se]=x[ye]}e.insertInto=F;function B(U,V,x,se){const ce=Y(U,V),ge=U.splice(ce,x);return F(U,ce,se),ge}e.splice=B;function Y(U,V){return V<0?Math.max(V+U.length,0):Math.min(V,U.length)}var H;(function(U){function V(ce){return ce<0}U.isLessThan=V;function x(ce){return ce>0}U.isGreaterThan=x;function se(ce){return ce===0}U.isNeitherLessOrGreaterThan=se,U.greaterThan=1,U.lessThan=-1,U.neitherLessOrGreaterThan=0})(H=e.CompareResult||(e.CompareResult={}));function G(U,V){return(x,se)=>V(U(x),U(se))}e.compareBy=G;function ee(...U){return(V,x)=>{for(const se of U){const ce=se(V,x);if(!H.isNeitherLessOrGreaterThan(ce))return ce}return H.neitherLessOrGreaterThan}}e.tieBreakComparators=ee;const A=(U,V)=>U-V;e.numberComparator=A;function O(U,V){if(U.length===0)return;let x=U[0];for(let se=1;se<U.length;se++){const ce=U[se];V(ce,x)>0&&(x=ce)}return x}e.findMaxBy=O;function N(U,V){if(U.length===0)return;let x=U[0];for(let se=1;se<U.length;se++){const ce=U[se];V(ce,x)>=0&&(x=ce)}return x}e.findLastMaxBy=N;function q(U,V){return O(U,(x,se)=>-V(x,se))}e.findMinBy=q;class J{constructor(V){this.items=V,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(V){let x=this.firstIdx;for(;x<this.items.length&&V(this.items[x]);)x++;const se=x===this.firstIdx?null:this.items.slice(this.firstIdx,x);return this.firstIdx=x,se}takeFromEndWhile(V){let x=this.lastIdx;for(;x>=0&&V(this.items[x]);)x--;const se=x===this.lastIdx?null:this.items.slice(x+1,this.lastIdx+1);return this.lastIdx=x,se}peek(){if(this.length!==0)return this.items[this.firstIdx]}peekLast(){if(this.length!==0)return this.items[this.lastIdx]}dequeue(){const V=this.items[this.firstIdx];return this.firstIdx++,V}removeLast(){const V=this.items[this.lastIdx];return this.lastIdx--,V}takeCount(V){const x=this.items.slice(this.firstIdx,this.firstIdx+V);return this.firstIdx+=V,x}}e.ArrayQueue=J}),define(X[48],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function v(t){const D=this;let R=!1,M;return function(){return R||(R=!0,M=t.apply(D,arguments)),M}}e.once=v}),define(X[53],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var v;(function(t){function D(r){return r&&typeof r=="object"&&typeof r[Symbol.iterator]=="function"}t.is=D;const R=Object.freeze([]);function M(){return R}t.empty=M;function*b(r){yield r}t.single=b;function f(r){return r||R}t.from=f;function p(r){return!r||r[Symbol.iterator]().next().done===!0}t.isEmpty=p;function C(r){return r[Symbol.iterator]().next().value}t.first=C;function k(r,i){for(const s of r)if(i(s))return!0;return!1}t.some=k;function y(r,i){for(const s of r)if(i(s))return s}t.find=y;function*m(r,i){for(const s of r)i(s)&&(yield s)}t.filter=m;function*u(r,i){let s=0;for(const o of r)yield i(o,s++)}t.map=u;function*S(...r){for(const i of r)for(const s of i)yield s}t.concat=S;function*w(r){for(const i of r)for(const s of i)yield s}t.concatNested=w;function E(r,i,s){let o=s;for(const a of r)o=i(o,a);return o}t.reduce=E;function P(r,i){let s=0;for(const o of r)i(o,s++)}t.forEach=P;function*g(r,i,s=r.length){for(i<0&&(i+=r.length),s<0?s+=r.length:s>r.length&&(s=r.length);i<s;i++)yield r[i]}t.slice=g;function h(r,i=Number.POSITIVE_INFINITY){const s=[];if(i===0)return[s,r];const o=r[Symbol.iterator]();for(let a=0;a<i;a++){const c=o.next();if(c.done)return[s,t.empty()];s.push(c.value)}return[s,{[Symbol.iterator](){return o}}]}t.consume=h;function l(r){return h(r)[0]}t.collect=l;function n(r,i,s=(o,a)=>o===a){const o=r[Symbol.iterator](),a=i[Symbol.iterator]();for(;;){const c=o.next(),d=a.next();if(c.done!==d.done)return!1;if(c.done)return!0;if(!s(c.value,d.value))return!1}}t.equals=n})(v=e.Iterable||(e.Iterable={}))}),define(X[49],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var v;(function(n){n[n.None=0]="None",n[n.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=2]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",n[n.InvalidUnicode=4]="InvalidUnicode",n[n.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",n[n.InvalidCharacter=6]="InvalidCharacter"})(v=e.ScanError||(e.ScanError={}));var t;(function(n){n[n.OpenBraceToken=1]="OpenBraceToken",n[n.CloseBraceToken=2]="CloseBraceToken",n[n.OpenBracketToken=3]="OpenBracketToken",n[n.CloseBracketToken=4]="CloseBracketToken",n[n.CommaToken=5]="CommaToken",n[n.ColonToken=6]="ColonToken",n[n.NullKeyword=7]="NullKeyword",n[n.TrueKeyword=8]="TrueKeyword",n[n.FalseKeyword=9]="FalseKeyword",n[n.StringLiteral=10]="StringLiteral",n[n.NumericLiteral=11]="NumericLiteral",n[n.LineCommentTrivia=12]="LineCommentTrivia",n[n.BlockCommentTrivia=13]="BlockCommentTrivia",n[n.LineBreakTrivia=14]="LineBreakTrivia",n[n.Trivia=15]="Trivia",n[n.Unknown=16]="Unknown",n[n.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var D;(function(n){n[n.InvalidSymbol=1]="InvalidSymbol",n[n.InvalidNumberFormat=2]="InvalidNumberFormat",n[n.PropertyNameExpected=3]="PropertyNameExpected",n[n.ValueExpected=4]="ValueExpected",n[n.ColonExpected=5]="ColonExpected",n[n.CommaExpected=6]="CommaExpected",n[n.CloseBraceExpected=7]="CloseBraceExpected",n[n.CloseBracketExpected=8]="CloseBracketExpected",n[n.EndOfFileExpected=9]="EndOfFileExpected",n[n.InvalidCommentToken=10]="InvalidCommentToken",n[n.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=12]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",n[n.InvalidUnicode=14]="InvalidUnicode",n[n.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",n[n.InvalidCharacter=16]="InvalidCharacter"})(D=e.ParseErrorCode||(e.ParseErrorCode={}));var R;(function(n){n.DEFAULT={allowTrailingComma:!0}})(R=e.ParseOptions||(e.ParseOptions={}));function M(n,r=!1){let i=0;const s=n.length;let o="",a=0,c=16,d=0;function I(Q){let ae=0,le=0;for(;ae<Q;){const $=n.charCodeAt(i);if($>=48&&$<=57)le=le*16+$-48;else if($>=65&&$<=70)le=le*16+$-65+10;else if($>=97&&$<=102)le=le*16+$-97+10;else break;i++,ae++}return ae<Q&&(le=-1),le}function L(Q){i=Q,o="",a=0,c=16,d=0}function T(){const Q=i;if(n.charCodeAt(i)===48)i++;else for(i++;i<n.length&&p(n.charCodeAt(i));)i++;if(i<n.length&&n.charCodeAt(i)===46)if(i++,i<n.length&&p(n.charCodeAt(i)))for(i++;i<n.length&&p(n.charCodeAt(i));)i++;else return d=3,n.substring(Q,i);let ae=i;if(i<n.length&&(n.charCodeAt(i)===69||n.charCodeAt(i)===101))if(i++,(i<n.length&&n.charCodeAt(i)===43||n.charCodeAt(i)===45)&&i++,i<n.length&&p(n.charCodeAt(i))){for(i++;i<n.length&&p(n.charCodeAt(i));)i++;ae=i}else d=3;return n.substring(Q,ae)}function _(){let Q="",ae=i;for(;;){if(i>=s){Q+=n.substring(ae,i),d=2;break}const le=n.charCodeAt(i);if(le===34){Q+=n.substring(ae,i),i++;break}if(le===92){if(Q+=n.substring(ae,i),i++,i>=s){d=2;break}switch(n.charCodeAt(i++)){case 34:Q+='"';break;case 92:Q+="\\";break;case 47:Q+="/";break;case 98:Q+="\b";break;case 102:Q+="\f";break;case 110:Q+=`
`;break;case 114:Q+="\r";break;case 116:Q+="	";break;case 117:{const oe=I(4);oe>=0?Q+=String.fromCharCode(oe):d=4;break}default:d=5}ae=i;continue}if(le>=0&&le<=31)if(f(le)){Q+=n.substring(ae,i),d=2;break}else d=6;i++}return Q}function K(){if(o="",d=0,a=i,i>=s)return a=s,c=17;let Q=n.charCodeAt(i);if(b(Q)){do i++,o+=String.fromCharCode(Q),Q=n.charCodeAt(i);while(b(Q));return c=15}if(f(Q))return i++,o+=String.fromCharCode(Q),Q===13&&n.charCodeAt(i)===10&&(i++,o+=`
`),c=14;switch(Q){case 123:return i++,c=1;case 125:return i++,c=2;case 91:return i++,c=3;case 93:return i++,c=4;case 58:return i++,c=6;case 44:return i++,c=5;case 34:return i++,o=_(),c=10;case 47:{const ae=i-1;if(n.charCodeAt(i+1)===47){for(i+=2;i<s&&!f(n.charCodeAt(i));)i++;return o=n.substring(ae,i),c=12}if(n.charCodeAt(i+1)===42){i+=2;const le=s-1;let $=!1;for(;i<le;){if(n.charCodeAt(i)===42&&n.charCodeAt(i+1)===47){i+=2,$=!0;break}i++}return $||(i++,d=1),o=n.substring(ae,i),c=13}return o+=String.fromCharCode(Q),i++,c=16}case 45:if(o+=String.fromCharCode(Q),i++,i===s||!p(n.charCodeAt(i)))return c=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return o+=T(),c=11;default:for(;i<s&&ie(Q);)i++,Q=n.charCodeAt(i);if(a!==i){switch(o=n.substring(a,i),o){case"true":return c=8;case"false":return c=9;case"null":return c=7}return c=16}return o+=String.fromCharCode(Q),i++,c=16}}function ie(Q){if(b(Q)||f(Q))return!1;switch(Q){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function ne(){let Q;do Q=K();while(Q>=12&&Q<=15);return Q}return{setPosition:L,getPosition:()=>i,scan:r?ne:K,getToken:()=>c,getTokenValue:()=>o,getTokenOffset:()=>a,getTokenLength:()=>i-a,getTokenError:()=>d}}e.createScanner=M;function b(n){return n===32||n===9||n===11||n===12||n===160||n===5760||n>=8192&&n<=8203||n===8239||n===8287||n===12288||n===65279}function f(n){return n===10||n===13||n===8232||n===8233}function p(n){return n>=48&&n<=57}var C;(function(n){n[n.nullCharacter=0]="nullCharacter",n[n.maxAsciiCharacter=127]="maxAsciiCharacter",n[n.lineFeed=10]="lineFeed",n[n.carriageReturn=13]="carriageReturn",n[n.lineSeparator=8232]="lineSeparator",n[n.paragraphSeparator=8233]="paragraphSeparator",n[n.nextLine=133]="nextLine",n[n.space=32]="space",n[n.nonBreakingSpace=160]="nonBreakingSpace",n[n.enQuad=8192]="enQuad",n[n.emQuad=8193]="emQuad",n[n.enSpace=8194]="enSpace",n[n.emSpace=8195]="emSpace",n[n.threePerEmSpace=8196]="threePerEmSpace",n[n.fourPerEmSpace=8197]="fourPerEmSpace",n[n.sixPerEmSpace=8198]="sixPerEmSpace",n[n.figureSpace=8199]="figureSpace",n[n.punctuationSpace=8200]="punctuationSpace",n[n.thinSpace=8201]="thinSpace",n[n.hairSpace=8202]="hairSpace",n[n.zeroWidthSpace=8203]="zeroWidthSpace",n[n.narrowNoBreakSpace=8239]="narrowNoBreakSpace",n[n.ideographicSpace=12288]="ideographicSpace",n[n.mathematicalSpace=8287]="mathematicalSpace",n[n.ogham=5760]="ogham",n[n._=95]="_",n[n.$=36]="$",n[n._0=48]="_0",n[n._1=49]="_1",n[n._2=50]="_2",n[n._3=51]="_3",n[n._4=52]="_4",n[n._5=53]="_5",n[n._6=54]="_6",n[n._7=55]="_7",n[n._8=56]="_8",n[n._9=57]="_9",n[n.a=97]="a",n[n.b=98]="b",n[n.c=99]="c",n[n.d=100]="d",n[n.e=101]="e",n[n.f=102]="f",n[n.g=103]="g",n[n.h=104]="h",n[n.i=105]="i",n[n.j=106]="j",n[n.k=107]="k",n[n.l=108]="l",n[n.m=109]="m",n[n.n=110]="n",n[n.o=111]="o",n[n.p=112]="p",n[n.q=113]="q",n[n.r=114]="r",n[n.s=115]="s",n[n.t=116]="t",n[n.u=117]="u",n[n.v=118]="v",n[n.w=119]="w",n[n.x=120]="x",n[n.y=121]="y",n[n.z=122]="z",n[n.A=65]="A",n[n.B=66]="B",n[n.C=67]="C",n[n.D=68]="D",n[n.E=69]="E",n[n.F=70]="F",n[n.G=71]="G",n[n.H=72]="H",n[n.I=73]="I",n[n.J=74]="J",n[n.K=75]="K",n[n.L=76]="L",n[n.M=77]="M",n[n.N=78]="N",n[n.O=79]="O",n[n.P=80]="P",n[n.Q=81]="Q",n[n.R=82]="R",n[n.S=83]="S",n[n.T=84]="T",n[n.U=85]="U",n[n.V=86]="V",n[n.W=87]="W",n[n.X=88]="X",n[n.Y=89]="Y",n[n.Z=90]="Z",n[n.ampersand=38]="ampersand",n[n.asterisk=42]="asterisk",n[n.at=64]="at",n[n.backslash=92]="backslash",n[n.bar=124]="bar",n[n.caret=94]="caret",n[n.closeBrace=125]="closeBrace",n[n.closeBracket=93]="closeBracket",n[n.closeParen=41]="closeParen",n[n.colon=58]="colon",n[n.comma=44]="comma",n[n.dot=46]="dot",n[n.doubleQuote=34]="doubleQuote",n[n.equals=61]="equals",n[n.exclamation=33]="exclamation",n[n.greaterThan=62]="greaterThan",n[n.lessThan=60]="lessThan",n[n.minus=45]="minus",n[n.openBrace=123]="openBrace",n[n.openBracket=91]="openBracket",n[n.openParen=40]="openParen",n[n.percent=37]="percent",n[n.plus=43]="plus",n[n.question=63]="question",n[n.semicolon=59]="semicolon",n[n.singleQuote=39]="singleQuote",n[n.slash=47]="slash",n[n.tilde=126]="tilde",n[n.backspace=8]="backspace",n[n.formFeed=12]="formFeed",n[n.byteOrderMark=65279]="byteOrderMark",n[n.tab=9]="tab",n[n.verticalTab=11]="verticalTab"})(C||(C={}));function k(n,r){const i=[],s=new Object;let o;const a={value:{},offset:0,length:0,type:"object",parent:void 0};let c=!1;function d(I,L,T,_){a.value=I,a.offset=L,a.length=T,a.type=_,a.colonOffset=void 0,o=a}try{g(n,{onObjectBegin:(I,L)=>{if(r<=I)throw s;o=void 0,c=r>I,i.push("")},onObjectProperty:(I,L,T)=>{if(r<L||(d(I,L,T,"property"),i[i.length-1]=I,r<=L+T))throw s},onObjectEnd:(I,L)=>{if(r<=I)throw s;o=void 0,i.pop()},onArrayBegin:(I,L)=>{if(r<=I)throw s;o=void 0,i.push(0)},onArrayEnd:(I,L)=>{if(r<=I)throw s;o=void 0,i.pop()},onLiteralValue:(I,L,T)=>{if(r<L||(d(I,L,T,l(I)),r<=L+T))throw s},onSeparator:(I,L,T)=>{if(r<=L)throw s;if(I===":"&&o&&o.type==="property")o.colonOffset=L,c=!1,o=void 0;else if(I===","){const _=i[i.length-1];typeof _=="number"?i[i.length-1]=_+1:(c=!0,i[i.length-1]=""),o=void 0}}})}catch(I){if(I!==s)throw I}return{path:i,previousNode:o,isAtPropertyKey:c,matches:I=>{let L=0;for(let T=0;L<I.length&&T<i.length;T++)if(I[L]===i[T]||I[L]==="*")L++;else if(I[L]!=="**")return!1;return L===I.length}}}e.getLocation=k;function y(n,r=[],i=R.DEFAULT){let s=null,o=[];const a=[];function c(I){Array.isArray(o)?o.push(I):s!==null&&(o[s]=I)}return g(n,{onObjectBegin:()=>{const I={};c(I),a.push(o),o=I,s=null},onObjectProperty:I=>{s=I},onObjectEnd:()=>{o=a.pop()},onArrayBegin:()=>{const I=[];c(I),a.push(o),o=I,s=null},onArrayEnd:()=>{o=a.pop()},onLiteralValue:c,onError:(I,L,T)=>{r.push({error:I,offset:L,length:T})}},i),o[0]}e.parse=y;function m(n,r=[],i=R.DEFAULT){let s={type:"array",offset:-1,length:-1,children:[],parent:void 0};function o(I){s.type==="property"&&(s.length=I-s.offset,s=s.parent)}function a(I){return s.children.push(I),I}g(n,{onObjectBegin:I=>{s=a({type:"object",offset:I,length:-1,parent:s,children:[]})},onObjectProperty:(I,L,T)=>{s=a({type:"property",offset:L,length:-1,parent:s,children:[]}),s.children.push({type:"string",value:I,offset:L,length:T,parent:s})},onObjectEnd:(I,L)=>{s.length=I+L-s.offset,s=s.parent,o(I+L)},onArrayBegin:(I,L)=>{s=a({type:"array",offset:I,length:-1,parent:s,children:[]})},onArrayEnd:(I,L)=>{s.length=I+L-s.offset,s=s.parent,o(I+L)},onLiteralValue:(I,L,T)=>{a({type:l(I),offset:L,length:T,parent:s,value:I}),o(L+T)},onSeparator:(I,L,T)=>{s.type==="property"&&(I===":"?s.colonOffset=L:I===","&&o(L))},onError:(I,L,T)=>{r.push({error:I,offset:L,length:T})}},i);const d=s.children[0];return d&&delete d.parent,d}e.parseTree=m;function u(n,r){if(!n)return;let i=n;for(const s of r)if(typeof s=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let o=!1;for(const a of i.children)if(Array.isArray(a.children)&&a.children[0].value===s){i=a.children[1],o=!0;break}if(!o)return}else{const o=s;if(i.type!=="array"||o<0||!Array.isArray(i.children)||o>=i.children.length)return;i=i.children[o]}return i}e.findNodeAtLocation=u;function S(n){if(!n.parent||!n.parent.children)return[];const r=S(n.parent);if(n.parent.type==="property"){const i=n.parent.children[0].value;r.push(i)}else if(n.parent.type==="array"){const i=n.parent.children.indexOf(n);i!==-1&&r.push(i)}return r}e.getNodePath=S;function w(n){switch(n.type){case"array":return n.children.map(w);case"object":{const r=Object.create(null);for(const i of n.children){const s=i.children[1];s&&(r[i.children[0].value]=w(s))}return r}case"null":case"string":case"number":case"boolean":return n.value;default:return}}e.getNodeValue=w;function E(n,r,i=!1){return r>=n.offset&&r<n.offset+n.length||i&&r===n.offset+n.length}e.contains=E;function P(n,r,i=!1){if(E(n,r,i)){const s=n.children;if(Array.isArray(s))for(let o=0;o<s.length&&s[o].offset<=r;o++){const a=P(s[o],r,i);if(a)return a}return n}}e.findNodeAtOffset=P;function g(n,r,i=R.DEFAULT){const s=M(n,!1);function o(G){return G?()=>G(s.getTokenOffset(),s.getTokenLength()):()=>!0}function a(G){return G?ee=>G(ee,s.getTokenOffset(),s.getTokenLength()):()=>!0}const c=o(r.onObjectBegin),d=a(r.onObjectProperty),I=o(r.onObjectEnd),L=o(r.onArrayBegin),T=o(r.onArrayEnd),_=a(r.onLiteralValue),K=a(r.onSeparator),ie=o(r.onComment),ne=a(r.onError),Q=i&&i.disallowComments,ae=i&&i.allowTrailingComma;function le(){for(;;){const G=s.scan();switch(s.getTokenError()){case 4:$(14);break;case 5:$(15);break;case 3:$(13);break;case 1:Q||$(11);break;case 2:$(12);break;case 6:$(16);break}switch(G){case 12:case 13:Q?$(10):ie();break;case 16:$(1);break;case 15:case 14:break;default:return G}}}function $(G,ee=[],A=[]){if(ne(G),ee.length+A.length>0){let O=s.getToken();for(;O!==17;){if(ee.indexOf(O)!==-1){le();break}else if(A.indexOf(O)!==-1)break;O=le()}}}function oe(G){const ee=s.getTokenValue();return G?_(ee):d(ee),le(),!0}function W(){switch(s.getToken()){case 11:{let G=0;try{G=JSON.parse(s.getTokenValue()),typeof G!="number"&&($(2),G=0)}catch{$(2)}_(G);break}case 7:_(null);break;case 8:_(!0);break;case 9:_(!1);break;default:return!1}return le(),!0}function F(){return s.getToken()!==10?($(3,[],[2,5]),!1):(oe(!1),s.getToken()===6?(K(":"),le(),H()||$(4,[],[2,5])):$(5,[],[2,5]),!0)}function B(){c(),le();let G=!1;for(;s.getToken()!==2&&s.getToken()!==17;){if(s.getToken()===5){if(G||$(4,[],[]),K(","),le(),s.getToken()===2&&ae)break}else G&&$(6,[],[]);F()||$(4,[],[2,5]),G=!0}return I(),s.getToken()!==2?$(7,[2],[]):le(),!0}function Y(){L(),le();let G=!1;for(;s.getToken()!==4&&s.getToken()!==17;){if(s.getToken()===5){if(G||$(4,[],[]),K(","),le(),s.getToken()===4&&ae)break}else G&&$(6,[],[]);H()||$(4,[],[4,5]),G=!0}return T(),s.getToken()!==4?$(8,[4],[]):le(),!0}function H(){switch(s.getToken()){case 3:return Y();case 1:return B();case 10:return oe(!0);default:return W()}}return le(),s.getToken()===17?i.allowEmptyContent?!0:($(4,[],[]),!1):H()?(s.getToken()!==17&&$(9,[],[]),!0):($(4,[],[]),!1)}e.visit=g;function h(n,r){const i=M(n),s=[];let o,a=0,c;do switch(c=i.getPosition(),o=i.scan(),o){case 12:case 13:case 17:a!==c&&s.push(n.substring(a,c)),r!==void 0&&s.push(i.getTokenValue().replace(/[^\r\n]/g,r)),a=i.getPosition();break}while(o!==17);return s.join("")}e.stripComments=h;function l(n){switch(typeof n){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(n){if(Array.isArray(n))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=l}),define(X[118],Z([0,1,49]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function t(p,C,k){let y,m,u,S,w;if(C){for(S=C.offset,w=S+C.length,u=S;u>0&&!f(p,u-1);)u--;let c=w;for(;c<p.length&&!f(p,c);)c++;m=p.substring(u,c),y=M(m,k)}else m=p,y=0,u=0,S=0,w=p.length;const E=b(k,p);let P=!1,g=0,h;k.insertSpaces?h=R(" ",k.tabSize||4):h="	";const l=(0,v.createScanner)(m,!1);let n=!1;function r(){return E+R(h,y+g)}function i(){let c=l.scan();for(P=!1;c===15||c===14;)P=P||c===14,c=l.scan();return n=c===16||l.getTokenError()!==0,c}const s=[];function o(c,d,I){!n&&d<w&&I>S&&p.substring(d,I)!==c&&s.push({offset:d,length:I-d,content:c})}let a=i();if(a!==17){const c=l.getTokenOffset()+u,d=R(h,y);o(d,u,c)}for(;a!==17;){let c=l.getTokenOffset()+l.getTokenLength()+u,d=i(),I="";for(;!P&&(d===12||d===13);){const T=l.getTokenOffset()+u;o(" ",c,T),c=l.getTokenOffset()+l.getTokenLength()+u,I=d===12?r():"",d=i()}if(d===2)a!==1&&(g--,I=r());else if(d===4)a!==3&&(g--,I=r());else{switch(a){case 3:case 1:g++,I=r();break;case 5:case 12:I=r();break;case 13:P?I=r():I=" ";break;case 6:I=" ";break;case 10:if(d===6){I="";break}case 7:case 8:case 9:case 11:case 2:case 4:d===12||d===13?I=" ":d!==5&&d!==17&&(n=!0);break;case 16:n=!0;break}P&&(d===12||d===13)&&(I=r())}const L=l.getTokenOffset()+u;o(I,c,L),a=d}return s}e.format=t;function D(p,C){const k=JSON.stringify(p,void 0,C.insertSpaces?C.tabSize||4:"	");return C.eol!==void 0?k.replace(/\r\n|\r|\n/g,C.eol):k}e.toFormattedString=D;function R(p,C){let k="";for(let y=0;y<C;y++)k+=p;return k}function M(p,C){let k=0,y=0;const m=C.tabSize||4;for(;k<p.length;){const u=p.charAt(k);if(u===" ")y++;else if(u==="	")y+=m;else break;k++}return Math.floor(y/m)}function b(p,C){for(let k=0;k<C.length;k++){const y=C.charAt(k);if(y==="\r")return k+1<C.length&&C.charAt(k+1)===`
`?`\r
`:"\r";if(y===`
`)return`
`}return p&&p.eol||`
`}e.getEOL=b;function f(p,C){return`\r
`.indexOf(p.charAt(C))!==-1}e.isEOL=f}),define(X[119],Z([0,1,49,118]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function D(p,C,k){return R(p,C,void 0,k)}e.removeProperty=D;function R(p,C,k,y,m){const u=C.slice(),S=[],w=(0,v.parseTree)(p,S);let E,P;for(;u.length>0&&(P=u.pop(),E=(0,v.findNodeAtLocation)(w,u),E===void 0&&k!==void 0);)typeof P=="string"?k={[P]:k}:k=[k];if(E)if(E.type==="object"&&typeof P=="string"&&Array.isArray(E.children)){const g=(0,v.findNodeAtLocation)(E,[P]);if(g!==void 0)if(k===void 0){if(!g.parent)throw new Error("Malformed AST");const h=E.children.indexOf(g.parent);let l,n=g.parent.offset+g.parent.length;if(h>0){const r=E.children[h-1];l=r.offset+r.length}else l=E.offset+1,E.children.length>1&&(n=E.children[1].offset);return M(p,{offset:l,length:n-l,content:""},y)}else return M(p,{offset:g.offset,length:g.length,content:JSON.stringify(k)},y);else{if(k===void 0)return[];const h=`${JSON.stringify(P)}: ${JSON.stringify(k)}`,l=m?m(E.children.map(r=>r.children[0].value)):E.children.length;let n;if(l>0){const r=E.children[l-1];n={offset:r.offset+r.length,length:0,content:","+h}}else E.children.length===0?n={offset:E.offset+1,length:0,content:h}:n={offset:E.offset+1,length:0,content:h+","};return M(p,n,y)}}else if(E.type==="array"&&typeof P=="number"&&Array.isArray(E.children))if(k!==void 0){const g=`${JSON.stringify(k)}`;let h;if(E.children.length===0||P===0)h={offset:E.offset+1,length:0,content:E.children.length===0?g:g+","};else{const l=P===-1||P>E.children.length?E.children.length:P,n=E.children[l-1];h={offset:n.offset+n.length,length:0,content:","+g}}return M(p,h,y)}else{const g=P,h=E.children[g];let l;if(E.children.length===1)l={offset:E.offset+1,length:E.length-2,content:""};else if(E.children.length-1===g){const n=E.children[g-1],r=n.offset+n.length,i=E.offset+E.length;l={offset:r,length:i-2-r,content:""}}else l={offset:h.offset,length:E.children[g+1].offset-h.offset,content:""};return M(p,l,y)}else throw new Error(`Can not add ${typeof P!="number"?"index":"property"} to parent of type ${E.type}`);else{if(k===void 0)throw new Error("Can not delete in empty document");return M(p,{offset:w?w.offset:0,length:w?w.length:0,content:JSON.stringify(k)},y)}}e.setProperty=R;function M(p,C,k){let y=b(p,C),m=C.offset,u=C.offset+C.content.length;if(C.length===0||C.content.length===0){for(;m>0&&!(0,t.isEOL)(y,m-1);)m--;for(;u<y.length&&!(0,t.isEOL)(y,u);)u++}const S=(0,t.format)(y,{offset:m,length:u-m},k);for(let E=S.length-1;E>=0;E--){const P=S[E];y=b(y,P),m=Math.min(m,P.offset),u=Math.max(u,P.offset+P.length),u+=P.content.length-P.length}const w=p.length-(y.length-u)-m;return[{offset:m,length:w,content:y.substring(m,u)}]}e.withFormatting=M;function b(p,C){return p.substring(0,C.offset)+C.content+p.substring(C.offset+C.length)}e.applyEdit=b;function f(p,C){const k=C.slice(0).sort((m,u)=>{const S=m.offset-u.offset;return S===0?m.length-u.length:S});let y=p.length;for(let m=k.length-1;m>=0;m--){const u=k[m];if(u.offset+u.length<=y)p=b(p,u);else throw new Error("Overlapping edit");y=u.offset}return p}e.applyEdits=f}),define(X[120],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class v{constructor(D){this.executor=D,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(D){this._error=D}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(D){return new v(()=>D(this.getValue()))}}e.Lazy=v}),define(X[2],Z([0,1,48,53]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const D=!1;let R=null;function M(o){R=o}if(e.setDisposableTracker=M,D){const o="__is_disposable_tracked__";M(new class{trackDisposable(a){const c=new Error("Potentially leaked disposable").stack;setTimeout(()=>{a[o]||console.log(c)},3e3)}setParent(a,c){if(a&&a!==P.None)try{a[o]=!0}catch{}}markAsDisposed(a){if(a&&a!==P.None)try{a[o]=!0}catch{}}markAsSingleton(a){}})}function b(o){return R?.trackDisposable(o),o}function f(o){R?.markAsDisposed(o)}function p(o,a){R?.setParent(o,a)}function C(o,a){if(!!R)for(const c of o)R.setParent(c,a)}function k(o){return R?.markAsSingleton(o),o}e.markAsSingleton=k;class y extends Error{constructor(a){super(`Encountered errors while disposing of store. Errors: [${a.join(", ")}]`);this.errors=a}}e.MultiDisposeError=y;function m(o){return typeof o.dispose=="function"&&o.dispose.length===0}e.isDisposable=m;function u(o){if(t.Iterable.is(o)){const a=[];for(const c of o)if(c)try{c.dispose()}catch(d){a.push(d)}if(a.length===1)throw a[0];if(a.length>1)throw new y(a);return Array.isArray(o)?[]:o}else if(o)return o.dispose(),o}e.dispose=u;function S(...o){const a=w(()=>u(o));return C(o,a),a}e.combinedDisposable=S;function w(o){const a=b({dispose:(0,v.once)(()=>{f(a),o()})});return a}e.toDisposable=w;class E{constructor(){this._toDispose=new Set,this._isDisposed=!1,b(this)}dispose(){this._isDisposed||(f(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{u(this._toDispose.values())}finally{this._toDispose.clear()}}add(a){if(!a)return a;if(a===this)throw new Error("Cannot register a disposable on itself!");return p(a,this),this._isDisposed?E.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(a),a}}e.DisposableStore=E,E.DISABLE_DISPOSED_WARNING=!1;class P{constructor(){this._store=new E,b(this),p(this._store,this)}dispose(){f(this),this._store.dispose()}_register(a){if(a===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(a)}}e.Disposable=P,P.None=Object.freeze({dispose(){}});class g{constructor(){this._isDisposed=!1,b(this)}get value(){return this._isDisposed?void 0:this._value}set value(a){this._isDisposed||a===this._value||(this._value?.dispose(),a&&p(a,this),this._value=a)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,f(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const a=this._value;return this._value=void 0,a&&p(a,null),a}}e.MutableDisposable=g;class h{constructor(a){this._disposable=a,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=h;class l{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,b(this)}set(a){let c=a;return this.unset=()=>c=void 0,this.isset=()=>c!==void 0,this.dispose=()=>{c&&(c(),c=void 0,f(this))},this}}e.SafeDisposable=l;class n{constructor(){this.references=new Map}acquire(a,...c){let d=this.references.get(a);d||(d={counter:0,object:this.createReferencedObject(a,...c)},this.references.set(a,d));const{object:I}=d,L=(0,v.once)(()=>{--d.counter==0&&(this.destroyReferencedObject(a,d.object),this.references.delete(a))});return d.counter++,{object:I,dispose:L}}}e.ReferenceCollection=n;class r{constructor(a){this.referenceCollection=a}async acquire(a,...c){const d=this.referenceCollection.acquire(a,...c);try{return{object:await d.object,dispose:()=>d.dispose()}}catch(I){throw d.dispose(),I}}}e.AsyncReferenceCollection=r;class i{constructor(a){this.object=a}dispose(){}}e.ImmortalReference=i;function s(o){const a=new E;try{o(a)}finally{a.dispose()}}e.disposeOnReturn=s}),define(X[121],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class v{constructor(R){this.element=R,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class t{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){let R=this._first;for(;R!==v.Undefined;){const M=R.next;R.prev=v.Undefined,R.next=v.Undefined,R=M}this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(R){return this._insert(R,!1)}push(R){return this._insert(R,!0)}_insert(R,M){const b=new v(R);if(this._first===v.Undefined)this._first=b,this._last=b;else if(M){const p=this._last;this._last=b,b.prev=p,p.next=b}else{const p=this._first;this._first=b,b.next=p,p.prev=b}this._size+=1;let f=!1;return()=>{f||(f=!0,this._remove(b))}}shift(){if(this._first!==v.Undefined){const R=this._first.element;return this._remove(this._first),R}}pop(){if(this._last!==v.Undefined){const R=this._last.element;return this._remove(this._last),R}}_remove(R){if(R.prev!==v.Undefined&&R.next!==v.Undefined){const M=R.prev;M.next=R.next,R.next.prev=M}else R.prev===v.Undefined&&R.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):R.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):R.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let R=this._first;for(;R!==v.Undefined;)yield R.element,R=R.next}}e.LinkedList=t}),function(){function z(D){const R=[];typeof D=="number"&&R.push("code/timeOrigin",D);function M(f){R.push(f,Date.now())}function b(){const f=[];for(let p=0;p<R.length;p+=2)f.push({name:R[p],startTime:R[p+1]});return f}return{mark:M,getMarks:b}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?z():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const R=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const M of performance.getEntriesByType("mark"))R.push({name:M.name,startTime:Math.round(D+M.startTime)});return R}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return z(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),z()}function v(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=e()),D.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return v(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=v(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=v(t))}(),define(X[122],Z([0,1]),function(z,e){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class t{constructor(b,f,p){this.level=b,this.key=f,this.value=p,this.forward=[]}}const D=void 0;class R{constructor(b,f=2**16){this.comparator=b,this[v]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(f)|0),this._header=new t(this._maxLevel,D,D)}get size(){return this._size}clear(){this._header=new t(this._maxLevel,D,D)}has(b){return Boolean(R._search(this,b,this.comparator))}get(b){return R._search(this,b,this.comparator)?.value}set(b,f){return R._insert(this,b,f,this.comparator)&&(this._size+=1),this}delete(b){const f=R._delete(this,b,this.comparator);return f&&(this._size-=1),f}forEach(b,f){let p=this._header.forward[0];for(;p;)b.call(f,p.value,p.key,this),p=p.forward[0]}[(v=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let b=this._header.forward[0];for(;b;)yield[b.key,b.value],b=b.forward[0]}*keys(){let b=this._header.forward[0];for(;b;)yield b.key,b=b.forward[0]}*values(){let b=this._header.forward[0];for(;b;)yield b.value,b=b.forward[0]}toString(){let b="[SkipList]:",f=this._header.forward[0];for(;f;)b+=`node(${f.key}, ${f.value}, lvl:${f.level})`,f=f.forward[0];return b}static _search(b,f,p){let C=b._header;for(let k=b._level-1;k>=0;k--)for(;C.forward[k]&&p(C.forward[k].key,f)<0;)C=C.forward[k];if(C=C.forward[0],C&&p(C.key,f)===0)return C}static _insert(b,f,p,C){const k=[];let y=b._header;for(let m=b._level-1;m>=0;m--){for(;y.forward[m]&&C(y.forward[m].key,f)<0;)y=y.forward[m];k[m]=y}if(y=y.forward[0],y&&C(y.key,f)===0)return y.value=p,!1;{const m=R._randomLevel(b);if(m>b._level){for(let u=b._level;u<m;u++)k[u]=b._header;b._level=m}y=new t(m,f,p);for(let u=0;u<m;u++)y.forward[u]=k[u].forward[u],k[u].forward[u]=y;return!0}}static _randomLevel(b,f=.5){let p=1;for(;Math.random()<f&&p<b._maxLevel;)p+=1;return p}static _delete(b,f,p){const C=[];let k=b._header;for(let y=b._level-1;y>=0;y--){for(;k.forward[y]&&p(k.forward[y].key,f)<0;)k=k.forward[y];C[y]=k}if(k=k.forward[0],!k||p(k.key,f)!==0)return!1;for(let y=0;y<b._level&&C[y].forward[y]===k;y++)C[y].forward[y]=k.forward[y];for(;b._level>0&&b._header.forward[b._level-1]===D;)b._level-=1;return!0}}e.SkipList=R}),define(X[54],Z([0,1,18,2]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function D(h){const l=h;return l?typeof l.read=="function":!1}e.isReadable=D;function R(h){const l=h;return l?[l.on,l.pause,l.resume,l.destroy].every(n=>typeof n=="function"):!1}e.isReadableStream=R;function M(h){const l=h;return l?R(l.stream)&&Array.isArray(l.buffer)&&typeof l.ended=="boolean":!1}e.isReadableBufferedStream=M;function b(h,l){return new f(h,l)}e.newWriteableStream=b;class f{constructor(l,n){this.reducer=l,this.options=n,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(l){if(!this.state.destroyed){if(this.state.flowing)this.emitData(l);else if(this.buffer.data.push(l),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(n=>this.pendingWritePromises.push(n))}}error(l){this.state.destroyed||(this.state.flowing?this.emitError(l):this.buffer.error.push(l))}end(l){this.state.destroyed||(typeof l!="undefined"&&this.write(l),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(l){this.listeners.data.slice(0).forEach(n=>n(l))}emitError(l){this.listeners.error.length===0?(0,v.onUnexpectedError)(l):this.listeners.error.slice(0).forEach(n=>n(l))}emitEnd(){this.listeners.end.slice(0).forEach(l=>l())}on(l,n){if(!this.state.destroyed)switch(l){case"data":this.listeners.data.push(n),this.resume();break;case"end":this.listeners.end.push(n),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(n),this.state.flowing&&this.flowErrors();break}}removeListener(l,n){if(this.state.destroyed)return;let r;switch(l){case"data":r=this.listeners.data;break;case"end":r=this.listeners.end;break;case"error":r=this.listeners.error;break}if(r){const i=r.indexOf(n);i>=0&&r.splice(i,1)}}flowData(){if(this.buffer.data.length>0){const l=this.reducer(this.buffer.data);this.emitData(l),this.buffer.data.length=0;const n=[...this.pendingWritePromises];this.pendingWritePromises.length=0,n.forEach(r=>r())}}flowErrors(){if(this.listeners.error.length>0){for(const l of this.buffer.error)this.emitError(l);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function p(h,l){const n=[];let r;for(;(r=h.read())!==null;)n.push(r);return l(n)}e.consumeReadable=p;function C(h,l,n){const r=[];let i;for(;(i=h.read())!==null&&r.length<n;)r.push(i);return i===null&&r.length>0?l(r):{read:()=>{if(r.length>0)return r.shift();if(typeof i!="undefined"){const s=i;return i=void 0,s}return h.read()}}}e.peekReadable=C;function k(h,l){return new Promise((n,r)=>{const i=[];y(h,{onData:s=>{l&&i.push(s)},onError:s=>{l?r(s):n(void 0)},onEnd:()=>{n(l?l(i):void 0)}})})}e.consumeStream=k;function y(h,l){let n=!1;return h.on("error",r=>{n||l.onError(r)}),h.on("end",()=>{n||l.onEnd()}),h.on("data",r=>{n||l.onData(r)}),(0,t.toDisposable)(()=>n=!0)}e.listenStream=y;function m(h,l){return new Promise((n,r)=>{const i=new t.DisposableStore,s=[],o=d=>{if(s.push(d),s.length>l)return i.dispose(),h.pause(),n({stream:h,buffer:s,ended:!1})},a=d=>r(d),c=()=>n({stream:h,buffer:s,ended:!0});i.add((0,t.toDisposable)(()=>h.removeListener("error",a))),h.on("error",a),i.add((0,t.toDisposable)(()=>h.removeListener("end",c))),h.on("end",c),i.add((0,t.toDisposable)(()=>h.removeListener("data",o))),h.on("data",o)})}e.peekStream=m;function u(h,l){const n=b(l);return n.end(h),n}e.toStream=u;function S(){const h=b(()=>{throw new Error("not supported")});return h.end(),h}e.emptyStream=S;function w(h){let l=!1;return{read:()=>l?null:(l=!0,h)}}e.toReadable=w;function E(h,l,n){const r=b(n);return y(h,{onData:i=>r.write(l.data(i)),onError:i=>r.error(l.error?l.error(i):i),onEnd:()=>r.end()}),r}e.transform=E;function P(h,l,n){let r=!1;return{read:()=>{const i=l.read();return r?i:(r=!0,i!==null?n([h,i]):h)}}}e.prefixedReadable=P;function g(h,l,n){let r=!1;const i=b(n);return y(l,{onData:s=>r?i.write(s):(r=!0,i.write(n([h,s]))),onError:s=>i.error(s),onEnd:()=>{r||(r=!0,i.write(h)),i.end()}}),i}e.prefixedStream=g}),define(X[19],Z([0,1,54]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let D,R;class M{constructor(d){this.buffer=d,this.byteLength=this.buffer.byteLength}static alloc(d){return t?new M(Buffer.allocUnsafe(d)):new M(new Uint8Array(d))}static wrap(d){return t&&!Buffer.isBuffer(d)&&(d=Buffer.from(d.buffer,d.byteOffset,d.byteLength)),new M(d)}static fromString(d,I){return!(I?.dontUseNodeBuffer||!1)&&t?new M(Buffer.from(d)):(D||(D=new TextEncoder),new M(D.encode(d)))}static fromByteArray(d){const I=M.alloc(d.length);for(let L=0,T=d.length;L<T;L++)I.buffer[L]=d[L];return I}static concat(d,I){if(typeof I=="undefined"){I=0;for(let _=0,K=d.length;_<K;_++)I+=d[_].byteLength}const L=M.alloc(I);let T=0;for(let _=0,K=d.length;_<K;_++){const ie=d[_];L.set(ie,T),T+=ie.byteLength}return L}clone(){const d=M.alloc(this.byteLength);return d.set(this),d}toString(){return t?this.buffer.toString():(R||(R=new TextDecoder),R.decode(this.buffer))}slice(d,I){return new M(this.buffer.subarray(d,I))}set(d,I){if(d instanceof M)this.buffer.set(d.buffer,I);else if(d instanceof Uint8Array)this.buffer.set(d,I);else if(d instanceof ArrayBuffer)this.buffer.set(new Uint8Array(d),I);else if(ArrayBuffer.isView(d))this.buffer.set(new Uint8Array(d.buffer,d.byteOffset,d.byteLength),I);else throw new Error("Unknown argument 'array'")}readUInt32BE(d){return p(this.buffer,d)}writeUInt32BE(d,I){C(this.buffer,d,I)}readUInt32LE(d){return k(this.buffer,d)}writeUInt32LE(d,I){y(this.buffer,d,I)}readUInt8(d){return m(this.buffer,d)}writeUInt8(d,I){u(this.buffer,d,I)}}e.VSBuffer=M;function b(c,d){return c[d+0]<<0>>>0|c[d+1]<<8>>>0}e.readUInt16LE=b;function f(c,d,I){c[I+0]=d&255,d=d>>>8,c[I+1]=d&255}e.writeUInt16LE=f;function p(c,d){return c[d]*2**24+c[d+1]*2**16+c[d+2]*2**8+c[d+3]}e.readUInt32BE=p;function C(c,d,I){c[I+3]=d,d=d>>>8,c[I+2]=d,d=d>>>8,c[I+1]=d,d=d>>>8,c[I]=d}e.writeUInt32BE=C;function k(c,d){return c[d+0]<<0>>>0|c[d+1]<<8>>>0|c[d+2]<<16>>>0|c[d+3]<<24>>>0}e.readUInt32LE=k;function y(c,d,I){c[I+0]=d&255,d=d>>>8,c[I+1]=d&255,d=d>>>8,c[I+2]=d&255,d=d>>>8,c[I+3]=d&255}e.writeUInt32LE=y;function m(c,d){return c[d]}e.readUInt8=m;function u(c,d,I){c[I]=d}e.writeUInt8=u;function S(c){return v.consumeReadable(c,d=>M.concat(d))}e.readableToBuffer=S;function w(c){return v.toReadable(c)}e.bufferToReadable=w;function E(c){return v.consumeStream(c,d=>M.concat(d))}e.streamToBuffer=E;async function P(c){return c.ended?M.concat(c.buffer):M.concat([...c.buffer,await E(c.stream)])}e.bufferedStreamToBuffer=P;function g(c){return v.toStream(c,d=>M.concat(d))}e.bufferToStream=g;function h(c){return v.transform(c,{data:d=>typeof d=="string"?M.fromString(d):M.wrap(d)},d=>M.concat(d))}e.streamToBufferReadableStream=h;function l(c){return v.newWriteableStream(d=>M.concat(d),c)}e.newWriteableBufferStream=l;function n(c,d){return v.prefixedReadable(c,d,I=>M.concat(I))}e.prefixedBufferReadable=n;function r(c,d){return v.prefixedStream(c,d,I=>M.concat(I))}e.prefixedBufferStream=r;function i(c){let d=0,I=0,L=0;const T=new Uint8Array(Math.floor(c.length/4*3)),_=ie=>{switch(I){case 3:T[L++]=d|ie,I=0;break;case 2:T[L++]=d|ie>>>2,d=ie<<6,I=3;break;case 1:T[L++]=d|ie>>>4,d=ie<<4,I=2;break;default:d=ie<<2,I=1}};for(let ie=0;ie<c.length;ie++){const ne=c.charCodeAt(ie);if(ne>=65&&ne<=90)_(ne-65);else if(ne>=97&&ne<=122)_(ne-97+26);else if(ne>=48&&ne<=57)_(ne-48+52);else if(ne===43||ne===45)_(62);else if(ne===47||ne===95)_(63);else{if(ne===61)break;throw new SyntaxError(`Unexpected base64 character ${c[ie]}`)}}const K=L;for(;I>0;)_(0);return M.wrap(T).slice(0,K)}e.decodeBase64=i;const s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function a({buffer:c},d=!0,I=!1){const L=I?o:s;let T="";const _=c.byteLength%3;let K=0;for(;K<c.byteLength-_;K+=3){const ie=c[K+0],ne=c[K+1],Q=c[K+2];T+=L[ie>>>2],T+=L[(ie<<4|ne>>>4)&63],T+=L[(ne<<2|Q>>>6)&63],T+=L[Q&63]}if(_===1){const ie=c[K+0];T+=L[ie>>>2],T+=L[ie<<4&63],d&&(T+="==")}else if(_===2){const ie=c[K+0],ne=c[K+1];T+=L[ie>>>2],T+=L[(ie<<4|ne>>>4)&63],T+=L[ne<<2&63],d&&(T+="=")}return T}e.encodeBase64=a}),define(X[13],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isTypedArray=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function v(c){return Array.isArray(c)}e.isArray=v;function t(c){return typeof c=="string"}e.isString=t;function D(c){return Array.isArray(c)&&c.every(d=>t(d))}e.isStringArray=D;function R(c){return typeof c=="object"&&c!==null&&!Array.isArray(c)&&!(c instanceof RegExp)&&!(c instanceof Date)}e.isObject=R;function M(c){const d=Object.getPrototypeOf(Uint8Array);return typeof c=="object"&&c instanceof d}e.isTypedArray=M;function b(c){return typeof c=="number"&&!isNaN(c)}e.isNumber=b;function f(c){return!!c&&typeof c[Symbol.iterator]=="function"}e.isIterable=f;function p(c){return c===!0||c===!1}e.isBoolean=p;function C(c){return typeof c=="undefined"}e.isUndefined=C;function k(c){return!y(c)}e.isDefined=k;function y(c){return C(c)||c===null}e.isUndefinedOrNull=y;function m(c,d){if(!c)throw new Error(d?`Unexpected type, expected '${d}'`:"Unexpected type")}e.assertType=m;function u(c){if(y(c))throw new Error("Assertion Failed: argument is undefined or null");return c}e.assertIsDefined=u;function S(...c){const d=[];for(let I=0;I<c.length;I++){const L=c[I];if(y(L))throw new Error(`Assertion Failed: argument at index ${I} is undefined or null`);d.push(L)}return d}e.assertAllDefined=S;const w=Object.prototype.hasOwnProperty;function E(c){if(!R(c))return!1;for(const d in c)if(w.call(c,d))return!1;return!0}e.isEmptyObject=E;function P(c){return typeof c=="function"}e.isFunction=P;function g(...c){return c.length>0&&c.every(P)}e.areFunctions=g;function h(c,d){const I=Math.min(c.length,d.length);for(let L=0;L<I;L++)l(c[L],d[L])}e.validateConstraints=h;function l(c,d){if(t(d)){if(typeof c!==d)throw new Error(`argument does not match constraint: typeof ${d}`)}else if(P(d)){try{if(c instanceof d)return}catch{}if(!y(c)&&c.constructor===d||d.length===1&&d.call(void 0,c)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=l;function n(c){let d=[],I=Object.getPrototypeOf(c);for(;Object.prototype!==I;)d=d.concat(Object.getOwnPropertyNames(I)),I=Object.getPrototypeOf(I);return d}e.getAllPropertyNames=n;function r(c){const d=[];for(const I of n(c))typeof c[I]=="function"&&d.push(I);return d}e.getAllMethodNames=r;function i(c,d){const I=T=>function(){const _=Array.prototype.slice.call(arguments,0);return d(T,_)},L={};for(const T of c)L[T]=I(T);return L}e.createProxyObject=i;function s(c){return c===null?void 0:c}e.withNullAsUndefined=s;function o(c){return typeof c=="undefined"?null:c}e.withUndefinedAsNull=o;function a(c,d="Unreachable"){throw new Error(d)}e.assertNever=a}),define(X[50],Z([0,1,13]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const S=Array.isArray(u)?[]:{};return Object.keys(u).forEach(w=>{u[w]&&typeof u[w]=="object"?S[w]=t(u[w]):S[w]=u[w]}),S}e.deepClone=t;function D(u){if(!u||typeof u!="object")return u;const S=[u];for(;S.length>0;){const w=S.shift();Object.freeze(w);for(const E in w)if(R.call(w,E)){const P=w[E];typeof P=="object"&&!Object.isFrozen(P)&&!(0,v.isTypedArray)(P)&&S.push(P)}}return u}e.deepFreeze=D;const R=Object.prototype.hasOwnProperty;function M(u,S){return b(u,S,new Set)}e.cloneAndChange=M;function b(u,S,w){if((0,v.isUndefinedOrNull)(u))return u;const E=S(u);if(typeof E!="undefined")return E;if((0,v.isArray)(u)){const P=[];for(const g of u)P.push(b(g,S,w));return P}if((0,v.isObject)(u)){if(w.has(u))throw new Error("Cannot clone recursive data-structure");w.add(u);const P={};for(const g in u)R.call(u,g)&&(P[g]=b(u[g],S,w));return w.delete(u),P}return u}function f(u,S,w=!0){return(0,v.isObject)(u)?((0,v.isObject)(S)&&Object.keys(S).forEach(E=>{E in u?w&&((0,v.isObject)(u[E])&&(0,v.isObject)(S[E])?f(u[E],S[E],w):u[E]=S[E]):u[E]=S[E]}),u):S}e.mixin=f;function p(u,S){if(u===S)return!0;if(u==null||S===null||S===void 0||typeof u!=typeof S||typeof u!="object"||Array.isArray(u)!==Array.isArray(S))return!1;let w,E;if(Array.isArray(u)){if(u.length!==S.length)return!1;for(w=0;w<u.length;w++)if(!p(u[w],S[w]))return!1}else{const P=[];for(E in u)P.push(E);P.sort();const g=[];for(E in S)g.push(E);if(g.sort(),!p(P,g))return!1;for(w=0;w<P.length;w++)if(!p(u[P[w]],S[P[w]]))return!1}return!0}e.equals=p;function C(u){const S=new Set;return JSON.stringify(u,(w,E)=>{if((0,v.isObject)(E)||Array.isArray(E)){if(S.has(E))return"[Circular]";S.add(E)}return E})}e.safeStringify=C;function k(u,S){const w=Object.create(null);return!u||!S||Object.keys(S).forEach(P=>{const g=u[P],h=S[P];p(g,h)||(w[P]=h)}),w}e.distinct=k;function y(u,S){const w=S.toLowerCase(),E=Object.keys(u).find(P=>P.toLowerCase()===w);return E?u[E]:u[S]}e.getCaseInsensitive=y;function m(u,S){const w=Object.create(null);for(const[E,P]of Object.entries(u))S(E,P)&&(w[E]=P);return w}e.filter=m}),define(X[30],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const v=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(D){return v.test(D)}e.isUUID=t,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let D;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?D=crypto.getRandomValues.bind(crypto):D=function(b){for(let f=0;f<b.length;f++)b[f]=Math.floor(Math.random()*256);return b};const R=new Uint8Array(16),M=[];for(let b=0;b<256;b++)M.push(b.toString(16).padStart(2,"0"));return function(){D(R),R[6]=R[6]&15|64,R[8]=R[8]&63|128;let f=0,p="";return p+=M[R[f++]],p+=M[R[f++]],p+=M[R[f++]],p+=M[R[f++]],p+="-",p+=M[R[f++]],p+=M[R[f++]],p+="-",p+=M[R[f++]],p+=M[R[f++]],p+="-",p+=M[R[f++]],p+=M[R[f++]],p+="-",p+=M[R[f++]],p+=M[R[f++]],p+=M[R[f++]],p+=M[R[f++]],p+=M[R[f++]],p+=M[R[f++]],p}}()}),define(X[123],Z([0,1,75,27,48]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function R(M,b){if(await new Promise((C,k)=>{const y=t.createReadStream(M),m=v.createHash("sha1");y.pipe(m);const u=(0,D.once)((S,w)=>{y.removeAllListeners(),m.removeAllListeners(),S?k(S):C(w)});y.once("error",u),y.once("end",u),m.once("error",u),m.once("data",S=>u(void 0,S.toString("hex")))})!==b)throw new Error("Hash mismatch")}e.checksum=R}),define(X[124],Z([0,1,125]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class t{constructor(R="utf8"){this.stringDecoder=new v.StringDecoder(R),this.remaining=null}write(R){const M=[],b=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(b.length<1)return M;let f=0,p,C=f;for(;C<b.length;)if(p=b.charCodeAt(C),p===13||p===10){if(M.push(b.substring(f,C)),C++,C<b.length){const k=p;p=b.charCodeAt(C),(k===13&&p===10||k===10&&p===13)&&C++}f=C}else C++;return this.remaining=f<b.length?b.substr(f):null,M}end(){return this.remaining}}e.LineDecoder=t}),define(X[126],Z([0,1,28]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const t=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function D(M){const b=M.replace(/\-/g,":").toLowerCase();return!t.has(b)}function R(){const M=(0,v.networkInterfaces)();for(const b in M){const f=M[b];if(f){for(const{mac:p}of f)if(D(p))return p}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=R}),define(X[90],Z([0,1,76]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function t(b,f,p,C=1){let k=!1;return new Promise(y=>{const m=setTimeout(()=>{if(!k)return k=!0,y(0)},p);D(b,f,C,u=>{if(!k)return k=!0,clearTimeout(m),y(u)})})}e.findFreePort=t;function D(b,f,p,C){if(f===0)return C(0);const k=new v.Socket;k.once("connect",()=>(M(k),D(b+p,f-1,p,C))),k.once("data",()=>{}),k.once("error",y=>(M(k),y.code!=="ECONNREFUSED"?D(b+p,f-1,p,C):C(b))),k.connect(b,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function R(b,f,p){let C=!1,k,y=1;const m=v.createServer({pauseOnConnect:!0});function u(S,w){C||(C=!0,m.removeAllListeners(),m.close(),k&&clearTimeout(k),w(S))}return new Promise(S=>{k=setTimeout(()=>{u(0,S)},p),m.on("listening",()=>{u(b,S)}),m.on("error",w=>{w&&(w.code==="EADDRINUSE"||w.code==="EACCES")&&y<f?(b++,y++,m.listen(b,"127.0.0.1")):u(0,S)}),m.on("close",()=>{u(0,S)}),m.listen(b,"127.0.0.1")})}e.findFreePortFaster=R;function M(b){try{b.removeAllListeners("connect"),b.removeAllListeners("error"),b.end(),b.destroy(),b.unref()}catch(f){console.error(f)}}}),define(X[127],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(X[128],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class v{constructor(D,R){this.sender=D,this.onMessage=R}send(D){try{this.sender.send("vscode:message",D.buffer)}catch{}}disconnect(){this.sender.send("vscode:disconnect",null)}}e.Protocol=v}),define(X[38],Z([0,1,14,18]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.validatedIpcMain=void 0;class D{constructor(){this.mapListenerToWrapper=new WeakMap}on(M,b){const f=(p,...C)=>{this.validateEvent(M,p)&&b(p,...C)};return this.mapListenerToWrapper.set(b,f),v.ipcMain.on(M,f),this}once(M,b){return v.ipcMain.once(M,(f,...p)=>{this.validateEvent(M,f)&&b(f,...p)}),this}handle(M,b){return v.ipcMain.handle(M,(f,...p)=>this.validateEvent(M,f)?b(f,...p):Promise.reject(`Invalid channel '${M}' or sender for ipcMain.handle() usage.`)),this}removeHandler(M){return v.ipcMain.removeHandler(M),this}removeListener(M,b){const f=this.mapListenerToWrapper.get(b);return f&&(v.ipcMain.removeListener(M,f),this.mapListenerToWrapper.delete(b)),this}validateEvent(M,b){if(!M||!M.startsWith("vscode:"))return(0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because the channel is unknown.`),!1;const f=b.senderFrame,p=f.url;if(!p)return!0;let C="unknown";try{C=new URL(p).host}catch{return(0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because of a malformed URL '${p}'.`),!1}return C!=="vscode-app"?((0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because of a bad origin of '${C}'.`),!1):f.parent!==null?((0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because sender of origin '${C}' is not a main frame.`),!1):!0}}e.validatedIpcMain=new D}),define(X[129],Z([0,1,14,38,13,127]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function M(){t.validatedIpcMain.on(R.CONTEXT_MENU_CHANNEL,(f,p,C,k,y)=>{const m=b(f,k,C);m.popup({window:(0,D.withNullAsUndefined)(v.BrowserWindow.fromWebContents(f.sender)),x:y?y.x:void 0,y:y?y.y:void 0,positioningItem:y?y.positioningItem:void 0,callback:()=>{m&&f.sender.send(R.CONTEXT_MENU_CLOSE_CHANNEL,p)}})})}e.registerContextMenuListener=M;function b(f,p,C){const k=new v.Menu;return C.forEach(y=>{let m;y.type==="separator"?m=new v.MenuItem({type:y.type}):Array.isArray(y.submenu)?m=new v.MenuItem({submenu:b(f,p,y.submenu),label:y.label}):m=new v.MenuItem({label:y.label,type:y.type,accelerator:y.accelerator,checked:y.checked,enabled:y.enabled,visible:y.visible,click:(u,S,w)=>f.sender.send(p,y.id,w)}),k.append(m)}),k}}),define(X[130],Z([11,10]),function(z,e){return z.create("vs/base/common/date",e)}),define(X[131],Z([0,1,130]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,D=t*60,R=D*24,M=R*7,b=R*30,f=R*365;function p(k,y,m){typeof k!="number"&&(k=k.getTime());const u=Math.round((new Date().getTime()-k)/1e3);if(u<-30)return(0,v.localize)(0,null,p(new Date().getTime()+u*1e3,!1));if(u<30)return(0,v.localize)(1,null);let S;return u<t?(S=u,y?S===1?m?(0,v.localize)(2,null,S):(0,v.localize)(3,null,S):m?(0,v.localize)(4,null,S):(0,v.localize)(5,null,S):S===1?m?(0,v.localize)(6,null,S):(0,v.localize)(7,null,S):m?(0,v.localize)(8,null,S):(0,v.localize)(9,null,S)):u<D?(S=Math.floor(u/t),y?S===1?m?(0,v.localize)(10,null,S):(0,v.localize)(11,null,S):m?(0,v.localize)(12,null,S):(0,v.localize)(13,null,S):S===1?m?(0,v.localize)(14,null,S):(0,v.localize)(15,null,S):m?(0,v.localize)(16,null,S):(0,v.localize)(17,null,S)):u<R?(S=Math.floor(u/D),y?S===1?m?(0,v.localize)(18,null,S):(0,v.localize)(19,null,S):m?(0,v.localize)(20,null,S):(0,v.localize)(21,null,S):S===1?m?(0,v.localize)(22,null,S):(0,v.localize)(23,null,S):m?(0,v.localize)(24,null,S):(0,v.localize)(25,null,S)):u<M?(S=Math.floor(u/R),y?S===1?(0,v.localize)(26,null,S):(0,v.localize)(27,null,S):S===1?(0,v.localize)(28,null,S):(0,v.localize)(29,null,S)):u<b?(S=Math.floor(u/M),y?S===1?m?(0,v.localize)(30,null,S):(0,v.localize)(31,null,S):m?(0,v.localize)(32,null,S):(0,v.localize)(33,null,S):S===1?m?(0,v.localize)(34,null,S):(0,v.localize)(35,null,S):m?(0,v.localize)(36,null,S):(0,v.localize)(37,null,S)):u<f?(S=Math.floor(u/b),y?S===1?m?(0,v.localize)(38,null,S):(0,v.localize)(39,null,S):m?(0,v.localize)(40,null,S):(0,v.localize)(41,null,S):S===1?m?(0,v.localize)(42,null,S):(0,v.localize)(43,null,S):m?(0,v.localize)(44,null,S):(0,v.localize)(45,null,S)):(S=Math.floor(u/f),y?S===1?m?(0,v.localize)(46,null,S):(0,v.localize)(47,null,S):m?(0,v.localize)(48,null,S):(0,v.localize)(49,null,S):S===1?m?(0,v.localize)(50,null,S):(0,v.localize)(51,null,S):m?(0,v.localize)(52,null,S):(0,v.localize)(53,null,S))}e.fromNow=p;function C(k){return k.getFullYear()+"-"+String(k.getMonth()+1).padStart(2,"0")+"-"+String(k.getDate()).padStart(2,"0")+"T"+String(k.getHours()).padStart(2,"0")+":"+String(k.getMinutes()).padStart(2,"0")+":"+String(k.getSeconds()).padStart(2,"0")+"."+(k.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=C}),define(X[132],Z([11,10]),function(z,e){return z.create("vs/base/common/errorMessage",e)}),define(X[41],Z([0,1,25,13,132]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function R(k,y){return y&&(k.stack||k.stacktrace)?D.localize(0,null,b(k),M(k.stack)||M(k.stacktrace)):b(k)}function M(k){return Array.isArray(k)?k.join(`
`):k}function b(k){return typeof k.code=="string"&&typeof k.errno=="number"&&typeof k.syscall=="string"?D.localize(1,null,k.message):k.message||D.localize(2,null)}function f(k=null,y=!1){if(!k)return D.localize(3,null);if(Array.isArray(k)){const m=v.coalesce(k),u=f(m[0],y);return m.length>1?D.localize(4,null,u,m.length):u}if(t.isString(k))return k;if(k.detail){const m=k.detail;if(m.error)return R(m.error,y);if(m.exception)return R(m.exception,y)}return k.stack?R(k,y):k.message?k.message:D.localize(5,null)}e.toErrorMessage=f;function p(k){const y=k;return y instanceof Error&&Array.isArray(y.actions)}e.isErrorWithActions=p;function C(k,y){let m;return typeof k=="string"?m=new Error(k):m=k,m.actions=y,m}e.createErrorWithActions=C}),define(X[133],Z([11,10]),function(z,e){return z.create("vs/base/common/platform",e)}),define(X[4],Z([0,1,133]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.setTimeout0IsFaster=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.globals=void 0;const t="en";let D=!1,R=!1,M=!1,b=!1,f=!1,p=!1,C=!1,k=!1,y=!1,m,u=t,S,w;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let E;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?E=e.globals.vscode.process:typeof process!="undefined"&&(E=process);const P=typeof E?.versions?.electron=="string",g=P&&E?.type==="renderer";if(typeof navigator=="object"&&!g)w=navigator.userAgent,D=w.indexOf("Windows")>=0,R=w.indexOf("Macintosh")>=0,k=(w.indexOf("Macintosh")>=0||w.indexOf("iPad")>=0||w.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,M=w.indexOf("Linux")>=0,p=!0,m=v.getConfiguredDefaultLocale(v.localize(0,null))||t,u=m;else if(typeof E=="object"){D=E.platform==="win32",R=E.platform==="darwin",M=E.platform==="linux",b=M&&!!E.env.SNAP&&!!E.env.SNAP_REVISION,C=P,y=!!E.env.CI||!!E.env.BUILD_ARTIFACTSTAGINGDIRECTORY,m=t,u=t;const c=E.env.VSCODE_NLS_CONFIG;if(c)try{const d=JSON.parse(c),I=d.availableLanguages["*"];m=d.locale,u=I||t,S=d._translationsConfigFile}catch{}f=!0}else console.error("Unable to resolve platform.");var h;(function(c){c[c.Web=0]="Web",c[c.Mac=1]="Mac",c[c.Linux=2]="Linux",c[c.Windows=3]="Windows"})(h=e.Platform||(e.Platform={}));function l(c){switch(c){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=l;let n=0;R?n=1:D?n=3:M&&(n=2),e.isWindows=D,e.isMacintosh=R,e.isLinux=M,e.isLinuxSnap=b,e.isNative=f,e.isElectron=C,e.isWeb=p,e.isWebWorker=p&&typeof e.globals.importScripts=="function",e.isIOS=k,e.isCI=y,e.platform=n,e.userAgent=w,e.language=u;var r;(function(c){function d(){return e.language}c.value=d;function I(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}c.isDefaultVariant=I;function L(){return e.language==="en"}c.isDefault=L})(r=e.Language||(e.Language={})),e.locale=m,e.translationsConfigFile=S,e.setTimeout0IsFaster=typeof e.globals.postMessage=="function"&&!e.globals.importScripts,e.setTimeout0=(()=>{if(e.setTimeout0IsFaster){const c=[];e.globals.addEventListener("message",I=>{if(I.data&&I.data.vscodeScheduleAsyncWork)for(let L=0,T=c.length;L<T;L++){const _=c[L];if(_.id===I.data.vscodeScheduleAsyncWork){c.splice(L,1),_.callback();return}}});let d=0;return I=>{const L=++d;c.push({id:L,callback:I}),e.globals.postMessage({vscodeScheduleAsyncWork:L},"*")}}return c=>setTimeout(c)})();var i;(function(c){c[c.Windows=1]="Windows",c[c.Macintosh=2]="Macintosh",c[c.Linux=3]="Linux"})(i=e.OperatingSystem||(e.OperatingSystem={})),e.OS=R||k?2:D?1:3;let s=!0,o=!1;function a(){if(!o){o=!0;const c=new Uint8Array(2);c[0]=1,c[1]=2,s=new Uint16Array(c.buffer)[0]===(2<<8)+1}return s}e.isLittleEndian=a,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(X[36],Z([0,1,4]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof v.globals.vscode!="undefined"&&typeof v.globals.vscode.process!="undefined"){const D=v.globals.vscode.process;t={get platform(){return D.platform},get arch(){return D.arch},get env(){return D.env},cwd(){return D.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return v.isWindows?"win32":v.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(X[9],Z([0,1,36]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,D=97,R=90,M=122,b=46,f=47,p=92,C=58,k=63;class y extends Error{constructor(h,l,n){let r;typeof l=="string"&&l.indexOf("not ")===0?(r="must not be",l=l.replace(/^not /,"")):r="must be";const i=h.indexOf(".")!==-1?"property":"argument";let s=`The "${h}" ${i} ${r} of type ${l}`;s+=`. Received type ${typeof n}`;super(s);this.code="ERR_INVALID_ARG_TYPE"}}function m(g,h){if(typeof g!="string")throw new y(h,"string",g)}function u(g){return g===f||g===p}function S(g){return g===f}function w(g){return g>=t&&g<=R||g>=D&&g<=M}function E(g,h,l,n){let r="",i=0,s=-1,o=0,a=0;for(let c=0;c<=g.length;++c){if(c<g.length)a=g.charCodeAt(c);else{if(n(a))break;a=f}if(n(a)){if(!(s===c-1||o===1))if(o===2){if(r.length<2||i!==2||r.charCodeAt(r.length-1)!==b||r.charCodeAt(r.length-2)!==b){if(r.length>2){const d=r.lastIndexOf(l);d===-1?(r="",i=0):(r=r.slice(0,d),i=r.length-1-r.lastIndexOf(l)),s=c,o=0;continue}else if(r.length!==0){r="",i=0,s=c,o=0;continue}}h&&(r+=r.length>0?`${l}..`:"..",i=2)}else r.length>0?r+=`${l}${g.slice(s+1,c)}`:r=g.slice(s+1,c),i=c-s-1;s=c,o=0}else a===b&&o!==-1?++o:o=-1}return r}function P(g,h){if(h===null||typeof h!="object")throw new y("pathObject","Object",h);const l=h.dir||h.root,n=h.base||`${h.name||""}${h.ext||""}`;return l?l===h.root?`${l}${n}`:`${l}${g}${n}`:n}e.win32={resolve(...g){let h="",l="",n=!1;for(let r=g.length-1;r>=-1;r--){let i;if(r>=0){if(i=g[r],m(i,"path"),i.length===0)continue}else h.length===0?i=v.cwd():(i=v.env[`=${h}`]||v.cwd(),(i===void 0||i.slice(0,2).toLowerCase()!==h.toLowerCase()&&i.charCodeAt(2)===p)&&(i=`${h}\\`));const s=i.length;let o=0,a="",c=!1;const d=i.charCodeAt(0);if(s===1)u(d)&&(o=1,c=!0);else if(u(d))if(c=!0,u(i.charCodeAt(1))){let I=2,L=I;for(;I<s&&!u(i.charCodeAt(I));)I++;if(I<s&&I!==L){const T=i.slice(L,I);for(L=I;I<s&&u(i.charCodeAt(I));)I++;if(I<s&&I!==L){for(L=I;I<s&&!u(i.charCodeAt(I));)I++;(I===s||I!==L)&&(a=`\\\\${T}\\${i.slice(L,I)}`,o=I)}}}else o=1;else w(d)&&i.charCodeAt(1)===C&&(a=i.slice(0,2),o=2,s>2&&u(i.charCodeAt(2))&&(c=!0,o=3));if(a.length>0)if(h.length>0){if(a.toLowerCase()!==h.toLowerCase())continue}else h=a;if(n){if(h.length>0)break}else if(l=`${i.slice(o)}\\${l}`,n=c,c&&h.length>0)break}return l=E(l,!n,"\\",u),n?`${h}\\${l}`:`${h}${l}`||"."},normalize(g){m(g,"path");const h=g.length;if(h===0)return".";let l=0,n,r=!1;const i=g.charCodeAt(0);if(h===1)return S(i)?"\\":g;if(u(i))if(r=!0,u(g.charCodeAt(1))){let o=2,a=o;for(;o<h&&!u(g.charCodeAt(o));)o++;if(o<h&&o!==a){const c=g.slice(a,o);for(a=o;o<h&&u(g.charCodeAt(o));)o++;if(o<h&&o!==a){for(a=o;o<h&&!u(g.charCodeAt(o));)o++;if(o===h)return`\\\\${c}\\${g.slice(a)}\\`;o!==a&&(n=`\\\\${c}\\${g.slice(a,o)}`,l=o)}}}else l=1;else w(i)&&g.charCodeAt(1)===C&&(n=g.slice(0,2),l=2,h>2&&u(g.charCodeAt(2))&&(r=!0,l=3));let s=l<h?E(g.slice(l),!r,"\\",u):"";return s.length===0&&!r&&(s="."),s.length>0&&u(g.charCodeAt(h-1))&&(s+="\\"),n===void 0?r?`\\${s}`:s:r?`${n}\\${s}`:`${n}${s}`},isAbsolute(g){m(g,"path");const h=g.length;if(h===0)return!1;const l=g.charCodeAt(0);return u(l)||h>2&&w(l)&&g.charCodeAt(1)===C&&u(g.charCodeAt(2))},join(...g){if(g.length===0)return".";let h,l;for(let i=0;i<g.length;++i){const s=g[i];m(s,"path"),s.length>0&&(h===void 0?h=l=s:h+=`\\${s}`)}if(h===void 0)return".";let n=!0,r=0;if(typeof l=="string"&&u(l.charCodeAt(0))){++r;const i=l.length;i>1&&u(l.charCodeAt(1))&&(++r,i>2&&(u(l.charCodeAt(2))?++r:n=!1))}if(n){for(;r<h.length&&u(h.charCodeAt(r));)r++;r>=2&&(h=`\\${h.slice(r)}`)}return e.win32.normalize(h)},relative(g,h){if(m(g,"from"),m(h,"to"),g===h)return"";const l=e.win32.resolve(g),n=e.win32.resolve(h);if(l===n||(g=l.toLowerCase(),h=n.toLowerCase(),g===h))return"";let r=0;for(;r<g.length&&g.charCodeAt(r)===p;)r++;let i=g.length;for(;i-1>r&&g.charCodeAt(i-1)===p;)i--;const s=i-r;let o=0;for(;o<h.length&&h.charCodeAt(o)===p;)o++;let a=h.length;for(;a-1>o&&h.charCodeAt(a-1)===p;)a--;const c=a-o,d=s<c?s:c;let I=-1,L=0;for(;L<d;L++){const _=g.charCodeAt(r+L);if(_!==h.charCodeAt(o+L))break;_===p&&(I=L)}if(L!==d){if(I===-1)return n}else{if(c>d){if(h.charCodeAt(o+L)===p)return n.slice(o+L+1);if(L===2)return n.slice(o+L)}s>d&&(g.charCodeAt(r+L)===p?I=L:L===2&&(I=3)),I===-1&&(I=0)}let T="";for(L=r+I+1;L<=i;++L)(L===i||g.charCodeAt(L)===p)&&(T+=T.length===0?"..":"\\..");return o+=I,T.length>0?`${T}${n.slice(o,a)}`:(n.charCodeAt(o)===p&&++o,n.slice(o,a))},toNamespacedPath(g){if(typeof g!="string")return g;if(g.length===0)return"";const h=e.win32.resolve(g);if(h.length<=2)return g;if(h.charCodeAt(0)===p){if(h.charCodeAt(1)===p){const l=h.charCodeAt(2);if(l!==k&&l!==b)return`\\\\?\\UNC\\${h.slice(2)}`}}else if(w(h.charCodeAt(0))&&h.charCodeAt(1)===C&&h.charCodeAt(2)===p)return`\\\\?\\${h}`;return g},dirname(g){m(g,"path");const h=g.length;if(h===0)return".";let l=-1,n=0;const r=g.charCodeAt(0);if(h===1)return u(r)?g:".";if(u(r)){if(l=n=1,u(g.charCodeAt(1))){let o=2,a=o;for(;o<h&&!u(g.charCodeAt(o));)o++;if(o<h&&o!==a){for(a=o;o<h&&u(g.charCodeAt(o));)o++;if(o<h&&o!==a){for(a=o;o<h&&!u(g.charCodeAt(o));)o++;if(o===h)return g;o!==a&&(l=n=o+1)}}}}else w(r)&&g.charCodeAt(1)===C&&(l=h>2&&u(g.charCodeAt(2))?3:2,n=l);let i=-1,s=!0;for(let o=h-1;o>=n;--o)if(u(g.charCodeAt(o))){if(!s){i=o;break}}else s=!1;if(i===-1){if(l===-1)return".";i=l}return g.slice(0,i)},basename(g,h){h!==void 0&&m(h,"ext"),m(g,"path");let l=0,n=-1,r=!0,i;if(g.length>=2&&w(g.charCodeAt(0))&&g.charCodeAt(1)===C&&(l=2),h!==void 0&&h.length>0&&h.length<=g.length){if(h===g)return"";let s=h.length-1,o=-1;for(i=g.length-1;i>=l;--i){const a=g.charCodeAt(i);if(u(a)){if(!r){l=i+1;break}}else o===-1&&(r=!1,o=i+1),s>=0&&(a===h.charCodeAt(s)?--s==-1&&(n=i):(s=-1,n=o))}return l===n?n=o:n===-1&&(n=g.length),g.slice(l,n)}for(i=g.length-1;i>=l;--i)if(u(g.charCodeAt(i))){if(!r){l=i+1;break}}else n===-1&&(r=!1,n=i+1);return n===-1?"":g.slice(l,n)},extname(g){m(g,"path");let h=0,l=-1,n=0,r=-1,i=!0,s=0;g.length>=2&&g.charCodeAt(1)===C&&w(g.charCodeAt(0))&&(h=n=2);for(let o=g.length-1;o>=h;--o){const a=g.charCodeAt(o);if(u(a)){if(!i){n=o+1;break}continue}r===-1&&(i=!1,r=o+1),a===b?l===-1?l=o:s!==1&&(s=1):l!==-1&&(s=-1)}return l===-1||r===-1||s===0||s===1&&l===r-1&&l===n+1?"":g.slice(l,r)},format:P.bind(null,"\\"),parse(g){m(g,"path");const h={root:"",dir:"",base:"",ext:"",name:""};if(g.length===0)return h;const l=g.length;let n=0,r=g.charCodeAt(0);if(l===1)return u(r)?(h.root=h.dir=g,h):(h.base=h.name=g,h);if(u(r)){if(n=1,u(g.charCodeAt(1))){let I=2,L=I;for(;I<l&&!u(g.charCodeAt(I));)I++;if(I<l&&I!==L){for(L=I;I<l&&u(g.charCodeAt(I));)I++;if(I<l&&I!==L){for(L=I;I<l&&!u(g.charCodeAt(I));)I++;I===l?n=I:I!==L&&(n=I+1)}}}}else if(w(r)&&g.charCodeAt(1)===C){if(l<=2)return h.root=h.dir=g,h;if(n=2,u(g.charCodeAt(2))){if(l===3)return h.root=h.dir=g,h;n=3}}n>0&&(h.root=g.slice(0,n));let i=-1,s=n,o=-1,a=!0,c=g.length-1,d=0;for(;c>=n;--c){if(r=g.charCodeAt(c),u(r)){if(!a){s=c+1;break}continue}o===-1&&(a=!1,o=c+1),r===b?i===-1?i=c:d!==1&&(d=1):i!==-1&&(d=-1)}return o!==-1&&(i===-1||d===0||d===1&&i===o-1&&i===s+1?h.base=h.name=g.slice(s,o):(h.name=g.slice(s,i),h.base=g.slice(s,o),h.ext=g.slice(i,o))),s>0&&s!==n?h.dir=g.slice(0,s-1):h.dir=h.root,h},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...g){let h="",l=!1;for(let n=g.length-1;n>=-1&&!l;n--){const r=n>=0?g[n]:v.cwd();m(r,"path"),r.length!==0&&(h=`${r}/${h}`,l=r.charCodeAt(0)===f)}return h=E(h,!l,"/",S),l?`/${h}`:h.length>0?h:"."},normalize(g){if(m(g,"path"),g.length===0)return".";const h=g.charCodeAt(0)===f,l=g.charCodeAt(g.length-1)===f;return g=E(g,!h,"/",S),g.length===0?h?"/":l?"./":".":(l&&(g+="/"),h?`/${g}`:g)},isAbsolute(g){return m(g,"path"),g.length>0&&g.charCodeAt(0)===f},join(...g){if(g.length===0)return".";let h;for(let l=0;l<g.length;++l){const n=g[l];m(n,"path"),n.length>0&&(h===void 0?h=n:h+=`/${n}`)}return h===void 0?".":e.posix.normalize(h)},relative(g,h){if(m(g,"from"),m(h,"to"),g===h||(g=e.posix.resolve(g),h=e.posix.resolve(h),g===h))return"";const l=1,n=g.length,r=n-l,i=1,s=h.length-i,o=r<s?r:s;let a=-1,c=0;for(;c<o;c++){const I=g.charCodeAt(l+c);if(I!==h.charCodeAt(i+c))break;I===f&&(a=c)}if(c===o)if(s>o){if(h.charCodeAt(i+c)===f)return h.slice(i+c+1);if(c===0)return h.slice(i+c)}else r>o&&(g.charCodeAt(l+c)===f?a=c:c===0&&(a=0));let d="";for(c=l+a+1;c<=n;++c)(c===n||g.charCodeAt(c)===f)&&(d+=d.length===0?"..":"/..");return`${d}${h.slice(i+a)}`},toNamespacedPath(g){return g},dirname(g){if(m(g,"path"),g.length===0)return".";const h=g.charCodeAt(0)===f;let l=-1,n=!0;for(let r=g.length-1;r>=1;--r)if(g.charCodeAt(r)===f){if(!n){l=r;break}}else n=!1;return l===-1?h?"/":".":h&&l===1?"//":g.slice(0,l)},basename(g,h){h!==void 0&&m(h,"ext"),m(g,"path");let l=0,n=-1,r=!0,i;if(h!==void 0&&h.length>0&&h.length<=g.length){if(h===g)return"";let s=h.length-1,o=-1;for(i=g.length-1;i>=0;--i){const a=g.charCodeAt(i);if(a===f){if(!r){l=i+1;break}}else o===-1&&(r=!1,o=i+1),s>=0&&(a===h.charCodeAt(s)?--s==-1&&(n=i):(s=-1,n=o))}return l===n?n=o:n===-1&&(n=g.length),g.slice(l,n)}for(i=g.length-1;i>=0;--i)if(g.charCodeAt(i)===f){if(!r){l=i+1;break}}else n===-1&&(r=!1,n=i+1);return n===-1?"":g.slice(l,n)},extname(g){m(g,"path");let h=-1,l=0,n=-1,r=!0,i=0;for(let s=g.length-1;s>=0;--s){const o=g.charCodeAt(s);if(o===f){if(!r){l=s+1;break}continue}n===-1&&(r=!1,n=s+1),o===b?h===-1?h=s:i!==1&&(i=1):h!==-1&&(i=-1)}return h===-1||n===-1||i===0||i===1&&h===n-1&&h===l+1?"":g.slice(h,n)},format:P.bind(null,"/"),parse(g){m(g,"path");const h={root:"",dir:"",base:"",ext:"",name:""};if(g.length===0)return h;const l=g.charCodeAt(0)===f;let n;l?(h.root="/",n=1):n=0;let r=-1,i=0,s=-1,o=!0,a=g.length-1,c=0;for(;a>=n;--a){const d=g.charCodeAt(a);if(d===f){if(!o){i=a+1;break}continue}s===-1&&(o=!1,s=a+1),d===b?r===-1?r=a:c!==1&&(c=1):r!==-1&&(c=-1)}if(s!==-1){const d=i===0&&l?1:i;r===-1||c===0||c===1&&r===s-1&&r===i+1?h.base=h.name=g.slice(d,s):(h.name=g.slice(d,r),h.base=g.slice(d,s),h.ext=g.slice(r,s))}return i>0?h.dir=g.slice(0,i-1):l&&(h.dir="/"),h},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=v.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=v.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=v.platform==="win32"?e.win32.join:e.posix.join,e.resolve=v.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=v.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=v.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=v.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=v.platform==="win32"?e.win32.extname:e.posix.extname,e.format=v.platform==="win32"?e.win32.format:e.posix.format,e.parse=v.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=v.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=v.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=v.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(X[77],Z([0,1,4]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var t;(function(b){b[b.stdout=0]="stdout",b[b.stderr=1]="stderr"})(t=e.Source||(e.Source={}));var D;(function(b){b[b.Success=0]="Success",b[b.Unknown=1]="Unknown",b[b.AccessDenied=2]="AccessDenied",b[b.ProcessNotFound=3]="ProcessNotFound"})(D=e.TerminateResponseCode||(e.TerminateResponseCode={}));function R(b,...f){const p=f.reduce((y,m)=>(y[m]=!0,y),{}),C=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(b).filter(y=>!p[y]).forEach(y=>{for(let m=0;m<C.length;m++)if(y.search(C[m])!==-1){delete b[y];break}})}e.sanitizeProcessEnvironment=R;function M(b){!b||(delete b.DEBUG,v.isMacintosh&&delete b.DYLD_LIBRARY_PATH,v.isLinux&&delete b.LD_PRELOAD)}e.removeDangerousEnvVariables=M}),define(X[78],Z([0,1,4]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=v.globals.performance&&typeof v.globals.performance.now=="function";class D{constructor(M){this._highResolution=t&&M,this._startTime=this._now(),this._stopTime=-1}static create(M=!0){return new D(M)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?v.globals.performance.now():Date.now()}}e.StopWatch=D}),define(X[3],Z([0,1,18,48,2,121,78]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.EventDeliveryQueue=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;const b=!1,f=!1;var p;(function(a){a.None=()=>D.Disposable.None;function c(O){if(f){const{onListenerDidAdd:N}=O,q=u.create();let J=0;O.onListenerDidAdd=()=>{++J==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),q.print()),N?.()}}}function d(O){return(N,q=null,J)=>{let U=!1,V;return V=O(x=>{if(!U)return V?V.dispose():U=!0,N.call(q,x)},null,J),U&&V.dispose(),V}}a.once=d;function I(O,N,q){return ne((J,U=null,V)=>O(x=>J.call(U,N(x)),null,V),q)}a.map=I;function L(O,N,q){return ne((J,U=null,V)=>O(x=>{N(x),J.call(U,x)},null,V),q)}a.forEach=L;function T(O,N,q){return ne((J,U=null,V)=>O(x=>N(x)&&J.call(U,x),null,V),q)}a.filter=T;function _(O){return O}a.signal=_;function K(...O){return(N,q=null,J)=>(0,D.combinedDisposable)(...O.map(U=>U(V=>N.call(q,V),null,J)))}a.any=K;function ie(O,N,q,J){let U=q;return I(O,V=>(U=N(U,V),U),J)}a.reduce=ie;function ne(O,N){let q;const J={onFirstListenerAdd(){q=O(U.fire,U)},onLastListenerRemove(){q?.dispose()}};N||c(J);const U=new w(J);return N?.add(U),U.event}function Q(O,N,q=100,J=!1,U,V){let x,se,ce,ge=0;const ye={leakWarningThreshold:U,onFirstListenerAdd(){x=O(Ie=>{ge++,se=N(se,Ie),J&&!ce&&(Ce.fire(se),se=void 0),clearTimeout(ce),ce=setTimeout(()=>{const Ae=se;se=void 0,ce=void 0,(!J||ge>1)&&Ce.fire(Ae),ge=0},q)})},onLastListenerRemove(){x.dispose()}};V||c(ye);const Ce=new w(ye);return V?.add(Ce),Ce.event}a.debounce=Q;function ae(O,N=(J,U)=>J===U,q){let J=!0,U;return T(O,V=>{const x=J||!N(V,U);return J=!1,U=V,x},q)}a.latch=ae;function le(O,N,q){return[a.filter(O,N,q),a.filter(O,J=>!N(J),q)]}a.split=le;function $(O,N=!1,q=[]){let J=q.slice(),U=O(se=>{J?J.push(se):x.fire(se)});const V=()=>{J?.forEach(se=>x.fire(se)),J=null},x=new w({onFirstListenerAdd(){U||(U=O(se=>x.fire(se)))},onFirstListenerDidAdd(){J&&(N?setTimeout(V):V())},onLastListenerRemove(){U&&U.dispose(),U=null}});return x.event}a.buffer=$;class oe{constructor(N){this.event=N,this.disposables=new D.DisposableStore}map(N){return new oe(I(this.event,N,this.disposables))}forEach(N){return new oe(L(this.event,N,this.disposables))}filter(N){return new oe(T(this.event,N,this.disposables))}reduce(N,q){return new oe(ie(this.event,N,q,this.disposables))}latch(){return new oe(ae(this.event,void 0,this.disposables))}debounce(N,q=100,J=!1,U){return new oe(Q(this.event,N,q,J,U,this.disposables))}on(N,q,J){return this.event(N,q,J)}once(N,q,J){return d(this.event)(N,q,J)}dispose(){this.disposables.dispose()}}function W(O){return new oe(O)}a.chain=W;function F(O,N,q=J=>J){const J=(...se)=>x.fire(q(...se)),U=()=>O.on(N,J),V=()=>O.removeListener(N,J),x=new w({onFirstListenerAdd:U,onLastListenerRemove:V});return x.event}a.fromNodeEventEmitter=F;function B(O,N,q=J=>J){const J=(...se)=>x.fire(q(...se)),U=()=>O.addEventListener(N,J),V=()=>O.removeEventListener(N,J),x=new w({onFirstListenerAdd:U,onLastListenerRemove:V});return x.event}a.fromDOMEventEmitter=B;function Y(O){return new Promise(N=>d(O)(N))}a.toPromise=Y;function H(O,N){return N(void 0),O(q=>N(q))}a.runAndSubscribe=H;function G(O,N){let q=null;function J(V){q?.dispose(),q=new D.DisposableStore,N(V,q)}J(void 0);const U=O(V=>J(V));return(0,D.toDisposable)(()=>{U.dispose(),q?.dispose()})}a.runAndSubscribeWithStore=G;class ee{constructor(N,q){this.obs=N,this._counter=0,this._hasChanged=!1;const J={onFirstListenerAdd:()=>{N.addObserver(this)},onLastListenerRemove:()=>{N.removeObserver(this)}};q||c(J),this.emitter=new w(J),q&&q.add(this.emitter)}beginUpdate(N){this._counter++}handleChange(N,q){this._hasChanged=!0}endUpdate(N){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function A(O,N){return new ee(O,N).emitter.event}a.fromObservable=A})(p=e.Event||(e.Event={}));class C{constructor(c){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${c}_${C._idPool++}`}start(c){this._stopWatch=new M.StopWatch(!0),this._listenerCount=c}stop(){if(this._stopWatch){const c=this._stopWatch.elapsed();this._elapsedOverall+=c,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${c.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}C._idPool=0;let k=-1;function y(a){const c=k;return k=a,{dispose(){k=c}}}e.setGlobalLeakWarningThreshold=y;class m{constructor(c,d=Math.random().toString(18).slice(2,5)){this.customThreshold=c,this.name=d,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(c,d){let I=k;if(typeof this.customThreshold=="number"&&(I=this.customThreshold),I<=0||d<I)return;this._stacks||(this._stacks=new Map);const L=this._stacks.get(c.value)||0;if(this._stacks.set(c.value,L+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=I*.5;let T,_=0;for(const[K,ie]of this._stacks)(!T||_<ie)&&(T=K,_=ie);console.warn(`[${this.name}] potential listener LEAK detected, having ${d} listeners already. MOST frequent listener (${_}):`),console.warn(T)}return()=>{const T=this._stacks.get(c.value)||0;this._stacks.set(c.value,T-1)}}}class u{constructor(c){this.value=c}static create(){return new u(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class S{constructor(c,d,I){this.callback=c,this.callbackThis=d,this.stack=I,this.subscription=new D.SafeDisposable}invoke(c){this.callback.call(this.callbackThis,c)}}class w{constructor(c){this._disposed=!1,this._options=c,this._leakageMon=k>0?new m(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new C(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(b){const c=Array.from(this._listeners);queueMicrotask(()=>{for(const d of c)d.subscription.isset()&&(d.subscription.unset(),d.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(this),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(c,d,I)=>{this._listeners||(this._listeners=new R.LinkedList);const L=this._listeners.isEmpty();L&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let T,_;this._leakageMon&&this._listeners.size>=30&&(_=u.create(),T=this._leakageMon.check(_,this._listeners.size+1)),b&&(_=_??u.create());const K=new S(c,d,_),ie=this._listeners.push(K);L&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,c,d);const ne=K.subscription.set(()=>{T?.(),this._disposed||(ie(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return I instanceof D.DisposableStore?I.add(ne):Array.isArray(I)&&I.push(ne),ne}),this._event}fire(c){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new P);for(const d of this._listeners)this._deliveryQueue.push(this,d,c);this._perfMon?.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}e.Emitter=w;class E{constructor(){this._queue=new R.LinkedList}get size(){return this._queue.size}push(c,d,I){this._queue.push(new g(c,d,I))}clear(c){const d=new R.LinkedList;for(const I of this._queue)I.emitter!==c&&d.push(I);this._queue=d}deliver(){for(;this._queue.size>0;){const c=this._queue.shift();try{c.listener.invoke(c.event)}catch(d){(0,v.onUnexpectedError)(d)}}}}e.EventDeliveryQueue=E;class P extends E{clear(c){this._queue.clear()}}class g{constructor(c,d,I){this.emitter=c,this.listener=d,this.event=I}}class h extends w{async fireAsync(c,d,I){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new R.LinkedList);for(const L of this._listeners)this._asyncDeliveryQueue.push([L,c]);for(;this._asyncDeliveryQueue.size>0&&!d.isCancellationRequested;){const[L,T]=this._asyncDeliveryQueue.shift(),_=[],K={...T,token:d,waitUntil:ie=>{if(Object.isFrozen(_))throw new Error("waitUntil can NOT be called asynchronous");I&&(ie=I(ie,L.callback)),_.push(ie)}};try{L.invoke(K)}catch(ie){(0,v.onUnexpectedError)(ie);continue}Object.freeze(_),await Promise.allSettled(_).then(ie=>{for(const ne of ie)ne.status==="rejected"&&(0,v.onUnexpectedError)(ne.reason)})}}}}e.AsyncEmitter=h;class l extends w{constructor(c){super(c);this._isPaused=0,this._eventQueue=new R.LinkedList,this._mergeFn=c?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const c=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(c))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(c){this._listeners&&(this._isPaused!==0?this._eventQueue.push(c):super.fire(c))}}e.PauseableEmitter=l;class n extends l{constructor(c){super(c);this._delay=c.delay??100}fire(c){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(c)}}e.DebounceEmitter=n;class r extends w{constructor(c){super(c);this._queuedEvents=[],this._mergeFn=c?.merge}fire(c){this._queuedEvents.push(c),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(d=>super.fire(d)),this._queuedEvents=[]})}}e.MicrotaskEmitter=r;class i{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new w({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(c){const d={event:c,listener:null};this.events.push(d),this.hasListeners&&this.hook(d);const I=()=>{this.hasListeners&&this.unhook(d);const L=this.events.indexOf(d);this.events.splice(L,1)};return(0,D.toDisposable)((0,t.once)(I))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(c=>this.hook(c))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(c=>this.unhook(c))}hook(c){c.listener=c.event(d=>this.emitter.fire(d))}unhook(c){c.listener&&c.listener.dispose(),c.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=i;class s{constructor(){this.buffers=[]}wrapEvent(c){return(d,I,L)=>c(T=>{const _=this.buffers[this.buffers.length-1];_?_.push(()=>d.call(I,T)):d.call(I,T)},void 0,L)}bufferEvents(c){const d=[];this.buffers.push(d);const I=c();return this.buffers.pop(),d.forEach(L=>L()),I}}e.EventBufferer=s;class o{constructor(){this.listening=!1,this.inputEvent=p.None,this.inputEventListener=D.Disposable.None,this.emitter=new w({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(c){this.inputEvent=c,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=c(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=o}),define(X[22],Z([0,1,3]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(b,f){const p=setTimeout(b.bind(f),0);return{dispose(){clearTimeout(p)}}});var D;(function(b){function f(p){return p===b.None||p===b.Cancelled||p instanceof R?!0:!p||typeof p!="object"?!1:typeof p.isCancellationRequested=="boolean"&&typeof p.onCancellationRequested=="function"}b.isCancellationToken=f,b.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:v.Event.None}),b.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(D=e.CancellationToken||(e.CancellationToken={}));class R{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new v.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class M{constructor(f){this._token=void 0,this._parentListener=void 0,this._parentListener=f&&f.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new R),this._token}cancel(){this._token?this._token instanceof R&&this._token.cancel():this._token=D.Cancelled}dispose(f=!1){f&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof R&&this._token.dispose():this._token=D.None}}e.CancellationTokenSource=M}),define(X[134],Z([0,1,22]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CachedFunction=e.LRUCachedFunction=e.Cache=void 0;class t{constructor(b){this.task=b,this.result=null}get(){if(this.result)return this.result;const b=new v.CancellationTokenSource,f=this.task(b.token);return this.result={promise:f,dispose:()=>{this.result=null,b.cancel(),b.dispose()}},this.result}}e.Cache=t;class D{constructor(b){this.fn=b,this.lastCache=void 0,this.lastArgKey=void 0}get(b){const f=JSON.stringify(b);return this.lastArgKey!==f&&(this.lastArgKey=f,this.lastCache=this.fn(b)),this.lastCache}}e.LRUCachedFunction=D;class R{constructor(b){this.fn=b,this._map=new Map}get cachedValues(){return this._map}get(b){if(this._map.has(b))return this._map.get(b);const f=this.fn(b);return this._map.set(b,f),f}}e.CachedFunction=R}),define(X[91],Z([0,1,3,2]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MutableObservableValue=e.staticObservableValue=void 0;const D=M=>({onDidChange:v.Event.None,value:M});e.staticObservableValue=D;class R extends t.Disposable{constructor(b){super();this._value=b,this.changeEmitter=this._register(new v.Emitter),this.onDidChange=this.changeEmitter.event}get value(){return this._value}set value(b){b!==this._value&&(this._value=b,this.changeEmitter.fire(b))}}e.MutableObservableValue=R}),define(X[31],Z([0,1,134,120]),function(z,e,v,t){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.isAsciiDigit=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.replaceAsync=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function R(j){return!j||typeof j!="string"?!0:j.trim().length===0}e.isFalsyOrWhitespace=R;const M=/{(\d+)}/g;function b(j,...re){return re.length===0?j:j.replace(M,function(he,me){const be=parseInt(me,10);return isNaN(be)||be<0||be>=re.length?he:re[be]})}e.format=b;const f=/{([^}]+)}/g;function p(j,re){return j.replace(f,(he,me)=>re[me]??he)}e.format2=p;function C(j){return j.replace(/[<>&]/g,function(re){switch(re){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return re}})}e.escape=C;function k(j){return j.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=k;function y(j,re){let he=0;const me=re.charCodeAt(0);for(let be=j.length-1;be>=0;be--)j.charCodeAt(be)===me&&he++;return he}e.count=y;function m(j,re,he="\u2026"){return j.length<=re?j:`${j.substr(0,re)}${he}`}e.truncate=m;function u(j,re=" "){const he=S(j,re);return w(he,re)}e.trim=u;function S(j,re){if(!j||!re)return j;const he=re.length;if(he===0||j.length===0)return j;let me=0;for(;j.indexOf(re,me)===me;)me=me+he;return j.substring(me)}e.ltrim=S;function w(j,re){if(!j||!re)return j;const he=re.length,me=j.length;if(he===0||me===0)return j;let be=me,De=-1;for(;De=j.lastIndexOf(re,be-1),!(De===-1||De+he!==be);){if(De===0)return"";be=De}return j.substring(0,be)}e.rtrim=w;function E(j){return j.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=E;function P(j){return j.replace(/\*/g,"")}e.stripWildcards=P;function g(j,re,he={}){if(!j)throw new Error("Cannot create regex from empty string");re||(j=k(j)),he.wholeWord&&(/\B/.test(j.charAt(0))||(j="\\b"+j),/\B/.test(j.charAt(j.length-1))||(j=j+"\\b"));let me="";return he.global&&(me+="g"),he.matchCase||(me+="i"),he.multiline&&(me+="m"),he.unicode&&(me+="u"),new RegExp(j,me)}e.createRegExp=g;function h(j){return j.source==="^"||j.source==="^$"||j.source==="$"||j.source==="^\\s*$"?!1:!!(j.exec("")&&j.lastIndex===0)}e.regExpLeadsToEndlessLoop=h;function l(j){return!!j.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=l;function n(j){return(j.global?"g":"")+(j.ignoreCase?"i":"")+(j.multiline?"m":"")+(j.unicode?"u":"")}e.regExpFlags=n;function r(j){return j.split(/\r\n|\r|\n/)}e.splitLines=r;function i(j){for(let re=0,he=j.length;re<he;re++){const me=j.charCodeAt(re);if(me!==32&&me!==9)return re}return-1}e.firstNonWhitespaceIndex=i;function s(j,re=0,he=j.length){for(let me=re;me<he;me++){const be=j.charCodeAt(me);if(be!==32&&be!==9)return j.substring(re,me)}return j.substring(re,he)}e.getLeadingWhitespace=s;function o(j,re=j.length-1){for(let he=re;he>=0;he--){const me=j.charCodeAt(he);if(me!==32&&me!==9)return he}return-1}e.lastNonWhitespaceIndex=o;function a(j,re,he){const me=[];let be=0;for(const De of j.matchAll(re)){if(me.push(j.slice(be,De.index)),De.index===void 0)throw new Error("match.index should be defined");be=De.index+De[0].length,me.push(he(De[0],...De.slice(1),De.index,j,De.groups))}return me.push(j.slice(be)),Promise.all(me).then(De=>De.join(""))}e.replaceAsync=a;function c(j,re){return j<re?-1:j>re?1:0}e.compare=c;function d(j,re,he=0,me=j.length,be=0,De=re.length){for(;he<me&&be<De;he++,be++){const et=j.charCodeAt(he),He=re.charCodeAt(be);if(et<He)return-1;if(et>He)return 1}const qe=me-he,it=De-be;return qe<it?-1:qe>it?1:0}e.compareSubstring=d;function I(j,re){return L(j,re,0,j.length,0,re.length)}e.compareIgnoreCase=I;function L(j,re,he=0,me=j.length,be=0,De=re.length){for(;he<me&&be<De;he++,be++){let et=j.charCodeAt(he),He=re.charCodeAt(be);if(et===He)continue;if(et>=128||He>=128)return d(j.toLowerCase(),re.toLowerCase(),he,me,be,De);_(et)&&(et-=32),_(He)&&(He-=32);const Xe=et-He;if(Xe!==0)return Xe}const qe=me-he,it=De-be;return qe<it?-1:qe>it?1:0}e.compareSubstringIgnoreCase=L;function T(j){return j>=48&&j<=57}e.isAsciiDigit=T;function _(j){return j>=97&&j<=122}e.isLowerAsciiLetter=_;function K(j){return j>=65&&j<=90}e.isUpperAsciiLetter=K;function ie(j,re){return j.length===re.length&&L(j,re)===0}e.equalsIgnoreCase=ie;function ne(j,re){const he=re.length;return re.length>j.length?!1:L(j,re,0,he)===0}e.startsWithIgnoreCase=ne;function Q(j,re){const he=Math.min(j.length,re.length);let me;for(me=0;me<he;me++)if(j.charCodeAt(me)!==re.charCodeAt(me))return me;return he}e.commonPrefixLength=Q;function ae(j,re){const he=Math.min(j.length,re.length);let me;const be=j.length-1,De=re.length-1;for(me=0;me<he;me++)if(j.charCodeAt(be-me)!==re.charCodeAt(De-me))return me;return he}e.commonSuffixLength=ae;function le(j){return 55296<=j&&j<=56319}e.isHighSurrogate=le;function $(j){return 56320<=j&&j<=57343}e.isLowSurrogate=$;function oe(j,re){return(j-55296<<10)+(re-56320)+65536}e.computeCodePoint=oe;function W(j,re,he){const me=j.charCodeAt(he);if(le(me)&&he+1<re){const be=j.charCodeAt(he+1);if($(be))return oe(me,be)}return me}e.getNextCodePoint=W;function F(j,re){const he=j.charCodeAt(re-1);if($(he)&&re>1){const me=j.charCodeAt(re-2);if(le(me))return oe(me,he)}return he}class B{constructor(re,he=0){this._str=re,this._len=re.length,this._offset=he}get offset(){return this._offset}setOffset(re){this._offset=re}prevCodePoint(){const re=F(this._str,this._offset);return this._offset-=re>=65536?2:1,re}nextCodePoint(){const re=W(this._str,this._len,this._offset);return this._offset+=re>=65536?2:1,re}eol(){return this._offset>=this._len}}e.CodePointIterator=B;class Y{constructor(re,he=0){this._iterator=new B(re,he)}get offset(){return this._iterator.offset}nextGraphemeLength(){const re=Te.getInstance(),he=this._iterator,me=he.offset;let be=re.getGraphemeBreakType(he.nextCodePoint());for(;!he.eol();){const De=he.offset,qe=re.getGraphemeBreakType(he.nextCodePoint());if(Le(be,qe)){he.setOffset(De);break}be=qe}return he.offset-me}prevGraphemeLength(){const re=Te.getInstance(),he=this._iterator,me=he.offset;let be=re.getGraphemeBreakType(he.prevCodePoint());for(;he.offset>0;){const De=he.offset,qe=re.getGraphemeBreakType(he.prevCodePoint());if(Le(qe,be)){he.setOffset(De);break}be=qe}return me-he.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=Y;function H(j,re){return new Y(j,re).nextGraphemeLength()}e.nextCharLength=H;function G(j,re){return new Y(j,re).prevGraphemeLength()}e.prevCharLength=G;function ee(j,re){re>0&&$(j.charCodeAt(re))&&re--;const he=re+H(j,re);return[he-G(j,he),he]}e.getCharContainingOffset=ee;const A=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function O(j){return A.test(j)}e.containsRTL=O;const N=/^[\t\n\r\x20-\x7E]*$/;function q(j){return N.test(j)}e.isBasicASCII=q,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function J(j){return e.UNUSUAL_LINE_TERMINATORS.test(j)}e.containsUnusualLineTerminators=J;function U(j){return j>=11904&&j<=55215||j>=63744&&j<=64255||j>=65281&&j<=65374}e.isFullWidthCharacter=U;function V(j){return j>=127462&&j<=127487||j===8986||j===8987||j===9200||j===9203||j>=9728&&j<=10175||j===11088||j===11093||j>=127744&&j<=128591||j>=128640&&j<=128764||j>=128992&&j<=129008||j>=129280&&j<=129535||j>=129648&&j<=129782}e.isEmojiImprecise=V;function x(j,re){if(j.length<re)return j;const he=/\b/g;let me=0;for(;he.test(j)&&!(j.length-he.lastIndex<re);)me=he.lastIndex,he.lastIndex+=1;return j.substring(me).replace(/^\s/,"")}e.lcut=x;const se=/\x1B\x5B[12]?K/g,ce=/\x1b\[\d+m/g,ge=/\x1b\[0?m/g;function ye(j){return j&&(j=j.replace(se,""),j=j.replace(ce,""),j=j.replace(ge,"")),j}e.removeAnsiEscapeCodes=ye,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ce(j){return!!(j&&j.length>0&&j.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ce;function Ie(j){return Ce(j)?j.substr(1):j}e.stripUTF8BOM=Ie;function Ae(j,re){if(!j||!re||j.length<re.length)return!1;const he=re.length,me=j.toLowerCase();let be=0,De=-1;for(;be<he;){const qe=me.indexOf(re[be],De+1);if(qe<0)return!1;De=qe,be++}return!0}e.fuzzyContains=Ae;function Re(j,re=!1){return j?(re&&(j=j.replace(/\\./g,"")),j.toLowerCase()!==j):!1}e.containsUppercaseCharacter=Re;function ue(j){return j.charAt(0).toUpperCase()+j.slice(1)}e.uppercaseFirstLetter=ue;function de(j,re=1){if(re===0)return"";let he=-1;do he=j.indexOf(`
`,he+1),re--;while(re>0&&he>=0);return he===-1?j:(j[he-1]==="\r"&&he--,j.substr(0,he))}e.getNLines=de;function pe(j){const re=90-65+1;return j=j%(2*re),j<re?String.fromCharCode(97+j):String.fromCharCode(65+j-re)}e.singleLetterHash=pe;function ke(j){return Te.getInstance().getGraphemeBreakType(j)}e.getGraphemeBreakType=ke;function Le(j,re){return j===0?re!==5&&re!==7:j===2&&re===3?!1:j===4||j===2||j===3||re===4||re===2||re===3?!0:!(j===8&&(re===8||re===9||re===11||re===12)||(j===11||j===9)&&(re===9||re===10)||(j===12||j===10)&&re===10||re===5||re===13||re===7||j===1||j===13&&re===14||j===6&&re===6)}var Je;(function(j){j[j.Other=0]="Other",j[j.Prepend=1]="Prepend",j[j.CR=2]="CR",j[j.LF=3]="LF",j[j.Control=4]="Control",j[j.Extend=5]="Extend",j[j.Regional_Indicator=6]="Regional_Indicator",j[j.SpacingMark=7]="SpacingMark",j[j.L=8]="L",j[j.V=9]="V",j[j.T=10]="T",j[j.LV=11]="LV",j[j.LVT=12]="LVT",j[j.ZWJ=13]="ZWJ",j[j.Extended_Pictographic=14]="Extended_Pictographic"})(Je=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Te{constructor(){this._data=Be()}static getInstance(){return Te._INSTANCE||(Te._INSTANCE=new Te),Te._INSTANCE}getGraphemeBreakType(re){if(re<32)return re===10?3:re===13?2:4;if(re<127)return 0;const he=this._data,me=he.length/3;let be=1;for(;be<=me;)if(re<he[3*be])be=2*be;else if(re>he[3*be+1])be=2*be+1;else return he[3*be+2];return 0}}Te._INSTANCE=null;function Be(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function We(j,re){if(j===0)return 0;const he=Ye(j,re);if(he!==void 0)return he;const me=new B(re,j);return me.prevCodePoint(),me.offset}e.getLeftDeleteOffset=We;function Ye(j,re){const he=new B(re,j);let me=he.prevCodePoint();for(;Qe(me)||me===65039||me===8419;){if(he.offset===0)return;me=he.prevCodePoint()}if(!V(me))return;let be=he.offset;return be>0&&he.prevCodePoint()===8205&&(be=he.offset),be}function Qe(j){return 127995<=j&&j<=127999}var Ze;(function(j){j[j.zwj=8205]="zwj",j[j.emojiVariantSelector=65039]="emojiVariantSelector",j[j.enclosingKeyCap=8419]="enclosingKeyCap"})(Ze||(Ze={})),e.noBreakWhitespace="\xA0";class $e{constructor(re){this.confusableDictionary=re}static getInstance(re){return $e.cache.get(Array.from(re))}static getLocales(){return $e._locales.getValue()}isAmbiguous(re){return this.confusableDictionary.has(re)}getPrimaryConfusable(re){return this.confusableDictionary.get(re)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=$e,D=$e,$e.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),$e.cache=new v.LRUCachedFunction(j=>{function re(He){const Xe=new Map;for(let xe=0;xe<He.length;xe+=2)Xe.set(He[xe],He[xe+1]);return Xe}function he(He,Xe){const xe=new Map(He);for(const[at,ct]of Xe)xe.set(at,ct);return xe}function me(He,Xe){if(!He)return Xe;const xe=new Map;for(const[at,ct]of He)Xe.has(at)&&xe.set(at,ct);return xe}const be=D.ambiguousCharacterData.getValue();let De=j.filter(He=>!He.startsWith("_")&&He in be);De.length===0&&(De=["_default"]);let qe;for(const He of De){const Xe=re(be[He]);qe=me(qe,Xe)}const it=re(be._common),et=he(it,qe);return new $e(et)}),$e._locales=new t.Lazy(()=>Object.keys($e.ambiguousCharacterData.getValue()).filter(j=>!j.startsWith("_")));class je{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(je.getRawData())),this._data}static isInvisibleCharacter(re){return je.getData().has(re)}static get codePoints(){return je.getData()}}e.InvisibleCharacters=je,je._data=void 0}),define(X[29],Z([0,1,9,4,31,13]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function M(o){return o===47||o===92}e.isPathSeparator=M;function b(o){return o.replace(/[\\/]/g,v.posix.sep)}e.toSlashes=b;function f(o){return o.indexOf("/")===-1&&(o=b(o)),/^[a-zA-Z]:(\/|$)/.test(o)&&(o="/"+o),o}e.toPosixPath=f;function p(o,a=v.posix.sep){if(!o)return"";const c=o.length,d=o.charCodeAt(0);if(M(d)){if(M(o.charCodeAt(1))&&!M(o.charCodeAt(2))){let L=3;const T=L;for(;L<c&&!M(o.charCodeAt(L));L++);if(T!==L&&!M(o.charCodeAt(L+1))){for(L+=1;L<c;L++)if(M(o.charCodeAt(L)))return o.slice(0,L+1).replace(/[\\/]/g,a)}}return a}else if(E(d)&&o.charCodeAt(1)===58)return M(o.charCodeAt(2))?o.slice(0,2)+a:o.slice(0,2);let I=o.indexOf("://");if(I!==-1){for(I+=3;I<c;I++)if(M(o.charCodeAt(I)))return o.slice(0,I+1)}return""}e.getRoot=p;function C(o){if(!t.isWindows||!o||o.length<5)return!1;let a=o.charCodeAt(0);if(a!==92||(a=o.charCodeAt(1),a!==92))return!1;let c=2;const d=c;for(;c<o.length&&(a=o.charCodeAt(c),a!==92);c++);return!(d===c||(a=o.charCodeAt(c+1),isNaN(a)||a===92))}e.isUNC=C;const k=/[\\/:\*\?"<>\|]/g,y=/[\\/]/g,m=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function u(o,a=t.isWindows){const c=a?k:y;return!(!o||o.length===0||/^\s+$/.test(o)||(c.lastIndex=0,c.test(o))||a&&m.test(o)||o==="."||o===".."||a&&o[o.length-1]==="."||a&&o.length!==o.trim().length||o.length>255)}e.isValidBasename=u;function S(o,a,c){const d=o===a;return!c||d?d:!o||!a?!1:(0,D.equalsIgnoreCase)(o,a)}e.isEqual=S;function w(o,a,c,d=v.sep){if(o===a)return!0;if(!o||!a||a.length>o.length)return!1;if(c){if(!(0,D.startsWithIgnoreCase)(o,a))return!1;if(a.length===o.length)return!0;let L=a.length;return a.charAt(a.length-1)===d&&L--,o.charAt(L)===d}return a.charAt(a.length-1)!==d&&(a+=d),o.indexOf(a)===0}e.isEqualOrParent=w;function E(o){return o>=65&&o<=90||o>=97&&o<=122}e.isWindowsDriveLetter=E;function P(o,a){return t.isWindows&&o.endsWith(":")&&(o+=v.sep),(0,v.isAbsolute)(o)||(o=(0,v.join)(a,o)),o=(0,v.normalize)(o),t.isWindows?(o=(0,D.rtrim)(o,v.sep),o.endsWith(":")&&(o+=v.sep)):(o=(0,D.rtrim)(o,v.sep),o||(o=v.sep)),o}e.sanitizeFilePath=P;function g(o){const a=(0,v.normalize)(o);return t.isWindows?o.length>3?!1:h(a)&&(o.length===2||a.charCodeAt(2)===92):a===v.posix.sep}e.isRootOrDriveLetter=g;function h(o,a=t.isWindows){return a?E(o.charCodeAt(0))&&o.charCodeAt(1)===58:!1}e.hasDriveLetter=h;function l(o){return h(o)?o[0]:void 0}e.getDriveLetter=l;function n(o,a,c){return a.length>o.length?-1:o===a?0:(c&&(o=o.toLowerCase(),a=a.toLowerCase()),o.indexOf(a))}e.indexOfPath=n;function r(o){const a=o.split(":");let c,d,I;for(const L of a){const T=Number(L);(0,R.isNumber)(T)?d===void 0?d=T:I===void 0&&(I=T):c=c?[c,L].join(":"):L}if(!c)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:c,line:d!==void 0?d:void 0,column:I!==void 0?I:d!==void 0?1:void 0}}e.parseLineAndColumnAware=r;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function s(o,a,c=8){let d="";for(let L=0;L<c;L++)d+=i.charAt(Math.floor(Math.random()*i.length));let I;return a?I=`${a}-${d}`:I=d,o?(0,v.join)(o,I):I}e.randomPath=s}),define(X[65],Z([0,1,31]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(E){return D(E,0)}e.hash=t;function D(E,P){switch(typeof E){case"object":return E===null?R(349,P):Array.isArray(E)?f(E,P):p(E,P);case"string":return b(E,P);case"boolean":return M(E,P);case"number":return R(E,P);case"undefined":return R(937,P);default:return R(617,P)}}e.doHash=D;function R(E,P){return(P<<5)-P+E|0}e.numberHash=R;function M(E,P){return R(E?433:863,P)}function b(E,P){P=R(149417,P);for(let g=0,h=E.length;g<h;g++)P=R(E.charCodeAt(g),P);return P}e.stringHash=b;function f(E,P){return P=R(104579,P),E.reduce((g,h)=>D(h,g),P)}function p(E,P){return P=R(181387,P),Object.keys(E).sort().reduce((g,h)=>(g=b(h,g),D(E[h],g)),P)}class C{constructor(){this._value=0}get value(){return this._value}hash(P){return this._value=D(P,this._value),this._value}}e.Hasher=C;var k;(function(E){E[E.BLOCK_SIZE=64]="BLOCK_SIZE",E[E.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function y(E,P,g=32){const h=g-P,l=~((1<<h)-1);return(E<<P|(l&E)>>>h)>>>0}function m(E,P=0,g=E.byteLength,h=0){for(let l=0;l<g;l++)E[P+l]=h}function u(E,P,g="0"){for(;E.length<P;)E=g+E;return E}function S(E,P=32){return E instanceof ArrayBuffer?Array.from(new Uint8Array(E)).map(g=>g.toString(16).padStart(2,"0")).join(""):u((E>>>0).toString(16),P/4)}e.toHexString=S;class w{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(P){const g=P.length;if(g===0)return;const h=this._buff;let l=this._buffLen,n=this._leftoverHighSurrogate,r,i;for(n!==0?(r=n,i=-1,n=0):(r=P.charCodeAt(0),i=0);;){let s=r;if(v.isHighSurrogate(r))if(i+1<g){const o=P.charCodeAt(i+1);v.isLowSurrogate(o)?(i++,s=v.computeCodePoint(r,o)):s=65533}else{n=r;break}else v.isLowSurrogate(r)&&(s=65533);if(l=this._push(h,l,s),i++,i<g)r=P.charCodeAt(i);else break}this._buffLen=l,this._leftoverHighSurrogate=n}_push(P,g,h){return h<128?P[g++]=h:h<2048?(P[g++]=192|(h&1984)>>>6,P[g++]=128|(h&63)>>>0):h<65536?(P[g++]=224|(h&61440)>>>12,P[g++]=128|(h&4032)>>>6,P[g++]=128|(h&63)>>>0):(P[g++]=240|(h&1835008)>>>18,P[g++]=128|(h&258048)>>>12,P[g++]=128|(h&4032)>>>6,P[g++]=128|(h&63)>>>0),g>=64&&(this._step(),g-=64,this._totalLen+=64,P[0]=P[64+0],P[1]=P[64+1],P[2]=P[64+2]),g}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),S(this._h0)+S(this._h1)+S(this._h2)+S(this._h3)+S(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,m(this._buff,this._buffLen),this._buffLen>56&&(this._step(),m(this._buff));const P=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(P/4294967296),!1),this._buffDV.setUint32(60,P%4294967296,!1),this._step()}_step(){const P=w._bigBlock32,g=this._buffDV;for(let c=0;c<64;c+=4)P.setUint32(c,g.getUint32(c,!1),!1);for(let c=64;c<320;c+=4)P.setUint32(c,y(P.getUint32(c-12,!1)^P.getUint32(c-32,!1)^P.getUint32(c-56,!1)^P.getUint32(c-64,!1),1),!1);let h=this._h0,l=this._h1,n=this._h2,r=this._h3,i=this._h4,s,o,a;for(let c=0;c<80;c++)c<20?(s=l&n|~l&r,o=1518500249):c<40?(s=l^n^r,o=1859775393):c<60?(s=l&n|l&r|n&r,o=2400959708):(s=l^n^r,o=3395469782),a=y(h,5)+s+i+o+P.getUint32(c*4,!1)&4294967295,i=r,r=n,n=y(l,30),l=h,h=a;this._h0=this._h0+h&4294967295,this._h1=this._h1+l&4294967295,this._h2=this._h2+n&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+i&4294967295}}e.StringSHA1=w,w._bigBlock32=new DataView(new ArrayBuffer(320))});var At=this&&this.__classPrivateFieldSet||function(z,e,v,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?z!==e||!D:!e.has(z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(z,v):D?D.value=v:e.set(z,v),v},st=this&&this.__classPrivateFieldGet||function(z,e,v,t){if(v==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?z!==e||!t:!e.has(z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return v==="m"?t:v==="a"?t.call(z):t?t.value:e.get(z)};define(X[33],Z([0,1,25,31]),function(z,e,v,t){"use strict";var D,R,M,b;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function f(o,a,c){let d=o.get(a);return d===void 0&&(d=c,o.set(a,d)),d}e.getOrSet=f;function p(o){const a=[];return o.forEach((c,d)=>{a.push(`${d} => ${c}`)}),`Map(${o.size}) {${a.join(", ")}}`}e.mapToString=p;function C(o){const a=[];return o.forEach(c=>{a.push(c)}),`Set(${o.size}) {${a.join(", ")}}`}e.setToString=C;class k{constructor(){this._value="",this._pos=0}reset(a){return this._value=a,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(a){const c=a.charCodeAt(0),d=this._value.charCodeAt(this._pos);return c-d}value(){return this._value[this._pos]}}e.StringIterator=k;class y{constructor(a=!0){this._caseSensitive=a}reset(a){return this._value=a,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(a)this._from++;else break;else a=!1;return this}cmp(a){return this._caseSensitive?(0,t.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=y;class m{constructor(a=!0,c=!0){this._splitOnBackslash=a,this._caseSensitive=c}reset(a){this._from=0,this._to=0,this._value=a,this._valueLen=a.length;for(let c=a.length-1;c>=0;c--,this._valueLen--){const d=this._value.charCodeAt(c);if(!(d===47||this._splitOnBackslash&&d===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let a=!0;for(;this._to<this._valueLen;this._to++){const c=this._value.charCodeAt(this._to);if(c===47||this._splitOnBackslash&&c===92)if(a)this._from++;else break;else a=!1}return this}cmp(a){return this._caseSensitive?(0,t.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=m;var u;(function(o){o[o.Scheme=1]="Scheme",o[o.Authority=2]="Authority",o[o.Path=3]="Path",o[o.Query=4]="Query",o[o.Fragment=5]="Fragment"})(u||(u={}));class S{constructor(a,c){this._ignorePathCasing=a,this._ignoreQueryAndFragment=c,this._states=[],this._stateIdx=0}reset(a){return this._value=a,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new m(!1,!this._ignorePathCasing(a)),this._pathIterator.reset(a.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(a)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(a){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(a,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(a,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(a);if(this._states[this._stateIdx]===4)return(0,t.compare)(a,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(a,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=S;class w{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const a=this.right;return this.right=a.left,a.left=this,this.updateHeight(),a.updateHeight(),a}rotateRight(){const a=this.left;return this.left=a.right,a.right=this,this.updateHeight(),a.updateHeight(),a}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var E;(function(o){o[o.Left=-1]="Left",o[o.Mid=0]="Mid",o[o.Right=1]="Right"})(E||(E={}));class P{constructor(a){this._iter=a}static forUris(a=()=>!1,c=()=>!1){return new P(new S(a,c))}static forPaths(a=!1){return new P(new m(void 0,!a))}static forStrings(){return new P(new k)}static forConfigKeys(){return new P(new y)}clear(){this._root=void 0}fill(a,c){if(c){const d=c.slice(0);(0,v.shuffle)(d);for(const I of d)this.set(I,a)}else{const d=a.slice(0);(0,v.shuffle)(d);for(const I of d)this.set(I[0],I[1])}}set(a,c){const d=this._iter.reset(a);let I;this._root||(this._root=new w,this._root.segment=d.value());const L=[];for(I=this._root;;){const _=d.cmp(I.segment);if(_>0)I.left||(I.left=new w,I.left.segment=d.value()),L.push([-1,I]),I=I.left;else if(_<0)I.right||(I.right=new w,I.right.segment=d.value()),L.push([1,I]),I=I.right;else if(d.hasNext())d.next(),I.mid||(I.mid=new w,I.mid.segment=d.value()),L.push([0,I]),I=I.mid;else break}const T=I.value;I.value=c,I.key=a;for(let _=L.length-1;_>=0;_--){const K=L[_][1];K.updateHeight();const ie=K.balanceFactor();if(ie<-1||ie>1){const ne=L[_][0],Q=L[_+1][0];if(ne===1&&Q===1)L[_][1]=K.rotateLeft();else if(ne===-1&&Q===-1)L[_][1]=K.rotateRight();else if(ne===1&&Q===-1)K.right=L[_+1][1]=L[_+1][1].rotateRight(),L[_][1]=K.rotateLeft();else if(ne===-1&&Q===1)K.left=L[_+1][1]=L[_+1][1].rotateLeft(),L[_][1]=K.rotateRight();else throw new Error;if(_>0)switch(L[_-1][0]){case-1:L[_-1][1].left=L[_][1];break;case 1:L[_-1][1].right=L[_][1];break;case 0:L[_-1][1].mid=L[_][1];break}else this._root=L[0][1]}}return T}get(a){return this._getNode(a)?.value}_getNode(a){const c=this._iter.reset(a);let d=this._root;for(;d;){const I=c.cmp(d.segment);if(I>0)d=d.left;else if(I<0)d=d.right;else if(c.hasNext())c.next(),d=d.mid;else break}return d}has(a){const c=this._getNode(a);return!(c?.value===void 0&&c?.mid===void 0)}delete(a){return this._delete(a,!1)}deleteSuperstr(a){return this._delete(a,!0)}_delete(a,c){const d=this._iter.reset(a),I=[];let L=this._root;for(;L;){const T=d.cmp(L.segment);if(T>0)I.push([-1,L]),L=L.left;else if(T<0)I.push([1,L]),L=L.right;else if(d.hasNext())d.next(),I.push([0,L]),L=L.mid;else break}if(!!L){if(c?(L.left=void 0,L.mid=void 0,L.right=void 0,L.height=1):(L.key=void 0,L.value=void 0),!L.mid&&!L.value)if(L.left&&L.right){const T=this._min(L.right),{key:_,value:K,segment:ie}=T;this._delete(T.key,!1),L.key=_,L.value=K,L.segment=ie}else{const T=L.left??L.right;if(I.length>0){const[_,K]=I[I.length-1];switch(_){case-1:K.left=T;break;case 0:K.mid=T;break;case 1:K.right=T;break}}else this._root=T}for(let T=I.length-1;T>=0;T--){const _=I[T][1];_.updateHeight();const K=_.balanceFactor();if(K>1?(_.right.balanceFactor()>=0||(_.right=_.right.rotateRight()),I[T][1]=_.rotateLeft()):K<-1&&(_.left.balanceFactor()<=0||(_.left=_.left.rotateLeft()),I[T][1]=_.rotateRight()),T>0)switch(I[T-1][0]){case-1:I[T-1][1].left=I[T][1];break;case 1:I[T-1][1].right=I[T][1];break;case 0:I[T-1][1].mid=I[T][1];break}else this._root=I[0][1]}}}_min(a){for(;a.left;)a=a.left;return a}findSubstr(a){const c=this._iter.reset(a);let d=this._root,I;for(;d;){const L=c.cmp(d.segment);if(L>0)d=d.left;else if(L<0)d=d.right;else if(c.hasNext())c.next(),I=d.value||I,d=d.mid;else break}return d&&d.value||I}findSuperstr(a){const c=this._iter.reset(a);let d=this._root;for(;d;){const I=c.cmp(d.segment);if(I>0)d=d.left;else if(I<0)d=d.right;else if(c.hasNext())c.next(),d=d.mid;else return d.mid?this._entries(d.mid):void 0}}forEach(a){for(const[c,d]of this)a(d,c)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(a){!a||(a.left&&(yield*this._entries(a.left)),a.value&&(yield[a.key,a.value]),a.mid&&(yield*this._entries(a.mid)),a.right&&(yield*this._entries(a.right)))}_isBalanced(){const a=c=>{if(!c)return!0;const d=c.balanceFactor();return d<-1||d>1?!1:a(c.left)&&a(c.right)};return a(this._root)}}e.TernarySearchTree=P;class g{constructor(a,c){this.uri=a,this.value=c}}class h{constructor(a,c){this[D]="ResourceMap",a instanceof h?(this.map=new Map(a.map),this.toKey=c??h.defaultToKey):(this.map=new Map,this.toKey=a??h.defaultToKey)}set(a,c){return this.map.set(this.toKey(a),new g(a,c)),this}get(a){return this.map.get(this.toKey(a))?.value}has(a){return this.map.has(this.toKey(a))}get size(){return this.map.size}clear(){this.map.clear()}delete(a){return this.map.delete(this.toKey(a))}forEach(a,c){typeof c!="undefined"&&(a=a.bind(c));for(const[d,I]of this.map)a(I.value,I.uri,this)}*values(){for(const a of this.map.values())yield a.value}*keys(){for(const a of this.map.values())yield a.uri}*entries(){for(const a of this.map.values())yield[a.uri,a.value]}*[(D=Symbol.toStringTag,Symbol.iterator)](){for(const[,a]of this.map)yield[a.uri,a.value]}}e.ResourceMap=h,h.defaultToKey=o=>o.toString();class l{constructor(a,c){this[R]="ResourceSet",!a||typeof a=="function"?this._map=new h(a):(this._map=new h(c),a.forEach(this.add,this))}get size(){return this._map.size}add(a){return this._map.set(a,a),this}clear(){this._map.clear()}delete(a){return this._map.delete(a)}forEach(a,c){this._map.forEach((d,I)=>a.call(c,I,I,this))}has(a){return this._map.has(a)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(R=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=l;var n;(function(o){o[o.None=0]="None",o[o.AsOld=1]="AsOld",o[o.AsNew=2]="AsNew"})(n=e.Touch||(e.Touch={}));class r{constructor(){this[M]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(a){return this._map.has(a)}get(a,c=0){const d=this._map.get(a);if(!!d)return c!==0&&this.touch(d,c),d.value}set(a,c,d=0){let I=this._map.get(a);if(I)I.value=c,d!==0&&this.touch(I,d);else{switch(I={key:a,value:c,next:void 0,previous:void 0},d){case 0:this.addItemLast(I);break;case 1:this.addItemFirst(I);break;case 2:this.addItemLast(I);break;default:this.addItemLast(I);break}this._map.set(a,I),this._size++}return this}delete(a){return!!this.remove(a)}remove(a){const c=this._map.get(a);if(!!c)return this._map.delete(a),this.removeItem(c),this._size--,c.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const a=this._head;return this._map.delete(a.key),this.removeItem(a),this._size--,a.value}forEach(a,c){const d=this._state;let I=this._head;for(;I;){if(c?a.bind(c)(I.value,I.key,this):a(I.value,I.key,this),this._state!==d)throw new Error("LinkedMap got modified during iteration.");I=I.next}}keys(){const a=this,c=this._state;let d=this._head;const I={[Symbol.iterator](){return I},next(){if(a._state!==c)throw new Error("LinkedMap got modified during iteration.");if(d){const L={value:d.key,done:!1};return d=d.next,L}else return{value:void 0,done:!0}}};return I}values(){const a=this,c=this._state;let d=this._head;const I={[Symbol.iterator](){return I},next(){if(a._state!==c)throw new Error("LinkedMap got modified during iteration.");if(d){const L={value:d.value,done:!1};return d=d.next,L}else return{value:void 0,done:!0}}};return I}entries(){const a=this,c=this._state;let d=this._head;const I={[Symbol.iterator](){return I},next(){if(a._state!==c)throw new Error("LinkedMap got modified during iteration.");if(d){const L={value:[d.key,d.value],done:!1};return d=d.next,L}else return{value:void 0,done:!0}}};return I}[(M=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(a){if(a>=this.size)return;if(a===0){this.clear();return}let c=this._head,d=this.size;for(;c&&d>a;)this._map.delete(c.key),c=c.next,d--;this._head=c,this._size=d,c&&(c.previous=void 0),this._state++}addItemFirst(a){if(!this._head&&!this._tail)this._tail=a;else if(this._head)a.next=this._head,this._head.previous=a;else throw new Error("Invalid list");this._head=a,this._state++}addItemLast(a){if(!this._head&&!this._tail)this._head=a;else if(this._tail)a.previous=this._tail,this._tail.next=a;else throw new Error("Invalid list");this._tail=a,this._state++}removeItem(a){if(a===this._head&&a===this._tail)this._head=void 0,this._tail=void 0;else if(a===this._head){if(!a.next)throw new Error("Invalid list");a.next.previous=void 0,this._head=a.next}else if(a===this._tail){if(!a.previous)throw new Error("Invalid list");a.previous.next=void 0,this._tail=a.previous}else{const c=a.next,d=a.previous;if(!c||!d)throw new Error("Invalid list");c.previous=d,d.next=c}a.next=void 0,a.previous=void 0,this._state++}touch(a,c){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(c!==1&&c!==2)){if(c===1){if(a===this._head)return;const d=a.next,I=a.previous;a===this._tail?(I.next=void 0,this._tail=I):(d.previous=I,I.next=d),a.previous=void 0,a.next=this._head,this._head.previous=a,this._head=a,this._state++}else if(c===2){if(a===this._tail)return;const d=a.next,I=a.previous;a===this._head?(d.previous=void 0,this._head=d):(d.previous=I,I.next=d),a.next=void 0,a.previous=this._tail,this._tail.next=a,this._tail=a,this._state++}}}toJSON(){const a=[];return this.forEach((c,d)=>{a.push([d,c])}),a}fromJSON(a){this.clear();for(const[c,d]of a)this.set(c,d)}}e.LinkedMap=r;class i extends r{constructor(a,c=1){super();this._limit=a,this._ratio=Math.min(Math.max(0,c),1)}get limit(){return this._limit}set limit(a){this._limit=a,this.checkTrim()}get ratio(){return this._ratio}set ratio(a){this._ratio=Math.min(Math.max(0,a),1),this.checkTrim()}get(a,c=2){return super.get(a,c)}peek(a){return super.get(a,0)}set(a,c){return super.set(a,c,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=i;class s{constructor(a){b.set(this,void 0),At(this,b,a,"f")}get size(){return st(this,b,"f").size}forEach(a,c){st(this,b,"f").forEach(a,c)}get(a){return st(this,b,"f").get(a)}has(a){return st(this,b,"f").has(a)}entries(){return st(this,b,"f").entries()}keys(){return st(this,b,"f").keys()}values(){return st(this,b,"f").values()}[(b=new WeakMap,Symbol.iterator)](){return st(this,b,"f").entries()}}e.ReadonlyMapView=s}),define(X[79],Z([0,1,33]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new v.LRUCache(1e4);function D(p){return f(p,"NFC",t)}e.normalizeNFC=D;const R=new v.LRUCache(1e4);function M(p){return f(p,"NFD",R)}e.normalizeNFD=M;const b=/[^\u0000-\u0080]/;function f(p,C,k){if(!p)return p;const y=k.get(p);if(y)return y;let m;return b.test(p)?m=p.normalize(C):m=p,k.set(p,m),m}e.removeAccents=function(){const p=/[\u0300-\u036f]/g;return function(C){return M(C).replace(p,"")}}()}),define(X[7],Z([0,1,9,4]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const D=/^\w[\w\d+.-]*$/,R=/^\//,M=/^\/\//;function b(i,s){if(!i.scheme&&s)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${i.authority}", path: "${i.path}", query: "${i.query}", fragment: "${i.fragment}"}`);if(i.scheme&&!D.test(i.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(i.path){if(i.authority){if(!R.test(i.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(M.test(i.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function f(i,s){return!i&&!s?"file":i}function p(i,s){switch(i){case"https":case"http":case"file":s?s[0]!==k&&(s=k+s):s=k;break}return s}const C="",k="/",y=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class m{constructor(s,o,a,c,d,I=!1){typeof s=="object"?(this.scheme=s.scheme||C,this.authority=s.authority||C,this.path=s.path||C,this.query=s.query||C,this.fragment=s.fragment||C):(this.scheme=f(s,I),this.authority=o||C,this.path=p(this.scheme,a||C),this.query=c||C,this.fragment=d||C,b(this,I))}static isUri(s){return s instanceof m?!0:s?typeof s.authority=="string"&&typeof s.fragment=="string"&&typeof s.path=="string"&&typeof s.query=="string"&&typeof s.scheme=="string"&&typeof s.fsPath=="string"&&typeof s.with=="function"&&typeof s.toString=="function":!1}get fsPath(){return g(this,!1)}with(s){if(!s)return this;let{scheme:o,authority:a,path:c,query:d,fragment:I}=s;return o===void 0?o=this.scheme:o===null&&(o=C),a===void 0?a=this.authority:a===null&&(a=C),c===void 0?c=this.path:c===null&&(c=C),d===void 0?d=this.query:d===null&&(d=C),I===void 0?I=this.fragment:I===null&&(I=C),o===this.scheme&&a===this.authority&&c===this.path&&d===this.query&&I===this.fragment?this:new S(o,a,c,d,I)}static parse(s,o=!1){const a=y.exec(s);return a?new S(a[2]||C,r(a[4]||C),r(a[5]||C),r(a[7]||C),r(a[9]||C),o):new S(C,C,C,C,C)}static file(s){let o=C;if(t.isWindows&&(s=s.replace(/\\/g,k)),s[0]===k&&s[1]===k){const a=s.indexOf(k,2);a===-1?(o=s.substring(2),s=k):(o=s.substring(2,a),s=s.substring(a)||k)}return new S("file",o,s,C,C)}static from(s){const o=new S(s.scheme,s.authority,s.path,s.query,s.fragment);return b(o,!0),o}static joinPath(s,...o){if(!s.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let a;return t.isWindows&&s.scheme==="file"?a=m.file(v.win32.join(g(s,!0),...o)).path:a=v.posix.join(s.path,...o),s.with({path:a})}toString(s=!1){return h(this,s)}toJSON(){return this}static revive(s){if(s){if(s instanceof m)return s;{const o=new S(s);return o._formatted=s.external,o._fsPath=s._sep===u?s.fsPath:null,o}}else return s}}e.URI=m;const u=t.isWindows?1:void 0;class S extends m{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=g(this,!1)),this._fsPath}toString(s=!1){return s?h(this,!0):(this._formatted||(this._formatted=h(this,!1)),this._formatted)}toJSON(){const s={$mid:1};return this._fsPath&&(s.fsPath=this._fsPath,s._sep=u),this._formatted&&(s.external=this._formatted),this.path&&(s.path=this.path),this.scheme&&(s.scheme=this.scheme),this.authority&&(s.authority=this.authority),this.query&&(s.query=this.query),this.fragment&&(s.fragment=this.fragment),s}}const w={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function E(i,s){let o,a=-1;for(let c=0;c<i.length;c++){const d=i.charCodeAt(c);if(d>=97&&d<=122||d>=65&&d<=90||d>=48&&d<=57||d===45||d===46||d===95||d===126||s&&d===47)a!==-1&&(o+=encodeURIComponent(i.substring(a,c)),a=-1),o!==void 0&&(o+=i.charAt(c));else{o===void 0&&(o=i.substr(0,c));const I=w[d];I!==void 0?(a!==-1&&(o+=encodeURIComponent(i.substring(a,c)),a=-1),o+=I):a===-1&&(a=c)}}return a!==-1&&(o+=encodeURIComponent(i.substring(a))),o!==void 0?o:i}function P(i){let s;for(let o=0;o<i.length;o++){const a=i.charCodeAt(o);a===35||a===63?(s===void 0&&(s=i.substr(0,o)),s+=w[a]):s!==void 0&&(s+=i[o])}return s!==void 0?s:i}function g(i,s){let o;return i.authority&&i.path.length>1&&i.scheme==="file"?o=`//${i.authority}${i.path}`:i.path.charCodeAt(0)===47&&(i.path.charCodeAt(1)>=65&&i.path.charCodeAt(1)<=90||i.path.charCodeAt(1)>=97&&i.path.charCodeAt(1)<=122)&&i.path.charCodeAt(2)===58?s?o=i.path.substr(1):o=i.path[1].toLowerCase()+i.path.substr(2):o=i.path,t.isWindows&&(o=o.replace(/\//g,"\\")),o}e.uriToFsPath=g;function h(i,s){const o=s?P:E;let a="",{scheme:c,authority:d,path:I,query:L,fragment:T}=i;if(c&&(a+=c,a+=":"),(d||c==="file")&&(a+=k,a+=k),d){let _=d.indexOf("@");if(_!==-1){const K=d.substr(0,_);d=d.substr(_+1),_=K.indexOf(":"),_===-1?a+=o(K,!1):(a+=o(K.substr(0,_),!1),a+=":",a+=o(K.substr(_+1),!1)),a+="@"}d=d.toLowerCase(),_=d.indexOf(":"),_===-1?a+=o(d,!1):(a+=o(d.substr(0,_),!1),a+=d.substr(_))}if(I){if(I.length>=3&&I.charCodeAt(0)===47&&I.charCodeAt(2)===58){const _=I.charCodeAt(1);_>=65&&_<=90&&(I=`/${String.fromCharCode(_+32)}:${I.substr(3)}`)}else if(I.length>=2&&I.charCodeAt(1)===58){const _=I.charCodeAt(0);_>=65&&_<=90&&(I=`${String.fromCharCode(_+32)}:${I.substr(2)}`)}a+=o(I,!0)}return L&&(a+="?",a+=o(L,!1)),T&&(a+="#",a+=s?T:E(T,!1)),a}function l(i){try{return decodeURIComponent(i)}catch{return i.length>3?i.substr(0,3)+l(i.substr(3)):i}}const n=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(i){return i.match(n)?i.replace(n,s=>l(s)):i}}),define(X[135],Z([0,1,7]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function t(p){const C=p;return C&&typeof C.type=="string"&&typeof C.severity=="string"}e.isRemoteConsoleLog=t;function D(p){const C=[];let k;try{const y=JSON.parse(p.arguments),m=y[y.length-1];m&&m.__$stack&&(y.pop(),k=m.__$stack),C.push(...y)}catch{C.push("Unable to log remote console arguments",p.arguments)}return{args:C,stack:k}}e.parse=D;function R(p){if(typeof p!="string")return R(D(p).stack);const C=p;if(C){const k=M(C),y=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(k||"");if(y&&y.length===4)return{uri:v.URI.file(y[1]),line:Number(y[2]),column:Number(y[3])}}}e.getFirstFrame=R;function M(p){if(!p)return p;const C=p.indexOf(`
`);return C===-1?p:p.substring(0,C)}function b(p,C){const{args:k,stack:y}=D(p),m=typeof k[0]=="string"&&k.length===1;let u=M(y);u&&(u=`(${u.trim()})`);let S=[];if(typeof k[0]=="string"?u&&m?S=[`%c[${C}] %c${k[0]} %c${u}`,f("blue"),f(""),f("grey")]:S=[`%c[${C}] %c${k[0]}`,f("blue"),f(""),...k.slice(1)]:S=[`%c[${C}]%`,f("blue"),...k],u&&!m&&S.push(u),typeof console[p.severity]!="function")throw new Error("Unknown console method");console[p.severity].apply(console,S)}e.log=b;function f(p){return`color: ${p}`}}),define(X[66],Z([0,1,19,31,7]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function R(p){return JSON.stringify(p,b)}e.stringify=R;function M(p){let C=JSON.parse(p);return C=f(C),C}e.parse=M;function b(p,C){return C instanceof RegExp?{$mid:2,source:C.source,flags:(0,t.regExpFlags)(C)}:C}function f(p,C=0){if(!p||C>200)return p;if(typeof p=="object"){switch(p.$mid){case 1:return D.URI.revive(p);case 2:return new RegExp(p.source,p.flags);case 14:return new Date(p.source)}if(p instanceof v.VSBuffer||p instanceof Uint8Array)return p;if(Array.isArray(p))for(let k=0;k<p.length;++k)p[k]=f(p[k],C+1);else for(const k in p)Object.hasOwnProperty.call(p,k)&&(p[k]=f(p[k],C+1))}return p}e.revive=f}),define(X[12],Z([0,1,4,7]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var D;(function(b){b.inMemory="inmemory",b.vscode="vscode",b.internal="private",b.walkThrough="walkThrough",b.walkThroughSnippet="walkThroughSnippet",b.http="http",b.https="https",b.file="file",b.mailto="mailto",b.untitled="untitled",b.data="data",b.command="command",b.vscodeRemote="vscode-remote",b.vscodeRemoteResource="vscode-remote-resource",b.vscodeUserData="vscode-userdata",b.vscodeCustomEditor="vscode-custom-editor",b.vscodeNotebook="vscode-notebook",b.vscodeNotebookCell="vscode-notebook-cell",b.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",b.vscodeNotebookCellOutput="vscode-notebook-cell-output",b.vscodeInteractive="vscode-interactive",b.vscodeInteractiveInput="vscode-interactive-input",b.vscodeSettings="vscode-settings",b.vscodeWorkspaceTrust="vscode-workspace-trust",b.vscodeTerminal="vscode-terminal",b.webviewPanel="webview-panel",b.vscodeWebview="vscode-webview",b.extension="extension",b.vscodeFileResource="vscode-file",b.tmp="tmp",b.vsls="vsls"})(D=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class R{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${D.vscodeRemoteResource}`}setPreferredWebSchema(f){this._preferredWebSchema=f}setDelegate(f){this._delegate=f}setServerRootPath(f){this._remoteResourcesPath=`${f}/${D.vscodeRemoteResource}`}set(f,p,C){this._hosts[f]=p,this._ports[f]=C}setConnectionToken(f,p){this._connectionTokens[f]=p}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(f){if(this._delegate)return this._delegate(f);const p=f.authority;let C=this._hosts[p];C&&C.indexOf(":")!==-1&&(C=`[${C}]`);const k=this._ports[p],y=this._connectionTokens[p];let m=`path=${encodeURIComponent(f.path)}`;return typeof y=="string"&&(m+=`&${e.connectionTokenQueryName}=${encodeURIComponent(y)}`),t.URI.from({scheme:v.isWeb?this._preferredWebSchema:D.vscodeRemoteResource,authority:`${C}:${k}`,path:this._remoteResourcesPath,query:m})}}e.RemoteAuthorities=new R;class M{asBrowserUri(f,p){const C=this.toUri(f,p);return C.scheme===D.vscodeRemote?e.RemoteAuthorities.rewrite(C):C.scheme===D.file&&(v.isNative||v.isWebWorker&&v.globals.origin===`${D.vscodeFileResource}://${M.FALLBACK_AUTHORITY}`)?C.with({scheme:D.vscodeFileResource,authority:C.authority||M.FALLBACK_AUTHORITY,query:null,fragment:null}):C}asFileUri(f,p){const C=this.toUri(f,p);return C.scheme===D.vscodeFileResource?C.with({scheme:D.file,authority:C.authority!==M.FALLBACK_AUTHORITY?C.authority:null,query:null,fragment:null}):C}toUri(f,p){return t.URI.isUri(f)?f:t.URI.parse(p.toUrl(f))}}M.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new M}),define(X[16],Z([0,1,29,12,9,4,31,7]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function f(m){return(0,b.uriToFsPath)(m,!0)}e.originalFSPath=f;class p{constructor(u){this._ignorePathCasing=u}compare(u,S,w=!1){return u===S?0:(0,M.compare)(this.getComparisonKey(u,w),this.getComparisonKey(S,w))}isEqual(u,S,w=!1){return u===S?!0:!u||!S?!1:this.getComparisonKey(u,w)===this.getComparisonKey(S,w)}getComparisonKey(u,S=!1){return u.with({path:this._ignorePathCasing(u)?u.path.toLowerCase():void 0,fragment:S?null:void 0}).toString()}ignorePathCasing(u){return this._ignorePathCasing(u)}isEqualOrParent(u,S,w=!1){if(u.scheme===S.scheme){if(u.scheme===t.Schemas.file)return v.isEqualOrParent(f(u),f(S),this._ignorePathCasing(u))&&u.query===S.query&&(w||u.fragment===S.fragment);if((0,e.isEqualAuthority)(u.authority,S.authority))return v.isEqualOrParent(u.path,S.path,this._ignorePathCasing(u),"/")&&u.query===S.query&&(w||u.fragment===S.fragment)}return!1}joinPath(u,...S){return b.URI.joinPath(u,...S)}basenameOrAuthority(u){return(0,e.basename)(u)||u.authority}basename(u){return D.posix.basename(u.path)}extname(u){return D.posix.extname(u.path)}dirname(u){if(u.path.length===0)return u;let S;return u.scheme===t.Schemas.file?S=b.URI.file(D.dirname(f(u))).path:(S=D.posix.dirname(u.path),u.authority&&S.length&&S.charCodeAt(0)!==47&&(console.error(`dirname("${u.toString})) resulted in a relative path`),S="/")),u.with({path:S})}normalizePath(u){if(!u.path.length)return u;let S;return u.scheme===t.Schemas.file?S=b.URI.file(D.normalize(f(u))).path:S=D.posix.normalize(u.path),u.with({path:S})}relativePath(u,S){if(u.scheme!==S.scheme||!(0,e.isEqualAuthority)(u.authority,S.authority))return;if(u.scheme===t.Schemas.file){const P=D.relative(f(u),f(S));return R.isWindows?v.toSlashes(P):P}let w=u.path||"/";const E=S.path||"/";if(this._ignorePathCasing(u)){let P=0;for(const g=Math.min(w.length,E.length);P<g&&!(w.charCodeAt(P)!==E.charCodeAt(P)&&w.charAt(P).toLowerCase()!==E.charAt(P).toLowerCase());P++);w=E.substr(0,P)+w.substr(P)}return D.posix.relative(w,E)}resolvePath(u,S){if(u.scheme===t.Schemas.file){const w=b.URI.file(D.resolve(f(u),S));return u.with({authority:w.authority,path:w.path})}return S=v.toPosixPath(S),u.with({path:D.posix.resolve(u.path,S)})}isAbsolutePath(u){return!!u.path&&u.path[0]==="/"}isEqualAuthority(u,S){return u===S||u!==void 0&&S!==void 0&&(0,M.equalsIgnoreCase)(u,S)}hasTrailingPathSeparator(u,S=D.sep){if(u.scheme===t.Schemas.file){const w=f(u);return w.length>v.getRoot(w).length&&w[w.length-1]===S}else{const w=u.path;return w.length>1&&w.charCodeAt(w.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(u.fsPath)}}removeTrailingPathSeparator(u,S=D.sep){return(0,e.hasTrailingPathSeparator)(u,S)?u.with({path:u.path.substr(0,u.path.length-1)}):u}addTrailingPathSeparator(u,S=D.sep){let w=!1;if(u.scheme===t.Schemas.file){const E=f(u);w=E!==void 0&&E.length===v.getRoot(E).length&&E[E.length-1]===S}else{S="/";const E=u.path;w=E.length===1&&E.charCodeAt(E.length-1)===47}return!w&&!(0,e.hasTrailingPathSeparator)(u,S)?u.with({path:u.path+"/"}):u}}e.ExtUri=p,e.extUri=new p(()=>!1),e.extUriBiasedIgnorePathCase=new p(m=>m.scheme===t.Schemas.file?!R.isLinux:!0),e.extUriIgnorePathCase=new p(m=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function C(m,u){const S=[];for(let w=0;w<m.length;w++){const E=u(m[w]);m.some((P,g)=>g===w?!1:(0,e.isEqualOrParent)(E,u(P)))||S.push(m[w])}return S}e.distinctParents=C;var k;(function(m){m.META_DATA_LABEL="label",m.META_DATA_DESCRIPTION="description",m.META_DATA_SIZE="size",m.META_DATA_MIME="mime";function u(S){const w=new Map;S.path.substring(S.path.indexOf(";")+1,S.path.lastIndexOf(";")).split(";").forEach(g=>{const[h,l]=g.split(":");h&&l&&w.set(h,l)});const P=S.path.substring(0,S.path.indexOf(";"));return P&&w.set(m.META_DATA_MIME,P),w}m.parseMetaData=u})(k=e.DataUri||(e.DataUri={}));function y(m,u,S){if(u){let w=m.path;return w&&w[0]!==D.posix.sep&&(w=D.posix.sep+w),m.with({scheme:S,authority:u,path:w})}return m.with({scheme:S})}e.toLocalResource=y}),define(X[8],Z([0,1,22,18,3,2,16,4]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function f(ee){return!!ee&&typeof ee.then=="function"}e.isThenable=f;function p(ee){const A=new v.CancellationTokenSource,O=ee(A.token),N=new Promise((q,J)=>{const U=A.token.onCancellationRequested(()=>{U.dispose(),A.dispose(),J(new t.CancellationError)});Promise.resolve(O).then(V=>{U.dispose(),A.dispose(),q(V)},V=>{U.dispose(),A.dispose(),J(V)})});return new class{cancel(){A.cancel()}then(q,J){return N.then(q,J)}catch(q){return this.then(void 0,q)}finally(q){return N.finally(q)}}}e.createCancelablePromise=p;function C(ee,A,O){return new Promise((N,q)=>{const J=A.onCancellationRequested(()=>{J.dispose(),N(O)});ee.then(N,q).finally(()=>J.dispose())})}e.raceCancellation=C;function k(ee,A){return new Promise((O,N)=>{const q=A.onCancellationRequested(()=>{q.dispose(),N(new t.CancellationError)});ee.then(O,N).finally(()=>q.dispose())})}e.raceCancellationError=k;async function y(ee){let A=-1;const O=ee.map((q,J)=>q.then(U=>(A=J,U))),N=await Promise.race(O);return ee.forEach((q,J)=>{J!==A&&q.cancel()}),N}e.raceCancellablePromises=y;function m(ee,A,O){let N;const q=setTimeout(()=>{N?.(void 0),O?.()},A);return Promise.race([ee.finally(()=>clearTimeout(q)),new Promise(J=>N=J)])}e.raceTimeout=m;function u(ee){return new Promise((A,O)=>{const N=ee();f(N)?N.then(A,O):A(N)})}e.asPromise=u;class S{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(A){if(this.activePromise){if(this.queuedPromiseFactory=A,!this.queuedPromise){const O=()=>{this.queuedPromise=null;const N=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,N};this.queuedPromise=new Promise(N=>{this.activePromise.then(O,O).then(N)})}return new Promise((O,N)=>{this.queuedPromise.then(O,N)})}return this.activePromise=A(),new Promise((O,N)=>{this.activePromise.then(q=>{this.activePromise=null,O(q)},q=>{this.activePromise=null,N(q)})})}}e.Throttler=S;class w{constructor(){this.current=Promise.resolve(null)}queue(A){return this.current=this.current.then(()=>A(),()=>A())}}e.Sequencer=w;class E{constructor(){this.promiseMap=new Map}queue(A,O){const q=(this.promiseMap.get(A)??Promise.resolve()).catch(()=>{}).then(O).finally(()=>{this.promiseMap.get(A)===q&&this.promiseMap.delete(A)});return this.promiseMap.set(A,q),q}}e.SequencerByKey=E;const P=(ee,A)=>{let O=!0;const N=setTimeout(()=>{O=!1,A()},ee);return{isTriggered:()=>O,dispose:()=>{clearTimeout(N),O=!1}}},g=ee=>{let A=!0;return queueMicrotask(()=>{A&&(A=!1,ee())}),{isTriggered:()=>A,dispose:()=>{A=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class h{constructor(A){this.defaultDelay=A,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(A,O=this.defaultDelay){this.task=A,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((q,J)=>{this.doResolve=q,this.doReject=J}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const q=this.task;return this.task=null,q()}}));const N=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=O===e.MicrotaskDelay?g(N):P(O,N),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=h;class l{constructor(A){this.delayer=new h(A),this.throttler=new S}trigger(A,O){return this.delayer.trigger(()=>this.throttler.queue(A),O)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=l;class n{constructor(){this._isOpen=!1,this._promise=new Promise((A,O)=>{this._completePromise=A})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=n;class r extends n{constructor(A){super();this._timeout=setTimeout(()=>this.open(),A)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=r;function i(ee,A){return A?new Promise((O,N)=>{const q=setTimeout(()=>{J.dispose(),O()},ee),J=A.onCancellationRequested(()=>{clearTimeout(q),J.dispose(),N(new t.CancellationError)})}):p(O=>i(ee,O))}e.timeout=i;function s(ee,A=0){const O=setTimeout(ee,A);return(0,R.toDisposable)(()=>clearTimeout(O))}e.disposableTimeout=s;function o(ee){const A=[];let O=0;const N=ee.length;function q(){return O<N?ee[O++]():null}function J(U){U!=null&&A.push(U);const V=q();return V?V.then(J):Promise.resolve(A)}return Promise.resolve(null).then(J)}e.sequence=o;function a(ee,A=N=>!!N,O=null){let N=0;const q=ee.length,J=()=>{if(N>=q)return Promise.resolve(O);const U=ee[N++];return Promise.resolve(U()).then(x=>A(x)?Promise.resolve(x):J())};return J()}e.first=a;function c(ee,A=N=>!!N,O=null){if(ee.length===0)return Promise.resolve(O);let N=ee.length;const q=()=>{N=-1;for(const J of ee)J.cancel?.()};return new Promise((J,U)=>{for(const V of ee)V.then(x=>{--N>=0&&A(x)?(q(),J(x)):N===0&&J(O)}).catch(x=>{--N>=0&&(q(),U(x))})})}e.firstParallel=c;class d{constructor(A){this._size=0,this.maxDegreeOfParalellism=A,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new D.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(A){return this._size++,new Promise((O,N)=>{this.outstandingPromises.push({factory:A,c:O,e:N}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const A=this.outstandingPromises.shift();this.runningPromises++;const O=A.factory();O.then(A.c,A.e),O.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}e.Limiter=d;class I extends d{constructor(){super(1)}}e.Queue=I;class L{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const A=new W;return this.drainers.add(A),A.p}isDrained(){for(const[,A]of this.queues)if(A.size>0)return!1;return!0}queueFor(A,O=M.extUri){const N=O.getComparisonKey(A);let q=this.queues.get(N);return q||(q=new I,D.Event.once(q.onDrained)(()=>{q?.dispose(),this.queues.delete(N),this.onDidQueueDrain()}),this.queues.set(N,q)),q}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const A of this.drainers)A.complete();this.drainers.clear()}dispose(){for(const[,A]of this.queues)A.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=L;class T{constructor(A,O){this._token=-1,typeof A=="function"&&typeof O=="number"&&this.setIfNotSet(A,O)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(A,O){this.cancel(),this._token=setTimeout(()=>{this._token=-1,A()},O)}setIfNotSet(A,O){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,A()},O))}}e.TimeoutTimer=T;class _{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(A,O){this.cancel(),this._token=setInterval(()=>{A()},O)}}e.IntervalTimer=_;class K{constructor(A,O){this.timeoutToken=-1,this.runner=A,this.timeout=O,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(A=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,A)}get delay(){return this.timeout}set delay(A){this.timeout=A}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}e.RunOnceScheduler=K;class ie{constructor(A,O){O%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${O}ms is not a multiple of 1000ms.`),this.runner=A,this.timeout=O,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(A=this.timeout){A%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${A}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(A/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}e.ProcessTimeRunOnceScheduler=ie;class ne extends K{constructor(A,O){super(A,O);this.units=[]}work(A){this.units.push(A),this.isScheduled()||this.schedule()}doRun(){const A=this.units;this.units=[],this.runner?.(A)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=ne;class Q extends R.Disposable{constructor(A,O){super();this.options=A,this.handler=O,this.pendingWork=[],this.throttler=this._register(new R.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(A){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+A.length>this.options.maxBufferedWork)return!1}else if(this.pending+A.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...A),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new K(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=Q,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=ee=>{(0,b.setTimeout0)(()=>{if(A)return;const O=Date.now()+15;ee(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,O-Date.now())}}))});let A=!1;return{dispose(){A||(A=!0)}}}:e.runWhenIdle=(ee,A)=>{const O=requestIdleCallback(ee,typeof A=="number"?{timeout:A}:void 0);let N=!1;return{dispose(){N||(N=!0,cancelIdleCallback(O))}}}}();class ae{constructor(A){this._didRun=!1,this._executor=()=>{try{this._value=A()}catch(O){this._error=O}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=ae;async function le(ee,A,O){let N;for(let q=0;q<O;q++)try{return await ee()}catch(J){N=J,await i(A)}throw N}e.retry=le;class ${hasPending(A){return this._pending?typeof A=="number"?this._pending.taskId===A:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(A,O,N){return this._pending={taskId:A,cancel:()=>N?.(),promise:O},O.then(()=>this.donePending(A),()=>this.donePending(A)),O}donePending(A){this._pending&&A===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const A=this._next;this._next=void 0,A.run().then(A.promiseResolve,A.promiseReject)}}setNext(A){if(this._next)this._next.run=A;else{let O,N;const q=new Promise((J,U)=>{O=J,N=U});this._next={run:A,promise:q,promiseResolve:O,promiseReject:N}}return this._next.promise}}e.TaskSequentializer=$;class oe{constructor(A,O=()=>Date.now()){this.interval=A,this.nowFn=O,this.lastIncrementTime=0,this.value=0}increment(){const A=this.nowFn();return A-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=A,this.value=0),this.value++,this.value}}e.IntervalCounter=oe;class W{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((A,O)=>{this.completeCallback=A,this.errorCallback=O})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(A){return new Promise(O=>{this.completeCallback(A),this.resolved=!0,O()})}error(A){return new Promise(O=>{this.errorCallback(A),this.rejected=!0,O()})}cancel(){new Promise(A=>{this.errorCallback(new t.CancellationError),this.rejected=!0,A()})}}e.DeferredPromise=W;var F;(function(ee){async function A(N){let q;const J=await Promise.all(N.map(U=>U.then(V=>V,V=>{q||(q=V)})));if(typeof q!="undefined")throw q;return J}ee.settled=A;function O(N){return new Promise(async(q,J)=>{try{await N(q,J)}catch(U){J(U)}})}ee.withAsyncBody=O})(F=e.Promises||(e.Promises={}));var B;(function(ee){ee[ee.Initial=0]="Initial",ee[ee.DoneOK=1]="DoneOK",ee[ee.DoneError=2]="DoneError"})(B||(B={}));class Y{constructor(A){this._state=0,this._results=[],this._error=null,this._onStateChanged=new D.Emitter,queueMicrotask(async()=>{const O={emitOne:N=>this.emitOne(N),emitMany:N=>this.emitMany(N),reject:N=>this.reject(N)};try{await Promise.resolve(A(O)),this.resolve()}catch(N){this.reject(N)}finally{O.emitOne=void 0,O.emitMany=void 0,O.reject=void 0}})}static fromArray(A){return new Y(O=>{O.emitMany(A)})}static fromPromise(A){return new Y(async O=>{O.emitMany(await A)})}static fromPromises(A){return new Y(async O=>{await Promise.all(A.map(async N=>O.emitOne(await N)))})}static merge(A){return new Y(async O=>{await Promise.all(A.map(async N=>{for await(const q of N)O.emitOne(q)}))})}[Symbol.asyncIterator](){let A=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(A<this._results.length)return{done:!1,value:this._results[A++]};if(this._state===1)return{done:!0,value:void 0};await D.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(A,O){return new Y(async N=>{for await(const q of A)N.emitOne(O(q))})}map(A){return Y.map(this,A)}static filter(A,O){return new Y(async N=>{for await(const q of A)O(q)&&N.emitOne(q)})}filter(A){return Y.filter(this,A)}static coalesce(A){return Y.filter(A,O=>!!O)}coalesce(){return Y.coalesce(this)}static async toPromise(A){const O=[];for await(const N of A)O.push(N);return O}toPromise(){return Y.toPromise(this)}emitOne(A){this._state===0&&(this._results.push(A),this._onStateChanged.fire())}emitMany(A){this._state===0&&(this._results=this._results.concat(A),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(A){this._state===0&&(this._state=2,this._error=A,this._onStateChanged.fire())}}e.AsyncIterableObject=Y,Y.EMPTY=Y.fromArray([]);class H extends Y{constructor(A,O){super(O);this._source=A}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=H;function G(ee){const A=new v.CancellationTokenSource,O=ee(A.token);return new H(A,async N=>{const q=A.token.onCancellationRequested(()=>{q.dispose(),A.dispose(),N.reject(new t.CancellationError)});try{for await(const J of O){if(A.token.isCancellationRequested)return;N.emitOne(J)}q.dispose(),A.dispose()}catch(J){q.dispose(),A.dispose(),N.reject(J)}})}e.createCancelableAsyncIterable=G}),define(X[92],Z([0,1,25,8,29,33,9,4,31]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function p(){return Object.create(null)}e.getEmptyExpression=p,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const C="[/\\\\]",k="[^/\\\\]",y=/\//g;function m(W,F){switch(W){case 0:return"";case 1:return`${k}*?`;default:return`(?:${C}|${k}+${C}${F?`|${C}${k}+`:""})*?`}}function u(W,F){if(!W)return[];const B=[];let Y=!1,H=!1,G="";for(const ee of W){switch(ee){case F:if(!Y&&!H){B.push(G),G="";continue}break;case"{":Y=!0;break;case"}":Y=!1;break;case"[":H=!0;break;case"]":H=!1;break}G+=ee}return G&&B.push(G),B}e.splitGlobAware=u;function S(W){if(!W)return"";let F="";const B=u(W,e.GLOB_SPLIT);if(B.every(Y=>Y===e.GLOBSTAR))F=".*";else{let Y=!1;B.forEach((H,G)=>{if(H===e.GLOBSTAR){if(Y)return;F+=m(2,G===B.length-1)}else{let ee=!1,A="",O=!1,N="";for(const q of H){if(q!=="}"&&ee){A+=q;continue}if(O&&(q!=="]"||!N)){let J;q==="-"?J=q:(q==="^"||q==="!")&&!N?J="^":q===e.GLOB_SPLIT?J="":J=(0,f.escapeRegExpCharacters)(q),N+=J;continue}switch(q){case"{":ee=!0;continue;case"[":O=!0;continue;case"}":{F+=`(?:${u(A,",").map(V=>S(V)).join("|")})`,ee=!1,A="";break}case"]":{F+="["+N+"]",O=!1,N="";break}case"?":F+=k;continue;case"*":F+=m(1);continue;default:F+=(0,f.escapeRegExpCharacters)(q)}}G<B.length-1&&(B[G+1]!==e.GLOBSTAR||G+2<B.length)&&(F+=C)}Y=H===e.GLOBSTAR})}return F}const w=/^\*\*\/\*\.[\w\.-]+$/,E=/^\*\*\/([\w\.-]+)\/?$/,P=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,g=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,h=/^\*\*((\/[\w\.-]+)+)\/?$/,l=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,n=new R.LRUCache(1e4),r=function(){return!1},i=function(){return null};function s(W,F){if(!W)return i;let B;typeof W!="string"?B=W.pattern:B=W,B=B.trim();const Y=`${B}_${!!F.trimForExclusions}`;let H=n.get(Y);if(H)return o(H,W);let G;return w.test(B)?H=c(B.substr(4),B):(G=E.exec(a(B,F)))?H=d(G[1],B):(F.trimForExclusions?g:P).test(B)?H=I(B,F):(G=h.exec(a(B,F)))?H=L(G[1].substr(1),B,!0):(G=l.exec(a(B,F)))?H=L(G[1],B,!1):H=T(B),n.set(Y,H),o(H,W)}function o(W,F){if(typeof F=="string")return W;const B=function(Y,H){return(0,D.isEqualOrParent)(Y,F.base,!b.isLinux)?W(Y.substr(F.base.length+1),H):null};return B.allBasenames=W.allBasenames,B.allPaths=W.allPaths,B.basenames=W.basenames,B.patterns=W.patterns,B}function a(W,F){return F.trimForExclusions&&W.endsWith("/**")?W.substr(0,W.length-2):W}function c(W,F){return function(B,Y){return typeof B=="string"&&B.endsWith(W)?F:null}}function d(W,F){const B=`/${W}`,Y=`\\${W}`,H=function(ee,A){return typeof ee!="string"?null:A?A===W?F:null:ee===W||ee.endsWith(B)||ee.endsWith(Y)?F:null},G=[W];return H.basenames=G,H.patterns=[F],H.allBasenames=G,H}function I(W,F){const B=$(W.slice(1,-1).split(",").map(A=>s(A,F)).filter(A=>A!==i),W),Y=B.length;if(!Y)return i;if(Y===1)return B[0];const H=function(A,O){for(let N=0,q=B.length;N<q;N++)if(B[N](A,O))return W;return null},G=B.find(A=>!!A.allBasenames);G&&(H.allBasenames=G.allBasenames);const ee=B.reduce((A,O)=>O.allPaths?A.concat(O.allPaths):A,[]);return ee.length&&(H.allPaths=ee),H}function L(W,F,B){const Y=M.sep===M.posix.sep,H=Y?W:W.replace(y,M.sep),G=M.sep+H,ee=M.posix.sep+W;let A;return B?A=function(O,N){return typeof O=="string"&&(O===H||O.endsWith(G)||!Y&&(O===W||O.endsWith(ee)))?F:null}:A=function(O,N){return typeof O=="string"&&(O===H||!Y&&O===W)?F:null},A.allPaths=[(B?"*/":"./")+W],A}function T(W){try{const F=new RegExp(`^${S(W)}$`);return function(B){return F.lastIndex=0,typeof B=="string"&&F.test(B)?W:null}}catch{return i}}function _(W,F,B){return!W||typeof F!="string"?!1:K(W)(F,void 0,B)}e.match=_;function K(W,F={}){if(!W)return r;if(typeof W=="string"||ie(W)){const B=s(W,F);if(B===i)return r;const Y=function(H,G){return!!B(H,G)};return B.allBasenames&&(Y.allBasenames=B.allBasenames),B.allPaths&&(Y.allPaths=B.allPaths),Y}return ae(W,F)}e.parse=K;function ie(W){const F=W;return F?typeof F.base=="string"&&typeof F.pattern=="string":!1}e.isRelativePattern=ie;function ne(W){return W.allBasenames||[]}e.getBasenameTerms=ne;function Q(W){return W.allPaths||[]}e.getPathTerms=Q;function ae(W,F){const B=$(Object.getOwnPropertyNames(W).map(A=>le(A,W[A],F)).filter(A=>A!==i)),Y=B.length;if(!Y)return i;if(!B.some(A=>!!A.requiresSiblings)){if(Y===1)return B[0];const A=function(q,J){let U;for(let V=0,x=B.length;V<x;V++){const se=B[V](q,J);if(typeof se=="string")return se;(0,t.isThenable)(se)&&(U||(U=[]),U.push(se))}return U?(async()=>{for(const V of U){const x=await V;if(typeof x=="string")return x}return null})():null},O=B.find(q=>!!q.allBasenames);O&&(A.allBasenames=O.allBasenames);const N=B.reduce((q,J)=>J.allPaths?q.concat(J.allPaths):q,[]);return N.length&&(A.allPaths=N),A}const H=function(A,O,N){let q,J;for(let U=0,V=B.length;U<V;U++){const x=B[U];x.requiresSiblings&&N&&(O||(O=(0,M.basename)(A)),q||(q=O.substr(0,O.length-(0,M.extname)(A).length)));const se=x(A,O,q,N);if(typeof se=="string")return se;(0,t.isThenable)(se)&&(J||(J=[]),J.push(se))}return J?(async()=>{for(const U of J){const V=await U;if(typeof V=="string")return V}return null})():null},G=B.find(A=>!!A.allBasenames);G&&(H.allBasenames=G.allBasenames);const ee=B.reduce((A,O)=>O.allPaths?A.concat(O.allPaths):A,[]);return ee.length&&(H.allPaths=ee),H}function le(W,F,B){if(F===!1)return i;const Y=s(W,B);if(Y===i)return i;if(typeof F=="boolean")return Y;if(F){const H=F.when;if(typeof H=="string"){const G=(ee,A,O,N)=>{if(!N||!Y(ee,A))return null;const q=H.replace("$(basename)",O),J=N(q);return(0,t.isThenable)(J)?J.then(U=>U?W:null):J?W:null};return G.requiresSiblings=!0,G}}return Y}function $(W,F){const B=W.filter(A=>!!A.basenames);if(B.length<2)return W;const Y=B.reduce((A,O)=>{const N=O.basenames;return N?A.concat(N):A},[]);let H;if(F){H=[];for(let A=0,O=Y.length;A<O;A++)H.push(F)}else H=B.reduce((A,O)=>{const N=O.patterns;return N?A.concat(N):A},[]);const G=function(A,O){if(typeof A!="string")return null;if(!O){let q;for(q=A.length;q>0;q--){const J=A.charCodeAt(q-1);if(J===47||J===92)break}O=A.substr(q)}const N=Y.indexOf(O);return N!==-1?H[N]:null};G.basenames=Y,G.patterns=H,G.allBasenames=Y;const ee=W.filter(A=>!A.basenames);return ee.push(G),ee}function oe(W,F){return(0,v.equals)(W,F,(B,Y)=>typeof B=="string"&&typeof Y=="string"?B===Y:typeof B!="string"&&typeof Y!="string"?B.base===Y.base&&B.pattern===Y.pattern:!1)}e.patternsEquals=oe}),define(X[34],Z([0,1,25,29,9,4,16,31]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getPathLabel=void 0;function f(i,s){const{os:o,tildify:a,relative:c}=s;if(c){const L=p(i,c,o);if(typeof L=="string")return L}let d=i.fsPath;if(o===1&&!R.isWindows?d=d.replace(/\//g,"\\"):o!==1&&R.isWindows&&(d=d.replace(/\\/g,"/")),o!==1&&a?.userHome){const L=a.userHome.fsPath;let T;i.scheme!==a.userHome.scheme&&i.path.startsWith(D.posix.sep)?T=a.userHome.with({path:i.path}).fsPath:T=i.fsPath,d=y(T,L,o)}return(o===1?D.win32:D.posix).normalize(C(d,o===1))}e.getPathLabel=f;function p(i,s,o){const a=o===1?D.win32:D.posix,c=o===3?M.extUri:M.extUriIgnorePathCase,d=s.getWorkspace(),I=(0,v.firstOrDefault)(d.folders);if(!I)return;i.scheme!==I.uri.scheme&&i.path.startsWith(D.posix.sep)&&(i=I.uri.with({path:i.path}));const L=s.getWorkspaceFolder(i);if(!L)return;let T;if(c.isEqual(L.uri,i)?T="":T=c.relativePath(L.uri,i)??"",T&&(T=a.normalize(T)),d.folders.length>1&&!s.noPrefix){const _=L.name?L.name:c.basenameOrAuthority(L.uri);T=T?`${_} \u2022 ${T}`:_}return T}function C(i,s=R.isWindows){return(0,t.hasDriveLetter)(i,s)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=C;let k=Object.create(null);function y(i,s,o=R.OS){if(o===1||!i||!s)return i;let a=k.original===s?k.normalized:void 0;a||(a=s,R.isWindows&&(a=(0,t.toSlashes)(a)),a=`${(0,b.rtrim)(a,D.posix.sep)}${D.posix.sep}`,k={original:s,normalized:a});let c=i;return R.isWindows&&(c=(0,t.toSlashes)(c)),(o===3?c.startsWith(a):(0,b.startsWithIgnoreCase)(c,a))?`~/${c.substr(a.length)}`:i}e.tildify=y;function m(i,s){return i.replace(/^~($|\/|\\)/,`${s}$1`)}e.untildify=m;const u="\u2026",S="\\\\",w="~";function E(i,s=D.sep){const o=new Array(i.length);let a=!1;for(let c=0;c<i.length;c++){const d=i[c];if(d===""){o[c]=`.${s}`;continue}if(!d){o[c]=d;continue}a=!0;let I="",L=d;L.indexOf(S)===0?(I=L.substr(0,L.indexOf(S)+S.length),L=L.substr(L.indexOf(S)+S.length)):L.indexOf(s)===0?(I=L.substr(0,L.indexOf(s)+s.length),L=L.substr(L.indexOf(s)+s.length)):L.indexOf(w)===0&&(I=L.substr(0,L.indexOf(w)+w.length),L=L.substr(L.indexOf(w)+w.length));const T=L.split(s);for(let _=1;a&&_<=T.length;_++)for(let K=T.length-_;a&&K>=0;K--){a=!1;let ie=T.slice(K,K+_).join(s);for(let ne=0;!a&&ne<i.length;ne++)if(ne!==c&&i[ne]&&i[ne].indexOf(ie)>-1){const Q=K+_===T.length,ae=K>0&&i[ne].indexOf(s)>-1?s+ie:ie,le=i[ne].endsWith(ae);a=!Q||le}if(!a){let ne="";(T[0].endsWith(":")||I!=="")&&(K===1&&(K=0,_++,ie=T[0]+s+ie),K>0&&(ne=T[0]+s),ne=I+ne),K>0&&(ne=ne+u+s),ne=ne+ie,K+_<T.length&&(ne=ne+s+u),o[c]=ne}}a&&(o[c]=d)}return o}e.shorten=E;var P;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(P||(P={}));function g(i,s=Object.create(null)){const o=[];let a=!1,c="";for(const d of i)if(d==="$"||a&&d==="{")c&&o.push({value:c,type:P.TEXT}),c="",a=!0;else if(d==="}"&&a){const I=s[c];if(typeof I=="string")I.length&&o.push({value:I,type:P.VARIABLE});else if(I){const L=o[o.length-1];(!L||L.type!==P.SEPARATOR)&&o.push({value:I.label,type:P.SEPARATOR})}c="",a=!1}else c+=d;return c&&!a&&o.push({value:c,type:P.TEXT}),o.filter((d,I)=>{if(d.type===P.SEPARATOR){const L=o[I-1],T=o[I+1];return[L,T].every(_=>_&&(_.type===P.VARIABLE||_.type===P.TEXT)&&_.value.length>0)}return!0}).map(d=>d.value).join("")}e.template=g;function h(i,s){return R.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,R.isMacintosh?"&":"&&"):i.replace(/&&|&/g,o=>o==="&"?"&&":"&")}e.mnemonicMenuLabel=h;function l(i,s){return R.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,""):R.isWindows?i.replace(/&&|&/g,o=>o==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=l;function n(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=n;function r(i){const s=i.indexOf("/")!==-1?D.posix:D.win32,o=s.basename(i),a=s.dirname(i);return o.length?{name:o,parentPath:a}:{name:a,parentPath:""}}e.splitName=r}),define(X[136],Z([0,1,7]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(C){return C.toJSON()}class D{constructor(k){this._uriTransformer=k}transformIncoming(k){const y=this._uriTransformer.transformIncoming(k);return y===k?k:t(v.URI.from(y))}transformOutgoing(k){const y=this._uriTransformer.transformOutgoing(k);return y===k?k:t(v.URI.from(y))}transformOutgoingURI(k){const y=this._uriTransformer.transformOutgoing(k);return y===k?k:v.URI.from(y)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=D,e.DefaultURITransformer=new class{transformIncoming(C){return C}transformOutgoing(C){return C}transformOutgoingURI(C){return C}transformOutgoingScheme(C){return C}};function R(C,k,y){if(!C||y>200)return null;if(typeof C=="object"){if(C instanceof v.URI)return k.transformOutgoing(C);for(const m in C)if(Object.hasOwnProperty.call(C,m)){const u=R(C[m],k,y+1);u!==null&&(C[m]=u)}}return null}function M(C,k){const y=R(C,k,0);return y===null?C:y}e.transformOutgoingURIs=M;function b(C,k,y,m){if(!C||m>200)return null;if(typeof C=="object"){if(C.$mid===1)return y?v.URI.revive(k.transformIncoming(C)):k.transformIncoming(C);for(const u in C)if(Object.hasOwnProperty.call(C,u)){const S=b(C[u],k,y,m+1);S!==null&&(C[u]=S)}}return null}function f(C,k){const y=b(C,k,!1,0);return y===null?C:y}e.transformIncomingURIs=f;function p(C,k){const y=b(C,k,!0,0);return y===null?C:y}e.transformAndReviveIncomingURIs=p}),define(X[80],Z([0,1,28,18,33,30,126]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(C){return this._virtualMachineOUIs||(this._virtualMachineOUIs=D.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(C)}value(){if(this._value===void 0){let C=0,k=0;const y=(0,v.networkInterfaces)();for(const m in y){const u=y[m];if(u)for(const{mac:S,internal:w}of u)w||(k+=1,this._isVirtualMachineMacAddress(S.toUpperCase())&&(C+=1))}this._value=k>0?C/k:0}return this._value}};let b;async function f(){return b||(b=(async()=>await p()||R.generateUuid())()),b}e.getMachineId=f;async function p(){try{const C=await new Promise((y,m)=>{z(["crypto"],y,m)}),k=(0,M.getMac)();return C.createHash("sha256").update(k,"utf8").digest("hex")}catch(C){t.onUnexpectedError(C);return}}}),define(X[23],Z([0,1,27,28,137,8,29,79,9,4,16,7]),function(z,e,v,t,D,R,M,b,f,p,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var y;(function(Q){Q[Q.UNLINK=0]="UNLINK",Q[Q.MOVE=1]="MOVE"})(y=e.RimRafMode||(e.RimRafMode={}));async function m(Q,ae=y.UNLINK){if((0,M.isRootOrDriveLetter)(Q))throw new Error("rimraf - will refuse to recursively delete root");return ae===y.UNLINK?S(Q):u(Q)}async function u(Q){try{const ae=(0,M.randomPath)((0,t.tmpdir)());try{await v.promises.rename(Q,ae)}catch{return S(Q)}S(ae).catch(le=>{})}catch(ae){if(ae.code!=="ENOENT")throw ae}}async function S(Q){return(0,D.promisify)(v.rm)(Q,{recursive:!0,force:!0,maxRetries:3})}function w(Q){if((0,M.isRootOrDriveLetter)(Q))throw new Error("rimraf - will refuse to recursively delete root");v.rmSync(Q,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=w;async function E(Q,ae){return h(await(ae?P(Q):(0,D.promisify)(v.readdir)(Q)))}async function P(Q){try{return await(0,D.promisify)(v.readdir)(Q,{withFileTypes:!0})}catch($){console.warn("[node.js fs] readdir with filetypes failed with error: ",$)}const ae=[],le=await E(Q);for(const $ of le){let oe=!1,W=!1,F=!1;try{const B=await e.Promises.lstat((0,f.join)(Q,$));oe=B.isFile(),W=B.isDirectory(),F=B.isSymbolicLink()}catch(B){console.warn("[node.js fs] unexpected error from lstat after readdir: ",B)}ae.push({name:$,isFile:()=>oe,isDirectory:()=>W,isSymbolicLink:()=>F})}return ae}function g(Q){return h(v.readdirSync(Q))}e.readdirSync=g;function h(Q){return Q.map(ae=>typeof ae=="string"?p.isMacintosh?(0,b.normalizeNFC)(ae):ae:(ae.name=p.isMacintosh?(0,b.normalizeNFC)(ae.name):ae.name,ae))}async function l(Q){const ae=await E(Q),le=[];for(const $ of ae)await r.existsDirectory((0,f.join)(Q,$))&&le.push($);return le}function n(Q,ae=1e3){return new Promise(le=>{let $=!1;const oe=setInterval(()=>{$||($=!0,v.access(Q,W=>{$=!1,W&&(clearInterval(oe),le(void 0))}))},ae)})}e.whenDeleted=n;var r;(function(Q){async function ae(oe){let W;try{if(W=await e.Promises.lstat(oe),!W.isSymbolicLink())return{stat:W}}catch{}try{return{stat:await e.Promises.stat(oe),symbolicLink:W?.isSymbolicLink()?{dangling:!1}:void 0}}catch(F){if(F.code==="ENOENT"&&W)return{stat:W,symbolicLink:{dangling:!0}};if(p.isWindows&&F.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(oe)),symbolicLink:{dangling:!1}}}catch(B){if(B.code==="ENOENT"&&W)return{stat:W,symbolicLink:{dangling:!0}};throw B}throw F}}Q.stat=ae;async function le(oe){try{const{stat:W,symbolicLink:F}=await Q.stat(oe);return W.isFile()&&F?.dangling!==!0}catch{}return!1}Q.existsFile=le;async function $(oe){try{const{stat:W,symbolicLink:F}=await Q.stat(oe);return W.isDirectory()&&F?.dangling!==!0}catch{}return!1}Q.existsDirectory=$})(r=e.SymlinkSupport||(e.SymlinkSupport={}));const i=new R.ResourceQueue;function s(Q,ae,le){return i.queueFor(k.URI.file(Q),C.extUriBiasedIgnorePathCase).queue(()=>{const $=d(le);return new Promise((oe,W)=>a(Q,ae,$,F=>F?W(F):oe()))})}let o=!0;function a(Q,ae,le,$){if(!o)return v.writeFile(Q,ae,{mode:le.mode,flag:le.flag},$);v.open(Q,le.flag,le.mode,(oe,W)=>{if(oe)return $(oe);v.writeFile(W,ae,F=>{if(F)return v.close(W,()=>$(F));v.fdatasync(W,B=>(B&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",B),o=!1),v.close(W,Y=>$(Y))))})})}function c(Q,ae,le){const $=d(le);if(!o)return v.writeFileSync(Q,ae,{mode:$.mode,flag:$.flag});const oe=v.openSync(Q,$.flag,$.mode);try{v.writeFileSync(oe,ae);try{v.fdatasyncSync(oe)}catch(W){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",W),o=!1}}finally{v.closeSync(oe)}}e.writeFileSync=c;function d(Q){return Q?{mode:typeof Q.mode=="number"?Q.mode:438,flag:typeof Q.flag=="string"?Q.flag:"w"}:{mode:438,flag:"w"}}async function I(Q,ae){if(Q!==ae)try{await e.Promises.rename(Q,ae)}catch(le){if(Q.toLowerCase()!==ae.toLowerCase()&&le.code==="EXDEV"||Q.endsWith("."))await L(Q,ae,{preserveSymlinks:!1}),await m(Q,y.MOVE);else throw le}}async function L(Q,ae,le){return _(Q,ae,{root:{source:Q,target:ae},options:le,handledSourcePaths:new Set})}const T=511;async function _(Q,ae,le){if(le.handledSourcePaths.has(Q))return;le.handledSourcePaths.add(Q);const{stat:$,symbolicLink:oe}=await r.stat(Q);if(oe){if(le.options.preserveSymlinks)try{return await ne(Q,ae,le)}catch(W){console.warn("[node.js fs] copy of symlink failed: ",W)}if(oe.dangling)return}return $.isDirectory()?K(Q,ae,$.mode&T,le):ie(Q,ae,$.mode&T)}async function K(Q,ae,le,$){await e.Promises.mkdir(ae,{recursive:!0,mode:le});const oe=await E(Q);for(const W of oe)await _((0,f.join)(Q,W),(0,f.join)(ae,W),$)}async function ie(Q,ae,le){await e.Promises.copyFile(Q,ae),await e.Promises.chmod(ae,le)}async function ne(Q,ae,le){let $=await e.Promises.readlink(Q);(0,M.isEqualOrParent)($,le.root.source,!p.isLinux)&&($=(0,f.join)(le.root.target,$.substr(le.root.source.length+1))),await e.Promises.symlink($,ae)}e.Promises=new class{get access(){return(0,D.promisify)(v.access)}get stat(){return(0,D.promisify)(v.stat)}get lstat(){return(0,D.promisify)(v.lstat)}get utimes(){return(0,D.promisify)(v.utimes)}get read(){return(Q,ae,le,$,oe)=>new Promise((W,F)=>{v.read(Q,ae,le,$,oe,(B,Y,H)=>B?F(B):W({bytesRead:Y,buffer:H}))})}get readFile(){return(0,D.promisify)(v.readFile)}get write(){return(Q,ae,le,$,oe)=>new Promise((W,F)=>{v.write(Q,ae,le,$,oe,(B,Y,H)=>B?F(B):W({bytesWritten:Y,buffer:H}))})}get appendFile(){return(0,D.promisify)(v.appendFile)}get fdatasync(){return(0,D.promisify)(v.fdatasync)}get truncate(){return(0,D.promisify)(v.truncate)}get rename(){return(0,D.promisify)(v.rename)}get copyFile(){return(0,D.promisify)(v.copyFile)}get open(){return(0,D.promisify)(v.open)}get close(){return(0,D.promisify)(v.close)}get symlink(){return(0,D.promisify)(v.symlink)}get readlink(){return(0,D.promisify)(v.readlink)}get chmod(){return(0,D.promisify)(v.chmod)}get mkdir(){return(0,D.promisify)(v.mkdir)}get unlink(){return(0,D.promisify)(v.unlink)}get rmdir(){return(0,D.promisify)(v.rmdir)}get realpath(){return(0,D.promisify)(v.realpath)}async exists(Q){try{return await e.Promises.access(Q),!0}catch{return!1}}get readdir(){return E}get readDirsInDir(){return l}get writeFile(){return s}get rm(){return m}get move(){return I}get copy(){return L}}}),define(X[93],Z([0,1,27,9,4,31,23]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function b(y){if(D.isLinux)return y;const m=(0,t.dirname)(y);if(y===m)return y;const u=((0,t.basename)(y)||y).toLowerCase();try{const w=(0,M.readdirSync)(m).filter(E=>E.toLowerCase()===u);if(w.length===1){const E=b(m);if(E)return(0,t.join)(E,w[0])}else if(w.length>1){const E=w.indexOf(u);if(E>=0){const P=b(m);if(P)return(0,t.join)(P,w[E])}}}catch{}return null}e.realcaseSync=b;async function f(y){if(D.isLinux)return y;const m=(0,t.dirname)(y);if(y===m)return y;const u=((0,t.basename)(y)||y).toLowerCase();try{const w=(await M.Promises.readdir(m)).filter(E=>E.toLowerCase()===u);if(w.length===1){const E=await f(m);if(E)return(0,t.join)(E,w[0])}else if(w.length>1){const E=w.indexOf(u);if(E>=0){const P=await f(m);if(P)return(0,t.join)(P,w[E])}}}catch{}return null}e.realcase=f;async function p(y){try{return await M.Promises.realpath(y)}catch{const u=k(y);return await M.Promises.access(u,v.constants.R_OK),u}}e.realpath=p;function C(y){try{return v.realpathSync(y)}catch{const u=k(y);return v.accessSync(u,v.constants.R_OK),u}}e.realpathSync=C;function k(y){return(0,R.rtrim)((0,t.normalize)(y),t.sep)}}),define(X[138],Z([0,1,28,9,23]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const R=/^\d+$/,M=/^Microsoft.PowerShell_.*/,b=/^Microsoft.PowerShellPreview_.*/;var f;(function(h){h[h.x64=0]="x64",h[h.x86=1]="x86",h[h.ARM=2]="ARM"})(f||(f={}));let p;switch(process.arch){case"ia32":case"x32":p=1;break;case"arm":case"arm64":p=2;break;default:p=0;break}let C;process.env.PROCESSOR_ARCHITEW6432?C=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?C=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?C=1:C=0;class k{constructor(l,n,r){this.exePath=l,this.displayName=n,this.knownToExist=r}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await D.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function y({useAlternateBitness:h=!1}={}){return h?p===0?process.env["ProgramFiles(x86)"]||null:C===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function m({useAlternateBitness:h=!1,findPreview:l=!1}={}){const n=y({useAlternateBitness:h});if(!n)return null;const r=t.join(n,"PowerShell");if(!await D.SymlinkSupport.existsDirectory(r))return null;let i=-1,s=null;for(const c of await D.Promises.readdir(r)){let d=-1;if(l){const L=c.indexOf("-");if(L<0)continue;const T=c.substring(0,L);if(!R.test(T)||c.substring(L+1)!=="preview")continue;d=parseInt(T,10)}else{if(!R.test(c))continue;d=parseInt(c,10)}if(d<=i)continue;const I=t.join(r,c,"pwsh.exe");!await D.SymlinkSupport.existsFile(I)||(s=I,i=d)}if(!s)return null;const o=n.includes("x86")?" (x86)":"",a=l?" Preview":"";return new k(s,`PowerShell${a}${o}`,!0)}async function u({findPreview:h}={}){if(!process.env.LOCALAPPDATA)return null;const l=t.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await D.SymlinkSupport.existsDirectory(l))return null;const{pwshMsixDirRegex:n,pwshMsixName:r}=h?{pwshMsixDirRegex:b,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:M,pwshMsixName:"PowerShell (Store)"};for(const i of await D.Promises.readdir(l))if(n.test(i)){const s=t.join(l,i,"pwsh.exe");return new k(s,r)}return null}function S(){const h=t.join(v.homedir(),".dotnet","tools","pwsh.exe");return new k(h,".NET Core PowerShell Global Tool")}function w(){const h=t.join(process.env.windir,p===1&&C!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new k(h,"Windows PowerShell",!0)}async function*E(){let h=await m();h&&(yield h),h=await m({useAlternateBitness:!0}),h&&(yield h),h=await u(),h&&(yield h),h=S(),h&&(yield h),h=await m({findPreview:!0}),h&&(yield h),h=await u({findPreview:!0}),h&&(yield h),h=await m({useAlternateBitness:!0,findPreview:!0}),h&&(yield h),h=w(),h&&(yield h)}async function*P(){for await(const h of E())await h.exists()&&(yield h)}e.enumeratePowerShellInstallations=P;async function g(){for await(const h of P())return h;return null}e.getFirstAvailablePowerShellInstallation=g}),define(X[94],Z([0,1,42,12]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function D(M){return new Promise((b,f)=>{let p;const C=new Map;function k(m,u,S,w,E){const P=C.get(u);if(m===M||P){const g={name:y(S),cmd:S,pid:m,ppid:u,load:w,mem:E};C.set(m,g),m===M&&(p=g),P&&(P.children||(P.children=[]),P.children.push(g),P.children.length>1&&(P.children=P.children.sort((h,l)=>h.pid-l.pid)))}}function y(m){const u=/--vscode-window-kind=shared-process/,S=/--vscode-window-kind=issue-reporter/,w=/--vscode-window-kind=process-explorer/,E=/--utility-sub-type=network/,P=/--vscode-utility-kind=extension-host/,g=/--crashes-directory/,h=/\\pipe\\winpty-control/,l=/conhost\.exe/,n=/--type=([a-zA-Z-]+)/;if(g.exec(m))return"electron-crash-reporter";if(h.exec(m))return"winpty-process";if(l.exec(m))return"console-window-host (Windows internal process)";let r=n.exec(m);if(r&&r.length===2){if(r[1]==="renderer")return u.exec(m)?"shared-process":S.exec(m)?"issue-reporter":w.exec(m)?"process-explorer":"window";if(r[1]==="utility"){if(E.exec(m))return"utility-network-service";if(P.exec(m))return"extension-host"}return r[1]}const i=/[a-zA-Z-]+\.js/g;let s="";do r=i.exec(m),r&&(s+=r+" ");while(r);return s&&m.indexOf("node ")<0&&m.indexOf("node.exe")<0?`electron_node ${s}`:m}if(process.platform==="win32"){const m=u=>u.indexOf("\\\\?\\")===0||u.indexOf("\\??\\")===0?u.substr(4):u.indexOf('"\\\\?\\')===0||u.indexOf('"\\??\\')===0?'"'+u.substr(5):u;new Promise((u,S)=>{z(["windows-process-tree"],u,S)}).then(u=>{u.getProcessList(M,S=>{if(!S){f(new Error(`Root process ${M} not found`));return}u.getProcessCpuUsage(S,w=>{const E=new Map;w.forEach(P=>{const g=m(P.commandLine||"");E.set(P.pid,{name:y(g),cmd:g,pid:P.pid,ppid:P.ppid,load:P.cpu||0,mem:P.memory||0})}),p=E.get(M),p?(E.forEach(P=>{const g=E.get(P.ppid);g&&(g.children||(g.children=[]),g.children.push(P))}),E.forEach(P=>{P.children&&(P.children=P.children.sort((g,h)=>g.pid-h.pid))}),b(p)):f(new Error(`Root process ${M} not found`))})},u.ProcessDataFlag.CommandLine|u.ProcessDataFlag.Memory)})}else{let m=function(){let u=[p];const S=[];for(;u.length;){const E=u.shift();E&&(S.push(E.pid),E.children&&(u=u.concat(E.children)))}let w=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",z).fsPath);w+=" "+S.join(" "),(0,v.exec)(w,{},(E,P,g)=>{if(E||g)f(E||new Error(g.toString()));else{const h=P.toString().split(`
`);for(let l=0;l<S.length;l++){const n=C.get(S[l]);n.load=parseFloat(h[l])}if(!p){f(new Error(`Root process ${M} not found`));return}b(p)}})};(0,v.exec)("which ps",{},(u,S,w)=>{if(u||w)if(process.platform!=="linux")f(u||new Error(w.toString()));else{const E=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/ps.sh",z).fsPath);(0,v.exec)(E,{},(P,g,h)=>{P||h?f(P||new Error(h.toString())):(R(g,k),m())})}else{const E=S.toString().trim(),P="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,v.exec)(`${E} ${P}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(g,h,l)=>{g||l&&!l.includes("screen size is bogus")?f(g||new Error(l.toString())):(R(h,k),process.platform==="linux"?m():p?b(p):f(new Error(`Root process ${M} not found`)))})}})}})}e.listProcesses=D;function R(M,b){const f=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,p=M.toString().split(`
`);for(const C of p){const k=f.exec(C.trim());k&&k.length===6&&b(parseInt(k[1]),parseInt(k[2]),k[5],parseFloat(k[3]),parseFloat(k[4]))}}});var fe=this&&this.__decorate||function(z,e,v,t){var D=arguments.length,R=D<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,v):t,M;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate(z,e,v,t);else for(var b=z.length-1;b>=0;b--)(M=z[b])&&(R=(D<3?M(R):D>3?M(e,v,R):M(e,v))||R);return D>3&&R&&Object.defineProperty(e,v,R),R};define(X[43],Z([0,1,25,8,19,22,51,18,3,2,66,31,13]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var m;(function(W){W[W.Promise=100]="Promise",W[W.PromiseCancel=101]="PromiseCancel",W[W.EventListen=102]="EventListen",W[W.EventDispose=103]="EventDispose"})(m=e.RequestType||(e.RequestType={}));function u(W){switch(W){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var S;(function(W){W[W.Initialize=200]="Initialize",W[W.PromiseSuccess=201]="PromiseSuccess",W[W.PromiseError=202]="PromiseError",W[W.PromiseErrorObj=203]="PromiseErrorObj",W[W.EventFire=204]="EventFire"})(S=e.ResponseType||(e.ResponseType={}));function w(W){switch(W){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var E;(function(W){W[W.Uninitialized=0]="Uninitialized",W[W.Idle=1]="Idle"})(E||(E={}));class P{constructor(F){this.buffer=F,this.pos=0}read(F){const B=this.buffer.slice(this.pos,this.pos+F);return this.pos+=B.byteLength,B}}class g{constructor(){this.buffers=[]}get buffer(){return D.VSBuffer.concat(this.buffers)}write(F){this.buffers.push(F)}}var h;(function(W){W[W.Undefined=0]="Undefined",W[W.String=1]="String",W[W.Buffer=2]="Buffer",W[W.VSBuffer=3]="VSBuffer",W[W.Array=4]="Array",W[W.Object=5]="Object"})(h||(h={}));function l(W){const F=D.VSBuffer.alloc(4);return F.writeUInt32BE(W,0),F}function n(W){return W.read(4).readUInt32BE(0)}function r(W){const F=D.VSBuffer.alloc(1);return F.writeUInt8(W,0),F}const i={Undefined:r(h.Undefined),String:r(h.String),Buffer:r(h.Buffer),VSBuffer:r(h.VSBuffer),Array:r(h.Array),Object:r(h.Object)},s=typeof Buffer!="undefined";function o(W,F){if(typeof F=="undefined")W.write(i.Undefined);else if(typeof F=="string"){const B=D.VSBuffer.fromString(F);W.write(i.String),W.write(l(B.byteLength)),W.write(B)}else if(s&&Buffer.isBuffer(F)){const B=D.VSBuffer.wrap(F);W.write(i.Buffer),W.write(l(B.byteLength)),W.write(B)}else if(F instanceof D.VSBuffer)W.write(i.VSBuffer),W.write(l(F.byteLength)),W.write(F);else if(Array.isArray(F)){W.write(i.Array),W.write(l(F.length));for(const B of F)o(W,B)}else{const B=D.VSBuffer.fromString(JSON.stringify(F));W.write(i.Object),W.write(l(B.byteLength)),W.write(B)}}function a(W){switch(W.read(1).readUInt8(0)){case h.Undefined:return;case h.String:return W.read(n(W)).toString();case h.Buffer:return W.read(n(W)).buffer;case h.VSBuffer:return W.read(n(W));case h.Array:{const B=n(W),Y=[];for(let H=0;H<B;H++)Y.push(a(W));return Y}case h.Object:return JSON.parse(W.read(n(W)).toString())}}class c{constructor(F,B,Y=null,H=1e3){this.protocol=F,this.ctx=B,this.logger=Y,this.timeoutDelay=H,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(G=>this.onRawMessage(G)),this.sendResponse({type:200})}registerChannel(F,B){this.channels.set(F,B),setTimeout(()=>this.flushPendingRequests(F),0)}sendResponse(F){switch(F.type){case 200:{const B=this.send([F.type]);this.logger?.logOutgoing(B,0,1,w(F.type));return}case 201:case 202:case 204:case 203:{const B=this.send([F.type,F.id],F.data);this.logger?.logOutgoing(B,F.id,1,w(F.type),F.data);return}}}send(F,B=void 0){const Y=new g;return o(Y,F),o(Y,B),this.sendBuffer(Y.buffer)}sendBuffer(F){try{return this.protocol.send(F),F.byteLength}catch{return 0}}onRawMessage(F){const B=new P(F),Y=a(B),H=a(B),G=Y[0];switch(G){case 100:return this.logger?.logIncoming(F.byteLength,Y[1],1,`${u(G)}: ${Y[2]}.${Y[3]}`,H),this.onPromise({type:G,id:Y[1],channelName:Y[2],name:Y[3],arg:H});case 102:return this.logger?.logIncoming(F.byteLength,Y[1],1,`${u(G)}: ${Y[2]}.${Y[3]}`,H),this.onEventListen({type:G,id:Y[1],channelName:Y[2],name:Y[3],arg:H});case 101:return this.logger?.logIncoming(F.byteLength,Y[1],1,`${u(G)}`),this.disposeActiveRequest({type:G,id:Y[1]});case 103:return this.logger?.logIncoming(F.byteLength,Y[1],1,`${u(G)}`),this.disposeActiveRequest({type:G,id:Y[1]})}}onPromise(F){const B=this.channels.get(F.channelName);if(!B){this.collectPendingRequest(F);return}const Y=new R.CancellationTokenSource;let H;try{H=B.call(this.ctx,F.name,F.arg,Y.token)}catch(A){H=Promise.reject(A)}const G=F.id;H.then(A=>{this.sendResponse({id:G,data:A,type:201}),this.activeRequests.delete(F.id)},A=>{A instanceof Error?this.sendResponse({id:G,data:{message:A.message,name:A.name,stack:A.stack?A.stack.split?A.stack.split(`
`):A.stack:void 0},type:202}):this.sendResponse({id:G,data:A,type:203}),this.activeRequests.delete(F.id)});const ee=(0,p.toDisposable)(()=>Y.cancel());this.activeRequests.set(F.id,ee)}onEventListen(F){const B=this.channels.get(F.channelName);if(!B){this.collectPendingRequest(F);return}const Y=F.id,G=B.listen(this.ctx,F.name,F.arg)(ee=>this.sendResponse({id:Y,data:ee,type:204}));this.activeRequests.set(F.id,G)}disposeActiveRequest(F){const B=this.activeRequests.get(F.id);B&&(B.dispose(),this.activeRequests.delete(F.id))}collectPendingRequest(F){let B=this.pendingRequests.get(F.channelName);B||(B=[],this.pendingRequests.set(F.channelName,B));const Y=setTimeout(()=>{console.error(`Unknown channel: ${F.channelName}`),F.type===100&&this.sendResponse({id:F.id,data:{name:"Unknown channel",message:`Channel name '${F.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);B.push({request:F,timeoutTimer:Y})}flushPendingRequests(F){const B=this.pendingRequests.get(F);if(B){for(const Y of B)switch(clearTimeout(Y.timeoutTimer),Y.request.type){case 100:this.onPromise(Y.request);break;case 102:this.onEventListen(Y.request);break}this.pendingRequests.delete(F)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,p.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=c;var d;(function(W){W[W.LocalSide=0]="LocalSide",W[W.OtherSide=1]="OtherSide"})(d=e.RequestInitiator||(e.RequestInitiator={}));class I{constructor(F,B=null){this.protocol=F,this.isDisposed=!1,this.state=E.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new f.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(Y=>this.onBuffer(Y)),this.logger=B}getChannel(F){const B=this;return{call(Y,H,G){return B.isDisposed?Promise.reject(b.canceled()):B.requestPromise(F,Y,H,G)},listen(Y,H){return B.isDisposed?f.Event.None:B.requestEvent(F,Y,H)}}}requestPromise(F,B,Y,H=R.CancellationToken.None){const G=this.lastRequestId++,A={id:G,type:100,channelName:F,name:B,arg:Y};if(H.isCancellationRequested)return Promise.reject(b.canceled());let O;return new Promise((q,J)=>{if(H.isCancellationRequested)return J(b.canceled());const U=()=>{const ce=ge=>{switch(ge.type){case 201:this.handlers.delete(G),q(ge.data);break;case 202:{this.handlers.delete(G);const ye=new Error(ge.data.message);ye.stack=ge.data.stack,ye.name=ge.data.name,J(ye);break}case 203:this.handlers.delete(G),J(ge.data);break}};this.handlers.set(G,ce),this.sendRequest(A)};let V=null;this.state===E.Idle?U():(V=(0,t.createCancelablePromise)(ce=>this.whenInitialized()),V.then(()=>{V=null,U()}));const x=()=>{V?(V.cancel(),V=null):this.sendRequest({id:G,type:101}),J(b.canceled())},se=H.onCancellationRequested(x);O=(0,p.combinedDisposable)((0,p.toDisposable)(x),se),this.activeRequests.add(O)}).finally(()=>{this.activeRequests.delete(O)})}requestEvent(F,B,Y){const H=this.lastRequestId++,ee={id:H,type:102,channelName:F,name:B,arg:Y};let A=null;const O=new f.Emitter({onFirstListenerAdd:()=>{A=(0,t.createCancelablePromise)(q=>this.whenInitialized()),A.then(()=>{A=null,this.activeRequests.add(O),this.sendRequest(ee)})},onLastListenerRemove:()=>{A?(A.cancel(),A=null):(this.activeRequests.delete(O),this.sendRequest({id:H,type:103}))}}),N=q=>O.fire(q.data);return this.handlers.set(H,N),O.event}sendRequest(F){switch(F.type){case 100:case 102:{const B=this.send([F.type,F.id,F.channelName,F.name],F.arg);this.logger?.logOutgoing(B,F.id,0,`${u(F.type)}: ${F.channelName}.${F.name}`,F.arg);return}case 101:case 103:{const B=this.send([F.type,F.id]);this.logger?.logOutgoing(B,F.id,0,u(F.type));return}}}send(F,B=void 0){const Y=new g;return o(Y,F),o(Y,B),this.sendBuffer(Y.buffer)}sendBuffer(F){try{return this.protocol.send(F),F.byteLength}catch{return 0}}onBuffer(F){const B=new P(F),Y=a(B),H=a(B),G=Y[0];switch(G){case 200:return this.logger?.logIncoming(F.byteLength,0,0,w(G)),this.onResponse({type:Y[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(F.byteLength,Y[1],0,w(G),H),this.onResponse({type:Y[0],id:Y[1],data:H})}}onResponse(F){if(F.type===200){this.state=E.Idle,this._onDidInitialize.fire();return}this.handlers.get(F.id)?.(F)}get onDidInitializePromise(){return f.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===E.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,p.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}fe([M.memoize],I.prototype,"onDidInitializePromise",null),e.ChannelClient=I;class L{constructor(F){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new f.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new f.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,F(({protocol:B,onDidClientDisconnect:Y})=>{f.Event.once(B.onMessage)(G=>{const ee=new P(G),A=a(ee),O=new c(B,A),N=new I(B);this.channels.forEach((J,U)=>O.registerChannel(U,J));const q={channelServer:O,channelClient:N,ctx:A};this._connections.add(q),this._onDidAddConnection.fire(q),Y(()=>{O.dispose(),N.dispose(),this._connections.delete(q),this._onDidRemoveConnection.fire(q)})})})}get connections(){const F=[];return this._connections.forEach(B=>F.push(B)),F}getChannel(F,B){const Y=this;return{call(H,G,ee){let A;if((0,y.isFunction)(B)){const N=(0,v.getRandomElement)(Y.connections.filter(B));A=N?Promise.resolve(N):f.Event.toPromise(f.Event.filter(Y.onDidAddConnection,B))}else A=B.routeCall(Y,H,G);const O=A.then(N=>N.channelClient.getChannel(F));return _(O).call(H,G,ee)},listen(H,G){if((0,y.isFunction)(B))return Y.getMulticastEvent(F,B,H,G);const ee=B.routeEvent(Y,H,G).then(A=>A.channelClient.getChannel(F));return _(ee).listen(H,G)}}}getMulticastEvent(F,B,Y,H){const G=this;let ee=new p.DisposableStore;const A=new f.Emitter({onFirstListenerAdd:()=>{ee=new p.DisposableStore;const O=new f.EventMultiplexer,N=new Map,q=U=>{const x=U.channelClient.getChannel(F).listen(Y,H),se=O.add(x);N.set(U,se)},J=U=>{const V=N.get(U);!V||(V.dispose(),N.delete(U))};G.connections.filter(B).forEach(q),f.Event.filter(G.onDidAddConnection,B)(q,void 0,ee),G.onDidRemoveConnection(J,void 0,ee),O.event(A.fire,A,ee),ee.add(O)},onLastListenerRemove:()=>{ee.dispose()}});return A.event}registerChannel(F,B){this.channels.set(F,B),this._connections.forEach(Y=>{Y.channelServer.registerChannel(F,B)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=L;class T{constructor(F,B,Y=null){const H=new g;o(H,B),F.send(H.buffer),this.channelClient=new I(F,Y),this.channelServer=new c(F,B,Y)}getChannel(F){return this.channelClient.getChannel(F)}registerChannel(F,B){this.channelServer.registerChannel(F,B)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=T;function _(W){return{call(F,B,Y){return W.then(H=>H.call(F,B,Y))},listen(F,B){const Y=new f.Relay;return W.then(H=>Y.input=H.listen(F,B)),Y.event}}}e.getDelayedChannel=_;function K(W){let F=!1;return{call(B,Y,H){return F?W.call(B,Y,H):(0,t.timeout)(0).then(()=>F=!0).then(()=>W.call(B,Y,H))},listen(B,Y){if(F)return W.listen(B,Y);const H=new f.Relay;return(0,t.timeout)(0).then(()=>F=!0).then(()=>H.input=W.listen(B,Y)),H.event}}}e.getNextTickChannel=K;class ie{constructor(F){this.fn=F}routeCall(F){return this.route(F)}routeEvent(F){return this.route(F)}async route(F){for(const B of F.connections)if(await Promise.resolve(this.fn(B.ctx)))return Promise.resolve(B);return await f.Event.toPromise(F.onDidAddConnection),await this.route(F)}}e.StaticRouter=ie;var ne;(function(W){function F(G,ee){const A=G,O=ee&&ee.disableMarshalling,N=new Map;for(const q in A)Y(q)&&N.set(q,f.Event.buffer(A[q],!0));return new class{listen(q,J,U){const V=N.get(J);if(V)return V;if(H(J)){const x=A[J];if(typeof x=="function")return x.call(A,U)}throw new Error(`Event not found: ${J}`)}call(q,J,U){const V=A[J];if(typeof V=="function"){if(!O&&Array.isArray(U))for(let x=0;x<U.length;x++)U[x]=(0,C.revive)(U[x]);return V.apply(A,U)}throw new Error(`Method not found: ${J}`)}}}W.fromService=F;function B(G,ee){const A=ee&&ee.disableMarshalling;return new Proxy({},{get(O,N){if(typeof N=="string")return ee?.properties?.has(N)?ee.properties.get(N):H(N)?function(q){return G.listen(N,q)}:Y(N)?G.listen(N):async function(...q){let J;ee&&!(0,y.isUndefinedOrNull)(ee.context)?J=[ee.context,...q]:J=q;const U=await G.call(N,J);return A?U:(0,C.revive)(U)};throw new Error(`Property not found: ${String(N)}`)}})}W.toService=B;function Y(G){return G[0]==="o"&&G[1]==="n"&&k.isUpperAsciiLetter(G.charCodeAt(2))}function H(G){return/^onDynamic/.test(G)&&k.isUpperAsciiLetter(G.charCodeAt(9))}})(ne=e.ProxyChannel||(e.ProxyChannel={}));const Q=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ae(W){if(Array.isArray(W))return W;if(W&&typeof W=="object"&&typeof W.toString=="function"){const F=W.toString();if(F!=="[object Object]")return F}return W}function le(W){return Array.isArray(W)?W.map(ae):ae(W)}function $(W,F,B,Y,H,G,ee){ee=le(ee);const A=Q[H],O=A[Y%A.length];let N=[`%c[${W}]%c[${String(F).padStart(7," ")}]%c[len: ${String(B).padStart(5," ")}]%c${String(Y).padStart(5," ")} - ${G}`,"color: darkgreen","color: grey","color: grey",`color: ${O}`];/\($/.test(G)?(N=N.concat(ee),N.push(")")):N.push(ee),console.log.apply(console,N)}e.logWithColors=$;class oe{constructor(F,B){this._outgoingPrefix=F,this._incomingPrefix=B,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(F,B,Y,H,G){this._totalOutgoing+=F,$(this._outgoingPrefix,this._totalOutgoing,F,B,Y,H,G)}logIncoming(F,B,Y,H,G){this._totalIncoming+=F,$(this._incomingPrefix,this._totalIncoming,F,B,Y,H,G)}}e.IPCLogger=oe}),define(X[139],Z([0,1,19,3,43]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class R{constructor(f){this.port=f,this.onMessage=t.Event.fromDOMEventEmitter(this.port,"message",p=>v.VSBuffer.wrap(p.data)),f.start()}send(f){this.port.postMessage(f.buffer)}disconnect(){this.port.close()}}e.Protocol=R;class M extends D.IPCClient{constructor(f,p){const C=new R(f);super(C,p);this.protocol=C}dispose(){this.protocol.disconnect()}}e.Client=M}),define(X[95],Z([0,1,19,3,2,43]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var M;(function(s){s.Created="created",s.Read="read",s.Write="write",s.Open="open",s.Error="error",s.Close="close",s.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",s.NodeEndReceived="nodeEndReceived",s.NodeEndSent="nodeEndSent",s.NodeDrainBegin="nodeDrainBegin",s.NodeDrainEnd="nodeDrainEnd",s.zlibInflateError="zlibInflateError",s.zlibInflateData="zlibInflateData",s.zlibInflateInitialWrite="zlibInflateInitialWrite",s.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",s.zlibInflateWrite="zlibInflateWrite",s.zlibInflateFlushFired="zlibInflateFlushFired",s.zlibDeflateError="zlibDeflateError",s.zlibDeflateData="zlibDeflateData",s.zlibDeflateWrite="zlibDeflateWrite",s.zlibDeflateFlushFired="zlibDeflateFlushFired",s.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",s.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",s.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",s.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",s.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",s.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",s.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",s.ProtocolHeaderRead="protocolHeaderRead",s.ProtocolMessageRead="protocolMessageRead",s.ProtocolHeaderWrite="protocolHeaderWrite",s.ProtocolMessageWrite="protocolMessageWrite",s.ProtocolWrite="protocolWrite"})(M=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var b;(function(s){s.enableDiagnostics=!1,s.records=[];const o=new WeakMap;let a=0;function c(I,L){if(!o.has(I)){const T=String(++a);o.set(I,T)}return o.get(I)}function d(I,L,T,_){if(!s.enableDiagnostics)return;const K=c(I,L);if(_ instanceof v.VSBuffer||_ instanceof Uint8Array||_ instanceof ArrayBuffer||ArrayBuffer.isView(_)){const ie=v.VSBuffer.alloc(_.byteLength);ie.set(_),s.records.push({timestamp:Date.now(),id:K,label:L,type:T,buff:ie})}else s.records.push({timestamp:Date.now(),id:K,label:L,type:T,data:_})}s.traceSocketEvent=d})(b=e.SocketDiagnostics||(e.SocketDiagnostics={}));var f;(function(s){s[s.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",s[s.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(f=e.SocketCloseEventType||(e.SocketCloseEventType={}));let p=null;function C(){return p||(p=v.VSBuffer.alloc(0)),p}class k{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(o){this._chunks.push(o),this._totalLength+=o.byteLength}read(o){return this._read(o,!0)}peek(o){return this._read(o,!1)}_read(o,a){if(o===0)return C();if(o>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===o){const L=this._chunks[0];return a&&(this._chunks.shift(),this._totalLength-=o),L}if(this._chunks[0].byteLength>o){const L=this._chunks[0].slice(0,o);return a&&(this._chunks[0]=this._chunks[0].slice(o),this._totalLength-=o),L}const c=v.VSBuffer.alloc(o);let d=0,I=0;for(;o>0;){const L=this._chunks[I];if(L.byteLength>o){const T=L.slice(0,o);c.set(T,d),d+=o,a&&(this._chunks[I]=L.slice(o),this._totalLength-=o),o-=o}else c.set(L,d),d+=L.byteLength,a?(this._chunks.shift(),this._totalLength-=L.byteLength):I++,o-=L.byteLength}return c}}e.ChunkStream=k;var y;(function(s){s[s.None=0]="None",s[s.Regular=1]="Regular",s[s.Control=2]="Control",s[s.Ack=3]="Ack",s[s.Disconnect=5]="Disconnect",s[s.ReplayRequest=6]="ReplayRequest",s[s.Pause=7]="Pause",s[s.Resume=8]="Resume"})(y||(y={}));function m(s){switch(s){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var u;(function(s){s[s.HeaderLength=13]="HeaderLength",s[s.AcknowledgeTime=2e3]="AcknowledgeTime",s[s.TimeoutTime=2e4]="TimeoutTime",s[s.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",s[s.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(u=e.ProtocolConstants||(e.ProtocolConstants={}));class S{constructor(o,a,c,d){this.type=o,this.id=a,this.ack=c,this.data=d,this.writtenTime=0}get size(){return this.data.byteLength}}class w extends D.Disposable{constructor(o){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=o,this._isDisposed=!1,this._incomingData=new k,this._register(this._socket.onData(a=>this.acceptChunk(a))),this.lastReadTime=Date.now()}acceptChunk(o){if(!(!o||o.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(o);this._incomingData.byteLength>=this._state.readLen;){const a=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=a.readUInt32BE(9),this._state.messageType=a.readUInt8(0),this._state.id=a.readUInt32BE(1),this._state.ack=a.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:m(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const c=this._state.messageType,d=this._state.id,I=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",a),this._onMessage.fire(new S(c,d,I,a)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class E{constructor(o){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=o,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(o){if(this._isDisposed)return;o.writtenTime=Date.now(),this.lastWriteTime=Date.now();const a=v.VSBuffer.alloc(13);a.writeUInt8(o.type,0),a.writeUInt32BE(o.id,1),a.writeUInt32BE(o.ack,5),a.writeUInt32BE(o.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:m(o.type),id:o.id,ack:o.ack,messageSize:o.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",o.data),this._writeSoon(a,o.data)}_bufferAdd(o,a){const c=this._totalLength===0;return this._data.push(o,a),this._totalLength+=o.byteLength+a.byteLength,c}_bufferTake(){const o=v.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,o}_writeSoon(o,a){this._bufferAdd(o,a)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const o=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:o.byteLength}),this._socket.write(o)}}class P extends D.Disposable{constructor(o){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=o,this._socketWriter=this._register(new E(this._socket)),this._socketReader=this._register(new w(this._socket)),this._register(this._socketReader.onMessage(a=>{a.type===1&&this._onMessage.fire(a.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(o){this._socketWriter.write(new S(1,0,0,o))}}e.Protocol=P;class g extends R.IPCClient{constructor(o,a,c=null){super(o,a,c);this.protocol=o}static fromSocket(o,a){return new g(new P(o),a)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const o=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),o.end()}}e.Client=g;class h{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(o){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(o):this._emitter.fire(o):this._bufferedMessages.push(o)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=h;class l{constructor(o){this.data=o,this.next=null}}class n{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){const o=[];let a=0,c=this._first;for(;c;)o[a++]=c.data,c=c.next;return o}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(o){const a=new l(o);if(!this._first){this._first=a,this._last=a;return}this._last.next=a,this._last=a}}class r{constructor(){this.lastRuns=[];const o=Date.now();for(let a=0;a<r._HISTORY_LENGTH;a++)this.lastRuns[a]=o-1e3*a;setInterval(()=>{for(let a=r._HISTORY_LENGTH;a>=1;a--)this.lastRuns[a]=this.lastRuns[a-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return r._INSTANCE||(r._INSTANCE=new r),r._INSTANCE}load(){const o=Date.now(),a=(1+r._HISTORY_LENGTH)*1e3;let c=0;for(let d=0;d<r._HISTORY_LENGTH;d++)o-this.lastRuns[d]<=a&&c++;return 1-c/r._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}r._HISTORY_LENGTH=10,r._INSTANCE=null;class i{constructor(o,a=null,c=r.getInstance()){this._onControlMessage=new h,this.onControlMessage=this._onControlMessage.event,this._onMessage=new h,this.onMessage=this._onMessage.event,this._onDidDispose=new h,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new h,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new h,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=c,this._isReconnecting=!1,this._outgoingUnackMsg=new n,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=o,this._socketWriter=new E(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(d=>this._receiveMessage(d))),this._socketDisposables.push(this._socket.onClose(d=>this._onSocketClose.fire(d))),a&&this._socketReader.acceptChunk(a)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,D.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const o=new S(5,0,0,C());this._socketWriter.write(o),this._socketWriter.flush()}sendPause(){const o=new S(7,0,0,C());this._socketWriter.write(o)}sendResume(){const o=new S(8,0,0,C());this._socketWriter.write(o)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(o,a){this._isReconnecting=!0,this._socketDisposables=(0,D.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=o,this._socketWriter=new E(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(c=>this._receiveMessage(c))),this._socketDisposables.push(this._socket.onClose(c=>this._onSocketClose.fire(c))),this._socketReader.acceptChunk(a)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const o=new S(3,0,this._incomingAckId,C());this._socketWriter.write(o);const a=this._outgoingUnackMsg.toArray();for(let c=0,d=a.length;c<d;c++)this._socketWriter.write(a[c]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(o){if(o.ack>this._outgoingAckId){this._outgoingAckId=o.ack;do{const a=this._outgoingUnackMsg.peek();if(a&&a.id<=o.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(o.type){case 0:break;case 1:{if(o.id>this._incomingMsgId)if(o.id!==this._incomingMsgId+1){const a=Date.now();a-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=a,this._socketWriter.write(new S(6,0,0,C())))}else this._incomingMsgId=o.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(o.data);break}case 2:{this._onControlMessage.fire(o.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const a=this._outgoingUnackMsg.toArray();for(let c=0,d=a.length;c<d;c++)this._socketWriter.write(a[c]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(o){const a=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const c=new S(1,a,this._incomingAckId,o);this._outgoingUnackMsg.push(c),this._isReconnecting||(this._socketWriter.write(c),this._recvAckCheck())}sendControl(o){const a=new S(2,0,0,o);this._socketWriter.write(a)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const o=Date.now()-this._incomingMsgLastTime;if(o>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-o+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const o=this._outgoingUnackMsg.peek(),a=Date.now()-o.writtenTime,c=Date.now()-this._socketReader.lastReadTime,d=Date.now()-this._lastSocketTimeoutTime;if(a>=2e4&&c>=2e4&&d>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const I=Math.max(2e4-a,2e4-c,2e4-d,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},I)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const o=new S(3,0,this._incomingAckId,C());this._socketWriter.write(o)}}e.PersistentProtocol=i}),define(X[140],Z([0,1,38,19,3,2,43,128]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function f(C,k){const y=D.Event.fromNodeEventEmitter(v.validatedIpcMain,k,(u,S)=>({event:u,message:S})),m=D.Event.filter(y,({event:u})=>u.sender.id===C);return D.Event.map(m,({message:u})=>u&&t.VSBuffer.wrap(u))}class p extends M.IPCServer{constructor(){super(p.getOnDidClientConnect())}static getOnDidClientConnect(){const k=D.Event.fromNodeEventEmitter(v.validatedIpcMain,"vscode:hello",({sender:y})=>y);return D.Event.map(k,y=>{const m=y.id,u=p.Clients.get(m);u&&u.dispose();const S=new D.Emitter;p.Clients.set(m,(0,R.toDisposable)(()=>S.fire()));const w=f(m,"vscode:message"),E=D.Event.any(D.Event.signal(f(m,"vscode:disconnect")),S.event);return{protocol:new b.Protocol(y,w),onDidClientDisconnect:E}})}}e.Server=p,p.Clients=new Map}),define(X[96],Z([0,1,38,3,30,139]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class M extends R.Client{constructor(p,C){super({addEventListener:(k,y)=>p.addListener(k,y),removeEventListener:(k,y)=>p.removeListener(k,y),postMessage:k=>p.postMessage(k),start:()=>p.start(),close:()=>p.close()},C)}}e.Client=M;async function b(f){if(f.isDestroyed()||f.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const p=(0,D.generateUuid)();f.webContents.send("vscode:createMessageChannel",p);const C=t.Event.fromNodeEventEmitter(v.validatedIpcMain,"vscode:createMessageChannelResult",(y,m)=>({nonce:m,port:y.ports[0]})),{port:k}=await t.Event.toPromise(t.Event.once(t.Event.filter(C,y=>y.nonce===p)));return k}e.connect=b}),define(X[81],Z([0,1,19,18,3,2,9,4,30,43,95]),function(z,e,v,t,D,R,M,b,f,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;function k(){return{crypto:z.__$__nodeRequire("crypto"),zlib:z.__$__nodeRequire("zlib"),net:z.__$__nodeRequire("net"),os:z.__$__nodeRequire("os")}}class y{constructor(c,d=""){this.debugLabel=d,this.socket=c,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=I=>{if(this.traceSocketEvent("error",{code:I?.code,message:I?.message}),I){if(I.code==="EPIPE")return;(0,t.onUnexpectedError)(I)}},this.socket.on("error",this._errorListener)}traceSocketEvent(c,d){C.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,c,d)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(c){const d=I=>{this.traceSocketEvent("read",I),c(v.VSBuffer.wrap(I))};return this.socket.on("data",d),{dispose:()=>this.socket.off("data",d)}}onClose(c){const d=I=>{this.traceSocketEvent("close",{hadError:I}),c({type:0,hadError:I,error:void 0})};return this.socket.on("close",d),{dispose:()=>this.socket.off("close",d)}}onEnd(c){const d=()=>{this.traceSocketEvent("nodeEndReceived"),c()};return this.socket.on("end",d),{dispose:()=>this.socket.off("end",d)}}write(c){if(!this.socket.destroyed)try{this.traceSocketEvent("write",c),this.socket.write(c.buffer,d=>{if(d){if(d.code==="EPIPE")return;(0,t.onUnexpectedError)(d)}})}catch(d){if(d.code==="EPIPE")return;(0,t.onUnexpectedError)(d)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((c,d)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),c();return}const I=()=>{this.socket.off("close",I),this.socket.off("end",I),this.socket.off("error",I),this.socket.off("timeout",I),this.socket.off("drain",I),this.traceSocketEvent("nodeDrainEnd"),c()};this.socket.on("close",I),this.socket.on("end",I),this.socket.on("error",I),this.socket.on("timeout",I),this.socket.on("drain",I)})}}e.NodeSocket=y;var m;(function(a){a[a.MinHeaderByteSize=2]="MinHeaderByteSize"})(m||(m={}));var u;(function(a){a[a.PeekHeader=1]="PeekHeader",a[a.ReadHeader=2]="ReadHeader",a[a.ReadBody=3]="ReadBody",a[a.Fin=4]="Fin"})(u||(u={}));class S extends R.Disposable{constructor(c,d,I,L){super();this._onData=this._register(new D.Emitter),this._onClose=this._register(new D.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=c,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:d,inflateBytesLength:I?.byteLength||0,recordInflateBytes:L}),this._flowManager=this._register(new w(this,d,I,L,this._onData,(T,_)=>this._write(T,_))),this._register(this._flowManager.onError(T=>{console.error(T),(0,t.onUnexpectedError)(T),this._onClose.fire({type:0,hadError:!0,error:T})})),this._incomingData=new C.ChunkStream,this._register(this.socket.onData(T=>this._acceptChunk(T))),this._register(this.socket.onClose(T=>this._onClose.fire(T)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(c,d){this.socket.traceSocketEvent(c,d)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(c){return this._onData.event(c)}onClose(c){return this._onClose.event(c)}onEnd(c){return this.socket.onEnd(c)}write(c){this._flowManager.writeMessage(c)}_write(c,d){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",c);let I=2;c.byteLength<126?I+=0:c.byteLength<2**16?I+=2:I+=8;const L=v.VSBuffer.alloc(I);if(d?L.writeUInt8(194,0):L.writeUInt8(130,0),c.byteLength<126)L.writeUInt8(c.byteLength,1);else if(c.byteLength<2**16){L.writeUInt8(126,1);let T=1;L.writeUInt8(c.byteLength>>>8&255,++T),L.writeUInt8(c.byteLength>>>0&255,++T)}else{L.writeUInt8(127,1);let T=1;L.writeUInt8(0,++T),L.writeUInt8(0,++T),L.writeUInt8(0,++T),L.writeUInt8(0,++T),L.writeUInt8(c.byteLength>>>24&255,++T),L.writeUInt8(c.byteLength>>>16&255,++T),L.writeUInt8(c.byteLength>>>8&255,++T),L.writeUInt8(c.byteLength>>>0&255,++T)}this.socket.write(v.VSBuffer.concat([L,c]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(c){if(c.byteLength!==0){for(this._incomingData.acceptChunk(c);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const d=this._incomingData.peek(this._state.readLen),I=d.readUInt8(0),L=(I&128)>>>7,T=(I&64)>>>6,_=d.readUInt8(1),K=(_&128)>>>7,ie=_&127;this._state.state=2,this._state.readLen=2+(K?4:0)+(ie===126?2:0)+(ie===127?8:0),this._state.fin=L,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(T)),this._state.firstFrameOfMessage=Boolean(L),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const d=this._incomingData.read(this._state.readLen),I=d.readUInt8(1),L=(I&128)>>>7;let T=I&127,_=1;T===126?T=d.readUInt8(++_)*2**8+d.readUInt8(++_):T===127&&(T=d.readUInt8(++_)*0+d.readUInt8(++_)*0+d.readUInt8(++_)*0+d.readUInt8(++_)*0+d.readUInt8(++_)*2**24+d.readUInt8(++_)*2**16+d.readUInt8(++_)*2**8+d.readUInt8(++_));let K=0;L&&(K=d.readUInt8(++_)*2**24+d.readUInt8(++_)*2**16+d.readUInt8(++_)*2**8+d.readUInt8(++_)),this._state.state=3,this._state.readLen=T,this._state.mask=K,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const d=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",d),g(d,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",d),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(d,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await D.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=S;class w extends R.Disposable{constructor(c,d,I,L,T,_){super();this._tracer=c,this._onData=T,this._writeFn=_,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new D.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,d?(this._zlibInflateStream=this._register(new E(this._tracer,L,I,{windowBits:15})),this._zlibDeflateStream=this._register(new P(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(K=>this._onError.fire(K))),this._register(this._zlibDeflateStream.onError(K=>this._onError.fire(K)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:v.VSBuffer.alloc(0)}writeMessage(c){this._writeQueue.push(c),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const c=this._writeQueue.shift();if(this._zlibDeflateStream){const d=await this._deflateMessage(this._zlibDeflateStream,c);this._writeFn(d,!0)}else this._writeFn(c,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(c,d){return new Promise((I,L)=>{c.write(d),c.flush(T=>I(T))})}acceptFrame(c,d,I){this._readQueue.push({data:c,isCompressed:d,isLastFrameOfMessage:I}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const c=this._readQueue.shift();if(this._zlibInflateStream&&c.isCompressed){const d=await this._inflateFrame(this._zlibInflateStream,c.data,c.isLastFrameOfMessage);this._onData.fire(d)}else this._onData.fire(c.data)}this._isProcessingReadQueue=!1}}_inflateFrame(c,d,I){return new Promise((L,T)=>{c.write(d),I&&c.write(v.VSBuffer.fromByteArray([0,0,255,255])),c.flush(_=>L(_))})}}class E extends R.Disposable{constructor(c,d,I,L){super();this._tracer=c,this._recordInflateBytes=d,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=k().zlib.createInflateRaw(L),this._zlibInflate.on("error",T=>{this._tracer.traceSocketEvent("zlibInflateError",{message:T?.message,code:T?.code}),this._onError.fire(T)}),this._zlibInflate.on("data",T=>{this._tracer.traceSocketEvent("zlibInflateData",T),this._pendingInflateData.push(v.VSBuffer.wrap(T))}),I&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",I.buffer),this._zlibInflate.write(I.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?v.VSBuffer.concat(this._recordedInflateBytes):v.VSBuffer.alloc(0)}write(c){this._recordInflateBytes&&this._recordedInflateBytes.push(c.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",c),this._zlibInflate.write(c.buffer)}flush(c){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const d=v.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,c(d)})}}class P extends R.Disposable{constructor(c,d){super();this._tracer=c,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=k().zlib.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",I=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:I?.message,code:I?.code}),this._onError.fire(I)}),this._zlibDeflate.on("data",I=>{this._tracer.traceSocketEvent("zlibDeflateData",I),this._pendingDeflateData.push(v.VSBuffer.wrap(I))})}write(c){this._tracer.traceSocketEvent("zlibDeflateWrite",c.buffer),this._zlibDeflate.write(c.buffer)}flush(c){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let d=v.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,d=d.slice(0,d.byteLength-4),c(d)})}}function g(a,c){if(c===0)return;const d=a.byteLength>>>2;for(let ie=0;ie<d;ie++){const ne=a.readUInt32BE(ie*4);a.writeUInt32BE(ne^c,ie*4)}const I=d*4,L=a.byteLength-I,T=c>>>24&255,_=c>>>16&255,K=c>>>8&255;L>=1&&a.writeUInt8(a.readUInt8(I)^T,I),L>=2&&a.writeUInt8(a.readUInt8(I+1)^_,I+1),L>=3&&a.writeUInt8(a.readUInt8(I+2)^K,I+2)}e.XDG_RUNTIME_DIR=typeof process!="undefined"?process.env.XDG_RUNTIME_DIR:void 0;const h={[2]:107,[1]:103};function l(){const a=(0,f.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${a}-sock`;let c;return e.XDG_RUNTIME_DIR?c=(0,M.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${a}.sock`):c=(0,M.join)(k().os.tmpdir(),`vscode-ipc-${a}.sock`),r(c),c}e.createRandomIPCHandle=l;function n(a,c,d){const I=k().crypto.createHash("md5").update(a).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${I}-${d}-${c}-sock`;let L;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?L=(0,M.join)(e.XDG_RUNTIME_DIR,`vscode-${I.substr(0,8)}-${d}-${c}.sock`):L=(0,M.join)(a,`${d}-${c}.sock`),r(L),L}e.createStaticIPCHandle=n;function r(a){const c=h[b.platform];typeof c=="number"&&a.length>=c&&console.warn(`WARNING: IPC handle "${a}" is longer than ${c} chars, try a shorter --user-data-dir`)}class i extends p.IPCServer{constructor(c){super(i.toClientConnectionEvent(c));this.server=c}static toClientConnectionEvent(c){const d=D.Event.fromNodeEventEmitter(c,"connection");return D.Event.map(d,I=>({protocol:new C.Protocol(new y(I,"ipc-server-connection")),onDidClientDisconnect:D.Event.once(D.Event.fromNodeEventEmitter(I,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=i;function s(a){return new Promise((c,d)=>{const I=k().net.createServer();I.on("error",d),I.listen(a,()=>{I.removeListener("error",d),c(new i(I))})})}e.serve=s;function o(a,c){return new Promise((d,I)=>{const L=k().net.createConnection(a,()=>{L.removeListener("error",I),d(C.Client.fromSocket(new y(L,`ipc-client${c}`),c))});L.once("error",I)})}e.connect=o}),define(X[97],Z([0,1,8,3,2,13]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageState=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var M;(function(k){k[k.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(M=e.StorageHint||(e.StorageHint={}));function b(k){const y=k;return y?.changed instanceof Map||y?.deleted instanceof Set}e.isStorageItemsChangeEvent=b;var f;(function(k){k[k.None=0]="None",k[k.Initialized=1]="Initialized",k[k.Closed=2]="Closed"})(f=e.StorageState||(e.StorageState={}));class p extends D.Disposable{constructor(y,m=Object.create(null)){super();this.database=y,this.options=m,this._onDidChangeStorage=this._register(new t.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=f.None,this.cache=new Map,this.flushDelayer=new v.ThrottledDelayer(p.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(y=>this.onDidChangeItemsExternal(y)))}onDidChangeItemsExternal(y){y.changed?.forEach((m,u)=>this.accept(u,m)),y.deleted?.forEach(m=>this.accept(m,void 0))}accept(y,m){if(this.state===f.Closed)return;let u=!1;(0,R.isUndefinedOrNull)(m)?u=this.cache.delete(y):this.cache.get(y)!==m&&(this.cache.set(y,m),u=!0),u&&this._onDidChangeStorage.fire(y)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===f.None&&(this.state=f.Initialized,this.options.hint!==M.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(y,m){const u=this.cache.get(y);return(0,R.isUndefinedOrNull)(u)?m:u}getBoolean(y,m){const u=this.get(y);return(0,R.isUndefinedOrNull)(u)?m:u==="true"}getNumber(y,m){const u=this.get(y);return(0,R.isUndefinedOrNull)(u)?m:parseInt(u,10)}async set(y,m){if(this.state===f.Closed)return;if((0,R.isUndefinedOrNull)(m))return this.delete(y);const u=String(m);if(this.cache.get(y)!==u)return this.cache.set(y,u),this.pendingInserts.set(y,u),this.pendingDeletes.delete(y),this._onDidChangeStorage.fire(y),this.doFlush()}async delete(y){if(!(this.state===f.Closed||!this.cache.delete(y)))return this.pendingDeletes.has(y)||this.pendingDeletes.add(y),this.pendingInserts.delete(y),this._onDidChangeStorage.fire(y),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=f.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const y={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(y).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(y){if(!!this.hasPending)return this.doFlush(y)}async doFlush(y){return this.flushDelayer.trigger(()=>this.flushPending(),y)}async whenFlushed(){if(!!this.hasPending)return new Promise(y=>this.whenFlushedCallbacks.push(y))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=p,p.DEFAULT_FLUSH_DELAY=100;class C{constructor(){this.onDidChangeItemsExternal=t.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(y){y.insert?.forEach((m,u)=>this.items.set(u,m)),y.delete?.forEach(m=>this.items.delete(m))}async close(){}}e.InMemoryStorageDatabase=C}),define(X[141],Z([0,1,8,3,33,9,23]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class b{constructor(C,k=Object.create(null)){this.path=C,this.options=k,this.name=(0,R.basename)(this.path),this.logger=new f(this.options.logging),this.whenConnected=this.connect(this.path)}get onDidChangeItemsExternal(){return t.Event.None}async getItems(){const C=await this.whenConnected,k=new Map;return(await this.all(C,"SELECT * FROM ItemTable")).forEach(m=>k.set(m.key,m.value)),this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] getItems(): ${k.size} rows`),k}async updateItems(C){const k=await this.whenConnected;return this.doUpdateItems(k,C)}doUpdateItems(C,k){return this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] updateItems(): insert(${k.insert?(0,D.mapToString)(k.insert):"0"}), delete(${k.delete?(0,D.setToString)(k.delete):"0"})`),this.transaction(C,()=>{const y=k.insert,m=k.delete;if(y&&y.size>0){const u=[];u.push([]);let S=0;y.forEach((w,E)=>{let P=u[S];P.length>b.MAX_HOST_PARAMETERS&&(S++,P=[],u.push(P)),P.push(E,w)}),u.forEach(w=>{this.prepare(C,`INSERT INTO ItemTable VALUES ${new Array(w.length/2).fill("(?,?)").join(",")}`,E=>E.run(w),()=>{const E=[];let P=0;return y.forEach((g,h)=>{E.push(h),P+=g.length}),`Keys: ${E.join(", ")} Length: ${P}`})})}if(m&&m.size){const u=[];u.push([]);let S=0;m.forEach(w=>{let E=u[S];E.length>b.MAX_HOST_PARAMETERS&&(S++,E=[],u.push(E)),E.push(w)}),u.forEach(w=>{this.prepare(C,`DELETE FROM ItemTable WHERE key IN (${new Array(w.length).fill("?").join(",")})`,E=>E.run(w),()=>{const E=[];return m.forEach(P=>{E.push(P)}),`Keys: ${E.join(", ")}`})})}})}async close(C){this.logger.trace(`[storage ${this.name}] close()`);const k=await this.whenConnected;return this.doClose(k,C)}doClose(C,k){return new Promise((y,m)=>{C.db.close(u=>(u&&this.handleSQLiteError(C,`[storage ${this.name}] close(): ${u}`),this.path===b.IN_MEMORY_PATH?y():!C.isErroneous&&!C.isInMemory?this.backup().then(y,S=>(this.logger.error(`[storage ${this.name}] backup(): ${S}`),y())):typeof k=="function"?M.Promises.unlink(this.path).then(()=>this.doConnect(this.path).then(S=>{const w=()=>this.doClose(S,void 0);return this.doUpdateItems(S,{insert:k()}).then(()=>w(),E=>(w(),Promise.reject(E)))})).then(y,m):m(u||new Error("Database has errors or is in-memory without recovery option"))))})}backup(){const C=this.toBackupPath(this.path);return M.Promises.copy(this.path,C,{preserveSymlinks:!1})}toBackupPath(C){return`${C}.backup`}async checkIntegrity(C){this.logger.trace(`[storage ${this.name}] checkIntegrity(full: ${C})`);const k=await this.whenConnected,y=await this.get(k,C?"PRAGMA integrity_check":"PRAGMA quick_check"),m=C?y.integrity_check:y.quick_check;return k.isErroneous?`${m} (last error: ${k.lastError})`:k.isInMemory?`${m} (in-memory!)`:m}async connect(C,k=!0){this.logger.trace(`[storage ${this.name}] open(${C}, retryOnBusy: ${k})`);try{return await this.doConnect(C)}catch(y){if(this.logger.error(`[storage ${this.name}] open(): Unable to open DB due to ${y}`),y.code==="SQLITE_BUSY"&&k)return await(0,v.timeout)(b.BUSY_OPEN_TIMEOUT),this.connect(C,!1);try{await M.Promises.unlink(C);try{await M.Promises.rename(this.toBackupPath(C),C)}catch{}return await this.doConnect(C)}catch(m){return this.logger.error(`[storage ${this.name}] open(): Unable to use backup due to ${m}`),this.doConnect(b.IN_MEMORY_PATH)}}}handleSQLiteError(C,k){C.isErroneous=!0,C.lastError=k,this.logger.error(k)}doConnect(C){return new Promise((k,y)=>{new Promise((m,u)=>{z(["@vscode/sqlite3"],m,u)}).then(m=>{const u={db:new(this.logger.isTracing?m.verbose().Database:m.Database)(C,S=>S?u.db&&S.code!=="SQLITE_CANTOPEN"?u.db.close(()=>y(S)):y(S):this.exec(u,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>k(u),w=>u.db.close(()=>y(w)))),isInMemory:C===b.IN_MEMORY_PATH};u.db.on("error",S=>this.handleSQLiteError(u,`[storage ${this.name}] Error (event): ${S}`)),this.logger.isTracing&&u.db.on("trace",S=>this.logger.trace(`[storage ${this.name}] Trace (event): ${S}`))},y)})}exec(C,k){return new Promise((y,m)=>{C.db.exec(k,u=>u?(this.handleSQLiteError(C,`[storage ${this.name}] exec(): ${u}`),m(u)):y())})}get(C,k){return new Promise((y,m)=>{C.db.get(k,(u,S)=>u?(this.handleSQLiteError(C,`[storage ${this.name}] get(): ${u}`),m(u)):y(S))})}all(C,k){return new Promise((y,m)=>{C.db.all(k,(u,S)=>u?(this.handleSQLiteError(C,`[storage ${this.name}] all(): ${u}`),m(u)):y(S))})}transaction(C,k){return new Promise((y,m)=>{C.db.serialize(()=>{C.db.run("BEGIN TRANSACTION"),k(),C.db.run("END TRANSACTION",u=>u?(this.handleSQLiteError(C,`[storage ${this.name}] transaction(): ${u}`),m(u)):y())})})}prepare(C,k,y,m){const u=C.db.prepare(k),S=w=>{this.handleSQLiteError(C,`[storage ${this.name}] prepare(): ${w} (${k}). Details: ${m()}`)};u.on("error",S),y(u),u.finalize(w=>{w&&S(w),u.removeListener("error",S)})}}e.SQLiteStorageDatabase=b,b.IN_MEMORY_PATH=":memory:",b.BUSY_OPEN_TIMEOUT=2e3,b.MAX_HOST_PARAMETERS=256;class f{constructor(C){C&&typeof C.logTrace=="function"&&process.env[f.VSCODE_TRACE_STORAGE]&&(this.logTrace=C.logTrace),C&&typeof C.logError=="function"&&(this.logError=C.logError)}get isTracing(){return!!this.logTrace}trace(C){this.logTrace?.(C)}error(C){this.logError?.(C)}}f.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(X[142],Z([11,10]),function(z,e){return z.create("vs/base/node/processes",e)}),define(X[82],Z([0,1,42,29,12,50,9,4,36,77,13,124,23,142]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return p.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return p.TerminateResponseCode}});function u(l){switch(l){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function S(l,n){if(b.isWindows)try{const r={stdio:["pipe","pipe","ignore"]};n&&(r.cwd=n);const i=v.execFile("taskkill",["/T","/F","/PID",l.pid.toString()],r);return new Promise(s=>{i.once("error",o=>{s({success:!1,error:o})}),i.once("exit",(o,a)=>{s(o===0?{success:!0}:{success:!1,code:o!==null?o:1})})})}catch(r){return Promise.resolve({success:!1,error:r,code:r.status?u(r.status):1})}else if(b.isLinux||b.isMacintosh)try{const r=D.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",z).fsPath;return new Promise(i=>{v.execFile(r,[l.pid.toString()],{encoding:"utf8",shell:!0},(s,o,a)=>{i(s?{success:!1,error:s}:{success:!0})})})}catch(r){return Promise.resolve({success:!1,error:r})}else l.kill("SIGKILL");return Promise.resolve({success:!0})}function w(l=f.env){return l.comspec||"cmd.exe"}e.getWindowsShell=w;class E{constructor(n,r,i,s){if(r!==void 0&&i!==void 0&&s!==void 0)this.cmd=n,this.args=r,this.shell=i,this.options=s;else{const o=n;this.cmd=o.command,this.shell=o.isShellCommand,this.args=o.args.slice(0),this.options=o.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const o=Object.create(null);Object.keys(f.env).forEach(a=>{o[a]=f.env[a]}),Object.keys(this.options.env).forEach(a=>{o[a]=this.options.env[a]}),this.options.env=o}}getSanitizedCommand(){let n=this.cmd.toLowerCase();const r=n.lastIndexOf(M.sep);return r!==-1&&(n=n.substring(r+1)),E.WellKnowCommands[n]?n:"other"}start(n){return b.isWindows&&(this.options&&this.options.cwd&&t.isUNC(this.options.cwd)||!this.options&&t.isUNC(f.cwd()))?Promise.reject(new Error(m.localize(0,null))):this.useExec().then(r=>{let i,s;const o=new Promise((a,c)=>{i=a,s=c});if(r){let a=this.cmd;this.args&&(a=a+" "+this.args.join(" ")),this.childProcess=v.exec(a,this.options,(c,d,I)=>{this.childProcess=null;const L=c;L&&L.killed?s({killed:this.terminateRequested,stdout:d.toString(),stderr:I.toString()}):this.handleExec(i,n,c,d,I)})}else{let a=null;const c=d=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(d,i,n,s);const I={terminated:this.terminateRequested};C.isNumber(d)&&(I.cmdCode=d),i(I)};if(this.shell&&b.isWindows){const d=R.deepClone(this.options);d.windowsVerbatimArguments=!0,d.detached=!1;let I=!1,L=!1;const T=[];let _=this.ensureQuotes(this.cmd);T.push(_.value),I=_.quoted,this.args&&this.args.forEach(ie=>{_=this.ensureQuotes(ie),T.push(_.value),L=L&&_.quoted});const K=["/s","/c"];I?L?K.push('"'+T.join(" ")+'"'):T.length>1?K.push('"'+T[0]+'" '+T.slice(1).join(" ")):K.push('"'+T[0]+'"'):K.push(T.join(" ")),a=v.spawn(w(),K,d)}else this.cmd&&(a=v.spawn(this.cmd,this.args,this.options));a&&(this.childProcess=a,this.childProcessPromise=Promise.resolve(a),this.pidResolve&&(this.pidResolve(C.isNumber(a.pid)?a.pid:-1),this.pidResolve=void 0),a.on("error",d=>{this.childProcess=null,s({terminated:this.terminateRequested,error:d})}),a.pid&&(this.childProcess.on("close",c),this.handleSpawn(a,i,n,s,!0)))}return o})}handleClose(n,r,i,s){}ensureQuotes(n){return E.regexp.test(n)?{value:'"'+n+'"',quoted:!0}:{value:n,quoted:n.length>0&&n[0]==='"'&&n[n.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(n=>n.pid,n=>-1):new Promise(n=>{this.pidResolve=n})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(n=>(this.terminateRequested=!0,S(n,this.options.cwd).then(r=>(r.success&&(this.childProcess=null),r))),n=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(n=>{if(!this.shell||!b.isWindows)return n(!1);const r=v.spawn(w(),["/s","/c"]);r.on("error",i=>n(!0)),r.on("exit",i=>n(!1))})}}e.AbstractProcess=E,E.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},E.regexp=/^[^"].* .*[^"]/;class P extends E{constructor(n,r,i,s){super(n,r,i,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(n,r,i,s,o){[s,o].forEach((a,c)=>{const d=new k.LineDecoder;d.write(a).forEach(T=>{r({line:T,source:c===0?0:1})});const L=d.end();L&&r({line:L,source:c===0?0:1})}),n({terminated:this.terminateRequested,error:i})}handleSpawn(n,r,i,s,o){const a=new k.LineDecoder,c=new k.LineDecoder;n.stdout.on("data",d=>{a.write(d).forEach(L=>i({line:L,source:0}))}),n.stderr.on("data",d=>{c.write(d).forEach(L=>i({line:L,source:1}))}),this.stdoutLineDecoder=a,this.stderrLineDecoder=c}handleClose(n,r,i,s){const o=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;o&&i({line:o,source:0});const a=this.stderrLineDecoder?this.stderrLineDecoder.end():null;a&&i({line:a,source:1})}}e.LineProcess=P;function g(l){let n=[],r=!1;const i=function(s){if(r){n.push(s);return}(!l.send(s,a=>{if(a&&console.error(a),r=!1,n.length>0){const c=n.slice(0);n=[],c.forEach(d=>i(d))}})||b.isWindows)&&(r=!0)};return{send:i}}e.createQueuedSender=g;var h;(function(l){async function n(r,i,s){if(M.isAbsolute(r))return r;if(i===void 0&&(i=f.cwd()),M.dirname(r)!=="."||(s===void 0&&C.isString(f.env.PATH)&&(s=f.env.PATH.split(M.delimiter)),s===void 0||s.length===0))return M.join(i,r);async function a(c){if(await y.Promises.exists(c)){let d;try{d=await y.Promises.stat(c)}catch(I){I.message.startsWith("EACCES")&&(d=await y.Promises.lstat(c))}return d?!d.isDirectory():!1}return!1}for(const c of s){let d;if(M.isAbsolute(c)?d=M.join(c,r):d=M.join(i,c,r),await a(d))return d;let I=d+".com";if(await a(I)||(I=d+".exe",await a(I)))return I}return M.join(i,r)}l.findExecutable=n})(h=e.win32||(e.win32={}))}),define(X[143],Z([0,1,28,4,138,82]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function M(m,u){return m===1?t.isWindows?k():R.getWindowsShell(u):p(m,u)}e.getSystemShell=M;function b(m,u){return m===1?t.isWindows?y(u):R.getWindowsShell(u):p(m,u)}e.getSystemShellSync=b;let f=null;function p(m,u){if(t.isLinux&&m===2||t.isMacintosh&&m===3)return"/bin/bash";if(!f){let S;if(t.isWindows)S="/bin/bash";else{if(S=u.SHELL,!S)try{S=(0,v.userInfo)().shell}catch{}S||(S="sh"),S==="/bin/false"&&(S="/bin/bash")}f=S}return f}let C=null;async function k(){return C||(C=(await(0,D.getFirstAvailablePowerShellInstallation)()).exePath),C}function y(m){if(C)return C;const u=t.isWindows&&parseFloat((0,v.release)())>=10,S=m.hasOwnProperty("PROCESSOR_ARCHITEW6432"),w=`${m.windir}\\${S?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return u?w:R.getWindowsShell(m)}}),define(X[144],Z([0,1,42,8,19,22,135,18,3,2,50,82,77,43]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class u extends m.ChannelServer{constructor(E){super({send:P=>{try{process.send?.(P.buffer.toString("base64"))}catch{}},onMessage:f.Event.fromNodeEventEmitter(process,"message",P=>D.VSBuffer.wrap(Buffer.from(P,"base64")))},E);process.once("disconnect",()=>this.dispose())}}e.Server=u;class S{constructor(E,P){this.modulePath=E,this.options=P,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new f.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const g=P&&P.timeout?P.timeout:6e4;this.disposeDelayer=new t.Delayer(g),this.child=null,this._client=null}getChannel(E){const P=this;return{call(g,h,l){return P.requestPromise(E,g,h,l)},listen(g,h){return P.requestEvent(E,g,h)}}}requestPromise(E,P,g,h=R.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(h.isCancellationRequested)return Promise.reject(b.canceled());this.disposeDelayer.cancel();const l=this.getCachedChannel(E),n=(0,t.createCancelablePromise)(s=>l.call(P,g,s)),r=h.onCancellationRequested(()=>n.cancel()),i=(0,p.toDisposable)(()=>n.cancel());return this.activeRequests.add(i),n.finally(()=>{r.dispose(),this.activeRequests.delete(i),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),n}requestEvent(E,P,g){if(!this.disposeDelayer)return f.Event.None;this.disposeDelayer.cancel();let h;const l=new f.Emitter({onFirstListenerAdd:()=>{h=this.getCachedChannel(E).listen(P,g)(l.fire,l),this.activeRequests.add(h)},onLastListenerRemove:()=>{this.activeRequests.delete(h),h.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return l.event}get client(){if(!this._client){const E=this.options&&this.options.args?this.options.args:[],P=Object.create(null);P.env={...(0,C.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(P.env={...P.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(P.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(P.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(P.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),P.execArgv===void 0&&(P.execArgv=process.execArgv.filter(o=>!/^--inspect(-brk)?=/.test(o))),(0,y.removeDangerousEnvVariables)(P.env),this.child=(0,v.fork)(this.modulePath,E,P);const g=new f.Emitter;f.Event.fromNodeEventEmitter(this.child,"message",o=>o)(o=>{if((0,M.isRemoteConsoleLog)(o)){(0,M.log)(o,`IPC Library: ${this.options.serverName}`);return}g.fire(D.VSBuffer.wrap(Buffer.from(o,"base64")))});const l=this.options.useQueue?(0,k.createQueuedSender)(this.child):this.child,n=o=>this.child&&this.child.connected&&l.send(o.buffer.toString("base64")),r=g.event,i={send:n,onMessage:r};this._client=new m.ChannelClient(i);const s=()=>this.disposeClient();process.once("exit",s),this.child.on("error",o=>console.warn('IPC "'+this.options.serverName+'" errored with '+o)),this.child.on("exit",(o,a)=>{process.removeListener("exit",s),this.activeRequests.forEach(c=>(0,p.dispose)(c)),this.activeRequests.clear(),o!==0&&a!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+o+" and signal "+a),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:o,signal:a})})}return this._client}getCachedChannel(E){let P=this.channels.get(E);return P||(P=this.client.getChannel(E),this.channels.set(E,P)),P}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=S}),define(X[145],Z([11,10]),function(z,e){return z.create("vs/code/electron-main/app",e)}),define(X[146],Z([11,10]),function(z,e){return z.create("vs/platform/configuration/common/configurationRegistry",e)}),define(X[147],Z([11,10]),function(z,e){return z.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(X[148],Z([11,10]),function(z,e){return z.create("vs/platform/environment/node/argv",e)}),define(X[149],Z([11,10]),function(z,e){return z.create("vs/platform/environment/node/argvHelper",e)}),define(X[150],Z([11,10]),function(z,e){return z.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(X[151],Z([11,10]),function(z,e){return z.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(X[152],Z([11,10]),function(z,e){return z.create("vs/platform/files/common/fileService",e)}),define(X[153],Z([11,10]),function(z,e){return z.create("vs/platform/files/common/files",e)}),define(X[154],Z([11,10]),function(z,e){return z.create("vs/platform/files/common/io",e)}),define(X[155],Z([11,10]),function(z,e){return z.create("vs/platform/files/electron-main/diskFileSystemProviderServer",e)}),define(X[156],Z([11,10]),function(z,e){return z.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(X[157],Z([11,10]),function(z,e){return z.create("vs/platform/issue/electron-main/issueMainService",e)}),define(X[158],Z([11,10]),function(z,e){return z.create("vs/platform/menubar/electron-main/menubar",e)}),define(X[159],Z([11,10]),function(z,e){return z.create("vs/platform/native/electron-main/nativeHostMainService",e)}),define(X[160],Z([11,10]),function(z,e){return z.create("vs/platform/request/common/request",e)}),define(X[161],Z([11,10]),function(z,e){return z.create("vs/platform/shell/node/shellEnv",e)}),define(X[162],Z([11,10]),function(z,e){return z.create("vs/platform/telemetry/common/telemetryService",e)}),define(X[163],Z([11,10]),function(z,e){return z.create("vs/platform/update/common/update.config.contribution",e)}),define(X[164],Z([11,10]),function(z,e){return z.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(X[165],Z([11,10]),function(z,e){return z.create("vs/platform/windows/electron-main/window",e)}),define(X[166],Z([11,10]),function(z,e){return z.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(X[167],Z([11,10]),function(z,e){return z.create("vs/platform/workspace/common/workspace",e)}),define(X[168],Z([11,10]),function(z,e){return z.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(X[169],Z([11,10]),function(z,e){return z.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(X[170],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isWorkspaceBackupInfo=e.isFolderBackupInfo=void 0;function v(D){return D&&D.hasOwnProperty("folderUri")}e.isFolderBackupInfo=v;function t(D){return D&&D.hasOwnProperty("workspace")}e.isWorkspaceBackupInfo=t}),define(X[171],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEmptyWindowBackupInfo=void 0;function v(t){return typeof t?.backupFolder=="string"}e.isEmptyWindowBackupInfo=v}),define(X[172],Z([0,1,3,2]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class D{constructor(){this._onCloseEmitter=new v.Emitter,this._onReloadEmitter=new v.Emitter,this._onTerminateEmitter=new v.Emitter,this._onAttachEmitter=new v.Emitter}call(b,f,p){switch(f){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:p[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:p[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:p[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:p[0],port:p[1],subId:p[2]}))}throw new Error("Method not implemented.")}listen(b,f,p){switch(f){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=D,D.ChannelName="extensionhostdebugservice";class R extends t.Disposable{constructor(b){super();this.channel=b}reload(b){this.channel.call("reload",[b])}get onReload(){return this.channel.listen("reload")}close(b){this.channel.call("close",[b])}get onClose(){return this.channel.listen("close")}attachSession(b,f,p){this.channel.call("attach",[b,f,p])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(b,f){this.channel.call("terminate",[b,f])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(b,f){return this.channel.call("openExtensionDevelopmentHostWindow",[b,f])}}e.ExtensionHostDebugChannelClient=R}),define(X[173],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=void 0;class v{constructor(D){this.machineId=D}encryption(){return new Promise((D,R)=>z(["vscode-encrypt"],D,R))}async encrypt(D){try{return(await this.encryption()).encrypt(this.machineId,D)}catch{return D}}async decrypt(D){try{return(await this.encryption()).decrypt(this.machineId,D)}catch{return D}}}e.EncryptionMainService=v}),define(X[174],Z([0,1,131,51,12,9,36,16,7]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class p{constructor(S,w,E){this._args=S,this.paths=w,this.productService=E,this.editSessionId=this.args.editSessionId}get appRoot(){return(0,R.dirname)(D.FileAccess.asFileUri("",z).fsPath)}get userHome(){return f.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return f.URI.file((0,R.join)(this.userDataPath,"User"))}get tmpDir(){return f.URI.file(this.paths.tmpDir)}get cacheHome(){return f.URI.file(this.userDataPath)}get stateResource(){return(0,b.joinPath)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,b.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const S=(0,v.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,R.join)(this.userDataPath,"logs",S)}return this.args.logsPath}get userDataSyncLogResource(){return f.URI.file((0,R.join)(this.logsPath,"userDataSync.log"))}get editSessionsLogResource(){return f.URI.file((0,R.join)(this.logsPath,"editSessions.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,b.joinPath)(f.URI.file((0,R.join)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,b.joinPath)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,b.joinPath)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,b.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const S=M.env.VSCODE_PORTABLE;return S?f.URI.file((0,R.join)(S,"argv.json")):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return f.URI.file((0,R.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,R.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const S=this.args["builtin-extensions-dir"];return S?(0,R.resolve)(S):(0,R.normalize)((0,R.join)(D.FileAccess.asFileUri("",z).fsPath,"..","extensions"))}get extensionsDownloadPath(){const S=this.args["extensions-download-dir"];return S?(0,R.resolve)(S):(0,R.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const S=this.args["extensions-dir"];if(S)return(0,R.resolve)(S);const w=M.env.VSCODE_EXTENSIONS;if(w)return w;const E=M.env.VSCODE_PORTABLE;return E?(0,R.join)(E,"extensions"):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const S=this.args.extensionDevelopmentPath;if(Array.isArray(S))return S.map(w=>/^[^:/?#]+?:\/\//.test(w)?f.URI.parse(w):f.URI.file((0,R.normalize)(w)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(S=>S==="ui"||S==="workspace"||S==="web"?S:"workspace")}get extensionTestsLocationURI(){const S=this.args.extensionTestsPath;if(S)return/^[^:/?#]+?:\/\//.test(S)?f.URI.parse(S):f.URI.file((0,R.normalize)(S))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const S=this.args["disable-extension"];if(S){if(typeof S=="string")return[S];if(Array.isArray(S)&&S.length>0)return S}return!1}get debugExtensionHost(){return C(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!M.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,b.joinPath)(f.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get telemetryLogResource(){return f.URI.file((0,R.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const S=M.env.VSCODE_PORTABLE;return S?f.URI.file((0,R.join)(S,"policy.json")):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"policy.json")}}get args(){return this._args}}fe([t.memoize],p.prototype,"appRoot",null),fe([t.memoize],p.prototype,"userHome",null),fe([t.memoize],p.prototype,"userDataPath",null),fe([t.memoize],p.prototype,"appSettingsHome",null),fe([t.memoize],p.prototype,"tmpDir",null),fe([t.memoize],p.prototype,"cacheHome",null),fe([t.memoize],p.prototype,"stateResource",null),fe([t.memoize],p.prototype,"userRoamingDataHome",null),fe([t.memoize],p.prototype,"userDataSyncHome",null),fe([t.memoize],p.prototype,"userDataSyncLogResource",null),fe([t.memoize],p.prototype,"editSessionsLogResource",null),fe([t.memoize],p.prototype,"sync",null),fe([t.memoize],p.prototype,"machineSettingsResource",null),fe([t.memoize],p.prototype,"workspaceStorageHome",null),fe([t.memoize],p.prototype,"localHistoryHome",null),fe([t.memoize],p.prototype,"keyboardLayoutResource",null),fe([t.memoize],p.prototype,"argvResource",null),fe([t.memoize],p.prototype,"isExtensionDevelopment",null),fe([t.memoize],p.prototype,"untitledWorkspacesHome",null),fe([t.memoize],p.prototype,"installSourcePath",null),fe([t.memoize],p.prototype,"builtinExtensionsPath",null),fe([t.memoize],p.prototype,"extensionsPath",null),fe([t.memoize],p.prototype,"extensionDevelopmentLocationURI",null),fe([t.memoize],p.prototype,"extensionDevelopmentKind",null),fe([t.memoize],p.prototype,"extensionTestsLocationURI",null),fe([t.memoize],p.prototype,"debugExtensionHost",null),fe([t.memoize],p.prototype,"serviceMachineIdResource",null),fe([t.memoize],p.prototype,"telemetryLogResource",null),fe([t.memoize],p.prototype,"disableWorkspaceTrust",null),fe([t.memoize],p.prototype,"policyFile",null),e.AbstractNativeEnvironmentService=p;function C(u,S){return m(u["inspect-extensions"],u["inspect-brk-extensions"],5870,S,u.debugId,u.extensionEnvironment)}e.parseExtensionHostPort=C;function k(u,S){return m(u["inspect-search"],u["inspect-brk-search"],5876,S,u.extensionEnvironment)}e.parseSearchPort=k;function y(u,S){return m(u["inspect-ptyhost"],u["inspect-brk-ptyhost"],5877,S,u.extensionEnvironment)}e.parsePtyHostPort=y;function m(u,S,w,E,P,g){const l=Number(S||u)||(E?null:w),n=l?Boolean(!!S):!1;let r;if(g)try{r=JSON.parse(g)}catch{}return{port:l,break:n,debugId:P,env:r}}}),define(X[98],Z([0,1,259,4,148]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const R={o:(0,D.localize)(0,null),e:(0,D.localize)(1,null),t:(0,D.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,D.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,D.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,D.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,D.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,D.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,D.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,D.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,D.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,D.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,D.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,D.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,D.localize)(14,null)},category:{type:"string",cat:"e",description:(0,D.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,D.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,D.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,D.localize)(18,null)},"enable-proposed-api":{type:"string[]",allowEmptyValue:!0,cat:"e",args:"ext-id",description:(0,D.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,D.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,D.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,D.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,D.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,D.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,D.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,D.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,D.localize)(27,null),args:["on | off"]},"inspect-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,D.localize)(28,null)},"inspect-brk-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,D.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,D.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,D.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,D.localize)(32,null)},remote:{type:"string",allowEmptyValue:!0},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-brk-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-search":{type:"string",deprecates:["debugSearch"],allowEmptyValue:!0},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"],allowEmptyValue:!0},"export-default-configuration":{type:"string"},"install-source":{type:"string"},"enable-smoke-test-driver":{type:"boolean"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},logsPath:{type:"string"},"__enable-file-policy":{type:"boolean"},editSessionId:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string",allowEmptyValue:!0},"inspect-brk":{type:"string",allowEmptyValue:!0},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},_:{type:"string[]"}};const M={onUnknownOption:()=>{},onMultipleValues:()=>{},onEmptyValue:()=>{},onDeprecatedOption:()=>{}};function b(u,S,w=M){const E={},P=["_"],g=[];for(const r in S){const i=S[r];i.alias&&(E[r]=i.alias),i.type==="string"||i.type==="string[]"?(P.push(r),i.deprecates&&P.push(...i.deprecates)):i.type==="boolean"&&(g.push(r),i.deprecates&&g.push(...i.deprecates))}const h=v(u,{string:P,boolean:g,alias:E}),l={},n=h;l._=h._.map(r=>String(r)).filter(r=>r.length>0),delete n._;for(const r in S){const i=S[r];i.alias&&delete n[i.alias];let s=n[r];if(i.deprecates)for(const o of i.deprecates)n.hasOwnProperty(o)&&(s||(s=n[o],s&&w.onDeprecatedOption(o,i.deprecationMessage||(0,D.localize)(33,null,r))),delete n[o]);if(typeof s!="undefined"){if(i.type==="string[]"){if(Array.isArray(s)||(s=[s]),!i.allowEmptyValue){const o=s.filter(a=>a.length>0);o.length!==s.length&&(w.onEmptyValue(r),s=o.length>0?o:void 0)}}else i.type==="string"&&(Array.isArray(s)?(s=s.pop(),w.onMultipleValues(r,s)):!s&&!i.allowEmptyValue&&(w.onEmptyValue(r),s=void 0));l[r]=s,i.deprecationMessage&&w.onDeprecatedOption(r,i.deprecationMessage)}delete n[r]}for(const r in n)w.onUnknownOption(r);return l}e.parseArgs=b;function f(u,S){let w="";return S.args&&(Array.isArray(S.args)?w=` <${S.args.join("> <")}>`:w=` <${S.args}>`),S.alias?`-${S.alias} --${u}${w}`:`--${u}${w}`}function p(u,S){let w=0;const E=[];for(const l in u){const n=u[l],r=f(l,n);w=Math.max(w,r.length),E.push([r,n.description])}const P=w+2+1;if(S-P<25)return E.reduce((l,n)=>l.concat([`  ${n[0]}`,`      ${n[1]}`]),[]);const g=S-P-1,h=[];for(const l of E){const n=l[0],r=k(l[1],g),i=C(P-n.length-2);h.push("  "+n+i+r[0]);for(let s=1;s<r.length;s++)h.push(C(P)+r[s])}return h}e.formatOptions=p;function C(u){return" ".repeat(u)}function k(u,S){const w=[];for(;u.length;){const E=u.length<S?u.length:u.lastIndexOf(" ",S),P=u.slice(0,E).trim();u=u.slice(E),w.push(P)}return w}function y(u,S,w,E,P){const g=process.stdout.isTTY&&process.stdout.columns||80,h=P?.noInputFiles!==!0?`[${(0,D.localize)(34,null)}...]`:"",l=[`${u} ${w}`];l.push(""),l.push(`${(0,D.localize)(35,null)}: ${S} [${(0,D.localize)(36,null)}]${h}`),l.push(""),P?.noPipe!==!0&&(t.isWindows?l.push((0,D.localize)(37,null,S)):l.push((0,D.localize)(38,null,S)),l.push(""));const n={};for(const r in E){const i=E[r];if(i.description&&i.cat){let s=n[i.cat];s||(n[i.cat]=s={}),s[r]=i}}for(const r in n){const i=r,s=n[i];s&&(l.push(R[i]),l.push(...p(s,g)),l.push(""))}return l.join(`
`)}e.buildHelpMessage=y;function m(u,S){return`${u||(0,D.localize)(39,null)}
${S||(0,D.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=m}),define(X[175],Z([0,1,76,172,98]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class R extends t.ExtensionHostDebugBroadcastChannel{constructor(b){super();this.windowsMainService=b}call(b,f,p){return f==="openExtensionDevelopmentHostWindow"?this.openExtensionDevelopmentHostWindow(p[0],p[1]):super.call(b,f,p)}async openExtensionDevelopmentHostWindow(b,f){const p=(0,D.parseArgs)(b,D.OPTIONS);p.debugRenderer=f;const C=p.extensionDevelopmentPath;if(!C)return{success:!1};const[k]=this.windowsMainService.openExtensionDevelopmentHostWindow(C,{context:5,cli:p});if(!f)return{success:!0};const y=k.win;if(!y)return{success:!0};const m=y.webContents.debugger;let u=m.isAttached()?1/0:0;const S=(0,v.createServer)(w=>{u++==0&&m.attach();let E=!1;const P=l=>{E||w.write(JSON.stringify(l)+"\0")},g=(l,n,r,i)=>P({method:n,params:r,sessionId:i});y.on("close",()=>{m.removeListener("message",g),w.end(),E=!0}),m.addListener("message",g);let h=Buffer.alloc(0);w.on("data",l=>{h=Buffer.concat([h,l]);for(let n=h.indexOf(0);n!==-1;n=h.indexOf(0)){let r;try{const i=h.slice(0,n).toString("utf8");h=h.slice(n+1),r=JSON.parse(i)}catch(i){console.error("error reading cdp line",i)}m.sendCommand(r.method,r.params,r.sessionId).then(i=>P({id:r.id,sessionId:r.sessionId,result:i})).catch(i=>P({id:r.id,sessionId:r.sessionId,error:{code:0,message:i.message}}))}}),w.on("error",l=>{console.error("error on cdp pipe:",l)}),w.on("close",()=>{E=!0,--u==0&&m.detach()})});return await new Promise(w=>S.listen(0,w)),y.on("close",()=>S.close()),{rendererDebugPort:S.address().port,success:!0}}}e.ElectronExtensionHostDebugBroadcastChannel=R}),define(X[55],Z([0,1,260,149,98]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const R=2048;function M(y,m){const u={onUnknownOption:w=>{console.warn((0,t.localize)(0,null,w))},onMultipleValues:(w,E)=>{console.warn((0,t.localize)(1,null,w,E))},onEmptyValue:w=>{console.warn((0,t.localize)(2,null,w))},onDeprecatedOption:(w,E)=>{console.warn((0,t.localize)(3,null,w,E))}},S=(0,D.parseArgs)(y,D.OPTIONS,m?u:void 0);return S.goto&&S._.forEach(w=>v(/^(\w:)?[^:]+(:\d*){0,2}$/.test(w),(0,t.localize)(4,null))),S["max-memory"]&&v(parseInt(S["max-memory"])>=R,`The max-memory argument cannot be specified lower than ${R} MB.`),S}function b(y){const m=y.findIndex(u=>!/^-/.test(u));if(m>-1)return[...y.slice(0,m),...y.slice(m+1)]}function f(y){let[,...m]=y;process.env.VSCODE_DEV&&(m=b(m)||[]);const u=!k(process.env);return M(m,u)}e.parseMainProcessArgv=f;function p(y){const[,,...m]=y;return M(m,!0)}e.parseCLIProcessArgv=p;function C(y,...m){const u=y.indexOf("--");return u===-1?y.push(...m):y.splice(u,0,...m),y}e.addArg=C;function k(y){return y.VSCODE_CLI==="1"}e.isLaunchedFromCli=k}),function(){"use strict";function z(e,v,t,D){function R(b){const f=M(b),p=[f];return e.isAbsolute(f)||p.unshift(D),e.resolve(...p)}function M(b){const f=process.env.VSCODE_PORTABLE;if(f)return e.join(f,"user-data");let p=process.env.VSCODE_APPDATA;if(p)return e.join(p,t);const C=b["user-data-dir"];if(C)return C;switch(process.platform){case"win32":if(p=process.env.APPDATA,!p){const k=process.env.USERPROFILE;if(typeof k!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");p=e.join(k,"AppData","Roaming")}break;case"darwin":p=e.join(v.homedir(),"Library","Application Support");break;case"linux":p=process.env.XDG_CONFIG_HOME||e.join(v.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(p,t)}return{getUserDataPath:R}}if(typeof define=="function")define(X[176],Z([0,261,28,12,16,36]),function(e,v,t,D,R,M){const b=R.dirname(D.FileAccess.asFileUri("",e)),f=e.__$__nodeRequire(R.joinPath(b,"package.json").fsPath);return z(v,t,f.name,M.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),v=require("path"),t=require("os");module.exports=z(v,t,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(X[177],Z([0,1,28,174,176]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class R extends t.AbstractNativeEnvironmentService{constructor(b,f){super(b,{homeDir:(0,v.homedir)(),tmpDir:(0,v.tmpdir)(),userDataDir:(0,D.getUserDataPath)(b)},f)}}e.NativeEnvironmentService=R}),define(X[178],Z([0,1,27,28,29]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFile=void 0;function R(M){const b=(0,D.randomPath)((0,t.tmpdir)());try{return(0,v.writeFileSync)(b,""),M&&console.log(`Marker file for --wait created: ${b}`),b}catch(f){M&&console.error(`Failed to create marker file for --wait: ${f}`);return}}e.createWaitMarkerFile=R}),define(X[179],Z([0,1,19,30]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function D(R,M,b){let f=b&&b.get("storage.serviceMachineId",-1)||null;if(f)return f;try{const C=(await M.readFile(R.serviceMachineIdResource)).value.toString();f=(0,t.isUUID)(C)?C:null}catch{f=null}if(!f){f=(0,t.generateUuid)();try{await M.writeFile(R.serviceMachineIdResource,v.VSBuffer.fromString(f))}catch{}}return b?.store("storage.serviceMachineId",f,-1,1),f}e.getServiceMachineId=D}),define(X[67],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class v{constructor(D,R=[],M=!1){this.ctor=D,this.staticArguments=R,this.supportsDelayedInstantiation=M}}e.SyncDescriptor=v}),define(X[180],Z([0,1,67]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function D(M,b,f){b instanceof v.SyncDescriptor||(b=new v.SyncDescriptor(b,[],f)),t.push([M,b])}e.registerSingleton=D;function R(){return t}e.getSingletonServiceDescriptors=R}),define(X[181],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class v{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}e.Node=v;class t{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(const M of this._nodes.values())M.outgoing.size===0&&R.push(M);return R}insertEdge(R,M){const b=this.lookupOrInsertNode(R),f=this.lookupOrInsertNode(M);b.outgoing.set(this._hashFn(M),f),f.incoming.set(this._hashFn(R),b)}removeNode(R){const M=this._hashFn(R);this._nodes.delete(M);for(const b of this._nodes.values())b.outgoing.delete(M),b.incoming.delete(M)}lookupOrInsertNode(R){const M=this._hashFn(R);let b=this._nodes.get(M);return b||(b=new v(R),this._nodes.set(M,b)),b}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){const R=[];for(const[M,b]of this._nodes)R.push(`${M}, (incoming)[${[...b.incoming.keys()].join(", ")}], (outgoing)[${[...b.outgoing.keys()].join(",")}]`);return R.join(`
`)}findCycleSlow(){for(const[R,M]of this._nodes){const b=new Set([R]),f=this._findCycle(M,b);if(f)return f}}_findCycle(R,M){for(const[b,f]of R.outgoing){if(M.has(b))return[...M,b].join(" -> ");M.add(b);const p=this._findCycle(f,M);if(p)return p;M.delete(b)}}}e.Graph=t}),define(X[5],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var v;(function(M){M.serviceIds=new Map,M.DI_TARGET="$di$target",M.DI_DEPENDENCIES="$di$dependencies";function b(f){return f[M.DI_DEPENDENCIES]||[]}M.getServiceDependencies=b})(v=e._util||(e._util={})),e.IInstantiationService=D("instantiationService");function t(M,b,f){b[v.DI_TARGET]===b?b[v.DI_DEPENDENCIES].push({id:M,index:f}):(b[v.DI_DEPENDENCIES]=[{id:M,index:f}],b[v.DI_TARGET]=b)}function D(M){if(v.serviceIds.has(M))return v.serviceIds.get(M);const b=function(f,p,C){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(b,f,C)};return b.toString=()=>M,v.serviceIds.set(M,b),b}e.createDecorator=D;function R(M){return M}e.refineServiceDecorator=R}),define(X[56],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBackupMainService=void 0,e.IBackupMainService=(0,v.createDecorator)("backupMainService")}),define(X[17],Z([0,1,13,7,5]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,D.createDecorator)("configurationService");function R(E){return E&&typeof E=="object"&&(!E.overrideIdentifier||typeof E.overrideIdentifier=="string")&&(!E.resource||E.resource instanceof t.URI)}e.isConfigurationOverrides=R;function M(E){return E&&typeof E=="object"&&(!E.overrideIdentifiers||v.isArray(E.overrideIdentifiers))&&!E.overrideIdentifier&&(!E.resource||E.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=M;var b;(function(E){E[E.USER=1]="USER",E[E.USER_LOCAL=2]="USER_LOCAL",E[E.USER_REMOTE=3]="USER_REMOTE",E[E.WORKSPACE=4]="WORKSPACE",E[E.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",E[E.DEFAULT=6]="DEFAULT",E[E.MEMORY=7]="MEMORY"})(b=e.ConfigurationTarget||(e.ConfigurationTarget={}));function f(E){switch(E){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=f;function p(E,P){const g=Object.create(null);for(const h in E)C(g,h,E[h],P);return g}e.toValuesTree=p;function C(E,P,g,h){const l=P.split("."),n=l.pop();let r=E;for(let i=0;i<l.length;i++){const s=l[i];let o=r[s];switch(typeof o){case"undefined":o=r[s]=Object.create(null);break;case"object":break;default:h(`Ignoring ${P} as ${l.slice(0,i+1).join(".")} is ${JSON.stringify(o)}`);return}r=o}if(typeof r=="object"&&r!==null)try{r[n]=g}catch{h(`Ignoring ${P} as ${l.join(".")} is ${JSON.stringify(r)}`)}else h(`Ignoring ${P} as ${l.join(".")} is ${JSON.stringify(r)}`)}e.addToValueTree=C;function k(E,P){const g=P.split(".");y(E,g)}e.removeFromValueTree=k;function y(E,P){const g=P.shift();if(P.length===0){delete E[g];return}if(Object.keys(E).indexOf(g)!==-1){const h=E[g];typeof h=="object"&&!Array.isArray(h)&&(y(h,P),Object.keys(h).length===0&&delete E[g])}}function m(E,P,g){function h(r,i){let s=r;for(const o of i){if(typeof s!="object"||s===null)return;s=s[o]}return s}const l=P.split("."),n=h(E,l);return typeof n=="undefined"?g:n}e.getConfigurationValue=m;function u(E,P,g){Object.keys(P).forEach(h=>{h!=="__proto__"&&(h in E?v.isObject(E[h])&&v.isObject(P[h])?u(E[h],P[h],g):g&&(E[h]=P[h]):E[h]=P[h])})}e.merge=u;function S(E,P,g){const h=E.inspect(P),l=E.inspect(g);return typeof h.userValue!="undefined"||typeof h.workspaceValue!="undefined"||typeof h.workspaceFolderValue!="undefined"?h.value:typeof l.userValue!="undefined"||typeof l.workspaceValue!="undefined"||typeof l.workspaceFolderValue!="undefined"?l.value:h.defaultValue}e.getMigratedSettingValue=S;function w(E){return E.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=w}),define(X[68],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryCredentialsProvider=e.ICredentialsMainService=e.ICredentialsService=void 0,e.ICredentialsService=(0,v.createDecorator)("credentialsService"),e.ICredentialsMainService=(0,v.createDecorator)("credentialsMainService");class t{constructor(){this.secretVault={}}async getPassword(R,M){return this.secretVault[R]?.[M]??null}async setPassword(R,M,b){this.secretVault[R]=this.secretVault[R]??{},this.secretVault[R][M]=b}async deletePassword(R,M){return this.secretVault[R]?.[M]?(delete this.secretVault[R][M],Object.keys(this.secretVault[R]).length===0&&delete this.secretVault[R],!0):!1}async findPassword(R){return JSON.stringify(this.secretVault[R])??null}async findCredentials(R){const M=[];for(const b of Object.keys(this.secretVault[R]||{}))M.push({account:b,password:this.secretVault[R][b]});return M}async clear(){this.secretVault={}}}e.InMemoryCredentialsProvider=t}),define(X[83],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullDiagnosticsService=e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,v.createDecorator)(e.ID);function t(R){return!!R.hostName&&!!R.errorMessage}e.isRemoteDiagnosticError=t;class D{async getPerformanceInfo(M,b){return{}}async getSystemInfo(M,b){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(M,b){return""}async getWorkspaceFileExtensions(M){return{extensions:[]}}async reportWorkspaceStats(M){}}e.NullDiagnosticsService=D}),define(X[99],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEncryptionMainService=void 0,e.IEncryptionMainService=(0,v.createDecorator)("encryptionMainService")}),define(X[39],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,v.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,v.refineServiceDecorator)(e.IEnvironmentService)}),define(X[26],Z([0,1,51,9,81,39,177,5]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=(0,b.refineServiceDecorator)(R.IEnvironmentService);class f extends M.NativeEnvironmentService{get cachedLanguagesPath(){return(0,t.join)(this.userDataPath,"clp")}get backupHome(){return(0,t.join)(this.userDataPath,"Backups")}get backupWorkspacesPath(){return(0,t.join)(this.backupHome,"workspaces.json")}get mainIPCHandle(){return(0,D.createStaticIPCHandle)(this.userDataPath,"main",this.productService.version)}get mainLockfile(){return(0,t.join)(this.userDataPath,"code.lock")}get disableUpdates(){return!!this.args["disable-updates"]}get disableKeytar(){return!!this.args["disable-keytar"]}get codeCachePath(){return process.env.VSCODE_CODE_CACHE_PATH||void 0}get useCodeCache(){return!!this.codeCachePath}}fe([v.memoize],f.prototype,"cachedLanguagesPath",null),fe([v.memoize],f.prototype,"backupHome",null),fe([v.memoize],f.prototype,"backupWorkspacesPath",null),fe([v.memoize],f.prototype,"mainIPCHandle",null),fe([v.memoize],f.prototype,"mainLockfile",null),fe([v.memoize],f.prototype,"disableUpdates",null),fe([v.memoize],f.prototype,"disableKeytar",null),fe([v.memoize],f.prototype,"codeCachePath",null),fe([v.memoize],f.prototype,"useCodeCache",null),e.EnvironmentMainService=f}),define(X[100],Z([0,1,150,5]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDefaultExtensionsProfileInitService=e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function D(E){switch(E){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=D;function R(E){switch(E){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=R;function M(E,P){switch(E){case 3:return P==="x64"?"win32-x64":P==="ia32"?"win32-ia32":P==="arm64"?"win32-arm64":"unknown";case 2:return P==="x64"?"linux-x64":P==="arm64"?"linux-arm64":P==="arm"?"linux-armhf":"unknown";case"alpine":return P==="x64"?"alpine-x64":P==="arm64"?"alpine-arm64":"unknown";case 1:return P==="x64"?"darwin-x64":P==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=M;function b(E,P){return P==="web"&&!E.includes("web")}e.isNotWebExtensionInWebTargetPlatform=b;function f(E,P,g){return b(P,g)?!1:E==="undefined"||E==="universal"?!0:E==="unknown"?!1:E===g?!0:p(g).includes(E)}e.isTargetPlatformCompatible=f;function p(E){switch(E){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=p;function C(E){return E&&typeof E=="object"&&typeof E.id=="string"&&(!E.uuid||typeof E.uuid=="string")}e.isIExtensionIdentifier=C;var k;(function(E){E[E.NoneOrRelevance=0]="NoneOrRelevance",E[E.LastUpdatedDate=1]="LastUpdatedDate",E[E.Title=2]="Title",E[E.PublisherName=3]="PublisherName",E[E.InstallCount=4]="InstallCount",E[E.PublishedDate=10]="PublishedDate",E[E.AverageRating=6]="AverageRating",E[E.WeightedRating=12]="WeightedRating"})(k=e.SortBy||(e.SortBy={}));var y;(function(E){E[E.Default=0]="Default",E[E.Ascending=1]="Ascending",E[E.Descending=2]="Descending"})(y=e.SortOrder||(e.SortOrder={}));var m;(function(E){E.Install="install",E.Uninstall="uninstall"})(m=e.StatisticType||(e.StatisticType={}));var u;(function(E){E[E.None=1]="None",E[E.Install=2]="Install",E[E.Update=3]="Update",E[E.Migrate=4]="Migrate"})(u=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,t.createDecorator)("extensionGalleryService");var S;(function(E){E.Unsupported="Unsupported",E.Deprecated="Deprecated",E.Malicious="Malicious",E.Incompatible="Incompatible",E.IncompatiblePreRelease="IncompatiblePreRelease",E.IncompatibleTargetPlatform="IncompatibleTargetPlatform",E.ReleaseVersionNotFound="ReleaseVersionNotFound",E.Invalid="Invalid",E.Download="Download",E.Extract="Extract",E.Delete="Delete",E.Rename="Rename",E.CorruptZip="CorruptZip",E.IncompleteZip="IncompleteZip",E.Internal="Internal"})(S=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class w extends Error{constructor(P,g){super(P);this.code=g,this.name=g}}e.ExtensionManagementError=w,e.IExtensionManagementService=(0,t.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,t.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,t.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,t.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,v.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,v.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,t.createDecorator)("IExtensionManagementCLIService"),e.IDefaultExtensionsProfileInitService=(0,t.createDecorator)("IDefaultExtensionsProfileInitService")}),define(X[182],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=(0,v.createDecorator)("extensionUrlTrustService")}),define(X[183],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcExtensionHostStarterChannelName=e.IExtensionHostStarter=void 0,e.IExtensionHostStarter=(0,v.createDecorator)("extensionHostStarter"),e.ipcExtensionHostStarterChannelName="extensionHostStarter"}),define(X[101],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,v.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,v.createDecorator)("externalTerminal")}),define(X[184],Z([0,1,42,12,9,4,77,23,82,151,101]),function(z,e,v,t,D,R,M,b,f,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const k=p.localize(0,null);class y{async getDefaultTerminalForPlatforms(){return{windows:m.getDefaultTerminalWindows(),linux:await S.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class m extends y{openTerminal(h,l){return this.spawnTerminal(v,h,f.getWindowsShell(),l)}spawnTerminal(h,l,n,r){const i=l.windowsExec||m.getDefaultTerminalWindows();r&&r[1]===":"&&(r=r[0].toUpperCase()+r.substr(1));const s=D.basename(i).toLowerCase();if(s==="cmder"||s==="cmder.exe")return h.spawn(i,r?[r]:void 0),Promise.resolve(void 0);const o=["/c","start","/wait"];return i.indexOf(" ")>=0&&o.push('""'),o.push(i),(s==="wt"||s==="wt.exe")&&o.push("-d ."),new Promise((a,c)=>{const d=w(process),I=h.spawn(n,o,{cwd:r,env:d});I.on("error",c),I.on("exit",()=>a())})}runInTerminal(h,l,n,r,i){const s="windowsExec"in i&&i.windowsExec?i.windowsExec:m.getDefaultTerminalWindows();return new Promise((o,a)=>{const c=`"${l} - ${k}"`,d=`""${n.join('" "')}" & pause"`,I=["/c","start",c,"/wait",s,"/c",d],L=Object.assign({},w(process),r);Object.keys(L).filter(K=>L[K]===null).forEach(K=>delete L[K]);const T={cwd:l,env:L,windowsVerbatimArguments:!0};v.spawn(m.CMD,I,T).on("error",K=>{a(E(K))}),o(void 0)})}static getDefaultTerminalWindows(){if(!m._DEFAULT_TERMINAL_WINDOWS){const h=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");m._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${h?"Sysnative":"System32"}\\cmd.exe`}return m._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=m,m.CMD="cmd.exe";class u extends y{openTerminal(h,l){return this.spawnTerminal(v,h,l)}runInTerminal(h,l,n,r,i){const s=i.osxExec||C.DEFAULT_TERMINAL_OSX;return new Promise((o,a)=>{if(s===C.DEFAULT_TERMINAL_OSX||s==="iTerm.app"){const c=s===C.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",I=[t.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${c}.scpt`,z).fsPath,"-t",h||k,"-w",l];for(const _ of n)I.push("-a"),I.push(_);if(r){const _=Object.assign({},w(process),r);for(const K in _){const ie=_[K];ie===null?(I.push("-u"),I.push(K)):(I.push("-e"),I.push(`${K}=${ie}`))}}let L="";const T=v.spawn(u.OSASCRIPT,I);T.on("error",_=>{a(E(_))}),T.stderr.on("data",_=>{L+=_.toString()}),T.on("exit",_=>{if(_===0)o(void 0);else if(L){const K=L.split(`
`,1);a(new Error(K[0]))}else a(new Error(p.localize(1,null,c,_)))})}else a(new Error(p.localize(2,null,s)))})}spawnTerminal(h,l,n){const r=l.osxExec||C.DEFAULT_TERMINAL_OSX;return new Promise((i,s)=>{const o=["-a",r];n&&o.push(n);const a=w(process),c=h.spawn("/usr/bin/open",o,{cwd:n,env:a});c.on("error",s),c.on("exit",()=>i())})}}e.MacExternalTerminalService=u,u.OSASCRIPT="/usr/bin/osascript";class S extends y{openTerminal(h,l){return this.spawnTerminal(v,h,l)}runInTerminal(h,l,n,r,i){const s=i.linuxExec?Promise.resolve(i.linuxExec):S.getDefaultTerminalLinuxReady();return new Promise((o,a)=>{const c=[];s.then(d=>{d.indexOf("gnome-terminal")>=0?c.push("-x"):c.push("-e"),c.push("bash"),c.push("-c");const I=`${P(n)}; echo; read -p "${S.WAIT_MESSAGE}" -n1;`;c.push(`''${I}''`);const L=Object.assign({},w(process),r);Object.keys(L).filter(ie=>L[ie]===null).forEach(ie=>delete L[ie]);const T={cwd:l,env:L};let _="";const K=v.spawn(d,c,T);K.on("error",ie=>{a(E(ie))}),K.stderr.on("data",ie=>{_+=ie.toString()}),K.on("exit",ie=>{if(ie===0)o(void 0);else if(_){const ne=_.split(`
`,1);a(new Error(ne[0]))}else a(new Error(p.localize(4,null,d,ie)))})})})}static async getDefaultTerminalLinuxReady(){if(!S._DEFAULT_TERMINAL_LINUX_READY)if(!R.isLinux)S._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const h=await b.Promises.exists("/etc/debian_version");S._DEFAULT_TERMINAL_LINUX_READY=new Promise(l=>{h?l("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?l("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?l("konsole"):process.env.COLORTERM?l(process.env.COLORTERM):process.env.TERM?l(process.env.TERM):l("xterm")})}return S._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(h,l,n){const r=l.linuxExec?Promise.resolve(l.linuxExec):S.getDefaultTerminalLinuxReady();return new Promise((i,s)=>{r.then(o=>{const a=w(process),c=h.spawn(o,[],{cwd:n,env:a});c.on("error",s),c.on("exit",()=>i())})})}}e.LinuxExternalTerminalService=S,S.WAIT_MESSAGE=p.localize(3,null);function w(g){const h={...g.env};return(0,M.sanitizeProcessEnvironment)(h),h}function E(g){return"errno"in g&&g.errno==="ENOENT"&&"path"in g&&typeof g.path=="string"?new Error(p.localize(5,null,g.path)):g}function P(g){let h="";for(const l of g)l.indexOf(" ")>=0?h+='"'+l+'"':h+=l,h+=" ";return h}}),define(X[15],Z([0,1,33,9,31,13,7,153,5]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,f.createDecorator)("fileService");function p($){return $.create===!0}e.isFileOpenForWriteOptions=p;var C;(function($){$[$.Unknown=0]="Unknown",$[$.File=1]="File",$[$.Directory=2]="Directory",$[$.SymbolicLink=64]="SymbolicLink"})(C=e.FileType||(e.FileType={}));var k;(function($){$[$.Readonly=1]="Readonly"})(k=e.FilePermission||(e.FilePermission={}));var y;(function($){$[$.FileReadWrite=2]="FileReadWrite",$[$.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",$[$.FileReadStream=16]="FileReadStream",$[$.FileFolderCopy=8]="FileFolderCopy",$[$.PathCaseSensitive=1024]="PathCaseSensitive",$[$.Readonly=2048]="Readonly",$[$.Trash=4096]="Trash",$[$.FileWriteUnlock=8192]="FileWriteUnlock",$[$.FileAtomicRead=16384]="FileAtomicRead",$[$.FileClone=32768]="FileClone"})(y=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function m($){return!!($.capabilities&2)}e.hasReadWriteCapability=m;function u($){return!!($.capabilities&8)}e.hasFileFolderCopyCapability=u;function S($){return!!($.capabilities&32768)}e.hasFileCloneCapability=S;function w($){return!!($.capabilities&4)}e.hasOpenReadWriteCloseCapability=w;function E($){return!!($.capabilities&16)}e.hasFileReadStreamCapability=E;function P($){return m($)?!!($.capabilities&16384):!1}e.hasFileAtomicReadCapability=P;var g;(function($){$.FileExists="EntryExists",$.FileNotFound="EntryNotFound",$.FileNotADirectory="EntryNotADirectory",$.FileIsADirectory="EntryIsADirectory",$.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",$.FileTooLarge="EntryTooLarge",$.FileWriteLocked="EntryWriteLocked",$.NoPermissions="NoPermissions",$.Unavailable="Unavailable",$.Unknown="Unknown"})(g=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class h extends Error{constructor(oe,W){super(oe);this.code=W}}e.FileSystemProviderError=h;function l($,oe){const W=new h($.toString(),oe);return r(W,oe),W}e.createFileSystemProviderError=l;function n($){return $||l((0,b.localize)(0,null),g.Unknown)}e.ensureFileSystemProviderError=n;function r($,oe){return $.name=oe?`${oe} (FileSystemError)`:"FileSystemError",$}e.markAsFileSystemProviderError=r;function i($){if(!$)return g.Unknown;if($ instanceof h)return $.code;const oe=/^(.+) \(FileSystemError\)$/.exec($.name);if(!oe)return g.Unknown;switch(oe[1]){case g.FileExists:return g.FileExists;case g.FileIsADirectory:return g.FileIsADirectory;case g.FileNotADirectory:return g.FileNotADirectory;case g.FileNotFound:return g.FileNotFound;case g.FileExceedsMemoryLimit:return g.FileExceedsMemoryLimit;case g.FileTooLarge:return g.FileTooLarge;case g.FileWriteLocked:return g.FileWriteLocked;case g.NoPermissions:return g.NoPermissions;case g.Unavailable:return g.Unavailable}return g.Unknown}e.toFileSystemProviderErrorCode=i;function s($){if($ instanceof L)return $.fileOperationResult;switch(i($)){case g.FileNotFound:return 1;case g.FileIsADirectory:return 0;case g.FileNotADirectory:return 10;case g.FileWriteLocked:return 5;case g.NoPermissions:return 6;case g.FileExists:return 4;case g.FileExceedsMemoryLimit:return 9;case g.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=s;var o;(function($){$[$.CREATE=0]="CREATE",$[$.DELETE=1]="DELETE",$[$.MOVE=2]="MOVE",$[$.COPY=3]="COPY",$[$.WRITE=4]="WRITE"})(o=e.FileOperation||(e.FileOperation={}));class a{constructor(oe,W,F){this.resource=oe,this.operation=W,this.target=F}isOperation(oe){return this.operation===oe}}e.FileOperationEvent=a;var c;(function($){$[$.UPDATED=0]="UPDATED",$[$.ADDED=1]="ADDED",$[$.DELETED=2]="DELETED"})(c=e.FileChangeType||(e.FileChangeType={}));class d{constructor(oe,W){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=oe;const F=new Map;for(const B of oe){const Y=F.get(B.type);switch(Y?Y.push([B.resource,B]):F.set(B.type,[[B.resource,B]]),B.type){case 1:this.rawAdded.push(B.resource);break;case 0:this.rawUpdated.push(B.resource);break;case 2:this.rawDeleted.push(B.resource);break}}for(const[B,Y]of F)switch(B){case 1:this.added=v.TernarySearchTree.forUris(()=>W),this.added.fill(Y);break;case 0:this.updated=v.TernarySearchTree.forUris(()=>W),this.updated.fill(Y);break;case 2:this.deleted=v.TernarySearchTree.forUris(()=>W),this.deleted.fill(Y);break}}contains(oe,...W){return this.doContains(oe,{includeChildren:!1},...W)}affects(oe,...W){return this.doContains(oe,{includeChildren:!0},...W)}doContains(oe,W,...F){if(!oe)return!1;const B=F.length>0;return!!((!B||F.includes(1))&&(this.added?.get(oe)||W.includeChildren&&this.added?.findSuperstr(oe))||(!B||F.includes(0))&&(this.updated?.get(oe)||W.includeChildren&&this.updated?.findSuperstr(oe))||(!B||F.includes(2))&&(this.deleted?.findSubstr(oe)||W.includeChildren&&this.deleted?.findSuperstr(oe)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=d;function I($,oe,W){return!$||!oe||$===oe||oe.length>$.length?!1:(oe.charAt(oe.length-1)!==t.sep&&(oe+=t.sep),W?(0,D.startsWithIgnoreCase)($,oe):$.indexOf(oe)===0)}e.isParent=I;class L extends Error{constructor(oe,W,F){super(oe);this.fileOperationResult=W,this.options=F}}e.FileOperationError=L;class T extends L{constructor(oe,W,F){super(oe,2,F);this.stat=W}}e.NotModifiedSinceFileOperationError=T;var _;(function($){$[$.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",$[$.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",$[$.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",$[$.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",$[$.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",$[$.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",$[$.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",$[$.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",$[$.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",$[$.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",$[$.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",$[$.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(_=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var K;(function($){$[$.FILE=0]="FILE",$[$.FOLDER=1]="FOLDER",$[$.ROOT_FOLDER=2]="ROOT_FOLDER"})(K=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function ie($){if(!(typeof $.size!="number"||typeof $.mtime!="number"))return $.mtime.toString(29)+$.size.toString(31)}e.etag=ie;async function ne($,oe){if(!oe.hasProvider(M.URI.from({scheme:$.scheme})))return new Promise(W=>{const F=oe.onDidChangeFileSystemProviderRegistrations(B=>{B.scheme===$.scheme&&B.added&&(F.dispose(),W())})})}e.whenProviderRegistered=ne,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class Q{static formatSize(oe){return(0,R.isNumber)(oe)||(oe=0),oe<Q.KB?(0,b.localize)(1,null,oe.toFixed(0)):oe<Q.MB?(0,b.localize)(2,null,(oe/Q.KB).toFixed(2)):oe<Q.GB?(0,b.localize)(3,null,(oe/Q.MB).toFixed(2)):oe<Q.TB?(0,b.localize)(4,null,(oe/Q.GB).toFixed(2)):(0,b.localize)(5,null,(oe/Q.TB).toFixed(2))}}e.ByteSize=Q,Q.KB=1024,Q.MB=Q.KB*Q.KB,Q.GB=Q.MB*Q.KB,Q.TB=Q.GB*Q.KB;var ae;(function($){$[$.IA32=0]="IA32",$[$.OTHER=1]="OTHER"})(ae=e.Arch||(e.Arch={}));function le($){return{maxFileSize:$===0?300*Q.MB:16*Q.GB,maxHeapSize:$===0?700*Q.MB:2*700*Q.MB}}e.getPlatformLimits=le}),define(X[185],Z([0,1,19,41,18,3,2,54,7,30,15]),function(z,e,v,t,D,R,M,b,f,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class k extends M.Disposable{constructor(m,u){super();this.channel=m,this.extraCapabilities=u,this.onDidChangeCapabilities=R.Event.None,this._onDidChange=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new R.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,p.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(m){return this.channel.call("stat",[m])}readdir(m){return this.channel.call("readdir",[m])}async readFile(m,u){const{buffer:S}=await this.channel.call("readFile",[m,u]);return S}readFileStream(m,u,S){const w=(0,b.newWriteableStream)(P=>v.VSBuffer.concat(P.map(g=>v.VSBuffer.wrap(g))).buffer),E=this.channel.listen("readFileStream",[m,u])(P=>{if(P instanceof v.VSBuffer)w.write(P.buffer);else{if(P==="end")w.end();else{let g=P;g instanceof Error||(g=(0,C.createFileSystemProviderError)((0,t.toErrorMessage)(g),C.FileSystemProviderErrorCode.Unknown)),w.error(g),w.end()}E.dispose()}});return S.onCancellationRequested(()=>{w.error((0,D.canceled)()),w.end(),E.dispose()}),w}writeFile(m,u,S){return this.channel.call("writeFile",[m,v.VSBuffer.wrap(u),S])}open(m,u){return this.channel.call("open",[m,u])}close(m){return this.channel.call("close",[m])}async read(m,u,S,w,E){const[P,g]=await this.channel.call("read",[m,u,E]);return S.set(P.buffer.slice(0,g),w),g}write(m,u,S,w,E){return this.channel.call("write",[m,u,v.VSBuffer.wrap(S),w,E])}mkdir(m){return this.channel.call("mkdir",[m])}delete(m,u){return this.channel.call("delete",[m,u])}rename(m,u,S){return this.channel.call("rename",[m,u,S])}copy(m,u,S){return this.channel.call("copy",[m,u,S])}cloneFile(m,u){return this.channel.call("cloneFile",[m,u])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(m=>{if(Array.isArray(m)){const u=m;this._onDidChange.fire(u.map(S=>({resource:f.URI.revive(S.resource),type:S.type})))}else{const u=m;this._onDidWatchError.fire(u)}}))}watch(m,u){const S=(0,p.generateUuid)();return this.channel.call("watch",[this.sessionId,S,m,u]),(0,M.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,S]))}}e.DiskFileSystemProviderClient=k}),define(X[102],Z([0,1,19,18,154,15]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function M(C,k,y,m,u,S){let w;try{await b(C,k,y,m,u,S)}catch(E){w=E}finally{w&&u.errorTransformer&&(w=u.errorTransformer(w)),typeof w!="undefined"&&y.error(w),y.end()}}e.readFileIntoStream=M;async function b(C,k,y,m,u,S){f(S);const w=await C.open(k,{create:!1});try{f(S);let E=0,P=0,g=u&&typeof u.length=="number"?u.length:void 0,h=v.VSBuffer.alloc(Math.min(u.bufferSize,typeof g=="number"?g:u.bufferSize)),l=u&&typeof u.position=="number"?u.position:0,n=0;do P=await C.read(w,l,h.buffer,n,h.byteLength-n),l+=P,n+=P,E+=P,typeof g=="number"&&(g-=P),n===h.byteLength&&(await y.write(m(h)),h=v.VSBuffer.alloc(Math.min(u.bufferSize,typeof g=="number"?g:u.bufferSize)),n=0);while(P>0&&(typeof g!="number"||g>0)&&f(S)&&p(E,u));if(n>0){let r=n;typeof g=="number"&&(r=Math.min(n,g)),y.write(m(h.slice(0,r)))}}catch(E){throw(0,R.ensureFileSystemProviderError)(E)}finally{await C.close(w)}}function f(C){if(C.isCancellationRequested)throw(0,t.canceled)();return!0}function p(C,k){if(k?.limits){if(typeof k.limits.memory=="number"&&C>k.limits.memory)throw(0,R.createFileSystemProviderError)((0,D.localize)(0,null),R.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof k.limits.size=="number"&&C>k.limits.size)throw(0,R.createFileSystemProviderError)((0,D.localize)(1,null),R.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(X[69],Z([0,1,92,2,9,4,7,15]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseWatcherPatterns=e.normalizeWatcherPattern=e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function f(E){return E.recursive===!0}e.isRecursiveWatchRequest=f;class p extends t.Disposable{constructor(P,g,h,l){super();this.onFileChanges=P,this.onLogMessage=g,this.verboseLogging=h,this.options=l,this.watcherDisposables=this._register(new t.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const P=new t.DisposableStore;this.watcherDisposables.value=P,this.watcher=this.createWatcher(P),this.watcher.setVerboseLogging(this.verboseLogging),P.add(this.watcher.onDidChangeFile(g=>this.onFileChanges(g))),P.add(this.watcher.onDidLogMessage(g=>this.onLogMessage(g))),P.add(this.watcher.onDidError(g=>this.onError(g)))}onError(P){this.options.restartOnError?this.restartCounter<p.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${P}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${P}`):this.error(P)}restart(P){this.restartCounter++,this.init(),this.watch(P)}async watch(P){this.requests=P,await this.watcher?.watch(P)}async setVerboseLogging(P){this.verboseLogging=P,await this.watcher?.setVerboseLogging(P)}error(P){this.onLogMessage({type:"error",message:`[File Watcher (${this.options.type})] ${P}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractWatcherClient=p,p.MAX_RESTARTS=5;class C extends p{constructor(P,g,h){super(P,g,h,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=C;class k extends p{constructor(P,g,h){super(P,g,h,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=k;function y(E){return E.map(P=>({type:P.type,resource:M.URI.file(P.path)}))}e.toFileChanges=y;function m(E){const P=new w;for(const g of E)P.processEvent(g);return P.coalesce()}e.coalesceEvents=m;function u(E,P){return typeof P=="string"&&!P.startsWith(v.GLOBSTAR)&&!(0,D.isAbsolute)(P)?{base:E,pattern:P}:P}e.normalizeWatcherPattern=u;function S(E,P){const g=[];for(const h of P)g.push((0,v.parse)(u(E,h)));return g}e.parseWatcherPatterns=S;class w{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(P){return R.isLinux?P.path:P.path.toLowerCase()}processEvent(P){const g=this.mapPathToChange.get(this.toKey(P));let h=!1;if(g){const l=g.type,n=P.type;g.path!==P.path&&(P.type===2||P.type===1)?h=!0:l===1&&n===2?(this.mapPathToChange.delete(this.toKey(P)),this.coalesced.delete(g)):l===2&&n===1?g.type=0:l===1&&n===0||(g.type=n)}else h=!0;h&&(this.coalesced.add(P),this.mapPathToChange.set(this.toKey(P),P))}coalesce(){const P=[],g=[];return Array.from(this.coalesced).filter(h=>h.type!==2?(P.push(h),!1):!0).sort((h,l)=>h.path.length-l.path.length).filter(h=>g.some(l=>(0,b.isParent)(h.path,l,!R.isLinux))?!1:(g.push(h.path),!0)).concat(P)}}}),define(X[186],Z([0,1,27,8,22,29,2,79,9,4,93,23,69]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class m extends M.Disposable{constructor(w,E,P,g){super();this.request=w,this.onDidFilesChange=E,this.onLogMessage=P,this.verboseLogging=g,this.throttledFileChangesWorker=new t.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},h=>this.onDidFilesChange(h)),this.fileChangesDelayer=this._register(new t.ThrottledDelayer(m.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=(0,y.parseWatcherPatterns)(this.request.path,this.request.excludes),this.includes=this.request.includes?(0,y.parseWatcherPatterns)(this.request.path,this.request.includes):void 0,this.cts=new D.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const w=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;const E=await k.Promises.stat(w);this._register(await this.doWatch(w,E.isDirectory()))}catch(w){w.code!=="ENOENT"?this.error(w):this.trace(w)}}async normalizePath(w){let E=w.path;try{E=await k.Promises.realpath(w.path),w.path===E&&(E=await(0,C.realcase)(w.path)??w.path),w.path!==E&&this.trace(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${w.path}, real: ${E})`)}catch{}return E}async doWatch(w,E){if(p.isMacintosh&&(0,R.isEqualOrParent)(w,"/Volumes/",!0))return this.error(`Refusing to watch ${w} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),M.Disposable.None;const P=new D.CancellationTokenSource(this.cts.token),g=new M.DisposableStore;try{const h=(0,f.basename)(w),l=(0,v.watch)(w);g.add((0,M.toDisposable)(()=>{l.removeAllListeners(),l.close()})),this.trace(`Started watching: '${w}'`);const n=new Set;if(E)try{for(const i of await k.Promises.readdir(w))n.add(i)}catch(i){this.error(i)}const r=new Map;g.add((0,M.toDisposable)(()=>{for(const[,i]of r)i.dispose();r.clear()})),l.on("error",(i,s)=>{this.error(`Failed to watch ${w} for changes using fs.watch() (${i}, ${s})`),this.dispose()}),l.on("change",(i,s)=>{if(P.token.isCancellationRequested)return;this.trace(`[raw] ["${i}"] ${s}`);let o="";if(s&&(o=s.toString(),p.isMacintosh&&(o=(0,b.normalizeNFC)(o))),!(!o||i!=="change"&&i!=="rename"))if(E)if(i==="rename"){r.get(o)?.dispose();const a=setTimeout(async()=>{if(r.delete(o),o===h&&!await k.Promises.exists(w)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const c=await this.existsChildStrictCase((0,f.join)(w,o));if(P.token.isCancellationRequested)return;let d;c?n.has(o)?d=0:(d=1,n.add(o)):(n.delete(o),d=2),this.onFileChange({path:(0,f.join)(this.request.path,o),type:d})},m.FILE_DELETE_HANDLER_DELAY);r.set(o,(0,M.toDisposable)(()=>clearTimeout(a)))}else{let a;n.has(o)?a=0:(a=1,n.add(o)),this.onFileChange({path:(0,f.join)(this.request.path,o),type:a})}else if(i==="rename"||o!==h){const a=setTimeout(async()=>{const c=await k.Promises.exists(w);P.token.isCancellationRequested||(c?(this.onFileChange({path:this.request.path,type:0},!0),g.add(await this.doWatch(w,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},m.FILE_DELETE_HANDLER_DELAY);g.clear(),g.add((0,M.toDisposable)(()=>clearTimeout(a)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(h){await k.Promises.exists(w)&&!P.token.isCancellationRequested&&this.error(`Failed to watch ${w} for changes using fs.watch() (${h.toString()})`)}return(0,M.toDisposable)(()=>{P.dispose(!0),g.dispose()})}async onFileChange(w,E=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${w.type===1?"[ADDED]":w.type===2?"[DELETED]":"[CHANGED]"} ${w.path}`),!E&&this.excludes.some(P=>P(w.path))?this.verboseLogging&&this.trace(` >> ignored (excluded) ${w.path}`):!E&&this.includes&&this.includes.length>0&&!this.includes.some(P=>P(w.path))?this.verboseLogging&&this.trace(` >> ignored (not included) ${w.path}`):this.fileChangesBuffer.push(w);try{await this.fileChangesDelayer.trigger(async()=>{const P=this.fileChangesBuffer;this.fileChangesBuffer=[];const g=(0,y.coalesceEvents)(P);if(g.length>0){if(this.verboseLogging)for(const l of g)this.trace(`>> normalized ${l.type===1?"[ADDED]":l.type===2?"[DELETED]":"[CHANGED]"} ${l.path}`);this.throttledFileChangesWorker.work(g)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${g[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${g.length}, most recent change: ${g[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(w){if(p.isLinux)return k.Promises.exists(w);try{const E=(0,f.basename)(w);return(await k.Promises.readdir((0,f.dirname)(w))).some(g=>g===E)}catch(E){return this.trace(E),!1}}setVerboseLogging(w){this.verboseLogging=w}error(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${w}`})}warn(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${w}`})}trace(w){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${w}`})}dispose(){this.trace(`stopping file watcher on ${this.request.path}`),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=m,m.FILE_DELETE_HANDLER_DELAY=100,m.FILE_CHANGES_HANDLER_DELAY=50;async function u(S,w,E,P,g=512){const h=await k.Promises.open(S,"r"),l=Buffer.allocUnsafe(g),n=new D.CancellationTokenSource(P);let r,i=!1;const s={path:S,excludes:[],recursive:!1},o=new m(s,a=>{(async()=>{for(const{type:c}of a)if(c===0){if(i)return;i=!0;try{for(;!n.token.isCancellationRequested;){const{bytesRead:d}=await k.Promises.read(h,l,0,g,null);if(!d||n.token.isCancellationRequested)break;w(l.slice(0,d))}}catch(d){r=new Error(d),n.dispose(!0)}finally{i=!1}}})()});return await o.ready,E(),new Promise((a,c)=>{n.token.onCancellationRequested(async()=>{o.dispose();try{await k.Promises.close(h)}catch(d){r=new Error(d)}r?c(r):a()})})}e.watchFileContents=u}),define(X[187],Z([0,1,3,92,2,4,186]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class b extends D.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new v.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new v.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=v.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(p){const C=this.normalizeRequests(p),k=C.filter(m=>{const u=this.watchers.get(m.path);return u?!(0,t.patternsEquals)(u.request.excludes,m.excludes)||!(0,t.patternsEquals)(u.request.includes,m.includes):!0}),y=Array.from(this.watchers.values()).filter(({request:m})=>!C.find(u=>u.path===m.path&&(0,t.patternsEquals)(u.excludes,m.excludes)&&(0,t.patternsEquals)(u.includes,m.includes))).map(({request:m})=>m.path);k.length&&this.trace(`Request to start watching: ${k.map(m=>`${m.path} (excludes: ${m.excludes.length>0?m.excludes:"<none>"}, includes: ${m.includes&&m.includes.length>0?JSON.stringify(m.includes):"<all>"})`).join(",")}`),y.length&&this.trace(`Request to stop watching: ${y.join(",")}`);for(const m of y)this.stopWatching(m);for(const m of k)this.startWatching(m)}startWatching(p){const C=new M.NodeJSFileWatcherLibrary(p,y=>this._onDidChangeFile.fire(y),y=>this._onDidLogMessage.fire(y),this.verboseLogging),k={request:p,instance:C};this.watchers.set(p.path,k)}async stop(){for(const[p]of this.watchers)this.stopWatching(p);this.watchers.clear()}stopWatching(p){const C=this.watchers.get(p);C&&(this.watchers.delete(p),C.instance.dispose())}normalizeRequests(p){const C=new Map;for(const k of p){const y=R.isLinux?k.path:k.path.toLowerCase();C.set(y,k)}return Array.from(C.values())}async setVerboseLogging(p){this.verboseLogging=p;for(const[,C]of this.watchers)C.instance.setVerboseLogging(p)}trace(p){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(p)})}toMessage(p,C){return C?`[File Watcher (node.js)] ${p} (path: ${C.request.path})`:`[File Watcher (node.js)] ${p}`}}e.NodeJSWatcher=b}),define(X[188],Z([0,1,69,187]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class D extends v.AbstractNonRecursiveWatcherClient{constructor(M,b,f){super(M,b,f);this.init()}createWatcher(){return new t.NodeJSWatcher}}e.NodeJSWatcherClient=D}),define(X[189],Z([0,1,12,43,144,69]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class M extends R.AbstractUniversalWatcherClient{constructor(f,p,C){super(f,p,C);this.init()}createWatcher(f){const p=f.add(new D.Client(v.FileAccess.asFileUri("bootstrap-fork",z).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return f.add(p.onDidProcessExit(({code:C,signal:k})=>this.onError(`terminated by itself with code ${C}, signal: ${k}`))),t.ProxyChannel.toService((0,t.getNextTickChannel)(p.getChannel("watcher")))}}e.UniversalWatcherClient=M}),define(X[84],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class v{constructor(...D){this._entries=new Map;for(const[R,M]of D)this.set(R,M)}set(D,R){const M=this._entries.get(D);return this._entries.set(D,R),M}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}e.ServiceCollection=v}),define(X[190],Z([0,1,8,18,67,181,5,84]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const f=!1;class p extends Error{constructor(u){super("cyclic dependency between services");this.message=u.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${u.toString()}`}}class C{constructor(u=new b.ServiceCollection,S=!1,w){this._activeInstantiations=new Set,this._services=u,this._strict=S,this._parent=w,this._services.set(M.IInstantiationService,this)}createChild(u){return new C(u,this._strict,this)}invokeFunction(u,...S){const w=y.traceInvocation(u);let E=!1;try{return u({get:g=>{if(E)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const h=this._getOrCreateServiceInstance(g,w);if(!h)throw new Error(`[invokeFunction] unknown service '${g}'`);return h}},...S)}finally{E=!0,w.stop()}}createInstance(u,...S){let w,E;return u instanceof D.SyncDescriptor?(w=y.traceCreation(u.ctor),E=this._createInstance(u.ctor,u.staticArguments.concat(S),w)):(w=y.traceCreation(u),E=this._createInstance(u,S,w)),w.stop(),E}_createInstance(u,S=[],w){const E=M._util.getServiceDependencies(u).sort((h,l)=>h.index-l.index),P=[];for(const h of E){const l=this._getOrCreateServiceInstance(h.id,w);l||this._throwIfStrict(`[createInstance] ${u.name} depends on UNKNOWN service ${h.id}.`,!1),P.push(l)}const g=E.length>0?E[0].index:S.length;if(S.length!==g){console.trace(`[createInstance] First service dependency of ${u.name} at position ${g+1} conflicts with ${S.length} static arguments`);const h=g-S.length;h>0?S=S.concat(new Array(h)):S=S.slice(0,g)}return new u(...[...S,...P])}_setServiceInstance(u,S){if(this._services.get(u)instanceof D.SyncDescriptor)this._services.set(u,S);else if(this._parent)this._parent._setServiceInstance(u,S);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(u){const S=this._services.get(u);return!S&&this._parent?this._parent._getServiceInstanceOrDescriptor(u):S}_getOrCreateServiceInstance(u,S){const w=this._getServiceInstanceOrDescriptor(u);return w instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(u,w,S.branch(u,!0)):(S.branch(u,!1),w)}_safeCreateAndCacheServiceInstance(u,S,w){if(this._activeInstantiations.has(u))throw new Error(`illegal state - RECURSIVELY instantiating service '${u}'`);this._activeInstantiations.add(u);try{return this._createAndCacheServiceInstance(u,S,w)}finally{this._activeInstantiations.delete(u)}}_createAndCacheServiceInstance(u,S,w){const E=new R.Graph(h=>h.id.toString());let P=0;const g=[{id:u,desc:S,_trace:w}];for(;g.length;){const h=g.pop();if(E.lookupOrInsertNode(h),P++>1e3)throw new p(E);for(const l of M._util.getServiceDependencies(h.desc.ctor)){const n=this._getServiceInstanceOrDescriptor(l.id);if(n||this._throwIfStrict(`[createInstance] ${u} depends on ${l.id} which is NOT registered.`,!0),n instanceof D.SyncDescriptor){const r={id:l.id,desc:n,_trace:h._trace.branch(l.id,!0)};E.insertEdge(h,r),g.push(r)}}}for(;;){const h=E.roots();if(h.length===0){if(!E.isEmpty())throw new p(E);break}for(const{data:l}of h){if(this._getServiceInstanceOrDescriptor(l.id)instanceof D.SyncDescriptor){const r=this._createServiceInstanceWithOwner(l.id,l.desc.ctor,l.desc.staticArguments,l.desc.supportsDelayedInstantiation,l._trace);this._setServiceInstance(l.id,r)}E.removeNode(l)}}return this._getServiceInstanceOrDescriptor(u)}_createServiceInstanceWithOwner(u,S,w=[],E,P){if(this._services.get(u)instanceof D.SyncDescriptor)return this._createServiceInstance(S,w,E,P);if(this._parent)return this._parent._createServiceInstanceWithOwner(u,S,w,E,P);throw new Error(`illegalState - creating UNKNOWN service instance ${S.name}`)}_createServiceInstance(u,S=[],w,E){if(w){const P=new v.IdleValue(()=>this._createInstance(u,S,E));return new Proxy(Object.create(null),{get(g,h){if(h in g)return g[h];const l=P.value;let n=l[h];return typeof n!="function"||(n=n.bind(l),g[h]=n),n},set(g,h,l){return P.value[h]=l,!0}})}else return this._createInstance(u,S,E)}_throwIfStrict(u,S){if(S&&console.warn(u),this._strict)throw new Error(u)}}e.InstantiationService=C;var k;(function(m){m[m.Creation=0]="Creation",m[m.Invocation=1]="Invocation",m[m.Branch=2]="Branch"})(k||(k={}));class y{constructor(u,S){this.type=u,this.name=S,this._start=Date.now(),this._dep=[]}static traceInvocation(u){return f?new y(1,u.name||u.toString().substring(0,42).replace(/\n/g,"")):y._None}static traceCreation(u){return f?new y(0,u.name):y._None}branch(u,S){const w=new y(2,u.toString());return this._dep.push([u,S,w]),w}stop(){const u=Date.now()-this._start;y._totals+=u;let S=!1;function w(P,g){const h=[],l=new Array(P+1).join("	");for(const[n,r,i]of g._dep)if(r&&i){S=!0,h.push(`${l}CREATES -> ${n}`);const s=w(P+1,i);s&&h.push(s)}else h.push(`${l}uses -> ${n}`);return h.join(`
`)}const E=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${w(1,this)}`,`DONE, took ${u.toFixed(2)}ms (grand total ${y._totals.toFixed(2)}ms)`];(u>2||S)&&console.log(E.join(`
`))}}e.Trace=y,y._None=new class extends y{constructor(){super(-1,null)}stop(){}branch(){return this}},y._totals=0}),define(X[6],Z([0,1,41,3,2,4,5]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,M.createDecorator)("logService"),e.ILoggerService=(0,M.createDecorator)("loggerService");function b(){return new Date().toISOString()}var f;(function(r){r[r.Trace=0]="Trace",r[r.Debug=1]="Debug",r[r.Info=2]="Info",r[r.Warning=3]="Warning",r[r.Error=4]="Error",r[r.Critical=5]="Critical",r[r.Off=6]="Off"})(f=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=f.Info;function p(r,i,s){switch(i){case f.Trace:r.trace(s);break;case f.Debug:r.debug(s);break;case f.Info:r.info(s);break;case f.Warning:r.warn(s);break;case f.Error:r.error(s);break;case f.Critical:r.critical(s);break;default:throw new Error("Invalid log level")}}e.log=p;function C(r){let i="";for(let s=0;s<r.length;s++){let o=r[s];if(typeof o=="object")try{o=JSON.stringify(o)}catch{}i+=(s>0?" ":"")+o}return i}e.format=C;class k extends D.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=k;class y extends k{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...s){this.checkLogLevel(f.Trace)&&this.log(f.Trace,C([i,...s]))}debug(i,...s){this.checkLogLevel(f.Debug)&&this.log(f.Debug,C([i,...s]))}info(i,...s){this.checkLogLevel(f.Info)&&this.log(f.Info,C([i,...s]))}warn(i,...s){this.checkLogLevel(f.Warning)&&this.log(f.Warning,C([i,...s]))}error(i,...s){if(this.checkLogLevel(f.Error))if(i instanceof Error){const o=Array.prototype.slice.call(arguments);o[0]=i.stack,this.log(f.Error,C(o))}else this.log(f.Error,C([i,...s]))}critical(i,...s){this.checkLogLevel(f.Critical)&&this.log(f.Critical,C([i,...s]))}flush(){}}e.AbstractMessageLogger=y;class m extends k{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!R.isWindows}trace(i,...s){this.getLevel()<=f.Trace&&(this.useColors?console.log(`[90m[main ${b()}][0m`,i,...s):console.log(`[main ${b()}]`,i,...s))}debug(i,...s){this.getLevel()<=f.Debug&&(this.useColors?console.log(`[90m[main ${b()}][0m`,i,...s):console.log(`[main ${b()}]`,i,...s))}info(i,...s){this.getLevel()<=f.Info&&(this.useColors?console.log(`[90m[main ${b()}][0m`,i,...s):console.log(`[main ${b()}]`,i,...s))}warn(i,...s){this.getLevel()<=f.Warning&&(this.useColors?console.warn(`[93m[main ${b()}][0m`,i,...s):console.warn(`[main ${b()}]`,i,...s))}error(i,...s){this.getLevel()<=f.Error&&(this.useColors?console.error(`[91m[main ${b()}][0m`,i,...s):console.error(`[main ${b()}]`,i,...s))}critical(i,...s){this.getLevel()<=f.Critical&&(this.useColors?console.error(`[90m[main ${b()}][0m`,i,...s):console.error(`[main ${b()}]`,i,...s))}dispose(){}flush(){}}e.ConsoleMainLogger=m;class u extends k{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...s){this.getLevel()<=f.Trace&&console.log("%cTRACE","color: #888",i,...s)}debug(i,...s){this.getLevel()<=f.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...s)}info(i,...s){this.getLevel()<=f.Info&&console.log("%c INFO","color: #33f",i,...s)}warn(i,...s){this.getLevel()<=f.Warning&&console.log("%c WARN","color: #993",i,...s)}error(i,...s){this.getLevel()<=f.Error&&console.log("%c  ERR","color: #f33",i,...s)}critical(i,...s){this.getLevel()<=f.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...s)}dispose(){}flush(){}}e.ConsoleLogger=u;class S extends k{constructor(i,s=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(s)}trace(i,...s){this.getLevel()<=f.Trace&&this.adapter.log(f.Trace,[this.extractMessage(i),...s])}debug(i,...s){this.getLevel()<=f.Debug&&this.adapter.log(f.Debug,[this.extractMessage(i),...s])}info(i,...s){this.getLevel()<=f.Info&&this.adapter.log(f.Info,[this.extractMessage(i),...s])}warn(i,...s){this.getLevel()<=f.Warning&&this.adapter.log(f.Warning,[this.extractMessage(i),...s])}error(i,...s){this.getLevel()<=f.Error&&this.adapter.log(f.Error,[this.extractMessage(i),...s])}critical(i,...s){this.getLevel()<=f.Critical&&this.adapter.log(f.Critical,[this.extractMessage(i),...s])}extractMessage(i){return typeof i=="string"?i:(0,v.toErrorMessage)(i,this.getLevel()<=f.Trace)}dispose(){}flush(){}}e.AdapterLogger=S;class w extends k{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const s of this.logServices)s.setLevel(i);super.setLevel(i)}trace(i,...s){for(const o of this.logServices)o.trace(i,...s)}debug(i,...s){for(const o of this.logServices)o.debug(i,...s)}info(i,...s){for(const o of this.logServices)o.info(i,...s)}warn(i,...s){for(const o of this.logServices)o.warn(i,...s)}error(i,...s){for(const o of this.logServices)o.error(i,...s)}critical(i,...s){for(const o of this.logServices)o.critical(i,...s)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=w;class E extends D.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...s){this.logger.trace(i,...s)}debug(i,...s){this.logger.debug(i,...s)}info(i,...s){this.logger.info(i,...s)}warn(i,...s){this.logger.warn(i,...s)}error(i,...s){this.logger.error(i,...s)}critical(i,...s){this.logger.critical(i,...s)}flush(){this.logger.flush()}}e.LogService=E;class P extends D.Disposable{constructor(i,s){super();this.logLevel=i,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(s(o=>{this.logLevel=o,this.logLevelChangeableLoggers.forEach(a=>a.setLevel(o))}))}getLogger(i){return this.loggers.get(i.toString())}createLogger(i,s){let o=this.loggers.get(i.toString());return o||(o=this.doCreateLogger(i,s?.always?f.Trace:this.logLevel,s),this.loggers.set(i.toString(),o),s?.always||this.logLevelChangeableLoggers.push(o)),o}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(i=>i.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=P;class g{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(i){}getLevel(){return f.Info}trace(i,...s){}debug(i,...s){}info(i,...s){}warn(i,...s){}error(i,...s){}critical(i,...s){}dispose(){}flush(){}}e.NullLogService=g;function h(r){if(r.verbose)return f.Trace;if(typeof r.logLevel=="string"){const i=l(r.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=h;function l(r){switch(r){case"trace":return f.Trace;case"debug":return f.Debug;case"info":return f.Info;case"warn":return f.Warning;case"error":return f.Error;case"critical":return f.Critical;case"off":return f.Off}}e.parseLogLevel=l;function n(r){switch(r){case f.Trace:return"trace";case f.Debug:return"debug";case f.Info:return"info";case f.Warning:return"warn";case f.Error:return"error";case f.Critical:return"critical";case f.Off:return"off"}}e.LogLevelToString=n});var te=this&&this.__param||function(z,e){return function(v,t){e(v,t,z)}};define(X[191],Z([0,1,68,3,2,6,4]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseCredentialsMainService=void 0;let b=class St extends D.Disposable{constructor(p){super();this.logService=p,this._onDidChangePassword=this._register(new t.Emitter),this.onDidChangePassword=this._onDidChangePassword.event}async getPassword(p,C){let k;try{k=await this.withKeytar()}catch{return null}const y=await k.getPassword(p,C);if(y)try{let{content:m,hasNextChunk:u}=JSON.parse(y);if(!m||!u)return y;let S=1;for(;u;){const w=await k.getPassword(p,`${C}-${S}`),E=JSON.parse(w);m+=E.content,u=E.hasNextChunk,S++}return m}catch{return y}return y}async setPassword(p,C,k){let y;try{y=await this.withKeytar()}catch(S){throw this.surfaceKeytarLoadError?.(S),S}const m=3,u=async(S,w,E)=>{let P=0,g;for(;P<m;)try{await y.setPassword(S,w,E);return}catch(h){g=h,this.logService.warn("Error attempting to set a password: ",h?.message??h),P++,await new Promise(l=>setTimeout(l,200))}throw g};if(M.isWindows&&k.length>St.MAX_PASSWORD_LENGTH){let S=0,w=0,E=!0;for(;E;){const P=k.substring(S,S+St.PASSWORD_CHUNK_SIZE);S+=St.PASSWORD_CHUNK_SIZE,E=k.length-S>0;const g={content:P,hasNextChunk:E};await u(p,w?`${C}-${w}`:C,JSON.stringify(g)),w++}}else await u(p,C,k);this._onDidChangePassword.fire({service:p,account:C})}async deletePassword(p,C){let k;try{k=await this.withKeytar()}catch(u){throw this.surfaceKeytarLoadError?.(u),u}const y=await k.getPassword(p,C);if(!y)return!1;const m=await k.deletePassword(p,C);try{let{content:u,hasNextChunk:S}=JSON.parse(y);if(u&&S){let w=1;for(;S;){const E=`${C}-${w}`,P=await k.getPassword(p,E);await k.deletePassword(p,E),S=JSON.parse(P).hasNextChunk,w++}}}catch{}return m&&this._onDidChangePassword.fire({service:p,account:C}),m}async findPassword(p){let C;try{C=await this.withKeytar()}catch{return null}return C.findPassword(p)}async findCredentials(p){let C;try{C=await this.withKeytar()}catch{return[]}return C.findCredentials(p)}clear(){return this._keytarCache instanceof v.InMemoryCredentialsProvider?this._keytarCache.clear():Promise.resolve()}};b.MAX_PASSWORD_LENGTH=2500,b.PASSWORD_CHUNK_SIZE=b.MAX_PASSWORD_LENGTH-100,b=fe([te(0,R.ILogService)],b),e.BaseCredentialsMainService=b}),define(X[192],Z([0,1,25,8,18,3,2,9,69,6]),function(z,e,v,t,D,R,M,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class C extends M.Disposable{constructor(y,m){super();this.logService=y,this.options=m,this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new R.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new t.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new t.ThrottledDelayer(0))}watch(y,m){return m.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(y,m):this.watchNonRecursive(y,m)}watchUniversal(y,m){const u={path:this.toFilePath(y),excludes:m.excludes,includes:m.includes,recursive:m.recursive},S=(0,v.insert)(this.universalPathsToWatch,u);return this.refreshUniversalWatchers(),(0,M.toDisposable)(()=>{S(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(y=>(0,D.onUnexpectedError)(y))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(m=>this._onDidChangeFile.fire((0,f.toFileChanges)(m)),m=>this.onWatcherLogMessage(m),this.logService.getLevel()===p.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===p.LogLevel.Trace)})));const y=this.options?.watcher?.recursive?.usePolling;if(y===!0)for(const m of this.universalPathsToWatch)(0,f.isRecursiveWatchRequest)(m)&&(m.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(y))for(const m of this.universalPathsToWatch)(0,f.isRecursiveWatchRequest)(m)&&y.includes(m.path)&&(m.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(y,m){const u={path:this.toFilePath(y),excludes:m.excludes,includes:m.includes,recursive:!1},S=(0,v.insert)(this.nonRecursivePathsToWatch,u);return this.refreshNonRecursiveWatchers(),(0,M.toDisposable)(()=>{S(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(y=>(0,D.onUnexpectedError)(y))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(y=>this._onDidChangeFile.fire((0,f.toFileChanges)(y)),y=>this.onWatcherLogMessage(y),this.logService.getLevel()===p.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===p.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(y){y.type==="error"&&this._onDidWatchError.fire(y.message),this.logService[y.type](y.message)}toFilePath(y){return(0,b.normalize)(y.fsPath)}}e.AbstractDiskFileSystemProvider=C}),define(X[193],Z([0,1,25,8,19,22,3,65,53,2,33,12,70,16,54,152,15,102,6]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let g=class extends p.Disposable{constructor(l){super();this.logService=l,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new M.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new M.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new M.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new M.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new M.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new M.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new t.ResourceQueue)}registerProvider(l,n){if(this.provider.has(l))throw new Error(`A filesystem provider for the scheme '${l}' is already registered.`);(0,y.mark)(`code/registerFilesystem/${l}`);const r=new p.DisposableStore;return this.provider.set(l,n),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:l,provider:n}),r.add(n.onDidChangeFile(i=>this._onDidFilesChange.fire(new w.FileChangesEvent(i,!this.isPathCaseSensitive(n))))),typeof n.onDidWatchError=="function"&&r.add(n.onDidWatchError(i=>this._onDidWatchError.fire(new Error(i)))),r.add(n.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:n,scheme:l}))),(0,p.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:l,provider:n}),this.provider.delete(l),(0,p.dispose)(r)})}getProvider(l){return this.provider.get(l)}async activateProvider(l){const n=[];this._onWillActivateFileSystemProvider.fire({scheme:l,join(r){n.push(r)}}),!this.provider.has(l)&&await t.Promises.settled(n)}async canHandleResource(l){return await this.activateProvider(l.scheme),this.hasProvider(l)}hasProvider(l){return this.provider.has(l.scheme)}hasCapability(l,n){const r=this.provider.get(l.scheme);return!!(r&&r.capabilities&n)}listCapabilities(){return f.Iterable.map(this.provider,([l,n])=>({scheme:l,capabilities:n.capabilities}))}async withProvider(l){if(!(0,m.isAbsolutePath)(l))throw new w.FileOperationError((0,S.localize)(0,null,this.resourceForError(l)),8);await this.activateProvider(l.scheme);const n=this.provider.get(l.scheme);if(!n){const r=new Error;throw r.name="ENOPRO",r.message=(0,S.localize)(1,null,l.toString()),r}return n}async withReadProvider(l){const n=await this.withProvider(l);if((0,w.hasOpenReadWriteCloseCapability)(n)||(0,w.hasReadWriteCapability)(n)||(0,w.hasFileReadStreamCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${l.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(l){const n=await this.withProvider(l);if((0,w.hasOpenReadWriteCloseCapability)(n)||(0,w.hasReadWriteCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${l.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(l,n){try{return await this.doResolveFile(l,n)}catch(r){throw(0,w.toFileSystemProviderErrorCode)(r)===w.FileSystemProviderErrorCode.FileNotFound?new w.FileOperationError((0,S.localize)(2,null,this.resourceForError(l)),1):(0,w.ensureFileSystemProviderError)(r)}}async doResolveFile(l,n){const r=await this.withProvider(l),i=this.isPathCaseSensitive(r),s=n?.resolveTo,o=n?.resolveSingleChildDescendants,a=n?.resolveMetadata,c=await r.stat(l);let d;return this.toFileStat(r,l,c,void 0,!!a,(I,L)=>(d||(d=C.TernarySearchTree.forUris(()=>!i),d.set(l,!0),s&&d.fill(!0,s)),d.get(I.resource)||d.findSuperstr(I.resource.with({query:null,fragment:null}))?!0:I.isDirectory&&o?L===1:!1))}async toFileStat(l,n,r,i,s,o){const{providerExtUri:a}=this.getExtUri(l),c={resource:n,name:a.basename(n),isFile:(r.type&w.FileType.File)!=0,isDirectory:(r.type&w.FileType.Directory)!=0,isSymbolicLink:(r.type&w.FileType.SymbolicLink)!=0,mtime:r.mtime,ctime:r.ctime,size:r.size,readonly:Boolean((r.permissions??0)&w.FilePermission.Readonly)||Boolean(l.capabilities&2048),etag:(0,w.etag)({mtime:r.mtime,size:r.size}),children:void 0};if(c.isDirectory&&o(c,i)){try{const d=await l.readdir(n),I=await t.Promises.settled(d.map(async([L,T])=>{try{const _=a.joinPath(n,L),K=s?await l.stat(_):{type:T};return await this.toFileStat(l,_,K,d.length,s,o)}catch(_){return this.logService.trace(_),null}}));c.children=(0,v.coalesce)(I)}catch(d){this.logService.trace(d),c.children=[]}return c}return c}async resolveAll(l){return t.Promises.settled(l.map(async n=>{try{return{stat:await this.doResolveFile(n.resource,n.options),success:!0}}catch(r){return this.logService.trace(r),{stat:void 0,success:!1}}}))}async stat(l){const n=await this.withProvider(l),r=await n.stat(l);return this.toFileStat(n,l,r,void 0,!0,()=>!1)}async exists(l){const n=await this.withProvider(l);try{return!!await n.stat(l)}catch{return!1}}async canCreateFile(l,n){try{await this.doValidateCreateFile(l,n)}catch(r){return r}return!0}async doValidateCreateFile(l,n){if(!n?.overwrite&&await this.exists(l))throw new w.FileOperationError((0,S.localize)(3,null,this.resourceForError(l)),3,n)}async createFile(l,n=D.VSBuffer.fromString(""),r){await this.doValidateCreateFile(l,r);const i=await this.writeFile(l,n);return this._onDidRunOperation.fire(new w.FileOperationEvent(l,0,i)),i}async writeFile(l,n,r){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),{providerExtUri:s}=this.getExtUri(i);try{await this.validateWriteFile(i,l,r)||await this.mkdirp(i,s.dirname(l));let a;if((0,w.hasReadWriteCapability)(i)&&!(n instanceof D.VSBuffer))if((0,u.isReadableStream)(n)){const c=await(0,u.peekStream)(n,3);c.ended?a=D.VSBuffer.concat(c.buffer):a=c}else a=(0,u.peekReadable)(n,c=>D.VSBuffer.concat(c),3);else a=n;!(0,w.hasOpenReadWriteCloseCapability)(i)||(0,w.hasReadWriteCapability)(i)&&a instanceof D.VSBuffer?await this.doWriteUnbuffered(i,l,r,a):await this.doWriteBuffered(i,l,r,a instanceof D.VSBuffer?(0,D.bufferToReadable)(a):a),this._onDidRunOperation.fire(new w.FileOperationEvent(l,4))}catch(o){throw new w.FileOperationError((0,S.localize)(4,null,this.resourceForError(l),(0,w.ensureFileSystemProviderError)(o).toString()),(0,w.toFileOperationResult)(o),r)}return this.resolve(l,{resolveMetadata:!0})}async validateWriteFile(l,n,r){if(!!r?.unlock&&!(l.capabilities&8192))throw new Error((0,S.localize)(5,null,this.resourceForError(n)));let s;try{s=await l.stat(n)}catch{return}if((s.type&w.FileType.Directory)!=0)throw new w.FileOperationError((0,S.localize)(6,null,this.resourceForError(n)),0,r);if(this.throwIfFileIsReadonly(n,s),typeof r?.mtime=="number"&&typeof r.etag=="string"&&r.etag!==w.ETAG_DISABLED&&typeof s.mtime=="number"&&typeof s.size=="number"&&r.mtime<s.mtime&&r.etag!==(0,w.etag)({mtime:r.mtime,size:s.size}))throw new w.FileOperationError((0,S.localize)(7,null),3,r);return s}async readFile(l,n,r){const i=await this.withReadProvider(l);return n?.atomic?this.doReadFileAtomic(i,l,n,r):this.doReadFile(i,l,n,r)}async doReadFileAtomic(l,n,r,i){return new Promise((s,o)=>{this.writeQueue.queueFor(n,this.getExtUri(l).providerExtUri).queue(async()=>{try{const a=await this.doReadFile(l,n,r,i);s(a)}catch(a){o(a)}})})}async doReadFile(l,n,r,i){const s=await this.doReadFileStream(l,n,{...r,preferUnbuffered:!0},i);return{...s,value:await(0,D.streamToBuffer)(s.value)}}async readFileStream(l,n,r){const i=await this.withReadProvider(l);return this.doReadFileStream(i,l,n,r)}async doReadFileStream(l,n,r,i){const s=new R.CancellationTokenSource(i),o=this.validateReadFile(n,r).then(c=>c,c=>{throw s.cancel(),c});let a;try{return typeof r?.etag=="string"&&r.etag!==w.ETAG_DISABLED&&await o,r?.atomic&&(0,w.hasFileAtomicReadCapability)(l)||!((0,w.hasOpenReadWriteCloseCapability)(l)||(0,w.hasFileReadStreamCapability)(l))||(0,w.hasReadWriteCapability)(l)&&r?.preferUnbuffered?a=this.readFileUnbuffered(l,n,r):(0,w.hasFileReadStreamCapability)(l)?a=this.readFileStreamed(l,n,s.token,r):a=this.readFileBuffered(l,n,s.token,r),{...await o,value:a}}catch(c){a&&await(0,u.consumeStream)(a);const d=(0,S.localize)(8,null,this.resourceForError(n),(0,w.ensureFileSystemProviderError)(c).toString());throw c instanceof w.NotModifiedSinceFileOperationError?new w.NotModifiedSinceFileOperationError(d,c.stat,r):new w.FileOperationError(d,(0,w.toFileOperationResult)(c),r)}}readFileStreamed(l,n,r,i=Object.create(null)){const s=l.readFileStream(n,i,r);return(0,u.transform)(s,{data:o=>o instanceof D.VSBuffer?o:D.VSBuffer.wrap(o),error:o=>new w.FileOperationError((0,S.localize)(9,null,this.resourceForError(n),(0,w.ensureFileSystemProviderError)(o).toString()),(0,w.toFileOperationResult)(o),i)},o=>D.VSBuffer.concat(o))}readFileBuffered(l,n,r,i=Object.create(null)){const s=(0,D.newWriteableBufferStream)();return(0,E.readFileIntoStream)(l,n,s,o=>o,{...i,bufferSize:this.BUFFER_SIZE,errorTransformer:o=>new w.FileOperationError((0,S.localize)(10,null,this.resourceForError(n),(0,w.ensureFileSystemProviderError)(o).toString()),(0,w.toFileOperationResult)(o),i)},r),s}readFileUnbuffered(l,n,r){const i=(0,u.newWriteableStream)(s=>D.VSBuffer.concat(s));return(async()=>{try{let s;r?.atomic&&(0,w.hasFileAtomicReadCapability)(l)?s=await l.readFile(n,{atomic:!0}):s=await l.readFile(n),typeof r?.position=="number"&&(s=s.slice(r.position)),typeof r?.length=="number"&&(s=s.slice(0,r.length)),this.validateReadFileLimits(n,s.byteLength,r),i.end(D.VSBuffer.wrap(s))}catch(s){i.error(s),i.end()}})(),i}async validateReadFile(l,n){const r=await this.resolve(l,{resolveMetadata:!0});if(r.isDirectory)throw new w.FileOperationError((0,S.localize)(11,null,this.resourceForError(l)),0,n);if(typeof n?.etag=="string"&&n.etag!==w.ETAG_DISABLED&&n.etag===r.etag)throw new w.NotModifiedSinceFileOperationError((0,S.localize)(12,null),r,n);return this.validateReadFileLimits(l,r.size,n),r}validateReadFileLimits(l,n,r){if(r?.limits){let i;if(typeof r.limits.memory=="number"&&n>r.limits.memory&&(i=9),typeof r.limits.size=="number"&&n>r.limits.size&&(i=7),typeof i=="number")throw new w.FileOperationError((0,S.localize)(13,null,this.resourceForError(l)),i)}}async canMove(l,n,r){return this.doCanMoveCopy(l,n,"move",r)}async canCopy(l,n,r){return this.doCanMoveCopy(l,n,"copy",r)}async doCanMoveCopy(l,n,r,i){if(l.toString()!==n.toString())try{const s=r==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l):await this.withReadProvider(l),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n);await this.doValidateMoveCopy(s,l,o,n,r,i)}catch(s){return s}return!0}async move(l,n,r){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),o=await this.doMoveCopy(i,l,s,n,"move",!!r),a=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(l,o==="move"?2:3,a)),a}async copy(l,n,r){const i=await this.withReadProvider(l),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),o=await this.doMoveCopy(i,l,s,n,"copy",!!r),a=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(l,o==="copy"?3:2,a)),a}async doMoveCopy(l,n,r,i,s,o){if(n.toString()===i.toString())return s;const{exists:a,isSameResourceWithDifferentPathCase:c}=await this.doValidateMoveCopy(l,n,r,i,s,o);if(a&&!c&&o&&await this.del(i,{recursive:!0}),await this.mkdirp(r,this.getExtUri(r).providerExtUri.dirname(i)),s==="copy"){if(l===r&&(0,w.hasFileFolderCopyCapability)(l))await l.copy(n,i,{overwrite:o});else{const d=await this.resolve(n);d.isDirectory?await this.doCopyFolder(l,d,r,i):await this.doCopyFile(l,n,r,i)}return s}else return l===r?(await l.rename(n,i,{overwrite:o}),s):(await this.doMoveCopy(l,n,r,i,"copy",o),await this.del(n,{recursive:!0}),"copy")}async doCopyFile(l,n,r,i){if((0,w.hasOpenReadWriteCloseCapability)(l)&&(0,w.hasOpenReadWriteCloseCapability)(r))return this.doPipeBuffered(l,n,r,i);if((0,w.hasOpenReadWriteCloseCapability)(l)&&(0,w.hasReadWriteCapability)(r))return this.doPipeBufferedToUnbuffered(l,n,r,i);if((0,w.hasReadWriteCapability)(l)&&(0,w.hasOpenReadWriteCloseCapability)(r))return this.doPipeUnbufferedToBuffered(l,n,r,i);if((0,w.hasReadWriteCapability)(l)&&(0,w.hasReadWriteCapability)(r))return this.doPipeUnbuffered(l,n,r,i)}async doCopyFolder(l,n,r,i){await r.mkdir(i),Array.isArray(n.children)&&await t.Promises.settled(n.children.map(async s=>{const o=this.getExtUri(r).providerExtUri.joinPath(i,s.name);return s.isDirectory?this.doCopyFolder(l,await this.resolve(s.resource),r,o):this.doCopyFile(l,s.resource,r,o)}))}async doValidateMoveCopy(l,n,r,i,s,o){let a=!1;if(l===r){const{providerExtUri:d,isPathCaseSensitive:I}=this.getExtUri(l);if(I||(a=d.isEqual(n,i)),a&&s==="copy")throw new Error((0,S.localize)(14,null,this.resourceForError(n),this.resourceForError(i)));if(!a&&d.isEqualOrParent(i,n))throw new Error((0,S.localize)(15,null,this.resourceForError(n),this.resourceForError(i)))}const c=await this.exists(i);if(c&&!a){if(!o)throw new w.FileOperationError((0,S.localize)(16,null,this.resourceForError(n),this.resourceForError(i)),4);if(l===r){const{providerExtUri:d}=this.getExtUri(l);if(d.isEqualOrParent(n,i))throw new Error((0,S.localize)(17,null,this.resourceForError(n),this.resourceForError(i)))}}return{exists:c,isSameResourceWithDifferentPathCase:a}}getExtUri(l){const n=this.isPathCaseSensitive(l);return{providerExtUri:n?m.extUri:m.extUriIgnorePathCase,isPathCaseSensitive:n}}isPathCaseSensitive(l){return!!(l.capabilities&1024)}async createFolder(l){const n=this.throwIfFileSystemIsReadonly(await this.withProvider(l),l);await this.mkdirp(n,l);const r=await this.resolve(l,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(l,0,r)),r}async mkdirp(l,n){const r=[],{providerExtUri:i}=this.getExtUri(l);for(;!i.isEqual(n,i.dirname(n));)try{if(((await l.stat(n)).type&w.FileType.Directory)==0)throw new Error((0,S.localize)(18,null,this.resourceForError(n)));break}catch(s){if((0,w.toFileSystemProviderErrorCode)(s)!==w.FileSystemProviderErrorCode.FileNotFound)throw s;r.push(i.basename(n)),n=i.dirname(n)}for(let s=r.length-1;s>=0;s--){n=i.joinPath(n,r[s]);try{await l.mkdir(n)}catch(o){if((0,w.toFileSystemProviderErrorCode)(o)!==w.FileSystemProviderErrorCode.FileExists)throw o}}}async canDelete(l,n){try{await this.doValidateDelete(l,n)}catch(r){return r}return!0}async doValidateDelete(l,n){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(l),l);if(!!n?.useTrash&&!(r.capabilities&4096))throw new Error((0,S.localize)(19,null,this.resourceForError(l)));let s;try{s=await r.stat(l)}catch{}if(s)this.throwIfFileIsReadonly(l,s);else throw new w.FileOperationError((0,S.localize)(20,null,this.resourceForError(l)),1);if(!!!n?.recursive){const a=await this.resolve(l);if(a.isDirectory&&Array.isArray(a.children)&&a.children.length>0)throw new Error((0,S.localize)(21,null,this.resourceForError(l)))}return r}async del(l,n){const r=await this.doValidateDelete(l,n),i=!!n?.useTrash,s=!!n?.recursive;await r.delete(l,{recursive:s,useTrash:i}),this._onDidRunOperation.fire(new w.FileOperationEvent(l,1))}async cloneFile(l,n){const r=await this.withProvider(l),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n);if(r===i&&this.getExtUri(r).providerExtUri.isEqual(l,n))return;if(r===i&&(0,w.hasFileCloneCapability)(r))return r.cloneFile(l,n);await this.mkdirp(i,this.getExtUri(i).providerExtUri.dirname(n));const s=this.writeQueue.queueFor(l,this.getExtUri(r).providerExtUri);return r===i&&(0,w.hasFileFolderCopyCapability)(r)?s.queue(()=>r.copy(l,n,{overwrite:!0})):s.queue(()=>this.doCopyFile(r,l,i,n))}watch(l,n={recursive:!1,excludes:[]}){const r=new p.DisposableStore;let i=!1,s=()=>{i=!0};return r.add((0,p.toDisposable)(()=>s())),(async()=>{try{const o=await this.doWatch(l,n);i?(0,p.dispose)(o):s=()=>(0,p.dispose)(o)}catch(o){this.logService.error(o)}})(),r}async doWatch(l,n){const r=await this.withProvider(l),i=(0,b.hash)([this.getExtUri(r).providerExtUri.getComparisonKey(l),n]);let s=this.activeWatchers.get(i);return s||(s={count:0,disposable:r.watch(l,n)},this.activeWatchers.set(i,s)),s.count+=1,(0,p.toDisposable)(()=>{s&&(s.count--,s.count===0&&((0,p.dispose)(s.disposable),this.activeWatchers.delete(i)))})}dispose(){super.dispose();for(const[,l]of this.activeWatchers)(0,p.dispose)(l.disposable);this.activeWatchers.clear()}async doWriteBuffered(l,n,r,i){return this.writeQueue.queueFor(n,this.getExtUri(l).providerExtUri).queue(async()=>{const s=await l.open(n,{create:!0,unlock:r?.unlock??!1});try{(0,u.isReadableStream)(i)||(0,u.isReadableBufferedStream)(i)?await this.doWriteStreamBufferedQueued(l,s,i):await this.doWriteReadableBufferedQueued(l,s,i)}catch(o){throw(0,w.ensureFileSystemProviderError)(o)}finally{await l.close(s)}})}async doWriteStreamBufferedQueued(l,n,r){let i=0,s;if((0,u.isReadableBufferedStream)(r)){if(r.buffer.length>0){const o=D.VSBuffer.concat(r.buffer);await this.doWriteBuffer(l,n,o,o.byteLength,i,0),i+=o.byteLength}if(r.ended)return;s=r.stream}else s=r;return new Promise((o,a)=>{(0,u.listenStream)(s,{onData:async c=>{s.pause();try{await this.doWriteBuffer(l,n,c,c.byteLength,i,0)}catch(d){return a(d)}i+=c.byteLength,setTimeout(()=>s.resume())},onError:c=>a(c),onEnd:()=>o()})})}async doWriteReadableBufferedQueued(l,n,r){let i=0,s;for(;(s=r.read())!==null;)await this.doWriteBuffer(l,n,s,s.byteLength,i,0),i+=s.byteLength}async doWriteBuffer(l,n,r,i,s,o){let a=0;for(;a<i;)a+=await l.write(n,s+a,r.buffer,o+a,i-a)}async doWriteUnbuffered(l,n,r,i){return this.writeQueue.queueFor(n,this.getExtUri(l).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(l,n,r,i))}async doWriteUnbufferedQueued(l,n,r,i){let s;i instanceof D.VSBuffer?s=i:(0,u.isReadableStream)(i)?s=await(0,D.streamToBuffer)(i):(0,u.isReadableBufferedStream)(i)?s=await(0,D.bufferedStreamToBuffer)(i):s=(0,D.readableToBuffer)(i),await l.writeFile(n,s.buffer,{create:!0,overwrite:!0,unlock:r?.unlock??!1})}async doPipeBuffered(l,n,r,i){return this.writeQueue.queueFor(i,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeBufferedQueued(l,n,r,i))}async doPipeBufferedQueued(l,n,r,i){let s,o;try{s=await l.open(n,{create:!1}),o=await r.open(i,{create:!0,unlock:!1});const a=D.VSBuffer.alloc(this.BUFFER_SIZE);let c=0,d=0,I=0;do I=await l.read(s,c,a.buffer,d,a.byteLength-d),await this.doWriteBuffer(r,o,a,I,c,d),c+=I,d+=I,d===a.byteLength&&(d=0);while(I>0)}catch(a){throw(0,w.ensureFileSystemProviderError)(a)}finally{await t.Promises.settled([typeof s=="number"?l.close(s):Promise.resolve(),typeof o=="number"?r.close(o):Promise.resolve()])}}async doPipeUnbuffered(l,n,r,i){return this.writeQueue.queueFor(i,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(l,n,r,i))}async doPipeUnbufferedQueued(l,n,r,i){return r.writeFile(i,await l.readFile(n),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(l,n,r,i){return this.writeQueue.queueFor(i,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(l,n,r,i))}async doPipeUnbufferedToBufferedQueued(l,n,r,i){const s=await r.open(i,{create:!0,unlock:!1});try{const o=await l.readFile(n);await this.doWriteBuffer(r,s,D.VSBuffer.wrap(o),o.byteLength,0,0)}catch(o){throw(0,w.ensureFileSystemProviderError)(o)}finally{await r.close(s)}}async doPipeBufferedToUnbuffered(l,n,r,i){const s=await(0,D.streamToBuffer)(this.readFileBuffered(l,n,R.CancellationToken.None));await this.doWriteUnbuffered(r,i,void 0,s)}throwIfFileSystemIsReadonly(l,n){if(l.capabilities&2048)throw new w.FileOperationError((0,S.localize)(22,null,this.resourceForError(n)),6);return l}throwIfFileIsReadonly(l,n){if((n.permissions??0)&w.FilePermission.Readonly)throw new w.FileOperationError((0,S.localize)(23,null,this.resourceForError(l)),6)}resourceForError(l){return l.scheme===k.Schemas.file?l.fsPath:l.toString(!0)}};g=fe([te(0,P.ILogService)],g),e.FileService=g}),define(X[85],Z([0,1,27,262,8,33,19,3,29,2,9,4,16,54,23,156,15,102,192,41,189,188]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,t.gracefulify)(v)}catch(r){console.error(`Error enabling graceful-fs: ${(0,g.toErrorMessage)(r)}`)}})();class n extends P.AbstractDiskFileSystemProvider{constructor(i,s){super(i,s);this.onDidChangeCapabilities=b.Event.None,this.resourceLocks=new R.ResourceMap(o=>y.extUriBiasedIgnorePathCase.getComparisonKey(o)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,k.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(i){try{const{stat:s,symbolicLink:o}=await u.SymlinkSupport.stat(this.toFilePath(i));return{type:this.toType(s,o),ctime:s.birthtime.getTime(),mtime:s.mtime.getTime(),size:s.size}}catch(s){throw this.toFileSystemProviderError(s)}}async readdir(i){try{const s=await u.Promises.readdir(this.toFilePath(i),{withFileTypes:!0}),o=[];return await Promise.all(s.map(async a=>{try{let c;a.isSymbolicLink()?c=(await this.stat((0,y.joinPath)(i,a.name))).type:c=this.toType(a),o.push([a.name,c])}catch(c){this.logService.trace(c)}})),o}catch(s){throw this.toFileSystemProviderError(s)}}toType(i,s){let o;return s?.dangling?o=w.FileType.Unknown:i.isFile()?o=w.FileType.File:i.isDirectory()?o=w.FileType.Directory:o=w.FileType.Unknown,s&&(o|=w.FileType.SymbolicLink),o}async createResourceLock(i){const s=this.toFilePath(i);this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${s})`);let o;for(;o=this.resourceLocks.get(i);)this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${s})`),await o.wait();const a=new D.Barrier;return this.resourceLocks.set(i,a),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${s})`),(0,p.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${s})`),this.resourceLocks.get(i)===a&&(this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${s})`),this.resourceLocks.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${s})`),a.open()})}async readFile(i,s){let o;try{s?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(i)})`),o=await this.createResourceLock(i));const a=this.toFilePath(i);return await u.Promises.readFile(a)}catch(a){throw this.toFileSystemProviderError(a)}finally{o?.dispose()}}readFileStream(i,s,o){const a=(0,m.newWriteableStream)(c=>M.VSBuffer.concat(c.map(d=>M.VSBuffer.wrap(d))).buffer);return(0,E.readFileIntoStream)(this,i,a,c=>c.buffer,{...s,bufferSize:256*1024},o),a}async writeFile(i,s,o){let a;try{const c=this.toFilePath(i);if(!o.create||!o.overwrite){if(await u.Promises.exists(c)){if(!o.overwrite)throw(0,w.createFileSystemProviderError)((0,S.localize)(0,null),w.FileSystemProviderErrorCode.FileExists)}else if(!o.create)throw(0,w.createFileSystemProviderError)((0,S.localize)(1,null),w.FileSystemProviderErrorCode.FileNotFound)}a=await this.open(i,{create:!0,unlock:o.unlock}),await this.write(a,0,s,0,s.byteLength)}catch(c){throw await this.toFileSystemProviderWriteError(i,c)}finally{typeof a=="number"&&await this.close(a)}}async open(i,s){const o=this.toFilePath(i);let a;(0,w.isFileOpenForWriteOptions)(s)&&(a=await this.createResourceLock(i));let c;try{if((0,w.isFileOpenForWriteOptions)(s)&&s.unlock)try{const{stat:I}=await u.SymlinkSupport.stat(o);I.mode&128||await u.Promises.chmod(o,I.mode|128)}catch(I){this.logService.trace(I)}let d;if((0,w.isFileOpenForWriteOptions)(s)){if(k.isWindows)try{await u.Promises.truncate(o,0),d="r+"}catch(I){I.code!=="ENOENT"&&this.logService.trace(I)}d||(d="w")}else d="r";c=await u.Promises.open(o,d)}catch(d){throw a?.dispose(),(0,w.isFileOpenForWriteOptions)(s)?await this.toFileSystemProviderWriteError(i,d):this.toFileSystemProviderError(d)}if(this.mapHandleToPos.set(c,0),(0,w.isFileOpenForWriteOptions)(s)&&this.writeHandles.set(c,i),a){const d=this.mapHandleToLock.get(c);this.logService.trace(`[Disk FileSystemProvider]: open() - storing lock for handle ${c} (${o})`),this.mapHandleToLock.set(c,a),d&&(this.logService.trace(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${c} (${o})`),d.dispose())}return c}async close(i){const s=this.mapHandleToLock.get(i);try{if(this.mapHandleToPos.delete(i),this.writeHandles.delete(i)&&this.canFlush)try{await u.Promises.fdatasync(i)}catch(o){this.canFlush=!1,this.logService.error(o)}return await u.Promises.close(i)}catch(o){throw this.toFileSystemProviderError(o)}finally{s&&(this.mapHandleToLock.get(i)===s&&(this.logService.trace(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${i}`),this.mapHandleToLock.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: close() - disposing lock for handle ${i}`),s.dispose())}}async read(i,s,o,a,c){const d=this.normalizePos(i,s);let I=null;try{I=(await u.Promises.read(i,o,a,c,d)).bytesRead}catch(L){throw this.toFileSystemProviderError(L)}finally{this.updatePos(i,d,I)}return I}normalizePos(i,s){return s===this.mapHandleToPos.get(i)?null:s}updatePos(i,s,o){const a=this.mapHandleToPos.get(i);typeof a=="number"&&(typeof s=="number"||(typeof o=="number"?this.mapHandleToPos.set(i,a+o):this.mapHandleToPos.delete(i)))}async write(i,s,o,a,c){return(0,D.retry)(()=>this.doWrite(i,s,o,a,c),100,3)}async doWrite(i,s,o,a,c){const d=this.normalizePos(i,s);let I=null;try{I=(await u.Promises.write(i,o,a,c,d)).bytesWritten}catch(L){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(i),L)}finally{this.updatePos(i,d,I)}return I}async mkdir(i){try{await u.Promises.mkdir(this.toFilePath(i))}catch(s){throw this.toFileSystemProviderError(s)}}async delete(i,s){try{const o=this.toFilePath(i);s.recursive?await u.Promises.rm(o,u.RimRafMode.MOVE):await u.Promises.unlink(o)}catch(o){throw this.toFileSystemProviderError(o)}}async rename(i,s,o){const a=this.toFilePath(i),c=this.toFilePath(s);if(a!==c)try{await this.validateTargetDeleted(i,s,"move",o.overwrite),await u.Promises.move(a,c)}catch(d){throw(d.code==="EINVAL"||d.code==="EBUSY"||d.code==="ENAMETOOLONG")&&(d=new Error((0,S.localize)(2,null,(0,C.basename)(a),(0,C.basename)((0,C.dirname)(c)),d.toString()))),this.toFileSystemProviderError(d)}}async copy(i,s,o){const a=this.toFilePath(i),c=this.toFilePath(s);if(a!==c)try{await this.validateTargetDeleted(i,s,"copy",o.overwrite),await u.Promises.copy(a,c,{preserveSymlinks:!0})}catch(d){throw(d.code==="EINVAL"||d.code==="EBUSY"||d.code==="ENAMETOOLONG")&&(d=new Error((0,S.localize)(3,null,(0,C.basename)(a),(0,C.basename)((0,C.dirname)(c)),d.toString()))),this.toFileSystemProviderError(d)}}async validateTargetDeleted(i,s,o,a){const c=this.toFilePath(i),d=this.toFilePath(s);let I=!1;if(!!(this.capabilities&1024)||(I=(0,f.isEqual)(c,d,!0)),I&&o==="copy")throw(0,w.createFileSystemProviderError)((0,S.localize)(4,null),w.FileSystemProviderErrorCode.FileExists);if(!I&&await u.Promises.exists(d)){if(!a)throw(0,w.createFileSystemProviderError)((0,S.localize)(5,null),w.FileSystemProviderErrorCode.FileExists);await this.delete(s,{recursive:!0,useTrash:!1})}}async cloneFile(i,s){return this.doCloneFile(i,s,!1)}async doCloneFile(i,s,o){const a=this.toFilePath(i),c=this.toFilePath(s),d=!!(this.capabilities&1024);if((0,f.isEqual)(a,c,!d))return;const I=new p.DisposableStore;try{const[L,T]=await Promise.all([this.createResourceLock(i),this.createResourceLock(s)]);I.add(L),I.add(T),o&&await u.Promises.mkdir((0,C.dirname)(c),{recursive:!0}),await u.Promises.copyFile(a,c)}catch(L){if(L.code==="ENOENT"&&!o)return this.doCloneFile(i,s,!0);throw this.toFileSystemProviderError(L)}finally{I.dispose()}}createUniversalWatcher(i,s,o){return new h.UniversalWatcherClient(a=>i(a),a=>s(a),o)}createNonRecursiveWatcher(i,s,o){return new l.NodeJSWatcherClient(a=>i(a),a=>s(a),o)}toFileSystemProviderError(i){if(i instanceof w.FileSystemProviderError)return i;let s;switch(i.code){case"ENOENT":s=w.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":s=w.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":s=w.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":s=w.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":s=w.FileSystemProviderErrorCode.NoPermissions;break;default:s=w.FileSystemProviderErrorCode.Unknown}return(0,w.createFileSystemProviderError)(i,s)}async toFileSystemProviderWriteError(i,s){let o=this.toFileSystemProviderError(s);if(i&&o.code===w.FileSystemProviderErrorCode.NoPermissions)try{const{stat:a}=await u.SymlinkSupport.stat(this.toFilePath(i));a.mode&128||(o=(0,w.createFileSystemProviderError)(s,w.FileSystemProviderErrorCode.FileWriteLocked))}catch(a){this.logService.trace(a)}return o}}e.DiskFileSystemProvider=n}),define(X[194],Z([0,1,3,85,2,19,54,22]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractSessionFileWatcher=e.AbstractDiskFileSystemProviderChannel=void 0;class f extends D.Disposable{constructor(k,y){super();this.provider=k,this.logService=y,this.sessionToWatcher=new Map,this.watchRequests=new Map}call(k,y,m){const u=this.getUriTransformer(k);switch(y){case"stat":return this.stat(u,m[0]);case"readdir":return this.readdir(u,m[0]);case"open":return this.open(u,m[0],m[1]);case"close":return this.close(m[0]);case"read":return this.read(m[0],m[1],m[2]);case"readFile":return this.readFile(u,m[0],m[1]);case"write":return this.write(m[0],m[1],m[2],m[3],m[4]);case"writeFile":return this.writeFile(u,m[0],m[1],m[2]);case"rename":return this.rename(u,m[0],m[1],m[2]);case"copy":return this.copy(u,m[0],m[1],m[2]);case"cloneFile":return this.cloneFile(u,m[0],m[1]);case"mkdir":return this.mkdir(u,m[0]);case"delete":return this.delete(u,m[0],m[1]);case"watch":return this.watch(u,m[0],m[1],m[2],m[3]);case"unwatch":return this.unwatch(m[0],m[1])}throw new Error(`IPC Command ${y} not found`)}listen(k,y,m){const u=this.getUriTransformer(k);switch(y){case"fileChange":return this.onFileChange(u,m[0]);case"readFileStream":return this.onReadFileStream(u,m[0],m[1])}throw new Error(`Unknown event ${y}`)}stat(k,y){const m=this.transformIncoming(k,y,!0);return this.provider.stat(m)}readdir(k,y){const m=this.transformIncoming(k,y);return this.provider.readdir(m)}async readFile(k,y,m){const u=this.transformIncoming(k,y,!0),S=await this.provider.readFile(u,m);return R.VSBuffer.wrap(S)}onReadFileStream(k,y,m){const u=this.transformIncoming(k,y,!0),S=new b.CancellationTokenSource,w=new v.Emitter({onLastListenerRemove:()=>{S.cancel()}}),E=this.provider.readFileStream(u,m,S.token);return(0,M.listenStream)(E,{onData:P=>w.fire(R.VSBuffer.wrap(P)),onError:P=>w.fire(P),onEnd:()=>{w.fire("end"),w.dispose(),S.dispose()}}),w.event}writeFile(k,y,m,u){const S=this.transformIncoming(k,y);return this.provider.writeFile(S,m.buffer,u)}open(k,y,m){const u=this.transformIncoming(k,y,!0);return this.provider.open(u,m)}close(k){return this.provider.close(k)}async read(k,y,m){const u=R.VSBuffer.alloc(m),S=0,w=await this.provider.read(k,y,u.buffer,S,m);return[u,w]}write(k,y,m,u,S){return this.provider.write(k,y,m.buffer,u,S)}mkdir(k,y){const m=this.transformIncoming(k,y);return this.provider.mkdir(m)}delete(k,y,m){const u=this.transformIncoming(k,y);return this.provider.delete(u,m)}rename(k,y,m,u){const S=this.transformIncoming(k,y),w=this.transformIncoming(k,m);return this.provider.rename(S,w,u)}copy(k,y,m,u){const S=this.transformIncoming(k,y),w=this.transformIncoming(k,m);return this.provider.copy(S,w,u)}cloneFile(k,y,m){const u=this.transformIncoming(k,y),S=this.transformIncoming(k,m);return this.provider.cloneFile(u,S)}onFileChange(k,y){const m=new v.Emitter({onFirstListenerAdd:()=>{this.sessionToWatcher.set(y,this.createSessionFileWatcher(k,m))},onLastListenerRemove:()=>{(0,D.dispose)(this.sessionToWatcher.get(y)),this.sessionToWatcher.delete(y)}});return m.event}async watch(k,y,m,u,S){const w=this.sessionToWatcher.get(y);if(w){const E=this.transformIncoming(k,u),P=w.watch(m,E,S);this.watchRequests.set(y+m,P)}}async unwatch(k,y){const m=k+y,u=this.watchRequests.get(m);u&&((0,D.dispose)(u),this.watchRequests.delete(m))}dispose(){super.dispose();for(const[,k]of this.watchRequests)k.dispose();this.watchRequests.clear();for(const[,k]of this.sessionToWatcher)k.dispose();this.sessionToWatcher.clear()}}e.AbstractDiskFileSystemProviderChannel=f;class p extends D.Disposable{constructor(k,y,m,u){super();this.uriTransformer=k,this.logService=m,this.environmentService=u,this.watcherRequests=new Map,this.fileWatcher=this._register(new t.DiskFileSystemProvider(this.logService,{watcher:{recursive:this.getRecursiveWatcherOptions(this.environmentService)}})),this.registerListeners(y)}registerListeners(k){const y=this._register(new v.Emitter);this._register(y.event(m=>{k.fire(m.map(u=>({resource:this.uriTransformer.transformOutgoingURI(u.resource),type:u.type})))})),this._register(this.fileWatcher.onDidChangeFile(m=>y.fire(m))),this._register(this.fileWatcher.onDidWatchError(m=>k.fire(m)))}getRecursiveWatcherOptions(k){}getExtraExcludes(k){}watch(k,y,m){const u=this.getExtraExcludes(this.environmentService);return Array.isArray(u)&&(m.excludes=[...m.excludes,...u]),this.watcherRequests.set(k,this.fileWatcher.watch(y,m)),(0,D.toDisposable)(()=>{(0,D.dispose)(this.watcherRequests.get(k)),this.watcherRequests.delete(k)})}dispose(){super.dispose();for(const[,k]of this.watcherRequests)k.dispose();this.watcherRequests.clear()}}e.AbstractSessionFileWatcher=p}),define(X[195],Z([0,1,14,155,4,7,15,9,194,136]),function(z,e,v,t,D,R,M,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderChannel=void 0;class C extends f.AbstractDiskFileSystemProviderChannel{constructor(m,u,S){super(m,u);this.environmentService=S}getUriTransformer(m){return p.DefaultURITransformer}transformIncoming(m,u){return R.URI.revive(u)}async delete(m,u,S){if(!S.useTrash)return super.delete(m,u,S);const w=this.transformIncoming(m,u),E=(0,b.normalize)(w.fsPath);try{await v.shell.trashItem(E)}catch{throw(0,M.createFileSystemProviderError)(D.isWindows?(0,t.localize)(0,null,(0,b.basename)(E)):(0,t.localize)(1,null,(0,b.basename)(E)),M.FileSystemProviderErrorCode.Unknown)}}createSessionFileWatcher(m,u){return new k(m,u,this.logService,this.environmentService)}}e.DiskFileSystemProviderChannel=C;class k extends f.AbstractSessionFileWatcher{watch(m,u,S){if(S.recursive)throw(0,M.createFileSystemProviderError)("Recursive file watching is not supported from main process for performance reasons.",M.FileSystemProviderErrorCode.Unavailable);return super.watch(m,u,S)}}}),define(X[103],Z([0,1,6]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function t(R,M){switch(M){case v.LogLevel.Trace:return R.trace;case v.LogLevel.Debug:return R.debug;case v.LogLevel.Info:return R.info;case v.LogLevel.Warning:return R.warn;case v.LogLevel.Error:return R.error;case v.LogLevel.Critical:return R.critical;default:throw new Error("Invalid log level")}}class D extends v.AbstractLogger{constructor(M=v.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(M),this._register(this.onDidChangeLogLevel(b=>{this._logger?.setLevel(b)}))}set logger(M){this._logger=M;for(const{level:b,args:f}of this.buffer)t(M,b).apply(M,f);this.buffer=[]}_log(M,...b){this._logger?t(this._logger,M).apply(this._logger,b):this.getLevel()<=M&&this.buffer.push({level:M,args:b})}trace(M,...b){this._log(v.LogLevel.Trace,M,...b)}debug(M,...b){this._log(v.LogLevel.Debug,M,...b)}info(M,...b){this._log(v.LogLevel.Info,M,...b)}warn(M,...b){this._log(v.LogLevel.Warning,M,...b)}error(M,...b){this._log(v.LogLevel.Error,M,...b)}critical(M,...b){this._log(v.LogLevel.Critical,M,...b)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=D}),define(X[196],Z([0,1,8,19,16,15,5,103,6]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const p=5*R.ByteSize.MB;let C=class extends f.AbstractLogger{constructor(m,u,S,w,E){super();this.name=m,this.resource=u,this.donotUseFormatters=w,this.fileService=E,this.backupIndex=1,this.setLevel(S),this.queue=this._register(new v.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=f.LogLevel.Trace&&this._log(f.LogLevel.Trace,(0,f.format)(arguments))}debug(){this.getLevel()<=f.LogLevel.Debug&&this._log(f.LogLevel.Debug,(0,f.format)(arguments))}info(){this.getLevel()<=f.LogLevel.Info&&this._log(f.LogLevel.Info,(0,f.format)(arguments))}warn(){this.getLevel()<=f.LogLevel.Warning&&this._log(f.LogLevel.Warning,(0,f.format)(arguments))}error(){if(this.getLevel()<=f.LogLevel.Error){const m=arguments[0];if(m instanceof Error){const u=Array.prototype.slice.call(arguments);u[0]=m.stack,this._log(f.LogLevel.Error,(0,f.format)(u))}else this._log(f.LogLevel.Error,(0,f.format)(arguments))}}critical(){this.getLevel()<=f.LogLevel.Critical&&this._log(f.LogLevel.Critical,(0,f.format)(arguments))}flush(){}async initialize(){try{await this.fileService.createFile(this.resource)}catch(m){if(m.fileOperationResult!==3)throw m}}_log(m,u){this.queue.queue(async()=>{await this.initializePromise;let S=await this.loadContent();S.length>p&&(await this.fileService.writeFile(this.getBackupResource(),t.VSBuffer.fromString(S)),S=""),this.donotUseFormatters?S+=u:S+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(m)}] ${u}
`,await this.fileService.writeFile(this.resource,t.VSBuffer.fromString(S))})}getCurrentTimestamp(){const m=w=>w<10?`0${w}`:w,u=w=>w<10?`00${w}`:w<100?`0${w}`:w,S=new Date;return`${S.getFullYear()}-${m(S.getMonth()+1)}-${m(S.getDate())} ${m(S.getHours())}:${m(S.getMinutes())}:${m(S.getSeconds())}.${u(S.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,(0,D.joinPath)((0,D.dirname)(this.resource),`${(0,D.basename)(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch{return""}}stringifyLogLevel(m){switch(m){case f.LogLevel.Critical:return"critical";case f.LogLevel.Debug:return"debug";case f.LogLevel.Error:return"error";case f.LogLevel.Info:return"info";case f.LogLevel.Trace:return"trace";case f.LogLevel.Warning:return"warning"}return""}};C=fe([te(4,R.IFileService)],C),e.FileLogger=C;let k=class extends f.AbstractLoggerService{constructor(m,u,S){super(m.getLevel(),m.onDidChangeLogLevel);this.instantiationService=u,this.fileService=S}doCreateLogger(m,u,S){const w=new b.BufferLogService(u);return(0,R.whenProviderRegistered)(m,this.fileService).then(()=>w.logger=this.instantiationService.createInstance(C,S?.name||(0,D.basename)(m),m,w.getLevel(),!!S?.donotUseFormatters)),w}};k=fe([te(0,f.ILogService),te(1,M.IInstantiationService),te(2,R.IFileService)],k),e.FileLoggerService=k}),define(X[197],Z([0,1,3,7,6]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class R{constructor(y){this.service=y,this.onDidChangeLogLevel=v.Event.buffer(y.onDidChangeLogLevel,!0)}listen(y,m){switch(m){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${m}`)}async call(y,m,u){switch(m){case"setLevel":return this.service.setLevel(u)}throw new Error(`Call not found: ${m}`)}}e.LogLevelChannel=R;class M{constructor(y){this.channel=y}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(y){M.setLevel(this.channel,y)}static setLevel(y,m){return y.call("setLevel",m)}}e.LogLevelChannelClient=M;class b{constructor(y){this.loggerService=y,this.loggers=new Map}listen(y,m){throw new Error(`Event not found: ${m}`)}async call(y,m,u){switch(m){case"createLogger":this.createLogger(t.URI.revive(u[0]),u[1]);return;case"log":return this.log(t.URI.revive(u[0]),u[1]);case"consoleLog":return this.consoleLog(u[0],u[1])}throw new Error(`Call not found: ${m}`)}createLogger(y,m){this.loggers.set(y.toString(),this.loggerService.createLogger(y,m))}consoleLog(y,m){let u=console.log;switch(y){case D.LogLevel.Error:u=console.error;break;case D.LogLevel.Warning:u=console.warn;break;case D.LogLevel.Info:u=console.info;break}u.call(console,...m)}log(y,m){const u=this.loggers.get(y.toString());if(!u)throw new Error("Create the logger before logging");for(const[S,w]of m)(0,D.log)(u,S,w)}}e.LoggerChannel=b;class f extends D.AbstractLoggerService{constructor(y,m,u){super(y,m);this.channel=u}createConsoleMainLogger(){return new D.AdapterLogger({log:(y,m)=>{this.channel.call("consoleLog",[y,m])}})}doCreateLogger(y,m,u){return new p(this.channel,y,m,u)}}e.LoggerChannelClient=f;class p extends D.AbstractMessageLogger{constructor(y,m,u,S){super(S?.always);this.channel=y,this.file=m,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(u),this.channel.call("createLogger",[m,S]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(y,m){const u=[[y,m]];this.isLoggerCreated?this.doLog(u):this.buffer.push(...u)}doLog(y){this.channel.call("log",[this.file,y])}}class C extends D.LogService{constructor(y,m){super(m);this.parent=y,this._register(y.onDidChangeLogLevel(u=>m.setLevel(u)))}setLevel(y){super.setLevel(y),this.parent.setLevel(y)}}e.FollowerLogService=C}),define(X[104],Z([0,1,15,6]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function D(b,f,p,C,k){try{const y=await new Promise((u,S)=>{z(["spdlog"],u,S)});y.setFlushOn(t.LogLevel.Trace);const m=await y.createAsyncRotatingLogger(b,f,p,C);return k&&m.clearFormatters(),m}catch(y){console.error(y)}return null}function R(b,f,p){switch(f){case t.LogLevel.Trace:b.trace(p);break;case t.LogLevel.Debug:b.debug(p);break;case t.LogLevel.Info:b.info(p);break;case t.LogLevel.Warning:b.warn(p);break;case t.LogLevel.Error:b.error(p);break;case t.LogLevel.Critical:b.critical(p);break;default:throw new Error("Invalid log level")}}class M extends t.AbstractMessageLogger{constructor(f,p,C,k,y){super();this.buffer=[],this.setLevel(y),this._loggerCreationPromise=this._createSpdLogLogger(f,p,C,k),this._register(this.onDidChangeLogLevel(m=>{this._logger?.setLevel(m)}))}async _createSpdLogLogger(f,p,C,k){const y=C?6:1,m=30/y*v.ByteSize.MB,u=await D(f,p,m,y,k);if(u){this._logger=u,this._logger.setLevel(this.getLevel());for(const{level:S,message:w}of this.buffer)R(this._logger,S,w);this.buffer=[]}}log(f,p){this._logger?R(this._logger,f,p):this.getLevel()<=f&&this.buffer.push({level:f,message:p})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=M}),define(X[198],Z([0,1,12,16,30,15,196,6,104]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let p=class extends b.AbstractLoggerService{constructor(k,y){super(k.getLevel(),k.onDidChangeLogLevel);this.fileService=y}doCreateLogger(k,y,m){return k.scheme===v.Schemas.file?new f.SpdLogLogger(m?.name||(0,D.generateUuid)(),k.fsPath,!m?.donotRotate,!!m?.donotUseFormatters,y):new M.FileLogger(m?.name??(0,t.basename)(k),k,y,!!m?.donotUseFormatters,this.fileService)}};p=fe([te(0,b.ILogService),te(1,R.IFileService)],p),e.LoggerService=p}),define(X[199],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemRecentAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function v(M){return M.submenu!==void 0}e.isMenubarMenuItemSubmenu=v;function t(M){return M.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=t;function D(M){return M.uri!==void 0}e.isMenubarMenuItemRecentAction=D;function R(M){return!v(M)&&!t(M)&&!D(M)}e.isMenubarMenuItemAction=R}),define(X[37],Z([0,1,3,53,2,5]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullPolicyService=e.AbstractPolicyService=e.IPolicyService=void 0,e.IPolicyService=(0,R.createDecorator)("policy");class M extends D.Disposable{constructor(){super(...arguments);this.policyDefinitions={},this.policies=new Map,this._onDidChange=this._register(new v.Emitter),this.onDidChange=this._onDidChange.event}async registerPolicyDefinitions(p){const C=Object.keys(this.policyDefinitions).length;return this.policyDefinitions={...p,...this.policyDefinitions},C!==Object.keys(this.policyDefinitions).length&&await this.initializePolicies(p),t.Iterable.reduce(this.policies.entries(),(k,[y,m])=>({...k,[y]:m}),{})}getPolicyValue(p){return this.policies.get(p)}serialize(){return t.Iterable.reduce(Object.entries(this.policyDefinitions),(p,[C,k])=>({...p,[C]:{definition:k,value:this.policies.get(C)}}),{})}}e.AbstractPolicyService=M;class b{constructor(){this.onDidChange=v.Event.None}async registerPolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.NullPolicyService=b}),define(X[200],Z([0,1,8,3,53,13,15,6,37]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FilePolicyService=void 0;function p(k,y){const m=[];for(const u of D.Iterable.concat(k.keys(),y.keys()))k.get(u)!==y.get(u)&&m.push(u);return m}let C=class extends f.AbstractPolicyService{constructor(y,m,u){super();this.file=y,this.fileService=m,this.logService=u,this.throttledDelayer=this._register(new v.ThrottledDelayer(500));const S=t.Event.filter(m.onDidFilesChange,w=>w.affects(y));this._register(m.watch(y)),this._register(S(()=>this.throttledDelayer.trigger(()=>this.refresh())))}async initializePolicies(y){await this.refresh()}async read(){const y=new Map;try{const m=await this.fileService.readFile(this.file),u=JSON.parse(m.value.toString());if(!(0,R.isObject)(u))throw new Error("Policy file isn't a JSON object");for(const S of Object.keys(u))this.policyDefinitions[S]&&y.set(S,u[S])}catch(m){m.fileOperationResult!==1&&this.logService.error("[FilePolicyService] Failed to read policies",m)}return y}async refresh(){const y=await this.read(),m=p(this.policies,y);this.policies=y,m.length>0&&this._onDidChange.fire(m)}};C=fe([te(1,M.IFileService),te(2,b.ILogService)],C),e.FilePolicyService=C}),define(X[201],Z([0,1,3,2,37]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyChannelClient=e.PolicyChannel=void 0;class R{constructor(f){this.service=f,this.disposables=new t.DisposableStore}listen(f,p){switch(p){case"onDidChange":return v.Event.map(this.service.onDidChange,C=>C.reduce((k,y)=>({...k,[y]:this.service.getPolicyValue(y)??null}),{}),this.disposables)}throw new Error(`Event not found: ${p}`)}call(f,p,C){switch(p){case"registerPolicyDefinitions":return this.service.registerPolicyDefinitions(C)}throw new Error(`Call not found: ${p}`)}dispose(){this.disposables.dispose()}}e.PolicyChannel=R;class M extends D.AbstractPolicyService{constructor(f,p){super();this.channel=p;for(const C in f){const{definition:k,value:y}=f[C];this.policyDefinitions[C]=k,y!==void 0&&this.policies.set(C,y)}this.channel.listen("onDidChange")(C=>{for(const k in C){const y=C[k];y===null?this.policies.delete(k):this.policies.set(k,y)}this._onDidChange.fire(Object.keys(C))})}async initializePolicies(f){const p=await this.channel.call("registerPolicyDefinitions",f);for(const C in p)this.policies.set(C,p[C])}}e.PolicyChannelClient=M}),define(X[57],Z([0,1,12,4,36,16]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let M;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const b=t.globals.vscode.context.configuration();if(b)M=b.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof z?.__$__nodeRequire=="function"){const b=(0,R.dirname)(v.FileAccess.asFileUri("",z));M=z.__$__nodeRequire((0,R.joinPath)(b,"product.json").fsPath);const f=z.__$__nodeRequire((0,R.joinPath)(b,"package.json").fsPath);D.env.VSCODE_DEV&&Object.assign(M,{nameShort:`${M.nameShort} Dev`,nameLong:`${M.nameLong} Dev`,dataFolderName:`${M.dataFolderName}-dev`,serverDataFolderName:M.serverDataFolderName?`${M.serverDataFolderName}-dev`:void 0}),Object.assign(M,{version:f.version})}else M={},Object.keys(M).length===0&&Object.assign(M,{version:"1.67.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=M}),define(X[20],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,v.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(X[202],Z([0,1,75,6,20]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let R=class{constructor(b,f){this.productService=b,this.logService=f,this.trustedExtensionUrlPublicKeys=new Map}async isExtensionUrlTrusted(b,f){if(!this.productService.trustedExtensionUrlPublicKeys)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const p=/^(.*)#([^#]+)$/.exec(f);if(!p)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",f),!1;const[,C,k]=p;let y=this.trustedExtensionUrlPublicKeys.get(b);if(!y){if(y=this.productService.trustedExtensionUrlPublicKeys[b],!y||y.length===0)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",b),!1;this.trustedExtensionUrlPublicKeys.set(b,[...y])}const m=Buffer.from(decodeURIComponent(k),"base64");if(m.length<=6)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",f),!1;const u=m.slice(0,6),S=m.readUIntBE(0,6),w=Date.now()-S;if(w<0||w>36e5)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",f),!1;const E=m.slice(6),P=v.createVerify("SHA256");P.write(u),P.write(Buffer.from(C)),P.end();for(let g=0;g<y.length;g++){let h=y[g];if(h!==null){if(typeof h=="string")try{h=v.createPublicKey({key:Buffer.from(h,"base64"),format:"der",type:"spki"}),y[g]=h}catch(l){this.logService.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${g+1} for ${b}:`,l),y[g]=null;continue}if(P.verify(h,E))return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",f),!0}}return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",f),!1}};R=fe([te(0,D.IProductService),te(1,t.ILogService)],R),e.ExtensionUrlTrustService=R}),define(X[58],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProtocolMainService=void 0,e.IProtocolMainService=(0,v.createDecorator)("protocolMainService")}),define(X[44],Z([0,1,115,13]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class D{constructor(){this.data=new Map}add(M,b){v.ok(t.isString(M)),v.ok(t.isObject(b)),v.ok(!this.data.has(M),"There is already an extension with this id"),this.data.set(M,b)}knows(M){return this.data.has(M)}as(M){return this.data.get(M)||null}}e.Registry=new D}),define(X[203],Z([0,1,3,44]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function D(b){return b.length>0&&b.charAt(b.length-1)==="#"?b.substring(0,b.length-1):b}class R{constructor(){this._onDidChangeSchema=new v.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(f,p){this.schemasById[D(f)]=p,this._onDidChangeSchema.fire(f)}notifySchemaChanged(f){this._onDidChangeSchema.fire(f)}getSchemaContributions(){return{schemas:this.schemasById}}}const M=new R;t.Registry.add(e.Extensions.JSONContribution,M)}),define(X[59],Z([0,1,25,3,13,146,17,203,44]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var p;(function(l){l.Multiline="multilineText",l.Singleline="singlelineText"})(p=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var C;(function(l){l[l.APPLICATION=1]="APPLICATION",l[l.MACHINE=2]="MACHINE",l[l.WINDOW=3]="WINDOW",l[l.RESOURCE=4]="RESOURCE",l[l.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",l[l.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(C=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const k=f.Registry.as(b.Extensions.JSONContribution);class y{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:R.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(n,r=!0){this.registerConfigurations([n],r)}registerConfigurations(n,r=!0){const i=this.doRegisterConfigurations(n,r);k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:i})}deregisterConfigurations(n){const r=this.doDeregisterConfigurations(n);k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}updateConfigurations({add:n,remove:r}){const i=[];i.push(...this.doDeregisterConfigurations(r)),i.push(...this.doRegisterConfigurations(n,!1)),k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,v.distinct)(i)})}registerDefaultConfigurations(n){const r=[],i=[];for(const{overrides:s,source:o}of n)for(const a in s)if(r.push(a),e.OVERRIDE_PROPERTY_REGEX.test(a)){const c=this.configurationDefaultsOverrides.get(a),d=c?.valuesSources??new Map;if(o)for(const _ of Object.keys(s[a]))d.set(_,o);const I={...c?.value||{},...s[a]};this.configurationDefaultsOverrides.set(a,{source:o,value:I,valuesSources:d});const L=(0,M.getLanguageTagSettingPlainKey)(a),T={type:"object",default:I,description:R.localize(1,null,L),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:I,source:D.isString(o)?void 0:o,defaultValueSource:o};i.push(...S(a)),this.configurationProperties[a]=T,this.defaultLanguageConfigurationOverridesNode.properties[a]=T}else{this.configurationDefaultsOverrides.set(a,{value:s[a],source:o});const c=this.configurationProperties[a];c&&(this.updatePropertyDefaultValue(a,c),this.updateSchema(a,c))}this.registerOverrideIdentifiers(i),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}deregisterDefaultConfigurations(n){const r=[];for(const{overrides:i,source:s}of n)for(const o in i){const a=this.configurationDefaultsOverrides.get(o),c=D.isString(s)?s:s?.id,d=D.isString(a?.source)?a?.source:a?.source?.id;if(c===d)if(r.push(o),this.configurationDefaultsOverrides.delete(o),e.OVERRIDE_PROPERTY_REGEX.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const I=this.configurationProperties[o];I&&(this.updatePropertyDefaultValue(o,I),this.updateSchema(o,I))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...n){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(n){for(const r of n)this.overrideIdentifiers.add(r);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(n,r){const i=[];return n.forEach(s=>{i.push(...this.validateAndRegisterProperties(s,r,s.extensionInfo,s.restrictedProperties)),this.configurationContributors.push(s),this.registerJSONConfiguration(s)}),i}doDeregisterConfigurations(n){const r=[],i=s=>{if(s.properties)for(const o in s.properties){r.push(o);const a=this.configurationProperties[o];a?.policy?.name&&this.policyConfigurations.delete(a.policy.name),delete this.configurationProperties[o],this.removeFromSchema(o,s.properties[o])}s.allOf?.forEach(o=>i(o))};for(const s of n){i(s);const o=this.configurationContributors.indexOf(s);o!==-1&&this.configurationContributors.splice(o,1)}return r}validateAndRegisterProperties(n,r=!0,i,s,o=3){o=D.isUndefinedOrNull(n.scope)?o:n.scope;const a=[],c=n.properties;if(c)for(const I in c){const L=c[I];if(r&&g(I,L)){delete c[I];continue}if(L.source=i,L.defaultDefaultValue=c[I].default,this.updatePropertyDefaultValue(I,L),e.OVERRIDE_PROPERTY_REGEX.test(I)?L.scope=void 0:(L.scope=D.isUndefinedOrNull(L.scope)?o:L.scope,L.restricted=D.isUndefinedOrNull(L.restricted)?!!s?.includes(I):L.restricted),c[I].hasOwnProperty("included")&&!c[I].included){this.excludedConfigurationProperties[I]=c[I],delete c[I];continue}else this.configurationProperties[I]=c[I],c[I].policy?.name&&this.policyConfigurations.set(c[I].policy.name,I);!c[I].deprecationMessage&&c[I].markdownDeprecationMessage&&(c[I].deprecationMessage=c[I].markdownDeprecationMessage),a.push(I)}const d=n.allOf;if(d)for(const I of d)a.push(...this.validateAndRegisterProperties(I,r,i,s,o));return a}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(n){const r=i=>{const s=i.properties;if(s)for(const a in s)this.updateSchema(a,s[a]);i.allOf?.forEach(r)};r(n)}updateSchema(n,r){switch(e.allSettings.properties[n]=r,r.scope){case 1:e.applicationSettings.properties[n]=r;break;case 2:e.machineSettings.properties[n]=r;break;case 6:e.machineOverridableSettings.properties[n]=r;break;case 3:e.windowSettings.properties[n]=r;break;case 4:e.resourceSettings.properties[n]=r;break;case 5:e.resourceSettings.properties[n]=r,this.resourceLanguageSettingsSchema.properties[n]=r;break}}removeFromSchema(n,r){switch(delete e.allSettings.properties[n],r.scope){case 1:delete e.applicationSettings.properties[n];break;case 2:delete e.machineSettings.properties[n];break;case 6:delete e.machineOverridableSettings.properties[n];break;case 3:delete e.windowSettings.properties[n];break;case 4:case 5:delete e.resourceSettings.properties[n],delete this.resourceLanguageSettingsSchema.properties[n];break}}updateOverridePropertyPatternKey(){for(const n of this.overrideIdentifiers.values()){const r=`[${n}]`,i={type:"object",description:R.localize(2,null),errorMessage:R.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(r,i),e.allSettings.properties[r]=i,e.applicationSettings.properties[r]=i,e.machineSettings.properties[r]=i,e.machineOverridableSettings.properties[r]=i,e.windowSettings.properties[r]=i,e.resourceSettings.properties[r]=i}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const n={type:"object",description:R.localize(4,null),errorMessage:R.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(n,r){const i=this.configurationDefaultsOverrides.get(n);let s=i?.value,o=i?.source;D.isUndefined(s)&&(s=r.defaultDefaultValue,o=void 0),D.isUndefined(s)&&(s=E(r.type)),r.default=s,r.defaultValueSource=o}}const m="\\[([^\\]]+)\\]",u=new RegExp(m,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${m})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function S(l){const n=[];if(e.OVERRIDE_PROPERTY_REGEX.test(l)){let r=u.exec(l);for(;r?.length;){const i=r[1].trim();i&&n.push(i),r=u.exec(l)}}return(0,v.distinct)(n)}e.overrideIdentifiersFromKey=S;function w(l){return l.reduce((n,r)=>`${n}[${r}]`,"")}e.keyFromOverrideIdentifiers=w;function E(l){switch(Array.isArray(l)?l[0]:l){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=E;const P=new y;f.Registry.add(e.Extensions.Configuration,P);function g(l,n){return l.trim()?e.OVERRIDE_PROPERTY_REGEX.test(l)?R.localize(7,null,l):P.getConfigurationProperties()[l]!==void 0?R.localize(8,null,l):n.policy?.name&&P.getPolicyConfigurations().get(n.policy?.name)!==void 0?R.localize(9,null,l,n.policy?.name,P.getPolicyConfigurations().get(n.policy?.name)):null:R.localize(6,null)}e.validateProperty=g;function h(){const l=[],n=P.getConfigurationProperties();for(const r of Object.keys(n))l.push([r,n[r].scope]);return l.push(["launch",4]),l.push(["task",4]),l}e.getScopes=h}),define(X[105],Z([0,1,25,3,49,2,33,50,13,7,17,59,44]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class m{constructor(r={},i=[],s=[]){this._contents=r,this._keys=i,this._overrides=s,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(r){return r?(0,C.getConfigurationValue)(this.contents,r):this.contents}getOverrideValue(r,i){const s=this.getContentsForOverrideIdentifer(i);return s?r?(0,C.getConfigurationValue)(s,r):s:void 0}getKeysForOverrideIdentifier(r){const i=[];for(const s of this.overrides)s.identifiers.includes(r)&&i.push(...s.keys);return v.distinct(i)}getAllOverrideIdentifiers(){const r=[];for(const i of this.overrides)r.push(...i.identifiers);return v.distinct(r)}override(r){let i=this.overrideConfigurations.get(r);return i||(i=this.createOverrideConfigurationModel(r),this.overrideConfigurations.set(r,i)),i}merge(...r){const i=b.deepClone(this.contents),s=b.deepClone(this.overrides),o=[...this.keys];for(const a of r)if(!a.isEmpty()){this.mergeContents(i,a.contents);for(const c of a.overrides){const[d]=s.filter(I=>v.equals(I.identifiers,c.identifiers));d?(this.mergeContents(d.contents,c.contents),d.keys.push(...c.keys),d.keys=v.distinct(d.keys)):s.push(b.deepClone(c))}for(const c of a.keys)o.indexOf(c)===-1&&o.push(c)}return new m(i,o,s)}freeze(){return this.frozen=!0,this}clone(){return new m(b.deepClone(this.contents),[...this.keys],b.deepClone(this.overrides))}createOverrideConfigurationModel(r){const i=this.getContentsForOverrideIdentifer(r);if(!i||typeof i!="object"||!Object.keys(i).length)return this;const s={};for(const o of v.distinct([...Object.keys(this.contents),...Object.keys(i)])){let a=this.contents[o];const c=i[o];c&&(typeof a=="object"&&typeof c=="object"?(a=b.deepClone(a),this.mergeContents(a,c)):a=c),s[o]=a}return new m(s,this.keys,this.overrides)}mergeContents(r,i){for(const s of Object.keys(i)){if(s in r&&f.isObject(r[s])&&f.isObject(i[s])){this.mergeContents(r[s],i[s]);continue}r[s]=b.deepClone(i[s])}}checkAndFreeze(r){return this.frozen&&!Object.isFrozen(r)?b.deepFreeze(r):r}getContentsForOverrideIdentifer(r){let i=null,s=null;const o=a=>{a&&(s?this.mergeContents(s,a):s=b.deepClone(a))};for(const a of this.overrides)v.equals(a.identifiers,[r])?i=a.contents:a.identifiers.includes(r)&&o(a.contents);return o(i),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(r,i){this.addKey(r),(0,C.addToValueTree)(this.contents,r,i,s=>{throw new Error(s)})}removeValue(r){this.removeKey(r)&&(0,C.removeFromValueTree)(this.contents,r)}addKey(r){let i=this.keys.length;for(let s=0;s<i;s++)r.indexOf(this.keys[s])===0&&(i=s);this.keys.splice(i,1,r)}removeKey(r){const i=this.keys.indexOf(r);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=m;class u{constructor(r){this._name=r,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new m}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(r,i){if(!f.isUndefinedOrNull(r)){const s=this.doParseContent(r);this.parseRaw(s,i)}}reparse(r){this._raw&&this.parseRaw(this._raw,r)}parseRaw(r,i){this._raw=r;const{contents:s,keys:o,overrides:a,restricted:c}=this.doParseRaw(r,i);this._configurationModel=new m(s,o,a),this._restrictedConfigurations=c||[]}doParseContent(r){let i={},s=null,o=[];const a=[],c=[];function d(L){Array.isArray(o)?o.push(L):s!==null&&(o[s]=L)}const I={onObjectBegin:()=>{const L={};d(L),a.push(o),o=L,s=null},onObjectProperty:L=>{s=L},onObjectEnd:()=>{o=a.pop()},onArrayBegin:()=>{const L=[];d(L),a.push(o),o=L,s=null},onArrayEnd:()=>{o=a.pop()},onLiteralValue:d,onError:(L,T,_)=>{c.push({error:L,offset:T,length:_})}};if(r)try{D.visit(r,I),i=o[0]||{}}catch(L){console.error(`Error while parsing settings file ${this._name}: ${L}`),this._parseErrors=[L]}return i}doParseRaw(r,i){const s=y.Registry.as(k.Extensions.Configuration).getConfigurationProperties(),o=this.filter(r,s,!0,i);r=o.raw;const a=(0,C.toValuesTree)(r,I=>console.error(`Conflict in settings file ${this._name}: ${I}`)),c=Object.keys(r),d=this.toOverrides(r,I=>console.error(`Conflict in settings file ${this._name}: ${I}`));return{contents:a,keys:c,overrides:d,restricted:o.restricted}}filter(r,i,s,o){if(!o?.scopes&&!o?.skipRestricted)return{raw:r,restricted:[]};const a={},c=[];for(const d in r)if(k.OVERRIDE_PROPERTY_REGEX.test(d)&&s){const I=this.filter(r[d],i,!1,o);a[d]=I.raw,c.push(...I.restricted)}else{const I=i[d],L=I?typeof I.scope!="undefined"?I.scope:3:void 0;I?.restricted&&c.push(d),(L===void 0||o.scopes===void 0||o.scopes.includes(L))&&(o.skipRestricted&&I?.restricted||(a[d]=r[d]))}return{raw:a,restricted:c}}toOverrides(r,i){const s=[];for(const o of Object.keys(r))if(k.OVERRIDE_PROPERTY_REGEX.test(o)){const a={};for(const c in r[o])a[c]=r[o][c];s.push({identifiers:(0,k.overrideIdentifiersFromKey)(o),keys:Object.keys(a),contents:(0,C.toValuesTree)(a,i)})}return s}}e.ConfigurationModelParser=u;class S extends R.Disposable{constructor(r,i,s,o){super();this.userSettingsResource=r,this.scopes=i,this.fileService=o,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new u(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,a=>a.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,a=>(a.isOperation(0)||a.isOperation(3)||a.isOperation(1)||a.isOperation(4))&&s.isEqual(a.resource,r)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const r=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(r.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new m}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=S;class w{constructor(r,i,s,o,a=new m,c=new m,d=new M.ResourceMap,I=new m,L=new M.ResourceMap,T=!0){this._defaultConfiguration=r,this._policyConfiguration=i,this._applicationConfiguration=s,this._localUserConfiguration=o,this._remoteUserConfiguration=a,this._workspaceConfiguration=c,this._folderConfigurations=d,this._memoryConfiguration=I,this._memoryConfigurationByResource=L,this._freeze=T,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new M.ResourceMap,this._userConfiguration=null}getValue(r,i,s){return this.getConsolidatedConfigurationModel(r,i,s).getValue(r)}updateValue(r,i,s={}){let o;s.resource?(o=this._memoryConfigurationByResource.get(s.resource),o||(o=new m,this._memoryConfigurationByResource.set(s.resource,o))):o=this._memoryConfiguration,i===void 0?o.removeValue(r):o.setValue(r,i),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(r,i,s){const o=this.getConsolidatedConfigurationModel(r,i,s),a=this.getFolderConfigurationModelForResource(i.resource,s),c=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,d=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this._defaultConfiguration.freeze().getValue(r),I=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(r),L=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(r),T=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.userConfiguration.freeze().getValue(r),_=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.localUserConfiguration.freeze().getValue(r),K=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.remoteUserConfiguration.freeze().getValue(r),ie=s?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this._workspaceConfiguration.freeze().getValue(r):void 0,ne=a?i.overrideIdentifier?a.freeze().override(i.overrideIdentifier).getValue(r):a.freeze().getValue(r):void 0,Q=i.overrideIdentifier?c.override(i.overrideIdentifier).getValue(r):c.getValue(r),ae=o.getValue(r),le=v.distinct(o.overrides.map($=>$.identifiers).flat()).filter($=>o.getOverrideValue(r,$)!==void 0);return{defaultValue:d,policyValue:I,applicationValue:L,userValue:T,userLocalValue:_,userRemoteValue:K,workspaceValue:ie,workspaceFolderValue:ne,memoryValue:Q,value:ae,default:d!==void 0?{value:this._defaultConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,policy:I!==void 0?{value:I}:void 0,application:L!==void 0?{value:L,override:i.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,user:T!==void 0?{value:this.userConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,userLocal:_!==void 0?{value:this.localUserConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,userRemote:K!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,workspace:ie!==void 0?{value:this._workspaceConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,workspaceFolder:ne!==void 0?{value:a?.freeze().getValue(r),override:i.overrideIdentifier?a?.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,memory:Q!==void 0?{value:c.getValue(r),override:i.overrideIdentifier?c.getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:le.length?le:void 0}}keys(r){const i=this.getFolderConfigurationModelForResource(void 0,r);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(r){this._defaultConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(r){this._policyConfiguration=r}updateApplicationConfiguration(r){this._applicationConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(r){this._localUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(r){this._remoteUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(r){this._workspaceConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(r,i){this._folderConfigurations.set(r,i),this._foldersConsolidatedConfigurations.delete(r)}deleteFolderConfiguration(r){this.folderConfigurations.delete(r),this._foldersConsolidatedConfigurations.delete(r)}compareAndUpdateDefaultConfiguration(r,i){const s=[];if(!i){const{added:o,updated:a,removed:c}=h(this._defaultConfiguration,r);i=[...o,...a,...c]}for(const o of i)for(const a of(0,k.overrideIdentifiersFromKey)(o)){const c=this._defaultConfiguration.getKeysForOverrideIdentifier(a),d=r.getKeysForOverrideIdentifier(a),I=[...d.filter(L=>c.indexOf(L)===-1),...c.filter(L=>d.indexOf(L)===-1),...c.filter(L=>!b.equals(this._defaultConfiguration.override(a).getValue(L),r.override(a).getValue(L)))];s.push([a,I])}return this.updateDefaultConfiguration(r),{keys:i,overrides:s}}compareAndUpdatePolicyConfiguration(r){const{added:i,updated:s,removed:o}=h(this._policyConfiguration,r),a=[...i,...s,...o];return a.length&&this.updatePolicyConfiguration(r),{keys:a,overrides:[]}}compareAndUpdateApplicationConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=h(this.applicationConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateApplicationConfiguration(r),{keys:c,overrides:a}}compareAndUpdateLocalUserConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=h(this.localUserConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateLocalUserConfiguration(r),{keys:c,overrides:a}}compareAndUpdateRemoteUserConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=h(this.remoteUserConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateRemoteUserConfiguration(r),{keys:c,overrides:a}}compareAndUpdateWorkspaceConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=h(this.workspaceConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateWorkspaceConfiguration(r),{keys:c,overrides:a}}compareAndUpdateFolderConfiguration(r,i){const s=this.folderConfigurations.get(r),{added:o,updated:a,removed:c,overrides:d}=h(s,i),I=[...o,...a,...c];return(I.length||!s)&&this.updateFolderConfiguration(r,i),{keys:I,overrides:d}}compareAndDeleteFolderConfiguration(r){const i=this.folderConfigurations.get(r);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:s,updated:o,removed:a,overrides:c}=h(i,void 0);return{keys:[...s,...o,...a],overrides:c}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(r,i,s){let o=this.getConsolidatedConfigurationModelForResource(i,s);return i.overrideIdentifier&&(o=o.override(i.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(r)!==void 0&&(o=o.merge(this._policyConfiguration)),o}getConsolidatedConfigurationModelForResource({resource:r},i){let s=this.getWorkspaceConsolidatedConfiguration();if(i&&r){const o=i.getFolder(r);o&&(s=this.getFolderConsolidatedConfiguration(o.uri)||s);const a=this._memoryConfigurationByResource.get(r);a&&(s=s.merge(a))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(r){let i=this._foldersConsolidatedConfigurations.get(r);if(!i){const s=this.getWorkspaceConsolidatedConfiguration(),o=this._folderConfigurations.get(r);o?(i=s.merge(o),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(r,i)):i=s}return i}getFolderConfigurationModelForResource(r,i){if(i&&r){const s=i.getFolder(r);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((r,i)=>{const{contents:s,overrides:o,keys:a}=this._folderConfigurations.get(i);return r.push([i,{contents:s,overrides:o,keys:a}]),r},[])}}allKeys(){const r=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>r.add(i)),this.userConfiguration.freeze().keys.forEach(i=>r.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(s=>r.add(s))),[...r.values()]}allOverrideIdentifiers(){const r=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(s=>r.add(s))),[...r.values()]}getAllKeysForOverrideIdentifier(r){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(r).forEach(o=>i.add(o))),[...i.values()]}static parse(r){const i=this.parseConfigurationModel(r.defaults),s=this.parseConfigurationModel(r.policy),o=this.parseConfigurationModel(r.application),a=this.parseConfigurationModel(r.user),c=this.parseConfigurationModel(r.workspace),d=r.folders.reduce((I,L)=>(I.set(p.URI.revive(L[0]),this.parseConfigurationModel(L[1])),I),new M.ResourceMap);return new w(i,s,o,a,new m,c,d,new m,new M.ResourceMap,!1)}static parseConfigurationModel(r){return new m(r.contents,r.keys,r.overrides).freeze()}}e.Configuration=w;function E(...n){if(n.length===0)return{keys:[],overrides:[]};if(n.length===1)return n[0];const r=new Set,i=new Map;for(const o of n)o.keys.forEach(a=>r.add(a)),o.overrides.forEach(([a,c])=>{const d=(0,M.getOrSet)(i,a,new Set);c.forEach(I=>d.add(I))});const s=[];return i.forEach((o,a)=>s.push([a,[...o.values()]])),{keys:[...r.values()],overrides:s}}e.mergeChanges=E;class P{constructor(r,i,s,o){this.change=r,this.previous=i,this.currentConfiguraiton=s,this.currentWorkspace=o,this._previousConfiguration=void 0;const a=new Set;r.keys.forEach(d=>a.add(d)),r.overrides.forEach(([,d])=>d.forEach(I=>a.add(I))),this.affectedKeys=[...a.values()];const c=new m;this.affectedKeys.forEach(d=>c.setValue(d,{})),this.affectedKeysTree=c.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=w.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(r,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,r)){if(i){const s=this.previousConfiguration?this.previousConfiguration.getValue(r,i,this.previous?.workspace):void 0,o=this.currentConfiguraiton.getValue(r,i,this.currentWorkspace);return!b.equals(s,o)}return!0}return!1}doesAffectedKeysTreeContains(r,i){let s=(0,C.toValuesTree)({[i]:!0},()=>{}),o;for(;typeof s=="object"&&(o=Object.keys(s)[0]);){if(r=r[o],!r)return!1;s=s[o]}return!0}}e.ConfigurationChangeEvent=P;class g extends P{constructor(r,i,s,o){super({keys:r.allKeys(),overrides:[]},void 0,r,i);this.source=s,this.sourceConfig=o}}e.AllKeysConfigurationChangeEvent=g;function h(n,r){const{added:i,removed:s,updated:o}=l(r,n),a=[],c=n?.getAllOverrideIdentifiers()||[],d=r?.getAllOverrideIdentifiers()||[];if(r){const I=d.filter(L=>!c.includes(L));for(const L of I)a.push([L,r.getKeysForOverrideIdentifier(L)])}if(n){const I=c.filter(L=>!d.includes(L));for(const L of I)a.push([L,n.getKeysForOverrideIdentifier(L)])}if(r&&n){for(const I of c)if(d.includes(I)){const L=l({contents:n.getOverrideValue(void 0,I)||{},keys:n.getKeysForOverrideIdentifier(I)},{contents:r.getOverrideValue(void 0,I)||{},keys:r.getKeysForOverrideIdentifier(I)});a.push([I,[...L.added,...L.removed,...L.updated]])}}return{added:i,removed:s,updated:o,overrides:a}}function l(n,r){const i=n?r?n.keys.filter(a=>r.keys.indexOf(a)===-1):[...n.keys]:[],s=r?n?r.keys.filter(a=>n.keys.indexOf(a)===-1):[...r.keys]:[],o=[];if(n&&r){for(const a of r.keys)if(n.keys.indexOf(a)!==-1){const c=(0,C.getConfigurationValue)(r.contents,a),d=(0,C.getConfigurationValue)(n.contents,a);b.equals(c,d)||o.push(a)}}return{added:i,removed:s,updated:o}}}),define(X[204],Z([0,1,25,3,2,50,13,17,105,59,6,37,44]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyConfiguration=e.NullPolicyConfiguration=e.DefaultConfigurationModel=e.DefaultConfiguration=void 0;class m extends D.Disposable{constructor(){super(...arguments);this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event}get configurationModel(){return this._configurationModel||(this._configurationModel=new u(this.getConfigurationDefaultOverrides())),this._configurationModel}async initialize(){return this._configurationModel=void 0,this._register(y.Registry.as(p.Extensions.Configuration).onDidUpdateConfiguration(({properties:P,defaultsOverrides:g})=>this.onDidUpdateConfiguration(P,g))),this.configurationModel}reload(){return this._configurationModel=void 0,this.configurationModel}onDidUpdateConfiguration(P,g){this._configurationModel=void 0,this._onDidChangeConfiguration.fire({defaults:this.configurationModel,properties:P})}getConfigurationDefaultOverrides(){return{}}}e.DefaultConfiguration=m;class u extends f.ConfigurationModel{constructor(P={}){const g=y.Registry.as(p.Extensions.Configuration).getConfigurationProperties(),h=Object.keys(g),l=Object.create(null),n=[];for(const r in g){const i=P[r],s=i!==void 0?i:g[r].default;(0,b.addToValueTree)(l,r,s,o=>console.error(`Conflict in default settings: ${o}`))}for(const r of Object.keys(l))p.OVERRIDE_PROPERTY_REGEX.test(r)&&n.push({identifiers:(0,p.overrideIdentifiersFromKey)(r),keys:Object.keys(l[r]),contents:(0,b.toValuesTree)(l[r],i=>console.error(`Conflict in default settings file: ${i}`))});super(l,h,n)}}e.DefaultConfigurationModel=u;class S{constructor(){this.onDidChangeConfiguration=t.Event.None,this.configurationModel=new f.ConfigurationModel}async initialize(){return this.configurationModel}}e.NullPolicyConfiguration=S;let w=class extends D.Disposable{constructor(P,g,h){super();this.defaultConfiguration=P,this.policyService=g,this.logService=h,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configurationModel=new f.ConfigurationModel}get configurationModel(){return this._configurationModel}async initialize(){return this.update(await this.registerPolicyDefinitions(this.defaultConfiguration.configurationModel.keys),!1),this._register(this.policyService.onDidChange(P=>this.onDidChangePolicies(P))),this._register(this.defaultConfiguration.onDidChangeConfiguration(async({properties:P})=>this.update(await this.registerPolicyDefinitions(P),!0))),this._configurationModel}async registerPolicyDefinitions(P){const g={},h=[],l=y.Registry.as(p.Extensions.Configuration).getConfigurationProperties();for(const n of P){const r=l[n];if(!r){h.push(n);continue}if(r.policy){if(r.type!=="string"&&r.type!=="number"){this.logService.warn(`Policy ${r.policy.name} has unsupported type ${r.type}`);continue}h.push(n),g[r.policy.name]={type:r.type}}}return(0,M.isEmptyObject)(g)||await this.policyService.registerPolicyDefinitions(g),h}onDidChangePolicies(P){const g=y.Registry.as(p.Extensions.Configuration).getPolicyConfigurations(),h=(0,v.coalesce)(P.map(l=>g.get(l)));this.update(h,!0)}update(P,g){const h=y.Registry.as(p.Extensions.Configuration).getConfigurationProperties(),l=[],n=this._configurationModel.isEmpty();for(const r of P){const i=h[r]?.policy?.name;if(i){const s=this.policyService.getPolicyValue(i);(n?s!==void 0:!(0,R.equals)(this._configurationModel.getValue(r),s))&&l.push([r,s])}else this._configurationModel.getValue(r)!==void 0&&l.push([r,void 0])}if(l.length){const r=this._configurationModel;this._configurationModel=new f.ConfigurationModel;for(const i of r.keys)this._configurationModel.setValue(i,r.getValue(i));for(const[i,s]of l)s===void 0?this._configurationModel.removeValue(i):this._configurationModel.setValue(i,s);g&&this._onDidChangeConfiguration.fire(this._configurationModel)}}};w=fe([te(1,k.IPolicyService),te(2,C.ILogService)],w),e.PolicyConfiguration=w}),define(X[205],Z([0,1,8,3,2,16,17,105,204,37]),function(z,e,v,t,D,R,M,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class C extends D.Disposable{constructor(y,m,u,S){super();this.settingsResource=y,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.defaultConfiguration=this._register(new f.DefaultConfiguration),this.policyConfiguration=u instanceof p.NullPolicyService?new f.NullPolicyConfiguration:this._register(new f.PolicyConfiguration(this.defaultConfiguration,u,S)),this.userConfiguration=this._register(new b.UserSettings(this.settingsResource,void 0,R.extUriBiasedIgnorePathCase,m)),this.configuration=new b.Configuration(this.defaultConfiguration.configurationModel,this.policyConfiguration.configurationModel,new b.ConfigurationModel,new b.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new v.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(this.defaultConfiguration.onDidChangeConfiguration(({defaults:w,properties:E})=>this.onDidDefaultConfigurationChange(w,E))),this._register(this.policyConfiguration.onDidChangeConfiguration(w=>this.onDidPolicyConfigurationChange(w))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const[y,m,u]=await Promise.all([this.defaultConfiguration.initialize(),this.policyConfiguration.initialize(),this.userConfiguration.loadConfiguration()]);this.configuration=new b.Configuration(y,m,new b.ConfigurationModel,u)}getConfigurationData(){return this.configuration.toData()}getValue(y,m){const u=typeof y=="string"?y:void 0,S=(0,M.isConfigurationOverrides)(y)?y:(0,M.isConfigurationOverrides)(m)?m:{};return this.configuration.getValue(u,S,void 0)}updateValue(y,m,u,S){return Promise.reject(new Error("not supported"))}inspect(y){return this.configuration.inspect(y,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const y=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(y)}onDidChangeUserConfiguration(y){const m=this.configuration.toData(),u=this.configuration.compareAndUpdateLocalUserConfiguration(y);this.trigger(u,m,1)}onDidDefaultConfigurationChange(y,m){const u=this.configuration.toData(),S=this.configuration.compareAndUpdateDefaultConfiguration(y,m);this.trigger(S,u,6)}onDidPolicyConfigurationChange(y){const m=this.configuration.toData(),u=this.configuration.compareAndUpdatePolicyConfiguration(y);this.trigger(u,m,6)}trigger(y,m,u){const S=new b.ConfigurationChangeEvent(y,{data:m},this.configuration);S.source=u,S.sourceConfig=this.getTargetConfiguration(u),this._onDidChangeConfiguration.fire(S)}getTargetConfiguration(y){switch(y){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=C}),define(X[206],Z([0,1,18,5]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,t.createDecorator)("remoteAuthorityResolverService");var D;(function(M){M.Unknown="Unknown",M.NotAvailable="NotAvailable",M.TemporarilyNotAvailable="TemporarilyNotAvailable",M.NoResolverFound="NoResolverFound"})(D=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class R extends v.ErrorNoTelemetry{constructor(b,f=D.Unknown,p){super(b);this._message=b,this._code=f,this._detail=p,this.isHandled=f===D.NotAvailable&&p===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,R.prototype)}static isTemporarilyNotAvailable(b){return b instanceof R&&b._code===D.TemporarilyNotAvailable}static isNoResolverFound(b){return b instanceof R&&b._code===D.NoResolverFound}static isHandled(b){return b instanceof R&&b.isHandled}}e.RemoteAuthorityResolverError=R}),define(X[71],Z([0,1,12]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function t(p){return p.scheme===v.Schemas.vscodeRemote?p.authority:void 0}e.getRemoteAuthority=t;function D(p){if(!p)return;const C=p.indexOf("+");return C<0?p:p.substr(0,C)}e.getRemoteName=D;function R(p){return`/${p.quality??"oss"}-${p.commit??"dev"}`}e.getRemoteServerRootPath=R;function M(p){const{host:C,port:k}=f(p);if(typeof k=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:C,port:k}}e.parseAuthorityWithPort=M;function b(p,C){let{host:k,port:y}=f(p);return typeof y=="undefined"&&(y=C),{host:k,port:y}}e.parseAuthorityWithOptionalPort=b;function f(p){const C=p.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(C)return{host:C[1],port:parseInt(C[2],10)};const k=p.match(/^(\[[0-9a-z:]+\])$/);if(k)return{host:k[1],port:void 0};const y=p.match(/(.*):(\d+)$/);return y?{host:y[1],port:parseInt(y[2],10)}:{host:p,port:void 0}}}),define(X[207],Z([0,1,8,19,22,18,3,2,30,95,206,71]),function(z,e,v,t,D,R,M,b,f,p,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const y=30*1e3;var m;(function(H){H[H.Management=1]="Management",H[H.ExtensionHost=2]="ExtensionHost",H[H.Tunnel=3]="Tunnel"})(m=e.ConnectionType||(e.ConnectionType={}));function u(H){switch(H){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function S(H){const G=new D.CancellationTokenSource;return setTimeout(()=>G.cancel(),H),G.token}function w(H,G){if(H.isCancellationRequested||G.isCancellationRequested)return D.CancellationToken.Cancelled;const ee=new D.CancellationTokenSource;return H.onCancellationRequested(()=>ee.cancel()),G.onCancellationRequested(()=>ee.cancel()),ee.token}class E{constructor(G){this._state="pending",this._disposables=new b.DisposableStore,this.promise=new Promise((ee,A)=>{this._resolvePromise=ee,this._rejectPromise=A}),G.isCancellationRequested?this._timeout():this._disposables.add(G.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(G){this._state==="pending"?this._disposables.add(G):G.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const G=new Error("Time limit reached");return G.code="ETIMEDOUT",G.syscall="connect",G}resolve(G){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(G))}reject(G){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(G))}}function P(H,G){const ee=new E(G);return ee.registerDisposable(H.onControlMessage(A=>{const O=JSON.parse(A.toString()),N=oe(O);N?ee.reject(N):ee.resolve(O)})),ee.promise}function g(H,G,ee,A,O,N,q,J){const U=new E(J);return G.connect(ee,A,O,N,q,(V,x)=>{U.didTimeout?(V&&H.error(V),x?.dispose()):V||!x?U.reject(V):U.resolve(x)}),U.promise}function h(H,G){const ee=new E(G);return H.then(A=>{ee.didTimeout||ee.resolve(A)},A=>{ee.didTimeout||ee.reject(A)}),ee.promise}async function l(H,G,ee,A){const O=B(H,G);H.logService.trace(`${O} 1/6. invoking socketFactory.connect().`);let N;try{N=await g(H.logService,H.socketFactory,H.host,H.port,(0,k.getRemoteServerRootPath)(H),`reconnectionToken=${H.reconnectionToken}&reconnection=${H.reconnectionProtocol?"true":"false"}`,`renderer-${u(G)}-${H.reconnectionToken}`,A)}catch(x){throw H.logService.error(`${O} socketFactory.connect() failed or timed out. Error:`),H.logService.error(x),x}H.logService.trace(`${O} 2/6. socketFactory.connect() was successful.`);let q,J;H.reconnectionProtocol?(H.reconnectionProtocol.beginAcceptReconnection(N,null),q=H.reconnectionProtocol,J=!1):(q=new p.PersistentProtocol(N,null),J=!0),H.logService.trace(`${O} 3/6. sending AuthRequest control message.`);const U=await h(H.signService.createNewMessage((0,f.generateUuid)()),A),V={type:"auth",auth:H.connectionToken||"00000000000000000000",data:U.data};q.sendControl(t.VSBuffer.fromString(JSON.stringify(V)));try{const x=await P(q,w(A,S(1e4)));if(x.type!=="sign"||typeof x.data!="string"){const ye=new Error("Unexpected handshake message");throw ye.code="VSCODE_CONNECTION_ERROR",ye}if(H.logService.trace(`${O} 4/6. received SignRequest control message.`),!await h(H.signService.validate(U,x.signedData),A)){const ye=new Error("Refused to connect to unsupported server");throw ye.code="VSCODE_CONNECTION_ERROR",ye}const ce=await h(H.signService.sign(x.data),A),ge={type:"connectionType",commit:H.commit,signedData:ce,desiredConnectionType:G};return ee&&(ge.args=ee),H.logService.trace(`${O} 5/6. sending ConnectionTypeRequest control message.`),q.sendControl(t.VSBuffer.fromString(JSON.stringify(ge))),{protocol:q,ownsProtocol:J}}catch(x){throw x&&x.code==="ETIMEDOUT"&&(H.logService.error(`${O} the handshake timed out. Error:`),H.logService.error(x)),x&&x.code==="VSCODE_CONNECTION_ERROR"&&(H.logService.error(`${O} received error control message when negotiating connection. Error:`),H.logService.error(x)),J&&$(q),x}}async function n(H,G,ee,A){const O=Date.now(),N=B(H,G),{protocol:q,ownsProtocol:J}=await l(H,G,ee,A),U=new E(A);return U.registerDisposable(q.onControlMessage(V=>{const x=JSON.parse(V.toString()),se=oe(x);se?(H.logService.error(`${N} received error control message when negotiating connection. Error:`),H.logService.error(se),J&&$(q),U.reject(se)):(H.reconnectionProtocol&&H.reconnectionProtocol.endAcceptReconnection(),H.logService.trace(`${N} 6/6. handshake finished, connection is up and running after ${Y(O)}!`),U.resolve({protocol:q,firstMessage:x}))})),U.promise}async function r(H,G){const{protocol:ee}=await n(H,1,void 0,G);return{protocol:ee}}async function i(H,G,ee){const{protocol:A,firstMessage:O}=await n(H,2,G,ee),N=O&&O.debugPort;return{protocol:A,debugPort:N}}async function s(H,G,ee){const A=Date.now(),O=B(H,3),{protocol:N}=await l(H,3,G,ee);return H.logService.trace(`${O} 6/6. handshake finished, connection is up and running after ${Y(A)}!`),N}async function o(H,G,ee){const{host:A,port:O,connectionToken:N}=await H.addressProvider.getAddress();return{commit:H.commit,quality:H.quality,host:A,port:O,connectionToken:N,reconnectionToken:G,reconnectionProtocol:ee,socketFactory:H.socketFactory,signService:H.signService,logService:H.logService}}async function a(H,G,ee){try{const A=(0,f.generateUuid)(),O=await o(H,A,null),{protocol:N}=await r(O,D.CancellationToken.None);return new ae(H,G,ee,A,N)}catch(A){throw H.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),H.logService.error(A),Q.triggerPermanentFailure(0,0,C.RemoteAuthorityResolverError.isHandled(A)),A}}e.connectRemoteAgentManagement=a;async function c(H,G){try{const ee=(0,f.generateUuid)(),A=await o(H,ee,null),{protocol:O,debugPort:N}=await i(A,G,D.CancellationToken.None);return new le(H,G,ee,O,N)}catch(ee){throw H.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),H.logService.error(ee),Q.triggerPermanentFailure(0,0,C.RemoteAuthorityResolverError.isHandled(ee)),ee}}e.connectRemoteAgentExtensionHost=c;async function d(H,G,ee){const A=await o(H,(0,f.generateUuid)(),null);return await s(A,{host:G,port:ee},D.CancellationToken.None)}e.connectRemoteAgentTunnel=d;function I(H){return(0,v.createCancelablePromise)(G=>new Promise((ee,A)=>{const O=setTimeout(ee,H*1e3);G.onCancellationRequested(()=>{clearTimeout(O),ee()})}))}var L;(function(H){H[H.ConnectionLost=0]="ConnectionLost",H[H.ReconnectionWait=1]="ReconnectionWait",H[H.ReconnectionRunning=2]="ReconnectionRunning",H[H.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",H[H.ConnectionGain=4]="ConnectionGain"})(L=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class T{constructor(G,ee){this.reconnectionToken=G,this.millisSinceLastIncomingData=ee,this.type=0}}e.ConnectionLostEvent=T;class _{constructor(G,ee,A,O){this.reconnectionToken=G,this.millisSinceLastIncomingData=ee,this.durationSeconds=A,this.cancellableTimer=O,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=_;class K{constructor(G,ee,A){this.reconnectionToken=G,this.millisSinceLastIncomingData=ee,this.attempt=A,this.type=2}}e.ReconnectionRunningEvent=K;class ie{constructor(G,ee,A){this.reconnectionToken=G,this.millisSinceLastIncomingData=ee,this.attempt=A,this.type=4}}e.ConnectionGainEvent=ie;class ne{constructor(G,ee,A,O){this.reconnectionToken=G,this.millisSinceLastIncomingData=ee,this.attempt=A,this.handled=O,this.type=3}}e.ReconnectionPermanentFailureEvent=ne;class Q extends b.Disposable{constructor(G,ee,A,O,N){super();this._connectionType=G,this._options=ee,this.reconnectionToken=A,this.protocol=O,this._reconnectionFailureIsFatal=N,this._onDidStateChange=this._register(new M.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._permanentFailure=!1,this._isReconnecting=!1,this._onDidStateChange.fire(new ie(this.reconnectionToken,0,0)),this._register(O.onSocketClose(q=>{const J=F(this._connectionType,this.reconnectionToken,!0);q?q.type===0?(this._options.logService.info(`${J} received socket close event (hadError: ${q.hadError}).`),q.error&&this._options.logService.error(q.error)):(this._options.logService.info(`${J} received socket close event (wasClean: ${q.wasClean}, code: ${q.code}, reason: ${q.reason}).`),q.event&&this._options.logService.error(q.event)):this._options.logService.info(`${J} received socket close event.`),this._beginReconnecting()})),this._register(O.onSocketTimeout(()=>{const q=F(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${q} received socket timeout event.`),this._beginReconnecting()})),Q._instances.push(this),this._register((0,b.toDisposable)(()=>{const q=Q._instances.indexOf(this);q>=0&&Q._instances.splice(q,1)})),this._isPermanentFailure&&this._gotoPermanentFailure(Q._permanentFailureMillisSinceLastIncomingData,Q._permanentFailureAttempt,Q._permanentFailureHandled)}static triggerPermanentFailure(G,ee,A){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=G,this._permanentFailureAttempt=ee,this._permanentFailureHandled=A,this._instances.forEach(O=>O._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(G=>G._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(G=>G._pauseSocketWriting())}get _isPermanentFailure(){return this._permanentFailure||Q._permanentFailure}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(this._isPermanentFailure)return;const G=F(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${G} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new T(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const ee=[0,5,5,10,10,10,10,10,30];let A=-1;do{A++;const O=A<ee.length?ee[A]:ee[ee.length-1];try{if(O>0){const q=I(O);this._onDidStateChange.fire(new _(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),O,q)),this._options.logService.info(`${G} waiting for ${O} seconds before reconnecting...`);try{await q}catch{}}if(this._isPermanentFailure){this._options.logService.error(`${G} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new K(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),A+1)),this._options.logService.info(`${G} resolving connection...`);const N=await o(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${G} connecting to ${N.host}:${N.port}...`),await this._reconnect(N,S(y)),this._options.logService.info(`${G} reconnected!`),this._onDidStateChange.fire(new ie(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),A+1));break}catch(N){if(N.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${G} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}if(A>360){this._options.logService.error(`${G} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}if(C.RemoteAuthorityResolverError.isTemporarilyNotAvailable(N)){this._options.logService.info(`${G} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if((N.code==="ETIMEDOUT"||N.code==="ENETUNREACH"||N.code==="ECONNREFUSED"||N.code==="ECONNRESET")&&N.syscall==="connect"){this._options.logService.info(`${G} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if((0,R.isCancellationError)(N)){this._options.logService.info(`${G} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if(N instanceof C.RemoteAuthorityResolverError){this._options.logService.error(`${G} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,C.RemoteAuthorityResolverError.isHandled(N));break}this._options.logService.error(`${G} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}}while(!this._isPermanentFailure)}_onReconnectionPermanentFailure(G,ee,A){this._reconnectionFailureIsFatal?Q.triggerPermanentFailure(G,ee,A):this._gotoPermanentFailure(G,ee,A)}_gotoPermanentFailure(G,ee,A){this._onDidStateChange.fire(new ne(this.reconnectionToken,G,ee,A)),$(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=Q,Q._permanentFailure=!1,Q._permanentFailureMillisSinceLastIncomingData=0,Q._permanentFailureAttempt=0,Q._permanentFailureHandled=!1,Q._instances=[];class ae extends Q{constructor(G,ee,A,O,N){super(1,G,O,N,!0);this.client=this._register(new p.Client(N,{remoteAuthority:ee,clientId:A},G.ipcLogger))}async _reconnect(G,ee){await r(G,ee)}}e.ManagementPersistentConnection=ae;class le extends Q{constructor(G,ee,A,O,N){super(2,G,A,O,!1);this._startArguments=ee,this.debugPort=N}async _reconnect(G,ee){await i(G,this._startArguments,ee)}}e.ExtensionHostPersistentConnection=le;function $(H){try{H.acceptDisconnect();const G=H.getSocket();H.dispose(),G.dispose()}catch(G){(0,R.onUnexpectedError)(G)}}function oe(H){if(H&&H.type==="error"){const G=new Error(`Connection error: ${H.reason}`);return G.code="VSCODE_CONNECTION_ERROR",G}return null}function W(H,G){for(;H.length<G;)H+=" ";return H}function F(H,G,ee){return`[remote-connection][${W(u(H),13)}][${G.substr(0,5)}\u2026][${ee?"reconnect":"initial"}]`}function B(H,G){return`${F(G,H.reconnectionToken,!!H.reconnectionProtocol)}[${H.host}:${H.port}]`}function Y(H){return`${Date.now()-H} ms`}}),define(X[208],Z([0,1,76,81]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(D,R,M,b,f,p){const C=y=>p(y,void 0),k=v.createConnection({host:D,port:R},()=>{k.removeListener("error",C);const y=Buffer.alloc(16);for(let w=0;w<16;w++)y[w]=Math.round(Math.random()*256);const m=y.toString("base64"),u=[`GET ws://${/:/.test(D)?`[${D}]`:D}:${R}${M}?${b}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${m}`];k.write(u.join(`\r
`)+`\r
\r
`);const S=w=>{w.toString().indexOf(`\r
\r
`)>=0&&(k.off("data",S),p(void 0,new t.NodeSocket(k,f)))};k.on("data",S)});k.setNoDelay(!0),k.once("error",C)}}}),define(X[60],Z([0,1,19,160,59,5,44]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asTextOrError=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,R.createDecorator)("requestService");function b(S){return S.res.statusCode&&S.res.statusCode>=200&&S.res.statusCode<300||S.res.statusCode===1223}e.isSuccess=b;function f(S){return S.res.statusCode===204}async function p(S){return f(S)?null:(await(0,v.streamToBuffer)(S.stream)).toString()}e.asText=p;async function C(S){if(!b(S))throw new Error("Server returned "+S.res.statusCode);return p(S)}e.asTextOrError=C;async function k(S){if(!b(S))throw new Error("Server returned "+S.res.statusCode);if(f(S))return null;const E=(await(0,v.streamToBuffer)(S.stream)).toString();try{return JSON.parse(E)}catch(P){throw P.message+=`:
`+E,P}}e.asJson=k;function y(S){u(S)}e.updateProxyConfigurationsScope=y;let m;function u(S){const w=M.Registry.as(D.Extensions.Configuration),E=m;m={id:"http",order:15,title:(0,t.localize)(0,null),type:"object",scope:S,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,t.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,t.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,t.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,t.localize)(4,null),(0,t.localize)(5,null),(0,t.localize)(6,null),(0,t.localize)(7,null)],default:"override",description:(0,t.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,t.localize)(9,null),restricted:!0}}},w.updateConfigurations({add:[m],remove:E?[E]:[]})}u(2)}),define(X[209],Z([0,1,210,13]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function D(M,b){return M.protocol==="http:"?b.HTTP_PROXY||b.http_proxy||null:M.protocol==="https:"&&(b.HTTPS_PROXY||b.https_proxy||b.HTTP_PROXY||b.http_proxy)||null}async function R(M,b,f={}){const p=(0,v.parse)(M),C=f.proxyUrl||D(p,b);if(!C)return null;const k=(0,v.parse)(C);if(!/^https?:$/.test(k.protocol||""))return null;const y={host:k.hostname||"",port:k.port||(k.protocol==="https"?"443":"80"),auth:k.auth,rejectUnauthorized:(0,t.isBoolean)(f.strictSSL)?f.strictSSL:!0};return p.protocol==="http:"?new(await new Promise((m,u)=>{z(["http-proxy-agent"],m,u)}))(y):new(await new Promise((m,u)=>{z(["https-proxy-agent"],m,u)}))(y)}e.getProxyAgent=R}),define(X[106],Z([0,1,42,9,161,22,41,18,4,30,143,55,8]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const m=1e4;let u;async function S(E,P,g){return P["force-disable-user-env"]?(E.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):f.isWindows?(E.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,k.isLaunchedFromCli)(g)&&!P["force-user-env"]?(E.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,k.isLaunchedFromCli)(g)?E.trace("resolveShellEnv(): running (--force-user-env)"):E.trace("resolveShellEnv(): running (macOS/Linux)"),u||(u=y.Promises.withAsyncBody(async(h,l)=>{const n=new R.CancellationTokenSource,r=setTimeout(()=>{n.dispose(!0),l(new Error((0,D.localize)(0,null)))},m);try{h(await w(E,n.token))}catch(i){!(0,b.isCancellationError)(i)&&!n.token.isCancellationRequested?l(new Error((0,D.localize)(1,null,(0,M.toErrorMessage)(i)))):h({})}finally{clearTimeout(r),n.dispose()}})),u)}e.getResolvedShellEnv=S;async function w(E,P){const g=process.env.ELECTRON_RUN_AS_NODE;E.trace("getUnixShellEnvironment#runAsNode",g);const h=process.env.ELECTRON_NO_ATTACH_CONSOLE;E.trace("getUnixShellEnvironment#noAttach",h);const l=(0,p.generateUuid)().replace(/-/g,"").substr(0,12),n=new RegExp(l+"(.*)"+l),r={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};E.trace("getUnixShellEnvironment#env",r);const i=await(0,C.getSystemShell)(f.OS,r);return E.trace("getUnixShellEnvironment#shell",i),new Promise((s,o)=>{if(P.isCancellationRequested)return o((0,b.canceled)());const a=(0,t.basename)(i);let c,d;const I=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(a)?(c=`& '${process.execPath}' ${I} -p '''${l}'' + JSON.stringify(process.env) + ''${l}'''`,d=["-Login","-Command"]):(c=`'${process.execPath}' ${I} -p '"${l}" + JSON.stringify(process.env) + "${l}"'`,a==="tcsh"?d=["-ic"]:d=["-ilc"]),E.trace("getUnixShellEnvironment#spawn",JSON.stringify(d),c);const L=(0,v.spawn)(i,[...d,c],{detached:!0,stdio:["ignore","pipe","pipe"],env:r});P.onCancellationRequested(()=>(L.kill(),o((0,b.canceled)()))),L.on("error",K=>{E.error("getUnixShellEnvironment#errorChildProcess",(0,M.toErrorMessage)(K)),o(K)});const T=[];L.stdout.on("data",K=>T.push(K));const _=[];L.stderr.on("data",K=>_.push(K)),L.on("close",(K,ie)=>{const ne=Buffer.concat(T).toString("utf8");E.trace("getUnixShellEnvironment#raw",ne);const Q=Buffer.concat(_).toString("utf8");if(Q.trim()&&E.trace("getUnixShellEnvironment#stderr",Q),K||ie)return o(new Error((0,D.localize)(2,null,K,ie)));const ae=n.exec(ne),le=ae?ae[1]:"{}";try{const $=JSON.parse(le);g?$.ELECTRON_RUN_AS_NODE=g:delete $.ELECTRON_RUN_AS_NODE,h?$.ELECTRON_NO_ATTACH_CONSOLE=h:delete $.ELECTRON_NO_ATTACH_CONSOLE,delete $.XDG_RUNTIME_DIR,E.trace("getUnixShellEnvironment#result",$),s($)}catch($){E.error("getUnixShellEnvironment#errorCaught",(0,M.toErrorMessage)($)),o($)}})})}}),define(X[86],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,v.createDecorator)(e.SIGN_SERVICE_ID)}),define(X[211],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class v{constructor(){this.validators=new Map}vsda(){return new Promise((D,R)=>z(["vsda"],D,R))}async createNewMessage(D){try{const R=await this.vsda(),M=new R.validator;if(M){const b=String(v._nextId++);return this.validators.set(b,M),{id:b,data:M.createNewMessage(D)}}}catch{}return{id:"",data:D}}async validate(D,R){if(!D.id)return!0;const M=this.validators.get(D.id);if(!M)return!1;this.validators.delete(D.id);try{return M.validate(R)==="ok"}catch{return!1}}async sign(D){try{const R=await this.vsda(),M=new R.signer;if(M)return M.sign(D)}catch{}return D}}e.SignService=v,v._nextId=1}),define(X[45],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateMainService=void 0,e.IStateMainService=(0,v.createDecorator)("stateMainService")}),define(X[21],Z([0,1,14,38,8,3,2,4,36,13,5,6,45]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.ShutdownReason=e.ILifecycleMainService=void 0,e.ILifecycleMainService=(0,C.createDecorator)("lifecycleMainService");var m;(function(w){w[w.QUIT=1]="QUIT",w[w.KILL=2]="KILL"})(m=e.ShutdownReason||(e.ShutdownReason={}));var u;(function(w){w[w.Starting=1]="Starting",w[w.Ready=2]="Ready",w[w.AfterWindowOpen=3]="AfterWindowOpen"})(u=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let S=class yt extends M.Disposable{constructor(E,P){super();this.logService=E,this.stateMainService=P,this._onBeforeShutdown=this._register(new R.Emitter),this.onBeforeShutdown=this._onBeforeShutdown.event,this._onWillShutdown=this._register(new R.Emitter),this.onWillShutdown=this._onWillShutdown.event,this._onWillLoadWindow=this._register(new R.Emitter),this.onWillLoadWindow=this._onWillLoadWindow.event,this._onBeforeCloseWindow=this._register(new R.Emitter),this.onBeforeCloseWindow=this._onBeforeCloseWindow.event,this._quitRequested=!1,this._wasRestarted=!1,this._phase=1,this.windowToCloseRequest=new Set,this.oneTimeListenerTokenGenerator=0,this.windowCounter=0,this.pendingQuitPromise=void 0,this.pendingQuitPromiseResolve=void 0,this.pendingWillShutdownPromise=void 0,this.mapWindowIdToPendingUnload=new Map,this.phaseWhen=new Map,this.resolveRestarted(),this.when(2).then(()=>this.registerListeners())}get quitRequested(){return this._quitRequested}get wasRestarted(){return this._wasRestarted}get phase(){return this._phase}resolveRestarted(){this._wasRestarted=!!this.stateMainService.getItem(yt.QUIT_AND_RESTART_KEY),this._wasRestarted&&this.stateMainService.removeItem(yt.QUIT_AND_RESTART_KEY)}registerListeners(){const E=()=>{this._quitRequested||(this.logService.trace("Lifecycle#app.on(before-quit)"),this._quitRequested=!0,this.logService.trace("Lifecycle#onBeforeShutdown.fire()"),this._onBeforeShutdown.fire(),b.isMacintosh&&this.windowCounter===0&&this.fireOnWillShutdown(1))};v.app.addListener("before-quit",E);const P=()=>{this.logService.trace("Lifecycle#app.on(window-all-closed)"),(this._quitRequested||!b.isMacintosh)&&v.app.quit()};v.app.addListener("window-all-closed",P),v.app.once("will-quit",g=>{this.logService.trace("Lifecycle#app.on(will-quit)"),g.preventDefault(),this.fireOnWillShutdown(1).finally(()=>{this.resolvePendingQuitPromise(!1),v.app.removeListener("before-quit",E),v.app.removeListener("window-all-closed",P),v.app.quit()})})}fireOnWillShutdown(E){if(this.pendingWillShutdownPromise)return this.pendingWillShutdownPromise;this.logService.trace("Lifecycle#onWillShutdown.fire()");const P=[];return this._onWillShutdown.fire({reason:E,join(g){P.push(g)}}),this.pendingWillShutdownPromise=(async()=>{try{await D.Promises.settled(P)}catch(g){this.logService.error(g)}try{await this.stateMainService.close()}catch(g){this.logService.error(g)}})(),this.pendingWillShutdownPromise}set phase(E){if(E<this.phase)throw new Error("Lifecycle cannot go backwards");if(this._phase===E)return;this.logService.trace(`lifecycle (main): phase changed (value: ${E})`),this._phase=E;const P=this.phaseWhen.get(this._phase);P&&(P.open(),this.phaseWhen.delete(this._phase))}async when(E){if(E<=this._phase)return;let P=this.phaseWhen.get(E);P||(P=new D.Barrier,this.phaseWhen.set(E,P)),await P.wait()}registerWindow(E){const P=new M.DisposableStore;this.windowCounter++,P.add(E.onWillLoad(h=>this._onWillLoadWindow.fire({window:E,workspace:h.workspace,reason:h.reason})));const g=(0,p.assertIsDefined)(E.win);g.on("close",h=>{const l=E.id;if(this.windowToCloseRequest.has(l)){this.windowToCloseRequest.delete(l);return}this.logService.trace(`Lifecycle#window.on('close') - window ID ${E.id}`),h.preventDefault(),this.unload(E,1).then(n=>{if(n){this.windowToCloseRequest.delete(l);return}this.windowToCloseRequest.add(l),this.logService.trace(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${l}`),this._onBeforeCloseWindow.fire(E),E.close()})}),g.on("closed",()=>{this.logService.trace(`Lifecycle#window.on('closed') - window ID ${E.id}`),this.windowCounter--,P.dispose(),this.windowCounter===0&&(!b.isMacintosh||this._quitRequested)&&this.fireOnWillShutdown(1)})}async reload(E,P){await this.unload(E,3)||E.reload(P)}unload(E,P){const g=this.mapWindowIdToPendingUnload.get(E.id);if(g)return g;const h=this.doUnload(E,P).finally(()=>{this.mapWindowIdToPendingUnload.delete(E.id)});return this.mapWindowIdToPendingUnload.set(E.id,h),h}async doUnload(E,P){if(!E.isReady)return!1;this.logService.trace(`Lifecycle#unload() - window ID ${E.id}`);const g=this._quitRequested?2:P,h=await this.onBeforeUnloadWindowInRenderer(E,g);return h?(this.logService.trace(`Lifecycle#unload() - veto in renderer (window ID ${E.id})`),this.handleWindowUnloadVeto(h)):(await this.onWillUnloadWindowInRenderer(E,g),!1)}handleWindowUnloadVeto(E){return E?(this.resolvePendingQuitPromise(!0),this._quitRequested=!1,!0):!1}resolvePendingQuitPromise(E){this.pendingQuitPromiseResolve&&(this.pendingQuitPromiseResolve(E),this.pendingQuitPromiseResolve=void 0,this.pendingQuitPromise=void 0)}onBeforeUnloadWindowInRenderer(E,P){return new Promise(g=>{const h=this.oneTimeListenerTokenGenerator++,l=`vscode:ok${h}`,n=`vscode:cancel${h}`;t.validatedIpcMain.once(l,()=>{g(!1)}),t.validatedIpcMain.once(n,()=>{g(!0)}),E.send("vscode:onBeforeUnload",{okChannel:l,cancelChannel:n,reason:P})})}onWillUnloadWindowInRenderer(E,P){return new Promise(g=>{const l=`vscode:reply${this.oneTimeListenerTokenGenerator++}`;t.validatedIpcMain.once(l,()=>g()),E.send("vscode:onWillUnload",{replyChannel:l,reason:P})})}quit(E){return this.pendingQuitPromise?this.pendingQuitPromise:(this.logService.trace(`Lifecycle#quit() - will restart: ${E}`),E&&this.stateMainService.setItem(yt.QUIT_AND_RESTART_KEY,!0),this.pendingQuitPromise=new Promise(P=>{this.pendingQuitPromiseResolve=P,this.logService.trace("Lifecycle#quit() - calling app.quit()"),v.app.quit()}),this.pendingQuitPromise)}async relaunch(E){this.logService.trace("Lifecycle#relaunch()");const P=process.argv.slice(1);if(E?.addArgs&&P.push(...E.addArgs),E?.removeArgs)for(const l of E.removeArgs){const n=P.indexOf(l);n>=0&&P.splice(n,1)}const g=()=>{try{if(b.isWindows){const l=(0,f.cwd)();l!==process.cwd()&&process.chdir(l)}}catch(l){this.logService.error(l)}this.logService.trace("Lifecycle#relaunch() - calling app.relaunch()"),v.app.relaunch({args:P})};v.app.once("quit",g),await this.quit(!0)&&v.app.removeListener("quit",g)}async kill(E){this.logService.trace("Lifecycle#kill()"),await this.fireOnWillShutdown(2),await Promise.race([(0,D.timeout)(1e3),(async()=>{for(const P of v.BrowserWindow.getAllWindows())if(P&&!P.isDestroyed()){let g;P.webContents&&!P.webContents.isDestroyed()?g=new Promise(h=>P.once("closed",h)):g=Promise.resolve(),P.destroy(),await g}})()]),v.app.exit(E)}};S.QUIT_AND_RESTART_KEY="lifecycle.quitAndRestart",S=fe([te(0,k.ILogService),te(1,y.IStateMainService)],S),e.LifecycleMainService=S}),define(X[212],Z([0,1,4,3,2,5,21]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=(0,R.createDecorator)("keyboardLayoutMainService");let b=class extends D.Disposable{constructor(C){super();this._onDidChangeKeyboardLayout=this._register(new t.Emitter),this.onDidChangeKeyboardLayout=this._onDidChangeKeyboardLayout.event,this._initPromise=null,this._keyboardLayoutData=null,C.when(3).then(()=>this._initialize())}_initialize(){return this._initPromise||(this._initPromise=this._doInitialize()),this._initPromise}async _doInitialize(){const C=await new Promise((k,y)=>{z(["native-keymap"],k,y)});this._keyboardLayoutData=f(C),v.isCI||C.onDidChangeKeyboardLayout(()=>{this._keyboardLayoutData=f(C),this._onDidChangeKeyboardLayout.fire(this._keyboardLayoutData)})}async getKeyboardLayoutData(){return await this._initialize(),this._keyboardLayoutData}};b=fe([te(0,M.ILifecycleMainService)],b),e.KeyboardLayoutMainService=b;function f(p){const C=p.getKeyMap(),k=p.getCurrentKeyboardLayout();return{keyboardMapping:C,keyboardLayoutInfo:k}}}),define(X[213],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateService=void 0,e.IStateService=(0,v.createDecorator)("stateService")}),define(X[214],Z([0,1,8,19,13,39,15,6]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateService=e.FileStorage=void 0;class f{constructor(k,y,m){this.storagePath=k,this.logService=y,this.fileService=m,this.storage=Object.create(null),this.lastSavedStorageContents="",this.flushDelayer=new v.ThrottledDelayer(100),this.initializing=void 0,this.closing=void 0}init(){return this.initializing||(this.initializing=this.doInit()),this.initializing}async doInit(){try{this.lastSavedStorageContents=(await this.fileService.readFile(this.storagePath)).value.toString(),this.storage=JSON.parse(this.lastSavedStorageContents)}catch(k){k.fileOperationResult!==1&&this.logService.error(k)}}getItem(k,y){const m=this.storage[k];return(0,D.isUndefinedOrNull)(m)?y:m}setItem(k,y){this.setItems([{key:k,data:y}])}setItems(k){let y=!1;for(const{key:m,data:u}of k)this.storage[m]!==u&&((0,D.isUndefinedOrNull)(u)?(0,D.isUndefined)(this.storage[m])||(this.storage[m]=void 0,y=!0):(this.storage[m]=u,y=!0));y&&this.save()}removeItem(k){(0,D.isUndefined)(this.storage[k])||(this.storage[k]=void 0,this.save())}async save(k){if(!this.closing)return this.flushDelayer.trigger(()=>this.doSave(),k)}async doSave(){if(!this.initializing)return;await this.initializing;const k=JSON.stringify(this.storage,null,4);if(k!==this.lastSavedStorageContents)try{await this.fileService.writeFile(this.storagePath,t.VSBuffer.fromString(k)),this.lastSavedStorageContents=k}catch(y){this.logService.error(y)}}async close(){return this.closing||(this.closing=this.flushDelayer.trigger(()=>this.doSave(),0)),this.closing}}e.FileStorage=f;let p=class{constructor(k,y,m){this.fileStorage=new f(k.stateResource,y,m)}async init(){await this.fileStorage.init()}getItem(k,y){return this.fileStorage.getItem(k,y)}};p=fe([te(0,R.IEnvironmentService),te(1,b.ILogService),te(2,M.IFileService)],p),e.StateService=p}),define(X[215],Z([0,1,214]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateMainService=void 0;class t extends v.StateService{setItem(R,M){this.fileStorage.setItem(R,M)}setItems(R){this.fileStorage.setItems(R)}removeItem(R){this.fileStorage.removeItem(R)}close(){return this.fileStorage.close()}}e.StateMainService=t}),define(X[216],Z([0,1,4,36,7,30]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function M(p){if(v.platform===2&&/^penguin(\.|$)/i.test(p))return"chromebook"}async function b(p,C,k,y,m,u,S,w,E,P){const g=Object.create(null);g["common.machineId"]=S,g.sessionID=(0,R.generateUuid)()+Date.now(),g.commitHash=m,g.version=u,g["common.platformVersion"]=(C||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),g["common.platform"]=(0,v.PlatformToString)(v.platform),g["common.nodePlatform"]=t.platform,g["common.nodeArch"]=y,g["common.product"]=P||"desktop";const h=f(w||[]);h&&(g["common.msftInternal"]=h);let l=0;const n=Date.now();Object.defineProperties(g,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-n,enumerable:!0},"common.sequence":{get:()=>l++,enumerable:!0}}),v.isLinuxSnap&&(g["common.snap"]="true");const r=M(k);r&&(g["common.platformDetail"]=r);try{const i=await p.readFile(D.URI.file(E));g["common.source"]=i.value.toString().slice(0,30)}catch{}return g}e.resolveCommonProperties=b;function f(p){const C=t.env.USERDNSDOMAIN;if(!C)return!1;const k=C.toLowerCase();return p.some(y=>k===y)}e.verifyMicrosoftInternalDomain=f}),define(X[35],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,v.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,v.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var t;(function(R){R[R.NONE=0]="NONE",R[R.CRASH=1]="CRASH",R[R.ERROR=2]="ERROR",R[R.USAGE=3]="USAGE"})(t=e.TelemetryLevel||(e.TelemetryLevel={}));var D;(function(R){R.OFF="off",R.CRASH="crash",R.ERROR="error",R.ON="all"})(D=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(X[217],Z([0,1,28,53,8,49,12,9,4,7,80,23,94,83,15,20,35]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;const E=new Map;async function P(r,i){const s=`${r}::${i.join(":")}`,o=E.get(s);if(o)return o;const a=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],c=new Map,d=new Map,I=2e4;function L(_,K,ie,ne){const Q=K.substring(_.length+1);return D.Promises.withAsyncBody(async ae=>{let le;try{le=await k.Promises.readdir(K,{withFileTypes:!0})}catch{ae();return}if(ne.count>=I){ne.count+=le.length,ne.maxReached=!0,ae();return}let $=le.length;if($===0){ae();return}let oe=le;ne.count+le.length>I&&(ne.maxReached=!0,$=I-ne.count,oe=le.slice(0,$)),ne.count+=le.length;for(const W of oe)if(W.isDirectory()){if(ie.includes(W.name)||await L(_,(0,b.join)(K,W.name),ie,ne),--$==0){ae();return}}else{const F=W.name.lastIndexOf(".");if(F>=0){const B=W.name.substring(F+1);B&&c.set(B,(c.get(B)??0)+1)}for(const B of a)B.relativePathPattern?.test(Q)!==!1&&B.filePattern.test(W.name)&&d.set(B.tag,(d.get(B.tag)??0)+1);if(--$==0){ae();return}}})}const T=D.Promises.withAsyncBody(async _=>{const K={count:0,maxReached:!1};await L(r,r,i,K);const ie=await l(r);_({configFiles:g(d),fileTypes:g(c),fileCount:K.count,maxFilesReached:K.maxReached,launchConfigFiles:ie})});return E.set(s,T),T}e.collectWorkspaceStats=P;function g(r){return[...t.Iterable.map(r.entries(),([i,s])=>({name:i,count:s}))].sort((i,s)=>s.count-i.count)}function h(){const r={os:`${v.type()} ${v.arch()} ${v.release()}`,memory:`${(v.totalmem()/u.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/u.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(C.virtualMachineHint.value()*100)}%`},i=v.cpus();return i&&i.length>0&&(r.cpus=`${i[0].model} (${i.length} x ${i[0].speed})`),r}e.getMachineInfo=h;async function l(r){try{const i=new Map,s=(0,b.join)(r,".vscode","launch.json"),o=await k.Promises.readFile(s),a=[],c=(0,R.parse)(o.toString(),a);if(a.length)return console.log(`Unable to parse ${s}`),[];if((0,R.getNodeType)(c)==="object"&&c.configurations)for(const d of c.configurations){const I=d.type;I&&(i.has(I)?i.set(I,i.get(I)+1):i.set(I,1))}return g(i)}catch{return[]}}e.collectLaunchConfigs=l;let n=class{constructor(i,s){this.telemetryService=i,this.productService=s}formatMachineInfo(i){const s=[];return s.push(`OS Version:       ${i.os}`),s.push(`CPUs:             ${i.cpus}`),s.push(`Memory (System):  ${i.memory}`),s.push(`VM:               ${i.vmHint}`),s.join(`
`)}formatEnvironment(i){const s=[];s.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),s.push(`OS Version:       ${v.type()} ${v.arch()} ${v.release()}`);const o=v.cpus();return o&&o.length>0&&s.push(`CPUs:             ${o[0].model} (${o.length} x ${o[0].speed})`),s.push(`Memory (System):  ${(v.totalmem()/u.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/u.ByteSize.GB).toFixed(2)}GB free)`),f.isWindows||s.push(`Load (avg):       ${v.loadavg().map(a=>Math.round(a)).join(", ")}`),s.push(`VM:               ${Math.round(C.virtualMachineHint.value()*100)}%`),s.push(`Screen Reader:    ${i.screenReader?"yes":"no"}`),s.push(`Process Argv:     ${i.mainArguments.join(" ")}`),s.push(`GPU Status:       ${this.expandGPUFeatures(i.gpuFeatureStatus)}`),s.join(`
`)}async getPerformanceInfo(i,s){return Promise.all([(0,y.listProcesses)(i.mainPID),this.formatWorkspaceMetadata(i)]).then(async o=>{let[a,c]=o,d=this.formatProcessList(i,a);return s.forEach(I=>{if((0,m.isRemoteDiagnosticError)(I))d+=`
${I.errorMessage}`,c+=`
${I.errorMessage}`;else if(d+=`

Remote: ${I.hostName}`,I.processes&&(d+=`
${this.formatProcessList(i,I.processes)}`),I.workspaceMetadata){c+=`
|  Remote: ${I.hostName}`;for(const L of Object.keys(I.workspaceMetadata)){const T=I.workspaceMetadata[L];let _=`${T.fileCount} files`;T.maxFilesReached&&(_=`more than ${_}`),c+=`|    Folder (${L}): ${_}`,c+=this.formatWorkspaceStats(T)}}}),{processInfo:d,workspaceInfo:c}})}async getSystemInfo(i,s){const{memory:o,vmHint:a,os:c,cpus:d}=h(),I={os:c,memory:o,cpus:d,vmHint:a,processArgs:`${i.mainArguments.join(" ")}`,gpuStatus:i.gpuFeatureStatus,screenReader:`${i.screenReader?"yes":"no"}`,remoteData:s};return f.isWindows||(I.load=`${v.loadavg().map(L=>Math.round(L)).join(", ")}`),f.isLinux&&(I.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(I)}async getDiagnostics(i,s){const o=[];return(0,y.listProcesses)(i.mainPID).then(async a=>(o.push(""),o.push(this.formatEnvironment(i)),o.push(""),o.push(this.formatProcessList(i,a)),i.windows.some(c=>c.folderURIs&&c.folderURIs.length>0&&!c.remoteAuthority)&&(o.push(""),o.push("Workspace Stats: "),o.push(await this.formatWorkspaceMetadata(i))),s.forEach(c=>{if((0,m.isRemoteDiagnosticError)(c))o.push(`
${c.errorMessage}`);else if(o.push(`

`),o.push(`Remote:           ${c.hostName}`),o.push(this.formatMachineInfo(c.machineInfo)),c.processes&&o.push(this.formatProcessList(i,c.processes)),c.workspaceMetadata)for(const d of Object.keys(c.workspaceMetadata)){const I=c.workspaceMetadata[d];let L=`${I.fileCount} files`;I.maxFilesReached&&(L=`more than ${L}`),o.push(`Folder (${d}): ${L}`),o.push(this.formatWorkspaceStats(I))}}),o.push(""),o.push(""),o.join(`
`)))}formatWorkspaceStats(i){const s=[],o=60;let a=0;const c=(T,_)=>{const K=` ${T}(${_})`;a+K.length>o?(s.push(d),d="|                 ",a=d.length):a+=K.length,d+=K};let d="|      File types:";const I=10,L=i.fileTypes.length>I?I:i.fileTypes.length;for(let T=0;T<L;T++){const _=i.fileTypes[T];c(_.name,_.count)}if(s.push(d),i.configFiles.length>=0&&(d="|      Conf files:",a=0,i.configFiles.forEach(T=>{c(T.name,T.count)}),s.push(d)),i.launchConfigFiles.length>0){let T="|      Launch Configs:";i.launchConfigFiles.forEach(_=>{T+=_.count>1?` ${_.name}(${_.count})`:` ${_.name}`}),s.push(T)}return s.join(`
`)}expandGPUFeatures(i){const s=Math.max(...Object.keys(i).map(o=>o.length));return Object.keys(i).map(o=>`${o}:  ${" ".repeat(s-o.length)}  ${i[o]}`).join(`
                  `)}formatWorkspaceMetadata(i){const s=[],o=[];return i.windows.forEach(a=>{a.folderURIs.length===0||!!a.remoteAuthority||(s.push(`|  Window (${a.title})`),a.folderURIs.forEach(c=>{const d=p.URI.revive(c);if(d.scheme===M.Schemas.file){const I=d.fsPath;o.push(P(I,["node_modules",".git"]).then(L=>{let T=`${L.fileCount} files`;L.maxFilesReached&&(T=`more than ${T}`),s.push(`|    Folder (${(0,b.basename)(I)}): ${T}`),s.push(this.formatWorkspaceStats(L))}).catch(L=>{s.push(`|      Error: Unable to collect workspace stats for folder ${I} (${L.toString()})`)}))}else s.push(`|    Folder (${d.toString()}): Workspace stats not available.`)}))}),Promise.all(o).then(a=>s.join(`
`)).catch(a=>`Unable to collect workspace stats: ${a}`)}formatProcessList(i,s){const o=new Map;i.windows.forEach(c=>o.set(c.pid,c.title));const a=[];return a.push("CPU %	Mem MB	   PID	Process"),s&&this.formatProcessItem(i.mainPID,o,a,s,0),a.join(`
`)}formatProcessItem(i,s,o,a,c){const d=c===0;let I;d?I=a.pid===i?`${this.productService.applicationName} main`:"remote agent":(I=`${"  ".repeat(c)} ${a.name}`,a.name==="window"&&(I=`${I} (${s.get(a.pid)})`));const L=process.platform==="win32"?a.mem:v.totalmem()*(a.mem/100);o.push(`${a.load.toFixed(0).padStart(5," ")}	${(L/u.ByteSize.MB).toFixed(0).padStart(6," ")}	${a.pid.toFixed(0).padStart(6," ")}	${I}`),Array.isArray(a.children)&&a.children.forEach(T=>this.formatProcessItem(i,s,o,T,c+1))}async getWorkspaceFileExtensions(i){const s=new Set;for(const{uri:o}of i.folders){const a=p.URI.revive(o);if(a.scheme!==M.Schemas.file)continue;const c=a.fsPath;try{(await P(c,["node_modules",".git"])).fileTypes.forEach(I=>s.add(I.name))}catch{}}return{extensions:[...s]}}async reportWorkspaceStats(i){for(const{uri:s}of i.folders){const o=p.URI.revive(s);if(o.scheme!==M.Schemas.file)continue;const a=o.fsPath;try{const c=await P(a,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":i.telemetryId,rendererSessionId:i.rendererSessionId}),c.fileTypes.forEach(d=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:i.rendererSessionId,type:d.name,count:d.count})}),c.launchConfigFiles.forEach(d=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:i.rendererSessionId,type:d.name,count:d.count})}),c.configFiles.forEach(d=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:i.rendererSessionId,type:d.name,count:d.count})})}catch{}}}};n=fe([te(0,w.ITelemetryService),te(1,S.IProductService)],n),e.DiagnosticsService=n}),define(X[218],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class v{constructor(R){this.appenders=R}listen(R,M){throw new Error(`Event not found: ${M}`)}call(R,M,{eventName:b,data:f}){return this.appenders.forEach(p=>p.log(b,f)),Promise.resolve(null)}}e.TelemetryAppenderChannel=v;class t{constructor(R){this.channel=R}log(R,M){return this.channel.call("log",{eventName:R,data:M}).then(void 0,b=>`Failed to log telemetry: ${console.warn(b)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=t}),define(X[72],Z([0,1,50,91,13,17,35]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPiiPathsFromEnvironment=e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class b{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=(0,t.staticObservableValue)(0)}publicLog(h,l){return Promise.resolve(void 0)}publicLog2(h,l){return this.publicLog(h,l)}publicLogError(h,l){return Promise.resolve(void 0)}publicLogError2(h,l){return this.publicLogError(h,l)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=b,e.NullTelemetryService=new b;class f{async publicLog(h,l,n){}async publicLogError(h,l,n){}}e.NullEndpointTelemetryService=f,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function p(g,h){return h.onDidChangeConfiguration(l=>{l.source!==6&&g.publicLog2("updateConfiguration",{configurationSource:(0,R.ConfigurationTargetToString)(l.source),configurationKeys:w(l.sourceConfig)})})}e.configurationTelemetry=p;function C(g,h){return!(h.disableTelemetry||!g.enableTelemetry||h.extensionTestsLocationURI)}e.supportsTelemetry=C;function k(g){const h=g.getValue(M.TELEMETRY_SETTING_ID),l=g.getValue("telemetry.enableCrashReporter");if(g.getValue(M.TELEMETRY_OLD_SETTING_ID)===!1||l===!1)return 0;switch(h??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=k;function y(g){const h={},l={},n={};S(g,n);for(let r in n){r=r.length>150?r.substr(r.length-149):r;const i=n[r];typeof i=="number"?l[r]=i:typeof i=="boolean"?l[r]=i?1:0:typeof i=="string"?(i.length>8192&&console.warn(`Telemetry property: ${r} has been trimmed to 8192, the original length is ${i.length}`),h[r]=i.substring(0,8191)):typeof i!="undefined"&&i!==null&&(h[r]=i)}return{properties:h,measurements:l}}e.validateTelemetryData=y;const m=["ssh-remote","dev-container","attached-container","wsl","tunneling"];function u(g){if(!g)return"none";for(const h of m)if(g.startsWith(`${h}+`))return h;return"other"}e.cleanRemoteAuthority=u;function S(g,h,l=0,n){if(!!g)for(const r of Object.getOwnPropertyNames(g)){const i=g[r],s=n?n+r:r;Array.isArray(i)?h[s]=(0,v.safeStringify)(i):i instanceof Date?h[s]=i.toISOString():(0,D.isObject)(i)?l<2?S(i,h,l+1,s+"."):h[s]=(0,v.safeStringify)(i):h[s]=i}}function w(g){if(!g)return[];const h=[];return E(h,"",g),h}function E(g,h,l){l&&typeof l=="object"&&!Array.isArray(l)?Object.keys(l).forEach(n=>E(g,h?`${h}.${n}`:n,l[n])):g.push(h)}function P(g){return[g.appRoot,g.extensionsPath,g.userHome.fsPath,g.tmpDir.fsPath,g.userDataPath]}e.getPiiPathsFromEnvironment=P}),define(X[219],Z([0,1,179,72]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function D(R,M,b,f,p,C,k){const y={"X-Market-Client-Id":`VSCode ${R}`,"User-Agent":`VSCode ${R} (${M.nameShort})`},m=await(0,v.getServiceMachineId)(b,p,C),{sessionId:u}=await k.getTelemetryInfo();return(0,t.supportsTelemetry)(M,b)&&(0,t.getTelemetryLevel)(f)===3&&(y["X-Market-User-Id"]=m,y["VSCode-SessionId"]=u),y}e.resolveMarketplaceHeaders=D}),define(X[220],Z([0,1,2,50,91,4,31,162,17,59,57,20,44,35,72]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let S=class{constructor(P,g,h){this._configurationService=g,this._productService=h,this._experimentProperties={},this.telemetryLevel=new D.MutableObservableValue(3),this._disposables=new v.DisposableStore,this._cleanupPatterns=[],this._appenders=P.appenders,this._commonProperties=P.commonProperties||Promise.resolve({}),this._piiPaths=P.piiPaths||[],this._sendErrorTelemetry=!!P.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(const l of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,M.escapeRegExpCharacters)(l),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(P,g){this._experimentProperties[P]=g}_updateTelemetryLevel(){let P=(0,u.getTelemetryLevel)(this._configurationService);const g=this._productService.enabledTelemetryLevels;if(g){this._sendErrorTelemetry=this.sendErrorTelemetry?g.error:!1;const h=g.usage?3:g.error?2:0;P=Math.min(P,h)}this.telemetryLevel.value=P}get sendErrorTelemetry(){return this._sendErrorTelemetry}async getTelemetryInfo(){const P=await this._commonProperties,g=P.sessionID,h=P["common.machineId"],l=P["common.firstSessionDate"],n=P["common.msftInternal"];return{sessionId:g,machineId:h,firstSessionDate:l,msftInternal:n}}dispose(){this._disposables.dispose()}_log(P,g,h,l){return this.telemetryLevel.value<g?Promise.resolve(void 0):this._commonProperties.then(n=>{h=(0,t.mixin)(h,n),h=(0,t.mixin)(h,this._experimentProperties),h=(0,t.cloneAndChange)(h,r=>{if(typeof r=="string")return this._cleanupInfo(r,l)}),this._appenders.forEach(r=>r.log(P,h))},n=>{console.error(n)})}publicLog(P,g,h){return this._log(P,3,g,h)}publicLog2(P,g,h){return this.publicLog(P,g,h)}publicLogError(P,g){return this._sendErrorTelemetry?this._log(P,2,g,!0):Promise.resolve(void 0)}publicLogError2(P,g){return this.publicLogError(P,g)}_anonymizeFilePaths(P){let g=P;const h=[];for(const i of this._cleanupPatterns)for(;;){const s=i.exec(P);if(!s)break;h.push([s.index,i.lastIndex])}const l=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,n=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let r=0;for(g="";;){const i=n.exec(P);if(!i)break;!l.test(i[0])&&h.every(([s,o])=>i.index<s||i.index>=o)&&(g+=P.substring(r,i.index)+"<REDACTED: user-file-path>",r=n.lastIndex)}return r<P.length&&(g+=P.substr(r)),g}_removePropertiesWithPossibleUserInfo(P){if(!P)return P;const g=P.toLowerCase(),h=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/},{label:"Email",regex:/@[a-zA-Z0-9-.]+/}];for(const l of h)if(l.regex.test(g))return`<REDACTED: ${l.label}>`;return P}_cleanupInfo(P,g){let h=P;g&&(h=this._anonymizeFilePaths(h));for(const l of this._cleanupPatterns)h=h.replace(l,"");return h=this._removePropertiesWithPossibleUserInfo(h),h}};S.IDLE_START_EVENT_NAME="UserIdleStart",S.IDLE_STOP_EVENT_NAME="UserIdleStop",S=fe([te(1,f.IConfigurationService),te(2,k.IProductService)],S),e.TelemetryService=S;function w(){const E=(0,b.localize)(0,null,C.default.nameLong),P=C.default.privacyStatementUrl?(0,b.localize)(2,null,"https://aka.ms/vscode-telemetry",C.default.privacyStatementUrl):(0,b.localize)(1,null,"https://aka.ms/vscode-telemetry"),g=R.isWeb?"":(0,b.localize)(3,null),h=(0,b.localize)(4,null),l=(0,b.localize)(5,null),n=(0,b.localize)(6,null),r=(0,b.localize)(7,null),i=`
|       | ${h} | ${l} | ${n} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,s=(0,b.localize)(8,null);return`
${E} ${P} ${g}

&nbsp;

${r}
${i}

&nbsp;

${s}
`}y.Registry.as(p.Extensions.Configuration).registerConfiguration({id:m.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,b.localize)(9,null),properties:{[m.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,b.localize)(10,null),(0,b.localize)(11,null),(0,b.localize)(12,null),(0,b.localize)(13,null)],markdownDescription:w(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),y.Registry.as(p.Extensions.Configuration).registerConfiguration({id:m.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,b.localize)(14,null),properties:{[m.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:C.default.privacyStatementUrl?(0,b.localize)(16,null,C.default.nameLong,C.default.privacyStatementUrl):(0,b.localize)(15,null,C.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,b.localize)(17,null,`\`#${m.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(X[221],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isDark=e.isHighContrast=e.ColorScheme=void 0;var v;(function(R){R.DARK="dark",R.LIGHT="light",R.HIGH_CONTRAST_DARK="hcDark",R.HIGH_CONTRAST_LIGHT="hcLight"})(v=e.ColorScheme||(e.ColorScheme={}));function t(R){return R===v.HIGH_CONTRAST_DARK||R===v.HIGH_CONTRAST_LIGHT}e.isHighContrast=t;function D(R){return R===v.DARK||R===v.HIGH_CONTRAST_DARK}e.isDark=D}),define(X[222],Z([0,1,116,3,2,5,44,221]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,R.createDecorator)("themeService");var f;(function(w){function E(P){return P&&typeof P=="object"&&typeof P.id=="string"}w.isThemeColor=E})(f=e.ThemeColor||(e.ThemeColor={}));function p(w){return{id:w}}e.themeColorFromId=p;var C;(function(w){function E(s){return s&&typeof s=="object"&&typeof s.id=="string"&&(typeof s.color=="undefined"||f.isThemeColor(s.color))}w.isThemeIcon=E;const P=new RegExp(`^\\$\\((${v.CSSIcon.iconNameExpression}(?:${v.CSSIcon.iconModifierExpression})?)\\)$`);function g(s){const o=P.exec(s);if(!o)return;const[,a]=o;return{id:a}}w.fromString=g;function h(s){return{id:s}}w.fromId=h;function l(s,o){let a=s.id;const c=a.lastIndexOf("~");return c!==-1&&(a=a.substring(0,c)),o&&(a=`${a}~${o}`),{id:a}}w.modify=l;function n(s){const o=s.id.lastIndexOf("~");if(o!==-1)return s.id.substring(o+1)}w.getModifier=n;function r(s,o){return s.id===o.id&&s.color?.id===o.color?.id}w.isEqual=r;function i(s,o){return{id:s.id,color:o?p(o):void 0}}w.asThemeIcon=i,w.asClassNameArray=v.CSSIcon.asClassNameArray,w.asClassName=v.CSSIcon.asClassName,w.asCSSSelector=v.CSSIcon.asCSSSelector})(C=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=v.Codicon.file,e.FolderThemeIcon=v.Codicon.folder;function k(w){switch(w){case b.ColorScheme.DARK:return"vs-dark";case b.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case b.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class y{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(E){return this.themingParticipants.push(E),this.onThemingParticipantAddedEmitter.fire(E),(0,D.toDisposable)(()=>{const P=this.themingParticipants.indexOf(E);this.themingParticipants.splice(P,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const m=new y;M.Registry.add(e.Extensions.ThemingContribution,m);function u(w){return m.onColorThemeChange(w)}e.registerThemingParticipant=u;class S extends D.Disposable{constructor(E){super();this.themeService=E,this.theme=E.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(P=>this.onThemeChange(P)))}onThemeChange(E){this.theme=E,this.updateStyles()}updateStyles(){}getColor(E,P){let g=this.theme.getColor(E);return g&&P&&(g=P(g,this.theme)),g?g.toString():null}}e.Themable=S}),define(X[61],Z([0,1,14,3,2,4,17,5,45]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const p="#FFFFFF",C="#1E1E1E",k="#000000",y="#FFFFFF",m="theme",u="themeBackground",S="windowSplash";e.IThemeMainService=(0,b.createDecorator)("themeMainService");let w=class extends D.Disposable{constructor(P,g){super();this.stateMainService=P,this.configurationService=g,this._onDidChangeColorScheme=this._register(new t.Emitter),this.onDidChangeColorScheme=this._onDidChangeColorScheme.event,v.nativeTheme.on("updated",()=>{this._onDidChangeColorScheme.fire(this.getColorScheme())})}getColorScheme(){if(R.isWindows){if(v.nativeTheme.shouldUseHighContrastColors)return{dark:v.nativeTheme.shouldUseInvertedColorScheme,highContrast:!0}}else if(R.isMacintosh){if(v.nativeTheme.shouldUseInvertedColorScheme||v.nativeTheme.shouldUseHighContrastColors)return{dark:v.nativeTheme.shouldUseDarkColors!==v.nativeTheme.shouldUseInvertedColorScheme,highContrast:!0}}else if(R.isLinux&&v.nativeTheme.shouldUseHighContrastColors)return{dark:!0,highContrast:!0};return{dark:v.nativeTheme.shouldUseDarkColors,highContrast:!1}}getBackgroundColor(){const P=this.getColorScheme();if(P.highContrast&&this.configurationService.getValue("window.autoDetectHighContrast"))return P.dark?k:y;let g=this.stateMainService.getItem(u,null);if(!g)switch(this.stateMainService.getItem(m,"vs-dark").split(" ")[0]){case"vs":g=p;break;case"hc-black":g=k;break;case"hc-light":g=y;break;default:g=C}return R.isMacintosh&&g.toUpperCase()===C&&(g="#171717"),g}saveWindowSplash(P,g){this.stateMainService.setItems([{key:m,data:g.baseTheme},{key:u,data:g.colorInfo.background},{key:S,data:g}]),typeof P=="number"&&this.updateBackgroundColor(P,g)}updateBackgroundColor(P,g){for(const h of v.BrowserWindow.getAllWindows())if(h.id===P){h.setBackgroundColor(g.colorInfo.background);break}}getWindowSplash(){return this.stateMainService.getItem(S)}};w=fe([te(0,f.IStateMainService),te(1,M.IConfigurationService)],w),e.ThemeMainService=w}),define(X[107],Z([0,1,3,4,5,6]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,D.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,D.createDecorator)("sharedTunnelsService");var M;(function(S){S.Http="http",S.Https="https"})(M=e.TunnelProtocol||(e.TunnelProtocol={}));var b;(function(S){S.ConstantPrivate="constantPrivate",S.Private="private",S.Public="public"})(b=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var f;(function(S){S[S.Notify=1]="Notify",S[S.OpenBrowser=2]="OpenBrowser",S[S.OpenPreview=3]="OpenPreview",S[S.Silent=4]="Silent",S[S.Ignore=5]="Ignore",S[S.OpenBrowserOnce=6]="OpenBrowserOnce"})(f=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function p(S){if(S.scheme!=="http"&&S.scheme!=="https")return;const w=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(S.authority);if(!!w)return{address:w[1],port:+w[2]}}e.extractLocalHostUriMetaDataForPortMapping=p,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function C(S){return e.LOCALHOST_ADDRESSES.indexOf(S)>=0}e.isLocalhost=C,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function k(S){return e.ALL_INTERFACES_ADDRESSES.indexOf(S)>=0}e.isAllInterfaces=k;function y(S,w){return w?w!==1&&S<1024:!t.isWindows&&S<1024}e.isPortPrivileged=y;class m{constructor(w,E,P){this.remoteAddress=w,this.localAddress=E,this._dispose=P,this._onDispose=new v.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}e.DisposableTunnel=m;let u=class{constructor(w){this.logService=w,this._onTunnelOpened=new v.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new v.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new v.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[],this._factoryInProgress=new Set}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(w){return this._tunnelProvider=w,w?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(w){this._canElevate=w.elevation,this._privacyOptions=w.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const w=[],E=Array.from(this._tunnels.values());for(const P of E){const g=Array.from(P.values());for(const h of g){const l=await h.value;l&&w.push(l)}}return w}async dispose(){for(const w of this._tunnels.values()){for(const{value:E}of w.values())await E.then(P=>P?.dispose());w.clear()}this._tunnels.clear()}openTunnel(w,E,P,g,h=!1,l,n){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${E}:${P} on local port ${g}.`),!w)return;if(E||(E="localhost"),this._tunnelProvider&&this._factoryInProgress.has(P)){this.logService.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const r=this.retainOrCreateTunnel(w,E,P,g,h,l,n);return r?r.then(i=>{if(!i){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(E,P);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const s=this.makeTunnel(i);return(i.tunnelRemoteHost!==E||i.tunnelRemotePort!==P)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(s),s}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),r)}makeTunnel(w){return{tunnelRemotePort:w.tunnelRemotePort,tunnelRemoteHost:w.tunnelRemoteHost,tunnelLocalPort:w.tunnelLocalPort,localAddress:w.localAddress,privacy:w.privacy,protocol:w.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${w.tunnelRemoteHost}:${w.tunnelRemotePort} `);const E=this._tunnels.get(w.tunnelRemoteHost);if(E){const P=E.get(w.tunnelRemotePort);P&&(P.refcount--,await this.tryDisposeTunnel(w.tunnelRemoteHost,w.tunnelRemotePort,P))}}}}async tryDisposeTunnel(w,E,P){if(P.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${w}:${E}.`);const g=P.value.then(async h=>{h&&(await h.dispose(!0),this._onTunnelClosed.fire({host:h.tunnelRemoteHost,port:h.tunnelRemotePort}))});return this._tunnels.has(w)&&this._tunnels.get(w).delete(E),g}}async closeTunnel(w,E){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${w}:${E} `);const P=this._tunnels.get(w);if(P&&P.has(E)){const g=P.get(E);g.refcount=0,await this.tryDisposeTunnel(w,E,g)}}addTunnelToMap(w,E,P){this._tunnels.has(w)||this._tunnels.set(w,new Map),this._tunnels.get(w).set(E,{refcount:1,value:P})}async removeEmptyTunnelFromMap(w,E){const P=this._tunnels.get(w);P&&(await P.get(E)||P.delete(E),P.size===0&&this._tunnels.delete(w))}getTunnelFromMap(w,E){const P=[w];C(w)?(P.push(...e.LOCALHOST_ADDRESSES),P.push(...e.ALL_INTERFACES_ADDRESSES)):k(w)&&P.push(...e.ALL_INTERFACES_ADDRESSES);const g=P.map(h=>this._tunnels.get(h));for(const h of g){const l=h?.get(E);if(l)return l}}canTunnel(w){return!!p(w)}createWithProvider(w,E,P,g,h,l,n){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${E}:${P} on local port ${g}.`);const r=P;this._factoryInProgress.add(r);const s={elevationRequired:h?y(g===void 0?P:g):!1},o={remoteAddress:{host:E,port:P},localAddressPort:g,privacy:l,public:l?l!==b.Private:void 0,protocol:n},a=w.forwardPort(o,s);return a?(this.addTunnelToMap(E,P,a),a.finally(()=>{this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this._factoryInProgress.delete(r)})):this._factoryInProgress.delete(r),a}};u=fe([te(0,R.ILogService)],u),e.AbstractTunnelService=u}),define(X[223],Z([0,1,76,90,208,8,2,17,6,20,207,107,86]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function m(P,g,h,l,n){let r;for(let i=3;i&&(r&&r.dispose(),r=await new u(P,g,h,l,n).waitForReady(),!(n&&t.BROWSER_RESTRICTED_PORTS[n]||!t.BROWSER_RESTRICTED_PORTS[r.tunnelLocalPort]));i--);return r}class u extends M.Disposable{constructor(g,h,l,n,r){super();this.defaultTunnelHost=h,this.suggestedLocalPort=r,this.privacy=k.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=g,this._server=v.createServer(),this._barrier=new R.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=i=>this._onConnection(i),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=n,this.tunnelRemoteHost=l}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(h=>{h()})}async waitForReady(){let g=await(0,t.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),h=null;return this._server.listen(g,this.defaultTunnelHost),await this._barrier.wait(),h=this._server.address(),h||(g=0,this._server.listen(g,this.defaultTunnelHost),await this._barrier.wait(),h=this._server.address()),this.tunnelLocalPort=h.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${h.port}`,this}async _onConnection(g){g.pause();const h=(0,k.isLocalhost)(this.tunnelRemoteHost)||(0,k.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,l=await(0,C.connectRemoteAgentTunnel)(this._options,h,this.tunnelRemotePort),n=l.getSocket().socket,r=l.readEntireBuffer();l.dispose(),r.byteLength>0&&g.write(r.buffer),g.on("end",()=>{g.localAddress&&this._socketsDispose.delete(g.localAddress),n.end()}),g.on("close",()=>n.end()),g.on("error",()=>{g.localAddress&&this._socketsDispose.delete(g.localAddress),n.destroy()}),n.on("end",()=>g.end()),n.on("close",()=>g.end()),n.on("error",()=>{g.destroy()}),g.pipe(n),n.pipe(g),g.localAddress&&this._socketsDispose.set(g.localAddress,()=>{g.end(),n.end()})}}let S=class extends k.AbstractTunnelService{constructor(g,h,l,n,r){super(h);this.socketFactory=g,this.signService=l,this.productService=n,this.configurationService=r}get defaultTunnelHost(){const g=this.configurationService.getValue("remote.localPortHost");return!g||g==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(g,h,l,n,r,i,s){const o=this.getTunnelFromMap(h,l);if(o)return++o.refcount,o.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,h,l,n,r,i,s);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${h}:${l} on local port ${n}.`);const a={commit:this.productService.commit,quality:this.productService.quality,socketFactory:this.socketFactory,addressProvider:g,signService:this.signService,logService:this.logService,ipcLogger:null},c=m(a,this.defaultTunnelHost,h,l,n);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(h,l,c),c}}};S=fe([te(1,f.ILogService),te(2,y.ISignService),te(3,p.IProductService),te(4,b.IConfigurationService)],S),e.BaseTunnelService=S;let w=class extends S{constructor(g,h,l,n){super(D.nodeSocketFactory,g,h,l,n)}};w=fe([te(0,f.ILogService),te(1,y.ISignService),te(2,p.IProductService),te(3,b.IConfigurationService)],w),e.TunnelService=w;let E=class extends M.Disposable{constructor(g,h,l,n){super();this.logService=g,this.productService=h,this.signService=l,this.configurationService=n,this._tunnelServices=new Map}async openTunnel(g,h,l,n,r,i,s,o){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${l}:${n} on local port ${r}.`),!this._tunnelServices.has(g)){const a=new w(this.logService,this.signService,this.productService,this.configurationService);this._register(a),this._tunnelServices.set(g,a),a.onTunnelClosed(async()=>{(await a.tunnels).length===0&&(a.dispose(),this._tunnelServices.delete(g))})}return this._tunnelServices.get(g).openTunnel(h,l,n,r,i,s,o)}};E=fe([te(0,f.ILogService),te(1,p.IProductService),te(2,y.ISignService),te(3,b.IConfigurationService)],E),e.SharedTunnelsService=E}),define(X[46],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var t;(function(R){R.Uninitialized="uninitialized",R.Idle="idle",R.CheckingForUpdates="checking for updates",R.AvailableForDownload="available for download",R.Downloading="downloading",R.Downloaded="downloaded",R.Updating="updating",R.Ready="ready"})(t=e.StateType||(e.StateType={}));var D;(function(R){R[R.Setup=0]="Setup",R[R.Archive=1]="Archive",R[R.Snap=2]="Snap"})(D=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(R,M)=>({type:"idle",updateType:R,error:M}),CheckingForUpdates:R=>({type:"checking for updates",explicit:R}),AvailableForDownload:R=>({type:"available for download",update:R}),Downloading:R=>({type:"downloading",update:R}),Downloaded:R=>({type:"downloaded",update:R}),Updating:R=>({type:"updating",update:R}),Ready:R=>({type:"ready",update:R})},e.IUpdateService=(0,v.createDecorator)("updateService")}),define(X[224],Z([0,1,4,163,59,44]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),R.Registry.as(D.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:(0,t.localize)(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:(0,t.localize)(1,null),tags:["usesOnlineServices"],enumDescriptions:[(0,t.localize)(2,null),(0,t.localize)(3,null),(0,t.localize)(4,null),(0,t.localize)(5,null)],policy:{name:"UpdateMode",minimumVersion:"1.67"}},"update.channel":{type:"string",default:"default",scope:1,description:(0,t.localize)(6,null),deprecationMessage:(0,t.localize)(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:(0,t.localize)(8,null),description:(0,t.localize)(9,null),included:v.isWindows&&!v.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:(0,t.localize)(10,null),tags:["usesOnlineServices"]}}})}),define(X[225],Z([0,1,3,46]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class D{constructor(b){this.service=b}listen(b,f){switch(f){case"onStateChange":return this.service.onStateChange}throw new Error(`Event not found: ${f}`)}call(b,f,p){switch(f){case"checkForUpdates":return this.service.checkForUpdates(p);case"downloadUpdate":return this.service.downloadUpdate();case"applyUpdate":return this.service.applyUpdate();case"quitAndInstall":return this.service.quitAndInstall();case"_getInitialState":return Promise.resolve(this.service.state);case"isLatestVersion":return this.service.isLatestVersion()}throw new Error(`Call not found: ${f}`)}}e.UpdateChannel=D;class R{constructor(b){this.channel=b,this._onStateChange=new v.Emitter,this.onStateChange=this._onStateChange.event,this._state=t.State.Uninitialized,this.channel.listen("onStateChange")(f=>this.state=f),this.channel.call("_getInitialState").then(f=>this.state=f)}get state(){return this._state}set state(b){this._state=b,this._onStateChange.fire(b)}checkForUpdates(b){return this.channel.call("checkForUpdates",b)}downloadUpdate(){return this.channel.call("downloadUpdate")}applyUpdate(){return this.channel.call("applyUpdate")}quitAndInstall(){return this.channel.call("quitAndInstall")}isLatestVersion(){return this.channel.call("isLatestVersion")}}e.UpdateChannelClient=R}),define(X[87],Z([0,1,8,22,3,17,26,21,6,20,60,46]),function(z,e,v,t,D,R,M,b,f,p,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function y(u,S,w){return`${w.updateUrl}/api/update/${u}/${S}/${w.commit}`}e.createUpdateURL=y;let m=class{constructor(S,w,E,P,g,h){this.lifecycleMainService=S,this.configurationService=w,this.environmentMainService=E,this.requestService=P,this.logService=g,this.productService=h,this._state=k.State.Uninitialized,this._onStateChange=new D.Emitter,this.onStateChange=this._onStateChange.event}get state(){return this._state}setState(S){this.logService.info("update#setState",S.type),this._state=S,this._onStateChange.fire(S)}initialize(){if(!this.environmentMainService.isBuilt)return;if(this.environmentMainService.disableUpdates){this.logService.info("update#ctor - updates are disabled by the environment");return}if(!this.productService.updateUrl||!this.productService.commit){this.logService.info("update#ctor - updates are disabled as there is no update URL");return}const S=this.getUpdateMode(),w=this.getProductQuality(S);if(!w){this.logService.info("update#ctor - updates are disabled by user preference");return}if(this.url=this.buildUpdateFeedUrl(w),!this.url){this.logService.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.setState(k.State.Idle(this.getUpdateType())),S==="manual"){this.logService.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}S==="start"?(this.logService.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(!1),30*1e3)):this.scheduleCheckForUpdates(30*1e3).then(void 0,E=>this.logService.error(E))}getUpdateMode(){return(0,R.getMigratedSettingValue)(this.configurationService,"update.mode","update.channel")}getProductQuality(S){return S==="none"?void 0:this.productService.quality}scheduleCheckForUpdates(S=60*60*1e3){return(0,v.timeout)(S).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(S){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(S)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}async doDownloadUpdate(S){}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}async doApplyUpdate(){}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(S=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${S}`),!S&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}async isLatestVersion(){return this.url?await this.getUpdateMode()==="none"?!1:(await this.requestService.request({url:this.url},t.CancellationToken.None)).res.statusCode===204:void 0}getUpdateType(){return 1}doQuitAndInstall(){}};m=fe([te(0,b.ILifecycleMainService),te(1,R.IConfigurationService),te(2,M.IEnvironmentMainService),te(3,C.IRequestService),te(4,f.ILogService),te(5,p.IProductService)],m),e.AbstractUpdateService=m}),define(X[226],Z([0,1,14,51,3,2,17,26,21,6,20,60,35,46,87]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let S=class extends u.AbstractUpdateService{constructor(E,P,g,h,l,n,r){super(E,P,h,l,n,r);this.telemetryService=g,this.disposables=new R.DisposableStore}get onRawError(){return D.Event.fromNodeEventEmitter(v.autoUpdater,"error",(E,P)=>P)}get onRawUpdateNotAvailable(){return D.Event.fromNodeEventEmitter(v.autoUpdater,"update-not-available")}get onRawUpdateAvailable(){return D.Event.fromNodeEventEmitter(v.autoUpdater,"update-available",(E,P,g)=>({url:P,version:g,productVersion:g}))}get onRawUpdateDownloaded(){return D.Event.fromNodeEventEmitter(v.autoUpdater,"update-downloaded",(E,P,g,h)=>({releaseNotes:P,version:g,productVersion:g,date:h}))}initialize(){super.initialize(),this.onRawError(this.onError,this,this.disposables),this.onRawUpdateAvailable(this.onUpdateAvailable,this,this.disposables),this.onRawUpdateDownloaded(this.onUpdateDownloaded,this,this.disposables),this.onRawUpdateNotAvailable(this.onUpdateNotAvailable,this,this.disposables)}onError(E){this.logService.error("UpdateService error:",E);const g=(this.state.type==="checking for updates"?this.state.explicit:!0)?E:void 0;this.setState(m.State.Idle(1,g))}buildUpdateFeedUrl(E){let P;this.productService.darwinUniversalAssetId?P=this.productService.darwinUniversalAssetId:P=process.arch==="x64"?"darwin":"darwin-arm64";const g=(0,u.createUpdateURL)(P,E,this.productService);try{v.autoUpdater.setFeedURL({url:g})}catch(h){this.logService.error("Failed to set update feed URL",h);return}return g}doCheckForUpdates(E){this.setState(m.State.CheckingForUpdates(E)),v.autoUpdater.checkForUpdates()}onUpdateAvailable(E){this.state.type==="checking for updates"&&this.setState(m.State.Downloading(E))}onUpdateDownloaded(E){this.state.type==="downloading"&&(this.telemetryService.publicLog2("update:downloaded",{version:E.version}),this.setState(m.State.Ready(E)))}onUpdateNotAvailable(){this.state.type==="checking for updates"&&(this.telemetryService.publicLog2("update:notAvailable",{explicit:this.state.explicit}),this.setState(m.State.Idle(1)))}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),v.autoUpdater.quitAndInstall()}dispose(){this.disposables.dispose()}};fe([t.memoize],S.prototype,"onRawError",null),fe([t.memoize],S.prototype,"onRawUpdateNotAvailable",null),fe([t.memoize],S.prototype,"onRawUpdateAvailable",null),fe([t.memoize],S.prototype,"onRawUpdateDownloaded",null),S=fe([te(0,f.ILifecycleMainService),te(1,M.IConfigurationService),te(2,y.ITelemetryService),te(3,b.IEnvironmentMainService),te(4,k.IRequestService),te(5,p.ILogService),te(6,C.IProductService)],S),e.DarwinUpdateService=S}),define(X[227],Z([0,1,42,27,8,3,9,26,21,6,35,46]),function(z,e,v,t,D,R,M,b,f,p,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let y=class{constructor(S,w,E){if(this.lifecycleMainService=S,this.logService=E,this._state=k.State.Uninitialized,this._onStateChange=new R.Emitter,this.onStateChange=this._onStateChange.event,w.disableUpdates){this.logService.info("update#ctor - updates are disabled");return}this.setState(k.State.Idle(this.getUpdateType())),this.scheduleCheckForUpdates(30*1e3).then(void 0,P=>this.logService.error(P))}get state(){return this._state}setState(S){this.logService.info("update#setState",S.type),this._state=S,this._onStateChange.fire(S)}scheduleCheckForUpdates(S=60*60*1e3){return(0,D.timeout)(S).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(S){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(S)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}doDownloadUpdate(S){return Promise.resolve(void 0)}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}doApplyUpdate(){return Promise.resolve(void 0)}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(S=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${S}`),!S&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}getUpdateType(){return 2}doQuitAndInstall(){}};y=fe([te(0,f.ILifecycleMainService),te(1,b.IEnvironmentMainService),te(2,p.ILogService)],y);let m=class extends y{constructor(S,w,E,P,g,h){super(E,P,g);this.snap=S,this.snapRevision=w,this.telemetryService=h;const l=(0,t.watch)(M.dirname(this.snap)),n=R.Event.fromNodeEventEmitter(l,"change",(o,a)=>a),r=R.Event.filter(n,o=>o==="current"),s=R.Event.debounce(r,(o,a)=>a,2e3)(()=>this.checkForUpdates(!1));E.onWillShutdown(()=>{s.dispose(),l.close()})}doCheckForUpdates(){this.setState(k.State.CheckingForUpdates(!1)),this.isUpdateAvailable().then(S=>{S?this.setState(k.State.Ready({version:"something",productVersion:"something"})):(this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(k.State.Idle(2)))},S=>{this.logService.error(S),this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(k.State.Idle(2,S.message||S))})}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),(0,v.spawn)("sleep 3 && "+M.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async isUpdateAvailable(){const S=await new Promise((E,P)=>(0,t.realpath)(`${M.dirname(this.snap)}/current`,(g,h)=>g?P(g):E(h))),w=M.basename(S);return this.snapRevision!==w}isLatestVersion(){return this.isUpdateAvailable().then(void 0,S=>{this.logService.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};m=fe([te(2,f.ILifecycleMainService),te(3,b.IEnvironmentMainService),te(4,p.ILogService),te(5,C.ITelemetryService)],m),e.SnapUpdateService=m}),define(X[62],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,v.createDecorator)("IUriIdentityService")}),define(X[228],Z([0,1,62,180,15,16,122,3,2]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class p{constructor(y){this.uri=y,this.time=p._clock++}touch(){return this.time=p._clock++,this}}p._clock=0;let C=class{constructor(y){this._fileService=y,this._dispooables=new f.DisposableStore,this._limit=2**16;const m=new Map,u=S=>{let w=m.get(S.scheme);return w===void 0&&(w=y.hasProvider(S)&&!this._fileService.hasCapability(S,1024),m.set(S.scheme,w)),w};this._dispooables.add(b.Event.any(y.onDidChangeFileSystemProviderRegistrations,y.onDidChangeFileSystemProviderCapabilities)(S=>{m.delete(S.scheme)})),this.extUri=new R.ExtUri(u),this._canonicalUris=new M.SkipList((S,w)=>this.extUri.compare(S,w,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(y){this._fileService.hasProvider(y)&&(y=(0,R.normalizePath)(y));const m=this._canonicalUris.get(y);return m?m.touch().uri.with({fragment:y.fragment}):(this._canonicalUris.set(y,new p(y)),this._checkTrim(),y)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const y=[...this._canonicalUris.entries()].sort((u,S)=>u[1].touch<S[1].touch?1:u[1].touch>S[1].touch?-1:0);p._clock=0,this._canonicalUris.clear();const m=this._limit*.5;for(let u=0;u<m;u++)this._canonicalUris.set(y[u][0],y[u][1].touch())}};C=fe([te(0,D.IFileService)],C),e.UriIdentityService=C,(0,t.registerSingleton)(v.IUriIdentityService,C,!0)}),define(X[108],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=(0,v.createDecorator)("urlService")}),define(X[229],Z([0,1,7]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class t{constructor(b){this.handler=b}listen(b,f){throw new Error(`Event not found: ${f}`)}call(b,f,p){switch(f){case"handleURL":return this.handler.handleURL(v.URI.revive(p[0]),p[1])}throw new Error(`Call not found: ${f}`)}}e.URLHandlerChannel=t;class D{constructor(b){this.channel=b}handleURL(b,f){return this.channel.call("handleURL",[b.toJSON(),f])}}e.URLHandlerChannelClient=D;class R{constructor(b){this.next=b}async routeCall(b,f,p,C){if(f!=="handleURL")throw new Error(`Call not found: ${f}`);if(p){const k=v.URI.revive(p);if(k&&k.query){const y=/\bwindowId=(\d+)/.exec(k.query);if(y){const m=y[1],u=new RegExp(`window:${m}`),S=b.connections.find(w=>u.test(w.ctx));if(S)return S}}}return this.next.routeCall(b,f,p,C)}routeEvent(b,f){throw new Error(`Event not found: ${f}`)}}e.URLHandlerRouter=R}),define(X[230],Z([0,1,8,2,7,20]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class M extends t.Disposable{constructor(){super(...arguments);this.handlers=new Set}open(p,C){const k=[...this.handlers.values()];return(0,v.first)(k.map(y=>()=>y.handleURL(p,C)),void 0,!1).then(y=>y||!1)}registerHandler(p){return this.handlers.add(p),(0,t.toDisposable)(()=>this.handlers.delete(p))}}e.AbstractURLService=M;let b=class extends M{constructor(p){super();this.productService=p}create(p){let{authority:C,path:k,query:y,fragment:m}=p||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return C&&k&&k.indexOf("/")!==0&&(k=`/${k}`),D.URI.from({scheme:this.productService.urlProtocol,authority:C,path:k,query:y,fragment:m})}};b=fe([te(0,R.IProductService)],b),e.NativeURLService=b}),define(X[231],Z([0,1,14,8,3,2,4,7]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;function f(C){try{return b.URI.parse(C)}catch{return null}}class p{constructor(k,y,m,u,S){if(this.urlService=y,this.uris=[],this.retryCount=0,this.flushDisposable=R.Disposable.None,this.disposables=new R.DisposableStore,this.uris=k,M.isWindows){const P=u.isBuilt?[]:[`"${u.appRoot}"`];P.push("--open-url","--"),v.app.setAsDefaultProtocolClient(S.urlProtocol,process.execPath,P)}const w=D.Event.map(D.Event.fromNodeEventEmitter(v.app,"open-url",(P,g)=>({event:P,url:g})),({event:P,url:g})=>(P.preventDefault(),g));this.disposables.add(w(P=>{const g=f(P);!g||this.urlService.open(g,{originalUrl:P})})),m.getWindows().filter(P=>P.isReady).length>0?this.flush():D.Event.once(m.onDidSignalReadyWindow)(this.flush,this,this.disposables)}async flush(){if(this.retryCount++>10)return;const k=[];for(const y of this.uris)await this.urlService.open(y.uri,{originalUrl:y.url})||k.push(y);k.length!==0&&(this.uris=k,this.flushDisposable=(0,t.disposableTimeout)(()=>this.flush(),500))}dispose(){this.disposables.dispose(),this.flushDisposable.dispose()}}e.ElectronURLListener=p}),define(X[232],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWebviewManagerService=void 0,e.IWebviewManagerService=(0,v.createDecorator)("webviewManagerService")}),define(X[233],Z([0,1,14,2,12,7]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;class M extends t.Disposable{constructor(){super();const f=this.handleWebviewRequest.bind(this);v.protocol.registerFileProtocol(D.Schemas.vscodeWebview,f)}handleWebviewRequest(f,p){try{const C=R.URI.parse(f.url),k=M.validWebviewFilePaths.get(C.path);if(typeof k=="string"){const y=`vs/workbench/contrib/webview/browser/pre/${k}`,m=D.FileAccess.asFileUri(y,z);return p(decodeURIComponent(m.fsPath))}else return p({error:-10})}catch{}return p({error:-2})}}e.WebviewProtocolProvider=M,M.validWebviewFilePaths=new Map([["/index.html","index.html"],["/fake.html","fake.html"],["/service-worker.js","service-worker.js"]])}),define(X[73],Z([0,1,4]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.useWindowControlsOverlay=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function t(C){return!!C.workspaceUri}e.isWorkspaceToOpen=t;function D(C){return!!C.folderUri}e.isFolderToOpen=D;function R(C){return!!C.fileUri}e.isFileToOpen=R;function M(C){const k=b(C),y=C.getValue("window.menuBarVisibility");return y==="default"||k==="native"&&y==="compact"||v.isMacintosh&&v.isNative?"classic":y}e.getMenuBarVisibility=M;function b(C){if(v.isWeb)return"custom";const k=C.getValue("window");if(k){if(v.isMacintosh&&k.nativeTabs===!0||v.isMacintosh&&k.nativeFullScreen===!1)return"native";const u=C.getValue("workbench.colorCustomizations");if(u?.["window.activeBorder"]||u?.["window.inactiveBorder"])return"custom";const S=k.titleBarStyle;if(S==="native"||S==="custom")return S}return v.isLinux?"native":"custom"}e.getTitleBarStyle=b;function f(C,k){return!v.isWindows||v.isWeb||!k.isBuilt||b(C)==="native"?!1:C.getValue("window.experimental.windowControlsOverlay.enabled")}e.useWindowControlsOverlay=f;function p(C=0){return Math.pow(1.2,C)}e.zoomLevelToZoomFactor=p}),define(X[109],Z([0,1]),function(z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowError=e.WindowMode=e.defaultWindowState=e.UnloadReason=e.LoadReason=void 0;var v;(function(b){b[b.INITIAL=1]="INITIAL",b[b.LOAD=2]="LOAD",b[b.RELOAD=3]="RELOAD"})(v=e.LoadReason||(e.LoadReason={}));var t;(function(b){b[b.CLOSE=1]="CLOSE",b[b.QUIT=2]="QUIT",b[b.RELOAD=3]="RELOAD",b[b.LOAD=4]="LOAD"})(t=e.UnloadReason||(e.UnloadReason={}));const D=function(b=1){return{width:1024,height:768,mode:b}};e.defaultWindowState=D;var R;(function(b){b[b.Maximized=0]="Maximized",b[b.Normal=1]="Normal",b[b.Minimized=2]="Minimized",b[b.Fullscreen=3]="Fullscreen"})(R=e.WindowMode||(e.WindowMode={}));var M;(function(b){b[b.UNRESPONSIVE=1]="UNRESPONSIVE",b[b.CRASHED=2]="CRASHED",b[b.LOAD=3]="LOAD"})(M=e.WindowError||(e.WindowError={}))}),define(X[32],Z([0,1,5]),function(z,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OpenContext=e.IWindowsMainService=void 0,e.IWindowsMainService=(0,v.createDecorator)("windowsMainService");var t;(function(D){D[D.CLI=0]="CLI",D[D.DOCK=1]="DOCK",D[D.MENU=2]="MENU",D[D.DIALOG=3]="DIALOG",D[D.DESKTOP=4]="DESKTOP",D[D.API=5]="API"})(t=e.OpenContext||(e.OpenContext={}))}),define(X[234],Z([0,1,14,22,3,65,2,30,68,99,6,20,32]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var m;(function(S){S[S.Initial=1]="Initial",S[S.StoredCredentialsUsed=2]="StoredCredentialsUsed",S[S.LoginDialogShown=3]="LoginDialogShown"})(m||(m={}));let u=class extends M.Disposable{constructor(w,E,P,g,h){super();this.logService=w,this.windowsMainService=E,this.credentialsService=P,this.encryptionMainService=g,this.productService=h,this.PROXY_CREDENTIALS_SERVICE_KEY=`${this.productService.urlProtocol}.proxy-credentials`,this.pendingProxyResolve=void 0,this.state=m.Initial,this.sessionCredentials=void 0,this.registerListeners()}registerListeners(){const w=D.Event.fromNodeEventEmitter(v.app,"login",(E,P,g,h,l)=>({event:E,webContents:P,req:g,authInfo:h,callback:l}));this._register(w(this.onLogin,this))}async onLogin({event:w,authInfo:E,req:P,callback:g}){if(!E.isProxy)return;if(!this.pendingProxyResolve&&this.state===m.LoginDialogShown&&P.firstAuthAttempt){this.logService.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}w.preventDefault();let h;if(this.pendingProxyResolve)this.logService.trace("auth#onLogin (proxy) - pending proxy handling found"),h=await this.pendingProxyResolve;else{this.logService.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.pendingProxyResolve=this.resolveProxyCredentials(E);try{h=await this.pendingProxyResolve}finally{this.pendingProxyResolve=void 0}}g(h?.username,h?.password)}async resolveProxyCredentials(w){this.logService.trace("auth#resolveProxyCredentials (proxy) - enter");try{const E=await this.doResolveProxyCredentials(w);if(E)return this.logService.trace("auth#resolveProxyCredentials (proxy) - got credentials"),E;this.logService.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.logService.trace("auth#resolveProxyCredentials (proxy) - exit")}}async doResolveProxyCredentials(w){this.logService.trace("auth#doResolveProxyCredentials - enter",w);const E=String((0,R.hash)({scheme:w.scheme,host:w.host,port:w.port}));let P,g;try{const r=await this.credentialsService.getPassword(this.PROXY_CREDENTIALS_SERVICE_KEY,E);if(r){const i=JSON.parse(await this.encryptionMainService.decrypt(r));P=i.username,g=i.password}}catch(r){this.logService.error(r)}if(this.state!==m.StoredCredentialsUsed&&typeof P=="string"&&typeof g=="string")return this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.state=m.StoredCredentialsUsed,{username:P,password:g};const h=this.windowsMainService.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(!h){this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.logService.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${h.id} to handle proxy login`);const l={authInfo:w,username:this.sessionCredentials?.username??P,password:this.sessionCredentials?.password??g,replyChannel:`vscode:proxyAuthResponse:${(0,b.generateUuid)()}`};h.sendWhenReady("vscode:openProxyAuthenticationDialog",t.CancellationToken.None,l),this.state=m.LoginDialogShown;const n=await new Promise(r=>{const i=async(s,o,a)=>{if(o===l.replyChannel)if(this.logService.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${h.id}`),h.win?.webContents.off("ipc-message",i),a){const c={username:a.username,password:a.password};try{if(a.remember){const d=await this.encryptionMainService.encrypt(JSON.stringify(c));await this.credentialsService.setPassword(this.PROXY_CREDENTIALS_SERVICE_KEY,E,d)}else await this.credentialsService.deletePassword(this.PROXY_CREDENTIALS_SERVICE_KEY,E)}catch(d){this.logService.error(d)}r({username:c.username,password:c.password})}else r(void 0)};h.win?.webContents.on("ipc-message",i)});return this.sessionCredentials=n,n}};u=fe([te(0,C.ILogService),te(1,y.IWindowsMainService),te(2,f.ICredentialsMainService),te(3,p.IEncryptionMainService),te(4,k.IProductService)],u),e.ProxyAuthHandler=u}),define(X[235],Z([0,1,68,6,39,20,32,191]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CredentialsNativeMainService=void 0;let f=class extends b.BaseCredentialsMainService{constructor(C,k,y,m){super(C);this.environmentMainService=k,this.productService=y,this.windowsMainService=m,this.surfaceKeytarLoadError=u=>{this.windowsMainService.sendToFocused("vscode:showCredentialsError",u.message??u)}}async getSecretStoragePrefix(){return Promise.resolve(this.productService.urlProtocol)}async withKeytar(){if(this._keytarCache)return this._keytarCache;if(this.environmentMainService.disableKeytar)return this.logService.info("Keytar is disabled. Using in-memory credential store instead."),this._keytarCache=new v.InMemoryCredentialsProvider,this._keytarCache;const C=await new Promise((k,y)=>{z(["keytar"],k,y)});return await C.findCredentials("test-keytar-loads"),this._keytarCache=C,this._keytarCache}};f=fe([te(0,t.ILogService),te(1,D.INativeEnvironmentService),te(2,R.IProductService),te(3,M.IWindowsMainService)],f),e.CredentialsNativeMainService=f}),define(X[236],Z([0,1,18,2,3,6,21,78,42,125,8,12,50,4,36,14,32]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostStarter=void 0;const E=S.UtilityProcess,P=typeof E!="undefined";let g=class Rt{constructor(r,i,s){this._logService=r,this._windowsMainService=s,this._shutdown=!1,this._extHosts=new Map,i.onWillShutdown(o=>{this._shutdown=!0,o.join(this._waitForAllExit(6e3))})}dispose(){}_getExtHost(r){const i=this._extHosts.get(r);if(!i)throw new Error("Unknown extension host!");return i}onDynamicStdout(r){return this._getExtHost(r).onStdout}onDynamicStderr(r){return this._getExtHost(r).onStderr}onDynamicMessage(r){return this._getExtHost(r).onMessage}onDynamicError(r){return this._getExtHost(r).onError}onDynamicExit(r){return this._getExtHost(r).onExit}async canUseUtilityProcess(){return P}async createExtensionHost(r){if(this._shutdown)throw(0,v.canceled)();const i=String(++Rt._lastId);let s;if(r){if(!P)throw new Error("Cannot use UtilityProcess!");s=new l(i,this._logService,this._windowsMainService)}else s=new h(i,this._logService);return this._extHosts.set(i,s),s.onExit(({pid:o,code:a,signal:c})=>{this._logService.info(`Extension host with pid ${o} exited with code: ${a}, signal: ${c}.`),setTimeout(()=>{s.dispose(),this._extHosts.delete(i)})}),{id:i}}async start(r,i){if(this._shutdown)throw(0,v.canceled)();return this._getExtHost(r).start(i)}async enableInspectPort(r){if(this._shutdown)throw(0,v.canceled)();const i=this._extHosts.get(r);return i?i.enableInspectPort():!1}async kill(r){if(this._shutdown)throw(0,v.canceled)();const i=this._extHosts.get(r);!i||i.kill()}async _killAllNow(){for(const[,r]of this._extHosts)r.kill()}async _waitForAllExit(r){const i=[];for(const[,s]of this._extHosts)i.push(s.waitForExit(r));return C.Promises.settled(i).then(()=>{})}};g._lastId=0,g=fe([te(0,R.ILogService),te(1,M.ILifecycleMainService),te(2,w.IWindowsMainService)],g),e.ExtensionHostStarter=g;let h=class extends t.Disposable{constructor(r,i){super();this.id=r,this._logService=i,this._onStdout=this._register(new D.Emitter),this.onStdout=this._onStdout.event,this._onStderr=this._register(new D.Emitter),this.onStderr=this._onStderr.event,this._onMessage=this._register(new D.Emitter),this.onMessage=this._onMessage.event,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._onExit=this._register(new D.Emitter),this.onExit=this._onExit.event,this._process=null,this._hasExited=!1}start(r){m.isCI&&this._logService.info("Calling fork to start extension host...");const i=b.StopWatch.create(!1);this._process=(0,f.fork)(k.FileAccess.asFileUri("bootstrap-fork",z).fsPath,["--type=extensionHost","--skipWorkspaceStorageLock"],(0,y.mixin)({cwd:(0,u.cwd)()},r));const s=i.elapsed(),o=this._process.pid;this._logService.info(`Starting extension host with pid ${o} (fork() took ${s} ms).`);const a=new p.StringDecoder("utf-8");this._process.stdout?.on("data",d=>{const I=typeof d=="string"?d:a.write(d);this._onStdout.fire(I)});const c=new p.StringDecoder("utf-8");this._process.stderr?.on("data",d=>{const I=typeof d=="string"?d:c.write(d);this._onStderr.fire(I)}),this._process.on("message",d=>{this._onMessage.fire(d)}),this._process.on("error",d=>{this._onError.fire({error:(0,v.transformErrorForSerialization)(d)})}),this._process.on("exit",(d,I)=>{this._hasExited=!0,this._onExit.fire({pid:o,code:d,signal:I})})}enableInspectPort(){return this._process?(this._logService.info(`Enabling inspect port on extension host with pid ${this._process.pid}.`),typeof process._debugProcess=="function"?(process._debugProcess(this._process.pid),!0):m.isWindows?!1:(this._process.kill("SIGUSR1"),!0)):!1}kill(){!this._process||(this._logService.info(`Killing extension host with pid ${this._process.pid}.`),this._process.kill())}async waitForExit(r){if(!this._process)return;const i=this._process.pid;this._logService.info(`Waiting for extension host with pid ${i} to exit.`),await Promise.race([D.Event.toPromise(this.onExit),(0,C.timeout)(r)]),this._hasExited||(this._logService.info(`Extension host with pid ${i} did not exit within ${r}ms.`),this._process.kill())}};h=fe([te(1,R.ILogService)],h);let l=class extends t.Disposable{constructor(r,i,s){super();this.id=r,this._logService=i,this._windowsMainService=s,this.onStdout=D.Event.None,this.onStderr=D.Event.None,this.onError=D.Event.None,this._onMessage=this._register(new D.Emitter),this.onMessage=this._onMessage.event,this._onExit=this._register(new D.Emitter),this.onExit=this._onExit.event,this._process=null,this._hasExited=!1}start(r){const i=this._windowsMainService.getWindowById(r.responseWindowId);if(!i){this._logService.info(`UtilityProcess<${this.id}>: Refusing to create new Extension Host UtilityProcess because requesting window cannot be found...`);return}const s=i.win;if(!s||s.isDestroyed()||s.webContents.isDestroyed()){this._logService.info(`UtilityProcess<${this.id}>: Refusing to create new Extension Host UtilityProcess because requesting window cannot be found...`);return}const o=`extensionHost${this.id}`,a=k.FileAccess.asFileUri("bootstrap-fork.js",z).fsPath,c=["--type=extensionHost","--skipWorkspaceStorageLock"],d=r.execArgv||[];d.push("--vscode-utility-kind=extension-host");const I={...r.env};for(const K of Object.keys(I))I[K]=String(I[K]);this._logService.info(`UtilityProcess<${this.id}>: Creating new...`),this._process=new E(a,c,{serviceName:o,env:I,execArgv:d}),this._register(D.Event.fromNodeEventEmitter(this._process,"spawn")(()=>{this._logService.info(`UtilityProcess<${this.id}>: received spawn event.`)})),this._register(D.Event.fromNodeEventEmitter(this._process,"exit")(K=>{K=K||0,this._logService.info(`UtilityProcess<${this.id}>: received exit event with code ${K}.`),this._hasExited=!0,this._onExit.fire({pid:this._process.pid,code:K,signal:""})}));const L=(K,ie)=>{ie.type==="Utility"&&ie.name===o&&(this._logService.info(`UtilityProcess<${this.id}>: terminated unexpectedly with code ${ie.exitCode}.`),this._hasExited=!0,this._onExit.fire({pid:this._process.pid,code:ie.exitCode,signal:""}))};S.app.on("child-process-gone",L),this._register((0,t.toDisposable)(()=>{S.app.off("child-process-gone",L)}));const{port1:T,port2:_}=new S.MessageChannelMain;this._process.postMessage("port",null,[_]),s.webContents.postMessage(r.responseChannel,r.responseNonce,[T])}enableInspectPort(){return this._process?(this._logService.info(`UtilityProcess<${this.id}>: Enabling inspect port on extension host with pid ${this._process.pid}.`),typeof process._debugProcess=="function"?(process._debugProcess(this._process.pid),!0):m.isWindows?!1:(this._process.kill("SIGUSR1"),!0)):!1}kill(){!this._process||(this._logService.info(`UtilityProcess<${this.id}>: Killing extension host with pid ${this._process.pid}.`),this._process.kill())}async waitForExit(r){if(!this._process)return;const i=this._process.pid;this._logService.info(`UtilityProcess<${this.id}>: Waiting for extension host with pid ${i} to exit.`),await Promise.race([D.Event.toPromise(this.onExit),(0,C.timeout)(r)]),this._hasExited||(this._logService.info(`UtilityProcess<${this.id}>: Extension host with pid ${i} did not exit within ${r}ms, will kill it now.`),this._process.kill())}};l=fe([te(1,R.ILogService),te(2,w.IWindowsMainService)],l)}),define(X[237],Z([0,1,14,3,2,233,32]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let b=class extends D.Disposable{constructor(p){super();this.windowsMainService=p,this._onFoundInFrame=this._register(new t.Emitter),this.onFoundInFrame=this._onFoundInFrame.event,this._register(new R.WebviewProtocolProvider)}async setIgnoreMenuShortcuts(p,C){let k;if(typeof p.windowId=="number"){const{windowId:y}=p,m=this.windowsMainService.getWindowById(y);if(!m?.win)throw new Error(`Invalid windowId: ${y}`);k=m.win.webContents}else{const{webContentsId:y}=p;if(k=v.webContents.fromId(y),!k)throw new Error(`Invalid webContentsId: ${y}`)}k.isDestroyed()||k.setIgnoreMenuShortcuts(C)}async findInFrame(p,C,k,y){const u=this.getFrameByName(p,C);if(typeof u.findInFrame=="function"){u.findInFrame(k,{findNext:y.findNext,forward:y.forward});const S=(w,E)=>{E.finalUpdate&&(this._onFoundInFrame.fire(E),u.removeListener("found-in-frame",S))};u.on("found-in-frame",S)}}async stopFindInFrame(p,C,k){const m=this.getFrameByName(p,C);typeof m.stopFindInFrame=="function"&&m.stopFindInFrame(k.keepSelection?"keepSelection":"clearSelection")}getFrameByName(p,C){const k=this.windowsMainService.getWindowById(p.windowId);if(!k?.win)throw new Error(`Invalid windowId: ${p}`);const y=k.win.webContents.mainFrame.framesInSubtree.find(m=>m.name===C);if(!y)throw new Error(`Unknown frame: ${C}`);return y}};b=fe([te(0,M.IWindowsMainService)],b),e.WebviewMainService=b}),define(X[238],Z([0,1,8,3,2]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class R extends D.Disposable{constructor({onDidOpenWindow:b,onDidFocusWindow:f,getActiveWindowId:p}){super();this.disposables=this._register(new D.DisposableStore),t.Event.latch(t.Event.any(b,f))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,v.createCancelablePromise)(()=>p()),(async()=>{try{const k=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:k}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(b){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=b}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=R}),define(X[24],Z([0,1,167,9,33,16,7,5,12]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,b.createDecorator)("contextService");function p(i){const s=i;return typeof s?.id=="string"&&M.URI.isUri(s.uri)}e.isSingleFolderWorkspaceIdentifier=p;function C(i){if(i.configuration)return{id:i.id,configPath:i.configuration};if(i.folders.length===1)return{id:i.id,uri:i.folders[0].uri}}e.toWorkspaceIdentifier=C;function k(i){const s=i;return typeof s?.id=="string"&&M.URI.isUri(s.configPath)}e.isWorkspaceIdentifier=k;function y(i){const s=i;if(s?.uri)return{id:s.id,uri:M.URI.revive(s.uri)};const o=i;if(o?.configPath)return{id:o.id,configPath:M.URI.revive(o.configPath)};if(i?.id)return{id:i.id}}e.reviveIdentifier=y;var m;(function(i){i[i.EMPTY=1]="EMPTY",i[i.FOLDER=2]="FOLDER",i[i.WORKSPACE=3]="WORKSPACE"})(m=e.WorkbenchState||(e.WorkbenchState={}));function u(i){const s=i;return!!(s&&typeof s=="object"&&typeof s.id=="string"&&Array.isArray(s.folders))}e.isWorkspace=u;function S(i){const s=i;return!!(s&&typeof s=="object"&&M.URI.isUri(s.uri)&&typeof s.name=="string"&&typeof s.toResource=="function")}e.isWorkspaceFolder=S;class w{constructor(s,o,a,c,d){this._id=s,this._transient=a,this._configuration=c,this._ignorePathCasing=d,this._foldersMap=D.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=o}update(s){this._id=s.id,this._configuration=s.configuration,this._transient=s.transient,this._ignorePathCasing=s._ignorePathCasing,this.folders=s.folders}get folders(){return this._folders}set folders(s){this._folders=s,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(s){this._configuration=s}getFolder(s){return s&&this._foldersMap.findSubstr(s)||null}updateFoldersMap(){this._foldersMap=D.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const s of this.folders)this._foldersMap.set(s.uri,s)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=w;class E{constructor(s,o){this.raw=o,this.uri=s.uri,this.index=s.index,this.name=s.name}toResource(s){return(0,R.joinPath)(this.uri,s)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=E;function P(i){return new E({uri:i,index:0,name:(0,R.basenameOrAuthority)(i)},{uri:i.toString()})}e.toWorkspaceFolder=P,e.WORKSPACE_EXTENSION="code-workspace";const g=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,v.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function h(i,s){return R.extUriBiasedIgnorePathCase.isEqualOrParent(i,s.untitledWorkspacesHome)}e.isUntitledWorkspace=h;function l(i){let s;return M.URI.isUri(i)?s=i:s=i.configuration,s?.scheme===f.Schemas.tmp}e.isTemporaryWorkspace=l;function n(i,s){return!h(i,s)&&!l(i)}e.isSavedWorkspace=n;function r(i){return(typeof i=="string"?(0,t.extname)(i):(0,R.extname)(i))===g}e.hasWorkspaceFileExtension=r}),define(X[239],Z([0,1,75,27,29,12,9,4,16,7,23,171,17,26,15,6,170,24]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let P=class{constructor(h,l,n){this.configurationService=l,this.logService=n,this.workspaces=[],this.folders=[],this.emptyWindows=[],this.backupUriComparer=f.extUriBiasedIgnorePathCase,this.backupPathComparer={isEqual:(r,i)=>(0,D.isEqual)(r,i,!b.isLinux)},this.backupHome=h.backupHome,this.workspacesJsonPath=h.backupWorkspacesPath}async initialize(){let h;try{h=JSON.parse(await C.Promises.readFile(this.workspacesJsonPath,"utf8"))}catch{h=Object.create(null)}this.emptyWindows=await this.validateEmptyWorkspaces(h.emptyWorkspaceInfos);let l=[];try{Array.isArray(h.rootURIWorkspaces)&&(l=h.rootURIWorkspaces.map(r=>({workspace:{id:r.id,configPath:p.URI.parse(r.configURIPath)},remoteAuthority:r.remoteAuthority})))}catch{}this.workspaces=await this.validateWorkspaces(l);let n=[];try{Array.isArray(h.folderWorkspaceInfos)?n=h.folderWorkspaceInfos.map(r=>({folderUri:p.URI.parse(r.folderUri),remoteAuthority:r.remoteAuthority})):Array.isArray(h.folderURIWorkspaces)&&(n=h.folderURIWorkspaces.map(r=>({folderUri:p.URI.parse(r),remoteAuthority:void 0})))}catch{}this.folders=await this.validateFolders(n),await this.save()}getWorkspaceBackups(){return this.isHotExitOnExitAndWindowClose()?[]:this.workspaces.slice(0)}getFolderBackupPaths(){return this.isHotExitOnExitAndWindowClose()?[]:this.folders.slice(0)}isHotExitEnabled(){return this.getHotExitConfig()!==u.HotExitConfiguration.OFF}isHotExitOnExitAndWindowClose(){return this.getHotExitConfig()===u.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}getHotExitConfig(){return this.configurationService.getValue()?.files?.hotExit||u.HotExitConfiguration.ON_EXIT}getEmptyWindowBackupPaths(){return this.emptyWindows.slice(0)}registerWorkspaceBackupSync(h,l){this.workspaces.some(r=>h.workspace.id===r.workspace.id)||(this.workspaces.push(h),this.saveSync());const n=this.getBackupPath(h.workspace.id);return l&&this.moveBackupFolderSync(n,l),n}moveBackupFolderSync(h,l){if(t.existsSync(h)&&this.convertToEmptyWindowBackupSync(h),t.existsSync(l))try{t.renameSync(l,h)}catch(n){this.logService.error(`Backup: Could not move backup folder to new location: ${n.toString()}`)}}unregisterWorkspaceBackupSync(h){const l=h.id,n=this.workspaces.findIndex(r=>r.workspace.id===l);n!==-1&&(this.workspaces.splice(n,1),this.saveSync())}registerFolderBackupSync(h){return this.folders.some(l=>this.backupUriComparer.isEqual(h.folderUri,l.folderUri))||(this.folders.push(h),this.saveSync()),this.getBackupPath(this.getFolderHash(h))}unregisterFolderBackupSync(h){const l=this.folders.findIndex(n=>this.backupUriComparer.isEqual(h,n.folderUri));l!==-1&&(this.folders.splice(l,1),this.saveSync())}registerEmptyWindowBackupSync(h,l){const n=h||this.getRandomEmptyWindowId();return this.emptyWindows.some(r=>!!r.backupFolder&&this.backupPathComparer.isEqual(r.backupFolder,n))||(this.emptyWindows.push({backupFolder:n,remoteAuthority:l}),this.saveSync()),this.getBackupPath(n)}unregisterEmptyWindowBackupSync(h){const l=this.emptyWindows.findIndex(n=>!!n.backupFolder&&this.backupPathComparer.isEqual(n.backupFolder,h));l!==-1&&(this.emptyWindows.splice(l,1),this.saveSync())}getBackupPath(h){return(0,M.join)(this.backupHome,h)}async validateWorkspaces(h){if(!Array.isArray(h))return[];const l=new Set,n=[];for(const r of h){const i=r.workspace;if(!(0,E.isWorkspaceIdentifier)(i))return[];if(!l.has(i.id)){l.add(i.id);const s=this.getBackupPath(i.id);await this.doHasBackups(s)?i.configPath.scheme!==R.Schemas.file||await C.Promises.exists(i.configPath.fsPath)?n.push(r):await this.convertToEmptyWindowBackup(s):await this.deleteStaleBackup(s)}}return n}async validateFolders(h){if(!Array.isArray(h))return[];const l=[],n=new Set;for(const r of h){const i=r.folderUri,s=this.backupUriComparer.getComparisonKey(i);if(!n.has(s)){n.add(s);const o=this.getBackupPath(this.getFolderHash(r));await this.doHasBackups(o)?i.scheme!==R.Schemas.file||await C.Promises.exists(i.fsPath)?l.push(r):await this.convertToEmptyWindowBackup(o):await this.deleteStaleBackup(o)}}return l}async validateEmptyWorkspaces(h){if(!Array.isArray(h))return[];const l=[],n=new Set;for(const r of h){const i=r.backupFolder;if(typeof i!="string")return[];if(!n.has(i)){n.add(i);const s=this.getBackupPath(i);await this.doHasBackups(s)?l.push(r):await this.deleteStaleBackup(s)}}return l}async deleteStaleBackup(h){try{await C.Promises.exists(h)&&await C.Promises.rm(h,C.RimRafMode.MOVE)}catch(l){this.logService.error(`Backup: Could not delete stale backup: ${l.toString()}`)}}async convertToEmptyWindowBackup(h){let l=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(r=>!!r.backupFolder&&this.backupPathComparer.isEqual(r.backupFolder,l));)l=this.getRandomEmptyWindowId();const n=this.getBackupPath(l);try{await C.Promises.rename(h,n)}catch(r){return this.logService.error(`Backup: Could not rename backup folder: ${r.toString()}`),!1}return this.emptyWindows.push({backupFolder:l}),!0}convertToEmptyWindowBackupSync(h){let l=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(r=>!!r.backupFolder&&this.backupPathComparer.isEqual(r.backupFolder,l));)l=this.getRandomEmptyWindowId();const n=this.getBackupPath(l);try{t.renameSync(h,n)}catch(r){return this.logService.error(`Backup: Could not rename backup folder: ${r.toString()}`),!1}return this.emptyWindows.push({backupFolder:l}),!0}async getDirtyWorkspaces(){const h=[];for(const l of this.workspaces)await this.hasBackups(l)&&h.push(l);for(const l of this.folders)await this.hasBackups(l)&&h.push(l);return h}hasBackups(h){let l;return(0,k.isEmptyWindowBackupInfo)(h)?l=h.backupFolder:(0,w.isFolderBackupInfo)(h)?l=this.getBackupPath(this.getFolderHash(h)):l=this.getBackupPath(h.workspace.id),this.doHasBackups(l)}async doHasBackups(h){try{const l=await C.Promises.readdir(h);for(const n of l)try{if((await C.Promises.readdir((0,M.join)(h,n))).length>0)return!0}catch{}}catch{}return!1}saveSync(){try{(0,C.writeFileSync)(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(h){this.logService.error(`Backup: Could not save workspaces.json: ${h.toString()}`)}}async save(){try{await C.Promises.writeFile(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(h){this.logService.error(`Backup: Could not save workspaces.json: ${h.toString()}`)}}serializeBackups(){return{rootURIWorkspaces:this.workspaces.map(h=>({id:h.workspace.id,configURIPath:h.workspace.configPath.toString(),remoteAuthority:h.remoteAuthority})),folderWorkspaceInfos:this.folders.map(h=>({folderUri:h.folderUri.toString(),remoteAuthority:h.remoteAuthority})),emptyWorkspaceInfos:this.emptyWindows}}getRandomEmptyWindowId(){return(Date.now()+Math.round(Math.random()*1e3)).toString()}getFolderHash(h){const l=h.folderUri;let n;return l.scheme===R.Schemas.file?n=b.isLinux?l.fsPath:l.fsPath.toLowerCase():n=l.toString().toLowerCase(),(0,v.createHash)("md5").update(n).digest("hex")}};P=fe([te(0,m.IEnvironmentMainService),te(1,y.IConfigurationService),te(2,S.ILogService)],P),e.BackupMainService=P}),define(X[52],Z([0,1,14,8,65,34,2,79,4,13,23,147,5,6,24]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=(0,y.createDecorator)("dialogMainService");let S=class{constructor(E){this.logService=E,this.windowFileDialogLocks=new Map,this.windowDialogQueues=new Map,this.noWindowDialogueQueue=new t.Queue}pickFileFolder(E,P){return this.doPick({...E,pickFolders:!0,pickFiles:!0,title:(0,k.localize)(0,null)},P)}pickFolder(E,P){return this.doPick({...E,pickFolders:!0,title:(0,k.localize)(1,null)},P)}pickFile(E,P){return this.doPick({...E,pickFiles:!0,title:(0,k.localize)(2,null)},P)}pickWorkspace(E,P){const g=(0,k.localize)(3,null),h=(0,R.mnemonicButtonLabel)((0,k.localize)(4,null)),l=u.WORKSPACE_FILTER;return this.doPick({...E,pickFiles:!0,title:g,filters:l,buttonLabel:h},P)}async doPick(E,P){const g={title:E.title,buttonLabel:E.buttonLabel,filters:E.filters,defaultPath:E.defaultPath};(typeof E.pickFiles=="boolean"||typeof E.pickFolders=="boolean")&&(g.properties=void 0,E.pickFiles&&E.pickFolders&&(g.properties=["multiSelections","openDirectory","openFile","createDirectory"])),g.properties||(g.properties=["multiSelections",E.pickFolders?"openDirectory":"openFile","createDirectory"]),f.isMacintosh&&g.properties.push("treatPackageAsDirectory");const h=await this.showOpenDialog(g,(0,p.withNullAsUndefined)(P||v.BrowserWindow.getFocusedWindow()));if(h&&h.filePaths&&h.filePaths.length>0)return h.filePaths}getWindowDialogQueue(E){if(E){let P=this.windowDialogQueues.get(E.id);return P||(P=new t.Queue,this.windowDialogQueues.set(E.id,P)),P}else return this.noWindowDialogueQueue}showMessageBox(E,P){return this.getWindowDialogQueue(P).queue(async()=>P?v.dialog.showMessageBox(P,E):v.dialog.showMessageBox(E))}async showSaveDialog(E,P){const g=this.acquireFileDialogLock(E,P);if(!g)return this.logService.error("[DialogMainService]: file save dialog is already or will be showing for the window with the same configuration"),{canceled:!0};try{return await this.getWindowDialogQueue(P).queue(async()=>{let h;return P?h=await v.dialog.showSaveDialog(P,E):h=await v.dialog.showSaveDialog(E),h.filePath=this.normalizePath(h.filePath),h})}finally{(0,M.dispose)(g)}}normalizePath(E){return E&&f.isMacintosh&&(E=(0,b.normalizeNFC)(E)),E}normalizePaths(E){return E.map(P=>this.normalizePath(P))}async showOpenDialog(E,P){E.defaultPath&&(await C.Promises.exists(E.defaultPath)||(E.defaultPath=void 0));const g=this.acquireFileDialogLock(E,P);if(!g)return this.logService.error("[DialogMainService]: file open dialog is already or will be showing for the window with the same configuration"),{canceled:!0,filePaths:[]};try{return await this.getWindowDialogQueue(P).queue(async()=>{let h;return P?h=await v.dialog.showOpenDialog(P,E):h=await v.dialog.showOpenDialog(E),h.filePaths=this.normalizePaths(h.filePaths),h})}finally{(0,M.dispose)(g)}}acquireFileDialogLock(E,P){if(!P)return M.Disposable.None;this.logService.trace("[DialogMainService]: request to acquire file dialog lock",E);let g=this.windowFileDialogLocks.get(P.id);g||(g=new Set,this.windowFileDialogLocks.set(P.id,g));const h=(0,D.hash)(E);if(!g.has(h))return this.logService.trace("[DialogMainService]: new file dialog lock created",E),g.add(h),(0,M.toDisposable)(()=>{this.logService.trace("[DialogMainService]: file dialog lock disposed",E),g?.delete(h),g?.size===0&&this.windowFileDialogLocks.delete(P.id)})}};S=fe([te(0,m.ILogService)],S),e.DialogMainService=S}),define(X[240],Z([0,1,3,2,66,24]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class M extends t.Disposable{constructor(f,p){super();this.logService=f,this.storageMainService=p,this.onDidChangeApplicationStorageEmitter=this._register(new v.Emitter),this.mapProfileToOnDidChangeProfileStorageEmitter=new Map,this.registerStorageChangeListeners(p.applicationStorage,this.onDidChangeApplicationStorageEmitter)}registerStorageChangeListeners(f,p){this._register(v.Event.debounce(f.onDidChangeStorage,(C,k)=>(C?C.push(k):C=[k],C),M.STORAGE_CHANGE_DEBOUNCE_TIME)(C=>{C.length&&p.fire(this.serializeStorageChangeEvents(C,f))}))}serializeStorageChangeEvents(f,p){const C=new Map,k=new Set;return f.forEach(y=>{const m=p.get(y.key);typeof m=="string"?C.set(y.key,m):k.add(y.key)}),{changed:Array.from(C.entries()),deleted:Array.from(k.values())}}listen(f,p,C){switch(p){case"onDidChangeStorage":{const k=C.profile?(0,D.revive)(C.profile):void 0;if(!k)return this.onDidChangeApplicationStorageEmitter.event;let y=this.mapProfileToOnDidChangeProfileStorageEmitter.get(k.id);return y||(y=this._register(new v.Emitter),this.registerStorageChangeListeners(this.storageMainService.profileStorage(k),y),this.mapProfileToOnDidChangeProfileStorageEmitter.set(k.id,y)),y.event}}throw new Error(`Event not found: ${p}`)}async call(f,p,C){const k=C.profile?(0,D.revive)(C.profile):void 0,y=(0,R.reviveIdentifier)(C.workspace),m=await this.withStorageInitialized(k,y);switch(p){case"getItems":return Array.from(m.items.entries());case"updateItems":{const u=C;if(u.insert)for(const[S,w]of u.insert)m.set(S,w);u.delete?.forEach(S=>m.delete(S));break}default:throw new Error(`Call not found: ${p}`)}}async withStorageInitialized(f,p){let C;p?C=this.storageMainService.workspaceStorage(p):f?C=this.storageMainService.profileStorage(f):C=this.storageMainService.applicationStorage;try{await C.init()}catch(k){this.logService.error(`StorageIPC#init: Unable to init ${p?"workspace":f?"profile":"application"} storage due to ${k}`)}return C}}e.StorageDatabaseChannel=M,M.STORAGE_CHANGE_DEBOUNCE_TIME=100}),define(X[40],Z([0,1,65,3,2,16,13,7,164,39,15,5,6,24,33,62,8]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=e.toUserDataProfile=e.EXTENSIONS_RESOURCE_NAME=e.reviveProfile=e.IUserDataProfilesService=e.PROFILES_ENABLEMENT_CONFIG=e.isUserDataProfile=void 0;function E(l){const n=l;return!!(n&&typeof n=="object"&&typeof n.id=="string"&&typeof n.isDefault=="boolean"&&typeof n.name=="string"&&b.URI.isUri(n.location)&&b.URI.isUri(n.globalStorageHome)&&b.URI.isUri(n.settingsResource)&&b.URI.isUri(n.keybindingsResource)&&b.URI.isUri(n.tasksResource)&&b.URI.isUri(n.snippetsHome)&&((0,M.isUndefined)(n.extensionsResource)||b.URI.isUri(n.extensionsResource)))}e.isUserDataProfile=E,e.PROFILES_ENABLEMENT_CONFIG="workbench.experimental.settingsProfiles.enabled",e.IUserDataProfilesService=(0,k.createDecorator)("IUserDataProfilesService");function P(l,n){return{id:l.id,isDefault:l.isDefault,name:l.name,location:b.URI.revive(l.location).with({scheme:n}),globalStorageHome:b.URI.revive(l.globalStorageHome).with({scheme:n}),settingsResource:b.URI.revive(l.settingsResource).with({scheme:n}),keybindingsResource:b.URI.revive(l.keybindingsResource).with({scheme:n}),tasksResource:b.URI.revive(l.tasksResource).with({scheme:n}),snippetsHome:b.URI.revive(l.snippetsHome).with({scheme:n}),extensionsResource:b.URI.revive(l.extensionsResource)?.with({scheme:n})}}e.reviveProfile=P,e.EXTENSIONS_RESOURCE_NAME="extensions.json";function g(l,n,r){return{id:(0,v.hash)(n.path).toString(16),name:l,location:n,isDefault:!1,globalStorageHome:(0,R.joinPath)(n,"globalStorage"),settingsResource:(0,R.joinPath)(n,"settings.json"),keybindingsResource:(0,R.joinPath)(n,"keybindings.json"),tasksResource:(0,R.joinPath)(n,"tasks.json"),snippetsHome:(0,R.joinPath)(n,"snippets"),extensionsResource:(0,R.joinPath)(n,e.EXTENSIONS_RESOURCE_NAME),useDefaultFlags:r}}e.toUserDataProfile=g;let h=class extends D.Disposable{constructor(n,r,i,s){super();this.environmentService=n,this.fileService=r,this.uriIdentityService=i,this.logService=s,this.enabled=!1,this.defaultProfileShouldIncludeExtensionsResourceAlways=!1,this._onDidChangeProfiles=this._register(new t.Emitter),this.onDidChangeProfiles=this._onDidChangeProfiles.event,this._onWillCreateProfile=this._register(new t.Emitter),this.onWillCreateProfile=this._onWillCreateProfile.event,this._onWillRemoveProfile=this._register(new t.Emitter),this.onWillRemoveProfile=this._onWillRemoveProfile.event,this.profilesHome=(0,R.joinPath)(this.environmentService.userRoamingDataHome,"profiles")}get defaultProfile(){return this.profiles[0]}get profiles(){return this.profilesObject.profiles}setEnablement(n){this.enabled!==n&&(this._profilesObject=void 0,this.enabled=n)}get profilesObject(){if(!this._profilesObject){const n=this.enabled?this.getStoredProfiles().map(o=>g(o.name,o.location,o.useDefaultFlags)):[];let r;const i=new u.ResourceMap;if(n.length){const o=this.getStoredProfileAssociations();if(o.workspaces)for(const[a,c]of Object.entries(o.workspaces)){const d=b.URI.parse(a),I=b.URI.parse(c),L=n.find(T=>this.uriIdentityService.extUri.isEqual(T.location,I));L&&i.set(d,L)}if(o.emptyWindow){const a=b.URI.parse(o.emptyWindow);r=n.find(c=>this.uriIdentityService.extUri.isEqual(c.location,a))}}const s=g((0,f.localize)(0,null),this.environmentService.userRoamingDataHome);n.unshift({...s,isDefault:!0,extensionsResource:this.defaultProfileShouldIncludeExtensionsResourceAlways||n.length>0?s.extensionsResource:void 0}),this._profilesObject={profiles:n,workspaces:i,emptyWindow:r}}return this._profilesObject}getProfile(n){const r=this.getWorkspace(n);return(b.URI.isUri(r)?this.profilesObject.workspaces.get(r):this.profilesObject.emptyWindow)??this.defaultProfile}getWorkspace(n){return(0,m.isSingleFolderWorkspaceIdentifier)(n)?n.uri:(0,m.isWorkspaceIdentifier)(n)?n.configPath:"empty-window"}async createProfile(n,r,i){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(this.getStoredProfiles().some(a=>a.name===n))throw new Error(`Profile with name ${n} already exists`);const s=g(n,(0,R.joinPath)(this.profilesHome,(0,v.hash)(n).toString(16)),r);await this.fileService.createFolder(s.location);const o=[];return this._onWillCreateProfile.fire({profile:s,join(a){o.push(a)}}),await w.Promises.settled(o),this.updateProfiles([s],[]),i&&await this.setProfileForWorkspace(s,i),s}async setProfileForWorkspace(n,r){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);const i=this.profiles.find(s=>s.id===n.id);if(!i)throw new Error(`Profile '${n.name}' does not exist`);this.updateWorkspaceAssociation(r,i)}async unsetWorkspace(n){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);this.updateWorkspaceAssociation(n)}async removeProfile(n){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${e.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(n.isDefault)throw new Error("Cannot remove default profile");const r=this.profiles.find(s=>s.id===n.id);if(!r)throw new Error(`Profile '${n.name}' does not exist`);const i=[];this._onWillRemoveProfile.fire({profile:r,join(s){i.push(s)}}),await w.Promises.settled(i),r.id===this.profilesObject.emptyWindow?.id&&(this.profilesObject.emptyWindow=void 0);for(const s of[...this.profilesObject.workspaces.keys()])r.id===this.profilesObject.workspaces.get(s)?.id&&this.profilesObject.workspaces.delete(s);this.updateStoredProfileAssociations(),this.updateProfiles([],[r]);try{this.profiles.length===1?await this.fileService.del(this.profilesHome,{recursive:!0}):await this.fileService.del(r.location,{recursive:!0})}catch(s){this.logService.error(s)}}updateProfiles(n,r){const i=[];for(const s of[...this.profilesObject.profiles,...n])s.isDefault||r.some(o=>s.id===o.id)||i.push({location:s.location,name:s.name,useDefaultFlags:s.useDefaultFlags});this.saveStoredProfiles(i),this._profilesObject=void 0,this.triggerProfilesChanges(n,r)}triggerProfilesChanges(n,r){this._onDidChangeProfiles.fire({added:n,removed:r,all:this.profiles})}updateWorkspaceAssociation(n,r){const i=this.getWorkspace(n);b.URI.isUri(i)?(this.profilesObject.workspaces.delete(i),r&&!r.isDefault&&this.profilesObject.workspaces.set(i,r)):this.profilesObject.emptyWindow=r?.isDefault?void 0:r,this.updateStoredProfileAssociations()}updateStoredProfileAssociations(){const n={};for(const[i,s]of this.profilesObject.workspaces.entries())n[i.toString()]=s.location.toString();const r=this.profilesObject.emptyWindow?.location.toString();this.saveStoredProfileAssociations({workspaces:n,emptyWindow:r}),this._profilesObject=void 0}getStoredProfiles(){return[]}saveStoredProfiles(n){throw new Error("not implemented")}getStoredProfileAssociations(){return{}}saveStoredProfileAssociations(n){throw new Error("not implemented")}};h.PROFILES_KEY="userDataProfiles",h.PROFILE_ASSOCIATIONS_KEY="profileAssociations",h=fe([te(0,p.IEnvironmentService),te(1,C.IFileService),te(2,S.IUriIdentityService),te(3,y.ILogService)],h),e.UserDataProfilesService=h}),define(X[241],Z([0,1,14,38,2,33,12,9,4,7,30,39,6,40]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProtocolMainService=void 0;let u=class extends D.Disposable{constructor(w,E,P){super();this.logService=P,this.validRoots=R.TernarySearchTree.forPaths(!f.isLinux),this.validExtensions=new Set([".svg",".png",".jpg",".jpeg",".gif",".bmp",".webp"]),this.addValidFileRoot(w.appRoot),this.addValidFileRoot(w.extensionsPath),this.addValidFileRoot(E.defaultProfile.globalStorageHome.fsPath),this.addValidFileRoot(w.workspaceStorageHome.fsPath),this.handleProtocols()}handleProtocols(){const{defaultSession:w}=v.session;w.protocol.registerFileProtocol(M.Schemas.vscodeFileResource,(E,P)=>this.handleResourceRequest(E,P)),w.protocol.interceptFileProtocol(M.Schemas.file,(E,P)=>this.handleFileRequest(E,P)),this._register((0,D.toDisposable)(()=>{w.protocol.unregisterProtocol(M.Schemas.vscodeFileResource),w.protocol.uninterceptProtocol(M.Schemas.file)}))}addValidFileRoot(w){const E=(0,b.normalize)(w);return this.validRoots.get(E)?D.Disposable.None:(this.validRoots.set(E,!0),(0,D.toDisposable)(()=>this.validRoots.delete(E)))}handleFileRequest(w,E){const P=p.URI.parse(w.url);return this.logService.error(`Refused to load resource ${P.fsPath} from ${M.Schemas.file}: protocol (original URL: ${w.url})`),E({error:-3})}handleResourceRequest(w,E){const P=this.requestToNormalizedFilePath(w);return this.validRoots.findSubstr(P)?E({path:P}):this.validExtensions.has((0,b.extname)(P))?E({path:P}):(this.logService.error(`${M.Schemas.vscodeFileResource}: Refused to load resource ${P} from ${M.Schemas.vscodeFileResource}: protocol (original URL: ${w.url})`),E({error:-3}))}requestToNormalizedFilePath(w){const E=p.URI.parse(w.url),P=M.FileAccess.asFileUri(E);return(0,b.normalize)(P.fsPath)}createIPCObjectUrl(){let w;const E=p.URI.from({scheme:"vscode",path:(0,C.generateUuid)()}),P=E.toString(),g=async()=>w;return t.validatedIpcMain.handle(P,g),this.logService.trace(`IPC Object URL: Registered new channel ${P}.`),{resource:E,update:h=>w=h,dispose:()=>{this.logService.trace(`IPC Object URL: Removed channel ${P}.`),t.validatedIpcMain.removeHandler(P)}}}};u=fe([te(0,k.INativeEnvironmentService),te(1,m.IUserDataProfilesService),te(2,y.ILogService)],u),e.ProtocolMainService=u}),define(X[242],Z([0,1,14,38,8,3,2,12,13,96,26,21,6,57,58,61,41,40,37]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let g=class extends M.Disposable{constructor(l,n,r,i,s,o,a,c,d){super();this.machineId=l,this.userEnv=n,this.environmentMainService=r,this.userDataProfilesService=i,this.lifecycleMainService=s,this.logService=o,this.policyService=a,this.themeMainService=c,this.protocolMainService=d,this.firstWindowConnectionBarrier=new D.Barrier,this.window=void 0,this.windowCloseListener=void 0,this._onDidError=this._register(new R.Emitter),this.onDidError=R.Event.buffer(this._onDidError.event),this._whenReady=void 0,this._whenIpcReady=void 0,this.registerListeners()}registerListeners(){t.validatedIpcMain.on("vscode:createSharedProcessMessageChannel",(l,n)=>this.onWindowConnection(l,n)),t.validatedIpcMain.on("vscode:relaySharedProcessWorkerMessageChannel",(l,n)=>this.onWorkerConnection(l,n)),this._register(this.lifecycleMainService.onWillShutdown(()=>this.onWillShutdown()))}async onWindowConnection(l,n){this.logService.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.firstWindowConnectionBarrier.isOpen()||this.firstWindowConnectionBarrier.open(),await this.whenReady();const r=await this.connect();if(l.sender.isDestroyed())return r.close();l.sender.postMessage("vscode:createSharedProcessMessageChannelResult",n,[r])}onWorkerConnection(l,n){this.logService.trace("SharedProcess: onWorkerConnection",n);const r=new M.DisposableStore,i=o=>{!this.isAlive()||(this.logService.trace(`SharedProcess: disposing worker (reason: '${o}')`,n),r.dispose(),this.send("vscode:electron-main->shared-process=disposeWorker",n))},s=v.BrowserWindow.fromId(n.reply.windowId);if(!s||s.isDestroyed()||s.webContents.isDestroyed()||!n.reply.channel){i("unavailable");return}r.add(R.Event.filter(this.lifecycleMainService.onWillLoadWindow,o=>o.window.win===s)(()=>i("load"))),r.add(R.Event.fromNodeEventEmitter(s,"closed")(()=>i("closed"))),s.webContents.postMessage(n.reply.channel,n.reply.nonce,l.ports)}onWillShutdown(){const l=this.window;!l||(this.send("vscode:electron-main->shared-process=exit"),this.windowCloseListener&&(l.removeListener("close",this.windowCloseListener),this.windowCloseListener=void 0),setTimeout(()=>{try{l.close()}catch{}this.window=void 0},0))}send(l,...n){if(!this.isAlive()){this.logService.warn(`Sending IPC message to channel '${l}' for shared process window that is destroyed`);return}try{this.window?.webContents.send(l,...n)}catch(r){this.logService.warn(`Error sending IPC message to channel '${l}' of shared process: ${(0,w.toErrorMessage)(r)}`)}}whenReady(){return this._whenReady||(this._whenReady=new Promise(l=>t.validatedIpcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.logService.trace("SharedProcess: Overall ready"),l()}))),this._whenReady}get whenIpcReady(){return this._whenIpcReady||(this._whenIpcReady=(async()=>{await this.firstWindowConnectionBarrier.wait(),this.createWindow(),this.registerWindowListeners(),await new Promise(l=>t.validatedIpcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.logService.trace("SharedProcess: IPC ready"),l()}))})()),this._whenIpcReady}createWindow(){const l=this._register(this.protocolMainService.createIPCObjectUrl());this.window=new v.BrowserWindow({show:!1,backgroundColor:this.themeMainService.getBackgroundColor(),webPreferences:{preload:b.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",z).fsPath,additionalArguments:[`--vscode-window-config=${l.resource.toString()}`,"--vscode-window-kind=shared-process"],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",nodeIntegration:!0,nodeIntegrationInWorker:!0,contextIsolation:!1,enableWebSQL:!1,spellcheck:!1,images:!1,webgl:!1}}),l.update({machineId:this.machineId,windowId:this.window.id,appRoot:this.environmentMainService.appRoot,codeCachePath:this.environmentMainService.codeCachePath,backupWorkspacesPath:this.environmentMainService.backupWorkspacesPath,profiles:this.userDataProfilesService.profiles,userEnv:this.userEnv,args:this.environmentMainService.args,logLevel:this.logService.getLevel(),product:m.default,policiesData:this.policyService.serialize()}),this.window.loadURL(b.FileAccess.asBrowserUri("vs/code/electron-browser/sharedProcess/sharedProcess.html",z).toString(!0))}registerWindowListeners(){!this.window||(this.windowCloseListener=l=>{this.logService.trace("SharedProcess#close prevented"),l.preventDefault(),this.window?.isVisible()&&this.window.hide()},this.window.on("close",this.windowCloseListener),this.window.webContents.on("render-process-gone",(l,n)=>this._onDidError.fire({type:2,details:n})),this.window.on("unresponsive",()=>this._onDidError.fire({type:1})),this.window.webContents.on("did-fail-load",(l,n,r)=>this._onDidError.fire({type:3,details:{reason:r,exitCode:n}})))}async connect(){await this.whenIpcReady;const l=(0,f.assertIsDefined)(this.window);return(0,p.connect)(l)}async toggle(){await this.whenIpcReady,!!this.window&&(this.window.isVisible()?(this.window.webContents.closeDevTools(),this.window.hide()):(this.window.show(),this.window.webContents.openDevTools()))}isVisible(){return this.window?.isVisible()??!1}isAlive(){const l=this.window;return l?!l.isDestroyed()&&!l.webContents.isDestroyed():!1}};g=fe([te(2,C.IEnvironmentMainService),te(3,E.IUserDataProfilesService),te(4,k.ILifecycleMainService),te(5,y.ILogService),te(6,P.IPolicyService),te(7,S.IThemeMainService),te(8,u.IProtocolMainService)],g),e.SharedProcess=g}),define(X[110],Z([0,1,8,3,2,70,13,97,5,40]),function(z,e,v,t,D,R,M,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.isProfileUsingDefaultStorage=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const C="__$__targetStorageMarker";e.IStorageService=(0,f.createDecorator)("storageService");var k;(function(P){P[P.NONE=0]="NONE",P[P.SHUTDOWN=1]="SHUTDOWN"})(k=e.WillSaveStateReason||(e.WillSaveStateReason={}));var y;(function(P){P[P.APPLICATION=-1]="APPLICATION",P[P.PROFILE=0]="PROFILE",P[P.WORKSPACE=1]="WORKSPACE"})(y=e.StorageScope||(e.StorageScope={}));var m;(function(P){P[P.USER=0]="USER",P[P.MACHINE=1]="MACHINE"})(m=e.StorageTarget||(e.StorageTarget={}));class u extends D.Disposable{constructor(g={flushInterval:u.DEFAULT_FLUSH_INTERVAL}){super();this.options=g,this._onDidChangeValue=this._register(new t.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new t.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new t.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new v.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new D.MutableDisposable),this._workspaceKeyTargets=void 0,this._profileKeyTargets=void 0,this._applicationKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,v.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,D.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,R.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,R.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(g,h){if(h===C){switch(g){case-1:this._applicationKeyTargets=void 0;break;case 0:this._profileKeyTargets=void 0;break;case 1:this._workspaceKeyTargets=void 0;break}this._onDidChangeTarget.fire({scope:g})}else this._onDidChangeValue.fire({scope:g,key:h,target:this.getKeyTargets(g)[h]})}emitWillSaveState(g){this._onWillSaveState.fire({reason:g})}get(g,h,l){return this.getStorage(h)?.get(g,l)}getBoolean(g,h,l){return this.getStorage(h)?.getBoolean(g,l)}getNumber(g,h,l){return this.getStorage(h)?.getNumber(g,l)}store(g,h,l,n){if((0,M.isUndefinedOrNull)(h)){this.remove(g,l);return}this.withPausedEmitters(()=>{this.updateKeyTarget(g,l,n),this.getStorage(l)?.set(g,h)})}remove(g,h){this.withPausedEmitters(()=>{this.updateKeyTarget(g,h,void 0),this.getStorage(h)?.delete(g)})}withPausedEmitters(g){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{g()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(g,h){const l=[],n=this.getKeyTargets(g);for(const r of Object.keys(n))n[r]===h&&l.push(r);return l}updateKeyTarget(g,h,l){const n=this.getKeyTargets(h);typeof l=="number"?n[g]!==l&&(n[g]=l,this.getStorage(h)?.set(C,JSON.stringify(n))):typeof n[g]=="number"&&(delete n[g],this.getStorage(h)?.set(C,JSON.stringify(n)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get profileKeyTargets(){return this._profileKeyTargets||(this._profileKeyTargets=this.loadKeyTargets(0)),this._profileKeyTargets}get applicationKeyTargets(){return this._applicationKeyTargets||(this._applicationKeyTargets=this.loadKeyTargets(-1)),this._applicationKeyTargets}getKeyTargets(g){switch(g){case-1:return this.applicationKeyTargets;case 0:return this.profileKeyTargets;default:return this.workspaceKeyTargets}}loadKeyTargets(g){const h=this.get(C,g);if(h)try{return JSON.parse(h)}catch{}return Object.create(null)}isNew(g){return this.getBoolean(e.IS_NEW_KEY,g)===!0}async flush(g=k.NONE){this._onWillSaveState.fire({reason:g});const h=this.getStorage(-1),l=this.getStorage(0),n=this.getStorage(1);switch(g){case k.NONE:await v.Promises.settled([h?.whenFlushed()??Promise.resolve(),l?.whenFlushed()??Promise.resolve(),n?.whenFlushed()??Promise.resolve()]);break;case k.SHUTDOWN:await v.Promises.settled([h?.flush(0)??Promise.resolve(),l?.flush(0)??Promise.resolve(),n?.flush(0)??Promise.resolve()]);break}}async log(){const g=this.getStorage(-1)?.items??new Map,h=this.getStorage(0)?.items??new Map,l=this.getStorage(1)?.items??new Map;return E(g,h,l,this.getLogDetails(-1)??"",this.getLogDetails(0)??"",this.getLogDetails(1)??"")}async switch(g,h){return this.emitWillSaveState(k.NONE),(0,p.isUserDataProfile)(g)?this.switchToProfile(g,h):this.switchToWorkspace(g,h)}canSwitchProfile(g,h){return!(g.id===h.id||S(h)&&S(g))}switchData(g,h,l,n){this.withPausedEmitters(()=>{if(n)for(const[r,i]of g)h.set(r,i);else{const r=new Set;for(const[i,s]of g)r.add(i),h.get(i)!==s&&this.emitDidChangeValue(l,i);for(const[i]of h.items)r.has(i)||this.emitDidChangeValue(l,i)}})}}e.AbstractStorageService=u,u.DEFAULT_FLUSH_INTERVAL=60*1e3;function S(P){return P.isDefault||!!P.useDefaultFlags?.uiState}e.isProfileUsingDefaultStorage=S;class w extends u{constructor(){super();this.applicationStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this.profileStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(g=>this.emitDidChangeValue(1,g))),this._register(this.profileStorage.onDidChangeStorage(g=>this.emitDidChangeValue(0,g))),this._register(this.applicationStorage.onDidChangeStorage(g=>this.emitDidChangeValue(-1,g)))}getStorage(g){switch(g){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(g){switch(g){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async doInitialize(){}async switchToProfile(){}async switchToWorkspace(){}}e.InMemoryStorageService=w;async function E(P,g,h,l,n,r){const i=_=>{try{return JSON.parse(_)}catch{return _}},s=new Map,o=new Map;P.forEach((_,K)=>{s.set(K,_),o.set(K,i(_))});const a=new Map,c=new Map;g.forEach((_,K)=>{a.set(K,_),c.set(K,i(_))});const d=new Map,I=new Map;h.forEach((_,K)=>{d.set(K,_),I.set(K,i(_))}),console.group(l!==n?`Storage: Application (path: ${l})`:`Storage: Application & Profile (path: ${l}, default profile)`);const L=[];if(s.forEach((_,K)=>{L.push({key:K,value:_})}),console.table(L),console.groupEnd(),console.log(o),l!==n){console.group(`Storage: Profile (path: ${n}, profile specific)`);const _=[];a.forEach((K,ie)=>{_.push({key:ie,value:K})}),console.table(_),console.groupEnd(),console.log(c)}console.group(`Storage: Workspace (path: ${r})`);const T=[];d.forEach((_,K)=>{T.push({key:K,value:_})}),console.table(T),console.groupEnd(),console.log(I)}e.logStorage=E}),define(X[243],Z([0,1,25,8,3,2,9,78,7,23,97,141,6,110,35,24]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageMain=e.WorkspaceStorageMain=e.ApplicationStorageMain=e.ProfileStorageMain=void 0;class w extends R.Disposable{constructor(r,i){super();this.logService=r,this.fileService=i,this._onDidChangeStorage=this._register(new D.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this._onDidCloseStorage=this._register(new D.Emitter),this.onDidCloseStorage=this._onDidCloseStorage.event,this._storage=new C.Storage(new C.InMemoryStorageDatabase),this.initializePromise=void 0,this.whenInitPromise=new t.DeferredPromise,this.whenInit=this.whenInitPromise.p,this.state=C.StorageState.None}get storage(){return this._storage}init(){return this.initializePromise||(this.initializePromise=(async()=>{if(this.state===C.StorageState.None)try{const r=await this.doCreate();this._storage.dispose(),this._storage=r,this._register(r.onDidChangeStorage(s=>this._onDidChangeStorage.fire({key:s}))),await this.doInit(r);const i=r.getBoolean(m.IS_NEW_KEY);i===void 0?r.set(m.IS_NEW_KEY,!0):i&&r.set(m.IS_NEW_KEY,!1)}catch(r){this.logService.error(`[storage main] initialize(): Unable to init storage due to ${r}`)}finally{this.state=C.StorageState.Initialized,this.whenInitPromise.complete()}})()),this.initializePromise}createLoggingOptions(){return{logTrace:this.logService.getLevel()===y.LogLevel.Trace?r=>this.logService.trace(r):void 0,logError:r=>this.logService.error(r)}}doInit(r){return r.init()}get items(){return this._storage.items}get(r,i){return this._storage.get(r,i)}set(r,i){return this._storage.set(r,i)}delete(r){return this._storage.delete(r)}async close(){const r=new b.StopWatch(!1);await this.doClose(),r.stop(),r.elapsed()>w.LOG_SLOW_CLOSE_THRESHOLD&&await this.logSlowClose(r),this._onDidCloseStorage.fire()}async logSlowClose(r){if(!!this.path)try{const i=(0,v.top)(Array.from(this._storage.items.entries()).map(([o,a])=>({key:o,length:a.length})),(o,a)=>a.length-o.length,5).map(o=>`${o.key}:${o.length}`).join(", "),s=(await this.fileService.stat(f.URI.file(this.path))).size;this.logService.warn(`[storage main] detected slow close() operation: Time: ${r.elapsed()}ms, DB size: ${s}b, Large Keys: ${i}`)}catch(i){this.logService.error("[storage main] figuring out stats for slow DB on close() resulted in an error",i)}}async doClose(){this.initializePromise&&await this.initializePromise,this.state=C.StorageState.Closed,await this._storage.close()}}w.LOG_SLOW_CLOSE_THRESHOLD=2e3;class E extends w{constructor(r,i,s,o){super(s,o);this.profile=r,this.options=i}get path(){if(!this.options.useInMemoryStorage)return(0,M.join)(this.profile.globalStorageHome.fsPath,E.STORAGE_NAME)}async doCreate(){return new C.Storage(new k.SQLiteStorageDatabase(this.path??k.SQLiteStorageDatabase.IN_MEMORY_PATH,{logging:this.createLoggingOptions()}))}}E.STORAGE_NAME="state.vscdb";class P extends E{constructor(r,i,s,o){super(r,i,s,o)}}e.ProfileStorageMain=P;class g extends E{constructor(r,i,s,o){super(i.defaultProfile,r,s,o)}async doInit(r){await super.doInit(r),this.updateTelemetryState(r)}updateTelemetryState(r){r.get(u.firstSessionDateStorageKey,void 0)===void 0&&r.set(u.firstSessionDateStorageKey,new Date().toUTCString());const s=r.get(u.currentSessionDateStorageKey,void 0),o=new Date().toUTCString();r.set(u.lastSessionDateStorageKey,typeof s=="undefined"?null:s),r.set(u.currentSessionDateStorageKey,o)}}e.ApplicationStorageMain=g;class h extends w{constructor(r,i,s,o,a){super(s,a);this.workspace=r,this.options=i,this.environmentService=o}get path(){if(!this.options.useInMemoryStorage)return(0,M.join)(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id,h.WORKSPACE_STORAGE_NAME)}async doCreate(){const{storageFilePath:r,wasCreated:i}=await this.prepareWorkspaceStorageFolder();return new C.Storage(new k.SQLiteStorageDatabase(r,{logging:this.createLoggingOptions()}),{hint:i?C.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async prepareWorkspaceStorageFolder(){if(this.options.useInMemoryStorage)return{storageFilePath:k.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const r=(0,M.join)(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id),i=(0,M.join)(r,h.WORKSPACE_STORAGE_NAME);return await p.Promises.exists(r)?{storageFilePath:i,wasCreated:!1}:(await p.Promises.mkdir(r,{recursive:!0}),this.ensureWorkspaceStorageFolderMeta(r),{storageFilePath:i,wasCreated:!0})}async ensureWorkspaceStorageFolderMeta(r){let i;if((0,S.isSingleFolderWorkspaceIdentifier)(this.workspace)?i={folder:this.workspace.uri.toString()}:(0,S.isWorkspaceIdentifier)(this.workspace)&&(i={workspace:this.workspace.configPath.toString()}),i)try{const s=(0,M.join)(r,h.WORKSPACE_META_NAME);await p.Promises.exists(s)||await p.Promises.writeFile(s,JSON.stringify(i,void 0,2))}catch(s){this.logService.error(`[storage main] ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${s}`)}}}e.WorkspaceStorageMain=h,h.WORKSPACE_STORAGE_NAME="state.vscdb",h.WORKSPACE_META_NAME="workspace.json";class l extends w{get path(){}async doCreate(){return new C.Storage(new C.InMemoryStorageDatabase)}}e.InMemoryStorageMain=l}),define(X[244],Z([0,1,66,39,15,6,213,62,40]),function(z,e,v,t,D,R,M,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=void 0;let p=class kt extends f.UserDataProfilesService{constructor(k,y,m,u,S){super(m,u,y,S);this.stateService=k}getStoredProfiles(){return(0,v.revive)(this.stateService.getItem(kt.PROFILES_KEY,[]))}getStoredProfileAssociations(){return(0,v.revive)(this.stateService.getItem(kt.PROFILE_ASSOCIATIONS_KEY,{}))}};p=fe([te(0,M.IStateService),te(1,b.IUriIdentityService),te(2,t.IEnvironmentService),te(3,D.IFileService),te(4,R.ILogService)],p),e.UserDataProfilesService=p}),define(X[63],Z([0,1,7,39,15,5,6,45,62,40,244]),function(z,e,v,t,D,R,M,b,f,p,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesMainService=e.IUserDataProfilesMainService=void 0,e.IUserDataProfilesMainService=(0,R.refineServiceDecorator)(p.IUserDataProfilesService);let k=class bt extends C.UserDataProfilesService{constructor(m,u,S,w,E){super(m,u,S,w,E);this.stateMainService=m}saveStoredProfiles(m){this.stateMainService.setItem(bt.PROFILES_KEY,m)}saveStoredProfileAssociations(m){this.stateMainService.setItem(bt.PROFILE_ASSOCIATIONS_KEY,m)}getStoredProfileAssociations(){const m="workspaceAndProfileInfo",u=this.stateMainService.getItem(m,void 0);if(u){this.stateMainService.removeItem(m);const S=u.reduce((w,{workspace:E,profile:P})=>(w[v.URI.revive(E).toString()]=v.URI.revive(P).toString(),w),{});this.stateMainService.setItem(bt.PROFILE_ASSOCIATIONS_KEY,{workspaces:S})}return super.getStoredProfileAssociations()}};k=fe([te(0,b.IStateMainService),te(1,f.IUriIdentityService),te(2,t.IEnvironmentService),te(3,D.IFileService),te(4,M.ILogService)],k),e.UserDataProfilesMainService=k}),define(X[245],Z([0,1,2,100,63]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DefaultExtensionsProfileInitHandler=void 0;let R=class extends v.Disposable{constructor(b,f){super();this.defaultExtensionsProfileInitService=b,this._register(f.onWillCreateProfile(p=>{f.profiles.length===1&&p.join(this.defaultExtensionsProfileInitService.initialize())})),this._register(f.onDidChangeProfiles(p=>{f.profiles.length===1&&this.defaultExtensionsProfileInitService.uninitialize()}))}};R=fe([te(0,t.IDefaultExtensionsProfileInitService),te(1,D.IUserDataProfilesMainService)],R),e.DefaultExtensionsProfileInitHandler=R}),define(X[88],Z([0,1,48,2,39,15,5,21,6,110,243,40,63]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplicationStorageMainService=e.IApplicationStorageMainService=e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=(0,M.createDecorator)("storageMainService");let m=class extends t.Disposable{constructor(w,E,P,g,h){super();this.logService=w,this.environmentService=E,this.userDataProfilesService=P,this.lifecycleMainService=g,this.fileService=h,this.shutdownReason=void 0,this.applicationStorage=this.createApplicationStorage(),this.mapProfileToStorage=new Map,this.mapWorkspaceToStorage=new Map,this.registerListeners()}getStorageOptions(){return{useInMemoryStorage:!!this.environmentService.extensionTestsLocationURI}}registerListeners(){(async()=>{await this.lifecycleMainService.when(3),this.applicationStorage.init()})(),this._register(this.lifecycleMainService.onWillLoadWindow(w=>{w.window.profile&&this.profileStorage(w.window.profile).init(),w.workspace&&this.workspaceStorage(w.workspace).init()})),this._register(this.lifecycleMainService.onWillShutdown(w=>{this.logService.trace("storageMainService#onWillShutdown()"),this.shutdownReason=w.reason,w.join(this.applicationStorage.close());for(const[,E]of this.mapProfileToStorage)w.join(E.close());for(const[,E]of this.mapWorkspaceToStorage)w.join(E.close())})),this._register(this.userDataProfilesService.onWillCreateProfile(w=>{w.join((async()=>{await this.fileService.exists(w.profile.globalStorageHome)||await this.fileService.createFolder(w.profile.globalStorageHome)})())})),this._register(this.userDataProfilesService.onWillRemoveProfile(w=>{const E=this.mapProfileToStorage.get(w.profile.id);E&&w.join(E.close())}))}createApplicationStorage(){this.logService.trace("StorageMainService: creating application storage");const w=new C.ApplicationStorageMain(this.getStorageOptions(),this.userDataProfilesService,this.logService,this.fileService);return(0,v.once)(w.onDidCloseStorage)(()=>{this.logService.trace("StorageMainService: closed application storage")}),w}profileStorage(w){if((0,p.isProfileUsingDefaultStorage)(w))return this.applicationStorage;let E=this.mapProfileToStorage.get(w.id);return E||(this.logService.trace(`StorageMainService: creating profile storage (${w.name})`),E=this.createProfileStorage(w),this.mapProfileToStorage.set(w.id,E),(0,v.once)(E.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed profile storage (${w.name})`),this.mapProfileToStorage.delete(w.id)})),E}createProfileStorage(w){return this.shutdownReason===2?new C.InMemoryStorageMain(this.logService,this.fileService):new C.ProfileStorageMain(w,this.getStorageOptions(),this.logService,this.fileService)}workspaceStorage(w){let E=this.mapWorkspaceToStorage.get(w.id);return E||(this.logService.trace(`StorageMainService: creating workspace storage (${w.id})`),E=this.createWorkspaceStorage(w),this.mapWorkspaceToStorage.set(w.id,E),(0,v.once)(E.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed workspace storage (${w.id})`),this.mapWorkspaceToStorage.delete(w.id)})),E}createWorkspaceStorage(w){return this.shutdownReason===2?new C.InMemoryStorageMain(this.logService,this.fileService):new C.WorkspaceStorageMain(w,this.getStorageOptions(),this.logService,this.environmentService,this.fileService)}};m=fe([te(0,f.ILogService),te(1,D.IEnvironmentService),te(2,y.IUserDataProfilesMainService),te(3,b.ILifecycleMainService),te(4,R.IFileService)],m),e.StorageMainService=m,e.IApplicationStorageMainService=(0,M.createDecorator)("applicationStorageMainService");let u=class extends p.AbstractStorageService{constructor(w,E){super();this.userDataProfilesService=w,this.storageMainService=E,this.whenReady=this.storageMainService.applicationStorage.whenInit}doInitialize(){return this.storageMainService.applicationStorage.whenInit}getStorage(w){if(w===-1)return this.storageMainService.applicationStorage.storage}getLogDetails(w){if(w===-1)return this.userDataProfilesService.defaultProfile.globalStorageHome.fsPath}shouldFlushWhenIdle(){return!1}switch(){throw new Error("Migrating storage is unsupported from main process")}switchToProfile(){throw new Error("Switching storage profile is unsupported from main process")}switchToWorkspace(){throw new Error("Switching storage workspace is unsupported from main process")}};u=fe([te(0,k.IUserDataProfilesService),te(1,e.IStorageMainService)],u),e.ApplicationStorageMainService=u}),define(X[111],Z([0,1,16,7,24]),function(z,e,v,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;function R(f,p,C){for(const y of f){const m=y.openedWorkspace;if((0,D.isWorkspaceIdentifier)(m)){const u=C(m);if(u){if(u.folders.some(S=>v.extUriBiasedIgnorePathCase.isEqualOrParent(p,S.uri)))return y}else if(v.extUriBiasedIgnorePathCase.isEqualOrParent(p,m.configPath))return y}}const k=f.filter(y=>(0,D.isSingleFolderWorkspaceIdentifier)(y.openedWorkspace)&&v.extUriBiasedIgnorePathCase.isEqualOrParent(p,y.openedWorkspace.uri));if(k.length)return k.sort((y,m)=>-(y.openedWorkspace.uri.path.length-m.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=R;function M(f,p){for(const C of f)if((0,D.isWorkspaceIdentifier)(C.openedWorkspace)&&v.extUriBiasedIgnorePathCase.isEqual(C.openedWorkspace.configPath,p)||(0,D.isSingleFolderWorkspaceIdentifier)(C.openedWorkspace)&&v.extUriBiasedIgnorePathCase.isEqual(C.openedWorkspace.uri,p))return C}e.findWindowOnWorkspaceOrFolder=M;function b(f,p){const C=k=>p.some(y=>v.extUriBiasedIgnorePathCase.isEqual(t.URI.file(y),t.URI.file(k)));for(const k of f)if(k.config?.extensionDevelopmentPath?.some(y=>C(y)))return k}e.findWindowOnExtensionDevelopmentPath=b}),define(X[246],Z([0,1,14,2,4,16,7,17,21,6,45,32,109,24]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let u=class Mt extends t.Disposable{constructor(h,l,n,r,i){super();this.windowsMainService=h,this.stateMainService=l,this.lifecycleMainService=n,this.logService=r,this.configurationService=i,this._state=S(this.stateMainService.getItem(Mt.windowsStateStorageKey)),this.lastClosedState=void 0,this.shuttingDown=!1,this.registerListeners()}get state(){return this._state}registerListeners(){v.app.on("browser-window-blur",()=>{this.shuttingDown||this.saveWindowsState()}),this.lifecycleMainService.onBeforeCloseWindow(h=>this.onBeforeCloseWindow(h)),this.lifecycleMainService.onBeforeShutdown(()=>this.onBeforeShutdown()),this.windowsMainService.onDidChangeWindowsCount(h=>{h.newCount-h.oldCount>0&&(this.lastClosedState=void 0)}),this.windowsMainService.onDidDestroyWindow(h=>this.onBeforeCloseWindow(h))}onBeforeShutdown(){this.shuttingDown=!0,this.saveWindowsState()}saveWindowsState(){const h={openedWindows:[],lastPluginDevelopmentHostWindow:this._state.lastPluginDevelopmentHostWindow,lastActiveWindow:this.lastClosedState};if(!h.lastActiveWindow){let r=this.windowsMainService.getLastActiveWindow();(!r||r.isExtensionDevelopmentHost)&&(r=this.windowsMainService.getWindows().find(i=>!i.isExtensionDevelopmentHost)),r&&(h.lastActiveWindow=this.toWindowState(r))}const l=this.windowsMainService.getWindows().find(r=>r.isExtensionDevelopmentHost&&!r.isExtensionTestHost);l&&(h.lastPluginDevelopmentHostWindow=this.toWindowState(l)),this.windowsMainService.getWindowCount()>1&&(h.openedWindows=this.windowsMainService.getWindows().filter(r=>!r.isExtensionDevelopmentHost).map(r=>this.toWindowState(r)));const n=E(h);this.stateMainService.setItem(Mt.windowsStateStorageKey,n),this.shuttingDown&&this.logService.trace("[WindowsStateHandler] onBeforeShutdown",n)}onBeforeCloseWindow(h){if(this.lifecycleMainService.quitRequested)return;const l=this.toWindowState(h);h.isExtensionDevelopmentHost&&!h.isExtensionTestHost?this._state.lastPluginDevelopmentHostWindow=l:!h.isExtensionDevelopmentHost&&h.openedWorkspace&&this._state.openedWindows.forEach(n=>{const r=(0,m.isWorkspaceIdentifier)(h.openedWorkspace)&&n.workspace?.id===h.openedWorkspace.id,i=(0,m.isSingleFolderWorkspaceIdentifier)(h.openedWorkspace)&&n.folderUri&&R.extUriBiasedIgnorePathCase.isEqual(n.folderUri,h.openedWorkspace.uri);(r||i)&&(n.uiState=l.uiState)}),this.windowsMainService.getWindowCount()===1&&(this.lastClosedState=l)}toWindowState(h){return{workspace:(0,m.isWorkspaceIdentifier)(h.openedWorkspace)?h.openedWorkspace:void 0,folderUri:(0,m.isSingleFolderWorkspaceIdentifier)(h.openedWorkspace)?h.openedWorkspace.uri:void 0,backupPath:h.backupPath,remoteAuthority:h.remoteAuthority,uiState:h.serializeWindowState()}}getNewWindowState(h){const l=this.doGetNewWindowState(h),n=this.configurationService.getValue("window");let r;return l.hasDefaultState?r=!!(n?.newWindowDimensions&&["fullscreen","inherit","offset"].indexOf(n.newWindowDimensions)>=0):(r=!!(this.lifecycleMainService.wasRestarted||n?.restoreFullscreen),r&&D.isMacintosh&&this.windowsMainService.getWindows().some(i=>i.isFullScreen)&&(r=!1)),l.mode===3&&!r&&(l.mode=1),l}doGetNewWindowState(h){const l=this.windowsMainService.getLastActiveWindow();if(!h.extensionTestsPath){if(!!h.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const a=h.workspace;if((0,m.isWorkspaceIdentifier)(a)){const d=this.state.openedWindows.filter(I=>I.workspace&&I.workspace.id===a.id).map(I=>I.uiState);if(d.length)return d[0]}if((0,m.isSingleFolderWorkspaceIdentifier)(a)){const d=this.state.openedWindows.filter(I=>I.folderUri&&R.extUriBiasedIgnorePathCase.isEqual(I.folderUri,a.uri)).map(I=>I.uiState);if(d.length)return d[0]}else if(h.backupPath){const d=this.state.openedWindows.filter(I=>I.backupPath===h.backupPath).map(I=>I.uiState);if(d.length)return d[0]}const c=this.lastClosedState||this.state.lastActiveWindow;if(!l&&c)return c.uiState}let n;const r=v.screen.getAllDisplays();if(r.length===1)n=r[0];else{if(D.isMacintosh){const a=v.screen.getCursorScreenPoint();n=v.screen.getDisplayNearestPoint(a)}!n&&l&&(n=v.screen.getDisplayMatching(l.getBounds())),n||(n=v.screen.getPrimaryDisplay()||r[0])}let i=(0,y.defaultWindowState)();i.x=Math.round(n.bounds.x+n.bounds.width/2-i.width/2),i.y=Math.round(n.bounds.y+n.bounds.height/2-i.height/2);const s=this.configurationService.getValue("window");let o=!0;if(s?.newWindowDimensions){if(s.newWindowDimensions==="maximized")i.mode=0,o=!1;else if(s.newWindowDimensions==="fullscreen")i.mode=3,o=!1;else if((s.newWindowDimensions==="inherit"||s.newWindowDimensions==="offset")&&l){const a=l.serializeWindowState();a.mode===3?i.mode=3:i=a,o=i.mode!==3&&s.newWindowDimensions==="offset"}}return o&&(i=this.ensureNoOverlap(i)),i.hasDefaultState=!0,i}ensureNoOverlap(h){if(this.windowsMainService.getWindows().length===0)return h;h.x=typeof h.x=="number"?h.x:0,h.y=typeof h.y=="number"?h.y:0;const l=this.windowsMainService.getWindows().map(n=>n.getBounds());for(;l.some(n=>n.x===h.x||n.y===h.y);)h.x+=30,h.y+=30;return h}};u.windowsStateStorageKey="windowsState",u=fe([te(0,k.IWindowsMainService),te(1,C.IStateMainService),te(2,f.ILifecycleMainService),te(3,p.ILogService),te(4,b.IConfigurationService)],u),e.WindowsStateHandler=u;function S(g){const h={openedWindows:[]},l=g||{openedWindows:[]};return l.lastActiveWindow&&(h.lastActiveWindow=w(l.lastActiveWindow)),l.lastPluginDevelopmentHostWindow&&(h.lastPluginDevelopmentHostWindow=w(l.lastPluginDevelopmentHostWindow)),Array.isArray(l.openedWindows)&&(h.openedWindows=l.openedWindows.map(n=>w(n))),h}e.restoreWindowsState=S;function w(g){const h={uiState:g.uiState};return g.backupPath&&(h.backupPath=g.backupPath),g.remoteAuthority&&(h.remoteAuthority=g.remoteAuthority),g.folder&&(h.folderUri=M.URI.parse(g.folder)),g.workspaceIdentifier&&(h.workspace={id:g.workspaceIdentifier.id,configPath:M.URI.parse(g.workspaceIdentifier.configURIPath)}),h}function E(g){return{lastActiveWindow:g.lastActiveWindow&&P(g.lastActiveWindow),lastPluginDevelopmentHostWindow:g.lastPluginDevelopmentHostWindow&&P(g.lastPluginDevelopmentHostWindow),openedWindows:g.openedWindows.map(h=>P(h))}}e.getWindowsStateStoreData=E;function P(g){return{workspaceIdentifier:g.workspace&&{id:g.workspace.id,configURIPath:g.workspace.configPath.toString()},folder:g.folderUri&&g.folderUri.toString(),backupPath:g.backupPath,remoteAuthority:g.remoteAuthority,uiState:g.uiState}}}),define(X[89],Z([0,1,29,49,119,34,12,9,4,16,7,5,71,24]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isStoredWorkspaceFolder=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=void 0,e.IWorkspacesService=(0,k.createDecorator)("workspacesService");function u(I){return I.hasOwnProperty("workspace")}e.isRecentWorkspace=u;function S(I){return I.hasOwnProperty("folderUri")}e.isRecentFolder=S;function w(I){return I.hasOwnProperty("fileUri")}e.isRecentFile=w;function E(I){return P(I)||g(I)}e.isStoredWorkspaceFolder=E;function P(I){const L=I;return typeof L?.path=="string"&&(!L.name||typeof L.name=="string")}function g(I){const L=I;return typeof L?.uri=="string"&&(!L.name||typeof L.name=="string")}function h(I,L,T,_,K=!f.isWindows,ie){if(I.scheme!==_.scheme)return{name:T,uri:I.toString(!0)};let ne=L?void 0:ie.relativePath(_,I);if(ne!==void 0)ne.length===0?ne=".":f.isWindows&&I.scheme===M.Schemas.file&&!K&&(ne=ne.replace(/\//g,"\\"));else if(I.scheme===M.Schemas.file)ne=I.fsPath,f.isWindows&&(ne=(0,R.normalizeDriveLetter)(ne),K&&(ne=(0,v.toSlashes)(ne)));else{if(!ie.isEqualAuthority(I.authority,_.authority))return{name:T,uri:I.toString(!0)};ne=I.path}return{name:T,path:ne}}e.getStoredWorkspaceFolder=h;function l(I,L,T){const _=[],K=new Set,ie=T.dirname(L);for(const ne of I){let Q;if(P(ne))ne.path&&(Q=T.resolvePath(ie,ne.path));else if(g(ne))try{Q=C.URI.parse(ne.uri),Q.path[0]!=="/"&&(Q=Q.with({path:"/"+Q.path}))}catch(ae){console.warn(ae)}if(Q){const ae=T.getComparisonKey(Q);if(!K.has(ae)){K.add(ae);const le=ne.name||T.basenameOrAuthority(Q);_.push(new m.WorkspaceFolder({uri:Q,name:le,index:_.length},ne))}}}return _}e.toWorkspaceFolders=l;function n(I,L,T,_,K){const ie=r(L,I),ne=K.dirname(L),Q=K.dirname(_),ae=[],le=i(ie.folders);for(const F of ie.folders){const B=P(F)?K.resolvePath(ne,F.path):C.URI.parse(F.uri);let Y;T?Y=!1:Y=!P(F)||(0,b.isAbsolute)(F.path),ae.push(h(B,Y,F.name,Q,le,K))}const $={insertSpaces:!1,tabSize:4,eol:f.isLinux||f.isMacintosh?`
`:`\r
`},oe=D.setProperty(I,["folders"],ae,$);let W=D.applyEdits(I,oe);return(0,p.isEqualAuthority)(ie.remoteAuthority,(0,y.getRemoteAuthority)(_))&&(W=D.applyEdits(W,D.removeProperty(W,["remoteAuthority"],$))),W}e.rewriteWorkspaceFileForNewLocation=n;function r(I,L){const T=t.parse(L);if(T&&Array.isArray(T.folders))T.folders=T.folders.filter(_=>E(_));else throw new Error(`${I} looks like an invalid workspace file.`);return T}function i(I){return f.isWindows?I.some(L=>P(L)&&L.path.indexOf("/")>=0):!0}e.useSlashForPath=i;function s(I){return I.workspace&&typeof I.workspace=="object"&&typeof I.workspace.id=="string"&&typeof I.workspace.configPath=="string"}function o(I){return typeof I.folderUri=="string"}function a(I){return typeof I.fileUri=="string"}function c(I,L){const T={workspaces:[],files:[]};if(I){const _=function(ie,ne){for(let Q=0;Q<ie.length;Q++)try{ne(ie[Q],Q)}catch(ae){L.warn(`Error restoring recent entry ${JSON.stringify(ie[Q])}: ${ae.toString()}. Skip entry.`)}},K=I;Array.isArray(K.entries)&&_(K.entries,ie=>{const ne=ie.label,Q=ie.remoteAuthority;s(ie)?T.workspaces.push({label:ne,remoteAuthority:Q,workspace:{id:ie.workspace.id,configPath:C.URI.parse(ie.workspace.configPath)}}):o(ie)?T.workspaces.push({label:ne,remoteAuthority:Q,folderUri:C.URI.parse(ie.folderUri)}):a(ie)&&T.files.push({label:ne,remoteAuthority:Q,fileUri:C.URI.parse(ie.fileUri)})})}return T}e.restoreRecentlyOpened=c;function d(I){const L={entries:[]};for(const T of I.workspaces)S(T)?L.entries.push({folderUri:T.folderUri.toString(),label:T.label,remoteAuthority:T.remoteAuthority}):L.entries.push({workspace:{id:T.workspace.id,configPath:T.workspace.configPath.toString()},label:T.label,remoteAuthority:T.remoteAuthority});for(const T of I.files)L.entries.push({fileUri:T.fileUri.toString(),label:T.label,remoteAuthority:T.remoteAuthority});return L}e.toStoreData=d}),define(X[112],Z([0,1,75,27,12,4,16]),function(z,e,v,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=void 0;function b(p){function C(){let k=p.scheme===D.Schemas.file?(0,M.originalFSPath)(p):p.toString();return R.isLinux||(k=k.toLowerCase()),(0,v.createHash)("md5").update(k).digest("hex")}return{id:C(),configPath:p}}e.getWorkspaceIdentifier=b;function f(p,C){function k(){if(p.scheme!==D.Schemas.file)return(0,v.createHash)("md5").update(p.toString()).digest("hex");if(!C)try{C=(0,t.statSync)(p.fsPath)}catch{return}let m;return R.isLinux?m=C.ino:R.isMacintosh?m=C.birthtime.getTime():R.isWindows&&(typeof C.birthtimeMs=="number"?m=Math.floor(C.birthtimeMs):m=C.birthtime.getTime()),(0,v.createHash)("md5").update(p.fsPath).update(m?String(m):"").digest("hex")}const y=k();if(typeof y=="string")return{id:y,uri:p}}e.getSingleFolderWorkspaceIdentifier=f}),define(X[47],Z([0,1,14,27,3,49,34,2,12,9,4,16,13,23,169,56,52,26,5,6,20,63,111,24,89,112]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n,r,i,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=(0,P.createDecorator)("workspacesManagementMainService");let o=class extends b.Disposable{constructor(c,d,I,L,T,_){super();this.environmentMainService=c,this.logService=d,this.userDataProfilesMainService=I,this.backupMainService=L,this.dialogMainService=T,this.productService=_,this.untitledWorkspacesHome=this.environmentMainService.untitledWorkspacesHome,this._onDidDeleteUntitledWorkspace=this._register(new D.Emitter),this.onDidDeleteUntitledWorkspace=this._onDidDeleteUntitledWorkspace.event,this._onDidEnterWorkspace=this._register(new D.Emitter),this.onDidEnterWorkspace=this._onDidEnterWorkspace.event}resolveLocalWorkspaceSync(c){return this.doResolveLocalWorkspace(c,d=>(0,t.readFileSync)(d,"utf8"))}resolveLocalWorkspace(c){return this.doResolveLocalWorkspace(c,d=>m.Promises.readFile(d,"utf8"))}doResolveLocalWorkspace(c,d){if(!!this.isWorkspacePath(c)&&c.scheme===f.Schemas.file)try{const I=d(c.fsPath);return I instanceof Promise?I.then(L=>this.doResolveWorkspace(c,L),L=>{}):this.doResolveWorkspace(c,I)}catch{return}}isWorkspacePath(c){return(0,r.isUntitledWorkspace)(c,this.environmentMainService)||(0,r.hasWorkspaceFileExtension)(c)}doResolveWorkspace(c,d){try{const I=this.doParseStoredWorkspace(c,d),L=(0,s.getWorkspaceIdentifier)(c);return{id:L.id,configPath:L.configPath,folders:(0,i.toWorkspaceFolders)(I.folders,L.configPath,k.extUriBiasedIgnorePathCase),remoteAuthority:I.remoteAuthority,transient:I.transient}}catch(I){this.logService.warn(I.toString())}}doParseStoredWorkspace(c,d){const I=(0,R.parse)(d);if(I&&Array.isArray(I.folders))I.folders=I.folders.filter(L=>(0,i.isStoredWorkspaceFolder)(L));else throw new Error(`${c.toString(!0)} looks like an invalid workspace file.`);return I}async createUntitledWorkspace(c,d){const{workspace:I,storedWorkspace:L}=this.newUntitledWorkspace(c,d),T=I.configPath.fsPath;return await m.Promises.mkdir((0,p.dirname)(T),{recursive:!0}),await m.Promises.writeFile(T,JSON.stringify(L,null,"	")),I}createUntitledWorkspaceSync(c,d){const{workspace:I,storedWorkspace:L}=this.newUntitledWorkspace(c,d),T=I.configPath.fsPath;return(0,t.mkdirSync)((0,p.dirname)(T),{recursive:!0}),(0,m.writeFileSync)(T,JSON.stringify(L,null,"	")),I}newUntitledWorkspace(c=[],d){const I=(Date.now()+Math.round(Math.random()*1e3)).toString(),L=(0,k.joinPath)(this.untitledWorkspacesHome,I),T=(0,k.joinPath)(L,r.UNTITLED_WORKSPACE_NAME),_=[];for(const K of c)_.push((0,i.getStoredWorkspaceFolder)(K.uri,!0,K.name,L,!C.isWindows,k.extUriBiasedIgnorePathCase));return{workspace:(0,s.getWorkspaceIdentifier)(T),storedWorkspace:{folders:_,remoteAuthority:d}}}async getWorkspaceIdentifier(c){return(0,s.getWorkspaceIdentifier)(c)}isUntitledWorkspace(c){return(0,r.isUntitledWorkspace)(c.configPath,this.environmentMainService)}deleteUntitledWorkspaceSync(c){!this.isUntitledWorkspace(c)||(this.doDeleteUntitledWorkspaceSync(c),this.userDataProfilesMainService.unsetWorkspace(c),this._onDidDeleteUntitledWorkspace.fire(c))}async deleteUntitledWorkspace(c){this.deleteUntitledWorkspaceSync(c)}doDeleteUntitledWorkspaceSync(c){const d=(0,k.originalFSPath)(c.configPath);try{(0,m.rimrafSync)((0,p.dirname)(d));const I=(0,p.join)(this.environmentMainService.workspaceStorageHome.fsPath,c.id);(0,t.existsSync)(I)&&(0,m.writeFileSync)((0,p.join)(I,"obsolete"),"")}catch(I){this.logService.warn(`Unable to delete untitled workspace ${d} (${I}).`)}}getUntitledWorkspacesSync(){const c=[];try{const d=(0,m.readdirSync)(this.untitledWorkspacesHome.fsPath).map(I=>(0,k.joinPath)(this.untitledWorkspacesHome,I,r.UNTITLED_WORKSPACE_NAME));for(const I of d){const L=(0,s.getWorkspaceIdentifier)(I),T=this.resolveLocalWorkspaceSync(I);T?c.push({workspace:L,remoteAuthority:T.remoteAuthority}):this.doDeleteUntitledWorkspaceSync(L)}}catch(d){d.code!=="ENOENT"&&this.logService.warn(`Unable to read folders in ${this.untitledWorkspacesHome} (${d}).`)}return c}async enterWorkspace(c,d,I){if(!c||!c.win||!c.isReady||!await this.isValidTargetWorkspacePath(c,d,I))return;const T=this.doEnterWorkspace(c,(0,s.getWorkspaceIdentifier)(I));if(!!T)return this._onDidEnterWorkspace.fire({window:c,workspace:T.workspace}),T}async isValidTargetWorkspacePath(c,d,I){if(!I)return!0;if((0,r.isWorkspaceIdentifier)(c.openedWorkspace)&&k.extUriBiasedIgnorePathCase.isEqual(c.openedWorkspace.configPath,I))return!1;if((0,n.findWindowOnWorkspaceOrFolder)(d,I)){const L={title:this.productService.nameLong,type:"info",buttons:[(0,M.mnemonicButtonLabel)((0,u.localize)(0,null))],message:(0,u.localize)(1,null,(0,k.basename)(I)),detail:(0,u.localize)(2,null),noLink:!0,defaultId:0};return await this.dialogMainService.showMessageBox(L,(0,y.withNullAsUndefined)(v.BrowserWindow.getFocusedWindow())),!1}return!0}doEnterWorkspace(c,d){if(!c.config)return;c.focus();let I;return c.config.extensionDevelopmentPath||(I=this.backupMainService.registerWorkspaceBackupSync({workspace:d,remoteAuthority:c.remoteAuthority},c.config.backupPath)),(0,r.isWorkspaceIdentifier)(c.openedWorkspace)&&this.isUntitledWorkspace(c.openedWorkspace)&&this.deleteUntitledWorkspaceSync(c.openedWorkspace),c.config.workspace=d,c.config.backupPath=I,{workspace:d,backupPath:I}}};o=fe([te(0,E.IEnvironmentMainService),te(1,g.ILogService),te(2,l.IUserDataProfilesMainService),te(3,S.IBackupMainService),te(4,w.IDialogMainService),te(5,h.IProductService)],o),e.WorkspacesManagementMainService=o}),define(X[113],Z([0,1,38,22,5,32,24,47]),function(z,e,v,t,D,R,M,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsMainService=e.IDiagnosticsMainService=e.ID=void 0,e.ID="diagnosticsMainService",e.IDiagnosticsMainService=(0,D.createDecorator)(e.ID);let f=class{constructor(C,k){this.windowsMainService=C,this.workspacesManagementMainService=k}async getRemoteDiagnostics(C){const k=this.windowsMainService.getWindows();return(await Promise.all(k.map(m=>new Promise(u=>{const S=m.remoteAuthority;if(S){const w=`vscode:getDiagnosticInfoResponse${m.id}`,E={includeProcesses:C.includeProcesses,folders:C.includeWorkspaceMetadata?this.getFolderURIs(m):void 0};m.sendWhenReady("vscode:getDiagnosticInfo",t.CancellationToken.None,{replyChannel:w,args:E}),v.validatedIpcMain.once(w,(P,g)=>{g||u({hostName:S,errorMessage:`Unable to resolve connection to '${S}'.`}),u(g)}),setTimeout(()=>{u({hostName:S,errorMessage:`Connection to '${S}' could not be established`})},5e3)}else u(void 0)})))).filter(m=>!!m)}getFolderURIs(C){const k=[],y=C.openedWorkspace;if((0,M.isSingleFolderWorkspaceIdentifier)(y))k.push(y.uri);else if((0,M.isWorkspaceIdentifier)(y)){const m=this.workspacesManagementMainService.resolveLocalWorkspaceSync(y.configPath);m&&m.folders.forEach(S=>{k.push(S.uri)})}return k}};f=fe([te(0,R.IWindowsMainService),te(1,b.IWorkspacesManagementMainService)],f),e.DiagnosticsMainService=f}),define(X[114],Z([0,1,14,25,4,13,7,23,17,55,5,6,108,32,24,47]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=(0,C.createDecorator)(e.ID);let w=class{constructor(P,g,h,l,n){this.logService=P,this.windowsMainService=g,this.urlService=h,this.workspacesManagementMainService=l,this.configurationService=n}async start(P,g){this.logService.trace("Received data from other instance: ",P,g),D.isMacintosh&&v.app.focus({steal:!0});const h=this.parseOpenUrl(P);if(h.length){let l=Promise.resolve();this.windowsMainService.getWindowCount()===0&&(l=this.windowsMainService.openEmptyWindow({context:4})[0].ready()),l.then(()=>{for(const{uri:n,url:r}of h)this.urlService.open(n,{originalUrl:r})})}else return this.startOpenWindow(P,g)}parseOpenUrl(P){return P["open-url"]&&P._urls&&P._urls.length>0?(0,t.coalesce)(P._urls.map(g=>{try{return{uri:M.URI.parse(g),url:g}}catch{return null}})):[]}async startOpenWindow(P,g){const h=(0,p.isLaunchedFromCli)(g)?0:4;let l=[];const n=P.wait&&P.waitMarkerFilePath?M.URI.file(P.waitMarkerFilePath):void 0,r=P.remote||void 0,i={context:h,cli:P,userEnv:g,waitMarkerFileURI:n,remoteAuthority:r};if(P.extensionDevelopmentPath)this.windowsMainService.openExtensionDevelopmentHostWindow(P.extensionDevelopmentPath,i);else if(!P._.length&&!P["folder-uri"]&&!P["file-uri"]){let s=!1;if(P["new-window"]||P["unity-launch"])s=!0;else if(P["reuse-window"])s=!1;else switch(this.configurationService.getValue("window")?.openWithoutArgumentsInNewWindow||"default"){case"on":s=!0;break;case"off":s=!1;break;default:s=!D.isMacintosh}if(s)l=this.windowsMainService.open({...i,forceNewWindow:!0,forceEmpty:!0});else{const o=this.windowsMainService.getLastActiveWindow();o?(this.windowsMainService.openExistingWindow(o,i),l=[o]):l=this.windowsMainService.open({...i,forceEmpty:!0})}}else l=this.windowsMainService.open({...i,forceNewWindow:P["new-window"],preferNewWindow:!P["reuse-window"]&&!P.wait,forceReuseWindow:P["reuse-window"],diffMode:P.diff,addMode:P.add,noRecentEntry:!!P["skip-add-to-recently-opened"],gotoLineMode:P.goto});if(n&&l.length===1&&l[0])return Promise.race([l[0].whenClosedOrLoaded,(0,b.whenDeleted)(n.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.logService.trace("Received request for process ID from other instance."),process.pid}async getMainProcessInfo(){this.logService.trace("Received request for main process info from other instance.");const P=[];return v.BrowserWindow.getAllWindows().forEach(g=>{const h=this.windowsMainService.getWindowById(g.id);h?P.push(this.codeWindowToInfo(h)):P.push(this.browserWindowToInfo(g))}),{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:P,screenReader:!!v.app.accessibilitySupportEnabled,gpuFeatureStatus:v.app.getGPUFeatureStatus()}}getFolderURIs(P){const g=[],h=P.openedWorkspace;if((0,u.isSingleFolderWorkspaceIdentifier)(h))g.push(h.uri);else if((0,u.isWorkspaceIdentifier)(h)){const l=this.workspacesManagementMainService.resolveLocalWorkspaceSync(h.configPath);l&&l.folders.forEach(r=>{g.push(r.uri)})}return g}codeWindowToInfo(P){const g=this.getFolderURIs(P),h=(0,R.assertIsDefined)(P.win);return this.browserWindowToInfo(h,g,P.remoteAuthority)}browserWindowToInfo(P,g=[],h){return{pid:P.webContents.getOSProcessId(),title:P.getTitle(),folderURIs:g,remoteAuthority:h}}};w=fe([te(0,k.ILogService),te(1,m.IWindowsMainService),te(2,y.IURLService),te(3,S.IWorkspacesManagementMainService),te(4,f.IConfigurationService)],w),e.LaunchMainService=w}),define(X[64],Z([0,1,42,14,28,137,51,3,34,2,12,9,4,7,93,80,23,90,159,52,26,5,21,6,20,61,32,24,47]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n,r,i,s,o,a,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=(0,l.createDecorator)("nativeHostMainService");let d=class extends p.Disposable{constructor(L,T,_,K,ie,ne,Q,ae,le){super();this.sharedProcess=L,this.windowsMainService=T,this.dialogMainService=_,this.lifecycleMainService=K,this.environmentMainService=ie,this.logService=ne,this.productService=Q,this.themeMainService=ae,this.workspacesManagementMainService=le,this.onDidOpenWindow=b.Event.map(this.windowsMainService.onDidOpenWindow,$=>$.id),this.onDidMaximizeWindow=b.Event.filter(b.Event.fromNodeEventEmitter(t.app,"browser-window-maximize",($,oe)=>oe.id),$=>!!this.windowsMainService.getWindowById($)),this.onDidUnmaximizeWindow=b.Event.filter(b.Event.fromNodeEventEmitter(t.app,"browser-window-unmaximize",($,oe)=>oe.id),$=>!!this.windowsMainService.getWindowById($)),this.onDidBlurWindow=b.Event.filter(b.Event.fromNodeEventEmitter(t.app,"browser-window-blur",($,oe)=>oe.id),$=>!!this.windowsMainService.getWindowById($)),this.onDidFocusWindow=b.Event.any(b.Event.map(b.Event.filter(b.Event.map(this.windowsMainService.onDidChangeWindowsCount,()=>this.windowsMainService.getLastActiveWindow()),$=>!!$),$=>$.id),b.Event.filter(b.Event.fromNodeEventEmitter(t.app,"browser-window-focus",($,oe)=>oe.id),$=>!!this.windowsMainService.getWindowById($))),this.onDidResumeOS=b.Event.fromNodeEventEmitter(t.powerMonitor,"resume"),this.onDidChangeColorScheme=this.themeMainService.onDidChangeColorScheme,this._onDidChangePassword=this._register(new b.Emitter),this.onDidChangePassword=this._onDidChangePassword.event,this.onDidChangeDisplay=b.Event.debounce(b.Event.any(b.Event.filter(b.Event.fromNodeEventEmitter(t.screen,"display-metrics-changed",($,oe,W)=>W),$=>!(Array.isArray($)&&$.length===1&&$[0]==="workArea")),b.Event.fromNodeEventEmitter(t.screen,"display-added"),b.Event.fromNodeEventEmitter(t.screen,"display-removed")),()=>{},100)}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.windowsMainService.getWindows().map(T=>({id:T.id,workspace:T.openedWorkspace,title:T.win?.getTitle()??"",filename:T.getRepresentedFilename(),dirty:T.isDocumentEdited()}))}async getWindowCount(L){return this.windowsMainService.getWindowCount()}async getActiveWindowId(L){const T=t.BrowserWindow.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(T)return T.id}openWindow(L,T,_){return Array.isArray(T)?this.doOpenWindow(L,T,_):this.doOpenEmptyWindow(L,T)}async doOpenWindow(L,T,_=Object.create(null)){T.length>0&&this.windowsMainService.open({context:5,contextWindowId:L,urisToOpen:T,cli:this.environmentMainService.args,forceNewWindow:_.forceNewWindow,forceReuseWindow:_.forceReuseWindow,preferNewWindow:_.preferNewWindow,diffMode:_.diffMode,addMode:_.addMode,gotoLineMode:_.gotoLineMode,noRecentEntry:_.noRecentEntry,waitMarkerFileURI:_.waitMarkerFileURI,remoteAuthority:_.remoteAuthority||void 0})}async doOpenEmptyWindow(L,T){this.windowsMainService.openEmptyWindow({context:5,contextWindowId:L},T)}async toggleFullScreen(L){const T=this.windowById(L);T&&T.toggleFullScreen()}async handleTitleDoubleClick(L){const T=this.windowById(L);T&&T.handleTitleDoubleClick()}async isMaximized(L){const T=this.windowById(L);return T?.win?T.win.isMaximized():!1}async maximizeWindow(L){const T=this.windowById(L);T?.win&&T.win.maximize()}async unmaximizeWindow(L){const T=this.windowById(L);T?.win&&T.win.unmaximize()}async minimizeWindow(L){const T=this.windowById(L);T?.win&&T.win.minimize()}async updateTitleBarOverlay(L,T){const _=this.windowById(L);_?.win&&_.win.setTitleBarOverlay({color:T.backgroundColor,symbolColor:T.foregroundColor,height:T.height?T.height-1:void 0})}async focusWindow(L,T){T&&typeof T.windowId=="number"&&(L=T.windowId),this.windowById(L)?.focus({force:T?.force??!1})}async setMinimumSize(L,T,_){const K=this.windowById(L);if(K?.win){const[ie,ne]=K.win.getSize(),[Q,ae]=K.win.getMinimumSize(),[le,$]=[T??Q,_??ae],[oe,W]=[Math.max(ie,le),Math.max(ne,$)];(Q!==le||ae!==$)&&K.win.setMinimumSize(le,$),(ie!==oe||ne!==W)&&K.win.setSize(oe,W)}}async saveWindowSplash(L,T){this.themeMainService.saveWindowSplash(L,T)}async installShellCommand(L){const{source:T,target:_}=await this.getShellCommandLink();try{const{symbolicLink:K}=await w.SymlinkSupport.stat(T);if(K&&!K.dangling){const ie=await(0,u.realpath)(T);if(_===ie)return}await w.Promises.unlink(T)}catch(K){if(K.code!=="ENOENT")throw K}try{await w.Promises.symlink(_,T)}catch(K){if(K.code!=="EACCES"&&K.code!=="ENOENT")throw K;const{response:ie}=await this.showMessageBox(L,{title:this.productService.nameLong,type:"info",message:(0,P.localize)(0,null,this.productService.nameShort),buttons:[(0,f.mnemonicButtonLabel)((0,P.localize)(1,null)),(0,f.mnemonicButtonLabel)((0,P.localize)(2,null))],noLink:!0,defaultId:0,cancelId:1});if(ie===0)try{const ne=`osascript -e "do shell script \\"mkdir -p /usr/local/bin && ln -sf '${_}' '${T}'\\" with administrator privileges"`;await(0,R.promisify)(v.exec)(ne)}catch{throw new Error((0,P.localize)(3,null,T))}}}async uninstallShellCommand(L){const{source:T}=await this.getShellCommandLink();try{await w.Promises.unlink(T)}catch(_){switch(_.code){case"EACCES":{const{response:K}=await this.showMessageBox(L,{title:this.productService.nameLong,type:"info",message:(0,P.localize)(4,null,this.productService.nameShort),buttons:[(0,f.mnemonicButtonLabel)((0,P.localize)(5,null)),(0,f.mnemonicButtonLabel)((0,P.localize)(6,null))],noLink:!0,defaultId:0,cancelId:1});if(K===0)try{const ie=`osascript -e "do shell script \\"rm '${T}'\\" with administrator privileges"`;await(0,R.promisify)(v.exec)(ie)}catch{throw new Error((0,P.localize)(7,null,T))}break}case"ENOENT":break;default:throw _}}}async getShellCommandLink(){const L=(0,k.resolve)(this.environmentMainService.appRoot,"bin","code"),T=`/usr/local/bin/${this.productService.applicationName}`;if(!await w.Promises.exists(L))throw new Error((0,P.localize)(8,null,L));return{source:T,target:L}}async showMessageBox(L,T){return this.dialogMainService.showMessageBox(T,this.toBrowserWindow(L))}async showSaveDialog(L,T){return this.dialogMainService.showSaveDialog(T,this.toBrowserWindow(L))}async showOpenDialog(L,T){return this.dialogMainService.showOpenDialog(T,this.toBrowserWindow(L))}toBrowserWindow(L){const T=this.windowById(L);if(T?.win)return T.win}async pickFileFolderAndOpen(L,T){const _=await this.dialogMainService.pickFileFolder(T);_&&this.doOpenPicked(await Promise.all(_.map(async K=>await w.SymlinkSupport.existsDirectory(K)?{folderUri:m.URI.file(K)}:{fileUri:m.URI.file(K)})),T,L)}async pickFolderAndOpen(L,T){const _=await this.dialogMainService.pickFolder(T);_&&this.doOpenPicked(_.map(K=>({folderUri:m.URI.file(K)})),T,L)}async pickFileAndOpen(L,T){const _=await this.dialogMainService.pickFile(T);_&&this.doOpenPicked(_.map(K=>({fileUri:m.URI.file(K)})),T,L)}async pickWorkspaceAndOpen(L,T){const _=await this.dialogMainService.pickWorkspace(T);_&&this.doOpenPicked(_.map(K=>({workspaceUri:m.URI.file(K)})),T,L)}doOpenPicked(L,T,_){this.windowsMainService.open({context:3,contextWindowId:_,cli:this.environmentMainService.args,urisToOpen:L,forceNewWindow:T.forceNewWindow})}async showItemInFolder(L,T){t.shell.showItemInFolder(T)}async setRepresentedFilename(L,T){this.windowById(L)?.setRepresentedFilename(T)}async setDocumentEdited(L,T){this.windowById(L)?.setDocumentEdited(T)}async openExternal(L,T){return y.isLinuxSnap?this.safeSnapOpenExternal(T):t.shell.openExternal(T),!0}safeSnapOpenExternal(L){const T=process.env.GDK_PIXBUF_MODULE_FILE,_=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,t.shell.openExternal(L),process.env.GDK_PIXBUF_MODULE_FILE=T,process.env.GDK_PIXBUF_MODULEDIR=_}moveItemToTrash(L,T){return t.shell.trashItem(T)}async isAdmin(){let L;return y.isWindows?L=(await new Promise((T,_)=>{z(["native-is-elevated"],T,_)}))():L=process.getuid()===0,L}async writeElevated(L,T,_,K){const ie=await new Promise((ne,Q)=>{z(["@vscode/sudo-prompt"],ne,Q)});return new Promise((ne,Q)=>{const ae=[`"${this.cliPath}"`];K?.unlock&&ae.push("--file-chmod"),ae.push("--file-write",`"${T.fsPath}"`,`"${_.fsPath}"`);const le={name:this.productService.nameLong.replace("-",""),icns:y.isMacintosh&&this.environmentMainService.isBuilt?(0,k.join)((0,k.dirname)(this.environmentMainService.appRoot),`${this.productService.nameShort}.icns`):void 0};ie.exec(ae.join(" "),le,($,oe,W)=>{oe&&this.logService.trace(`[sudo-prompt] received stdout: ${oe}`),W&&this.logService.trace(`[sudo-prompt] received stderr: ${W}`),$?Q($):ne(void 0)})})}get cliPath(){return y.isWindows?this.environmentMainService.isBuilt?(0,k.join)((0,k.dirname)(process.execPath),"bin",`${this.productService.applicationName}.cmd`):(0,k.join)(this.environmentMainService.appRoot,"scripts","code-cli.bat"):y.isLinux?this.environmentMainService.isBuilt?(0,k.join)((0,k.dirname)(process.execPath),"bin",`${this.productService.applicationName}`):(0,k.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh"):this.environmentMainService.isBuilt?(0,k.join)(this.environmentMainService.appRoot,"bin","code"):(0,k.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:(0,D.totalmem)(),freemem:(0,D.freemem)(),loadavg:(0,D.loadavg)()}}async getOSProperties(){return{arch:(0,D.arch)(),platform:(0,D.platform)(),release:(0,D.release)(),type:(0,D.type)(),cpus:(0,D.cpus)()}}async getOSVirtualMachineHint(){return S.virtualMachineHint.value()}async getOSColorScheme(){return this.themeMainService.getColorScheme()}async killProcess(L,T,_){process.kill(T,_)}async readClipboardText(L,T){return t.clipboard.readText(T)}async writeClipboardText(L,T,_){return t.clipboard.writeText(T,_)}async readClipboardFindText(L){return t.clipboard.readFindText()}async writeClipboardFindText(L,T){return t.clipboard.writeFindText(T)}async writeClipboardBuffer(L,T,_,K){return t.clipboard.writeBuffer(T,Buffer.from(_),K)}async readClipboardBuffer(L,T){return t.clipboard.readBuffer(T)}async hasClipboard(L,T,_){return t.clipboard.has(T,_)}async newWindowTab(){this.windowsMainService.open({context:5,cli:this.environmentMainService.args,forceNewTabbedWindow:!0,forceEmpty:!0,remoteAuthority:this.environmentMainService.args.remote||void 0})}async showPreviousWindowTab(){t.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){t.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){t.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){t.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){t.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(L,T){this.windowById(L)?.updateTouchBar(T)}async notifyReady(L){const T=this.windowById(L);T&&T.setReady()}async relaunch(L,T){return this.lifecycleMainService.relaunch(T)}async reload(L,T){const _=this.windowById(L);if(_){if((0,a.isWorkspaceIdentifier)(_.openedWorkspace)){const K=_.openedWorkspace.configPath;if(K.scheme===C.Schemas.file&&(await this.workspacesManagementMainService.resolveLocalWorkspace(K))?.transient)return this.openWindow(_.id,{forceReuseWindow:!0})}return this.lifecycleMainService.reload(_,T?.disableExtensions!==void 0?{_:[],"disable-extensions":T.disableExtensions}:void 0)}}async closeWindow(L){this.closeWindowById(L,L)}async closeWindowById(L,T){const _=this.windowById(T);if(_?.win)return _.win.close()}async quit(L){const T=this.windowsMainService.getLastActiveWindow();T?.isExtensionDevelopmentHost&&this.windowsMainService.getWindowCount()>1&&T.win?T.win.close():this.lifecycleMainService.quit()}async exit(L,T){await this.lifecycleMainService.kill(T)}async resolveProxy(L,T){const K=this.windowById(L)?.win?.webContents?.session;if(K)return K.resolveProxy(T)}findFreePort(L,T,_,K,ie=1){return(0,E.findFreePort)(T,_,K,ie)}async openDevTools(L,T){const _=this.windowById(L);_?.win&&_.win.webContents.openDevTools(T)}async toggleDevTools(L){const T=this.windowById(L);T?.win&&T.win.webContents.toggleDevTools()}async sendInputEvent(L,T){const _=this.windowById(L);_?.win&&(T.type==="mouseDown"||T.type==="mouseUp")&&_.win.webContents.sendInputEvent(T)}async toggleSharedProcessWindow(){return this.sharedProcess.toggle()}async windowsGetStringRegKey(L,T,_,K){if(!y.isWindows)return;const ie=await new Promise((ne,Q)=>{z(["@vscode/windows-registry"],ne,Q)});try{return ie.GetStringRegKey(T,_,K)}catch{return}}windowById(L){if(typeof L=="number")return this.windowsMainService.getWindowById(L)}};fe([M.memoize],d.prototype,"cliPath",null),d=fe([te(1,o.IWindowsMainService),te(2,g.IDialogMainService),te(3,n.ILifecycleMainService),te(4,h.IEnvironmentMainService),te(5,r.ILogService),te(6,i.IProductService),te(7,s.IThemeMainService),te(8,c.IWorkspacesManagementMainService)],d),e.NativeHostMainService=d}),define(X[247],Z([0,1,14,38,28,34,2,12,4,94,157,83,113,52,26,5,114,6,64,57,20,58,73]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0,e.IIssueMainService=(0,S.createDecorator)("issueMainService");let r=class Lt{constructor(s,o,a,c,d,I,L,T,_,K){this.userEnv=s,this.environmentMainService=o,this.launchMainService=a,this.logService=c,this.diagnosticsService=d,this.diagnosticsMainService=I,this.dialogMainService=L,this.nativeHostMainService=T,this.protocolMainService=_,this.productService=K,this.issueReporterWindow=null,this.issueReporterParentWindow=null,this.processExplorerWindow=null,this.processExplorerParentWindow=null,this.registerListeners()}registerListeners(){t.validatedIpcMain.on("vscode:issueSystemInfoRequest",async s=>{const[o,a]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]),c=await this.diagnosticsService.getSystemInfo(o,a);this.safeSend(s,"vscode:issueSystemInfoResponse",c)}),t.validatedIpcMain.on("vscode:listProcesses",async s=>{const o=[];try{const a=await this.launchMainService.getMainProcessId();o.push({name:(0,C.localize)(0,null),rootProcess:await(0,p.listProcesses)(a)}),(await this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!0})).forEach(d=>{(0,k.isRemoteDiagnosticError)(d)?o.push({name:d.hostName,rootProcess:d}):d.processes&&o.push({name:d.hostName,rootProcess:d.processes})})}catch(a){this.logService.error(`Listing processes failed: ${a}`)}this.safeSend(s,"vscode:listProcessesResponse",o)}),t.validatedIpcMain.on("vscode:issueReporterClipboard",async s=>{const o={title:this.productService.nameLong,message:(0,C.localize)(1,null),type:"warning",buttons:[(0,R.mnemonicButtonLabel)((0,C.localize)(2,null)),(0,R.mnemonicButtonLabel)((0,C.localize)(3,null))],defaultId:0,cancelId:1,noLink:!0};if(this.issueReporterWindow){const a=await this.dialogMainService.showMessageBox(o,this.issueReporterWindow);this.safeSend(s,"vscode:issueReporterClipboardResponse",a.response===0)}}),t.validatedIpcMain.on("vscode:issuePerformanceInfoRequest",async s=>{const o=await this.getPerformanceInfo();this.safeSend(s,"vscode:issuePerformanceInfoResponse",o)}),t.validatedIpcMain.on("vscode:issueReporterConfirmClose",async()=>{const s={title:this.productService.nameLong,message:(0,C.localize)(4,null),type:"warning",buttons:[(0,R.mnemonicButtonLabel)((0,C.localize)(5,null)),(0,R.mnemonicButtonLabel)((0,C.localize)(6,null))],defaultId:0,cancelId:1,noLink:!0};this.issueReporterWindow&&(await this.dialogMainService.showMessageBox(s,this.issueReporterWindow)).response===0&&this.issueReporterWindow&&(this.issueReporterWindow.destroy(),this.issueReporterWindow=null)}),t.validatedIpcMain.on("vscode:workbenchCommand",(s,o)=>{const{id:a,from:c,args:d}=o;let I;switch(c){case"issueReporter":I=this.issueReporterParentWindow;break;case"processExplorer":I=this.processExplorerParentWindow;break;default:throw new Error(`Unexpected command source: ${c}`)}I?.webContents.send("vscode:runAction",{id:a,from:c,args:d})}),t.validatedIpcMain.on("vscode:openExternal",(s,o)=>{this.nativeHostMainService.openExternal(void 0,o)}),t.validatedIpcMain.on("vscode:closeIssueReporter",s=>{this.issueReporterWindow&&this.issueReporterWindow.close()}),t.validatedIpcMain.on("vscode:closeProcessExplorer",s=>{this.processExplorerWindow&&this.processExplorerWindow.close()}),t.validatedIpcMain.on("vscode:windowsInfoRequest",async s=>{const o=await this.launchMainService.getMainProcessInfo();this.safeSend(s,"vscode:windowsInfoResponse",o.windows)})}safeSend(s,o,...a){s.sender.isDestroyed()||s.sender.send(o,...a)}async openReporter(s){if(!this.issueReporterWindow&&(this.issueReporterParentWindow=v.BrowserWindow.getFocusedWindow(),this.issueReporterParentWindow)){const o=new M.DisposableStore,a=o.add(this.protocolMainService.createIPCObjectUrl()),c=this.getWindowPosition(this.issueReporterParentWindow,700,800);this.issueReporterWindow=this.createBrowserWindow(c,a,{backgroundColor:s.styles.backgroundColor,title:(0,C.localize)(7,null),zoomLevel:s.zoomLevel,alwaysOnTop:!1},"issue-reporter"),a.update({appRoot:this.environmentMainService.appRoot,windowId:this.issueReporterWindow.id,userEnv:this.userEnv,data:s,disableExtensions:!!this.environmentMainService.disableExtensions,os:{type:(0,D.type)(),arch:(0,D.arch)(),release:(0,D.release)()},product:g.default}),this.issueReporterWindow.loadURL(b.FileAccess.asBrowserUri("vs/code/electron-sandbox/issue/issueReporter.html",z).toString(!0)),this.issueReporterWindow.on("close",()=>{this.issueReporterWindow=null,o.dispose()}),this.issueReporterParentWindow.on("closed",()=>{this.issueReporterWindow&&(this.issueReporterWindow.close(),this.issueReporterWindow=null,o.dispose())})}this.issueReporterWindow&&this.focusWindow(this.issueReporterWindow)}async openProcessExplorer(s){if(!this.processExplorerWindow&&(this.processExplorerParentWindow=v.BrowserWindow.getFocusedWindow(),this.processExplorerParentWindow)){const o=new M.DisposableStore,a=o.add(this.protocolMainService.createIPCObjectUrl()),c=this.getWindowPosition(this.processExplorerParentWindow,800,500);this.processExplorerWindow=this.createBrowserWindow(c,a,{backgroundColor:s.styles.backgroundColor,title:(0,C.localize)(8,null),zoomLevel:s.zoomLevel,alwaysOnTop:!0},"process-explorer"),a.update({appRoot:this.environmentMainService.appRoot,windowId:this.processExplorerWindow.id,userEnv:this.userEnv,data:s,product:g.default}),this.processExplorerWindow.loadURL(b.FileAccess.asBrowserUri("vs/code/electron-sandbox/processExplorer/processExplorer.html",z).toString(!0)),this.processExplorerWindow.on("close",()=>{this.processExplorerWindow=null,o.dispose()}),this.processExplorerParentWindow.on("close",()=>{this.processExplorerWindow&&(this.processExplorerWindow.close(),this.processExplorerWindow=null,o.dispose())})}this.processExplorerWindow&&this.focusWindow(this.processExplorerWindow)}focusWindow(s){s.isMinimized()&&s.restore(),s.focus()}createBrowserWindow(s,o,a,c){const d=new v.BrowserWindow({fullscreen:!1,skipTaskbar:!0,resizable:!0,width:s.width,height:s.height,minWidth:300,minHeight:200,x:s.x,y:s.y,title:a.title,backgroundColor:a.backgroundColor||Lt.DEFAULT_BACKGROUND_COLOR,webPreferences:{preload:b.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",z).fsPath,additionalArguments:[`--vscode-window-config=${o.resource.toString()}`,`--vscode-window-kind=${c}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,zoomFactor:(0,n.zoomLevelToZoomFactor)(a.zoomLevel),sandbox:!0,contextIsolation:!0},alwaysOnTop:a.alwaysOnTop,experimentalDarkMode:!0});return d.setMenuBarVisibility(!1),d}async getSystemStatus(){const[s,o]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]);return this.diagnosticsService.getDiagnostics(s,o)}getWindowPosition(s,o,a){let c;const d=v.screen.getAllDisplays();if(d.length===1)c=d[0];else{if(f.isMacintosh){const T=v.screen.getCursorScreenPoint();c=v.screen.getDisplayNearestPoint(T)}!c&&s&&(c=v.screen.getDisplayMatching(s.getBounds())),c||(c=v.screen.getPrimaryDisplay()||d[0])}const I={width:o,height:a},L=c.bounds;return I.x=L.x+L.width/2-I.width/2,I.y=L.y+L.height/2-I.height/2,L.width>0&&L.height>0&&(I.x<L.x&&(I.x=L.x),I.y<L.y&&(I.y=L.y),I.x>L.x+L.width&&(I.x=L.x),I.y>L.y+L.height&&(I.y=L.y),I.width>L.width&&(I.width=L.width),I.height>L.height&&(I.height=L.height)),I}async getPerformanceInfo(){try{const[s,o]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]);return await this.diagnosticsService.getPerformanceInfo(s,o)}catch(s){throw this.logService.warn("issueService#getPerformanceInfo ",s.message),s}}};r.DEFAULT_BACKGROUND_COLOR="#1E1E1E",r=fe([te(1,u.IEnvironmentMainService),te(2,w.ILaunchMainService),te(3,E.ILogService),te(4,k.IDiagnosticsService),te(5,y.IDiagnosticsMainService),te(6,m.IDialogMainService),te(7,P.INativeHostMainService),te(8,l.IProtocolMainService),te(9,h.IProductService)],r),e.IssueMainService=r}),define(X[248],Z([0,1,22,17,26,21,6,64,20,60,35,46,87]),function(z,e,v,t,D,R,M,b,f,p,C,k,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let m=class extends y.AbstractUpdateService{constructor(S,w,E,P,g,h,l,n){super(S,w,P,g,h,n);this.telemetryService=E,this.nativeHostMainService=l}buildUpdateFeedUrl(S){return(0,y.createUpdateURL)(`linux-${process.arch}`,S,this.productService)}doCheckForUpdates(S){!this.url||(this.setState(k.State.CheckingForUpdates(S)),this.requestService.request({url:this.url},v.CancellationToken.None).then(p.asJson).then(w=>{!w||!w.url||!w.version||!w.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!S}),this.setState(k.State.Idle(1))):this.setState(k.State.AvailableForDownload(w))}).then(void 0,w=>{this.logService.error(w),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!S});const E=S?w.message||w:void 0;this.setState(k.State.Idle(1,E))}))}async doDownloadUpdate(S){this.productService.downloadUrl&&this.productService.downloadUrl.length>0?this.nativeHostMainService.openExternal(void 0,this.productService.downloadUrl):S.update.url&&this.nativeHostMainService.openExternal(void 0,S.update.url),this.setState(k.State.Idle(1))}};m=fe([te(0,R.ILifecycleMainService),te(1,t.IConfigurationService),te(2,C.ITelemetryService),te(3,D.IEnvironmentMainService),te(4,p.IRequestService),te(5,M.ILogService),te(6,b.INativeHostMainService),te(7,f.IProductService)],m),e.LinuxUpdateService=m}),define(X[249],Z([0,1,42,27,28,8,22,51,9,7,123,23,17,26,15,21,6,64,20,60,35,46,87]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function r(a,c=1e3){for(;!a();)await(0,R.timeout)(c)}let i;function s(){return typeof i=="undefined"&&(i=t.existsSync(f.join(f.dirname(process.execPath),"unins000.exe"))?0:1),i}let o=class extends n.AbstractUpdateService{constructor(c,d,I,L,T,_,K,ie,ne){super(c,d,L,T,_,ne);this.telemetryService=I,this.fileService=K,this.nativeHostMainService=ie}get cachePath(){const c=f.join((0,D.tmpdir)(),`vscode-update-${this.productService.target}-${process.arch}`);return k.Promises.mkdir(c,{recursive:!0}).then(()=>c)}buildUpdateFeedUrl(c){let d="win32";return process.arch!=="ia32"&&(d+=`-${process.arch}`),s()===1?d+="-archive":this.productService.target==="user"&&(d+="-user"),(0,n.createUpdateURL)(d,c,this.productService)}doCheckForUpdates(c){!this.url||(this.setState(l.State.CheckingForUpdates(c)),this.requestService.request({url:this.url},M.CancellationToken.None).then(g.asJson).then(d=>{const I=s();return!d||!d.url||!d.version||!d.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!c}),this.setState(l.State.Idle(I)),Promise.resolve(null)):I===1?(this.setState(l.State.AvailableForDownload(d)),Promise.resolve(null)):(this.setState(l.State.Downloading(d)),this.cleanup(d.version).then(()=>this.getUpdatePackagePath(d.version).then(L=>k.Promises.exists(L).then(T=>{if(T)return Promise.resolve(L);const _=d.url,K=d.hash,ie=`${L}.tmp`;return this.requestService.request({url:_},M.CancellationToken.None).then(ne=>this.fileService.writeFile(p.URI.file(ie),ne.stream)).then(K?()=>(0,C.checksum)(ie,d.hash):()=>{}).then(()=>k.Promises.rename(ie,L)).then(()=>L)})).then(L=>{const T=this.configurationService.getValue("update.enableWindowsBackgroundUpdates");this.availableUpdate={packagePath:L},T&&d.supportsFastUpdate?this.productService.target==="user"?this.doApplyUpdate():this.setState(l.State.Downloaded(d)):this.setState(l.State.Ready(d))})))}).then(void 0,d=>{this.logService.error(d),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!c});const I=c?d.message||d:void 0;this.setState(l.State.Idle(s(),I))}))}async doDownloadUpdate(c){c.update.url&&this.nativeHostMainService.openExternal(void 0,c.update.url),this.setState(l.State.Idle(s()))}async getUpdatePackagePath(c){const d=await this.cachePath;return f.join(d,`CodeSetup-${this.productService.quality}-${c}.exe`)}async cleanup(c=null){const d=c?_=>!new RegExp(`${this.productService.quality}-${c}\\.exe$`).test(_):()=>!0,I=await this.cachePath,T=(await k.Promises.readdir(I)).filter(d).map(async _=>{try{await k.Promises.unlink(f.join(I,_))}catch{}});await Promise.all(T)}async doApplyUpdate(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.availableUpdate)return Promise.resolve(void 0);const c=this.state.update;this.setState(l.State.Updating(c));const d=await this.cachePath;this.availableUpdate.updateFilePath=f.join(d,`CodeSetup-${this.productService.quality}-${c.version}.flag`),await k.Promises.writeFile(this.availableUpdate.updateFilePath,"flag"),(0,v.spawn)(this.availableUpdate.packagePath,["/verysilent",`/update="${this.availableUpdate.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.availableUpdate=void 0,this.setState(l.State.Idle(s()))});const L=`${this.productService.win32MutexName}-ready`,T=await new Promise((_,K)=>{z(["windows-mutex"],_,K)});r(()=>T.isActive(L)).then(()=>this.setState(l.State.Ready(c)))}doQuitAndInstall(){this.state.type!=="ready"||!this.availableUpdate||(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.availableUpdate.updateFilePath?t.unlinkSync(this.availableUpdate.updateFilePath):(0,v.spawn)(this.availableUpdate.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}getUpdateType(){return s()}};fe([b.memoize],o.prototype,"cachePath",null),o=fe([te(0,S.ILifecycleMainService),te(1,y.IConfigurationService),te(2,h.ITelemetryService),te(3,m.IEnvironmentMainService),te(4,g.IRequestService),te(5,w.ILogService),te(6,u.IFileService),te(7,E.INativeHostMainService),te(8,P.IProductService)],o),e.Win32UpdateService=o}),define(X[250],Z([0,1,14,8,22,41,3,34,2,12,9,70,4,7,165,56,17,52,26,55,15,21,6,20,58,219,88,35,222,61,73,32,24,47,109,117,37,40,66]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n,r,i,s,o,a,c,d,I,L,T,_,K,ie,ne,Q,ae){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var le;(function(oe){oe[oe.NONE=0]="NONE",oe[oe.NAVIGATING=1]="NAVIGATING",oe[oe.READY=2]="READY"})(le||(le={}));let $=class extends f.Disposable{constructor(W,F,B,Y,H,G,ee,A,O,N,q,J,U,V,x,se,ce,ge){super();this.logService=F,this.environmentMainService=B,this.policyService=Y,this.userDataProfilesService=H,this.fileService=G,this.applicationStorageMainService=ee,this.storageMainService=A,this.configurationService=O,this.themeMainService=N,this.workspacesManagementMainService=q,this.backupMainService=J,this.telemetryService=U,this.dialogMainService=V,this.lifecycleMainService=x,this.productService=se,this.protocolMainService=ce,this.windowsMainService=ge,this._onWillLoad=this._register(new M.Emitter),this.onWillLoad=this._onWillLoad.event,this._onDidSignalReady=this._register(new M.Emitter),this.onDidSignalReady=this._onDidSignalReady.event,this._onDidClose=this._register(new M.Emitter),this.onDidClose=this._onDidClose.event,this._onDidDestroy=this._register(new M.Emitter),this.onDidDestroy=this._onDidDestroy.event,this._lastFocusTime=-1,this.whenReadyCallbacks=[],this.touchBarGroups=[],this.currentHttpProxy=void 0,this.currentNoProxy=void 0,this.configObjectUrl=this._register(this.protocolMainService.createIPCObjectUrl()),this.wasLoaded=!1,this.readyState=0;{const[ye,Ce]=this.restoreWindowState(W.state);this.windowState=ye,this.logService.trace("window#ctor: using window state",ye);const Ie=this.windowState.mode===0||this.windowState.mode===3,Ae=this.configurationService.getValue("window"),Re={width:this.windowState.width,height:this.windowState.height,x:this.windowState.x,y:this.windowState.y,backgroundColor:this.themeMainService.getBackgroundColor(),minWidth:I.WindowMinimumSize.WIDTH,minHeight:I.WindowMinimumSize.HEIGHT,show:!Ie,title:this.productService.nameLong,webPreferences:{preload:p.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",z).fsPath,additionalArguments:[`--vscode-window-config=${this.configObjectUrl.resource.toString()}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,zoomFactor:(0,I.zoomLevelToZoomFactor)(Ae?.zoomLevel),enableBlinkFeatures:"HighlightAPI",...Ae?.experimental?.useSandbox?{sandbox:!0}:{nodeIntegration:!0,contextIsolation:!1}},experimentalDarkMode:!0};y.isLinux?Re.icon=(0,C.join)(this.environmentMainService.appRoot,"resources/linux/code.png"):y.isWindows&&!this.environmentMainService.isBuilt&&(Re.icon=(0,C.join)(this.environmentMainService.appRoot,"resources/win32/code_150x150.png")),y.isMacintosh&&!this.useNativeFullScreen()&&(Re.fullscreenable=!1),y.isMacintosh&&(Re.acceptFirstMouse=!0,Ae?.clickThroughInactive===!1&&(Re.acceptFirstMouse=!1));const ue=y.isMacintosh&&Ae?.nativeTabs===!0;ue&&(Re.tabbingIdentifier=this.productService.nameShort);const de=(0,I.getTitleBarStyle)(this.configurationService)==="custom";if(de&&(Re.titleBarStyle="hidden",y.isMacintosh||(Re.frame=!1),(0,I.useWindowControlsOverlay)(this.configurationService,this.environmentMainService))){const pe=this.themeMainService.getWindowSplash()?.colorInfo.titleBarBackground??this.themeMainService.getBackgroundColor(),ke=ie.Color.fromHex(pe).isDarker()?"#FFFFFF":"#000000";Re.titleBarOverlay={height:29,color:pe,symbolColor:ke}}if((0,k.mark)("code/willCreateCodeBrowserWindow"),this._win=new v.BrowserWindow(Re),(0,k.mark)("code/didCreateCodeBrowserWindow"),this._id=this._win.id,y.isMacintosh&&de&&this.updateTrafficLightPosition(),y.isMacintosh&&de&&this._win.setSheetOffset(22),y.isMacintosh&&Ce&&(!ue||v.BrowserWindow.getAllWindows().length===1)&&[this.windowState.width,this.windowState.height,this.windowState.x,this.windowState.y].every(pe=>typeof pe=="number")){const pe=this.windowState;this._win.setBounds({width:pe.width,height:pe.height,x:pe.x,y:pe.y})}Ie&&((0,k.mark)("code/willMaximizeCodeWindow"),this._win.maximize(),this.windowState.mode===3&&this.setFullScreen(!0),this._win.show(),(0,k.mark)("code/didMaximizeCodeWindow")),this._lastFocusTime=Date.now()}this.environmentMainService.args["open-devtools"]===!0&&this._win.webContents.openDevTools(),this.onConfigurationUpdated(),this.createTouchBar(),this.registerListeners()}get id(){return this._id}get win(){return this._win}get lastFocusTime(){return this._lastFocusTime}get backupPath(){return this._config?.backupPath}get openedWorkspace(){return this._config?.workspace}get profile(){return this._profile||(this._profile=(0,ae.revive)(this._config?.profiles.current)),this._profile}get remoteAuthority(){return this._config?.remoteAuthority}get config(){return this._config}get isExtensionDevelopmentHost(){return!!this._config?.extensionDevelopmentPath}get isExtensionTestHost(){return!!this._config?.extensionTestsPath}get isExtensionDevelopmentTestFromCli(){return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!this._config?.debugId}setRepresentedFilename(W){y.isMacintosh&&!this.customTrafficLightPosition?this._win.setRepresentedFilename(W):this.representedFilename=W}getRepresentedFilename(){return y.isMacintosh&&!this.customTrafficLightPosition?this._win.getRepresentedFilename():this.representedFilename}setDocumentEdited(W){y.isMacintosh&&this._win.setDocumentEdited(W),this.documentEdited=W}isDocumentEdited(){return y.isMacintosh?this._win.isDocumentEdited():!!this.documentEdited}focus(W){y.isMacintosh&&W?.force&&v.app.focus({steal:!0}),!!this._win&&(this._win.isMinimized()&&this._win.restore(),this._win.focus())}setReady(){for(this.logService.trace(`window#load: window reported ready (id: ${this._id})`),this.readyState=2;this.whenReadyCallbacks.length;)this.whenReadyCallbacks.pop()(this);this._onDidSignalReady.fire()}ready(){return new Promise(W=>{if(this.isReady)return W(this);this.whenReadyCallbacks.push(W)})}get isReady(){return this.readyState===2}get whenClosedOrLoaded(){return new Promise(W=>{function F(){B.dispose(),Y.dispose(),W()}const B=this.onDidClose(()=>F()),Y=this.onWillLoad(()=>F())})}registerListeners(){this._win.on("unresponsive",()=>this.onWindowError(1)),this._win.webContents.on("render-process-gone",(F,B)=>this.onWindowError(2,B)),this._win.webContents.on("did-fail-load",(F,B,Y)=>this.onWindowError(3,{reason:Y,exitCode:B})),this._win.webContents.on("will-prevent-unload",F=>{F.preventDefault()}),this._win.on("closed",()=>{this._onDidClose.fire(),this.dispose()}),this._win.webContents.on("did-finish-load",()=>{this.pendingLoadConfig&&(this._config=this.pendingLoadConfig,this.pendingLoadConfig=void 0)}),this._win.on("focus",()=>{this._lastFocusTime=Date.now()}),this._win.on("maximize",F=>{this._config&&(this._config.maximized=!0),v.app.emit("browser-window-maximize",F,this._win)}),this._win.on("unmaximize",F=>{this._config&&(this._config.maximized=!1),v.app.emit("browser-window-unmaximize",F,this._win)}),this._win.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",D.CancellationToken.None)}),this._win.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",D.CancellationToken.None)}),this._register(this.configurationService.onDidChangeConfiguration(F=>this.onConfigurationUpdated(F))),this._register(this.workspacesManagementMainService.onDidDeleteUntitledWorkspace(F=>this.onDidDeleteUntitledWorkspace(F)));const W=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this._win.webContents.session.webRequest.onBeforeSendHeaders({urls:W},async(F,B)=>{const Y=await this.getMarketplaceHeaders();B({cancel:!1,requestHeaders:Object.assign(F.requestHeaders,Y)})})}getMarketplaceHeaders(){return this.marketplaceHeadersPromise||(this.marketplaceHeadersPromise=(0,s.resolveMarketplaceHeaders)(this.productService.version,this.productService,this.environmentMainService,this.configurationService,this.fileService,this.applicationStorageMainService,this.telemetryService)),this.marketplaceHeadersPromise}async onWindowError(W,F){switch(W){case 2:this.logService.error(`CodeWindow: renderer process crashed (reason: ${F?.reason||"<unknown>"}, code: ${F?.exitCode||"<unknown>"})`);break;case 1:this.logService.error("CodeWindow: detected unresponsive");break;case 3:this.logService.error(`CodeWindow: failed to load (reason: ${F?.reason||"<unknown>"}, code: ${F?.exitCode||"<unknown>"})`);break}switch(this.telemetryService.publicLog2("windowerror",{type:W,reason:F?.reason,code:F?.exitCode}),W){case 1:case 2:if(this.isExtensionDevelopmentTestFromCli){this.lifecycleMainService.kill(1);return}if(this.environmentMainService.args["enable-smoke-test-driver"]){this.destroyWindow(!1,!1);return}if(W===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this._win&&this._win.webContents&&this._win.webContents.isDevToolsOpened())return;const B=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,b.mnemonicButtonLabel)((0,u.localize)(0,null)),(0,b.mnemonicButtonLabel)((0,u.localize)(1,null)),(0,b.mnemonicButtonLabel)((0,u.localize)(2,null))],message:(0,u.localize)(3,null),detail:(0,u.localize)(4,null),noLink:!0,defaultId:0,cancelId:1,checkboxLabel:this._config?.workspace?(0,u.localize)(5,null):void 0},this._win);if(B.response!==1){const Y=B.response===0;this.destroyWindow(Y,B.checkboxChecked)}}else if(W===2){let B;F?B=(0,u.localize)(7,null,F.reason,F.exitCode??"<unknown>"):B=(0,u.localize)(6,null);const Y=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,b.mnemonicButtonLabel)((0,u.localize)(8,null)),(0,b.mnemonicButtonLabel)((0,u.localize)(9,null))],message:B,detail:(0,u.localize)(10,null),noLink:!0,defaultId:0,checkboxLabel:this._config?.workspace?(0,u.localize)(11,null):void 0},this._win),H=Y.response===0;this.destroyWindow(H,Y.checkboxChecked)}break}}async destroyWindow(W,F){const B=this._config?.workspace;if(F&&B)try{const Y=this.storageMainService.workspaceStorage(B);await Y.init(),Y.delete("memento/workbench.parts.editor"),await Y.close()}catch(Y){this.logService.error(Y)}if(this._onDidDestroy.fire(),this._win?.destroy(),W&&this._config){let Y,H;(0,T.isSingleFolderWorkspaceIdentifier)(B)?Y={folderUri:B.uri}:(0,T.isWorkspaceIdentifier)(B)?Y={workspaceUri:B.configPath}:H=!0;const[G]=this.windowsMainService.open({context:5,userEnv:this._config.userEnv,cli:{...this.environmentMainService.args,_:[]},urisToOpen:Y?[Y]:void 0,forceEmpty:H,forceNewWindow:!0,remoteAuthority:this.remoteAuthority});G.focus()}}onDidDeleteUntitledWorkspace(W){this._config?.workspace?.id===W.id&&this._config&&(this._config.workspace=void 0)}onConfigurationUpdated(W){const F=this.getMenuBarVisibility();F!==this.currentMenuBarVisibility&&(this.currentMenuBarVisibility=F,this.setMenuBarVisibility(F)),this.updateTrafficLightPosition(W);let B=(this.configurationService.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;B?.endsWith("/")&&(B=B.substr(0,B.length-1));const Y=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((B||"").indexOf("@")===-1&&(B!==this.currentHttpProxy||Y!==this.currentNoProxy)){this.currentHttpProxy=B,this.currentNoProxy=Y;const H=B||"",G=Y?`${Y},<local>`:"<local>";this.logService.trace(`Setting proxy to '${H}', bypassing '${G}'`),this._win.webContents.session.setProxy({proxyRules:H,proxyBypassRules:G,pacScript:""})}}addTabbedWindow(W){y.isMacintosh&&W.win&&this._win.addTabbedWindow(W.win)}load(W,F=Object.create(null)){this.logService.trace(`window#load: attempt to load window (id: ${this._id})`),this.isDocumentEdited()&&(!F.isReload||!this.backupMainService.isHotExitEnabled())&&this.setDocumentEdited(!1),F.isReload||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this._win.setTitle(this.productService.nameLong)),this.updateConfiguration(W,F),this.readyState===0?this._config=W:this.pendingLoadConfig=W,this.readyState=1,this._win.loadURL(p.FileAccess.asBrowserUri("vs/code/electron-sandbox/workbench/workbench.html",z).toString(!0));const B=this.wasLoaded;this.wasLoaded=!0,!this.environmentMainService.isBuilt&&!this.environmentMainService.extensionTestsLocationURI&&this._register(new t.RunOnceScheduler(()=>{this._win&&!this._win.isVisible()&&!this._win.isMinimized()&&(this._win.show(),this.focus({force:!0}),this._win.webContents.openDevTools())},1e4)).schedule(),this._onWillLoad.fire({workspace:W.workspace,reason:F.isReload?3:B?2:1})}updateConfiguration(W,F){const B=(this._config??this.pendingLoadConfig)?.userEnv;if(B){const Y=(0,g.isLaunchedFromCli)(B)&&!(0,g.isLaunchedFromCli)(W.userEnv),H=this.isExtensionDevelopmentHost;(Y||H)&&(W.userEnv={...B,...W.userEnv})}process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(W.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),F.disableExtensions!==void 0&&(W["disable-extensions"]=F.disableExtensions),W.fullscreen=this.isFullScreen,W.maximized=this._win.isMaximized(),W.partsSplash=this.themeMainService.getWindowSplash(),(0,k.mark)("code/willOpenNewWindow"),W.perfMarks=(0,k.getMarks)(),this.configObjectUrl.update(W)}async reload(W){const F=Object.assign({},this._config);F.workspace=await this.validateWorkspaceBeforeReload(F),delete F.filesToOpenOrCreate,delete F.filesToDiff,delete F.filesToWait,this.isExtensionDevelopmentHost&&W&&(F.verbose=W.verbose,F.debugId=W.debugId,F.extensionEnvironment=W.extensionEnvironment,F["inspect-extensions"]=W["inspect-extensions"],F["inspect-brk-extensions"]=W["inspect-brk-extensions"],F["extensions-dir"]=W["extensions-dir"]),F.isInitialStartup=!1,F.policiesData=this.policyService.serialize(),F.editSessionId=this.environmentMainService.editSessionId,F.profiles={all:this.userDataProfilesService.profiles,current:this.userDataProfilesService.getProfile(F.workspace??"empty-window")},this.load(F,{isReload:!0,disableExtensions:W?.["disable-extensions"]})}async validateWorkspaceBeforeReload(W){if((0,T.isWorkspaceIdentifier)(W.workspace)){const F=W.workspace.configPath;if(F.scheme===p.Schemas.file&&!await this.fileService.exists(F))return}else if((0,T.isSingleFolderWorkspaceIdentifier)(W.workspace)){const F=W.workspace.uri;if(F.scheme===p.Schemas.file&&!await this.fileService.exists(F))return}return W.workspace}serializeWindowState(){if(!this._win)return(0,K.defaultWindowState)();if(this.isFullScreen){let B;try{B=v.screen.getDisplayMatching(this.getBounds())}catch{}const Y=(0,K.defaultWindowState)();return{mode:3,display:B?B.id:void 0,width:this.windowState.width||Y.width,height:this.windowState.height||Y.height,x:this.windowState.x||0,y:this.windowState.y||0}}const W=Object.create(null);let F;if(!y.isMacintosh&&this._win.isMaximized()?F=0:F=1,F===0?W.mode=0:W.mode=1,F===1||F===0){let B;F===1?B=this.getBounds():B=this._win.getNormalBounds(),W.x=B.x,W.y=B.y,W.width=B.width,W.height=B.height}return W}restoreWindowState(W){(0,k.mark)("code/willRestoreCodeWindowState");let F=!1;if(W)try{const B=v.screen.getAllDisplays();F=B.length>1,W=this.validateWindowState(W,B)}catch(B){this.logService.warn(`Unexpected error validating window state: ${B}
${B.stack}`)}return(0,k.mark)("code/didRestoreCodeWindowState"),[W||(0,K.defaultWindowState)(),F]}validateWindowState(W,F){if(this.logService.trace(`window#validateWindowState: validating window state on ${F.length} display(s)`,W),typeof W.x!="number"||typeof W.y!="number"||typeof W.width!="number"||typeof W.height!="number"){this.logService.trace("window#validateWindowState: unexpected type of state values");return}if(W.width<=0||W.height<=0){this.logService.trace("window#validateWindowState: unexpected negative values");return}if(F.length===1){const H=this.getWorkingArea(F[0]);if(H){let G=function(){!W||typeof W.x!="number"||typeof W.y!="number"||!H||(W.x<H.x&&(W.x=H.x),W.y<H.y&&(W.y=H.y))};this.logService.trace("window#validateWindowState: 1 monitor working area",H),G(),W.width>H.width&&(W.width=H.width),W.height>H.height&&(W.height=H.height),W.x>H.x+H.width-128&&(W.x=H.x+H.width-W.width),W.y>H.y+H.height-128&&(W.y=H.y+H.height-W.height),G()}return W}if(W.display&&W.mode===3){const H=F.find(G=>G.id===W.display);if(H&&typeof H.bounds?.x=="number"&&typeof H.bounds?.y=="number"){this.logService.trace("window#validateWindowState: restoring fullscreen to previous display");const G=(0,K.defaultWindowState)(3);return G.x=H.bounds.x,G.y=H.bounds.y,G}}let B,Y;try{B=v.screen.getDisplayMatching({x:W.x,y:W.y,width:W.width,height:W.height}),Y=this.getWorkingArea(B)}catch{}if(B&&Y&&W.x+W.width>Y.x&&W.y+W.height>Y.y&&W.x<Y.x+Y.width&&W.y<Y.y+Y.height)return this.logService.trace("window#validateWindowState: multi-monitor working area",Y),W}getWorkingArea(W){if(W.workArea.width>0&&W.workArea.height>0)return W.workArea;if(W.bounds.width>0&&W.bounds.height>0)return W.bounds}getBounds(){const[W,F]=this._win.getPosition(),[B,Y]=this._win.getSize();return{x:W,y:F,width:B,height:Y}}toggleFullScreen(){this.setFullScreen(!this.isFullScreen)}setFullScreen(W){this.useNativeFullScreen()?this.setNativeFullScreen(W):this.setSimpleFullScreen(W),this.sendWhenReady(W?"vscode:enterFullScreen":"vscode:leaveFullScreen",D.CancellationToken.None),this.currentMenuBarVisibility&&this.setMenuBarVisibility(this.currentMenuBarVisibility,!1)}get isFullScreen(){return this._win.isFullScreen()||this._win.isSimpleFullScreen()}setNativeFullScreen(W){this._win.isSimpleFullScreen()&&this._win.setSimpleFullScreen(!1),this._win.setFullScreen(W)}setSimpleFullScreen(W){this._win.isFullScreen()&&this._win.setFullScreen(!1),this._win.setSimpleFullScreen(W),this._win.webContents.focus()}useNativeFullScreen(){const W=this.configurationService.getValue("window");return!W||typeof W.nativeFullScreen!="boolean"||W.nativeTabs?!0:W.nativeFullScreen!==!1}isMinimized(){return this._win.isMinimized()}getMenuBarVisibility(){let W=(0,I.getMenuBarVisibility)(this.configurationService);return["visible","toggle","hidden"].indexOf(W)<0&&(W="classic"),W}setMenuBarVisibility(W,F=!0){y.isMacintosh||(W==="toggle"&&F&&this.send("vscode:showInfoMessage",(0,u.localize)(12,null)),W==="hidden"?setTimeout(()=>{this.doSetMenuBarVisibility(W)}):this.doSetMenuBarVisibility(W))}doSetMenuBarVisibility(W){const F=this.isFullScreen;switch(W){case"classic":this._win.setMenuBarVisibility(!F),this._win.autoHideMenuBar=F;break;case"visible":this._win.setMenuBarVisibility(!0),this._win.autoHideMenuBar=!1;break;case"toggle":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!0;break;case"hidden":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!1;break}}updateTrafficLightPosition(W){if(!y.isMacintosh)return;const F="window.commandCenter";if(W&&!W.affectsConfiguration(F)||!((0,I.getTitleBarStyle)(this.configurationService)==="custom"))return;const Y=this.configurationService.getValue(F);Y?this._win.setTrafficLightPosition({x:7,y:9}):this._win.setTrafficLightPosition({x:7,y:6}),this.customTrafficLightPosition=Y}handleTitleDoubleClick(){if(y.isMacintosh)switch(v.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this._win.minimize();break;case"None":break;case"Maximize":default:this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}else this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}close(){this._win&&this._win.close()}sendWhenReady(W,F,...B){this.isReady?this.send(W,...B):this.ready().then(()=>{F.isCancellationRequested||this.send(W,...B)})}send(W,...F){if(this._win){if(this._win.isDestroyed()||this._win.webContents.isDestroyed()){this.logService.warn(`Sending IPC message to channel '${W}' for window that is destroyed`);return}try{this._win.webContents.send(W,...F)}catch(B){this.logService.warn(`Error sending IPC message to channel '${W}' of window ${this._id}: ${(0,R.toErrorMessage)(B)}`)}}}updateTouchBar(W){!y.isMacintosh||this.touchBarGroups.forEach((F,B)=>{const Y=W[B];F.segments=this.createTouchBarGroupSegments(Y)})}createTouchBar(){if(!!y.isMacintosh){for(let W=0;W<10;W++){const F=this.createTouchBarGroup();this.touchBarGroups.push(F)}this._win.setTouchBar(new v.TouchBar({items:this.touchBarGroups}))}}createTouchBarGroup(W=[]){const F=this.createTouchBarGroupSegments(W),B=new v.TouchBar.TouchBarSegmentedControl({segments:F,mode:"buttons",segmentStyle:"automatic",change:Y=>{this.sendWhenReady("vscode:runAction",D.CancellationToken.None,{id:B.segments[Y].id,from:"touchbar"})}});return B}createTouchBarGroupSegments(W=[]){return W.map(B=>{let Y;B.icon&&!c.ThemeIcon.isThemeIcon(B.icon)&&B.icon?.dark?.scheme===p.Schemas.file&&(Y=v.nativeImage.createFromPath(m.URI.revive(B.icon.dark).fsPath),Y.isEmpty()&&(Y=void 0));let H;return typeof B.title=="string"?H=B.title:H=B.title.value,{id:B.id,label:Y?void 0:H,icon:Y}})}dispose(){super.dispose(),this._win=null}};$=fe([te(1,n.ILogService),te(2,P.IEnvironmentMainService),te(3,ne.IPolicyService),te(4,Q.IUserDataProfilesService),te(5,h.IFileService),te(6,o.IApplicationStorageMainService),te(7,o.IStorageMainService),te(8,w.IConfigurationService),te(9,d.IThemeMainService),te(10,_.IWorkspacesManagementMainService),te(11,S.IBackupMainService),te(12,a.ITelemetryService),te(13,E.IDialogMainService),te(14,l.ILifecycleMainService),te(15,r.IProductService),te(16,i.IProtocolMainService),te(17,L.IWindowsMainService)],$),e.CodeWindow=$}),define(X[74],Z([0,1,14,25,8,3,34,2,12,4,16,7,23,168,5,21,6,88,89,24,47]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=(0,u.createDecorator)("workspacesHistoryMainService");let l=class tt extends b.Disposable{constructor(r,i,s,o){super();this.logService=r,this.workspacesManagementMainService=i,this.lifecycleMainService=s,this.applicationStorageMainService=o,this._onDidChangeRecentlyOpened=this._register(new R.Emitter),this.onDidChangeRecentlyOpened=this._onDidChangeRecentlyOpened.event,this.macOSRecentDocumentsUpdater=this._register(new D.ThrottledDelayer(800)),this.registerListeners()}registerListeners(){this.lifecycleMainService.when(3).then(()=>this.handleWindowsJumpList()),this._register(this.workspacesManagementMainService.onDidEnterWorkspace(r=>this.addRecentlyOpened([{workspace:r.workspace,remoteAuthority:r.window.remoteAuthority}])))}async addRecentlyOpened(r){const i=[],s=[];for(const o of r)if((0,P.isRecentWorkspace)(o))!this.workspacesManagementMainService.isUntitledWorkspace(o.workspace)&&this.indexOfWorkspace(i,o.workspace)===-1&&i.push(o);else if((0,P.isRecentFolder)(o))this.indexOfFolder(i,o.folderUri)===-1&&i.push(o);else{const a=this.indexOfFile(s,o.fileUri)>=0,c=o.fileUri.scheme===f.Schemas.file&&tt.COMMON_FILES_FILTER.indexOf((0,C.basename)(o.fileUri))>=0;!a&&!c&&(s.push(o),p.isWindows&&o.fileUri.scheme===f.Schemas.file&&v.app.addRecentDocument(o.fileUri.fsPath))}await this.addEntriesFromStorage(i,s),i.length>tt.MAX_TOTAL_RECENT_ENTRIES&&(i.length=tt.MAX_TOTAL_RECENT_ENTRIES),s.length>tt.MAX_TOTAL_RECENT_ENTRIES&&(s.length=tt.MAX_TOTAL_RECENT_ENTRIES),await this.saveRecentlyOpened({workspaces:i,files:s}),this._onDidChangeRecentlyOpened.fire(),p.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments())}async removeRecentlyOpened(r){const i=c=>{const d=this.location(c);for(const I of r)if(C.extUriBiasedIgnorePathCase.isEqual(I,d))return!1;return!0},s=await this.getRecentlyOpened(),o=s.workspaces.filter(i),a=s.files.filter(i);(o.length!==s.workspaces.length||a.length!==s.files.length)&&(await this.saveRecentlyOpened({files:a,workspaces:o}),this._onDidChangeRecentlyOpened.fire(),p.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments()))}async clearRecentlyOpened(){await this.saveRecentlyOpened({workspaces:[],files:[]}),v.app.clearRecentDocuments(),this._onDidChangeRecentlyOpened.fire()}async getRecentlyOpened(r){const i=[],s=[];if(r){const a=r.config?.workspace;(0,g.isWorkspaceIdentifier)(a)&&!this.workspacesManagementMainService.isUntitledWorkspace(a)?i.push({workspace:a,remoteAuthority:r.remoteAuthority}):(0,g.isSingleFolderWorkspaceIdentifier)(a)&&i.push({folderUri:a.uri,remoteAuthority:r.remoteAuthority})}const o=r?.config?.filesToOpenOrCreate;if(o)for(const a of o){const c=a.fileUri;c&&this.indexOfFile(s,c)===-1&&s.push({fileUri:c})}return await this.addEntriesFromStorage(i,s),{workspaces:i,files:s}}async addEntriesFromStorage(r,i){const s=await this.getRecentlyOpenedFromStorage();for(const o of s.workspaces){const a=(0,P.isRecentFolder)(o)?this.indexOfFolder(r,o.folderUri):this.indexOfWorkspace(r,o.workspace);a>=0?r[a].label=r[a].label||o.label:r.push(o)}for(const o of s.files){const a=this.indexOfFile(i,o.fileUri);a>=0?i[a].label=i[a].label||o.label:i.push(o)}}async getRecentlyOpenedFromStorage(){await this.applicationStorageMainService.whenReady;let r;const i=this.applicationStorageMainService.get(tt.RECENTLY_OPENED_STORAGE_KEY,-1);if(typeof i=="string")try{r=JSON.parse(i)}catch(s){this.logService.error("Unexpected error parsing opened paths list",s)}return(0,P.restoreRecentlyOpened)(r,this.logService)}async saveRecentlyOpened(r){await this.applicationStorageMainService.whenReady,this.applicationStorageMainService.store(tt.RECENTLY_OPENED_STORAGE_KEY,JSON.stringify((0,P.toStoreData)(r)),-1,1)}location(r){return(0,P.isRecentFolder)(r)?r.folderUri:(0,P.isRecentFile)(r)?r.fileUri:r.workspace.configPath}indexOfWorkspace(r,i){return r.findIndex(s=>(0,P.isRecentWorkspace)(s)&&s.workspace.id===i.id)}indexOfFolder(r,i){return r.findIndex(s=>(0,P.isRecentFolder)(s)&&C.extUriBiasedIgnorePathCase.isEqual(s.folderUri,i))}indexOfFile(r,i){return r.findIndex(s=>C.extUriBiasedIgnorePathCase.isEqual(s.fileUri,i))}async handleWindowsJumpList(){!p.isWindows||(await this.updateWindowsJumpList(),this._register(this.onDidChangeRecentlyOpened(()=>this.updateWindowsJumpList())))}async updateWindowsJumpList(){if(!p.isWindows)return;const r=[];if(r.push({type:"tasks",items:[{type:"task",title:(0,m.localize)(0,null),description:(0,m.localize)(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),(await this.getRecentlyOpened()).workspaces.length>0){const i=[];for(const a of v.app.getJumpListSettings().removedItems){const c=a.args;if(c){const d=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(c);d&&i.push(k.URI.parse(d[2]))}}await this.removeRecentlyOpened(i);let s=!1;const o=(0,t.coalesce)((await this.getRecentlyOpened()).workspaces.slice(0,tt.MAX_WINDOWS_JUMP_LIST_ENTRIES).map(a=>{const c=(0,P.isRecentWorkspace)(a)?a.workspace:a.folderUri,{title:d,description:I}=this.getWindowsJumpListLabel(c,a.label);let L;return k.URI.isUri(c)?L=`--folder-uri "${c.toString()}"`:(s=!0,L=`--file-uri "${c.configPath.toString()}"`),{type:"task",title:d.substr(0,255),description:I.substr(0,255),program:process.execPath,args:L,iconPath:"explorer.exe",iconIndex:0}}));o.length>0&&r.push({type:"custom",name:s?(0,m.localize)(2,null):(0,m.localize)(3,null),items:o})}r.push({type:"recent"});try{const i=v.app.setJumpList(r);i&&i!=="ok"&&this.logService.warn(`updateWindowsJumpList#setJumpList unexpected result: ${i}`)}catch(i){this.logService.warn("updateWindowsJumpList#setJumpList",i)}}getWindowsJumpListLabel(r,i){if(i)return{title:(0,M.splitName)(i).name,description:i};if(k.URI.isUri(r))return{title:(0,C.basename)(r),description:this.renderJumpListPathDescription(r)};if(this.workspacesManagementMainService.isUntitledWorkspace(r))return{title:(0,m.localize)(4,null),description:""};let s=(0,C.basename)(r.configPath);return s.endsWith(g.WORKSPACE_EXTENSION)&&(s=s.substr(0,s.length-g.WORKSPACE_EXTENSION.length-1)),{title:(0,m.localize)(5,null,s),description:this.renderJumpListPathDescription(r.configPath)}}renderJumpListPathDescription(r){return r.scheme==="file"?(0,M.normalizeDriveLetter)(r.fsPath):r.toString()}async updateMacOSRecentDocuments(){if(!p.isMacintosh)return;v.app.clearRecentDocuments();const r=await this.getRecentlyOpened(),i=[];let s=0;for(let a=0;a<r.workspaces.length&&s<tt.MAX_MACOS_DOCK_RECENT_WORKSPACES;a++){const c=this.location(r.workspaces[a]);if(c.scheme===f.Schemas.file){const d=(0,C.originalFSPath)(c);await y.Promises.exists(d)&&(i.push(d),s++)}}const o=[];for(let a=0;a<r.files.length&&s<tt.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL;a++){const c=this.location(r.files[a]);if(c.scheme===f.Schemas.file){const d=(0,C.originalFSPath)(c);if(tt.COMMON_FILES_FILTER.includes((0,C.basename)(c))||i.includes(d))continue;await y.Promises.exists(d)&&(o.push(d),s++)}}o.reverse().forEach(a=>v.app.addRecentDocument(a)),i.reverse().forEach(a=>v.app.addRecentDocument(a))}};l.MAX_TOTAL_RECENT_ENTRIES=500,l.RECENTLY_OPENED_STORAGE_KEY="history.recentlyOpenedPathsList",l.MAX_MACOS_DOCK_RECENT_WORKSPACES=7,l.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL=10,l.MAX_WINDOWS_JUMP_LIST_ENTRIES=7,l.COMMON_FILES_FILTER=["COMMIT_EDITMSG","MERGE_MSG"],l=fe([te(0,w.ILogService),te(1,h.IWorkspacesManagementMainService),te(2,S.ILifecycleMainService),te(3,E.IApplicationStorageMainService)],l),e.WorkspacesHistoryMainService=l}),define(X[251],Z([0,1,14,8,22,34,4,7,158,17,26,21,6,199,64,20,45,35,46,73,32,74]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const n="menu";let r=class Dt{constructor(o,a,c,d,I,L,T,_,K,ie,ne){this.updateService=o,this.configurationService=a,this.windowsMainService=c,this.environmentMainService=d,this.telemetryService=I,this.workspacesHistoryMainService=L,this.stateMainService=T,this.lifecycleMainService=_,this.logService=K,this.nativeHostMainService=ie,this.productService=ne,this.fallbackMenuHandlers=Object.create(null),this.menuUpdater=new t.RunOnceScheduler(()=>this.doUpdateMenu(),0),this.menuGC=new t.RunOnceScheduler(()=>{this.oldMenus=[]},1e4),this.menubarMenus=Object.create(null),this.keybindings=Object.create(null),(M.isMacintosh||(0,g.getTitleBarStyle)(this.configurationService)==="native")&&this.restoreCachedMenubarData(),this.addFallbackHandlers(),this.closedLastWindow=!1,this.noActiveWindow=!1,this.oldMenus=[],this.install(),this.registerListeners()}restoreCachedMenubarData(){const o=this.stateMainService.getItem(Dt.lastKnownMenubarStorageKey);o&&(o.menus&&(this.menubarMenus=o.menus),o.keybindings&&(this.keybindings=o.keybindings))}addFallbackHandlers(){this.fallbackMenuHandlers["workbench.action.files.newUntitledFile"]=(L,T,_)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.newWindow"]=(L,T,_)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.files.openFileFolder"]=(L,T,_)=>this.nativeHostMainService.pickFileFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(_),telemetryExtraData:{from:n}}),this.fallbackMenuHandlers["workbench.action.files.openFolder"]=(L,T,_)=>this.nativeHostMainService.pickFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(_),telemetryExtraData:{from:n}}),this.fallbackMenuHandlers["workbench.action.openWorkspace"]=(L,T,_)=>this.nativeHostMainService.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.isOptionClick(_),telemetryExtraData:{from:n}}),this.fallbackMenuHandlers["workbench.action.clearRecentFiles"]=()=>this.workspacesHistoryMainService.clearRecentlyOpened();const o=this.productService.twitterUrl;o&&(this.fallbackMenuHandlers["workbench.action.openTwitterUrl"]=()=>this.openUrl(o,"openTwitterUrl"));const a=this.productService.requestFeatureUrl;a&&(this.fallbackMenuHandlers["workbench.action.openRequestFeatureUrl"]=()=>this.openUrl(a,"openUserVoiceUrl"));const c=this.productService.reportIssueUrl;c&&(this.fallbackMenuHandlers["workbench.action.openIssueReporter"]=()=>this.openUrl(c,"openReportIssues"));const d=this.productService.licenseUrl;d&&(this.fallbackMenuHandlers["workbench.action.openLicenseUrl"]=()=>{if(M.language){const L=d.indexOf("?")>0?"&":"?";this.openUrl(`${d}${L}lang=${M.language}`,"openLicenseUrl")}else this.openUrl(d,"openLicenseUrl")});const I=this.productService.privacyStatementUrl;I&&d&&(this.fallbackMenuHandlers["workbench.action.openPrivacyStatementUrl"]=()=>{this.openUrl(I,"openPrivacyStatement")})}registerListeners(){this.lifecycleMainService.onWillShutdown(()=>this.willShutdown=!0),this.windowsMainService.onDidChangeWindowsCount(o=>this.onDidChangeWindowsCount(o)),this.nativeHostMainService.onDidBlurWindow(()=>this.onDidChangeWindowFocus()),this.nativeHostMainService.onDidFocusWindow(()=>this.onDidChangeWindowFocus())}get currentEnableMenuBarMnemonics(){const o=this.configurationService.getValue("window.enableMenuBarMnemonics");return typeof o!="boolean"?!0:o}get currentEnableNativeTabs(){if(!M.isMacintosh)return!1;const o=this.configurationService.getValue("window.nativeTabs");return typeof o!="boolean"?!1:o}updateMenu(o,a){this.menubarMenus=o.menus,this.keybindings=o.keybindings,this.stateMainService.setItem(Dt.lastKnownMenubarStorageKey,o),this.scheduleUpdateMenu()}scheduleUpdateMenu(){this.menuUpdater.schedule()}doUpdateMenu(){this.willShutdown||setTimeout(()=>{this.willShutdown||this.install()},10)}onDidChangeWindowsCount(o){!M.isMacintosh||(o.oldCount===0&&o.newCount>0||o.oldCount>0&&o.newCount===0)&&(this.closedLastWindow=o.newCount===0,this.scheduleUpdateMenu())}onDidChangeWindowFocus(){!M.isMacintosh||(this.noActiveWindow=!v.BrowserWindow.getFocusedWindow(),this.scheduleUpdateMenu())}install(){const o=v.Menu.getApplicationMenu();if(o&&this.oldMenus.push(o),Object.keys(this.menubarMenus).length===0){v.Menu.setApplicationMenu(M.isMacintosh?new v.Menu:null);return}const a=new v.Menu;let c;if(M.isMacintosh){const I=new v.Menu;c=new v.MenuItem({label:this.productService.nameShort,submenu:I}),this.setMacApplicationMenu(I),a.append(c)}if(M.isMacintosh&&!this.appMenuInstalled){this.appMenuInstalled=!0;const I=new v.Menu;I.append(new v.MenuItem({label:this.mnemonicLabel(f.localize(0,null)),click:()=>this.windowsMainService.openEmptyWindow({context:1})})),v.app.dock.setMenu(I)}if(this.shouldDrawMenu("File")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(1,null)),submenu:I});this.setMenuById(I,"File"),a.append(L)}if(this.shouldDrawMenu("Edit")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(2,null)),submenu:I});this.setMenuById(I,"Edit"),a.append(L)}if(this.shouldDrawMenu("Selection")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(3,null)),submenu:I});this.setMenuById(I,"Selection"),a.append(L)}if(this.shouldDrawMenu("View")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(4,null)),submenu:I});this.setMenuById(I,"View"),a.append(L)}if(this.shouldDrawMenu("Go")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(5,null)),submenu:I});this.setMenuById(I,"Go"),a.append(L)}if(this.shouldDrawMenu("Run")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(6,null)),submenu:I});this.setMenuById(I,"Run"),a.append(L)}if(this.shouldDrawMenu("Terminal")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(7,null)),submenu:I});this.setMenuById(I,"Terminal"),a.append(L)}let d;if(this.shouldDrawMenu("Window")){const I=new v.Menu;d=new v.MenuItem({label:this.mnemonicLabel(f.localize(8,null)),submenu:I,role:"window"}),this.setMacWindowMenu(I)}if(d&&a.append(d),this.shouldDrawMenu("Help")){const I=new v.Menu,L=new v.MenuItem({label:this.mnemonicLabel(f.localize(9,null)),submenu:I,role:"help"});this.setMenuById(I,"Help"),a.append(L)}a.items&&a.items.length>0?v.Menu.setApplicationMenu(a):v.Menu.setApplicationMenu(null),this.menuGC.schedule()}setMacApplicationMenu(o){const a=this.createMenuItem(f.localize(10,null,this.productService.nameLong),"workbench.action.showAboutDialog"),c=this.getUpdateMenuItems();let d;if(this.shouldDrawMenu("Preferences")){const Q=new v.Menu;this.setMenuById(Q,"Preferences"),d=new v.MenuItem({label:this.mnemonicLabel(f.localize(11,null)),submenu:Q})}const I=new v.Menu,L=new v.MenuItem({label:f.localize(12,null),role:"services",submenu:I}),T=new v.MenuItem({label:f.localize(13,null,this.productService.nameLong),role:"hide",accelerator:"Command+H"}),_=new v.MenuItem({label:f.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),K=new v.MenuItem({label:f.localize(15,null),role:"unhide"}),ie=new v.MenuItem(this.likeAction("workbench.action.quit",{label:f.localize(16,null,this.productService.nameLong),click:async(Q,ae,le)=>{const $=this.windowsMainService.getLastActiveWindow();(this.windowsMainService.getWindowCount()===0||!!v.BrowserWindow.getFocusedWindow()||$?.isMinimized())&&await this.confirmBeforeQuit(le)&&this.nativeHostMainService.quit(void 0)}})),ne=[a];ne.push(...c),d&&ne.push(i(),d),ne.push(i(),L,i(),T,_,K,i(),ie),ne.forEach(Q=>o.append(Q))}async confirmBeforeQuit(o){if(this.windowsMainService.getWindowCount()===0)return!0;const a=this.configurationService.getValue("window.confirmBeforeClose");if(a==="always"||a==="keyboardOnly"&&this.isKeyboardEvent(o)){const c={title:this.productService.nameLong,type:"question",buttons:[(0,R.mnemonicButtonLabel)(f.localize(17,null)),(0,R.mnemonicButtonLabel)(f.localize(18,null))],message:f.localize(19,null),noLink:!0,defaultId:0,cancelId:1},{response:d}=await this.nativeHostMainService.showMessageBox(this.windowsMainService.getFocusedWindow()?.id,c);return d===0}return!0}shouldDrawMenu(o){if(!M.isMacintosh&&(0,g.getTitleBarStyle)(this.configurationService)==="custom")return!1;switch(o){case"File":case"Help":if(M.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus&&!!this.menubarMenus[o];case"Window":if(M.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus;default:return this.windowsMainService.getWindowCount()>0&&!!this.menubarMenus&&!!this.menubarMenus[o]}}setMenu(o,a){a.forEach(c=>{if((0,m.isMenubarMenuItemSeparator)(c))o.append(i());else if((0,m.isMenubarMenuItemSubmenu)(c)){const d=new v.Menu,I=new v.MenuItem({label:this.mnemonicLabel(c.label),submenu:d});this.setMenu(d,c.submenu.items),o.append(I)}else(0,m.isMenubarMenuItemRecentAction)(c)?o.append(this.createOpenRecentMenuItem(c)):(0,m.isMenubarMenuItemAction)(c)&&(c.id==="workbench.action.showAboutDialog"&&this.insertCheckForUpdatesItems(o),M.isMacintosh?this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow?this.fallbackMenuHandlers[c.id]?o.append(new v.MenuItem(this.likeAction(c.id,{label:this.mnemonicLabel(c.label),click:this.fallbackMenuHandlers[c.id]}))):o.append(this.createMenuItem(c.label,c.id,!1,c.checked)):o.append(this.createMenuItem(c.label,c.id,c.enabled!==!1,!!c.checked)):o.append(this.createMenuItem(c.label,c.id,c.enabled!==!1,!!c.checked)))})}setMenuById(o,a){this.menubarMenus&&this.menubarMenus[a]&&this.setMenu(o,this.menubarMenus[a].items)}insertCheckForUpdatesItems(o){const a=this.getUpdateMenuItems();a.length&&(a.forEach(c=>o.append(c)),o.append(i()))}createOpenRecentMenuItem(o){const a=b.URI.revive(o.uri),c=o.id,d=c==="openRecentFile"?{fileUri:a}:c==="openRecentWorkspace"?{workspaceUri:a}:{folderUri:a};return new v.MenuItem(this.likeAction(c,{label:o.label,click:(I,L,T)=>{const _=this.isOptionClick(T);this.windowsMainService.open({context:2,cli:this.environmentMainService.args,urisToOpen:[d],forceNewWindow:_,gotoLineMode:!1,remoteAuthority:o.remoteAuthority}).length>0||this.workspacesHistoryMainService.removeRecentlyOpened([a])}},!1))}isOptionClick(o){return!!(o&&(!M.isMacintosh&&(o.ctrlKey||o.shiftKey)||M.isMacintosh&&(o.metaKey||o.altKey)))}isKeyboardEvent(o){return!!(o.triggeredByAccelerator||o.altKey||o.ctrlKey||o.metaKey||o.shiftKey)}createRoleMenuItem(o,a,c){const d={label:this.mnemonicLabel(o),role:c,enabled:!0};return new v.MenuItem(this.withKeybinding(a,d))}setMacWindowMenu(o){const a=new v.MenuItem({label:f.localize(20,null),role:"minimize",accelerator:"Command+M",enabled:this.windowsMainService.getWindowCount()>0}),c=new v.MenuItem({label:f.localize(21,null),role:"zoom",enabled:this.windowsMainService.getWindowCount()>0}),d=new v.MenuItem({label:f.localize(22,null),role:"front",enabled:this.windowsMainService.getWindowCount()>0}),I=this.createMenuItem(f.localize(23,null),"workbench.action.switchWindow"),L=[];this.currentEnableNativeTabs&&(L.push(i()),L.push(this.createMenuItem(f.localize(24,null),"workbench.action.newWindowTab")),L.push(this.createRoleMenuItem(f.localize(25,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),L.push(this.createRoleMenuItem(f.localize(26,null),"workbench.action.showNextWindowTab","selectNextTab")),L.push(this.createRoleMenuItem(f.localize(27,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),L.push(this.createRoleMenuItem(f.localize(28,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[a,c,i(),I,...L,i(),d].forEach(T=>o.append(T))}getUpdateMenuItems(){switch(this.updateService.state.type){case"uninitialized":return[];case"idle":return[new v.MenuItem({label:this.mnemonicLabel(f.localize(29,null)),click:()=>setTimeout(()=>{this.reportMenuActionTelemetry("CheckForUpdate"),this.updateService.checkForUpdates(!0)},0)})];case"checking for updates":return[new v.MenuItem({label:f.localize(30,null),enabled:!1})];case"available for download":return[new v.MenuItem({label:this.mnemonicLabel(f.localize(31,null)),click:()=>{this.updateService.downloadUpdate()}})];case"downloading":return[new v.MenuItem({label:f.localize(32,null),enabled:!1})];case"downloaded":return[new v.MenuItem({label:this.mnemonicLabel(f.localize(33,null)),click:()=>{this.reportMenuActionTelemetry("InstallUpdate"),this.updateService.applyUpdate()}})];case"updating":return[new v.MenuItem({label:f.localize(34,null),enabled:!1})];case"ready":return[new v.MenuItem({label:this.mnemonicLabel(f.localize(35,null)),click:()=>{this.reportMenuActionTelemetry("RestartToUpdate"),this.updateService.quitAndInstall()}})]}}createMenuItem(o,a,c,d){const I=this.mnemonicLabel(o),L=typeof a=="function"?a:(ne,Q,ae)=>{const le=ne?ne.userSettingsLabel:null;let $=a;Array.isArray(a)&&($=this.isOptionClick(ae)?a[1]:a[0]),le&&ae.triggeredByAccelerator?this.runActionInRenderer({type:"keybinding",userSettingsLabel:le}):this.runActionInRenderer({type:"commandId",commandId:$})},T=typeof c=="boolean"?c:this.windowsMainService.getWindowCount()>0,_=typeof d=="boolean"?d:!1,K={label:I,click:L,enabled:T};_&&(K.type="checkbox",K.checked=_);let ie;return typeof a=="string"?ie=a:Array.isArray(a)&&(ie=a[0]),M.isMacintosh&&(ie==="editor.action.clipboardCutAction"?K.role="cut":ie==="editor.action.clipboardCopyAction"?K.role="copy":ie==="editor.action.clipboardPasteAction"&&(K.role="paste"),ie==="undo"?K.click=this.makeContextAwareClickHandler(L,{inDevTools:ne=>ne.undo(),inNoWindow:()=>v.Menu.sendActionToFirstResponder("undo:")}):ie==="redo"?K.click=this.makeContextAwareClickHandler(L,{inDevTools:ne=>ne.redo(),inNoWindow:()=>v.Menu.sendActionToFirstResponder("redo:")}):ie==="editor.action.selectAll"&&(K.click=this.makeContextAwareClickHandler(L,{inDevTools:ne=>ne.selectAll(),inNoWindow:()=>v.Menu.sendActionToFirstResponder("selectAll:")}))),new v.MenuItem(this.withKeybinding(ie,K))}makeContextAwareClickHandler(o,a){return(c,d,I)=>{const L=v.BrowserWindow.getFocusedWindow();if(!L)return a.inNoWindow();if(L.webContents.isDevToolsFocused()&&L.webContents.devToolsWebContents)return a.inDevTools(L.webContents.devToolsWebContents);o(c,d||L,I)}}runActionInRenderer(o){let a=v.BrowserWindow.getFocusedWindow();if(!a){const d=this.windowsMainService.getLastActiveWindow();d?.isMinimized()&&(a=d.win)}const c=a?this.windowsMainService.getWindowById(a.id):void 0;if(c){if(this.logService.trace("menubar#runActionInRenderer",o),M.isMacintosh&&!this.environmentMainService.isBuilt&&!c.isReady&&(o.type==="commandId"&&o.commandId==="workbench.action.toggleDevTools"||o.type!=="commandId"&&o.userSettingsLabel==="alt+cmd+i"))return;if(o.type==="commandId"){const d={id:o.commandId,from:"menu"};c.sendWhenReady("vscode:runAction",D.CancellationToken.None,d)}else{const d={userSettingsLabel:o.userSettingsLabel};c.sendWhenReady("vscode:runKeybinding",D.CancellationToken.None,d)}}else this.logService.trace("menubar#runActionInRenderer: no active window found",o)}withKeybinding(o,a){const c=typeof o=="string"?this.keybindings[o]:void 0;if(c?.label){if(c.isNative!==!1)a.accelerator=c.label,a.userSettingsLabel=c.userSettingsLabel;else if(typeof a.label=="string"){const d=a.label.indexOf("[");d>=0?a.label=`${a.label.substr(0,d)} [${c.label}]`:a.label=`${a.label} [${c.label}]`}}else a.accelerator=void 0;return a}likeAction(o,a,c=!a.accelerator){c&&(a=this.withKeybinding(o,a));const d=a.click;return a.click=(I,L,T)=>{this.reportMenuActionTelemetry(o),d?.(I,L,T)},a}openUrl(o,a){this.nativeHostMainService.openExternal(void 0,o),this.reportMenuActionTelemetry(a)}reportMenuActionTelemetry(o){this.telemetryService.publicLog2("workbenchActionExecuted",{id:o,from:n})}mnemonicLabel(o){return(0,R.mnemonicMenuLabel)(o,!this.currentEnableMenuBarMnemonics)}};r.lastKnownMenubarStorageKey="lastKnownMenubarData",r=fe([te(0,P.IUpdateService),te(1,p.IConfigurationService),te(2,h.IWindowsMainService),te(3,C.IEnvironmentMainService),te(4,E.ITelemetryService),te(5,l.IWorkspacesHistoryMainService),te(6,w.IStateMainService),te(7,k.ILifecycleMainService),te(8,y.ILogService),te(9,u.INativeHostMainService),te(10,S.IProductService)],r),e.Menubar=r;function i(){return new v.MenuItem({type:"separator"})}}),define(X[252],Z([0,1,5,21,6,251]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=(0,v.createDecorator)("menubarMainService");let M=class{constructor(f,p,C){this.instantiationService=f,this.lifecycleMainService=p,this.logService=C,this.menubar=this.installMenuBarAfterWindowOpen()}async installMenuBarAfterWindowOpen(){return await this.lifecycleMainService.when(3),this.instantiationService.createInstance(R.Menubar)}async updateMenubar(f,p){this.logService.trace("menubarService#updateMenubar",f),(await this.menubar).updateMenu(p,f)}};M=fe([te(0,v.IInstantiationService),te(1,t.ILifecycleMainService),te(2,D.ILogService)],M),e.MenubarMainService=M}),define(X[253],Z([0,1,14,27,28,25,22,3,29,48,34,2,12,9,70,4,36,16,13,7,166,56,17,52,26,15,5,21,6,57,20,58,71,45,73,250,111,246,24,112,74,47,61,40,37]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n,r,i,s,o,a,c,d,I,L,T,_,K,ie,ne,Q,ae,le,$,oe,W,F,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function Y(ee){return(0,ae.isWorkspaceIdentifier)(ee?.workspace)}function H(ee){return(0,ae.isSingleFolderWorkspaceIdentifier)(ee?.workspace)}let G=class ut extends k.Disposable{constructor(A,O,N,q,J,U,V,x,se,ce,ge,ye,Ce,Ie,Ae,Re,ue,de){super();this.machineId=A,this.initialUserEnv=O,this.logService=N,this.stateMainService=q,this.policyService=J,this.environmentMainService=U,this.userDataProfilesService=V,this.lifecycleMainService=x,this.backupMainService=se,this.configurationService=ce,this.workspacesHistoryMainService=ge,this.workspacesManagementMainService=ye,this.instantiationService=Ce,this.dialogMainService=Ie,this.fileService=Ae,this.productService=Re,this.protocolMainService=ue,this.themeMainService=de,this._onDidOpenWindow=this._register(new b.Emitter),this.onDidOpenWindow=this._onDidOpenWindow.event,this._onDidSignalReadyWindow=this._register(new b.Emitter),this.onDidSignalReadyWindow=this._onDidSignalReadyWindow.event,this._onDidDestroyWindow=this._register(new b.Emitter),this.onDidDestroyWindow=this._onDidDestroyWindow.event,this._onDidChangeWindowsCount=this._register(new b.Emitter),this.onDidChangeWindowsCount=this._onDidChangeWindowsCount.event,this.windowsStateHandler=this._register(new Q.WindowsStateHandler(this,this.stateMainService,this.lifecycleMainService,this.logService,this.configurationService)),this.registerListeners()}registerListeners(){this._register(this.workspacesManagementMainService.onDidEnterWorkspace(A=>this._onDidSignalReadyWindow.fire(A.window))),this._register(this.onDidSignalReadyWindow(A=>{if(A.config?.extensionDevelopmentPath||A.config?.extensionTestsPath){const O=new k.DisposableStore;if(O.add(b.Event.any(A.onDidClose,A.onDidDestroy)(()=>O.dispose())),A.config.extensionDevelopmentPath)for(const N of A.config.extensionDevelopmentPath)O.add(this.protocolMainService.addValidFileRoot(N));A.config.extensionTestsPath&&O.add(this.protocolMainService.addValidFileRoot(A.config.extensionTestsPath))}}))}openEmptyWindow(A,O){const N=this.environmentMainService.args,q=O?.remoteAuthority||void 0,J=!0,U=O?.forceReuseWindow,V=!U;return this.open({...A,cli:N,forceEmpty:J,forceNewWindow:V,forceReuseWindow:U,remoteAuthority:q})}openExistingWindow(A,O){A.focus(),this.handleWaitMarkerFile(O,[A])}open(A){this.logService.trace("windowsManager#open"),A.addMode&&(A.initialStartup||!this.getLastActiveWindow())&&(A.addMode=!1);const O=[],N=[],q=[],J=[],U=[];let V,x=0;const se=this.getPathsToOpen(A);this.logService.trace("windowsManager#open pathsToOpen",se);for(const Ce of se)H(Ce)?A.addMode?O.push(Ce):N.push(Ce):Y(Ce)?q.push(Ce):Ce.fileUri?(V||(V={filesToOpenOrCreate:[],filesToDiff:[],remoteAuthority:Ce.remoteAuthority}),V.filesToOpenOrCreate.push(Ce)):Ce.backupPath?U.push({backupFolder:(0,m.basename)(Ce.backupPath),remoteAuthority:Ce.remoteAuthority}):x++;A.diffMode&&V&&V.filesToOpenOrCreate.length>=2&&(V.filesToDiff=V.filesToOpenOrCreate.slice(0,2),V.filesToOpenOrCreate=[]),V&&A.waitMarkerFileURI&&(V.filesToWait={paths:[...V.filesToDiff,...V.filesToOpenOrCreate],waitMarkerFileUri:A.waitMarkerFileURI}),A.initialStartup?(J.push(...this.workspacesManagementMainService.getUntitledWorkspacesSync()),q.push(...J),U.push(...this.backupMainService.getEmptyWindowBackupPaths())):U.length=0;const{windows:ce,filesOpenedInWindow:ge}=this.doOpen(A,q,N,U,x,V,O);if(this.logService.trace(`windowsManager#open used window count ${ce.length} (workspacesToOpen: ${q.length}, foldersToOpen: ${N.length}, emptyToRestore: ${U.length}, emptyToOpen: ${x})`),ce.length>1)if(ge)ge.focus();else{const Ce=this.windowsStateHandler.state.lastActiveWindow&&!A.forceEmpty&&!A.cli._.length&&!A.cli["file-uri"]&&!A.cli["folder-uri"]&&!(A.urisToOpen&&A.urisToOpen.length);let Ie=!0,Ae=!0;if(Ce){const Re=ce.filter(ue=>this.windowsStateHandler.state.lastActiveWindow&&ue.backupPath===this.windowsStateHandler.state.lastActiveWindow.backupPath);Re.length&&(Re[0].focus(),Ie=!1,Ae=!1)}if(Ie)for(let Re=ce.length-1;Re>=0;Re--){const ue=ce[Re];if(!(ue.openedWorkspace&&J.some(de=>ue.openedWorkspace&&de.workspace.id===ue.openedWorkspace.id)||ue.backupPath&&U.some(de=>ue.backupPath&&de.backupFolder===(0,m.basename)(ue.backupPath)))){ue.focus(),Ae=!1;break}}Ae&&ce[ce.length-1].focus()}const ye=V&&V.filesToDiff.length>0;if(!ce.some(Ce=>Ce.isExtensionDevelopmentHost)&&!ye&&!A.noRecentEntry){const Ce=[];for(const Ie of se)Y(Ie)&&!Ie.transient?Ce.push({label:Ie.label,workspace:Ie.workspace,remoteAuthority:Ie.remoteAuthority}):H(Ie)?Ce.push({label:Ie.label,folderUri:Ie.workspace.uri,remoteAuthority:Ie.remoteAuthority}):Ie.fileUri&&Ce.push({label:Ie.label,fileUri:Ie.fileUri,remoteAuthority:Ie.remoteAuthority});this.workspacesHistoryMainService.addRecentlyOpened(Ce)}return this.handleWaitMarkerFile(A,ce),ce}handleWaitMarkerFile(A,O){const N=A.waitMarkerFileURI;A.context===0&&N&&O.length===1&&O[0]&&(async()=>{await O[0].whenClosedOrLoaded;try{await this.fileService.del(N)}catch{}})()}doOpen(A,O,N,q,J,U,V){const x=[];let se;function ce(ue,de){x.push(ue),de&&(se=ue,U=void 0)}let{openFolderInNewWindow:ge,openFilesInNewWindow:ye}=this.shouldOpenNewWindow(A);if(!A.initialStartup&&V.length>0){const ue=V[0].remoteAuthority,de=this.getLastActiveWindowForAuthority(ue);de&&ce(this.doAddFoldersToExistingWindow(de,V.map(pe=>pe.workspace.uri)))}const Ce=N.length+O.length+q.length;if(U&&Ce===0){const ue=U.filesToOpenOrCreate[0]||U.filesToDiff[0],de=this.getWindows().filter(ke=>U&&(0,E.isEqualAuthority)(ke.remoteAuthority,U.remoteAuthority));let pe;ue?.fileUri&&!ye&&((A.context===4||A.context===0||A.context===1)&&(pe=(0,ne.findWindowOnFile)(de,ue.fileUri,ke=>ke.configPath.scheme===y.Schemas.file?this.workspacesManagementMainService.resolveLocalWorkspaceSync(ke.configPath):void 0)),pe||(pe=this.doGetLastActiveWindow(de))),pe?(0,ae.isWorkspaceIdentifier)(pe.openedWorkspace)?O.push({workspace:pe.openedWorkspace,remoteAuthority:pe.remoteAuthority}):(0,ae.isSingleFolderWorkspaceIdentifier)(pe.openedWorkspace)?N.push({workspace:pe.openedWorkspace,remoteAuthority:pe.remoteAuthority}):ce(this.doOpenFilesInExistingWindow(A,pe,U),!0):ce(this.openInBrowserWindow({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,filesToOpen:U,forceNewWindow:!0,remoteAuthority:U.remoteAuthority,forceNewTabbedWindow:A.forceNewTabbedWindow}),!0)}const Ie=(0,R.distinct)(O,ue=>ue.workspace.id);if(Ie.length>0){const ue=(0,R.coalesce)(Ie.map(de=>(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),de.workspace.configPath)));if(ue.length>0){const de=ue[0],pe=(0,E.isEqualAuthority)(U?.remoteAuthority,de.remoteAuthority)?U:void 0;ce(this.doOpenFilesInExistingWindow(A,de,pe),!!pe),ge=!0}Ie.forEach(de=>{if(ue.some(Le=>Le.openedWorkspace&&Le.openedWorkspace.id===de.workspace.id))return;const pe=de.remoteAuthority,ke=(0,E.isEqualAuthority)(U?.remoteAuthority,pe)?U:void 0;ce(this.doOpenFolderOrWorkspace(A,de,ge,ke),!!ke),ge=!0})}const Ae=(0,R.distinct)(N,ue=>E.extUriBiasedIgnorePathCase.getComparisonKey(ue.workspace.uri));if(Ae.length>0){const ue=(0,R.coalesce)(Ae.map(de=>(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),de.workspace.uri)));if(ue.length>0){const de=ue[0],pe=(0,E.isEqualAuthority)(U?.remoteAuthority,de.remoteAuthority)?U:void 0;ce(this.doOpenFilesInExistingWindow(A,de,pe),!!pe),ge=!0}Ae.forEach(de=>{if(ue.some(Le=>(0,ae.isSingleFolderWorkspaceIdentifier)(Le.openedWorkspace)&&E.extUriBiasedIgnorePathCase.isEqual(Le.openedWorkspace.uri,de.workspace.uri)))return;const pe=de.remoteAuthority,ke=(0,E.isEqualAuthority)(U?.remoteAuthority,pe)?U:void 0;ce(this.doOpenFolderOrWorkspace(A,de,ge,ke),!!ke),ge=!0})}const Re=(0,R.distinct)(q,ue=>ue.backupFolder);if(Re.length>0&&Re.forEach(ue=>{const de=ue.remoteAuthority,pe=(0,E.isEqualAuthority)(U?.remoteAuthority,de)?U:void 0;ce(this.doOpenEmpty(A,!0,de,pe,ue),!!pe),ge=!0}),x.length===0||U){U&&!J&&J++;const ue=U?U.remoteAuthority:A.remoteAuthority;for(let de=0;de<J;de++)ce(this.doOpenEmpty(A,ge,ue,U),!!U),ge=!0}return{windows:(0,R.distinct)(x),filesOpenedInWindow:se}}doOpenFilesInExistingWindow(A,O,N){this.logService.trace("windowsManager#doOpenFilesInExistingWindow",{filesToOpen:N}),O.focus();const q={filesToOpenOrCreate:N?.filesToOpenOrCreate,filesToDiff:N?.filesToDiff,filesToWait:N?.filesToWait,termProgram:A?.userEnv?.TERM_PROGRAM};return O.sendWhenReady("vscode:openFiles",M.CancellationToken.None,q),O}doAddFoldersToExistingWindow(A,O){this.logService.trace("windowsManager#doAddFoldersToExistingWindow",{foldersToAdd:O}),A.focus();const N={foldersToAdd:O};return A.sendWhenReady("vscode:addFolders",M.CancellationToken.None,N),A}doOpenEmpty(A,O,N,q,J){this.logService.trace("windowsManager#doOpenEmpty",{restore:!!J,remoteAuthority:N,filesToOpen:q,forceNewWindow:O});let U;return!O&&typeof A.contextWindowId=="number"&&(U=this.getWindowById(A.contextWindowId)),this.openInBrowserWindow({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:N,forceNewWindow:O,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:q,windowToUse:U,emptyWindowBackupInfo:J})}doOpenFolderOrWorkspace(A,O,N,q,J){return this.logService.trace("windowsManager#doOpenFolderOrWorkspace",{folderOrWorkspace:O,filesToOpen:q}),!N&&!J&&typeof A.contextWindowId=="number"&&(J=this.getWindowById(A.contextWindowId)),this.openInBrowserWindow({workspace:O.workspace,userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:O.remoteAuthority,forceNewWindow:N,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:q,windowToUse:J})}getPathsToOpen(A){let O,N=!1,q=!1;if(A.urisToOpen&&A.urisToOpen.length>0?(O=this.doExtractPathsFromAPI(A),N=!0):A.forceEmpty?O=[Object.create(null)]:A.cli._.length||A.cli["folder-uri"]||A.cli["file-uri"]?(O=this.doExtractPathsFromCLI(A.cli),O.length===0&&O.push(Object.create(null)),N=!0):(O=this.doGetPathsFromLastSession(),O.length===0&&O.push(Object.create(null)),q=!0),!A.addMode&&N){const J=O.filter(U=>H(U));if(J.length>1){const U=J[0].remoteAuthority;if(J.every(V=>(0,E.isEqualAuthority)(V.remoteAuthority,U))){const V=this.workspacesManagementMainService.createUntitledWorkspaceSync(J.map(x=>({uri:x.workspace.uri})));O.push({workspace:V,remoteAuthority:U}),O=O.filter(x=>!H(x))}}}return A.initialStartup&&!q&&this.configurationService.getValue("window")?.restoreWindows==="preserve"&&O.unshift(...this.doGetPathsFromLastSession().filter(J=>Y(J)||H(J)||J.backupPath)),O}doExtractPathsFromAPI(A){const O=[],N={gotoLineMode:A.gotoLineMode,remoteAuthority:A.remoteAuthority};for(const q of(0,R.coalesce)(A.urisToOpen||[])){const J=this.resolveOpenable(q,N);if(J)J.label=q.label,O.push(J);else{const U=this.resourceFromOpenable(q),V={title:this.productService.nameLong,type:"info",buttons:[(0,C.mnemonicButtonLabel)((0,h.localize)(0,null))],defaultId:0,message:U.scheme===y.Schemas.file?(0,h.localize)(1,null):(0,h.localize)(2,null),detail:U.scheme===y.Schemas.file?(0,h.localize)(3,null,(0,C.getPathLabel)(U,{os:S.OS,tildify:this.environmentMainService})):(0,h.localize)(4,null,U.toString(!0)),noLink:!0};this.dialogMainService.showMessageBox(V,(0,P.withNullAsUndefined)(v.BrowserWindow.getFocusedWindow()))}}return O}doExtractPathsFromCLI(A){const O=[],N={ignoreFileNotFound:!0,gotoLineMode:A.goto,remoteAuthority:A.remote||void 0,forceOpenWorkspaceAsFile:!1},q=A["folder-uri"];if(q)for(const V of q){const x=this.cliArgToUri(V);if(x){const se=this.resolveOpenable({folderUri:x},N);se&&O.push(se)}}const J=A["file-uri"];if(J)for(const V of J){const x=this.cliArgToUri(V);if(x){const se=this.resolveOpenable((0,ae.hasWorkspaceFileExtension)(V)?{workspaceUri:x}:{fileUri:x},N);se&&O.push(se)}}const U=A._;for(const V of U){const x=N.remoteAuthority?this.doResolvePathRemote(V,N):this.doResolveFilePath(V,N);x&&O.push(x)}return O}cliArgToUri(A){try{const O=g.URI.parse(A);if(!O.scheme){this.logService.error(`Invalid URI input string, scheme missing: ${A}`);return}return O}catch(O){this.logService.error(`Invalid URI input string: ${A}, ${O.message}`)}}doGetPathsFromLastSession(){const A=this.getRestoreWindowsSetting();switch(A){case"none":return[];case"one":case"all":case"preserve":case"folders":{const O=[];A!=="one"&&O.push(...this.windowsStateHandler.state.openedWindows),this.windowsStateHandler.state.lastActiveWindow&&O.push(this.windowsStateHandler.state.lastActiveWindow);const N=[];for(const q of O)if(q.workspace){const J=this.resolveOpenable({workspaceUri:q.workspace.configPath},{remoteAuthority:q.remoteAuthority,rejectTransientWorkspaces:!0});Y(J)&&N.push(J)}else if(q.folderUri){const J=this.resolveOpenable({folderUri:q.folderUri},{remoteAuthority:q.remoteAuthority});H(J)&&N.push(J)}else A!=="folders"&&q.backupPath&&N.push({backupPath:q.backupPath,remoteAuthority:q.remoteAuthority});return N}}}getRestoreWindowsSetting(){let A;return this.lifecycleMainService.wasRestarted?A="all":(A=this.configurationService.getValue("window")?.restoreWindows||"all",["preserve","all","folders","one","none"].includes(A)||(A="all")),A}resolveOpenable(A,O=Object.create(null)){const N=this.resourceFromOpenable(A);return N.scheme===y.Schemas.file?((0,K.isFileToOpen)(A)&&(O={...O,forceOpenWorkspaceAsFile:!0}),this.doResolveFilePath(N.fsPath,O)):this.doResolveRemoteOpenable(A,O)}doResolveRemoteOpenable(A,O){let N=this.resourceFromOpenable(A);const q=(0,T.getRemoteAuthority)(N)||O.remoteAuthority;if(N=(0,E.removeTrailingPathSeparator)((0,E.normalizePath)(N)),(0,K.isFileToOpen)(A)){if(O.gotoLineMode){const{path:J,line:U,column:V}=(0,f.parseLineAndColumnAware)(N.path);return{fileUri:N.with({path:J}),options:{selection:U?{startLineNumber:U,startColumn:V||1}:void 0},remoteAuthority:q}}return{fileUri:N,remoteAuthority:q}}else if((0,K.isWorkspaceToOpen)(A))return{workspace:(0,le.getWorkspaceIdentifier)(N),remoteAuthority:q};return{workspace:(0,le.getSingleFolderWorkspaceIdentifier)(N),remoteAuthority:q}}resourceFromOpenable(A){return(0,K.isWorkspaceToOpen)(A)?A.workspaceUri:(0,K.isFolderToOpen)(A)?A.folderUri:A.fileUri}doResolveFilePath(A,O){let N,q;O.gotoLineMode&&({path:A,line:N,column:q}=(0,f.parseLineAndColumnAware)(A)),A=(0,f.sanitizeFilePath)((0,m.normalize)(A),(0,w.cwd)());try{const J=(0,t.statSync)(A);if(J.isFile()){if(!O.forceOpenWorkspaceAsFile){const U=this.workspacesManagementMainService.resolveLocalWorkspaceSync(g.URI.file(A));if(U)return U.transient&&O.rejectTransientWorkspaces?void 0:{workspace:{id:U.id,configPath:U.configPath},type:s.FileType.File,exists:!0,remoteAuthority:U.remoteAuthority,transient:U.transient}}return{fileUri:g.URI.file(A),type:s.FileType.File,exists:!0,options:{selection:N?{startLineNumber:N,startColumn:q||1}:void 0}}}else{if(J.isDirectory())return{workspace:(0,le.getSingleFolderWorkspaceIdentifier)(g.URI.file(A),J),type:s.FileType.Directory,exists:!0};if(!S.isWindows&&A==="/dev/null")return{fileUri:g.URI.file(A),type:s.FileType.File,exists:!0}}}catch{const U=g.URI.file(A);if(this.workspacesHistoryMainService.removeRecentlyOpened([U]),O.ignoreFileNotFound)return{fileUri:U,type:s.FileType.File,exists:!1}}}doResolvePathRemote(A,O){const N=A.charCodeAt(0),q=O.remoteAuthority;let J,U;O.gotoLineMode&&({path:A,line:J,column:U}=(0,f.parseLineAndColumnAware)(A)),N!==47&&((0,f.isWindowsDriveLetter)(N)&&A.charCodeAt(A.charCodeAt(1))===58&&(A=(0,f.toSlashes)(A)),A=`/${A}`);const V=g.URI.from({scheme:y.Schemas.vscodeRemote,authority:q,path:A});if(A.charCodeAt(A.length-1)!==47){if((0,ae.hasWorkspaceFileExtension)(A))return O.forceOpenWorkspaceAsFile?{fileUri:V,options:{selection:J?{startLineNumber:J,startColumn:U||1}:void 0},remoteAuthority:O.remoteAuthority}:{workspace:(0,le.getWorkspaceIdentifier)(V),remoteAuthority:q};if(O.gotoLineMode||m.posix.basename(A).indexOf(".")!==-1)return{fileUri:V,options:{selection:J?{startLineNumber:J,startColumn:U||1}:void 0},remoteAuthority:q}}return{workspace:(0,le.getSingleFolderWorkspaceIdentifier)(V),remoteAuthority:q}}shouldOpenNewWindow(A){const O=this.configurationService.getValue("window"),N=O?.openFoldersInNewWindow||"default",q=O?.openFilesInNewWindow||"off";let J=(A.preferNewWindow||A.forceNewWindow)&&!A.forceReuseWindow;!A.forceNewWindow&&!A.forceReuseWindow&&(N==="on"||N==="off")&&(J=N==="on");let U=!1;return A.forceNewWindow||A.forceReuseWindow?U=!!A.forceNewWindow&&!A.forceReuseWindow:(S.isMacintosh?A.context===1&&(U=!0):A.context!==3&&A.context!==2&&!(A.userEnv&&A.userEnv.TERM_PROGRAM==="vscode")&&(U=!0),!A.cli.extensionDevelopmentPath&&(q==="on"||q==="off")&&(U=q==="on")),{openFolderInNewWindow:!!J,openFilesInNewWindow:U}}openExtensionDevelopmentHostWindow(A,O){const N=(0,ne.findWindowOnExtensionDevelopmentPath)(this.getWindows(),A);if(N)return this.lifecycleMainService.reload(N,O.cli),N.focus(),[N];let q=O.cli["folder-uri"]||[],J=O.cli["file-uri"]||[],U=O.cli._;if(!U.length&&!q.length&&!J.length&&!O.cli.extensionTestsPath){const ce=this.windowsStateHandler.state.lastPluginDevelopmentHostWindow,ge=ce&&(ce.workspace||ce.folderUri);ge&&(g.URI.isUri(ge)?ge.scheme===y.Schemas.file?U=[ge.fsPath]:q=[ge.toString()]:ge.configPath.scheme===y.Schemas.file?U=[(0,E.originalFSPath)(ge.configPath)]:J=[ge.configPath.toString()])}let V=O.remoteAuthority;for(const ce of A)if(ce.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const ge=g.URI.parse(ce),ye=(0,T.getRemoteAuthority)(ge);ye&&(V?(0,E.isEqualAuthority)(ye,V)||this.logService.error("more than one extension development path authority"):V=ye)}U=U.filter(ce=>{const ge=g.URI.file(ce);return(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),ge)?!1:(0,E.isEqualAuthority)((0,T.getRemoteAuthority)(ge),V)}),q=q.filter(ce=>{const ge=this.cliArgToUri(ce);return ge&&!!(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),ge)?!1:ge?(0,E.isEqualAuthority)((0,T.getRemoteAuthority)(ge),V):!1}),J=J.filter(ce=>{const ge=this.cliArgToUri(ce);return ge&&!!(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),ge)?!1:ge?(0,E.isEqualAuthority)((0,T.getRemoteAuthority)(ge),V):!1}),O.cli._=U,O.cli["folder-uri"]=q,O.cli["file-uri"]=J;const x=!U.length&&!q.length&&!J.length,se={context:O.context,cli:O.cli,forceNewWindow:!0,forceEmpty:x,userEnv:O.userEnv,noRecentEntry:!0,waitMarkerFileURI:O.waitMarkerFileURI,remoteAuthority:V};return this.open(se)}openInBrowserWindow(A){const O=this.configurationService.getValue("window"),N={...this.environmentMainService.args,...A.cli,machineId:this.machineId,windowId:-1,mainPid:process.pid,appRoot:this.environmentMainService.appRoot,execPath:process.execPath,codeCachePath:this.environmentMainService.codeCachePath,backupPath:A.emptyWindowBackupInfo?(0,m.join)(this.environmentMainService.backupHome,A.emptyWindowBackupInfo.backupFolder):void 0,profiles:{all:this.userDataProfilesService.profiles,current:this.userDataProfilesService.getProfile(A.workspace??"empty-window")},homeDir:this.environmentMainService.userHome.fsPath,tmpDir:this.environmentMainService.tmpDir.fsPath,userDataDir:this.environmentMainService.userDataPath,remoteAuthority:A.remoteAuthority,workspace:A.workspace,userEnv:{...this.initialUserEnv,...A.userEnv},filesToOpenOrCreate:A.filesToOpen?.filesToOpenOrCreate,filesToDiff:A.filesToOpen?.filesToDiff,filesToWait:A.filesToOpen?.filesToWait,logLevel:this.logService.getLevel(),logsPath:this.environmentMainService.logsPath,product:d.default,isInitialStartup:A.initialStartup,perfMarks:(0,u.getMarks)(),os:{release:(0,D.release)(),hostname:(0,D.hostname)()},zoomLevel:typeof O?.zoomLevel=="number"?O.zoomLevel:void 0,autoDetectHighContrast:O?.autoDetectHighContrast??!0,autoDetectColorScheme:O?.autoDetectColorScheme??!1,accessibilitySupport:v.app.accessibilitySupportEnabled,colorScheme:this.themeMainService.getColorScheme(),policiesData:this.policyService.serialize(),editSessionId:this.environmentMainService.editSessionId};let q;if(!A.forceNewWindow&&!A.forceNewTabbedWindow&&(q=A.windowToUse||this.getLastActiveWindow(),q&&q.focus()),q){const J=q.config;!N.extensionDevelopmentPath&&J&&!!J.extensionDevelopmentPath&&(N.extensionDevelopmentPath=J.extensionDevelopmentPath,N.verbose=J.verbose,N["inspect-brk-extensions"]=J["inspect-brk-extensions"],N.debugId=J.debugId,N.extensionEnvironment=J.extensionEnvironment,N["inspect-extensions"]=J["inspect-extensions"],N["extensions-dir"]=J["extensions-dir"])}else{const J=this.windowsStateHandler.getNewWindowState(N);(0,u.mark)("code/willCreateCodeWindow");const U=q=this.instantiationService.createInstance(ie.CodeWindow,{state:J,extensionDevelopmentPath:N.extensionDevelopmentPath,isExtensionTestHost:!!N.extensionTestsPath});(0,u.mark)("code/didCreateCodeWindow"),A.forceNewTabbedWindow&&this.getLastActiveWindow()?.addTabbedWindow(U),ut.WINDOWS.push(U),this._onDidOpenWindow.fire(U),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),(0,p.once)(U.onDidSignalReady)(()=>this._onDidSignalReadyWindow.fire(U)),(0,p.once)(U.onDidClose)(()=>this.onWindowClosed(U)),(0,p.once)(U.onDidDestroy)(()=>this._onDidDestroyWindow.fire(U));const V=(0,P.assertIsDefined)(U.win?.webContents);V.removeAllListeners("devtools-reload-page"),V.on("devtools-reload-page",()=>this.lifecycleMainService.reload(U)),this.lifecycleMainService.registerWindow(U)}return N.windowId=q.id,q.isReady?this.lifecycleMainService.unload(q,4).then(J=>{J||this.doOpenInBrowserWindow(q,N,A)}):this.doOpenInBrowserWindow(q,N,A),q}doOpenInBrowserWindow(A,O,N){if(!O.extensionDevelopmentPath)if((0,ae.isWorkspaceIdentifier)(O.workspace))O.backupPath=this.backupMainService.registerWorkspaceBackupSync({workspace:O.workspace,remoteAuthority:O.remoteAuthority});else if((0,ae.isSingleFolderWorkspaceIdentifier)(O.workspace))O.backupPath=this.backupMainService.registerFolderBackupSync({folderUri:O.workspace.uri,remoteAuthority:O.remoteAuthority});else{const q=N.emptyWindowBackupInfo&&N.emptyWindowBackupInfo.backupFolder;O.backupPath=this.backupMainService.registerEmptyWindowBackupSync(q,O.remoteAuthority)}A.load(O)}onWindowClosed(A){const O=ut.WINDOWS.indexOf(A);ut.WINDOWS.splice(O,1),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const A=v.BrowserWindow.getFocusedWindow();if(A)return this.getWindowById(A.id)}getLastActiveWindow(){return this.doGetLastActiveWindow(this.getWindows())}getLastActiveWindowForAuthority(A){return this.doGetLastActiveWindow(this.getWindows().filter(O=>(0,E.isEqualAuthority)(O.remoteAuthority,A)))}doGetLastActiveWindow(A){const O=Math.max.apply(Math,A.map(N=>N.lastFocusTime));return A.find(N=>N.lastFocusTime===O)}sendToFocused(A,...O){(this.getFocusedWindow()||this.getLastActiveWindow())?.sendWhenReady(A,M.CancellationToken.None,...O)}sendToAll(A,O,N){for(const q of this.getWindows())N&&N.indexOf(q.id)>=0||q.sendWhenReady(A,M.CancellationToken.None,O)}getWindows(){return ut.WINDOWS}getWindowCount(){return ut.WINDOWS.length}getWindowById(A){const O=this.getWindows().filter(N=>N.id===A);return(0,R.firstOrDefault)(O)}getWindowByWebContents(A){const O=v.BrowserWindow.fromWebContents(A);if(!!O)return this.getWindowById(O.id)}};G.WINDOWS=[],G=fe([te(2,c.ILogService),te(3,_.IStateMainService),te(4,B.IPolicyService),te(5,i.IEnvironmentMainService),te(6,F.IUserDataProfilesService),te(7,a.ILifecycleMainService),te(8,l.IBackupMainService),te(9,n.IConfigurationService),te(10,$.IWorkspacesHistoryMainService),te(11,oe.IWorkspacesManagementMainService),te(12,o.IInstantiationService),te(13,r.IDialogMainService),te(14,s.IFileService),te(15,I.IProductService),te(16,L.IProtocolMainService),te(17,W.IThemeMainService)],G),e.WindowsMainService=G}),define(X[254],Z([0,1,56,32,74,47]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let M=class{constructor(f,p,C,k){this.workspacesManagementMainService=f,this.windowsMainService=p,this.workspacesHistoryMainService=C,this.backupMainService=k,this.onDidChangeRecentlyOpened=this.workspacesHistoryMainService.onDidChangeRecentlyOpened}async enterWorkspace(f,p){const C=this.windowsMainService.getWindowById(f);if(C)return this.workspacesManagementMainService.enterWorkspace(C,this.windowsMainService.getWindows(),p)}createUntitledWorkspace(f,p,C){return this.workspacesManagementMainService.createUntitledWorkspace(p,C)}deleteUntitledWorkspace(f,p){return this.workspacesManagementMainService.deleteUntitledWorkspace(p)}getWorkspaceIdentifier(f,p){return this.workspacesManagementMainService.getWorkspaceIdentifier(p)}getRecentlyOpened(f){return this.workspacesHistoryMainService.getRecentlyOpened(this.windowsMainService.getWindowById(f))}addRecentlyOpened(f,p){return this.workspacesHistoryMainService.addRecentlyOpened(p)}removeRecentlyOpened(f,p){return this.workspacesHistoryMainService.removeRecentlyOpened(p)}clearRecentlyOpened(f){return this.workspacesHistoryMainService.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.backupMainService.getDirtyWorkspaces()}};M=fe([te(0,R.IWorkspacesManagementMainService),te(1,t.IWindowsMainService),te(2,D.IWorkspacesHistoryMainService),te(3,v.IBackupMainService)],M),e.WorkspacesMainService=M}),define(X[255],Z([0,1,14,38,27,28,19,41,18,29,48,49,34,2,12,9,4,13,7,30,80,129,43,140,96,234,145,56,239,17,68,175,83,113,52,99,173,26,55,106,182,202,183,236,101,184,185,15,195,85,67,5,84,247,212,114,21,6,197,252,64,20,71,242,86,45,240,88,216,35,218,220,72,46,225,226,248,227,249,108,229,230,231,232,237,32,253,238,24,89,74,254,47,235,37,201,63,100,245]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n,r,i,s,o,a,c,d,I,L,T,_,K,ie,ne,Q,ae,le,$,oe,W,F,B,Y,H,G,ee,A,O,N,q,J,U,V,x,se,ce,ge,ye,Ce,Ie,Ae,Re,ue,de,pe,ke,Le,Je,Te,Be,We,Ye,Qe,Ze,$e,je,j,re,he,me,be,De,qe,it,et,He,Xe,xe,at,ct,Tt,Wt,Ot,Ft,_t,Ut){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let Et=class extends m.Disposable{constructor(we,Se,Ee,ve,Me,Fe,Oe,_e,Pe,Ue){super();this.mainProcessNodeIpcServer=we,this.userEnv=Se,this.mainInstantiationService=Ee,this.logService=ve,this.environmentMainService=Me,this.lifecycleMainService=Fe,this.configurationService=Oe,this.stateMainService=_e,this.fileService=Pe,this.productService=Ue,this.configureSession(),this.registerListeners()}configureSession(){const we=Pe=>Pe?.startsWith(`${u.Schemas.vscodeWebview}://`),Se=new Set(["clipboard-read","clipboard-sanitized-write"]);v.session.defaultSession.setPermissionRequestHandler((Pe,Ue,ze,Ge)=>we(Ge.requestingUrl)?ze(Se.has(Ue)):ze(!1)),v.session.defaultSession.setPermissionCheckHandler((Pe,Ue,ze,Ge)=>we(Ge.requestingUrl)?Se.has(Ue):!1);const Ee=new Set([u.Schemas.file,u.Schemas.vscodeFileResource,u.Schemas.vscodeRemoteResource,"devtools"]),ve=Pe=>{for(let Ue=Pe;Ue;Ue=Ue.parent)if(Ue.url.startsWith(`${u.Schemas.vscodeWebview}://`))return!0;return!1},Me=Pe=>Pe.resourceType==="xhr"||ve(Pe.frame),Fe=Pe=>{const Ue=Pe.frame;if(!Ue||!this.windowsMainService)return!1;const ze=v.BrowserWindow.getAllWindows();for(const Ge of ze)if(Ue.processId===Ge.webContents.mainFrame.processId)return!0;return!1},Oe=(Pe,Ue)=>{if(Pe.path!=="/index.html")return!0;const ze=Ue.frame;if(!ze||!this.windowsMainService)return!1;for(const Ge of this.windowsMainService.getWindows())if(Ge.win&&ze.processId===Ge.win.webContents.mainFrame.processId)return!0;return!1};v.session.defaultSession.webRequest.onBeforeRequest((Pe,Ue)=>{const ze=P.URI.parse(Pe.url);return ze.scheme===u.Schemas.vscodeWebview&&!Oe(ze,Pe)?(this.logService.error("Blocked vscode-webview request",Pe.url),Ue({cancel:!0})):ze.scheme===u.Schemas.vscodeFileResource&&!Fe(Pe)?(this.logService.error("Blocked vscode-file request",Pe.url),Ue({cancel:!0})):ze.path.endsWith(".svg")&&!Ee.has(ze.scheme)?Ue({cancel:!Me(Pe)}):Ue({cancel:!1})}),v.session.defaultSession.webRequest.onHeadersReceived((Pe,Ue)=>{const ze=Pe.responseHeaders,Ge=ze["content-type"]||ze["Content-Type"];if(Ge&&Array.isArray(Ge)){const nt=P.URI.parse(Pe.url);if(nt.path.endsWith(".svg")&&Ee.has(nt.scheme))return ze["Content-Type"]=["image/svg+xml"],Ue({cancel:!1,responseHeaders:ze});if(!nt.path.endsWith(u.Schemas.vscodeRemoteResource)&&Ge.some(ht=>ht.toLowerCase().includes("image/svg")))return Ue({cancel:!Me(Pe)})}return Ue({cancel:!1})});const _e=v.session.defaultSession;typeof _e.setCodeCachePath=="function"&&this.environmentMainService.codeCachePath&&_e.setCodeCachePath((0,S.join)(this.environmentMainService.codeCachePath,"chrome"))}registerListeners(){(0,f.setUnexpectedErrorHandler)(Ee=>this.onUnexpectedError(Ee)),process.on("uncaughtException",Ee=>(0,f.onUnexpectedError)(Ee)),process.on("unhandledRejection",Ee=>(0,f.onUnexpectedError)(Ee)),this.lifecycleMainService.onWillShutdown(()=>this.dispose()),(0,l.registerContextMenuListener)(),v.app.on("accessibility-support-changed",(Ee,ve)=>{this.windowsMainService?.sendToAll("vscode:accessibilitySupportChanged",ve)}),v.app.on("activate",(Ee,ve)=>{this.logService.trace("app#activate"),ve||this.windowsMainService?.openEmptyWindow({context:1})}),v.app.on("web-contents-created",(Ee,ve)=>{ve.on("will-navigate",Me=>{this.logService.error("webContents#will-navigate: Prevented webcontent navigation"),Me.preventDefault()}),ve.setWindowOpenHandler(({url:Me})=>(this.nativeHostMainService?.openExternal(void 0,Me),{action:"deny"}))});let we=[],Se;v.app.on("open-file",(Ee,ve)=>{this.logService.trace("app#open-file: ",ve),Ee.preventDefault(),we.push(this.getWindowOpenableFromPathSync(ve)),Se!==void 0&&(clearTimeout(Se),Se=void 0),Se=setTimeout(()=>{this.windowsMainService?.open({context:1,cli:this.environmentMainService.args,urisToOpen:we,gotoLineMode:!1,preferNewWindow:!0}),we=[],Se=void 0},100)}),v.app.on("new-window-for-tab",()=>{this.windowsMainService?.openEmptyWindow({context:4})}),t.validatedIpcMain.handle("vscode:fetchShellEnv",Ee=>{const ve=this.windowsMainService?.getWindowByWebContents(Ee.sender);let Me,Fe;return ve?.config?(Me=ve.config,Fe={...process.env,...ve.config.userEnv}):(Me=this.environmentMainService.args,Fe=process.env),this.resolveShellEnvironment(Me,Fe,!1)}),t.validatedIpcMain.handle("vscode:writeNlsFile",(Ee,ve,Me)=>{const Fe=this.validateNlsPath([ve]);if(!Fe||typeof Me!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.fileService.writeFile(Fe,M.VSBuffer.fromString(Me))}),t.validatedIpcMain.handle("vscode:readNlsFile",async(Ee,...ve)=>{const Me=this.validateNlsPath(ve);if(!Me)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.fileService.readFile(Me)).value.toString()}),t.validatedIpcMain.on("vscode:toggleDevTools",Ee=>Ee.sender.toggleDevTools()),t.validatedIpcMain.on("vscode:openDevTools",Ee=>Ee.sender.openDevTools()),t.validatedIpcMain.on("vscode:reloadWindow",Ee=>Ee.sender.reload())}validateNlsPath(we){let Se;for(const Ee of we)typeof Ee=="string"&&(typeof Se!="string"?Se=Ee:Se=(0,S.join)(Se,Ee));if(!(typeof Se!="string"||!(0,S.isAbsolute)(Se)||!(0,p.isEqualOrParent)(Se,this.environmentMainService.cachedLanguagesPath,!w.isLinux)))return P.URI.file(Se)}onUnexpectedError(we){if(we){const Se={message:`[uncaught exception in main]: ${we.message}`,stack:we.stack};this.windowsMainService?.sendToFocused("vscode:reportError",JSON.stringify(Se))}this.logService.error(`[uncaught exception in main]: ${we}`),we.stack&&this.logService.error(we.stack)}async startup(){this.logService.debug("Starting VS Code"),this.logService.debug(`from: ${this.environmentMainService.appRoot}`),this.logService.debug("args:",this.environmentMainService.args);const we=this.productService.win32AppUserModelId;w.isWindows&&we&&v.app.setAppUserModelId(we);try{w.isMacintosh&&this.configurationService.getValue("window.nativeTabs")===!0&&!v.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&v.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(Pe){this.logService.error(Pe)}const Se=new r.Server;this.lifecycleMainService.onWillShutdown(Pe=>{Pe.reason===2&&Se.dispose()}),this.logService.trace("Resolving machine identifier...");const Ee=await this.resolveMachineId();this.logService.trace(`Resolved machine identifier: ${Ee}`);const{sharedProcess:ve,sharedProcessReady:Me,sharedProcessClient:Fe}=this.setupSharedProcess(Ee),Oe=await this.initServices(Ee,ve,Me);this.setUpHandlers(Oe),Oe.invokeFunction(Pe=>this.initChannels(Pe,Se,Fe));const _e=Oe.invokeFunction(Pe=>this.openFirstWindow(Pe,Se));Oe.invokeFunction(Pe=>this.afterWindowOpen(Pe,ve)),this.environmentMainService.args.trace&&Oe.invokeFunction(Pe=>this.stopTracingEventually(Pe,_e))}setUpHandlers(we){this._register(we.createInstance(s.ProxyAuthHandler)),this._register(we.createInstance(Ut.DefaultExtensionsProfileInitHandler))}async resolveMachineId(){let we=this.stateMainService.getItem(Le.machineIdKey);return(!we||w.isMacintosh&&we==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(we=await(0,h.getMachineId)(),this.stateMainService.setItem(Le.machineIdKey,we)),we}setupSharedProcess(we){const Se=this._register(this.mainInstantiationService.createInstance(Ae.SharedProcess,we,this.userEnv)),Ee=(async()=>{this.logService.trace("Main->SharedProcess#connect");const Me=await Se.connect();return this.logService.trace("Main->SharedProcess#connect: connection established"),new i.Client(Me,"main")})(),ve=(async()=>(await Se.whenReady(),Ee))();return{sharedProcess:Se,sharedProcessReady:ve,sharedProcessClient:Ee}}async initServices(we,Se,Ee){const ve=new q.ServiceCollection;switch(process.platform){case"win32":ve.set(We.IUpdateService,new O.SyncDescriptor(je.Win32UpdateService));break;case"linux":w.isLinuxSnap?ve.set(We.IUpdateService,new O.SyncDescriptor($e.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):ve.set(We.IUpdateService,new O.SyncDescriptor(Ze.LinuxUpdateService));break;case"darwin":ve.set(We.IUpdateService,new O.SyncDescriptor(Qe.DarwinUpdateService));break}ve.set(qe.IWindowsMainService,new O.SyncDescriptor(it.WindowsMainService,[we,this.userEnv])),ve.set(K.IDialogMainService,new O.SyncDescriptor(K.DialogMainService)),ve.set(V.ILaunchMainService,new O.SyncDescriptor(V.LaunchMainService)),ve.set(_.IDiagnosticsMainService,new O.SyncDescriptor(_.DiagnosticsMainService)),ve.set(T.IDiagnosticsService,n.ProxyChannel.toService((0,n.getDelayedChannel)(Ee.then(Fe=>Fe.getChannel("diagnostics"))))),ve.set(J.IIssueMainService,new O.SyncDescriptor(J.IssueMainService,[this.userEnv])),ve.set(ie.IEncryptionMainService,new O.SyncDescriptor(ne.EncryptionMainService,[we])),ve.set(U.IKeyboardLayoutMainService,new O.SyncDescriptor(U.KeyboardLayoutMainService)),ve.set(ye.INativeHostMainService,new O.SyncDescriptor(ye.NativeHostMainService,[Se])),ve.set(I.ICredentialsMainService,new O.SyncDescriptor(Tt.CredentialsNativeMainService)),ve.set(be.IWebviewManagerService,new O.SyncDescriptor(De.WebviewMainService)),ve.set(Xe.IWorkspacesService,new O.SyncDescriptor(at.WorkspacesMainService)),ve.set(ct.IWorkspacesManagementMainService,new O.SyncDescriptor(ct.WorkspacesManagementMainService)),ve.set(xe.IWorkspacesHistoryMainService,new O.SyncDescriptor(xe.WorkspacesHistoryMainService)),ve.set(ge.IMenubarMainService,new O.SyncDescriptor(ge.MenubarMainService)),ve.set($.IExtensionUrlTrustService,new O.SyncDescriptor(oe.ExtensionUrlTrustService)),ve.set(W.IExtensionHostStarter,new O.SyncDescriptor(F.ExtensionHostStarter)),ve.set(pe.IStorageMainService,new O.SyncDescriptor(pe.StorageMainService)),ve.set(pe.IApplicationStorageMainService,new O.SyncDescriptor(pe.ApplicationStorageMainService)),w.isWindows?ve.set(B.IExternalTerminalMainService,new O.SyncDescriptor(Y.WindowsExternalTerminalService)):w.isMacintosh?ve.set(B.IExternalTerminalMainService,new O.SyncDescriptor(Y.MacExternalTerminalService)):w.isLinux&&ve.set(B.IExternalTerminalMainService,new O.SyncDescriptor(Y.LinuxExternalTerminalService));const Me=new c.BackupMainService(this.environmentMainService,this.configurationService,this.logService);if(ve.set(a.IBackupMainService,Me),ve.set(j.IURLService,new O.SyncDescriptor(he.NativeURLService)),(0,Be.supportsTelemetry)(this.productService,this.environmentMainService)){const Fe=(0,n.getDelayedChannel)(Ee.then(ze=>ze.getChannel("telemetryAppender"))),Oe=new Je.TelemetryAppenderClient(Fe),_e=(0,ke.resolveCommonProperties)(this.fileService,(0,R.release)(),(0,R.hostname)(),process.arch,this.productService.commit,this.productService.version,we,this.productService.msftInternalDomains,this.environmentMainService.installSourcePath),Pe=(0,Be.getPiiPathsFromEnvironment)(this.environmentMainService),Ue={appenders:[Oe],commonProperties:_e,piiPaths:Pe,sendErrorTelemetry:!0};ve.set(Le.ITelemetryService,new O.SyncDescriptor(Te.TelemetryService,[Ue]))}else ve.set(Le.ITelemetryService,Be.NullTelemetryService);return ve.set(_t.IDefaultExtensionsProfileInitService,n.ProxyChannel.toService((0,n.getDelayedChannel)(Ee.then(Fe=>Fe.getChannel("IDefaultExtensionsProfileInitService"))))),await Me.initialize(),this.mainInstantiationService.createChild(ve)}initChannels(we,Se,Ee){const ve=n.ProxyChannel.fromService(we.get(V.ILaunchMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("launch",ve);const Me=n.ProxyChannel.fromService(we.get(_.IDiagnosticsMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("diagnostics",Me);const Fe=new Ot.PolicyChannel(we.get(Wt.IPolicyService));Se.registerChannel("policy",Fe),Ee.then(Ve=>Ve.registerChannel("policy",Fe));const Oe=this.fileService.getProvider(u.Schemas.file);(0,E.assertType)(Oe instanceof A.DiskFileSystemProvider);const _e=new ee.DiskFileSystemProviderChannel(Oe,this.logService,this.environmentMainService);Se.registerChannel(H.LOCAL_FILE_SYSTEM_CHANNEL_NAME,_e),Ee.then(Ve=>Ve.registerChannel(H.LOCAL_FILE_SYSTEM_CHANNEL_NAME,_e));const Pe=n.ProxyChannel.fromService(we.get(Ft.IUserDataProfilesMainService));Se.registerChannel("userDataProfiles",Pe),Ee.then(Ve=>Ve.registerChannel("userDataProfiles",Pe));const Ue=new Ye.UpdateChannel(we.get(We.IUpdateService));Se.registerChannel("update",Ue);const ze=n.ProxyChannel.fromService(we.get(J.IIssueMainService));Se.registerChannel("issue",ze);const Ge=n.ProxyChannel.fromService(we.get(ie.IEncryptionMainService));Se.registerChannel("encryption",Ge);const nt=n.ProxyChannel.fromService(we.get(I.ICredentialsMainService));Se.registerChannel("credentials",nt);const ht=n.ProxyChannel.fromService(we.get(Re.ISignService));Se.registerChannel("sign",ht);const Ct=n.ProxyChannel.fromService(we.get(U.IKeyboardLayoutMainService));Se.registerChannel("keyboardLayout",Ct),this.nativeHostMainService=we.get(ye.INativeHostMainService);const Ke=n.ProxyChannel.fromService(this.nativeHostMainService);Se.registerChannel("nativeHost",Ke),Ee.then(Ve=>Ve.registerChannel("nativeHost",Ke));const wt=n.ProxyChannel.fromService(we.get(Xe.IWorkspacesService));Se.registerChannel("workspaces",wt);const dt=n.ProxyChannel.fromService(we.get(ge.IMenubarMainService));Se.registerChannel("menubar",dt);const ft=n.ProxyChannel.fromService(we.get(j.IURLService));Se.registerChannel("url",ft);const pt=n.ProxyChannel.fromService(we.get($.IExtensionUrlTrustService));Se.registerChannel("extensionUrlTrust",pt);const vt=n.ProxyChannel.fromService(we.get(be.IWebviewManagerService));Se.registerChannel("webview",vt);const lt=this._register(new de.StorageDatabaseChannel(this.logService,we.get(pe.IStorageMainService)));Se.registerChannel("storage",lt),Ee.then(Ve=>Ve.registerChannel("storage",lt));const gt=n.ProxyChannel.fromService(we.get(B.IExternalTerminalMainService));Se.registerChannel("externalTerminal",gt);const mt=new ce.LogLevelChannel(we.get(se.ILogService));Se.registerChannel("logLevel",mt),Ee.then(Ve=>Ve.registerChannel("logLevel",mt));const Ne=new ce.LoggerChannel(we.get(se.ILoggerService));Se.registerChannel("logger",Ne),Ee.then(Ve=>Ve.registerChannel("logger",Ne));const rt=new L.ElectronExtensionHostDebugBroadcastChannel(we.get(qe.IWindowsMainService));Se.registerChannel("extensionhostdebugservice",rt);const ot=n.ProxyChannel.fromService(we.get(W.IExtensionHostStarter));Se.registerChannel(W.ipcExtensionHostStarterChannelName,ot)}openFirstWindow(we,Se){const Ee=this.windowsMainService=we.get(qe.IWindowsMainService),ve=we.get(j.IURLService),Me=we.get(ye.INativeHostMainService);this.lifecycleMainService.phase=2;const Fe=[],Oe=[...this.environmentMainService.args["open-url"]?this.environmentMainService.args._urls||[]:[],...global.getOpenUrls()||[]].map(Ne=>{try{return{uri:P.URI.parse(Ne),url:Ne}}catch{return}}).filter(Ne=>{if(!Ne||this.shouldBlockURI(Ne.uri))return!1;const rt=this.getWindowOpenableFromProtocolLink(Ne.uri);return rt?(Fe.push(rt),!1):!0}),_e=this,Pe=this.environmentMainService,Ue=this.productService,ze=this.logService;ve.registerHandler({async handleURL(Ne,rt){if(ze.trace("app#handleURL: ",Ne.toString(!0),rt),Ne.scheme===Ue.urlProtocol&&Ne.path==="workspace"&&(Ne=Ne.with({authority:"file",path:P.URI.parse(Ne.query).path,query:""})),_e.shouldBlockURI(Ne))return!0;let ot=!1;const Ve=new URLSearchParams(Ne.query);Ve.get("windowId")==="_blank"&&(Ve.delete("windowId"),Ne=Ne.with({query:Ve.toString()}),ot=!0),ot||(ot=w.isMacintosh&&Ee.getWindowCount()===0),Ve.get("editSessionId")!==null&&(Pe.editSessionId=Ve.get("editSessionId")??void 0,Ve.delete("editSessionId"),Ne=Ne.with({query:Ve.toString()}));const Pt=_e.getWindowOpenableFromProtocolLink(Ne);if(ze.trace("app#handleURL: windowOpenableFromProtocolLink = ",Pt),Pt){const[It]=Ee.open({context:5,cli:{...Pe.args},urisToOpen:[Pt],forceNewWindow:ot,gotoLineMode:!0});return It.focus(),!0}if(ot){const[It]=Ee.open({context:5,cli:{...Pe.args},forceNewWindow:!0,forceEmpty:!0,gotoLineMode:!0,remoteAuthority:(0,Ie.getRemoteAuthority)(Ne)});return await It.ready(),ve.open(Ne,rt)}return!1}});const Ge=this._register(new et.ActiveWindowManager({onDidOpenWindow:Me.onDidOpenWindow,onDidFocusWindow:Me.onDidFocusWindow,getActiveWindowId:()=>Me.getActiveWindowId(-1)})),nt=new n.StaticRouter(Ne=>Ge.getActiveClientId().then(rt=>Ne===rt)),ht=new re.URLHandlerRouter(nt),Ct=Se.getChannel("urlHandler",ht);ve.registerHandler(new re.URLHandlerChannelClient(Ct)),this._register(new me.ElectronURLListener(Oe,ve,Ee,this.environmentMainService,this.productService));const Ke=this.environmentMainService.args,wt=global.macOpenFiles,dt=(0,ae.isLaunchedFromCli)(process.env)?0:4,ft=Ke._.length,pt=!!Ke["folder-uri"],vt=!!Ke["file-uri"],lt=Ke["skip-add-to-recently-opened"]===!0,gt=Ke.wait&&Ke.waitMarkerFilePath?P.URI.file(Ke.waitMarkerFilePath):void 0,mt=Ke.remote||void 0;return Fe.length>0?Ee.open({context:dt,cli:Ke,urisToOpen:Fe,gotoLineMode:!0,initialStartup:!0}):Ke["new-window"]&&!ft&&!pt&&!vt?Ee.open({context:dt,cli:Ke,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:lt,waitMarkerFileURI:gt,initialStartup:!0,remoteAuthority:mt}):wt.length&&!ft&&!pt&&!vt?Ee.open({context:1,cli:Ke,urisToOpen:wt.map(Ne=>this.getWindowOpenableFromPathSync(Ne)),noRecentEntry:lt,waitMarkerFileURI:gt,initialStartup:!0}):Ee.open({context:dt,cli:Ke,forceNewWindow:Ke["new-window"]||!ft&&Ke["unity-launch"],diffMode:Ke.diff,noRecentEntry:lt,waitMarkerFileURI:gt,gotoLineMode:Ke.goto,initialStartup:!0,remoteAuthority:mt})}shouldBlockURI(we){return!!(we.authority===u.Schemas.file&&w.isWindows&&v.dialog.showMessageBoxSync({title:this.productService.nameLong,type:"question",buttons:[(0,y.mnemonicButtonLabel)((0,o.localize)(0,null)),(0,y.mnemonicButtonLabel)((0,o.localize)(1,null))],defaultId:0,cancelId:1,message:(0,o.localize)(2,null,(0,y.getPathLabel)(we,{os:w.OS,tildify:this.environmentMainService}),this.productService.nameShort),detail:(0,o.localize)(3,null),noLink:!0})===1)}getWindowOpenableFromProtocolLink(we){if(!!we.path){if(we.authority===u.Schemas.file){const Se=P.URI.file(we.fsPath);return(0,He.hasWorkspaceFileExtension)(Se)?{workspaceUri:Se}:{fileUri:Se}}else if(we.authority===u.Schemas.vscodeRemote){const Se=we.path.indexOf(S.posix.sep,1);if(Se!==-1){const Ee=we.path.substring(1,Se),ve=we.path.substring(Se),Me=P.URI.from({scheme:u.Schemas.vscodeRemote,authority:Ee,path:ve,query:we.query,fragment:we.fragment});return(0,He.hasWorkspaceFileExtension)(ve)?{workspaceUri:Me}:/:[\d]+$/.test(ve)?{fileUri:Me}:{folderUri:Me}}}}}getWindowOpenableFromPathSync(we){try{if((0,D.statSync)(we).isDirectory())return{folderUri:P.URI.file(we)};if((0,He.hasWorkspaceFileExtension)(we))return{workspaceUri:P.URI.file(we)}}catch{}return{fileUri:P.URI.file(we)}}async afterWindowOpen(we,Se){this.lifecycleMainService.phase=3;let Ee=!1;(0,C.once)(this.lifecycleMainService.onWillShutdown)(()=>Ee=!0);const ve=we.get(Le.ITelemetryService);this._register(Se.onDidError(({type:Oe,details:_e})=>{let Pe;switch(Oe){case 1:Pe="SharedProcess: detected unresponsive window";break;case 2:Pe=`SharedProcess: crashed (detail: ${_e?.reason??"<unknown>"}, code: ${_e?.exitCode??"<unknown>"})`;break;case 3:Pe=`SharedProcess: failed to load (detail: ${_e?.reason??"<unknown>"}, code: ${_e?.exitCode??"<unknown>"})`;break}(0,f.onUnexpectedError)(new Error(Pe)),ve.publicLog2("sharedprocesserror",{type:Oe,reason:_e?.reason,code:_e?.exitCode,visible:Se.isVisible(),shuttingdown:Ee})}));const Me=this.productService.win32MutexName;if(w.isWindows&&Me)try{const Oe=z.__$__nodeRequire("windows-mutex").Mutex,_e=new Oe(Me);(0,C.once)(this.lifecycleMainService.onWillShutdown)(()=>_e.release())}catch(Oe){this.logService.error(Oe)}v.protocol.registerHttpProtocol(u.Schemas.vscodeRemoteResource,(Oe,_e)=>{_e({url:Oe.url.replace(/^vscode-remote-resource:/,"http:"),method:Oe.method})});const Fe=we.get(We.IUpdateService);(Fe instanceof je.Win32UpdateService||Fe instanceof Ze.LinuxUpdateService||Fe instanceof Qe.DarwinUpdateService)&&Fe.initialize(),this.resolveShellEnvironment(this.environmentMainService.args,process.env,!0);try{const _e=(await this.fileService.readFile(this.environmentMainService.argvResource)).value.toString();if(JSON.parse((0,k.stripComments)(_e))["enable-crash-reporter"]===void 0){const ze=(0,Be.getTelemetryLevel)(this.configurationService)>=1,Ge=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${ze},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${(0,g.generateUuid)()}"`,"}"],nt=_e.substring(0,_e.length-2).concat(`,
`,Ge.join(`
`));await this.fileService.writeFile(this.environmentMainService.argvResource,M.VSBuffer.fromString(nt))}}catch(Oe){this.logService.error(Oe)}}async resolveShellEnvironment(we,Se,Ee){try{return await(0,le.getResolvedShellEnv)(this.logService,we,Se)}catch(ve){const Me=(0,b.toErrorMessage)(ve);Ee?this.windowsMainService?.sendToFocused("vscode:showResolveShellEnvError",Me):this.logService.error(Me)}return{}}stopTracingEventually(we,Se){this.logService.info("Tracing: waiting for windows to get ready...");const Ee=we.get(K.IDialogMainService);let ve=!1;const Me=async Oe=>{if(ve)return;ve=!0;const _e=await v.contentTracing.stopRecording(`${(0,p.randomPath)(this.environmentMainService.userHome.fsPath,this.productService.applicationName)}.trace.txt`);Oe?this.logService.info(`Tracing: data recorded (after 30s timeout) to ${_e}`):Ee.showMessageBox({title:this.productService.nameLong,type:"info",message:(0,o.localize)(4,null),detail:(0,o.localize)(5,null,_e),buttons:[(0,y.mnemonicButtonLabel)((0,o.localize)(6,null))],defaultId:0,noLink:!0},(0,E.withNullAsUndefined)(v.BrowserWindow.getFocusedWindow()))},Fe=setTimeout(()=>Me(!0),3e4);Promise.all(Se.map(Oe=>Oe.ready())).then(()=>{clearTimeout(Fe),Me(!1)})}};Et=fe([te(2,N.IInstantiationService),te(3,se.ILogService),te(4,Q.IEnvironmentMainService),te(5,x.ILifecycleMainService),te(6,d.IConfigurationService),te(7,ue.IStateMainService),te(8,G.IFileService),te(9,Ce.IProductService)],Et),e.CodeApplication=Et}),define(X[256],Z([0,1,37,8,263,2]),function(z,e,v,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativePolicyService=void 0;class M extends v.AbstractPolicyService{constructor(f){super();this.productName=f,this.throttler=new t.Throttler,this.watcher=this._register(new R.MutableDisposable)}async initializePolicies(f){await this.throttler.queue(()=>new Promise((p,C)=>{try{this.watcher.value=(0,D.createWatcher)(this.productName,f,k=>{for(const y in k){const m=k[y];m===void 0?this.policies.delete(y):this.policies.set(y,m)}this._onDidChange.fire(Object.keys(k)),p()})}catch(k){C(k)}}))}}e.NativePolicyService=M}),define(X[257],Z([0,1,210,8,19,18,2,13,17,39,106,6,209,264]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let u=class extends M.Disposable{constructor(w,E,P){super();this.environmentService=E,this.logService=P,this.configure(w.getValue()),this._register(w.onDidChangeConfiguration(()=>this.configure(w.getValue()),this))}configure(w){this.proxyUrl=w.http&&w.http.proxy,this.strictSSL=!!(w.http&&w.http.proxyStrictSSL),this.authorization=w.http&&w.http.proxyAuthorization}async request(w,E){this.logService.trace("RequestService#request (node) - begin",w.url);const{proxyUrl:P,strictSSL:g}=this;let h;try{h=await(0,C.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(r){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request (node) resolving shell environment failed",r))}const l={...process.env,...h},n=w.agent?w.agent:await(0,y.getProxyAgent)(w.url||"",l,{proxyUrl:P,strictSSL:g});w.agent=n,w.strictSSL=g,this.authorization&&(w.headers={...w.headers||{},"Proxy-Authorization":this.authorization});try{const r=await this._request(w,E);return this.logService.trace("RequestService#request (node) - success",w.url),r}catch(r){throw this.logService.trace("RequestService#request (node) - error",w.url,r),r}}async getNodeRequest(w){return((0,v.parse)(w.url).protocol==="https:"?await new Promise((g,h)=>{z(["https"],g,h)}):await new Promise((g,h)=>{z(["http"],g,h)})).request}_request(w,E){return t.Promises.withAsyncBody(async(P,g)=>{const h=(0,v.parse)(w.url),l=w.getRawRequest?w.getRawRequest(w):await this.getNodeRequest(w),n={hostname:h.hostname,port:h.port?parseInt(h.port):h.protocol==="https:"?443:80,protocol:h.protocol,path:h.path,method:w.type||"GET",headers:w.headers,agent:w.agent,rejectUnauthorized:(0,b.isBoolean)(w.strictSSL)?w.strictSSL:!0};w.user&&w.password&&(n.auth=w.user+":"+w.password);const r=l(n,i=>{const s=(0,b.isNumber)(w.followRedirects)?w.followRedirects:3;if(i.statusCode&&i.statusCode>=300&&i.statusCode<400&&s>0&&i.headers.location)this._request({...w,url:i.headers.location,followRedirects:s-1},E).then(P,g);else{let o=i;i.headers["content-encoding"]==="gzip"&&(o=i.pipe((0,m.createGunzip)())),P({res:i,stream:(0,D.streamToBufferReadableStream)(o)})}});r.on("error",g),w.timeout&&r.setTimeout(w.timeout),w.data&&typeof w.data=="string"&&r.write(w.data),r.end(),E.onCancellationRequested(()=>{r.abort(),g((0,R.canceled)())})})}async resolveProxy(w){}};u=fe([te(0,f.IConfigurationService),te(1,p.INativeEnvironmentService),te(2,k.ILogService)],u),e.RequestService=u}),define(X[258],Z([0,1,14,257]),function(z,e,v,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function D(M){return v.net.request}class R extends t.RequestService{request(b,f){return super.request({...b||{},getRawRequest:D},f)}}e.RequestMainService=R}),define(X[265],Z([0,1,14,27,7,25,8,41,18,29,48,34,12,9,70,4,36,31,23,43,81,255,10,17,205,217,26,55,178,15,193,85,67,190,84,21,103,6,198,104,57,20,58,241,107,223,60,258,86,211,45,215,72,61,63,37,256,200,2,62,228,40,224]),function(z,e,v,t,D,R,M,b,f,p,C,k,y,m,u,S,w,E,P,g,h,l,n,r,i,s,o,a,c,d,I,L,T,_,K,ie,ne,Q,ae,le,$,oe,W,F,B,Y,H,G,ee,A,O,N,q,J,U,V,x,se,ce,ge,ye,Ce){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class Ie{main(){try{this.startup()}catch(ue){console.error(ue.message),v.app.exit(1)}}async startup(){(0,f.setUnexpectedErrorHandler)(We=>console.error(We));const[ue,de,pe,ke,Le,Je,Te,Be]=this.createServices();try{try{await this.initServices(pe,Be,ke,Le)}catch(We){throw this.handleStartupDataDirError(pe,Te.nameLong,We),We}await ue.invokeFunction(async We=>{const Ye=We.get(Q.ILogService),Qe=We.get(ie.ILifecycleMainService),Ze=We.get(d.IFileService),$e=await this.claimInstance(Ye,pe,Qe,ue,Te,!0);return P.Promises.writeFile(pe.mainLockfile,String(process.pid)).catch(je=>{Ye.warn(`Error writing main lockfile: ${je.stack}`)}),Je.logger=new le.SpdLogLogger("main",(0,m.join)(pe.logsPath,"main.log"),!0,!1,Je.getLevel()),(0,C.once)(Qe.onWillShutdown)(je=>{Ze.dispose(),ke.dispose(),je.join(P.Promises.unlink(pe.mainLockfile).catch(()=>{}))}),ue.createInstance(l.CodeApplication,$e,de).startup()})}catch(We){ue.invokeFunction(this.quit,We)}}createServices(){const ue=new K.ServiceCollection,de=new ce.DisposableStore;process.once("exit",()=>de.dispose());const pe={_serviceBrand:void 0,...$.default};ue.set(oe.IProductService,pe);const ke=new o.EnvironmentMainService(this.resolveArgs(),pe),Le=this.patchEnvironment(ke);ue.set(o.IEnvironmentMainService,ke);const Je=new ne.BufferLogService,Te=de.add(new Q.MultiplexLogService([new Q.ConsoleMainLogger((0,Q.getLogLevel)(ke)),Je]));ue.set(Q.ILogService,Te);const Be=new I.FileService(Te);ue.set(d.IFileService,Be);const We=new L.DiskFileSystemProvider(Te);Be.registerProvider(y.Schemas.file,We);const Ye=new ye.UriIdentityService(Be);ue.set(ge.IUriIdentityService,Ye),ue.set(Q.ILoggerService,new ae.LoggerService(Te,Be));const Qe=new N.StateMainService(ke,Te,Be);ue.set(O.IStateMainService,Qe);const Ze=new U.UserDataProfilesMainService(Qe,Ye,ke,Be,Te);ue.set(U.IUserDataProfilesMainService,Ze);const $e=S.isWindows&&pe.win32RegValueName?de.add(new x.NativePolicyService(pe.win32RegValueName)):ke.policyFile?de.add(new se.FilePolicyService(ke.policyFile,Be,Te)):new V.NullPolicyService;ue.set(V.IPolicyService,$e);const je=new i.ConfigurationService(Ze.defaultProfile.settingsResource,Be,$e,Te);return ue.set(r.IConfigurationService,je),ue.set(ie.ILifecycleMainService,new T.SyncDescriptor(ie.LifecycleMainService)),ue.set(H.IRequestService,new T.SyncDescriptor(G.RequestMainService)),ue.set(J.IThemeMainService,new T.SyncDescriptor(J.ThemeMainService)),ue.set(ee.ISignService,new T.SyncDescriptor(A.SignService)),ue.set(B.ITunnelService,new T.SyncDescriptor(Y.TunnelService)),ue.set(W.IProtocolMainService,new T.SyncDescriptor(F.ProtocolMainService)),[new _.InstantiationService(ue,!0),Le,ke,je,Qe,Je,pe,Ze]}patchEnvironment(ue){const de={VSCODE_IPC_HOOK:ue.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(pe=>{const ke=process.env[pe];typeof ke=="string"&&(de[pe]=ke)}),Object.assign(process.env,de),de}async initServices(ue,de,pe,ke){await M.Promises.settled([Promise.all([ue.extensionsPath,ue.codeCachePath,ue.logsPath,de.defaultProfile.globalStorageHome.fsPath,ue.workspaceStorageHome.fsPath,ue.localHistoryHome.fsPath,ue.backupHome].map(Le=>Le?P.Promises.mkdir(Le,{recursive:!0}):void 0)),ke.init(),pe.initialize()]),de.setEnablement(!!pe.getValue(Ce.PROFILES_ENABLEMENT_CONFIG))}async claimInstance(ue,de,pe,ke,Le,Je){let Te;try{(0,u.mark)("code/willStartMainServer"),Te=await(0,h.serve)(de.mainIPCHandle),(0,u.mark)("code/didStartMainServer"),(0,C.once)(pe.onWillShutdown)(()=>Te.dispose())}catch(Be){if(Be.code!=="EADDRINUSE")throw this.handleStartupDataDirError(de,Le.nameLong,Be),Be;let We;try{We=await(0,h.connect)(de.mainIPCHandle,"main")}catch($e){if(!Je||S.isWindows||$e.code!=="ECONNREFUSED")throw $e.code==="EPERM"&&this.showStartupWarningDialog((0,n.localize)(0,null,Le.nameShort),(0,n.localize)(1,null),Le.nameLong),$e;try{(0,t.unlinkSync)(de.mainIPCHandle)}catch(je){throw ue.warn("Could not delete obsolete instance handle",je),je}return this.claimInstance(ue,de,pe,ke,Le,!1)}if(de.extensionTestsLocationURI&&!de.debugExtensionHost.break){const $e="Running extension tests from the command line is currently only supported if no other instance of Code is running.";throw ue.error($e),We.dispose(),new Error($e)}let Ye;!de.args.wait&&!de.args.status&&(Ye=setTimeout(()=>{this.showStartupWarningDialog((0,n.localize)(2,null,Le.nameShort),(0,n.localize)(3,null),Le.nameLong)},1e4));const Qe=g.ProxyChannel.toService(We.getChannel("launch"),{disableMarshalling:!0}),Ze=g.ProxyChannel.toService(We.getChannel("diagnostics"),{disableMarshalling:!0});if(de.args.status)return ke.invokeFunction(async()=>{const $e=new s.DiagnosticsService(q.NullTelemetryService,Le),je=await Qe.getMainProcessInfo(),j=await Ze.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),re=await $e.getDiagnostics(je,j);throw console.log(re),new f.ExpectedError});throw S.isWindows&&await this.windowsAllowSetForegroundWindow(Qe,ue),ue.trace("Sending env to running instance..."),await Qe.start(de.args,process.env),We.dispose(),Ye&&clearTimeout(Ye),new f.ExpectedError("Sent env to running instance. Terminating...")}if(de.args.status)throw ue.warn("Warning: The --status argument can only be used if Code is already running. Please run it again after Code has started."),new f.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),Te}handleStartupDataDirError(ue,de,pe){if(pe.code==="EACCES"||pe.code==="EPERM"){const ke=(0,R.coalesce)([ue.userDataPath,ue.extensionsPath,h.XDG_RUNTIME_DIR]).map(Le=>(0,k.getPathLabel)(D.URI.file(Le),{os:S.OS,tildify:ue}));this.showStartupWarningDialog((0,n.localize)(4,null),(0,n.localize)(5,null,(0,b.toErrorMessage)(pe),ke.join(`
`)),de)}}showStartupWarningDialog(ue,de,pe){v.dialog.showMessageBoxSync({title:pe,type:"warning",buttons:[(0,k.mnemonicButtonLabel)((0,n.localize)(6,null))],message:ue,detail:de,defaultId:0,noLink:!0})}async windowsAllowSetForegroundWindow(ue,de){if(S.isWindows){const pe=await ue.getMainProcessId();de.trace("Sending some foreground love to the running instance:",pe);try{(await new Promise((ke,Le)=>{z(["windows-foreground-love"],ke,Le)})).allowSetForegroundWindow(pe)}catch(ke){de.error(ke)}}}quit(ue,de){const pe=ue.get(Q.ILogService),ke=ue.get(ie.ILifecycleMainService);let Le=0;de&&(de.isExpected?de.message&&pe.trace(de.message):(Le=1,de.stack?pe.error(de.stack):pe.error(`Startup error: ${de.toString()}`))),ke.kill(Le)}resolveArgs(){const ue=this.validatePaths((0,a.parseMainProcessArgv)(process.argv));if(ue.wait&&!ue.waitMarkerFilePath){const de=(0,c.createWaitMarkerFile)(ue.verbose);de&&((0,a.addArg)(process.argv,"--waitMarkerFilePath",de),ue.waitMarkerFilePath=de)}return ue}validatePaths(ue){if(ue["open-url"]&&(ue._urls=ue._,ue._=[]),!ue.remote){const de=this.doValidatePaths(ue._,ue.goto);ue._=de}return ue}doValidatePaths(ue,de){const pe=(0,w.cwd)(),ke=ue.map(Te=>{let Be=String(Te),We;de&&(We=(0,p.parseLineAndColumnAware)(Be),Be=We.path),Be&&(Be=this.preparePath(pe,Be));const Ye=(0,p.sanitizeFilePath)(Be,pe),Qe=(0,m.basename)(Ye);return Qe&&!(0,p.isValidBasename)(Qe)?null:de&&We?(We.path=Ye,this.toPath(We)):Ye}),Le=S.isWindows||S.isMacintosh,Je=(0,R.distinct)(ke,Te=>Te&&Le?Te.toLowerCase():Te||"");return(0,R.coalesce)(Je)}preparePath(ue,de){return S.isWindows&&(de=(0,E.rtrim)(de,'"')),de=(0,E.trim)((0,E.trim)(de," "),"	"),S.isWindows&&(de=(0,m.resolve)(ue,de),de=(0,E.rtrim)(de,".")),de}toPath(ue){const de=[ue.path];return typeof ue.line=="number"&&de.push(String(ue.line)),typeof ue.column=="number"&&de.push(String(ue.column)),de.join(":")}}new Ie().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/f3528d481b366b24321c382d5e5849f4c7d65248/core/vs/code/electron-main/main.js.map
