/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Z=["require","exports","vs/base/common/lifecycle","vs/base/common/async","vs/base/common/event","vs/nls","vs/nls!vs/code/node/cliProcessMain","vs/base/common/types","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/uri","vs/platform/files/common/files","vs/base/common/errors","vs/base/common/platform","vs/base/common/path","vs/base/common/buffer","vs/base/common/network","vs/base/common/resources","vs/platform/environment/common/environment","vs/base/common/arrays","vs/base/node/pfs","vs/platform/configuration/common/configuration","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/base/common/objects","vs/base/common/cancellation","vs/platform/userDataProfile/common/userDataProfile","vs/platform/product/common/productService","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/errorMessage","vs/base/common/strings","vs/base/common/process","vs/platform/registry/common/platform","vs/platform/extensions/common/extensions","vs/platform/telemetry/common/telemetry","vs/base/common/uuid","vs/base/common/map","vs/platform/policy/common/policy","os","vs/base/common/semver/semver","vs/platform/configuration/common/configurationRegistry","vs/platform/extensionManagement/common/extensionsProfileScannerService","vs/platform/telemetry/common/telemetryUtils","vs/base/common/stream","vs/base/common/marshalling","child_process","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/descriptors","vs/platform/request/common/request","vs/platform/extensionManagement/common/extensionsScannerService","vs/base/common/decorators","vs/base/common/json","vs/base/common/processes","vs/base/common/observableValue","vs/base/common/hash","vs/base/common/severity","vs/base/parts/ipc/common/ipc","vs/base/node/processes","vs/platform/download/common/download","vs/platform/files/common/io","vs/platform/files/common/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/languagePacks/common/languagePacks","vs/base/common/iterator","vs/platform/configuration/common/configurationModels","vs/platform/state/node/state","vs/base/node/zip","vs/base/common/assert","vs/base/common/skipList","vs/base/node/decoder","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/base/common/console","vs/base/node/powershell","vs/base/parts/storage/common/storage","vs/nls!vs/base/node/processes","vs/base/common/extpath","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/languagePacks/common/languagePacks","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/workspace/common/workspace","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","fs","vs/platform/log/node/spdlogLog","vs/platform/policy/common/filePolicyService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/languagePacks/node/languagePacks","vs/platform/download/common/downloadService","vs/platform/request/node/proxy","url","vs/platform/shell/node/shellEnv","vs/platform/state/node/stateService","vs/platform/telemetry/common/commonProperties","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/common/telemetryService","vs/platform/product/common/product","vs/platform/telemetry/node/1dsAppender","vs/platform/telemetry/node/telemetry","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/workspace/common/workspace","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/extensionManagement/node/extensionsScannerService","vs/platform/storage/common/storage","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/userDataProfile/node/userDataProfile","vs/platform/policy/node/nativePolicyService","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","string_decoder","path","vs/base/common/glob","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","graceful-fs","crypto","vs/platform/environment/node/argvHelper","https","vscode-policy-watcher","yauzl","yazl","zlib","vs/code/node/cliProcessMain"],ee=function($){for(var i=[],C=0,D=$.length;C<D;C++)i[C]=Z[$[C]];return i};define(Z[67],ee([0,1]),function($,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ok=void 0;function C(D,b){if(!D)throw new Error(b?`Assertion failed (${b})`:"Assertion Failed")}i.ok=C}),define(Z[50],ee([0,1]),function($,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.throttle=i.debounce=i.memoize=i.createDecorator=void 0;function C(T){return(m,l,h)=>{let I=null,P=null;if(typeof h.value=="function"?(I="value",P=h.value):typeof h.get=="function"&&(I="get",P=h.get),!P)throw new Error("not supported");h[I]=T(P,l)}}i.createDecorator=C;function D(T,m,l){let h=null,I=null;if(typeof l.value=="function"?(h="value",I=l.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof l.get=="function"&&(h="get",I=l.get),!I)throw new Error("not supported");const P=`$memoize$${m}`;l[h]=function(...g){return this.hasOwnProperty(P)||Object.defineProperty(this,P,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,g)}),this[P]}}i.memoize=D;function b(T,m,l){return C((h,I)=>{const P=`$debounce$${I}`,g=`$debounce$result$${I}`;return function(...E){this[g]||(this[g]=l?l():void 0),clearTimeout(this[P]),m&&(this[g]=m(this[g],...E),E=[this[g]]),this[P]=setTimeout(()=>{h.apply(this,E),this[g]=l?l():void 0},T)}})}i.debounce=b;function R(T,m,l){return C((h,I)=>{const P=`$throttle$timer$${I}`,g=`$throttle$result$${I}`,E=`$throttle$lastRun$${I}`,c=`$throttle$pending$${I}`;return function(...d){if(this[g]||(this[g]=l?l():void 0),(this[E]===null||this[E]===void 0)&&(this[E]=-Number.MAX_VALUE),m&&(this[g]=m(this[g],...d)),this[c])return;const S=this[E]+T;S<=Date.now()?(this[E]=Date.now(),h.apply(this,[this[g]]),this[g]=l?l():void 0):(this[c]=!0,this[P]=setTimeout(()=>{this[c]=!1,this[E]=Date.now(),h.apply(this,[this[g]]),this[g]=l?l():void 0},S-Date.now()))}})}i.throttle=R}),define(Z[51],ee([0,1]),function($,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getNodeType=i.stripComments=i.visit=i.findNodeAtOffset=i.contains=i.getNodeValue=i.getNodePath=i.findNodeAtLocation=i.parseTree=i.parse=i.getLocation=i.createScanner=i.ParseOptions=i.ParseErrorCode=i.SyntaxKind=i.ScanError=void 0;var C;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(C=i.ScanError||(i.ScanError={}));var D;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(D=i.SyntaxKind||(i.SyntaxKind={}));var b;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(b=i.ParseErrorCode||(i.ParseErrorCode={}));var R;(function(t){t.DEFAULT={allowTrailingComma:!0}})(R=i.ParseOptions||(i.ParseOptions={}));function T(t,n=!1){let e=0;const r=t.length;let o="",p=0,y=16,w=0;function L(re){let ge=0,ae=0;for(;ge<re;){const N=t.charCodeAt(e);if(N>=48&&N<=57)ae=ae*16+N-48;else if(N>=65&&N<=70)ae=ae*16+N-65+10;else if(N>=97&&N<=102)ae=ae*16+N-97+10;else break;e++,ge++}return ge<re&&(ae=-1),ae}function U(re){e=re,o="",p=0,y=16,w=0}function B(){const re=e;if(t.charCodeAt(e)===48)e++;else for(e++;e<t.length&&h(t.charCodeAt(e));)e++;if(e<t.length&&t.charCodeAt(e)===46)if(e++,e<t.length&&h(t.charCodeAt(e)))for(e++;e<t.length&&h(t.charCodeAt(e));)e++;else return w=3,t.substring(re,e);let ge=e;if(e<t.length&&(t.charCodeAt(e)===69||t.charCodeAt(e)===101))if(e++,(e<t.length&&t.charCodeAt(e)===43||t.charCodeAt(e)===45)&&e++,e<t.length&&h(t.charCodeAt(e))){for(e++;e<t.length&&h(t.charCodeAt(e));)e++;ge=e}else w=3;return t.substring(re,ge)}function q(){let re="",ge=e;for(;;){if(e>=r){re+=t.substring(ge,e),w=2;break}const ae=t.charCodeAt(e);if(ae===34){re+=t.substring(ge,e),e++;break}if(ae===92){if(re+=t.substring(ge,e),e++,e>=r){w=2;break}switch(t.charCodeAt(e++)){case 34:re+='"';break;case 92:re+="\\";break;case 47:re+="/";break;case 98:re+="\b";break;case 102:re+="\f";break;case 110:re+=`
`;break;case 114:re+="\r";break;case 116:re+="	";break;case 117:{const _=L(4);_>=0?re+=String.fromCharCode(_):w=4;break}default:w=5}ge=e;continue}if(ae>=0&&ae<=31)if(l(ae)){re+=t.substring(ge,e),w=2;break}else w=6;e++}return re}function Y(){if(o="",w=0,p=e,e>=r)return p=r,y=17;let re=t.charCodeAt(e);if(m(re)){do e++,o+=String.fromCharCode(re),re=t.charCodeAt(e);while(m(re));return y=15}if(l(re))return e++,o+=String.fromCharCode(re),re===13&&t.charCodeAt(e)===10&&(e++,o+=`
`),y=14;switch(re){case 123:return e++,y=1;case 125:return e++,y=2;case 91:return e++,y=3;case 93:return e++,y=4;case 58:return e++,y=6;case 44:return e++,y=5;case 34:return e++,o=q(),y=10;case 47:{const ge=e-1;if(t.charCodeAt(e+1)===47){for(e+=2;e<r&&!l(t.charCodeAt(e));)e++;return o=t.substring(ge,e),y=12}if(t.charCodeAt(e+1)===42){e+=2;const ae=r-1;let N=!1;for(;e<ae;){if(t.charCodeAt(e)===42&&t.charCodeAt(e+1)===47){e+=2,N=!0;break}e++}return N||(e++,w=1),o=t.substring(ge,e),y=13}return o+=String.fromCharCode(re),e++,y=16}case 45:if(o+=String.fromCharCode(re),e++,e===r||!h(t.charCodeAt(e)))return y=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return o+=B(),y=11;default:for(;e<r&&ne(re);)e++,re=t.charCodeAt(e);if(p!==e){switch(o=t.substring(p,e),o){case"true":return y=8;case"false":return y=9;case"null":return y=7}return y=16}return o+=String.fromCharCode(re),e++,y=16}}function ne(re){if(m(re)||l(re))return!1;switch(re){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function le(){let re;do re=Y();while(re>=12&&re<=15);return re}return{setPosition:U,getPosition:()=>e,scan:n?le:Y,getToken:()=>y,getTokenValue:()=>o,getTokenOffset:()=>p,getTokenLength:()=>e-p,getTokenError:()=>w}}i.createScanner=T;function m(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function l(t){return t===10||t===13||t===8232||t===8233}function h(t){return t>=48&&t<=57}var I;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(I||(I={}));function P(t,n){const e=[],r=new Object;let o;const p={value:{},offset:0,length:0,type:"object",parent:void 0};let y=!1;function w(L,U,B,q){p.value=L,p.offset=U,p.length=B,p.type=q,p.colonOffset=void 0,o=p}try{v(t,{onObjectBegin:(L,U)=>{if(n<=L)throw r;o=void 0,y=n>L,e.push("")},onObjectProperty:(L,U,B)=>{if(n<U||(w(L,U,B,"property"),e[e.length-1]=L,n<=U+B))throw r},onObjectEnd:(L,U)=>{if(n<=L)throw r;o=void 0,e.pop()},onArrayBegin:(L,U)=>{if(n<=L)throw r;o=void 0,e.push(0)},onArrayEnd:(L,U)=>{if(n<=L)throw r;o=void 0,e.pop()},onLiteralValue:(L,U,B)=>{if(n<U||(w(L,U,B,s(L)),n<=U+B))throw r},onSeparator:(L,U,B)=>{if(n<=U)throw r;if(L===":"&&o&&o.type==="property")o.colonOffset=U,y=!1,o=void 0;else if(L===","){const q=e[e.length-1];typeof q=="number"?e[e.length-1]=q+1:(y=!0,e[e.length-1]=""),o=void 0}}})}catch(L){if(L!==r)throw L}return{path:e,previousNode:o,isAtPropertyKey:y,matches:L=>{let U=0;for(let B=0;U<L.length&&B<e.length;B++)if(L[U]===e[B]||L[U]==="*")U++;else if(L[U]!=="**")return!1;return U===L.length}}}i.getLocation=P;function g(t,n=[],e=R.DEFAULT){let r=null,o=[];const p=[];function y(L){Array.isArray(o)?o.push(L):r!==null&&(o[r]=L)}return v(t,{onObjectBegin:()=>{const L={};y(L),p.push(o),o=L,r=null},onObjectProperty:L=>{r=L},onObjectEnd:()=>{o=p.pop()},onArrayBegin:()=>{const L=[];y(L),p.push(o),o=L,r=null},onArrayEnd:()=>{o=p.pop()},onLiteralValue:y,onError:(L,U,B)=>{n.push({error:L,offset:U,length:B})}},e),o[0]}i.parse=g;function E(t,n=[],e=R.DEFAULT){let r={type:"array",offset:-1,length:-1,children:[],parent:void 0};function o(L){r.type==="property"&&(r.length=L-r.offset,r=r.parent)}function p(L){return r.children.push(L),L}v(t,{onObjectBegin:L=>{r=p({type:"object",offset:L,length:-1,parent:r,children:[]})},onObjectProperty:(L,U,B)=>{r=p({type:"property",offset:U,length:-1,parent:r,children:[]}),r.children.push({type:"string",value:L,offset:U,length:B,parent:r})},onObjectEnd:(L,U)=>{r.length=L+U-r.offset,r=r.parent,o(L+U)},onArrayBegin:(L,U)=>{r=p({type:"array",offset:L,length:-1,parent:r,children:[]})},onArrayEnd:(L,U)=>{r.length=L+U-r.offset,r=r.parent,o(L+U)},onLiteralValue:(L,U,B)=>{p({type:s(L),offset:U,length:B,parent:r,value:L}),o(U+B)},onSeparator:(L,U,B)=>{r.type==="property"&&(L===":"?r.colonOffset=U:L===","&&o(U))},onError:(L,U,B)=>{n.push({error:L,offset:U,length:B})}},e);const w=r.children[0];return w&&delete w.parent,w}i.parseTree=E;function c(t,n){if(!t)return;let e=t;for(const r of n)if(typeof r=="string"){if(e.type!=="object"||!Array.isArray(e.children))return;let o=!1;for(const p of e.children)if(Array.isArray(p.children)&&p.children[0].value===r){e=p.children[1],o=!0;break}if(!o)return}else{const o=r;if(e.type!=="array"||o<0||!Array.isArray(e.children)||o>=e.children.length)return;e=e.children[o]}return e}i.findNodeAtLocation=c;function d(t){if(!t.parent||!t.parent.children)return[];const n=d(t.parent);if(t.parent.type==="property"){const e=t.parent.children[0].value;n.push(e)}else if(t.parent.type==="array"){const e=t.parent.children.indexOf(t);e!==-1&&n.push(e)}return n}i.getNodePath=d;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":{const n=Object.create(null);for(const e of t.children){const r=e.children[1];r&&(n[e.children[0].value]=S(r))}return n}case"null":case"string":case"number":case"boolean":return t.value;default:return}}i.getNodeValue=S;function u(t,n,e=!1){return n>=t.offset&&n<t.offset+t.length||e&&n===t.offset+t.length}i.contains=u;function f(t,n,e=!1){if(u(t,n,e)){const r=t.children;if(Array.isArray(r))for(let o=0;o<r.length&&r[o].offset<=n;o++){const p=f(r[o],n,e);if(p)return p}return t}}i.findNodeAtOffset=f;function v(t,n,e=R.DEFAULT){const r=T(t,!1);function o(F){return F?()=>F(r.getTokenOffset(),r.getTokenLength()):()=>!0}function p(F){return F?V=>F(V,r.getTokenOffset(),r.getTokenLength()):()=>!0}const y=o(n.onObjectBegin),w=p(n.onObjectProperty),L=o(n.onObjectEnd),U=o(n.onArrayBegin),B=o(n.onArrayEnd),q=p(n.onLiteralValue),Y=p(n.onSeparator),ne=o(n.onComment),le=p(n.onError),re=e&&e.disallowComments,ge=e&&e.allowTrailingComma;function ae(){for(;;){const F=r.scan();switch(r.getTokenError()){case 4:N(14);break;case 5:N(15);break;case 3:N(13);break;case 1:re||N(11);break;case 2:N(12);break;case 6:N(16);break}switch(F){case 12:case 13:re?N(10):ne();break;case 16:N(1);break;case 15:case 14:break;default:return F}}}function N(F,V=[],k=[]){if(le(F),V.length+k.length>0){let O=r.getToken();for(;O!==17;){if(V.indexOf(O)!==-1){ae();break}else if(k.indexOf(O)!==-1)break;O=ae()}}}function _(F){const V=r.getTokenValue();return F?q(V):w(V),ae(),!0}function M(){switch(r.getToken()){case 11:{let F=0;try{F=JSON.parse(r.getTokenValue()),typeof F!="number"&&(N(2),F=0)}catch{N(2)}q(F);break}case 7:q(null);break;case 8:q(!0);break;case 9:q(!1);break;default:return!1}return ae(),!0}function A(){return r.getToken()!==10?(N(3,[],[2,5]),!1):(_(!1),r.getToken()===6?(Y(":"),ae(),Q()||N(4,[],[2,5])):N(5,[],[2,5]),!0)}function W(){y(),ae();let F=!1;for(;r.getToken()!==2&&r.getToken()!==17;){if(r.getToken()===5){if(F||N(4,[],[]),Y(","),ae(),r.getToken()===2&&ge)break}else F&&N(6,[],[]);A()||N(4,[],[2,5]),F=!0}return L(),r.getToken()!==2?N(7,[2],[]):ae(),!0}function G(){U(),ae();let F=!1;for(;r.getToken()!==4&&r.getToken()!==17;){if(r.getToken()===5){if(F||N(4,[],[]),Y(","),ae(),r.getToken()===4&&ge)break}else F&&N(6,[],[]);Q()||N(4,[],[4,5]),F=!0}return B(),r.getToken()!==4?N(8,[4],[]):ae(),!0}function Q(){switch(r.getToken()){case 3:return G();case 1:return W();case 10:return _(!0);default:return M()}}return ae(),r.getToken()===17?e.allowEmptyContent?!0:(N(4,[],[]),!1):Q()?(r.getToken()!==17&&N(9,[],[]),!0):(N(4,[],[]),!1)}i.visit=v;function a(t,n){const e=T(t),r=[];let o,p=0,y;do switch(y=e.getPosition(),o=e.scan(),o){case 12:case 13:case 17:p!==y&&r.push(t.substring(p,y)),n!==void 0&&r.push(e.getTokenValue().replace(/[^\r\n]/g,n)),p=e.getPosition();break}while(o!==17);return r.join("")}i.stripComments=a;function s(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}i.getNodeType=s}),function(){function $(b){const R=[];typeof b=="number"&&R.push("code/timeOrigin",b);function T(l){R.push(l,Date.now())}function m(){const l=[];for(let h=0;h<R.length;h+=2)l.push({name:R[h],startTime:R[h+1]});return l}return{mark:T,getMarks:m}}function i(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?$():{mark(b){performance.mark(b)},getMarks(){let b=performance.timeOrigin;typeof b!="number"&&(b=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const R=[{name:"code/timeOrigin",startTime:Math.round(b)}];for(const T of performance.getEntriesByType("mark"))R.push({name:T.name,startTime:Math.round(b+T.startTime)});return R}};if(typeof process=="object"){const b=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return $(b)}else return console.trace("perf-util loaded in UNKNOWN environment"),$()}function C(b){return b.MonacoPerformanceMarks||(b.MonacoPerformanceMarks=i()),b.MonacoPerformanceMarks}var D;typeof global=="object"?D=global:typeof self=="object"?D=self:D={},typeof define=="function"?define("vs/base/common/performance",[],function(){return C(D)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=C(D):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),D.perf=C(D))}(),function($,i){if(typeof exports=="object"&&typeof module=="object")module.exports=i();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],i);else{var C=i();for(var D in C)(typeof exports=="object"?exports:$)[D]=C[D]}}(typeof self!="undefined"?self:this,function(){return function($){var i={};function C(D){if(i[D])return i[D].exports;var b=i[D]={i:D,l:!1,exports:{}};return $[D].call(b.exports,b,b.exports,C),b.l=!0,b.exports}return C.m=$,C.c=i,C.d=function(D,b,R){C.o(D,b)||Object.defineProperty(D,b,{enumerable:!0,get:R})},C.r=function(D){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(D,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(D,"__esModule",{value:!0})},C.t=function(D,b){if(1&b&&(D=C(D)),8&b||4&b&&typeof D=="object"&&D&&D.__esModule)return D;var R=Object.create(null);if(C.r(R),Object.defineProperty(R,"default",{enumerable:!0,value:D}),2&b&&typeof D!="string")for(var T in D)C.d(R,T,function(m){return D[m]}.bind(null,T));return R},C.n=function(D){var b=D&&D.__esModule?function(){return D.default}:function(){return D};return C.d(b,"a",b),b},C.o=function(D,b){return Object.prototype.hasOwnProperty.call(D,b)},C.p="",C(C.s=0)}([function($,i,C){(function(D){var b;i=$.exports=k,b=typeof D=="object"&&D.env&&D.env.NODE_DEBUG&&/\bsemver\b/i.test(D.env.NODE_DEBUG)?function(){var z=Array.prototype.slice.call(arguments,0);z.unshift("SEMVER"),console.log.apply(console,z)}:function(){},i.SEMVER_SPEC_VERSION="2.0.0";var R=256,T=Number.MAX_SAFE_INTEGER||9007199254740991,m=i.re=[],l=i.src=[],h=0,I=h++;l[I]="0|[1-9]\\d*";var P=h++;l[P]="[0-9]+";var g=h++;l[g]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var E=h++;l[E]="("+l[I]+")\\.("+l[I]+")\\.("+l[I]+")";var c=h++;l[c]="("+l[P]+")\\.("+l[P]+")\\.("+l[P]+")";var d=h++;l[d]="(?:"+l[I]+"|"+l[g]+")";var S=h++;l[S]="(?:"+l[P]+"|"+l[g]+")";var u=h++;l[u]="(?:-("+l[d]+"(?:\\."+l[d]+")*))";var f=h++;l[f]="(?:-?("+l[S]+"(?:\\."+l[S]+")*))";var v=h++;l[v]="[0-9A-Za-z-]+";var a=h++;l[a]="(?:\\+("+l[v]+"(?:\\."+l[v]+")*))";var s=h++,t="v?"+l[E]+l[u]+"?"+l[a]+"?";l[s]="^"+t+"$";var n="[v=\\s]*"+l[c]+l[f]+"?"+l[a]+"?",e=h++;l[e]="^"+n+"$";var r=h++;l[r]="((?:<|>)?=?)";var o=h++;l[o]=l[P]+"|x|X|\\*";var p=h++;l[p]=l[I]+"|x|X|\\*";var y=h++;l[y]="[v=\\s]*("+l[p]+")(?:\\.("+l[p]+")(?:\\.("+l[p]+")(?:"+l[u]+")?"+l[a]+"?)?)?";var w=h++;l[w]="[v=\\s]*("+l[o]+")(?:\\.("+l[o]+")(?:\\.("+l[o]+")(?:"+l[f]+")?"+l[a]+"?)?)?";var L=h++;l[L]="^"+l[r]+"\\s*"+l[y]+"$";var U=h++;l[U]="^"+l[r]+"\\s*"+l[w]+"$";var B=h++;l[B]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var q=h++;l[q]="(?:~>?)";var Y=h++;l[Y]="(\\s*)"+l[q]+"\\s+",m[Y]=new RegExp(l[Y],"g");var ne=h++;l[ne]="^"+l[q]+l[y]+"$";var le=h++;l[le]="^"+l[q]+l[w]+"$";var re=h++;l[re]="(?:\\^)";var ge=h++;l[ge]="(\\s*)"+l[re]+"\\s+",m[ge]=new RegExp(l[ge],"g");var ae=h++;l[ae]="^"+l[re]+l[y]+"$";var N=h++;l[N]="^"+l[re]+l[w]+"$";var _=h++;l[_]="^"+l[r]+"\\s*("+n+")$|^$";var M=h++;l[M]="^"+l[r]+"\\s*("+t+")$|^$";var A=h++;l[A]="(\\s*)"+l[r]+"\\s*("+n+"|"+l[y]+")",m[A]=new RegExp(l[A],"g");var W=h++;l[W]="^\\s*("+l[y]+")\\s+-\\s+("+l[y]+")\\s*$";var G=h++;l[G]="^\\s*("+l[w]+")\\s+-\\s+("+l[w]+")\\s*$";var Q=h++;l[Q]="(<|>)?=?\\s*\\*";for(var F=0;F<35;F++)b(F,l[F]),m[F]||(m[F]=new RegExp(l[F]));function V(z,K){if(z instanceof k)return z;if(typeof z!="string"||z.length>R||!(K?m[e]:m[s]).test(z))return null;try{return new k(z,K)}catch{return null}}function k(z,K){if(z instanceof k){if(z.loose===K)return z;z=z.version}else if(typeof z!="string")throw new TypeError("Invalid Version: "+z);if(z.length>R)throw new TypeError("version is longer than "+R+" characters");if(!(this instanceof k))return new k(z,K);b("SemVer",z,K),this.loose=K;var J=z.trim().match(K?m[e]:m[s]);if(!J)throw new TypeError("Invalid Version: "+z);if(this.raw=z,this.major=+J[1],this.minor=+J[2],this.patch=+J[3],this.major>T||this.major<0)throw new TypeError("Invalid major version");if(this.minor>T||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>T||this.patch<0)throw new TypeError("Invalid patch version");J[4]?this.prerelease=J[4].split(".").map(function(ue){if(/^[0-9]+$/.test(ue)){var me=+ue;if(me>=0&&me<T)return me}return ue}):this.prerelease=[],this.build=J[5]?J[5].split("."):[],this.format()}i.parse=V,i.valid=function(z,K){var J=V(z,K);return J?J.version:null},i.clean=function(z,K){var J=V(z.trim().replace(/^[=v]+/,""),K);return J?J.version:null},i.SemVer=k,k.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},k.prototype.toString=function(){return this.version},k.prototype.compare=function(z){return b("SemVer.compare",this.version,this.loose,z),z instanceof k||(z=new k(z,this.loose)),this.compareMain(z)||this.comparePre(z)},k.prototype.compareMain=function(z){return z instanceof k||(z=new k(z,this.loose)),x(this.major,z.major)||x(this.minor,z.minor)||x(this.patch,z.patch)},k.prototype.comparePre=function(z){if(z instanceof k||(z=new k(z,this.loose)),this.prerelease.length&&!z.prerelease.length)return-1;if(!this.prerelease.length&&z.prerelease.length)return 1;if(!this.prerelease.length&&!z.prerelease.length)return 0;var K=0;do{var J=this.prerelease[K],ue=z.prerelease[K];if(b("prerelease compare",K,J,ue),J===void 0&&ue===void 0)return 0;if(ue===void 0)return 1;if(J===void 0)return-1;if(J!==ue)return x(J,ue)}while(++K)},k.prototype.inc=function(z,K){switch(z){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",K);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",K);break;case"prepatch":this.prerelease.length=0,this.inc("patch",K),this.inc("pre",K);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",K),this.inc("pre",K);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var J=this.prerelease.length;--J>=0;)typeof this.prerelease[J]=="number"&&(this.prerelease[J]++,J=-2);J===-1&&this.prerelease.push(0)}K&&(this.prerelease[0]===K?isNaN(this.prerelease[1])&&(this.prerelease=[K,0]):this.prerelease=[K,0]);break;default:throw new Error("invalid increment argument: "+z)}return this.format(),this.raw=this.version,this},i.inc=function(z,K,J,ue){typeof J=="string"&&(ue=J,J=void 0);try{return new k(z,J).inc(K,ue).version}catch{return null}},i.diff=function(z,K){if(oe(z,K))return null;var J=V(z),ue=V(K);if(J.prerelease.length||ue.prerelease.length){for(var me in J)if((me==="major"||me==="minor"||me==="patch")&&J[me]!==ue[me])return"pre"+me;return"prerelease"}for(var me in J)if((me==="major"||me==="minor"||me==="patch")&&J[me]!==ue[me])return me},i.compareIdentifiers=x;var O=/^[0-9]+$/;function x(z,K){var J=O.test(z),ue=O.test(K);return J&&ue&&(z=+z,K=+K),J&&!ue?-1:ue&&!J?1:z<K?-1:z>K?1:0}function j(z,K,J){return new k(z,J).compare(new k(K,J))}function H(z,K,J){return j(z,K,J)>0}function X(z,K,J){return j(z,K,J)<0}function oe(z,K,J){return j(z,K,J)===0}function ce(z,K,J){return j(z,K,J)!==0}function pe(z,K,J){return j(z,K,J)>=0}function ve(z,K,J){return j(z,K,J)<=0}function ie(z,K,J,ue){var me;switch(K){case"===":typeof z=="object"&&(z=z.version),typeof J=="object"&&(J=J.version),me=z===J;break;case"!==":typeof z=="object"&&(z=z.version),typeof J=="object"&&(J=J.version),me=z!==J;break;case"":case"=":case"==":me=oe(z,J,ue);break;case"!=":me=ce(z,J,ue);break;case">":me=H(z,J,ue);break;case">=":me=pe(z,J,ue);break;case"<":me=X(z,J,ue);break;case"<=":me=ve(z,J,ue);break;default:throw new TypeError("Invalid operator: "+K)}return me}function se(z,K){if(z instanceof se){if(z.loose===K)return z;z=z.value}if(!(this instanceof se))return new se(z,K);b("comparator",z,K),this.loose=K,this.parse(z),this.semver===he?this.value="":this.value=this.operator+this.semver.version,b("comp",this)}i.rcompareIdentifiers=function(z,K){return x(K,z)},i.major=function(z,K){return new k(z,K).major},i.minor=function(z,K){return new k(z,K).minor},i.patch=function(z,K){return new k(z,K).patch},i.compare=j,i.compareLoose=function(z,K){return j(z,K,!0)},i.rcompare=function(z,K,J){return j(K,z,J)},i.sort=function(z,K){return z.sort(function(J,ue){return i.compare(J,ue,K)})},i.rsort=function(z,K){return z.sort(function(J,ue){return i.rcompare(J,ue,K)})},i.gt=H,i.lt=X,i.eq=oe,i.neq=ce,i.gte=pe,i.lte=ve,i.cmp=ie,i.Comparator=se;var he={};function de(z,K){if(z instanceof de)return z.loose===K?z:new de(z.raw,K);if(z instanceof se)return new de(z.value,K);if(!(this instanceof de))return new de(z,K);if(this.loose=K,this.raw=z,this.set=z.split(/\s*\|\|\s*/).map(function(J){return this.parseRange(J.trim())},this).filter(function(J){return J.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+z);this.format()}function Se(z){return!z||z.toLowerCase()==="x"||z==="*"}function Oe(z,K,J,ue,me,De,we,Re,be,Te,Me,Ce,Le){return((K=Se(J)?"":Se(ue)?">="+J+".0.0":Se(me)?">="+J+"."+ue+".0":">="+K)+" "+(Re=Se(be)?"":Se(Te)?"<"+(+be+1)+".0.0":Se(Me)?"<"+be+"."+(+Te+1)+".0":Ce?"<="+be+"."+Te+"."+Me+"-"+Ce:"<="+Re)).trim()}function Ae(z,K){for(var J=0;J<z.length;J++)if(!z[J].test(K))return!1;if(K.prerelease.length){for(J=0;J<z.length;J++)if(b(z[J].semver),z[J].semver!==he&&z[J].semver.prerelease.length>0){var ue=z[J].semver;if(ue.major===K.major&&ue.minor===K.minor&&ue.patch===K.patch)return!0}return!1}return!0}function Ue(z,K,J){try{K=new de(K,J)}catch{return!1}return K.test(z)}function xe(z,K,J,ue){var me,De,we,Re,be;switch(z=new k(z,ue),K=new de(K,ue),J){case">":me=H,De=ve,we=X,Re=">",be=">=";break;case"<":me=X,De=pe,we=H,Re="<",be="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ue(z,K,ue))return!1;for(var Te=0;Te<K.set.length;++Te){var Me=K.set[Te],Ce=null,Le=null;if(Me.forEach(function(Fe){Fe.semver===he&&(Fe=new se(">=0.0.0")),Ce=Ce||Fe,Le=Le||Fe,me(Fe.semver,Ce.semver,ue)?Ce=Fe:we(Fe.semver,Le.semver,ue)&&(Le=Fe)}),Ce.operator===Re||Ce.operator===be||(!Le.operator||Le.operator===Re)&&De(z,Le.semver)||Le.operator===be&&we(z,Le.semver))return!1}return!0}se.prototype.parse=function(z){var K=this.loose?m[_]:m[M],J=z.match(K);if(!J)throw new TypeError("Invalid comparator: "+z);this.operator=J[1],this.operator==="="&&(this.operator=""),J[2]?this.semver=new k(J[2],this.loose):this.semver=he},se.prototype.toString=function(){return this.value},se.prototype.test=function(z){return b("Comparator.test",z,this.loose),this.semver===he||(typeof z=="string"&&(z=new k(z,this.loose)),ie(z,this.operator,this.semver,this.loose))},se.prototype.intersects=function(z,K){if(!(z instanceof se))throw new TypeError("a Comparator is required");var J;if(this.operator==="")return J=new de(z.value,K),Ue(this.value,J,K);if(z.operator==="")return J=new de(this.value,K),Ue(z.semver,J,K);var ue=!(this.operator!==">="&&this.operator!==">"||z.operator!==">="&&z.operator!==">"),me=!(this.operator!=="<="&&this.operator!=="<"||z.operator!=="<="&&z.operator!=="<"),De=this.semver.version===z.semver.version,we=!(this.operator!==">="&&this.operator!=="<="||z.operator!==">="&&z.operator!=="<="),Re=ie(this.semver,"<",z.semver,K)&&(this.operator===">="||this.operator===">")&&(z.operator==="<="||z.operator==="<"),be=ie(this.semver,">",z.semver,K)&&(this.operator==="<="||this.operator==="<")&&(z.operator===">="||z.operator===">");return ue||me||De&&we||Re||be},i.Range=de,de.prototype.format=function(){return this.range=this.set.map(function(z){return z.join(" ").trim()}).join("||").trim(),this.range},de.prototype.toString=function(){return this.range},de.prototype.parseRange=function(z){var K=this.loose;z=z.trim(),b("range",z,K);var J=K?m[G]:m[W];z=z.replace(J,Oe),b("hyphen replace",z),z=z.replace(m[A],"$1$2$3"),b("comparator trim",z,m[A]),z=(z=(z=z.replace(m[Y],"$1~")).replace(m[ge],"$1^")).split(/\s+/).join(" ");var ue=K?m[_]:m[M],me=z.split(" ").map(function(De){return function(we,Re){return b("comp",we),we=function(be,Te){return be.trim().split(/\s+/).map(function(Me){return function(Ce,Le){b("caret",Ce,Le);var Fe=Le?m[N]:m[ae];return Ce.replace(Fe,function(Ne,ye,Ee,Pe,Ie){var ke;return b("caret",Ce,Ne,ye,Ee,Pe,Ie),Se(ye)?ke="":Se(Ee)?ke=">="+ye+".0.0 <"+(+ye+1)+".0.0":Se(Pe)?ke=ye==="0"?">="+ye+"."+Ee+".0 <"+ye+"."+(+Ee+1)+".0":">="+ye+"."+Ee+".0 <"+(+ye+1)+".0.0":Ie?(b("replaceCaret pr",Ie),Ie.charAt(0)!=="-"&&(Ie="-"+Ie),ke=ye==="0"?Ee==="0"?">="+ye+"."+Ee+"."+Pe+Ie+" <"+ye+"."+Ee+"."+(+Pe+1):">="+ye+"."+Ee+"."+Pe+Ie+" <"+ye+"."+(+Ee+1)+".0":">="+ye+"."+Ee+"."+Pe+Ie+" <"+(+ye+1)+".0.0"):(b("no pr"),ke=ye==="0"?Ee==="0"?">="+ye+"."+Ee+"."+Pe+" <"+ye+"."+Ee+"."+(+Pe+1):">="+ye+"."+Ee+"."+Pe+" <"+ye+"."+(+Ee+1)+".0":">="+ye+"."+Ee+"."+Pe+" <"+(+ye+1)+".0.0"),b("caret return",ke),ke})}(Me,Te)}).join(" ")}(we,Re),b("caret",we),we=function(be,Te){return be.trim().split(/\s+/).map(function(Me){return function(Ce,Le){var Fe=Le?m[le]:m[ne];return Ce.replace(Fe,function(Ne,ye,Ee,Pe,Ie){var ke;return b("tilde",Ce,Ne,ye,Ee,Pe,Ie),Se(ye)?ke="":Se(Ee)?ke=">="+ye+".0.0 <"+(+ye+1)+".0.0":Se(Pe)?ke=">="+ye+"."+Ee+".0 <"+ye+"."+(+Ee+1)+".0":Ie?(b("replaceTilde pr",Ie),Ie.charAt(0)!=="-"&&(Ie="-"+Ie),ke=">="+ye+"."+Ee+"."+Pe+Ie+" <"+ye+"."+(+Ee+1)+".0"):ke=">="+ye+"."+Ee+"."+Pe+" <"+ye+"."+(+Ee+1)+".0",b("tilde return",ke),ke})}(Me,Te)}).join(" ")}(we,Re),b("tildes",we),we=function(be,Te){return b("replaceXRanges",be,Te),be.split(/\s+/).map(function(Me){return function(Ce,Le){Ce=Ce.trim();var Fe=Le?m[U]:m[L];return Ce.replace(Fe,function(Ne,ye,Ee,Pe,Ie,ke){b("xRange",Ce,Ne,ye,Ee,Pe,Ie,ke);var We=Se(Ee),ze=We||Se(Pe),Ve=ze||Se(Ie);return ye==="="&&Ve&&(ye=""),We?Ne=ye===">"||ye==="<"?"<0.0.0":"*":ye&&Ve?(ze&&(Pe=0),Ve&&(Ie=0),ye===">"?(ye=">=",ze?(Ee=+Ee+1,Pe=0,Ie=0):Ve&&(Pe=+Pe+1,Ie=0)):ye==="<="&&(ye="<",ze?Ee=+Ee+1:Pe=+Pe+1),Ne=ye+Ee+"."+Pe+"."+Ie):ze?Ne=">="+Ee+".0.0 <"+(+Ee+1)+".0.0":Ve&&(Ne=">="+Ee+"."+Pe+".0 <"+Ee+"."+(+Pe+1)+".0"),b("xRange return",Ne),Ne})}(Me,Te)}).join(" ")}(we,Re),b("xrange",we),we=function(be,Te){return b("replaceStars",be,Te),be.trim().replace(m[Q],"")}(we,Re),b("stars",we),we}(De,K)}).join(" ").split(/\s+/);return this.loose&&(me=me.filter(function(De){return!!De.match(ue)})),me=me.map(function(De){return new se(De,K)})},de.prototype.intersects=function(z,K){if(!(z instanceof de))throw new TypeError("a Range is required");return this.set.some(function(J){return J.every(function(ue){return z.set.some(function(me){return me.every(function(De){return ue.intersects(De,K)})})})})},i.toComparators=function(z,K){return new de(z,K).set.map(function(J){return J.map(function(ue){return ue.value}).join(" ").trim().split(" ")})},de.prototype.test=function(z){if(!z)return!1;typeof z=="string"&&(z=new k(z,this.loose));for(var K=0;K<this.set.length;K++)if(Ae(this.set[K],z))return!0;return!1},i.satisfies=Ue,i.maxSatisfying=function(z,K,J){var ue=null,me=null;try{var De=new de(K,J)}catch{return null}return z.forEach(function(we){De.test(we)&&(ue&&me.compare(we)!==-1||(me=new k(ue=we,J)))}),ue},i.minSatisfying=function(z,K,J){var ue=null,me=null;try{var De=new de(K,J)}catch{return null}return z.forEach(function(we){De.test(we)&&(ue&&me.compare(we)!==1||(me=new k(ue=we,J)))}),ue},i.validRange=function(z,K){try{return new de(z,K).range||"*"}catch{return null}},i.ltr=function(z,K,J){return xe(z,K,"<",J)},i.gtr=function(z,K,J){return xe(z,K,">",J)},i.outside=xe,i.prerelease=function(z,K){var J=V(z,K);return J&&J.prerelease.length?J.prerelease:null},i.intersects=function(z,K,J){return z=new de(z,J),K=new de(K,J),z.intersects(K)},i.coerce=function(z){if(z instanceof k)return z;if(typeof z!="string")return null;var K=z.match(m[B]);return K==null?null:V((K[1]||"0")+"."+(K[2]||"0")+"."+(K[3]||"0"))}}).call(this,C(1))},function($,i){var C,D,b=$.exports={};function R(){throw new Error("setTimeout has not been defined")}function T(){throw new Error("clearTimeout has not been defined")}function m(S){if(C===setTimeout)return setTimeout(S,0);if((C===R||!C)&&setTimeout)return C=setTimeout,setTimeout(S,0);try{return C(S,0)}catch{try{return C.call(null,S,0)}catch{return C.call(this,S,0)}}}(function(){try{C=typeof setTimeout=="function"?setTimeout:R}catch{C=R}try{D=typeof clearTimeout=="function"?clearTimeout:T}catch{D=T}})();var l,h=[],I=!1,P=-1;function g(){I&&l&&(I=!1,l.length?h=l.concat(h):P=-1,h.length&&E())}function E(){if(!I){var S=m(g);I=!0;for(var u=h.length;u;){for(l=h,h=[];++P<u;)l&&l[P].run();P=-1,u=h.length}l=null,I=!1,function(f){if(D===clearTimeout)return clearTimeout(f);if((D===T||!D)&&clearTimeout)return D=clearTimeout,clearTimeout(f);try{D(f)}catch{try{return D.call(null,f)}catch{return D.call(this,f)}}}(S)}}function c(S,u){this.fun=S,this.array=u}function d(){}b.nextTick=function(S){var u=new Array(arguments.length-1);if(arguments.length>1)for(var f=1;f<arguments.length;f++)u[f-1]=arguments[f];h.push(new c(S,u)),h.length!==1||I||m(E)},c.prototype.run=function(){this.fun.apply(null,this.array)},b.title="browser",b.browser=!0,b.env={},b.argv=[],b.version="",b.versions={},b.on=d,b.addListener=d,b.once=d,b.off=d,b.removeListener=d,b.removeAllListeners=d,b.emit=d,b.prependListener=d,b.prependOnceListener=d,b.listeners=function(S){return[]},b.binding=function(S){throw new Error("process.binding is not supported")},b.cwd=function(){return"/"},b.chdir=function(S){throw new Error("process.chdir is not supported")},b.umask=function(){return 0}}])}),define(Z[68],ee([0,1]),function($,i){"use strict";var C;Object.defineProperty(i,"__esModule",{value:!0}),i.SkipList=void 0;class D{constructor(m,l,h){this.level=m,this.key=l,this.value=h,this.forward=[]}}const b=void 0;class R{constructor(m,l=2**16){this.comparator=m,this[C]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(l)|0),this._header=new D(this._maxLevel,b,b)}get size(){return this._size}clear(){this._header=new D(this._maxLevel,b,b)}has(m){return Boolean(R._search(this,m,this.comparator))}get(m){return R._search(this,m,this.comparator)?.value}set(m,l){return R._insert(this,m,l,this.comparator)&&(this._size+=1),this}delete(m){const l=R._delete(this,m,this.comparator);return l&&(this._size-=1),l}forEach(m,l){let h=this._header.forward[0];for(;h;)m.call(l,h.value,h.key,this),h=h.forward[0]}[(C=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let m=this._header.forward[0];for(;m;)yield[m.key,m.value],m=m.forward[0]}*keys(){let m=this._header.forward[0];for(;m;)yield m.key,m=m.forward[0]}*values(){let m=this._header.forward[0];for(;m;)yield m.value,m=m.forward[0]}toString(){let m="[SkipList]:",l=this._header.forward[0];for(;l;)m+=`node(${l.key}, ${l.value}, lvl:${l.level})`,l=l.forward[0];return m}static _search(m,l,h){let I=m._header;for(let P=m._level-1;P>=0;P--)for(;I.forward[P]&&h(I.forward[P].key,l)<0;)I=I.forward[P];if(I=I.forward[0],I&&h(I.key,l)===0)return I}static _insert(m,l,h,I){const P=[];let g=m._header;for(let E=m._level-1;E>=0;E--){for(;g.forward[E]&&I(g.forward[E].key,l)<0;)g=g.forward[E];P[E]=g}if(g=g.forward[0],g&&I(g.key,l)===0)return g.value=h,!1;{const E=R._randomLevel(m);if(E>m._level){for(let c=m._level;c<E;c++)P[c]=m._header;m._level=E}g=new D(E,l,h);for(let c=0;c<E;c++)g.forward[c]=P[c].forward[c],P[c].forward[c]=g;return!0}}static _randomLevel(m,l=.5){let h=1;for(;Math.random()<l&&h<m._maxLevel;)h+=1;return h}static _delete(m,l,h){const I=[];let P=m._header;for(let g=m._level-1;g>=0;g--){for(;P.forward[g]&&h(P.forward[g].key,l)<0;)P=P.forward[g];I[g]=P}if(P=P.forward[0],!P||h(P.key,l)!==0)return!1;for(let g=0;g<m._level&&I[g].forward[g]===P;g++)I[g].forward[g]=P.forward[g];for(;m._level>0&&m._header.forward[m._level-1]===b;)m._level-=1;return!0}}i.SkipList=R}),define(Z[43],ee([0,1,12,2]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.prefixedStream=i.prefixedReadable=i.transform=i.toReadable=i.emptyStream=i.toStream=i.peekStream=i.listenStream=i.consumeStream=i.peekReadable=i.consumeReadable=i.newWriteableStream=i.isReadableBufferedStream=i.isReadableStream=i.isReadable=void 0;function b(a){const s=a;return s?typeof s.read=="function":!1}i.isReadable=b;function R(a){const s=a;return s?[s.on,s.pause,s.resume,s.destroy].every(t=>typeof t=="function"):!1}i.isReadableStream=R;function T(a){const s=a;return s?R(s.stream)&&Array.isArray(s.buffer)&&typeof s.ended=="boolean":!1}i.isReadableBufferedStream=T;function m(a,s){return new l(a,s)}i.newWriteableStream=m;class l{constructor(s,t){this.reducer=s,this.options=t,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(s){if(!this.state.destroyed){if(this.state.flowing)this.emitData(s);else if(this.buffer.data.push(s),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(t=>this.pendingWritePromises.push(t))}}error(s){this.state.destroyed||(this.state.flowing?this.emitError(s):this.buffer.error.push(s))}end(s){this.state.destroyed||(typeof s!="undefined"&&this.write(s),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(s){this.listeners.data.slice(0).forEach(t=>t(s))}emitError(s){this.listeners.error.length===0?(0,C.onUnexpectedError)(s):this.listeners.error.slice(0).forEach(t=>t(s))}emitEnd(){this.listeners.end.slice(0).forEach(s=>s())}on(s,t){if(!this.state.destroyed)switch(s){case"data":this.listeners.data.push(t),this.resume();break;case"end":this.listeners.end.push(t),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(t),this.state.flowing&&this.flowErrors();break}}removeListener(s,t){if(this.state.destroyed)return;let n;switch(s){case"data":n=this.listeners.data;break;case"end":n=this.listeners.end;break;case"error":n=this.listeners.error;break}if(n){const e=n.indexOf(t);e>=0&&n.splice(e,1)}}flowData(){if(this.buffer.data.length>0){const s=this.reducer(this.buffer.data);this.emitData(s),this.buffer.data.length=0;const t=[...this.pendingWritePromises];this.pendingWritePromises.length=0,t.forEach(n=>n())}}flowErrors(){if(this.listeners.error.length>0){for(const s of this.buffer.error)this.emitError(s);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function h(a,s){const t=[];let n;for(;(n=a.read())!==null;)t.push(n);return s(t)}i.consumeReadable=h;function I(a,s,t){const n=[];let e;for(;(e=a.read())!==null&&n.length<t;)n.push(e);return e===null&&n.length>0?s(n):{read:()=>{if(n.length>0)return n.shift();if(typeof e!="undefined"){const r=e;return e=void 0,r}return a.read()}}}i.peekReadable=I;function P(a,s){return new Promise((t,n)=>{const e=[];g(a,{onData:r=>{s&&e.push(r)},onError:r=>{s?n(r):t(void 0)},onEnd:()=>{t(s?s(e):void 0)}})})}i.consumeStream=P;function g(a,s){let t=!1;return a.on("error",n=>{t||s.onError(n)}),a.on("end",()=>{t||s.onEnd()}),a.on("data",n=>{t||s.onData(n)}),(0,D.toDisposable)(()=>t=!0)}i.listenStream=g;function E(a,s){return new Promise((t,n)=>{const e=new D.DisposableStore,r=[],o=w=>{if(r.push(w),r.length>s)return e.dispose(),a.pause(),t({stream:a,buffer:r,ended:!1})},p=w=>n(w),y=()=>t({stream:a,buffer:r,ended:!0});e.add((0,D.toDisposable)(()=>a.removeListener("error",p))),a.on("error",p),e.add((0,D.toDisposable)(()=>a.removeListener("end",y))),a.on("end",y),e.add((0,D.toDisposable)(()=>a.removeListener("data",o))),a.on("data",o)})}i.peekStream=E;function c(a,s){const t=m(s);return t.end(a),t}i.toStream=c;function d(){const a=m(()=>{throw new Error("not supported")});return a.end(),a}i.emptyStream=d;function S(a){let s=!1;return{read:()=>s?null:(s=!0,a)}}i.toReadable=S;function u(a,s,t){const n=m(t);return g(a,{onData:e=>n.write(s.data(e)),onError:e=>n.error(s.error?s.error(e):e),onEnd:()=>n.end()}),n}i.transform=u;function f(a,s,t){let n=!1;return{read:()=>{const e=s.read();return n?e:(n=!0,e!==null?t([a,e]):a)}}}i.prefixedReadable=f;function v(a,s,t){let n=!1;const e=m(t);return g(s,{onData:r=>n?e.write(r):(n=!0,e.write(t([a,r]))),onError:r=>e.error(r),onEnd:()=>{n||(n=!0,e.write(a)),e.end()}}),e}i.prefixedStream=v}),define(Z[15],ee([0,1,43]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.encodeBase64=i.decodeBase64=i.prefixedBufferStream=i.prefixedBufferReadable=i.newWriteableBufferStream=i.streamToBufferReadableStream=i.bufferToStream=i.bufferedStreamToBuffer=i.streamToBuffer=i.bufferToReadable=i.readableToBuffer=i.writeUInt8=i.readUInt8=i.writeUInt32LE=i.readUInt32LE=i.writeUInt32BE=i.readUInt32BE=i.writeUInt16LE=i.readUInt16LE=i.VSBuffer=void 0;const D=typeof Buffer!="undefined";let b,R;class T{constructor(w){this.buffer=w,this.byteLength=this.buffer.byteLength}static alloc(w){return D?new T(Buffer.allocUnsafe(w)):new T(new Uint8Array(w))}static wrap(w){return D&&!Buffer.isBuffer(w)&&(w=Buffer.from(w.buffer,w.byteOffset,w.byteLength)),new T(w)}static fromString(w,L){return!(L?.dontUseNodeBuffer||!1)&&D?new T(Buffer.from(w)):(b||(b=new TextEncoder),new T(b.encode(w)))}static fromByteArray(w){const L=T.alloc(w.length);for(let U=0,B=w.length;U<B;U++)L.buffer[U]=w[U];return L}static concat(w,L){if(typeof L=="undefined"){L=0;for(let q=0,Y=w.length;q<Y;q++)L+=w[q].byteLength}const U=T.alloc(L);let B=0;for(let q=0,Y=w.length;q<Y;q++){const ne=w[q];U.set(ne,B),B+=ne.byteLength}return U}clone(){const w=T.alloc(this.byteLength);return w.set(this),w}toString(){return D?this.buffer.toString():(R||(R=new TextDecoder),R.decode(this.buffer))}slice(w,L){return new T(this.buffer.subarray(w,L))}set(w,L){if(w instanceof T)this.buffer.set(w.buffer,L);else if(w instanceof Uint8Array)this.buffer.set(w,L);else if(w instanceof ArrayBuffer)this.buffer.set(new Uint8Array(w),L);else if(ArrayBuffer.isView(w))this.buffer.set(new Uint8Array(w.buffer,w.byteOffset,w.byteLength),L);else throw new Error("Unknown argument 'array'")}readUInt32BE(w){return h(this.buffer,w)}writeUInt32BE(w,L){I(this.buffer,w,L)}readUInt32LE(w){return P(this.buffer,w)}writeUInt32LE(w,L){g(this.buffer,w,L)}readUInt8(w){return E(this.buffer,w)}writeUInt8(w,L){c(this.buffer,w,L)}}i.VSBuffer=T;function m(y,w){return y[w+0]<<0>>>0|y[w+1]<<8>>>0}i.readUInt16LE=m;function l(y,w,L){y[L+0]=w&255,w=w>>>8,y[L+1]=w&255}i.writeUInt16LE=l;function h(y,w){return y[w]*2**24+y[w+1]*2**16+y[w+2]*2**8+y[w+3]}i.readUInt32BE=h;function I(y,w,L){y[L+3]=w,w=w>>>8,y[L+2]=w,w=w>>>8,y[L+1]=w,w=w>>>8,y[L]=w}i.writeUInt32BE=I;function P(y,w){return y[w+0]<<0>>>0|y[w+1]<<8>>>0|y[w+2]<<16>>>0|y[w+3]<<24>>>0}i.readUInt32LE=P;function g(y,w,L){y[L+0]=w&255,w=w>>>8,y[L+1]=w&255,w=w>>>8,y[L+2]=w&255,w=w>>>8,y[L+3]=w&255}i.writeUInt32LE=g;function E(y,w){return y[w]}i.readUInt8=E;function c(y,w,L){y[L]=w}i.writeUInt8=c;function d(y){return C.consumeReadable(y,w=>T.concat(w))}i.readableToBuffer=d;function S(y){return C.toReadable(y)}i.bufferToReadable=S;function u(y){return C.consumeStream(y,w=>T.concat(w))}i.streamToBuffer=u;async function f(y){return y.ended?T.concat(y.buffer):T.concat([...y.buffer,await u(y.stream)])}i.bufferedStreamToBuffer=f;function v(y){return C.toStream(y,w=>T.concat(w))}i.bufferToStream=v;function a(y){return C.transform(y,{data:w=>typeof w=="string"?T.fromString(w):T.wrap(w)},w=>T.concat(w))}i.streamToBufferReadableStream=a;function s(y){return C.newWriteableStream(w=>T.concat(w),y)}i.newWriteableBufferStream=s;function t(y,w){return C.prefixedReadable(y,w,L=>T.concat(L))}i.prefixedBufferReadable=t;function n(y,w){return C.prefixedStream(y,w,L=>T.concat(L))}i.prefixedBufferStream=n;function e(y){let w=0,L=0,U=0;const B=new Uint8Array(Math.floor(y.length/4*3)),q=ne=>{switch(L){case 3:B[U++]=w|ne,L=0;break;case 2:B[U++]=w|ne>>>2,w=ne<<6,L=3;break;case 1:B[U++]=w|ne>>>4,w=ne<<4,L=2;break;default:w=ne<<2,L=1}};for(let ne=0;ne<y.length;ne++){const le=y.charCodeAt(ne);if(le>=65&&le<=90)q(le-65);else if(le>=97&&le<=122)q(le-97+26);else if(le>=48&&le<=57)q(le-48+52);else if(le===43||le===45)q(62);else if(le===47||le===95)q(63);else{if(le===61)break;throw new SyntaxError(`Unexpected base64 character ${y[ne]}`)}}const Y=U;for(;L>0;)q(0);return T.wrap(B).slice(0,Y)}i.decodeBase64=e;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function p({buffer:y},w=!0,L=!1){const U=L?o:r;let B="";const q=y.byteLength%3;let Y=0;for(;Y<y.byteLength-q;Y+=3){const ne=y[Y+0],le=y[Y+1],re=y[Y+2];B+=U[ne>>>2],B+=U[(ne<<4|le>>>4)&63],B+=U[(le<<2|re>>>6)&63],B+=U[re&63]}if(q===1){const ne=y[Y+0];B+=U[ne>>>2],B+=U[ne<<4&63],w&&(B+="==")}else if(q===2){const ne=y[Y+0],le=y[Y+1];B+=U[ne>>>2],B+=U[(ne<<4|le>>>4)&63],B+=U[le<<2&63],w&&(B+="=")}return B}i.encodeBase64=p}),define(Z[24],ee([0,1,7]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.filter=i.getCaseInsensitive=i.distinct=i.safeStringify=i.equals=i.mixin=i.cloneAndChange=i.deepFreeze=i.deepClone=void 0;function D(c){if(!c||typeof c!="object"||c instanceof RegExp)return c;const d=Array.isArray(c)?[]:{};return Object.keys(c).forEach(S=>{c[S]&&typeof c[S]=="object"?d[S]=D(c[S]):d[S]=c[S]}),d}i.deepClone=D;function b(c){if(!c||typeof c!="object")return c;const d=[c];for(;d.length>0;){const S=d.shift();Object.freeze(S);for(const u in S)if(R.call(S,u)){const f=S[u];typeof f=="object"&&!Object.isFrozen(f)&&!(0,C.isTypedArray)(f)&&d.push(f)}}return c}i.deepFreeze=b;const R=Object.prototype.hasOwnProperty;function T(c,d){return m(c,d,new Set)}i.cloneAndChange=T;function m(c,d,S){if((0,C.isUndefinedOrNull)(c))return c;const u=d(c);if(typeof u!="undefined")return u;if((0,C.isArray)(c)){const f=[];for(const v of c)f.push(m(v,d,S));return f}if((0,C.isObject)(c)){if(S.has(c))throw new Error("Cannot clone recursive data-structure");S.add(c);const f={};for(const v in c)R.call(c,v)&&(f[v]=m(c[v],d,S));return S.delete(c),f}return c}function l(c,d,S=!0){return(0,C.isObject)(c)?((0,C.isObject)(d)&&Object.keys(d).forEach(u=>{u in c?S&&((0,C.isObject)(c[u])&&(0,C.isObject)(d[u])?l(c[u],d[u],S):c[u]=d[u]):c[u]=d[u]}),c):d}i.mixin=l;function h(c,d){if(c===d)return!0;if(c==null||d===null||d===void 0||typeof c!=typeof d||typeof c!="object"||Array.isArray(c)!==Array.isArray(d))return!1;let S,u;if(Array.isArray(c)){if(c.length!==d.length)return!1;for(S=0;S<c.length;S++)if(!h(c[S],d[S]))return!1}else{const f=[];for(u in c)f.push(u);f.sort();const v=[];for(u in d)v.push(u);if(v.sort(),!h(f,v))return!1;for(S=0;S<f.length;S++)if(!h(c[f[S]],d[f[S]]))return!1}return!0}i.equals=h;function I(c){const d=new Set;return JSON.stringify(c,(S,u)=>{if((0,C.isObject)(u)||Array.isArray(u)){if(d.has(u))return"[Circular]";d.add(u)}return u})}i.safeStringify=I;function P(c,d){const S=Object.create(null);return!c||!d||Object.keys(d).forEach(f=>{const v=c[f],a=d[f];h(v,a)||(S[f]=a)}),S}i.distinct=P;function g(c,d){const S=d.toLowerCase(),u=Object.keys(c).find(f=>f.toLowerCase()===S);return u?c[u]:c[d]}i.getCaseInsensitive=g;function E(c,d){const S=Object.create(null);for(const[u,f]of Object.entries(c))d(u,f)&&(S[u]=f);return S}i.filter=E}),define(Z[35],ee([0,1]),function($,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.generateUuid=i.isUUID=void 0;const C=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function D(b){return C.test(b)}i.isUUID=D,i.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let b;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?b=crypto.getRandomValues.bind(crypto):b=function(m){for(let l=0;l<m.length;l++)m[l]=Math.floor(Math.random()*256);return m};const R=new Uint8Array(16),T=[];for(let m=0;m<256;m++)T.push(m.toString(16).padStart(2,"0"));return function(){b(R),R[6]=R[6]&15|64,R[8]=R[8]&63|128;let l=0,h="";return h+=T[R[l++]],h+=T[R[l++]],h+=T[R[l++]],h+=T[R[l++]],h+="-",h+=T[R[l++]],h+=T[R[l++]],h+="-",h+=T[R[l++]],h+=T[R[l++]],h+="-",h+=T[R[l++]],h+=T[R[l++]],h+="-",h+=T[R[l++]],h+=T[R[l++]],h+=T[R[l++]],h+=T[R[l++]],h+=T[R[l++]],h+=T[R[l++]],h}}()}),define(Z[69],ee([0,1,150]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.LineDecoder=void 0;class D{constructor(R="utf8"){this.stringDecoder=new C.StringDecoder(R),this.remaining=null}write(R){const T=[],m=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(m.length<1)return T;let l=0,h,I=l;for(;I<m.length;)if(h=m.charCodeAt(I),h===13||h===10){if(T.push(m.substring(l,I)),I++,I<m.length){const P=h;h=m.charCodeAt(I),(P===13&&h===10||P===10&&h===13)&&I++}l=I}else I++;return this.remaining=l<m.length?m.substr(l):null,T}end(){return this.remaining}}i.LineDecoder=D}),define(Z[70],ee([5,6]),function($,i){return $.create("vs/base/common/date",i)}),define(Z[71],ee([0,1,70]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.toLocalISOString=i.fromNow=void 0;const D=60,b=D*60,R=b*24,T=R*7,m=R*30,l=R*365;function h(P,g,E){typeof P!="number"&&(P=P.getTime());const c=Math.round((new Date().getTime()-P)/1e3);if(c<-30)return(0,C.localize)(0,null,h(new Date().getTime()+c*1e3,!1));if(c<30)return(0,C.localize)(1,null);let d;return c<D?(d=c,g?d===1?E?(0,C.localize)(2,null,d):(0,C.localize)(3,null,d):E?(0,C.localize)(4,null,d):(0,C.localize)(5,null,d):d===1?E?(0,C.localize)(6,null,d):(0,C.localize)(7,null,d):E?(0,C.localize)(8,null,d):(0,C.localize)(9,null,d)):c<b?(d=Math.floor(c/D),g?d===1?E?(0,C.localize)(10,null,d):(0,C.localize)(11,null,d):E?(0,C.localize)(12,null,d):(0,C.localize)(13,null,d):d===1?E?(0,C.localize)(14,null,d):(0,C.localize)(15,null,d):E?(0,C.localize)(16,null,d):(0,C.localize)(17,null,d)):c<R?(d=Math.floor(c/b),g?d===1?E?(0,C.localize)(18,null,d):(0,C.localize)(19,null,d):E?(0,C.localize)(20,null,d):(0,C.localize)(21,null,d):d===1?E?(0,C.localize)(22,null,d):(0,C.localize)(23,null,d):E?(0,C.localize)(24,null,d):(0,C.localize)(25,null,d)):c<T?(d=Math.floor(c/R),g?d===1?(0,C.localize)(26,null,d):(0,C.localize)(27,null,d):d===1?(0,C.localize)(28,null,d):(0,C.localize)(29,null,d)):c<m?(d=Math.floor(c/T),g?d===1?E?(0,C.localize)(30,null,d):(0,C.localize)(31,null,d):E?(0,C.localize)(32,null,d):(0,C.localize)(33,null,d):d===1?E?(0,C.localize)(34,null,d):(0,C.localize)(35,null,d):E?(0,C.localize)(36,null,d):(0,C.localize)(37,null,d)):c<l?(d=Math.floor(c/m),g?d===1?E?(0,C.localize)(38,null,d):(0,C.localize)(39,null,d):E?(0,C.localize)(40,null,d):(0,C.localize)(41,null,d):d===1?E?(0,C.localize)(42,null,d):(0,C.localize)(43,null,d):E?(0,C.localize)(44,null,d):(0,C.localize)(45,null,d)):(d=Math.floor(c/l),g?d===1?E?(0,C.localize)(46,null,d):(0,C.localize)(47,null,d):E?(0,C.localize)(48,null,d):(0,C.localize)(49,null,d):d===1?E?(0,C.localize)(50,null,d):(0,C.localize)(51,null,d):E?(0,C.localize)(52,null,d):(0,C.localize)(53,null,d))}i.fromNow=h;function I(P){return P.getFullYear()+"-"+String(P.getMonth()+1).padStart(2,"0")+"-"+String(P.getDate()).padStart(2,"0")+"T"+String(P.getHours()).padStart(2,"0")+":"+String(P.getMinutes()).padStart(2,"0")+":"+String(P.getSeconds()).padStart(2,"0")+"."+(P.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}i.toLocalISOString=I}),define(Z[72],ee([5,6]),function($,i){return $.create("vs/base/common/errorMessage",i)}),define(Z[29],ee([0,1,19,7,72]),function($,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.createErrorWithActions=i.isErrorWithActions=i.toErrorMessage=void 0;function R(P,g){return g&&(P.stack||P.stacktrace)?b.localize(0,null,m(P),T(P.stack)||T(P.stacktrace)):m(P)}function T(P){return Array.isArray(P)?P.join(`
`):P}function m(P){return typeof P.code=="string"&&typeof P.errno=="number"&&typeof P.syscall=="string"?b.localize(1,null,P.message):P.message||b.localize(2,null)}function l(P=null,g=!1){if(!P)return b.localize(3,null);if(Array.isArray(P)){const E=C.coalesce(P),c=l(E[0],g);return E.length>1?b.localize(4,null,c,E.length):c}if(D.isString(P))return P;if(P.detail){const E=P.detail;if(E.error)return R(E.error,g);if(E.exception)return R(E.exception,g)}return P.stack?R(P,g):P.message?P.message:b.localize(5,null)}i.toErrorMessage=l;function h(P){const g=P;return g instanceof Error&&Array.isArray(g.actions)}i.isErrorWithActions=h;function I(P,g){let E;return typeof P=="string"?E=new Error(P):E=P,E.actions=g,E}i.createErrorWithActions=I}),define(Z[73],ee([5,6]),function($,i){return $.create("vs/base/common/jsonErrorMessages",i)}),define(Z[74],ee([0,1,73]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getParseErrorMessage=void 0;function D(b){switch(b){case 1:return(0,C.localize)(0,null);case 2:return(0,C.localize)(1,null);case 3:return(0,C.localize)(2,null);case 4:return(0,C.localize)(3,null);case 5:return(0,C.localize)(4,null);case 6:return(0,C.localize)(5,null);case 7:return(0,C.localize)(6,null);case 8:return(0,C.localize)(7,null);case 9:return(0,C.localize)(8,null);default:return""}}i.getParseErrorMessage=D}),define(Z[52],ee([0,1,13]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.removeDangerousEnvVariables=i.sanitizeProcessEnvironment=i.TerminateResponseCode=i.Source=void 0;var D;(function(m){m[m.stdout=0]="stdout",m[m.stderr=1]="stderr"})(D=i.Source||(i.Source={}));var b;(function(m){m[m.Success=0]="Success",m[m.Unknown=1]="Unknown",m[m.AccessDenied=2]="AccessDenied",m[m.ProcessNotFound=3]="ProcessNotFound"})(b=i.TerminateResponseCode||(i.TerminateResponseCode={}));function R(m,...l){const h=l.reduce((g,E)=>(g[E]=!0,g),{}),I=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(m).filter(g=>!h[g]).forEach(g=>{for(let E=0;E<I.length;E++)if(g.search(I[E])!==-1){delete m[g];break}})}i.sanitizeProcessEnvironment=R;function T(m){!m||(delete m.DEBUG,C.isMacintosh&&delete m.DYLD_LIBRARY_PATH,C.isLinux&&delete m.LD_PRELOAD)}i.removeDangerousEnvVariables=T}),define(Z[53],ee([0,1,4,2]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.MutableObservableValue=i.staticObservableValue=void 0;const b=T=>({onDidChange:C.Event.None,value:T});i.staticObservableValue=b;class R extends D.Disposable{constructor(m){super();this._value=m,this.changeEmitter=this._register(new C.Emitter),this.onDidChange=this.changeEmitter.event}get value(){return this._value}set value(m){m!==this._value&&(this._value=m,this.changeEmitter.fire(m))}}i.MutableObservableValue=R}),define(Z[54],ee([0,1,30]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.StringSHA1=i.toHexString=i.Hasher=i.stringHash=i.numberHash=i.doHash=i.hash=void 0;function D(u){return b(u,0)}i.hash=D;function b(u,f){switch(typeof u){case"object":return u===null?R(349,f):Array.isArray(u)?l(u,f):h(u,f);case"string":return m(u,f);case"boolean":return T(u,f);case"number":return R(u,f);case"undefined":return R(937,f);default:return R(617,f)}}i.doHash=b;function R(u,f){return(f<<5)-f+u|0}i.numberHash=R;function T(u,f){return R(u?433:863,f)}function m(u,f){f=R(149417,f);for(let v=0,a=u.length;v<a;v++)f=R(u.charCodeAt(v),f);return f}i.stringHash=m;function l(u,f){return f=R(104579,f),u.reduce((v,a)=>b(a,v),f)}function h(u,f){return f=R(181387,f),Object.keys(u).sort().reduce((v,a)=>(v=m(a,v),b(u[a],v)),f)}class I{constructor(){this._value=0}get value(){return this._value}hash(f){return this._value=b(f,this._value),this._value}}i.Hasher=I;var P;(function(u){u[u.BLOCK_SIZE=64]="BLOCK_SIZE",u[u.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(P||(P={}));function g(u,f,v=32){const a=v-f,s=~((1<<a)-1);return(u<<f|(s&u)>>>a)>>>0}function E(u,f=0,v=u.byteLength,a=0){for(let s=0;s<v;s++)u[f+s]=a}function c(u,f,v="0"){for(;u.length<f;)u=v+u;return u}function d(u,f=32){return u instanceof ArrayBuffer?Array.from(new Uint8Array(u)).map(v=>v.toString(16).padStart(2,"0")).join(""):c((u>>>0).toString(16),f/4)}i.toHexString=d;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(f){const v=f.length;if(v===0)return;const a=this._buff;let s=this._buffLen,t=this._leftoverHighSurrogate,n,e;for(t!==0?(n=t,e=-1,t=0):(n=f.charCodeAt(0),e=0);;){let r=n;if(C.isHighSurrogate(n))if(e+1<v){const o=f.charCodeAt(e+1);C.isLowSurrogate(o)?(e++,r=C.computeCodePoint(n,o)):r=65533}else{t=n;break}else C.isLowSurrogate(n)&&(r=65533);if(s=this._push(a,s,r),e++,e<v)n=f.charCodeAt(e);else break}this._buffLen=s,this._leftoverHighSurrogate=t}_push(f,v,a){return a<128?f[v++]=a:a<2048?(f[v++]=192|(a&1984)>>>6,f[v++]=128|(a&63)>>>0):a<65536?(f[v++]=224|(a&61440)>>>12,f[v++]=128|(a&4032)>>>6,f[v++]=128|(a&63)>>>0):(f[v++]=240|(a&1835008)>>>18,f[v++]=128|(a&258048)>>>12,f[v++]=128|(a&4032)>>>6,f[v++]=128|(a&63)>>>0),v>=64&&(this._step(),v-=64,this._totalLen+=64,f[0]=f[64+0],f[1]=f[64+1],f[2]=f[64+2]),v}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),d(this._h0)+d(this._h1)+d(this._h2)+d(this._h3)+d(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,E(this._buff,this._buffLen),this._buffLen>56&&(this._step(),E(this._buff));const f=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(f/4294967296),!1),this._buffDV.setUint32(60,f%4294967296,!1),this._step()}_step(){const f=S._bigBlock32,v=this._buffDV;for(let y=0;y<64;y+=4)f.setUint32(y,v.getUint32(y,!1),!1);for(let y=64;y<320;y+=4)f.setUint32(y,g(f.getUint32(y-12,!1)^f.getUint32(y-32,!1)^f.getUint32(y-56,!1)^f.getUint32(y-64,!1),1),!1);let a=this._h0,s=this._h1,t=this._h2,n=this._h3,e=this._h4,r,o,p;for(let y=0;y<80;y++)y<20?(r=s&t|~s&n,o=1518500249):y<40?(r=s^t^n,o=1859775393):y<60?(r=s&t|s&n|t&n,o=2400959708):(r=s^t^n,o=3395469782),p=g(a,5)+r+e+o+f.getUint32(y*4,!1)&4294967295,e=n,n=t,t=g(s,30),s=a,a=p;this._h0=this._h0+a&4294967295,this._h1=this._h1+s&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+n&4294967295,this._h4=this._h4+e&4294967295}}i.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),define(Z[55],ee([0,1,30]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0});var D;(function(b){b[b.Ignore=0]="Ignore",b[b.Info=1]="Info",b[b.Warning=2]="Warning",b[b.Error=3]="Error"})(D||(D={})),function(b){const R="error",T="warning",m="warn",l="info",h="ignore";function I(g){return g?C.equalsIgnoreCase(R,g)?b.Error:C.equalsIgnoreCase(T,g)||C.equalsIgnoreCase(m,g)?b.Warning:C.equalsIgnoreCase(l,g)?b.Info:b.Ignore:b.Ignore}b.fromValue=I;function P(g){switch(g){case b.Error:return R;case b.Warning:return T;case b.Info:return l;default:return h}}b.toString=P}(D||(D={})),i.default=D}),define(Z[75],ee([0,1,10]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.log=i.getFirstFrame=i.parse=i.isRemoteConsoleLog=void 0;function D(h){const I=h;return I&&typeof I.type=="string"&&typeof I.severity=="string"}i.isRemoteConsoleLog=D;function b(h){const I=[];let P;try{const g=JSON.parse(h.arguments),E=g[g.length-1];E&&E.__$stack&&(g.pop(),P=E.__$stack),I.push(...g)}catch{I.push("Unable to log remote console arguments",h.arguments)}return{args:I,stack:P}}i.parse=b;function R(h){if(typeof h!="string")return R(b(h).stack);const I=h;if(I){const P=T(I),g=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(P||"");if(g&&g.length===4)return{uri:C.URI.file(g[1]),line:Number(g[2]),column:Number(g[3])}}}i.getFirstFrame=R;function T(h){if(!h)return h;const I=h.indexOf(`
`);return I===-1?h:h.substring(0,I)}function m(h,I){const{args:P,stack:g}=b(h),E=typeof P[0]=="string"&&P.length===1;let c=T(g);c&&(c=`(${c.trim()})`);let d=[];if(typeof P[0]=="string"?c&&E?d=[`%c[${I}] %c${P[0]} %c${c}`,l("blue"),l(""),l("grey")]:d=[`%c[${I}] %c${P[0]}`,l("blue"),l(""),...P.slice(1)]:d=[`%c[${I}]%`,l("blue"),...P],c&&!E&&d.push(c),typeof console[h.severity]!="function")throw new Error("Unknown console method");console[h.severity].apply(console,d)}i.log=m;function l(h){return`color: ${h}`}}),define(Z[44],ee([0,1,15,30,10]),function($,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.revive=i.parse=i.stringify=void 0;function R(h){return JSON.stringify(h,m)}i.stringify=R;function T(h){let I=JSON.parse(h);return I=l(I),I}i.parse=T;function m(h,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:(0,D.regExpFlags)(I)}:I}function l(h,I=0){if(!h||I>200)return h;if(typeof h=="object"){switch(h.$mid){case 1:return b.URI.revive(h);case 2:return new RegExp(h.source,h.flags);case 14:return new Date(h.source)}if(h instanceof C.VSBuffer||h instanceof Uint8Array)return h;if(Array.isArray(h))for(let P=0;P<h.length;++P)h[P]=l(h[P],I+1);else for(const P in h)Object.hasOwnProperty.call(h,P)&&(h[P]=l(h[P],I+1))}return h}i.revive=l}),define(Z[76],ee([0,1,38,14,20]),function($,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getFirstAvailablePowerShellInstallation=i.enumeratePowerShellInstallations=void 0;const R=/^\d+$/,T=/^Microsoft.PowerShell_.*/,m=/^Microsoft.PowerShellPreview_.*/;var l;(function(a){a[a.x64=0]="x64",a[a.x86=1]="x86",a[a.ARM=2]="ARM"})(l||(l={}));let h;switch(process.arch){case"ia32":case"x32":h=1;break;case"arm":case"arm64":h=2;break;default:h=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class P{constructor(s,t,n){this.exePath=s,this.displayName=t,this.knownToExist=n}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await b.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function g({useAlternateBitness:a=!1}={}){return a?h===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function E({useAlternateBitness:a=!1,findPreview:s=!1}={}){const t=g({useAlternateBitness:a});if(!t)return null;const n=D.join(t,"PowerShell");if(!await b.SymlinkSupport.existsDirectory(n))return null;let e=-1,r=null;for(const y of await b.Promises.readdir(n)){let w=-1;if(s){const U=y.indexOf("-");if(U<0)continue;const B=y.substring(0,U);if(!R.test(B)||y.substring(U+1)!=="preview")continue;w=parseInt(B,10)}else{if(!R.test(y))continue;w=parseInt(y,10)}if(w<=e)continue;const L=D.join(n,y,"pwsh.exe");!await b.SymlinkSupport.existsFile(L)||(r=L,e=w)}if(!r)return null;const o=t.includes("x86")?" (x86)":"",p=s?" Preview":"";return new P(r,`PowerShell${p}${o}`,!0)}async function c({findPreview:a}={}){if(!process.env.LOCALAPPDATA)return null;const s=D.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await b.SymlinkSupport.existsDirectory(s))return null;const{pwshMsixDirRegex:t,pwshMsixName:n}=a?{pwshMsixDirRegex:m,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:T,pwshMsixName:"PowerShell (Store)"};for(const e of await b.Promises.readdir(s))if(t.test(e)){const r=D.join(s,e,"pwsh.exe");return new P(r,n)}return null}function d(){const a=D.join(C.homedir(),".dotnet","tools","pwsh.exe");return new P(a,".NET Core PowerShell Global Tool")}function S(){const a=D.join(process.env.windir,h===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new P(a,"Windows PowerShell",!0)}async function*u(){let a=await E();a&&(yield a),a=await E({useAlternateBitness:!0}),a&&(yield a),a=await c(),a&&(yield a),a=d(),a&&(yield a),a=await E({findPreview:!0}),a&&(yield a),a=await c({findPreview:!0}),a&&(yield a),a=await E({useAlternateBitness:!0,findPreview:!0}),a&&(yield a),a=S(),a&&(yield a)}async function*f(){for await(const a of u())await a.exists()&&(yield a)}i.enumeratePowerShellInstallations=f;async function v(){for await(const a of f())return a;return null}i.getFirstAvailablePowerShellInstallation=v});var fe=this&&this.__decorate||function($,i,C,D){var b=arguments.length,R=b<3?i:D===null?D=Object.getOwnPropertyDescriptor(i,C):D,T;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate($,i,C,D);else for(var m=$.length-1;m>=0;m--)(T=$[m])&&(R=(b<3?T(R):b>3?T(i,C,R):T(i,C))||R);return b>3&&R&&Object.defineProperty(i,C,R),R};define(Z[56],ee([0,1,19,3,15,25,50,12,4,2,44,30,7]),function($,i,C,D,b,R,T,m,l,h,I,P,g){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IPCLogger=i.logWithColors=i.ProxyChannel=i.StaticRouter=i.getNextTickChannel=i.getDelayedChannel=i.IPCClient=i.IPCServer=i.ChannelClient=i.RequestInitiator=i.ChannelServer=i.ResponseType=i.RequestType=void 0;var E;(function(M){M[M.Promise=100]="Promise",M[M.PromiseCancel=101]="PromiseCancel",M[M.EventListen=102]="EventListen",M[M.EventDispose=103]="EventDispose"})(E=i.RequestType||(i.RequestType={}));function c(M){switch(M){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var d;(function(M){M[M.Initialize=200]="Initialize",M[M.PromiseSuccess=201]="PromiseSuccess",M[M.PromiseError=202]="PromiseError",M[M.PromiseErrorObj=203]="PromiseErrorObj",M[M.EventFire=204]="EventFire"})(d=i.ResponseType||(i.ResponseType={}));function S(M){switch(M){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var u;(function(M){M[M.Uninitialized=0]="Uninitialized",M[M.Idle=1]="Idle"})(u||(u={}));class f{constructor(A){this.buffer=A,this.pos=0}read(A){const W=this.buffer.slice(this.pos,this.pos+A);return this.pos+=W.byteLength,W}}class v{constructor(){this.buffers=[]}get buffer(){return b.VSBuffer.concat(this.buffers)}write(A){this.buffers.push(A)}}var a;(function(M){M[M.Undefined=0]="Undefined",M[M.String=1]="String",M[M.Buffer=2]="Buffer",M[M.VSBuffer=3]="VSBuffer",M[M.Array=4]="Array",M[M.Object=5]="Object"})(a||(a={}));function s(M){const A=b.VSBuffer.alloc(4);return A.writeUInt32BE(M,0),A}function t(M){return M.read(4).readUInt32BE(0)}function n(M){const A=b.VSBuffer.alloc(1);return A.writeUInt8(M,0),A}const e={Undefined:n(a.Undefined),String:n(a.String),Buffer:n(a.Buffer),VSBuffer:n(a.VSBuffer),Array:n(a.Array),Object:n(a.Object)},r=typeof Buffer!="undefined";function o(M,A){if(typeof A=="undefined")M.write(e.Undefined);else if(typeof A=="string"){const W=b.VSBuffer.fromString(A);M.write(e.String),M.write(s(W.byteLength)),M.write(W)}else if(r&&Buffer.isBuffer(A)){const W=b.VSBuffer.wrap(A);M.write(e.Buffer),M.write(s(W.byteLength)),M.write(W)}else if(A instanceof b.VSBuffer)M.write(e.VSBuffer),M.write(s(A.byteLength)),M.write(A);else if(Array.isArray(A)){M.write(e.Array),M.write(s(A.length));for(const W of A)o(M,W)}else{const W=b.VSBuffer.fromString(JSON.stringify(A));M.write(e.Object),M.write(s(W.byteLength)),M.write(W)}}function p(M){switch(M.read(1).readUInt8(0)){case a.Undefined:return;case a.String:return M.read(t(M)).toString();case a.Buffer:return M.read(t(M)).buffer;case a.VSBuffer:return M.read(t(M));case a.Array:{const W=t(M),G=[];for(let Q=0;Q<W;Q++)G.push(p(M));return G}case a.Object:return JSON.parse(M.read(t(M)).toString())}}class y{constructor(A,W,G=null,Q=1e3){this.protocol=A,this.ctx=W,this.logger=G,this.timeoutDelay=Q,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(F=>this.onRawMessage(F)),this.sendResponse({type:200})}registerChannel(A,W){this.channels.set(A,W),setTimeout(()=>this.flushPendingRequests(A),0)}sendResponse(A){switch(A.type){case 200:{const W=this.send([A.type]);this.logger?.logOutgoing(W,0,1,S(A.type));return}case 201:case 202:case 204:case 203:{const W=this.send([A.type,A.id],A.data);this.logger?.logOutgoing(W,A.id,1,S(A.type),A.data);return}}}send(A,W=void 0){const G=new v;return o(G,A),o(G,W),this.sendBuffer(G.buffer)}sendBuffer(A){try{return this.protocol.send(A),A.byteLength}catch{return 0}}onRawMessage(A){const W=new f(A),G=p(W),Q=p(W),F=G[0];switch(F){case 100:return this.logger?.logIncoming(A.byteLength,G[1],1,`${c(F)}: ${G[2]}.${G[3]}`,Q),this.onPromise({type:F,id:G[1],channelName:G[2],name:G[3],arg:Q});case 102:return this.logger?.logIncoming(A.byteLength,G[1],1,`${c(F)}: ${G[2]}.${G[3]}`,Q),this.onEventListen({type:F,id:G[1],channelName:G[2],name:G[3],arg:Q});case 101:return this.logger?.logIncoming(A.byteLength,G[1],1,`${c(F)}`),this.disposeActiveRequest({type:F,id:G[1]});case 103:return this.logger?.logIncoming(A.byteLength,G[1],1,`${c(F)}`),this.disposeActiveRequest({type:F,id:G[1]})}}onPromise(A){const W=this.channels.get(A.channelName);if(!W){this.collectPendingRequest(A);return}const G=new R.CancellationTokenSource;let Q;try{Q=W.call(this.ctx,A.name,A.arg,G.token)}catch(k){Q=Promise.reject(k)}const F=A.id;Q.then(k=>{this.sendResponse({id:F,data:k,type:201}),this.activeRequests.delete(A.id)},k=>{k instanceof Error?this.sendResponse({id:F,data:{message:k.message,name:k.name,stack:k.stack?k.stack.split?k.stack.split(`
`):k.stack:void 0},type:202}):this.sendResponse({id:F,data:k,type:203}),this.activeRequests.delete(A.id)});const V=(0,h.toDisposable)(()=>G.cancel());this.activeRequests.set(A.id,V)}onEventListen(A){const W=this.channels.get(A.channelName);if(!W){this.collectPendingRequest(A);return}const G=A.id,F=W.listen(this.ctx,A.name,A.arg)(V=>this.sendResponse({id:G,data:V,type:204}));this.activeRequests.set(A.id,F)}disposeActiveRequest(A){const W=this.activeRequests.get(A.id);W&&(W.dispose(),this.activeRequests.delete(A.id))}collectPendingRequest(A){let W=this.pendingRequests.get(A.channelName);W||(W=[],this.pendingRequests.set(A.channelName,W));const G=setTimeout(()=>{console.error(`Unknown channel: ${A.channelName}`),A.type===100&&this.sendResponse({id:A.id,data:{name:"Unknown channel",message:`Channel name '${A.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);W.push({request:A,timeoutTimer:G})}flushPendingRequests(A){const W=this.pendingRequests.get(A);if(W){for(const G of W)switch(clearTimeout(G.timeoutTimer),G.request.type){case 100:this.onPromise(G.request);break;case 102:this.onEventListen(G.request);break}this.pendingRequests.delete(A)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,h.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}i.ChannelServer=y;var w;(function(M){M[M.LocalSide=0]="LocalSide",M[M.OtherSide=1]="OtherSide"})(w=i.RequestInitiator||(i.RequestInitiator={}));class L{constructor(A,W=null){this.protocol=A,this.isDisposed=!1,this.state=u.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new l.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(G=>this.onBuffer(G)),this.logger=W}getChannel(A){const W=this;return{call(G,Q,F){return W.isDisposed?Promise.reject(m.canceled()):W.requestPromise(A,G,Q,F)},listen(G,Q){return W.isDisposed?l.Event.None:W.requestEvent(A,G,Q)}}}requestPromise(A,W,G,Q=R.CancellationToken.None){const F=this.lastRequestId++,k={id:F,type:100,channelName:A,name:W,arg:G};if(Q.isCancellationRequested)return Promise.reject(m.canceled());let O;return new Promise((j,H)=>{if(Q.isCancellationRequested)return H(m.canceled());const X=()=>{const ve=ie=>{switch(ie.type){case 201:this.handlers.delete(F),j(ie.data);break;case 202:{this.handlers.delete(F);const se=new Error(ie.data.message);se.stack=ie.data.stack,se.name=ie.data.name,H(se);break}case 203:this.handlers.delete(F),H(ie.data);break}};this.handlers.set(F,ve),this.sendRequest(k)};let oe=null;this.state===u.Idle?X():(oe=(0,D.createCancelablePromise)(ve=>this.whenInitialized()),oe.then(()=>{oe=null,X()}));const ce=()=>{oe?(oe.cancel(),oe=null):this.sendRequest({id:F,type:101}),H(m.canceled())},pe=Q.onCancellationRequested(ce);O=(0,h.combinedDisposable)((0,h.toDisposable)(ce),pe),this.activeRequests.add(O)}).finally(()=>{this.activeRequests.delete(O)})}requestEvent(A,W,G){const Q=this.lastRequestId++,V={id:Q,type:102,channelName:A,name:W,arg:G};let k=null;const O=new l.Emitter({onFirstListenerAdd:()=>{k=(0,D.createCancelablePromise)(j=>this.whenInitialized()),k.then(()=>{k=null,this.activeRequests.add(O),this.sendRequest(V)})},onLastListenerRemove:()=>{k?(k.cancel(),k=null):(this.activeRequests.delete(O),this.sendRequest({id:Q,type:103}))}}),x=j=>O.fire(j.data);return this.handlers.set(Q,x),O.event}sendRequest(A){switch(A.type){case 100:case 102:{const W=this.send([A.type,A.id,A.channelName,A.name],A.arg);this.logger?.logOutgoing(W,A.id,0,`${c(A.type)}: ${A.channelName}.${A.name}`,A.arg);return}case 101:case 103:{const W=this.send([A.type,A.id]);this.logger?.logOutgoing(W,A.id,0,c(A.type));return}}}send(A,W=void 0){const G=new v;return o(G,A),o(G,W),this.sendBuffer(G.buffer)}sendBuffer(A){try{return this.protocol.send(A),A.byteLength}catch{return 0}}onBuffer(A){const W=new f(A),G=p(W),Q=p(W),F=G[0];switch(F){case 200:return this.logger?.logIncoming(A.byteLength,0,0,S(F)),this.onResponse({type:G[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(A.byteLength,G[1],0,S(F),Q),this.onResponse({type:G[0],id:G[1],data:Q})}}onResponse(A){if(A.type===200){this.state=u.Idle,this._onDidInitialize.fire();return}this.handlers.get(A.id)?.(A)}get onDidInitializePromise(){return l.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===u.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,h.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}fe([T.memoize],L.prototype,"onDidInitializePromise",null),i.ChannelClient=L;class U{constructor(A){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new l.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new l.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,A(({protocol:W,onDidClientDisconnect:G})=>{l.Event.once(W.onMessage)(F=>{const V=new f(F),k=p(V),O=new y(W,k),x=new L(W);this.channels.forEach((H,X)=>O.registerChannel(X,H));const j={channelServer:O,channelClient:x,ctx:k};this._connections.add(j),this._onDidAddConnection.fire(j),G(()=>{O.dispose(),x.dispose(),this._connections.delete(j),this._onDidRemoveConnection.fire(j)})})})}get connections(){const A=[];return this._connections.forEach(W=>A.push(W)),A}getChannel(A,W){const G=this;return{call(Q,F,V){let k;if((0,g.isFunction)(W)){const x=(0,C.getRandomElement)(G.connections.filter(W));k=x?Promise.resolve(x):l.Event.toPromise(l.Event.filter(G.onDidAddConnection,W))}else k=W.routeCall(G,Q,F);const O=k.then(x=>x.channelClient.getChannel(A));return q(O).call(Q,F,V)},listen(Q,F){if((0,g.isFunction)(W))return G.getMulticastEvent(A,W,Q,F);const V=W.routeEvent(G,Q,F).then(k=>k.channelClient.getChannel(A));return q(V).listen(Q,F)}}}getMulticastEvent(A,W,G,Q){const F=this;let V=new h.DisposableStore;const k=new l.Emitter({onFirstListenerAdd:()=>{V=new h.DisposableStore;const O=new l.EventMultiplexer,x=new Map,j=X=>{const ce=X.channelClient.getChannel(A).listen(G,Q),pe=O.add(ce);x.set(X,pe)},H=X=>{const oe=x.get(X);!oe||(oe.dispose(),x.delete(X))};F.connections.filter(W).forEach(j),l.Event.filter(F.onDidAddConnection,W)(j,void 0,V),F.onDidRemoveConnection(H,void 0,V),O.event(k.fire,k,V),V.add(O)},onLastListenerRemove:()=>{V.dispose()}});return k.event}registerChannel(A,W){this.channels.set(A,W),this._connections.forEach(G=>{G.channelServer.registerChannel(A,W)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}i.IPCServer=U;class B{constructor(A,W,G=null){const Q=new v;o(Q,W),A.send(Q.buffer),this.channelClient=new L(A,G),this.channelServer=new y(A,W,G)}getChannel(A){return this.channelClient.getChannel(A)}registerChannel(A,W){this.channelServer.registerChannel(A,W)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}i.IPCClient=B;function q(M){return{call(A,W,G){return M.then(Q=>Q.call(A,W,G))},listen(A,W){const G=new l.Relay;return M.then(Q=>G.input=Q.listen(A,W)),G.event}}}i.getDelayedChannel=q;function Y(M){let A=!1;return{call(W,G,Q){return A?M.call(W,G,Q):(0,D.timeout)(0).then(()=>A=!0).then(()=>M.call(W,G,Q))},listen(W,G){if(A)return M.listen(W,G);const Q=new l.Relay;return(0,D.timeout)(0).then(()=>A=!0).then(()=>Q.input=M.listen(W,G)),Q.event}}}i.getNextTickChannel=Y;class ne{constructor(A){this.fn=A}routeCall(A){return this.route(A)}routeEvent(A){return this.route(A)}async route(A){for(const W of A.connections)if(await Promise.resolve(this.fn(W.ctx)))return Promise.resolve(W);return await l.Event.toPromise(A.onDidAddConnection),await this.route(A)}}i.StaticRouter=ne;var le;(function(M){function A(F,V){const k=F,O=V&&V.disableMarshalling,x=new Map;for(const j in k)G(j)&&x.set(j,l.Event.buffer(k[j],!0));return new class{listen(j,H,X){const oe=x.get(H);if(oe)return oe;if(Q(H)){const ce=k[H];if(typeof ce=="function")return ce.call(k,X)}throw new Error(`Event not found: ${H}`)}call(j,H,X){const oe=k[H];if(typeof oe=="function"){if(!O&&Array.isArray(X))for(let ce=0;ce<X.length;ce++)X[ce]=(0,I.revive)(X[ce]);return oe.apply(k,X)}throw new Error(`Method not found: ${H}`)}}}M.fromService=A;function W(F,V){const k=V&&V.disableMarshalling;return new Proxy({},{get(O,x){if(typeof x=="string")return V?.properties?.has(x)?V.properties.get(x):Q(x)?function(j){return F.listen(x,j)}:G(x)?F.listen(x):async function(...j){let H;V&&!(0,g.isUndefinedOrNull)(V.context)?H=[V.context,...j]:H=j;const X=await F.call(x,H);return k?X:(0,I.revive)(X)};throw new Error(`Property not found: ${String(x)}`)}})}M.toService=W;function G(F){return F[0]==="o"&&F[1]==="n"&&P.isUpperAsciiLetter(F.charCodeAt(2))}function Q(F){return/^onDynamic/.test(F)&&P.isUpperAsciiLetter(F.charCodeAt(9))}})(le=i.ProxyChannel||(i.ProxyChannel={}));const re=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ge(M){if(Array.isArray(M))return M;if(M&&typeof M=="object"&&typeof M.toString=="function"){const A=M.toString();if(A!=="[object Object]")return A}return M}function ae(M){return Array.isArray(M)?M.map(ge):ge(M)}function N(M,A,W,G,Q,F,V){V=ae(V);const k=re[Q],O=k[G%k.length];let x=[`%c[${M}]%c[${String(A).padStart(7," ")}]%c[len: ${String(W).padStart(5," ")}]%c${String(G).padStart(5," ")} - ${F}`,"color: darkgreen","color: grey","color: grey",`color: ${O}`];/\($/.test(F)?(x=x.concat(V),x.push(")")):x.push(V),console.log.apply(console,x)}i.logWithColors=N;class _{constructor(A,W){this._outgoingPrefix=A,this._incomingPrefix=W,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(A,W,G,Q,F){this._totalOutgoing+=A,N(this._outgoingPrefix,this._totalOutgoing,A,W,G,Q,F)}logIncoming(A,W,G,Q,F){this._totalIncoming+=A,N(this._incomingPrefix,this._totalIncoming,A,W,G,Q,F)}}i.IPCLogger=_}),define(Z[77],ee([0,1,3,4,2,7]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.InMemoryStorageDatabase=i.Storage=i.StorageState=i.isStorageItemsChangeEvent=i.StorageHint=void 0;var T;(function(P){P[P.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(T=i.StorageHint||(i.StorageHint={}));function m(P){const g=P;return g?.changed instanceof Map||g?.deleted instanceof Set}i.isStorageItemsChangeEvent=m;var l;(function(P){P[P.None=0]="None",P[P.Initialized=1]="Initialized",P[P.Closed=2]="Closed"})(l=i.StorageState||(i.StorageState={}));class h extends b.Disposable{constructor(g,E=Object.create(null)){super();this.database=g,this.options=E,this._onDidChangeStorage=this._register(new D.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=l.None,this.cache=new Map,this.flushDelayer=new C.ThrottledDelayer(h.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(g=>this.onDidChangeItemsExternal(g)))}onDidChangeItemsExternal(g){g.changed?.forEach((E,c)=>this.accept(c,E)),g.deleted?.forEach(E=>this.accept(E,void 0))}accept(g,E){if(this.state===l.Closed)return;let c=!1;(0,R.isUndefinedOrNull)(E)?c=this.cache.delete(g):this.cache.get(g)!==E&&(this.cache.set(g,E),c=!0),c&&this._onDidChangeStorage.fire(g)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===l.None&&(this.state=l.Initialized,this.options.hint!==T.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(g,E){const c=this.cache.get(g);return(0,R.isUndefinedOrNull)(c)?E:c}getBoolean(g,E){const c=this.get(g);return(0,R.isUndefinedOrNull)(c)?E:c==="true"}getNumber(g,E){const c=this.get(g);return(0,R.isUndefinedOrNull)(c)?E:parseInt(c,10)}async set(g,E){if(this.state===l.Closed)return;if((0,R.isUndefinedOrNull)(E))return this.delete(g);const c=String(E);if(this.cache.get(g)!==c)return this.cache.set(g,c),this.pendingInserts.set(g,c),this.pendingDeletes.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async delete(g){if(!(this.state===l.Closed||!this.cache.delete(g)))return this.pendingDeletes.has(g)||this.pendingDeletes.add(g),this.pendingInserts.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=l.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const g={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(g).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(g){if(!!this.hasPending)return this.doFlush(g)}async doFlush(g){return this.flushDelayer.trigger(()=>this.flushPending(),g)}async whenFlushed(){if(!!this.hasPending)return new Promise(g=>this.whenFlushedCallbacks.push(g))}dispose(){this.flushDelayer.dispose(),super.dispose()}}i.Storage=h,h.DEFAULT_FLUSH_DELAY=100;class I{constructor(){this.onDidChangeItemsExternal=D.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(g){g.insert?.forEach((E,c)=>this.items.set(c,E)),g.delete?.forEach(E=>this.items.delete(E))}async close(){}}i.InMemoryStorageDatabase=I}),define(Z[78],ee([5,6]),function($,i){return $.create("vs/base/node/processes",i)}),define(Z[57],ee([0,1,45,79,16,24,14,13,31,52,7,69,20,78]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.win32=i.createQueuedSender=i.LineProcess=i.AbstractProcess=i.getWindowsShell=i.TerminateResponseCode=i.Source=void 0,Object.defineProperty(i,"Source",{enumerable:!0,get:function(){return h.Source}}),Object.defineProperty(i,"TerminateResponseCode",{enumerable:!0,get:function(){return h.TerminateResponseCode}});function c(s){switch(s){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function d(s,t){if(m.isWindows)try{const n={stdio:["pipe","pipe","ignore"]};t&&(n.cwd=t);const e=C.execFile("taskkill",["/T","/F","/PID",s.pid.toString()],n);return new Promise(r=>{e.once("error",o=>{r({success:!1,error:o})}),e.once("exit",(o,p)=>{r(o===0?{success:!0}:{success:!1,code:o!==null?o:1})})})}catch(n){return Promise.resolve({success:!1,error:n,code:n.status?c(n.status):1})}else if(m.isLinux||m.isMacintosh)try{const n=b.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",$).fsPath;return new Promise(e=>{C.execFile(n,[s.pid.toString()],{encoding:"utf8",shell:!0},(r,o,p)=>{e(r?{success:!1,error:r}:{success:!0})})})}catch(n){return Promise.resolve({success:!1,error:n})}else s.kill("SIGKILL");return Promise.resolve({success:!0})}function S(s=l.env){return s.comspec||"cmd.exe"}i.getWindowsShell=S;class u{constructor(t,n,e,r){if(n!==void 0&&e!==void 0&&r!==void 0)this.cmd=t,this.args=n,this.shell=e,this.options=r;else{const o=t;this.cmd=o.command,this.shell=o.isShellCommand,this.args=o.args.slice(0),this.options=o.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const o=Object.create(null);Object.keys(l.env).forEach(p=>{o[p]=l.env[p]}),Object.keys(this.options.env).forEach(p=>{o[p]=this.options.env[p]}),this.options.env=o}}getSanitizedCommand(){let t=this.cmd.toLowerCase();const n=t.lastIndexOf(T.sep);return n!==-1&&(t=t.substring(n+1)),u.WellKnowCommands[t]?t:"other"}start(t){return m.isWindows&&(this.options&&this.options.cwd&&D.isUNC(this.options.cwd)||!this.options&&D.isUNC(l.cwd()))?Promise.reject(new Error(E.localize(0,null))):this.useExec().then(n=>{let e,r;const o=new Promise((p,y)=>{e=p,r=y});if(n){let p=this.cmd;this.args&&(p=p+" "+this.args.join(" ")),this.childProcess=C.exec(p,this.options,(y,w,L)=>{this.childProcess=null;const U=y;U&&U.killed?r({killed:this.terminateRequested,stdout:w.toString(),stderr:L.toString()}):this.handleExec(e,t,y,w,L)})}else{let p=null;const y=w=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(w,e,t,r);const L={terminated:this.terminateRequested};I.isNumber(w)&&(L.cmdCode=w),e(L)};if(this.shell&&m.isWindows){const w=R.deepClone(this.options);w.windowsVerbatimArguments=!0,w.detached=!1;let L=!1,U=!1;const B=[];let q=this.ensureQuotes(this.cmd);B.push(q.value),L=q.quoted,this.args&&this.args.forEach(ne=>{q=this.ensureQuotes(ne),B.push(q.value),U=U&&q.quoted});const Y=["/s","/c"];L?U?Y.push('"'+B.join(" ")+'"'):B.length>1?Y.push('"'+B[0]+'" '+B.slice(1).join(" ")):Y.push('"'+B[0]+'"'):Y.push(B.join(" ")),p=C.spawn(S(),Y,w)}else this.cmd&&(p=C.spawn(this.cmd,this.args,this.options));p&&(this.childProcess=p,this.childProcessPromise=Promise.resolve(p),this.pidResolve&&(this.pidResolve(I.isNumber(p.pid)?p.pid:-1),this.pidResolve=void 0),p.on("error",w=>{this.childProcess=null,r({terminated:this.terminateRequested,error:w})}),p.pid&&(this.childProcess.on("close",y),this.handleSpawn(p,e,t,r,!0)))}return o})}handleClose(t,n,e,r){}ensureQuotes(t){return u.regexp.test(t)?{value:'"'+t+'"',quoted:!0}:{value:t,quoted:t.length>0&&t[0]==='"'&&t[t.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(t=>t.pid,t=>-1):new Promise(t=>{this.pidResolve=t})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(t=>(this.terminateRequested=!0,d(t,this.options.cwd).then(n=>(n.success&&(this.childProcess=null),n))),t=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(t=>{if(!this.shell||!m.isWindows)return t(!1);const n=C.spawn(S(),["/s","/c"]);n.on("error",e=>t(!0)),n.on("exit",e=>t(!1))})}}i.AbstractProcess=u,u.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},u.regexp=/^[^"].* .*[^"]/;class f extends u{constructor(t,n,e,r){super(t,n,e,r);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(t,n,e,r,o){[r,o].forEach((p,y)=>{const w=new P.LineDecoder;w.write(p).forEach(B=>{n({line:B,source:y===0?0:1})});const U=w.end();U&&n({line:U,source:y===0?0:1})}),t({terminated:this.terminateRequested,error:e})}handleSpawn(t,n,e,r,o){const p=new P.LineDecoder,y=new P.LineDecoder;t.stdout.on("data",w=>{p.write(w).forEach(U=>e({line:U,source:0}))}),t.stderr.on("data",w=>{y.write(w).forEach(U=>e({line:U,source:1}))}),this.stdoutLineDecoder=p,this.stderrLineDecoder=y}handleClose(t,n,e,r){const o=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;o&&e({line:o,source:0});const p=this.stderrLineDecoder?this.stderrLineDecoder.end():null;p&&e({line:p,source:1})}}i.LineProcess=f;function v(s){let t=[],n=!1;const e=function(r){if(n){t.push(r);return}(!s.send(r,p=>{if(p&&console.error(p),n=!1,t.length>0){const y=t.slice(0);t=[],y.forEach(w=>e(w))}})||m.isWindows)&&(n=!0)};return{send:e}}i.createQueuedSender=v;var a;(function(s){async function t(n,e,r){if(T.isAbsolute(n))return n;if(e===void 0&&(e=l.cwd()),T.dirname(n)!=="."||(r===void 0&&I.isString(l.env.PATH)&&(r=l.env.PATH.split(T.delimiter)),r===void 0||r.length===0))return T.join(e,n);async function p(y){if(await g.Promises.exists(y)){let w;try{w=await g.Promises.stat(y)}catch(L){L.message.startsWith("EACCES")&&(w=await g.Promises.lstat(y))}return w?!w.isDirectory():!1}return!1}for(const y of r){let w;if(T.isAbsolute(y)?w=T.join(y,n):w=T.join(e,y,n),await p(w))return w;let L=w+".com";if(await p(L)||(L=w+".exe",await p(L)))return L}return T.join(e,n)}s.findExecutable=t})(a=i.win32||(i.win32={}))}),define(Z[80],ee([0,1,38,13,76,57]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getSystemShellSync=i.getSystemShell=void 0;async function T(E,c){return E===1?D.isWindows?P():R.getWindowsShell(c):h(E,c)}i.getSystemShell=T;function m(E,c){return E===1?D.isWindows?g(c):R.getWindowsShell(c):h(E,c)}i.getSystemShellSync=m;let l=null;function h(E,c){if(D.isLinux&&E===2||D.isMacintosh&&E===3)return"/bin/bash";if(!l){let d;if(D.isWindows)d="/bin/bash";else{if(d=c.SHELL,!d)try{d=(0,C.userInfo)().shell}catch{}d||(d="sh"),d==="/bin/false"&&(d="/bin/bash")}l=d}return l}let I=null;async function P(){return I||(I=(await(0,b.getFirstAvailablePowerShellInstallation)()).exePath),I}function g(E){if(I)return I;const c=D.isWindows&&parseFloat((0,C.release)())>=10,d=E.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${E.windir}\\${d?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return c?S:R.getWindowsShell(E)}}),define(Z[81],ee([0,1,45,3,15,25,75,12,4,2,24,57,52,56]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Client=i.Server=void 0;class c extends E.ChannelServer{constructor(u){super({send:f=>{try{process.send?.(f.buffer.toString("base64"))}catch{}},onMessage:l.Event.fromNodeEventEmitter(process,"message",f=>b.VSBuffer.wrap(Buffer.from(f,"base64")))},u);process.once("disconnect",()=>this.dispose())}}i.Server=c;class d{constructor(u,f){this.modulePath=u,this.options=f,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new l.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const v=f&&f.timeout?f.timeout:6e4;this.disposeDelayer=new D.Delayer(v),this.child=null,this._client=null}getChannel(u){const f=this;return{call(v,a,s){return f.requestPromise(u,v,a,s)},listen(v,a){return f.requestEvent(u,v,a)}}}requestPromise(u,f,v,a=R.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(a.isCancellationRequested)return Promise.reject(m.canceled());this.disposeDelayer.cancel();const s=this.getCachedChannel(u),t=(0,D.createCancelablePromise)(r=>s.call(f,v,r)),n=a.onCancellationRequested(()=>t.cancel()),e=(0,h.toDisposable)(()=>t.cancel());return this.activeRequests.add(e),t.finally(()=>{n.dispose(),this.activeRequests.delete(e),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(u,f,v){if(!this.disposeDelayer)return l.Event.None;this.disposeDelayer.cancel();let a;const s=new l.Emitter({onFirstListenerAdd:()=>{a=this.getCachedChannel(u).listen(f,v)(s.fire,s),this.activeRequests.add(a)},onLastListenerRemove:()=>{this.activeRequests.delete(a),a.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return s.event}get client(){if(!this._client){const u=this.options&&this.options.args?this.options.args:[],f=Object.create(null);f.env={...(0,I.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(f.env={...f.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(f.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(f.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(f.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),f.execArgv===void 0&&(f.execArgv=process.execArgv.filter(o=>!/^--inspect(-brk)?=/.test(o))),(0,g.removeDangerousEnvVariables)(f.env),this.child=(0,C.fork)(this.modulePath,u,f);const v=new l.Emitter;l.Event.fromNodeEventEmitter(this.child,"message",o=>o)(o=>{if((0,T.isRemoteConsoleLog)(o)){(0,T.log)(o,`IPC Library: ${this.options.serverName}`);return}v.fire(b.VSBuffer.wrap(Buffer.from(o,"base64")))});const s=this.options.useQueue?(0,P.createQueuedSender)(this.child):this.child,t=o=>this.child&&this.child.connected&&s.send(o.buffer.toString("base64")),n=v.event,e={send:t,onMessage:n};this._client=new E.ChannelClient(e);const r=()=>this.disposeClient();process.once("exit",r),this.child.on("error",o=>console.warn('IPC "'+this.options.serverName+'" errored with '+o)),this.child.on("exit",(o,p)=>{process.removeListener("exit",r),this.activeRequests.forEach(y=>(0,h.dispose)(y)),this.activeRequests.clear(),o!==0&&p!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+o+" and signal "+p),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:o,signal:p})})}return this._client}getCachedChannel(u){let f=this.channels.get(u);return f||(f=this.client.getChannel(u),this.channels.set(u,f)),f}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}i.Client=d}),define(Z[82],ee([5,6]),function($,i){return $.create("vs/base/node/zip",i)}),define(Z[83],ee([5,6]),function($,i){return $.create("vs/platform/configuration/common/configurationRegistry",i)}),define(Z[84],ee([5,6]),function($,i){return $.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",i)}),define(Z[85],ee([5,6]),function($,i){return $.create("vs/platform/extensionManagement/common/extensionManagement",i)}),define(Z[86],ee([5,6]),function($,i){return $.create("vs/platform/extensionManagement/common/extensionManagementCLIService",i)}),define(Z[87],ee([5,6]),function($,i){return $.create("vs/platform/extensionManagement/common/extensionsScannerService",i)}),define(Z[88],ee([5,6]),function($,i){return $.create("vs/platform/extensionManagement/node/extensionManagementService",i)}),define(Z[89],ee([5,6]),function($,i){return $.create("vs/platform/extensionManagement/node/extensionManagementUtil",i)}),define(Z[90],ee([5,6]),function($,i){return $.create("vs/platform/extensions/common/extensionValidator",i)}),define(Z[91],ee([5,6]),function($,i){return $.create("vs/platform/files/common/fileService",i)}),define(Z[92],ee([5,6]),function($,i){return $.create("vs/platform/files/common/io",i)}),define(Z[93],ee([5,6]),function($,i){return $.create("vs/platform/files/node/diskFileSystemProvider",i)}),define(Z[94],ee([5,6]),function($,i){return $.create("vs/platform/languagePacks/common/languagePacks",i)}),define(Z[95],ee([5,6]),function($,i){return $.create("vs/platform/request/common/request",i)}),define(Z[96],ee([5,6]),function($,i){return $.create("vs/platform/shell/node/shellEnv",i)}),define(Z[97],ee([5,6]),function($,i){return $.create("vs/platform/telemetry/common/telemetryService",i)}),define(Z[98],ee([5,6]),function($,i){return $.create("vs/platform/userDataProfile/common/userDataProfile",i)}),define(Z[99],ee([5,6]),function($,i){return $.create("vs/platform/workspace/common/workspace",i)}),define(Z[100],ee([0,1,71,50,16,14,31,17,10]),function($,i,C,D,b,R,T,m,l){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.parsePtyHostPort=i.parseSearchPort=i.parseExtensionHostPort=i.AbstractNativeEnvironmentService=void 0;class h{constructor(d,S,u){this._args=d,this.paths=S,this.productService=u,this.editSessionId=this.args.editSessionId}get appRoot(){return(0,R.dirname)(b.FileAccess.asFileUri("",$).fsPath)}get userHome(){return l.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return l.URI.file((0,R.join)(this.userDataPath,"User"))}get tmpDir(){return l.URI.file(this.paths.tmpDir)}get cacheHome(){return l.URI.file(this.userDataPath)}get stateResource(){return(0,m.joinPath)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,m.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const d=(0,C.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,R.join)(this.userDataPath,"logs",d)}return this.args.logsPath}get userDataSyncLogResource(){return l.URI.file((0,R.join)(this.logsPath,"userDataSync.log"))}get editSessionsLogResource(){return l.URI.file((0,R.join)(this.logsPath,"editSessions.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,m.joinPath)(l.URI.file((0,R.join)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,m.joinPath)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,m.joinPath)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,m.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const d=T.env.VSCODE_PORTABLE;return d?l.URI.file((0,R.join)(d,"argv.json")):(0,m.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return l.URI.file((0,R.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,R.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const d=this.args["builtin-extensions-dir"];return d?(0,R.resolve)(d):(0,R.normalize)((0,R.join)(b.FileAccess.asFileUri("",$).fsPath,"..","extensions"))}get extensionsDownloadPath(){const d=this.args["extensions-download-dir"];return d?(0,R.resolve)(d):(0,R.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const d=this.args["extensions-dir"];if(d)return(0,R.resolve)(d);const S=T.env.VSCODE_EXTENSIONS;if(S)return S;const u=T.env.VSCODE_PORTABLE;return u?(0,R.join)(u,"extensions"):(0,m.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const d=this.args.extensionDevelopmentPath;if(Array.isArray(d))return d.map(S=>/^[^:/?#]+?:\/\//.test(S)?l.URI.parse(S):l.URI.file((0,R.normalize)(S)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(d=>d==="ui"||d==="workspace"||d==="web"?d:"workspace")}get extensionTestsLocationURI(){const d=this.args.extensionTestsPath;if(d)return/^[^:/?#]+?:\/\//.test(d)?l.URI.parse(d):l.URI.file((0,R.normalize)(d))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const d=this.args["disable-extension"];if(d){if(typeof d=="string")return[d];if(Array.isArray(d)&&d.length>0)return d}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!T.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,m.joinPath)(l.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get telemetryLogResource(){return l.URI.file((0,R.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const d=T.env.VSCODE_PORTABLE;return d?l.URI.file((0,R.join)(d,"policy.json")):(0,m.joinPath)(this.userHome,this.productService.dataFolderName,"policy.json")}}get args(){return this._args}}fe([D.memoize],h.prototype,"appRoot",null),fe([D.memoize],h.prototype,"userHome",null),fe([D.memoize],h.prototype,"userDataPath",null),fe([D.memoize],h.prototype,"appSettingsHome",null),fe([D.memoize],h.prototype,"tmpDir",null),fe([D.memoize],h.prototype,"cacheHome",null),fe([D.memoize],h.prototype,"stateResource",null),fe([D.memoize],h.prototype,"userRoamingDataHome",null),fe([D.memoize],h.prototype,"userDataSyncHome",null),fe([D.memoize],h.prototype,"userDataSyncLogResource",null),fe([D.memoize],h.prototype,"editSessionsLogResource",null),fe([D.memoize],h.prototype,"sync",null),fe([D.memoize],h.prototype,"machineSettingsResource",null),fe([D.memoize],h.prototype,"workspaceStorageHome",null),fe([D.memoize],h.prototype,"localHistoryHome",null),fe([D.memoize],h.prototype,"keyboardLayoutResource",null),fe([D.memoize],h.prototype,"argvResource",null),fe([D.memoize],h.prototype,"isExtensionDevelopment",null),fe([D.memoize],h.prototype,"untitledWorkspacesHome",null),fe([D.memoize],h.prototype,"installSourcePath",null),fe([D.memoize],h.prototype,"builtinExtensionsPath",null),fe([D.memoize],h.prototype,"extensionsPath",null),fe([D.memoize],h.prototype,"extensionDevelopmentLocationURI",null),fe([D.memoize],h.prototype,"extensionDevelopmentKind",null),fe([D.memoize],h.prototype,"extensionTestsLocationURI",null),fe([D.memoize],h.prototype,"debugExtensionHost",null),fe([D.memoize],h.prototype,"serviceMachineIdResource",null),fe([D.memoize],h.prototype,"telemetryLogResource",null),fe([D.memoize],h.prototype,"disableWorkspaceTrust",null),fe([D.memoize],h.prototype,"policyFile",null),i.AbstractNativeEnvironmentService=h;function I(c,d){return E(c["inspect-extensions"],c["inspect-brk-extensions"],5870,d,c.debugId,c.extensionEnvironment)}i.parseExtensionHostPort=I;function P(c,d){return E(c["inspect-search"],c["inspect-brk-search"],5876,d,c.extensionEnvironment)}i.parseSearchPort=P;function g(c,d){return E(c["inspect-ptyhost"],c["inspect-brk-ptyhost"],5877,d,c.extensionEnvironment)}i.parsePtyHostPort=g;function E(c,d,S,u,f,v){const s=Number(d||c)||(u?null:S),t=s?Boolean(!!d):!1;let n;if(v)try{n=JSON.parse(v)}catch{}return{port:s,break:t,debugId:f,env:n}}}),function(){"use strict";function $(i,C,D,b){function R(m){const l=T(m),h=[l];return i.isAbsolute(l)||h.unshift(b),i.resolve(...h)}function T(m){const l=process.env.VSCODE_PORTABLE;if(l)return i.join(l,"user-data");let h=process.env.VSCODE_APPDATA;if(h)return i.join(h,D);const I=m["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(h=process.env.APPDATA,!h){const P=process.env.USERPROFILE;if(typeof P!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");h=i.join(P,"AppData","Roaming")}break;case"darwin":h=i.join(C.homedir(),"Library","Application Support");break;case"linux":h=process.env.XDG_CONFIG_HOME||i.join(C.homedir(),".config");break;default:throw new Error("Platform not supported")}return i.join(h,D)}return{getUserDataPath:R}}if(typeof define=="function")define(Z[101],ee([0,151,38,16,17,31]),function(i,C,D,b,R,T){const m=R.dirname(b.FileAccess.asFileUri("",i)),l=i.__$__nodeRequire(R.joinPath(m,"package.json").fsPath);return $(C,D,l.name,T.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const i=require("../../../../../package.json"),C=require("path"),D=require("os");module.exports=$(C,D,i.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(Z[102],ee([0,1,38,100,101]),function($,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NativeEnvironmentService=void 0;class R extends D.AbstractNativeEnvironmentService{constructor(m,l){super(m,{homeDir:(0,C.homedir)(),tmpDir:(0,C.tmpdir)(),userDataDir:(0,b.getUserDataPath)(m)},l)}}i.NativeEnvironmentService=R}),define(Z[46],ee([0,1,17,55,90,39]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.isEngineValid=i.isValidExtensionVersion=i.validateExtensionManifest=i.isValidVersion=i.normalizeVersion=i.parseVersion=i.isValidVersionStr=void 0;const T=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,m=/^-(\d{4})(\d{2})(\d{2})$/;function l(u){return u=u.trim(),u==="*"||T.test(u)}i.isValidVersionStr=l;function h(u){if(!l(u))return null;if(u=u.trim(),u==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const f=u.match(T);return f?{hasCaret:f[1]==="^",hasGreaterEquals:f[1]===">=",majorBase:f[2]==="x"?0:parseInt(f[2],10),majorMustEqual:f[2]!=="x",minorBase:f[4]==="x"?0:parseInt(f[4],10),minorMustEqual:f[4]!=="x",patchBase:f[6]==="x"?0:parseInt(f[6],10),patchMustEqual:f[6]!=="x",preRelease:f[8]||null}:null}i.parseVersion=h;function I(u){if(!u)return null;const f=u.majorBase,v=u.majorMustEqual,a=u.minorBase;let s=u.minorMustEqual;const t=u.patchBase;let n=u.patchMustEqual;u.hasCaret&&(f===0||(s=!1),n=!1);let e=0;if(u.preRelease){const r=m.exec(u.preRelease);if(r){const[,o,p,y]=r;e=Date.UTC(Number(o),Number(p)-1,Number(y))}}return{majorBase:f,majorMustEqual:v,minorBase:a,minorMustEqual:s,patchBase:t,patchMustEqual:n,isMinimum:u.hasGreaterEquals,notBefore:e}}i.normalizeVersion=I;function P(u,f,v){let a;typeof u=="string"?a=I(h(u)):a=u;let s;f instanceof Date?s=f.getTime():typeof f=="string"&&(s=new Date(f).getTime());let t;if(typeof v=="string"?t=I(h(v)):t=v,!a||!t)return!1;const n=a.majorBase,e=a.minorBase,r=a.patchBase;let o=t.majorBase,p=t.minorBase,y=t.patchBase;const w=t.notBefore;let L=t.majorMustEqual,U=t.minorMustEqual,B=t.patchMustEqual;return t.isMinimum?n>o?!0:n<o?!1:e>p?!0:e<p||s&&s<w?!1:r>=y:(n===1&&o===0&&(!L||!U||!B)&&(o=1,p=0,y=0,L=!0,U=!1,B=!1),n<o?!1:n>o?!L:e<p?!1:e>p?!U:r<y?!1:r>y?!B:!(s&&s<w))}i.isValidVersion=P;function g(u,f,v,a,s){const t=[];if(typeof a.publisher!="undefined"&&typeof a.publisher!="string")return t.push([D.default.Error,b.localize(0,null)]),t;if(typeof a.name!="string")return t.push([D.default.Error,b.localize(1,null,"name")]),t;if(typeof a.version!="string")return t.push([D.default.Error,b.localize(2,null,"version")]),t;if(!a.engines)return t.push([D.default.Error,b.localize(3,null,"engines")]),t;if(typeof a.engines.vscode!="string")return t.push([D.default.Error,b.localize(4,null,"engines.vscode")]),t;if(typeof a.extensionDependencies!="undefined"&&!S(a.extensionDependencies))return t.push([D.default.Error,b.localize(5,null,"extensionDependencies")]),t;if(typeof a.activationEvents!="undefined"){if(!S(a.activationEvents))return t.push([D.default.Error,b.localize(6,null,"activationEvents")]),t;if(typeof a.main=="undefined"&&typeof a.browser=="undefined")return t.push([D.default.Error,b.localize(7,null,"activationEvents","main")]),t}if(typeof a.extensionKind!="undefined"&&typeof a.main=="undefined"&&t.push([D.default.Warning,b.localize(8,null,"extensionKind")]),typeof a.main!="undefined"){if(typeof a.main!="string")return t.push([D.default.Error,b.localize(9,null,"main")]),t;{const r=(0,C.joinPath)(v,a.main);(0,C.isEqualOrParent)(r,v)||t.push([D.default.Warning,b.localize(10,null,r.path,v.path)])}if(typeof a.activationEvents=="undefined")return t.push([D.default.Error,b.localize(11,null,"activationEvents","main")]),t}if(typeof a.browser!="undefined"){if(typeof a.browser!="string")return t.push([D.default.Error,b.localize(12,null,"browser")]),t;{const r=(0,C.joinPath)(v,a.browser);(0,C.isEqualOrParent)(r,v)||t.push([D.default.Warning,b.localize(13,null,r.path,v.path)])}if(typeof a.activationEvents=="undefined")return t.push([D.default.Error,b.localize(14,null,"activationEvents","browser")]),t}if(!R.valid(a.version))return t.push([D.default.Error,b.localize(15,null)]),t;const n=[];if(!E(u,f,a,s,n))for(const r of n)t.push([D.default.Error,r]);return t}i.validateExtensionManifest=g;function E(u,f,v,a,s){return a||typeof v.main=="undefined"&&typeof v.browser=="undefined"?!0:d(u,f,v.engines.vscode,s)}i.isValidExtensionVersion=E;function c(u,f,v){return u==="*"||d(f,v,u)}i.isEngineValid=c;function d(u,f,v,a=[]){const s=I(h(v));if(!s)return a.push(b.localize(16,null,v)),!1;if(s.majorBase===0){if(!s.majorMustEqual||!s.minorMustEqual)return a.push(b.localize(17,null,v)),!1}else if(!s.majorMustEqual)return a.push(b.localize(18,null,v)),!1;return P(u,f,s)?!0:(a.push(b.localize(19,null,u,v)),!1)}function S(u){if(!Array.isArray(u))return!1;for(let f=0,v=u.length;f<v;f++)if(typeof u[f]!="string")return!1;return!0}}),define(Z[103],ee([0,1,15,35]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getServiceMachineId=void 0;async function b(R,T,m){let l=m&&m.get("storage.serviceMachineId",-1)||null;if(l)return l;try{const I=(await T.readFile(R.serviceMachineIdResource)).value.toString();l=(0,D.isUUID)(I)?I:null}catch{l=null}if(!l){l=(0,D.generateUuid)();try{await T.writeFile(R.serviceMachineIdResource,C.VSBuffer.fromString(l))}catch{}}return m?.store("storage.serviceMachineId",l,-1,1),l}i.getServiceMachineId=b}),define(Z[47],ee([0,1]),function($,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.SyncDescriptor=void 0;class C{constructor(b,R=[],T=!1){this.ctor=b,this.staticArguments=R,this.supportsDelayedInstantiation=T}}i.SyncDescriptor=C}),define(Z[104],ee([0,1,47]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getSingletonServiceDescriptors=i.registerSingleton=void 0;const D=[];function b(T,m,l){m instanceof C.SyncDescriptor||(m=new C.SyncDescriptor(m,[],l)),D.push([T,m])}i.registerSingleton=b;function R(){return D}i.getSingletonServiceDescriptors=R}),define(Z[105],ee([0,1]),function($,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Graph=i.Node=void 0;class C{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}i.Node=C;class D{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(const T of this._nodes.values())T.outgoing.size===0&&R.push(T);return R}insertEdge(R,T){const m=this.lookupOrInsertNode(R),l=this.lookupOrInsertNode(T);m.outgoing.set(this._hashFn(T),l),l.incoming.set(this._hashFn(R),m)}removeNode(R){const T=this._hashFn(R);this._nodes.delete(T);for(const m of this._nodes.values())m.outgoing.delete(T),m.incoming.delete(T)}lookupOrInsertNode(R){const T=this._hashFn(R);let m=this._nodes.get(T);return m||(m=new C(R),this._nodes.set(T,m)),m}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){const R=[];for(const[T,m]of this._nodes)R.push(`${T}, (incoming)[${[...m.incoming.keys()].join(", ")}], (outgoing)[${[...m.outgoing.keys()].join(",")}]`);return R.join(`
`)}findCycleSlow(){for(const[R,T]of this._nodes){const m=new Set([R]),l=this._findCycle(T,m);if(l)return l}}_findCycle(R,T){for(const[m,l]of R.outgoing){if(T.has(m))return[...T,m].join(" -> ");T.add(m);const h=this._findCycle(l,T);if(h)return h;T.delete(m)}}}i.Graph=D}),define(Z[21],ee([0,1,7,10,8]),function($,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getLanguageTagSettingPlainKey=i.getMigratedSettingValue=i.merge=i.getConfigurationValue=i.removeFromValueTree=i.addToValueTree=i.toValuesTree=i.ConfigurationTargetToString=i.ConfigurationTarget=i.isConfigurationUpdateOverrides=i.isConfigurationOverrides=i.IConfigurationService=void 0,i.IConfigurationService=(0,b.createDecorator)("configurationService");function R(u){return u&&typeof u=="object"&&(!u.overrideIdentifier||typeof u.overrideIdentifier=="string")&&(!u.resource||u.resource instanceof D.URI)}i.isConfigurationOverrides=R;function T(u){return u&&typeof u=="object"&&(!u.overrideIdentifiers||C.isArray(u.overrideIdentifiers))&&!u.overrideIdentifier&&(!u.resource||u.resource instanceof D.URI)}i.isConfigurationUpdateOverrides=T;var m;(function(u){u[u.USER=1]="USER",u[u.USER_LOCAL=2]="USER_LOCAL",u[u.USER_REMOTE=3]="USER_REMOTE",u[u.WORKSPACE=4]="WORKSPACE",u[u.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",u[u.DEFAULT=6]="DEFAULT",u[u.MEMORY=7]="MEMORY"})(m=i.ConfigurationTarget||(i.ConfigurationTarget={}));function l(u){switch(u){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}i.ConfigurationTargetToString=l;function h(u,f){const v=Object.create(null);for(const a in u)I(v,a,u[a],f);return v}i.toValuesTree=h;function I(u,f,v,a){const s=f.split("."),t=s.pop();let n=u;for(let e=0;e<s.length;e++){const r=s[e];let o=n[r];switch(typeof o){case"undefined":o=n[r]=Object.create(null);break;case"object":break;default:a(`Ignoring ${f} as ${s.slice(0,e+1).join(".")} is ${JSON.stringify(o)}`);return}n=o}if(typeof n=="object"&&n!==null)try{n[t]=v}catch{a(`Ignoring ${f} as ${s.join(".")} is ${JSON.stringify(n)}`)}else a(`Ignoring ${f} as ${s.join(".")} is ${JSON.stringify(n)}`)}i.addToValueTree=I;function P(u,f){const v=f.split(".");g(u,v)}i.removeFromValueTree=P;function g(u,f){const v=f.shift();if(f.length===0){delete u[v];return}if(Object.keys(u).indexOf(v)!==-1){const a=u[v];typeof a=="object"&&!Array.isArray(a)&&(g(a,f),Object.keys(a).length===0&&delete u[v])}}function E(u,f,v){function a(n,e){let r=n;for(const o of e){if(typeof r!="object"||r===null)return;r=r[o]}return r}const s=f.split("."),t=a(u,s);return typeof t=="undefined"?v:t}i.getConfigurationValue=E;function c(u,f,v){Object.keys(f).forEach(a=>{a!=="__proto__"&&(a in u?C.isObject(u[a])&&C.isObject(f[a])?c(u[a],f[a],v):v&&(u[a]=f[a]):u[a]=f[a])})}i.merge=c;function d(u,f,v){const a=u.inspect(f),s=u.inspect(v);return typeof a.userValue!="undefined"||typeof a.workspaceValue!="undefined"||typeof a.workspaceFolderValue!="undefined"?a.value:typeof s.userValue!="undefined"||typeof s.workspaceValue!="undefined"||typeof s.workspaceFolderValue!="undefined"?s.value:a.defaultValue}i.getMigratedSettingValue=d;function S(u){return u.replace(/[\[\]]/g,"")}i.getLanguageTagSettingPlainKey=S}),define(Z[58],ee([0,1,8]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IDownloadService=void 0,i.IDownloadService=(0,C.createDecorator)("downloadService")}),define(Z[18],ee([0,1,8]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.INativeEnvironmentService=i.IEnvironmentService=void 0,i.IEnvironmentService=(0,C.createDecorator)("environmentService"),i.INativeEnvironmentService=(0,C.refineServiceDecorator)(i.IEnvironmentService)}),define(Z[22],ee([0,1,85,8]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IDefaultExtensionsProfileInitService=i.IExtensionManagementCLIService=i.PreferencesLocalizedLabel=i.PreferencesLabel=i.ExtensionsChannelId=i.ExtensionsLocalizedLabel=i.ExtensionsLabel=i.IExtensionTipsService=i.IGlobalExtensionEnablementService=i.ENABLED_EXTENSIONS_STORAGE_PATH=i.DISABLED_EXTENSIONS_STORAGE_PATH=i.IServerExtensionManagementService=i.IExtensionManagementService=i.ExtensionManagementError=i.ExtensionManagementErrorCode=i.IExtensionGalleryService=i.InstallOperation=i.StatisticType=i.SortOrder=i.SortBy=i.isIExtensionIdentifier=i.getFallbackTargetPlarforms=i.isTargetPlatformCompatible=i.isNotWebExtensionInWebTargetPlatform=i.getTargetPlatform=i.toTargetPlatform=i.TargetPlatformToString=i.WEB_EXTENSION_TAG=i.EXTENSION_IDENTIFIER_REGEX=i.EXTENSION_IDENTIFIER_PATTERN=void 0,i.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",i.EXTENSION_IDENTIFIER_REGEX=new RegExp(i.EXTENSION_IDENTIFIER_PATTERN),i.WEB_EXTENSION_TAG="__web_extension";function b(u){switch(u){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}i.TargetPlatformToString=b;function R(u){switch(u){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}i.toTargetPlatform=R;function T(u,f){switch(u){case 3:return f==="x64"?"win32-x64":f==="ia32"?"win32-ia32":f==="arm64"?"win32-arm64":"unknown";case 2:return f==="x64"?"linux-x64":f==="arm64"?"linux-arm64":f==="arm"?"linux-armhf":"unknown";case"alpine":return f==="x64"?"alpine-x64":f==="arm64"?"alpine-arm64":"unknown";case 1:return f==="x64"?"darwin-x64":f==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}i.getTargetPlatform=T;function m(u,f){return f==="web"&&!u.includes("web")}i.isNotWebExtensionInWebTargetPlatform=m;function l(u,f,v){return m(f,v)?!1:u==="undefined"||u==="universal"?!0:u==="unknown"?!1:u===v?!0:h(v).includes(u)}i.isTargetPlatformCompatible=l;function h(u){switch(u){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}i.getFallbackTargetPlarforms=h;function I(u){return u&&typeof u=="object"&&typeof u.id=="string"&&(!u.uuid||typeof u.uuid=="string")}i.isIExtensionIdentifier=I;var P;(function(u){u[u.NoneOrRelevance=0]="NoneOrRelevance",u[u.LastUpdatedDate=1]="LastUpdatedDate",u[u.Title=2]="Title",u[u.PublisherName=3]="PublisherName",u[u.InstallCount=4]="InstallCount",u[u.PublishedDate=10]="PublishedDate",u[u.AverageRating=6]="AverageRating",u[u.WeightedRating=12]="WeightedRating"})(P=i.SortBy||(i.SortBy={}));var g;(function(u){u[u.Default=0]="Default",u[u.Ascending=1]="Ascending",u[u.Descending=2]="Descending"})(g=i.SortOrder||(i.SortOrder={}));var E;(function(u){u.Install="install",u.Uninstall="uninstall"})(E=i.StatisticType||(i.StatisticType={}));var c;(function(u){u[u.None=1]="None",u[u.Install=2]="Install",u[u.Update=3]="Update",u[u.Migrate=4]="Migrate"})(c=i.InstallOperation||(i.InstallOperation={})),i.IExtensionGalleryService=(0,D.createDecorator)("extensionGalleryService");var d;(function(u){u.Unsupported="Unsupported",u.Deprecated="Deprecated",u.Malicious="Malicious",u.Incompatible="Incompatible",u.IncompatiblePreRelease="IncompatiblePreRelease",u.IncompatibleTargetPlatform="IncompatibleTargetPlatform",u.ReleaseVersionNotFound="ReleaseVersionNotFound",u.Invalid="Invalid",u.Download="Download",u.Extract="Extract",u.Delete="Delete",u.Rename="Rename",u.CorruptZip="CorruptZip",u.IncompleteZip="IncompleteZip",u.Internal="Internal"})(d=i.ExtensionManagementErrorCode||(i.ExtensionManagementErrorCode={}));class S extends Error{constructor(f,v){super(f);this.code=v,this.name=v}}i.ExtensionManagementError=S,i.IExtensionManagementService=(0,D.createDecorator)("extensionManagementService"),i.IServerExtensionManagementService=(0,D.refineServiceDecorator)(i.IExtensionManagementService),i.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",i.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",i.IGlobalExtensionEnablementService=(0,D.createDecorator)("IGlobalExtensionEnablementService"),i.IExtensionTipsService=(0,D.createDecorator)("IExtensionTipsService"),i.ExtensionsLabel=(0,C.localize)(0,null),i.ExtensionsLocalizedLabel={value:i.ExtensionsLabel,original:"Extensions"},i.ExtensionsChannelId="extensions",i.PreferencesLabel=(0,C.localize)(1,null),i.PreferencesLocalizedLabel={value:i.PreferencesLabel,original:"Preferences"},i.IExtensionManagementCLIService=(0,D.createDecorator)("IExtensionManagementCLIService"),i.IDefaultExtensionsProfileInitService=(0,D.createDecorator)("IDefaultExtensionsProfileInitService")}),define(Z[59],ee([0,1,15,12,92,11]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.readFileIntoStream=void 0;async function T(I,P,g,E,c,d){let S;try{await m(I,P,g,E,c,d)}catch(u){S=u}finally{S&&c.errorTransformer&&(S=c.errorTransformer(S)),typeof S!="undefined"&&g.error(S),g.end()}}i.readFileIntoStream=T;async function m(I,P,g,E,c,d){l(d);const S=await I.open(P,{create:!1});try{l(d);let u=0,f=0,v=c&&typeof c.length=="number"?c.length:void 0,a=C.VSBuffer.alloc(Math.min(c.bufferSize,typeof v=="number"?v:c.bufferSize)),s=c&&typeof c.position=="number"?c.position:0,t=0;do f=await I.read(S,s,a.buffer,t,a.byteLength-t),s+=f,t+=f,u+=f,typeof v=="number"&&(v-=f),t===a.byteLength&&(await g.write(E(a)),a=C.VSBuffer.alloc(Math.min(c.bufferSize,typeof v=="number"?v:c.bufferSize)),t=0);while(f>0&&(typeof v!="number"||v>0)&&l(d)&&h(u,c));if(t>0){let n=t;typeof v=="number"&&(n=Math.min(t,v)),g.write(E(a.slice(0,n)))}}catch(u){throw(0,R.ensureFileSystemProviderError)(u)}finally{await I.close(S)}}function l(I){if(I.isCancellationRequested)throw(0,D.canceled)();return!0}function h(I,P){if(P?.limits){if(typeof P.limits.memory=="number"&&I>P.limits.memory)throw(0,R.createFileSystemProviderError)((0,b.localize)(0,null),R.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof P.limits.size=="number"&&I>P.limits.size)throw(0,R.createFileSystemProviderError)((0,b.localize)(1,null),R.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Z[106],ee([0,1,4,152,2,13,153]),function($,i,C,D,b,R,T){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NodeJSWatcher=void 0;class m extends b.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new C.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new C.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=C.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(h){const I=this.normalizeRequests(h),P=I.filter(E=>{const c=this.watchers.get(E.path);return c?!(0,D.patternsEquals)(c.request.excludes,E.excludes)||!(0,D.patternsEquals)(c.request.includes,E.includes):!0}),g=Array.from(this.watchers.values()).filter(({request:E})=>!I.find(c=>c.path===E.path&&(0,D.patternsEquals)(c.excludes,E.excludes)&&(0,D.patternsEquals)(c.includes,E.includes))).map(({request:E})=>E.path);P.length&&this.trace(`Request to start watching: ${P.map(E=>`${E.path} (excludes: ${E.excludes.length>0?E.excludes:"<none>"}, includes: ${E.includes&&E.includes.length>0?JSON.stringify(E.includes):"<all>"})`).join(",")}`),g.length&&this.trace(`Request to stop watching: ${g.join(",")}`);for(const E of g)this.stopWatching(E);for(const E of P)this.startWatching(E)}startWatching(h){const I=new T.NodeJSFileWatcherLibrary(h,g=>this._onDidChangeFile.fire(g),g=>this._onDidLogMessage.fire(g),this.verboseLogging),P={request:h,instance:I};this.watchers.set(h.path,P)}async stop(){for(const[h]of this.watchers)this.stopWatching(h);this.watchers.clear()}stopWatching(h){const I=this.watchers.get(h);I&&(this.watchers.delete(h),I.instance.dispose())}normalizeRequests(h){const I=new Map;for(const P of h){const g=R.isLinux?P.path:P.path.toLowerCase();I.set(g,P)}return Array.from(I.values())}async setVerboseLogging(h){this.verboseLogging=h;for(const[,I]of this.watchers)I.instance.setVerboseLogging(h)}trace(h){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(h)})}toMessage(h,I){return I?`[File Watcher (node.js)] ${h} (path: ${I.request.path})`:`[File Watcher (node.js)] ${h}`}}i.NodeJSWatcher=m}),define(Z[107],ee([0,1,60,106]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NodeJSWatcherClient=void 0;class b extends C.AbstractNonRecursiveWatcherClient{constructor(T,m,l){super(T,m,l);this.init()}createWatcher(){return new D.NodeJSWatcher}}i.NodeJSWatcherClient=b}),define(Z[108],ee([0,1,16,56,81,60]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.UniversalWatcherClient=void 0;class T extends R.AbstractUniversalWatcherClient{constructor(l,h,I){super(l,h,I);this.init()}createWatcher(l){const h=l.add(new b.Client(C.FileAccess.asFileUri("bootstrap-fork",$).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return l.add(h.onDidProcessExit(({code:I,signal:P})=>this.onError(`terminated by itself with code ${I}, signal: ${P}`))),D.ProxyChannel.toService((0,D.getNextTickChannel)(h.getChannel("watcher")))}}i.UniversalWatcherClient=T}),define(Z[61],ee([0,1]),function($,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ServiceCollection=void 0;class C{constructor(...b){this._entries=new Map;for(const[R,T]of b)this.set(R,T)}set(b,R){const T=this._entries.get(b);return this._entries.set(b,R),T}has(b){return this._entries.has(b)}get(b){return this._entries.get(b)}}i.ServiceCollection=C}),define(Z[109],ee([0,1,3,12,47,105,8,61]),function($,i,C,D,b,R,T,m){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Trace=i.InstantiationService=void 0;const l=!1;class h extends Error{constructor(c){super("cyclic dependency between services");this.message=c.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${c.toString()}`}}class I{constructor(c=new m.ServiceCollection,d=!1,S){this._activeInstantiations=new Set,this._services=c,this._strict=d,this._parent=S,this._services.set(T.IInstantiationService,this)}createChild(c){return new I(c,this._strict,this)}invokeFunction(c,...d){const S=g.traceInvocation(c);let u=!1;try{return c({get:v=>{if(u)throw(0,D.illegalState)("service accessor is only valid during the invocation of its target method");const a=this._getOrCreateServiceInstance(v,S);if(!a)throw new Error(`[invokeFunction] unknown service '${v}'`);return a}},...d)}finally{u=!0,S.stop()}}createInstance(c,...d){let S,u;return c instanceof b.SyncDescriptor?(S=g.traceCreation(c.ctor),u=this._createInstance(c.ctor,c.staticArguments.concat(d),S)):(S=g.traceCreation(c),u=this._createInstance(c,d,S)),S.stop(),u}_createInstance(c,d=[],S){const u=T._util.getServiceDependencies(c).sort((a,s)=>a.index-s.index),f=[];for(const a of u){const s=this._getOrCreateServiceInstance(a.id,S);s||this._throwIfStrict(`[createInstance] ${c.name} depends on UNKNOWN service ${a.id}.`,!1),f.push(s)}const v=u.length>0?u[0].index:d.length;if(d.length!==v){console.trace(`[createInstance] First service dependency of ${c.name} at position ${v+1} conflicts with ${d.length} static arguments`);const a=v-d.length;a>0?d=d.concat(new Array(a)):d=d.slice(0,v)}return new c(...[...d,...f])}_setServiceInstance(c,d){if(this._services.get(c)instanceof b.SyncDescriptor)this._services.set(c,d);else if(this._parent)this._parent._setServiceInstance(c,d);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(c){const d=this._services.get(c);return!d&&this._parent?this._parent._getServiceInstanceOrDescriptor(c):d}_getOrCreateServiceInstance(c,d){const S=this._getServiceInstanceOrDescriptor(c);return S instanceof b.SyncDescriptor?this._safeCreateAndCacheServiceInstance(c,S,d.branch(c,!0)):(d.branch(c,!1),S)}_safeCreateAndCacheServiceInstance(c,d,S){if(this._activeInstantiations.has(c))throw new Error(`illegal state - RECURSIVELY instantiating service '${c}'`);this._activeInstantiations.add(c);try{return this._createAndCacheServiceInstance(c,d,S)}finally{this._activeInstantiations.delete(c)}}_createAndCacheServiceInstance(c,d,S){const u=new R.Graph(a=>a.id.toString());let f=0;const v=[{id:c,desc:d,_trace:S}];for(;v.length;){const a=v.pop();if(u.lookupOrInsertNode(a),f++>1e3)throw new h(u);for(const s of T._util.getServiceDependencies(a.desc.ctor)){const t=this._getServiceInstanceOrDescriptor(s.id);if(t||this._throwIfStrict(`[createInstance] ${c} depends on ${s.id} which is NOT registered.`,!0),t instanceof b.SyncDescriptor){const n={id:s.id,desc:t,_trace:a._trace.branch(s.id,!0)};u.insertEdge(a,n),v.push(n)}}}for(;;){const a=u.roots();if(a.length===0){if(!u.isEmpty())throw new h(u);break}for(const{data:s}of a){if(this._getServiceInstanceOrDescriptor(s.id)instanceof b.SyncDescriptor){const n=this._createServiceInstanceWithOwner(s.id,s.desc.ctor,s.desc.staticArguments,s.desc.supportsDelayedInstantiation,s._trace);this._setServiceInstance(s.id,n)}u.removeNode(s)}}return this._getServiceInstanceOrDescriptor(c)}_createServiceInstanceWithOwner(c,d,S=[],u,f){if(this._services.get(c)instanceof b.SyncDescriptor)return this._createServiceInstance(d,S,u,f);if(this._parent)return this._parent._createServiceInstanceWithOwner(c,d,S,u,f);throw new Error(`illegalState - creating UNKNOWN service instance ${d.name}`)}_createServiceInstance(c,d=[],S,u){if(S){const f=new C.IdleValue(()=>this._createInstance(c,d,u));return new Proxy(Object.create(null),{get(v,a){if(a in v)return v[a];const s=f.value;let t=s[a];return typeof t!="function"||(t=t.bind(s),v[a]=t),t},set(v,a,s){return f.value[a]=s,!0}})}else return this._createInstance(c,d,u)}_throwIfStrict(c,d){if(d&&console.warn(c),this._strict)throw new Error(c)}}i.InstantiationService=I;var P;(function(E){E[E.Creation=0]="Creation",E[E.Invocation=1]="Invocation",E[E.Branch=2]="Branch"})(P||(P={}));class g{constructor(c,d){this.type=c,this.name=d,this._start=Date.now(),this._dep=[]}static traceInvocation(c){return l?new g(1,c.name||c.toString().substring(0,42).replace(/\n/g,"")):g._None}static traceCreation(c){return l?new g(0,c.name):g._None}branch(c,d){const S=new g(2,c.toString());return this._dep.push([c,d,S]),S}stop(){const c=Date.now()-this._start;g._totals+=c;let d=!1;function S(f,v){const a=[],s=new Array(f+1).join("	");for(const[t,n,e]of v._dep)if(n&&e){d=!0,a.push(`${s}CREATES -> ${t}`);const r=S(f+1,e);r&&a.push(r)}else a.push(`${s}uses -> ${t}`);return a.join(`
`)}const u=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${c.toFixed(2)}ms (grand total ${g._totals.toFixed(2)}ms)`];(c>2||d)&&console.log(u.join(`
`))}}i.Trace=g,g._None=new class extends g{constructor(){super(-1,null)}stop(){}branch(){return this}},g._totals=0});var te=this&&this.__param||function($,i){return function(C,D){i(C,D,$)}};define(Z[62],ee([0,1,25,2,13,94,22,8]),function($,i,C,D,b,R,T,m){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.LanguagePackBaseService=i.ILanguagePackService=void 0,i.ILanguagePackService=(0,m.createDecorator)("languagePackService");let l=class extends D.Disposable{constructor(I){super();this.extensionGalleryService=I}async getAvailableLanguages(){const I=new C.CancellationTokenSource;setTimeout(()=>I.cancel(),1e3);let P;try{P=await this.extensionGalleryService.query({text:'category:"language packs"',pageSize:20},I.token)}catch{return[]}const E=P.firstPage.filter(c=>c.properties.localizedLanguages?.length&&c.tags.some(d=>d.startsWith("lp-"))).map(c=>{const d=c.properties.localizedLanguages?.[0],S=c.tags.find(f=>f.startsWith("lp-")).split("lp-")[1];return{...this.createQuickPickItem({locale:S,label:d}),extensionId:c.identifier.id,galleryExtension:c}});return E.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),E}createQuickPickItem(I){const P=I.label??I.locale;let g=I.locale!==I.label?I.locale:void 0;return I.locale.toLowerCase()===b.language.toLowerCase()&&(g||(g=""),g+=(0,R.localize)(0,null)),{id:I.locale,label:P,description:g}}};l=fe([te(0,T.IExtensionGalleryService)],l),i.LanguagePackBaseService=l}),define(Z[9],ee([0,1,29,4,2,13,8]),function($,i,C,D,b,R,T){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.LogLevelToString=i.parseLogLevel=i.getLogLevel=i.NullLogService=i.AbstractLoggerService=i.LogService=i.MultiplexLogService=i.AdapterLogger=i.ConsoleLogger=i.ConsoleMainLogger=i.AbstractMessageLogger=i.AbstractLogger=i.format=i.log=i.DEFAULT_LOG_LEVEL=i.LogLevel=i.ILoggerService=i.ILogService=void 0,i.ILogService=(0,T.createDecorator)("logService"),i.ILoggerService=(0,T.createDecorator)("loggerService");function m(){return new Date().toISOString()}var l;(function(n){n[n.Trace=0]="Trace",n[n.Debug=1]="Debug",n[n.Info=2]="Info",n[n.Warning=3]="Warning",n[n.Error=4]="Error",n[n.Critical=5]="Critical",n[n.Off=6]="Off"})(l=i.LogLevel||(i.LogLevel={})),i.DEFAULT_LOG_LEVEL=l.Info;function h(n,e,r){switch(e){case l.Trace:n.trace(r);break;case l.Debug:n.debug(r);break;case l.Info:n.info(r);break;case l.Warning:n.warn(r);break;case l.Error:n.error(r);break;case l.Critical:n.critical(r);break;default:throw new Error("Invalid log level")}}i.log=h;function I(n){let e="";for(let r=0;r<n.length;r++){let o=n[r];if(typeof o=="object")try{o=JSON.stringify(o)}catch{}e+=(r>0?" ":"")+o}return e}i.format=I;class P extends b.Disposable{constructor(){super(...arguments);this.level=i.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new D.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(e){this.level!==e&&(this.level=e,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}i.AbstractLogger=P;class g extends P{constructor(e){super();this.logAlways=e}checkLogLevel(e){return this.logAlways||this.getLevel()<=e}trace(e,...r){this.checkLogLevel(l.Trace)&&this.log(l.Trace,I([e,...r]))}debug(e,...r){this.checkLogLevel(l.Debug)&&this.log(l.Debug,I([e,...r]))}info(e,...r){this.checkLogLevel(l.Info)&&this.log(l.Info,I([e,...r]))}warn(e,...r){this.checkLogLevel(l.Warning)&&this.log(l.Warning,I([e,...r]))}error(e,...r){if(this.checkLogLevel(l.Error))if(e instanceof Error){const o=Array.prototype.slice.call(arguments);o[0]=e.stack,this.log(l.Error,I(o))}else this.log(l.Error,I([e,...r]))}critical(e,...r){this.checkLogLevel(l.Critical)&&this.log(l.Critical,I([e,...r]))}flush(){}}i.AbstractMessageLogger=g;class E extends P{constructor(e=i.DEFAULT_LOG_LEVEL){super();this.setLevel(e),this.useColors=!R.isWindows}trace(e,...r){this.getLevel()<=l.Trace&&(this.useColors?console.log(`[90m[main ${m()}][0m`,e,...r):console.log(`[main ${m()}]`,e,...r))}debug(e,...r){this.getLevel()<=l.Debug&&(this.useColors?console.log(`[90m[main ${m()}][0m`,e,...r):console.log(`[main ${m()}]`,e,...r))}info(e,...r){this.getLevel()<=l.Info&&(this.useColors?console.log(`[90m[main ${m()}][0m`,e,...r):console.log(`[main ${m()}]`,e,...r))}warn(e,...r){this.getLevel()<=l.Warning&&(this.useColors?console.warn(`[93m[main ${m()}][0m`,e,...r):console.warn(`[main ${m()}]`,e,...r))}error(e,...r){this.getLevel()<=l.Error&&(this.useColors?console.error(`[91m[main ${m()}][0m`,e,...r):console.error(`[main ${m()}]`,e,...r))}critical(e,...r){this.getLevel()<=l.Critical&&(this.useColors?console.error(`[90m[main ${m()}][0m`,e,...r):console.error(`[main ${m()}]`,e,...r))}dispose(){}flush(){}}i.ConsoleMainLogger=E;class c extends P{constructor(e=i.DEFAULT_LOG_LEVEL){super();this.setLevel(e)}trace(e,...r){this.getLevel()<=l.Trace&&console.log("%cTRACE","color: #888",e,...r)}debug(e,...r){this.getLevel()<=l.Debug&&console.log("%cDEBUG","background: #eee; color: #888",e,...r)}info(e,...r){this.getLevel()<=l.Info&&console.log("%c INFO","color: #33f",e,...r)}warn(e,...r){this.getLevel()<=l.Warning&&console.log("%c WARN","color: #993",e,...r)}error(e,...r){this.getLevel()<=l.Error&&console.log("%c  ERR","color: #f33",e,...r)}critical(e,...r){this.getLevel()<=l.Critical&&console.log("%cCRITI","background: #f33; color: white",e,...r)}dispose(){}flush(){}}i.ConsoleLogger=c;class d extends P{constructor(e,r=i.DEFAULT_LOG_LEVEL){super();this.adapter=e,this.setLevel(r)}trace(e,...r){this.getLevel()<=l.Trace&&this.adapter.log(l.Trace,[this.extractMessage(e),...r])}debug(e,...r){this.getLevel()<=l.Debug&&this.adapter.log(l.Debug,[this.extractMessage(e),...r])}info(e,...r){this.getLevel()<=l.Info&&this.adapter.log(l.Info,[this.extractMessage(e),...r])}warn(e,...r){this.getLevel()<=l.Warning&&this.adapter.log(l.Warning,[this.extractMessage(e),...r])}error(e,...r){this.getLevel()<=l.Error&&this.adapter.log(l.Error,[this.extractMessage(e),...r])}critical(e,...r){this.getLevel()<=l.Critical&&this.adapter.log(l.Critical,[this.extractMessage(e),...r])}extractMessage(e){return typeof e=="string"?e:(0,C.toErrorMessage)(e,this.getLevel()<=l.Trace)}dispose(){}flush(){}}i.AdapterLogger=d;class S extends P{constructor(e){super();this.logServices=e,e.length&&this.setLevel(e[0].getLevel())}setLevel(e){for(const r of this.logServices)r.setLevel(e);super.setLevel(e)}trace(e,...r){for(const o of this.logServices)o.trace(e,...r)}debug(e,...r){for(const o of this.logServices)o.debug(e,...r)}info(e,...r){for(const o of this.logServices)o.info(e,...r)}warn(e,...r){for(const o of this.logServices)o.warn(e,...r)}error(e,...r){for(const o of this.logServices)o.error(e,...r)}critical(e,...r){for(const o of this.logServices)o.critical(e,...r)}flush(){for(const e of this.logServices)e.flush()}dispose(){for(const e of this.logServices)e.dispose()}}i.MultiplexLogService=S;class u extends b.Disposable{constructor(e){super();this.logger=e,this._register(e)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(e){this.logger.setLevel(e)}getLevel(){return this.logger.getLevel()}trace(e,...r){this.logger.trace(e,...r)}debug(e,...r){this.logger.debug(e,...r)}info(e,...r){this.logger.info(e,...r)}warn(e,...r){this.logger.warn(e,...r)}error(e,...r){this.logger.error(e,...r)}critical(e,...r){this.logger.critical(e,...r)}flush(){this.logger.flush()}}i.LogService=u;class f extends b.Disposable{constructor(e,r){super();this.logLevel=e,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(r(o=>{this.logLevel=o,this.logLevelChangeableLoggers.forEach(p=>p.setLevel(o))}))}getLogger(e){return this.loggers.get(e.toString())}createLogger(e,r){let o=this.loggers.get(e.toString());return o||(o=this.doCreateLogger(e,r?.always?l.Trace:this.logLevel,r),this.loggers.set(e.toString(),o),r?.always||this.logLevelChangeableLoggers.push(o)),o}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(e=>e.dispose()),this.loggers.clear(),super.dispose()}}i.AbstractLoggerService=f;class v{constructor(){this.onDidChangeLogLevel=new D.Emitter().event}setLevel(e){}getLevel(){return l.Info}trace(e,...r){}debug(e,...r){}info(e,...r){}warn(e,...r){}error(e,...r){}critical(e,...r){}dispose(){}flush(){}}i.NullLogService=v;function a(n){if(n.verbose)return l.Trace;if(typeof n.logLevel=="string"){const e=s(n.logLevel.toLowerCase());if(e!==void 0)return e}return i.DEFAULT_LOG_LEVEL}i.getLogLevel=a;function s(n){switch(n){case"trace":return l.Trace;case"debug":return l.Debug;case"info":return l.Info;case"warn":return l.Warning;case"error":return l.Error;case"critical":return l.Critical;case"off":return l.Off}}i.parseLogLevel=s;function t(n){switch(n){case l.Trace:return"trace";case l.Debug:return"debug";case l.Info:return"info";case l.Warning:return"warn";case l.Error:return"error";case l.Critical:return"critical";case l.Off:return"off"}}i.LogLevelToString=t}),define(Z[110],ee([0,1,19,3,12,4,2,14,60,9]),function($,i,C,D,b,R,T,m,l,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AbstractDiskFileSystemProvider=void 0;class I extends T.Disposable{constructor(g,E){super();this.logService=g,this.options=E,this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new R.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new D.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new D.ThrottledDelayer(0))}watch(g,E){return E.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(g,E):this.watchNonRecursive(g,E)}watchUniversal(g,E){const c={path:this.toFilePath(g),excludes:E.excludes,includes:E.includes,recursive:E.recursive},d=(0,C.insert)(this.universalPathsToWatch,c);return this.refreshUniversalWatchers(),(0,T.toDisposable)(()=>{d(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(g=>(0,b.onUnexpectedError)(g))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(E=>this._onDidChangeFile.fire((0,l.toFileChanges)(E)),E=>this.onWatcherLogMessage(E),this.logService.getLevel()===h.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===h.LogLevel.Trace)})));const g=this.options?.watcher?.recursive?.usePolling;if(g===!0)for(const E of this.universalPathsToWatch)(0,l.isRecursiveWatchRequest)(E)&&(E.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(g))for(const E of this.universalPathsToWatch)(0,l.isRecursiveWatchRequest)(E)&&g.includes(E.path)&&(E.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(g,E){const c={path:this.toFilePath(g),excludes:E.excludes,includes:E.includes,recursive:!1},d=(0,C.insert)(this.nonRecursivePathsToWatch,c);return this.refreshNonRecursiveWatchers(),(0,T.toDisposable)(()=>{d(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(g=>(0,b.onUnexpectedError)(g))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(g=>this._onDidChangeFile.fire((0,l.toFileChanges)(g)),g=>this.onWatcherLogMessage(g),this.logService.getLevel()===h.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===h.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(g){g.type==="error"&&this._onDidWatchError.fire(g.message),this.logService[g.type](g.message)}toFilePath(g){return(0,m.normalize)(g.fsPath)}}i.AbstractDiskFileSystemProvider=I}),define(Z[111],ee([0,1,19,3,15,25,4,54,63,2,36,16,112,17,43,91,11,59,9]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S,u,f){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.FileService=void 0;let v=class extends h.Disposable{constructor(s){super();this.logService=s,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new T.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new T.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new T.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new T.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new T.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new T.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new D.ResourceQueue)}registerProvider(s,t){if(this.provider.has(s))throw new Error(`A filesystem provider for the scheme '${s}' is already registered.`);(0,g.mark)(`code/registerFilesystem/${s}`);const n=new h.DisposableStore;return this.provider.set(s,t),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:s,provider:t}),n.add(t.onDidChangeFile(e=>this._onDidFilesChange.fire(new S.FileChangesEvent(e,!this.isPathCaseSensitive(t))))),typeof t.onDidWatchError=="function"&&n.add(t.onDidWatchError(e=>this._onDidWatchError.fire(new Error(e)))),n.add(t.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:t,scheme:s}))),(0,h.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:s,provider:t}),this.provider.delete(s),(0,h.dispose)(n)})}getProvider(s){return this.provider.get(s)}async activateProvider(s){const t=[];this._onWillActivateFileSystemProvider.fire({scheme:s,join(n){t.push(n)}}),!this.provider.has(s)&&await D.Promises.settled(t)}async canHandleResource(s){return await this.activateProvider(s.scheme),this.hasProvider(s)}hasProvider(s){return this.provider.has(s.scheme)}hasCapability(s,t){const n=this.provider.get(s.scheme);return!!(n&&n.capabilities&t)}listCapabilities(){return l.Iterable.map(this.provider,([s,t])=>({scheme:s,capabilities:t.capabilities}))}async withProvider(s){if(!(0,E.isAbsolutePath)(s))throw new S.FileOperationError((0,d.localize)(0,null,this.resourceForError(s)),8);await this.activateProvider(s.scheme);const t=this.provider.get(s.scheme);if(!t){const n=new Error;throw n.name="ENOPRO",n.message=(0,d.localize)(1,null,s.toString()),n}return t}async withReadProvider(s){const t=await this.withProvider(s);if((0,S.hasOpenReadWriteCloseCapability)(t)||(0,S.hasReadWriteCapability)(t)||(0,S.hasFileReadStreamCapability)(t))return t;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(s){const t=await this.withProvider(s);if((0,S.hasOpenReadWriteCloseCapability)(t)||(0,S.hasReadWriteCapability)(t))return t;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(s,t){try{return await this.doResolveFile(s,t)}catch(n){throw(0,S.toFileSystemProviderErrorCode)(n)===S.FileSystemProviderErrorCode.FileNotFound?new S.FileOperationError((0,d.localize)(2,null,this.resourceForError(s)),1):(0,S.ensureFileSystemProviderError)(n)}}async doResolveFile(s,t){const n=await this.withProvider(s),e=this.isPathCaseSensitive(n),r=t?.resolveTo,o=t?.resolveSingleChildDescendants,p=t?.resolveMetadata,y=await n.stat(s);let w;return this.toFileStat(n,s,y,void 0,!!p,(L,U)=>(w||(w=I.TernarySearchTree.forUris(()=>!e),w.set(s,!0),r&&w.fill(!0,r)),w.get(L.resource)||w.findSuperstr(L.resource.with({query:null,fragment:null}))?!0:L.isDirectory&&o?U===1:!1))}async toFileStat(s,t,n,e,r,o){const{providerExtUri:p}=this.getExtUri(s),y={resource:t,name:p.basename(t),isFile:(n.type&S.FileType.File)!=0,isDirectory:(n.type&S.FileType.Directory)!=0,isSymbolicLink:(n.type&S.FileType.SymbolicLink)!=0,mtime:n.mtime,ctime:n.ctime,size:n.size,readonly:Boolean((n.permissions??0)&S.FilePermission.Readonly)||Boolean(s.capabilities&2048),etag:(0,S.etag)({mtime:n.mtime,size:n.size}),children:void 0};if(y.isDirectory&&o(y,e)){try{const w=await s.readdir(t),L=await D.Promises.settled(w.map(async([U,B])=>{try{const q=p.joinPath(t,U),Y=r?await s.stat(q):{type:B};return await this.toFileStat(s,q,Y,w.length,r,o)}catch(q){return this.logService.trace(q),null}}));y.children=(0,C.coalesce)(L)}catch(w){this.logService.trace(w),y.children=[]}return y}return y}async resolveAll(s){return D.Promises.settled(s.map(async t=>{try{return{stat:await this.doResolveFile(t.resource,t.options),success:!0}}catch(n){return this.logService.trace(n),{stat:void 0,success:!1}}}))}async stat(s){const t=await this.withProvider(s),n=await t.stat(s);return this.toFileStat(t,s,n,void 0,!0,()=>!1)}async exists(s){const t=await this.withProvider(s);try{return!!await t.stat(s)}catch{return!1}}async canCreateFile(s,t){try{await this.doValidateCreateFile(s,t)}catch(n){return n}return!0}async doValidateCreateFile(s,t){if(!t?.overwrite&&await this.exists(s))throw new S.FileOperationError((0,d.localize)(3,null,this.resourceForError(s)),3,t)}async createFile(s,t=b.VSBuffer.fromString(""),n){await this.doValidateCreateFile(s,n);const e=await this.writeFile(s,t);return this._onDidRunOperation.fire(new S.FileOperationEvent(s,0,e)),e}async writeFile(s,t,n){const e=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),{providerExtUri:r}=this.getExtUri(e);try{await this.validateWriteFile(e,s,n)||await this.mkdirp(e,r.dirname(s));let p;if((0,S.hasReadWriteCapability)(e)&&!(t instanceof b.VSBuffer))if((0,c.isReadableStream)(t)){const y=await(0,c.peekStream)(t,3);y.ended?p=b.VSBuffer.concat(y.buffer):p=y}else p=(0,c.peekReadable)(t,y=>b.VSBuffer.concat(y),3);else p=t;!(0,S.hasOpenReadWriteCloseCapability)(e)||(0,S.hasReadWriteCapability)(e)&&p instanceof b.VSBuffer?await this.doWriteUnbuffered(e,s,n,p):await this.doWriteBuffered(e,s,n,p instanceof b.VSBuffer?(0,b.bufferToReadable)(p):p),this._onDidRunOperation.fire(new S.FileOperationEvent(s,4))}catch(o){throw new S.FileOperationError((0,d.localize)(4,null,this.resourceForError(s),(0,S.ensureFileSystemProviderError)(o).toString()),(0,S.toFileOperationResult)(o),n)}return this.resolve(s,{resolveMetadata:!0})}async validateWriteFile(s,t,n){if(!!n?.unlock&&!(s.capabilities&8192))throw new Error((0,d.localize)(5,null,this.resourceForError(t)));let r;try{r=await s.stat(t)}catch{return}if((r.type&S.FileType.Directory)!=0)throw new S.FileOperationError((0,d.localize)(6,null,this.resourceForError(t)),0,n);if(this.throwIfFileIsReadonly(t,r),typeof n?.mtime=="number"&&typeof n.etag=="string"&&n.etag!==S.ETAG_DISABLED&&typeof r.mtime=="number"&&typeof r.size=="number"&&n.mtime<r.mtime&&n.etag!==(0,S.etag)({mtime:n.mtime,size:r.size}))throw new S.FileOperationError((0,d.localize)(7,null),3,n);return r}async readFile(s,t,n){const e=await this.withReadProvider(s);return t?.atomic?this.doReadFileAtomic(e,s,t,n):this.doReadFile(e,s,t,n)}async doReadFileAtomic(s,t,n,e){return new Promise((r,o)=>{this.writeQueue.queueFor(t,this.getExtUri(s).providerExtUri).queue(async()=>{try{const p=await this.doReadFile(s,t,n,e);r(p)}catch(p){o(p)}})})}async doReadFile(s,t,n,e){const r=await this.doReadFileStream(s,t,{...n,preferUnbuffered:!0},e);return{...r,value:await(0,b.streamToBuffer)(r.value)}}async readFileStream(s,t,n){const e=await this.withReadProvider(s);return this.doReadFileStream(e,s,t,n)}async doReadFileStream(s,t,n,e){const r=new R.CancellationTokenSource(e),o=this.validateReadFile(t,n).then(y=>y,y=>{throw r.cancel(),y});let p;try{return typeof n?.etag=="string"&&n.etag!==S.ETAG_DISABLED&&await o,n?.atomic&&(0,S.hasFileAtomicReadCapability)(s)||!((0,S.hasOpenReadWriteCloseCapability)(s)||(0,S.hasFileReadStreamCapability)(s))||(0,S.hasReadWriteCapability)(s)&&n?.preferUnbuffered?p=this.readFileUnbuffered(s,t,n):(0,S.hasFileReadStreamCapability)(s)?p=this.readFileStreamed(s,t,r.token,n):p=this.readFileBuffered(s,t,r.token,n),{...await o,value:p}}catch(y){p&&await(0,c.consumeStream)(p);const w=(0,d.localize)(8,null,this.resourceForError(t),(0,S.ensureFileSystemProviderError)(y).toString());throw y instanceof S.NotModifiedSinceFileOperationError?new S.NotModifiedSinceFileOperationError(w,y.stat,n):new S.FileOperationError(w,(0,S.toFileOperationResult)(y),n)}}readFileStreamed(s,t,n,e=Object.create(null)){const r=s.readFileStream(t,e,n);return(0,c.transform)(r,{data:o=>o instanceof b.VSBuffer?o:b.VSBuffer.wrap(o),error:o=>new S.FileOperationError((0,d.localize)(9,null,this.resourceForError(t),(0,S.ensureFileSystemProviderError)(o).toString()),(0,S.toFileOperationResult)(o),e)},o=>b.VSBuffer.concat(o))}readFileBuffered(s,t,n,e=Object.create(null)){const r=(0,b.newWriteableBufferStream)();return(0,u.readFileIntoStream)(s,t,r,o=>o,{...e,bufferSize:this.BUFFER_SIZE,errorTransformer:o=>new S.FileOperationError((0,d.localize)(10,null,this.resourceForError(t),(0,S.ensureFileSystemProviderError)(o).toString()),(0,S.toFileOperationResult)(o),e)},n),r}readFileUnbuffered(s,t,n){const e=(0,c.newWriteableStream)(r=>b.VSBuffer.concat(r));return(async()=>{try{let r;n?.atomic&&(0,S.hasFileAtomicReadCapability)(s)?r=await s.readFile(t,{atomic:!0}):r=await s.readFile(t),typeof n?.position=="number"&&(r=r.slice(n.position)),typeof n?.length=="number"&&(r=r.slice(0,n.length)),this.validateReadFileLimits(t,r.byteLength,n),e.end(b.VSBuffer.wrap(r))}catch(r){e.error(r),e.end()}})(),e}async validateReadFile(s,t){const n=await this.resolve(s,{resolveMetadata:!0});if(n.isDirectory)throw new S.FileOperationError((0,d.localize)(11,null,this.resourceForError(s)),0,t);if(typeof t?.etag=="string"&&t.etag!==S.ETAG_DISABLED&&t.etag===n.etag)throw new S.NotModifiedSinceFileOperationError((0,d.localize)(12,null),n,t);return this.validateReadFileLimits(s,n.size,t),n}validateReadFileLimits(s,t,n){if(n?.limits){let e;if(typeof n.limits.memory=="number"&&t>n.limits.memory&&(e=9),typeof n.limits.size=="number"&&t>n.limits.size&&(e=7),typeof e=="number")throw new S.FileOperationError((0,d.localize)(13,null,this.resourceForError(s)),e)}}async canMove(s,t,n){return this.doCanMoveCopy(s,t,"move",n)}async canCopy(s,t,n){return this.doCanMoveCopy(s,t,"copy",n)}async doCanMoveCopy(s,t,n,e){if(s.toString()!==t.toString())try{const r=n==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s):await this.withReadProvider(s),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t);await this.doValidateMoveCopy(r,s,o,t,n,e)}catch(r){return r}return!0}async move(s,t,n){const e=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t),o=await this.doMoveCopy(e,s,r,t,"move",!!n),p=await this.resolve(t,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(s,o==="move"?2:3,p)),p}async copy(s,t,n){const e=await this.withReadProvider(s),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t),o=await this.doMoveCopy(e,s,r,t,"copy",!!n),p=await this.resolve(t,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(s,o==="copy"?3:2,p)),p}async doMoveCopy(s,t,n,e,r,o){if(t.toString()===e.toString())return r;const{exists:p,isSameResourceWithDifferentPathCase:y}=await this.doValidateMoveCopy(s,t,n,e,r,o);if(p&&!y&&o&&await this.del(e,{recursive:!0}),await this.mkdirp(n,this.getExtUri(n).providerExtUri.dirname(e)),r==="copy"){if(s===n&&(0,S.hasFileFolderCopyCapability)(s))await s.copy(t,e,{overwrite:o});else{const w=await this.resolve(t);w.isDirectory?await this.doCopyFolder(s,w,n,e):await this.doCopyFile(s,t,n,e)}return r}else return s===n?(await s.rename(t,e,{overwrite:o}),r):(await this.doMoveCopy(s,t,n,e,"copy",o),await this.del(t,{recursive:!0}),"copy")}async doCopyFile(s,t,n,e){if((0,S.hasOpenReadWriteCloseCapability)(s)&&(0,S.hasOpenReadWriteCloseCapability)(n))return this.doPipeBuffered(s,t,n,e);if((0,S.hasOpenReadWriteCloseCapability)(s)&&(0,S.hasReadWriteCapability)(n))return this.doPipeBufferedToUnbuffered(s,t,n,e);if((0,S.hasReadWriteCapability)(s)&&(0,S.hasOpenReadWriteCloseCapability)(n))return this.doPipeUnbufferedToBuffered(s,t,n,e);if((0,S.hasReadWriteCapability)(s)&&(0,S.hasReadWriteCapability)(n))return this.doPipeUnbuffered(s,t,n,e)}async doCopyFolder(s,t,n,e){await n.mkdir(e),Array.isArray(t.children)&&await D.Promises.settled(t.children.map(async r=>{const o=this.getExtUri(n).providerExtUri.joinPath(e,r.name);return r.isDirectory?this.doCopyFolder(s,await this.resolve(r.resource),n,o):this.doCopyFile(s,r.resource,n,o)}))}async doValidateMoveCopy(s,t,n,e,r,o){let p=!1;if(s===n){const{providerExtUri:w,isPathCaseSensitive:L}=this.getExtUri(s);if(L||(p=w.isEqual(t,e)),p&&r==="copy")throw new Error((0,d.localize)(14,null,this.resourceForError(t),this.resourceForError(e)));if(!p&&w.isEqualOrParent(e,t))throw new Error((0,d.localize)(15,null,this.resourceForError(t),this.resourceForError(e)))}const y=await this.exists(e);if(y&&!p){if(!o)throw new S.FileOperationError((0,d.localize)(16,null,this.resourceForError(t),this.resourceForError(e)),4);if(s===n){const{providerExtUri:w}=this.getExtUri(s);if(w.isEqualOrParent(t,e))throw new Error((0,d.localize)(17,null,this.resourceForError(t),this.resourceForError(e)))}}return{exists:y,isSameResourceWithDifferentPathCase:p}}getExtUri(s){const t=this.isPathCaseSensitive(s);return{providerExtUri:t?E.extUri:E.extUriIgnorePathCase,isPathCaseSensitive:t}}isPathCaseSensitive(s){return!!(s.capabilities&1024)}async createFolder(s){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(s),s);await this.mkdirp(t,s);const n=await this.resolve(s,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(s,0,n)),n}async mkdirp(s,t){const n=[],{providerExtUri:e}=this.getExtUri(s);for(;!e.isEqual(t,e.dirname(t));)try{if(((await s.stat(t)).type&S.FileType.Directory)==0)throw new Error((0,d.localize)(18,null,this.resourceForError(t)));break}catch(r){if((0,S.toFileSystemProviderErrorCode)(r)!==S.FileSystemProviderErrorCode.FileNotFound)throw r;n.push(e.basename(t)),t=e.dirname(t)}for(let r=n.length-1;r>=0;r--){t=e.joinPath(t,n[r]);try{await s.mkdir(t)}catch(o){if((0,S.toFileSystemProviderErrorCode)(o)!==S.FileSystemProviderErrorCode.FileExists)throw o}}}async canDelete(s,t){try{await this.doValidateDelete(s,t)}catch(n){return n}return!0}async doValidateDelete(s,t){const n=this.throwIfFileSystemIsReadonly(await this.withProvider(s),s);if(!!t?.useTrash&&!(n.capabilities&4096))throw new Error((0,d.localize)(19,null,this.resourceForError(s)));let r;try{r=await n.stat(s)}catch{}if(r)this.throwIfFileIsReadonly(s,r);else throw new S.FileOperationError((0,d.localize)(20,null,this.resourceForError(s)),1);if(!!!t?.recursive){const p=await this.resolve(s);if(p.isDirectory&&Array.isArray(p.children)&&p.children.length>0)throw new Error((0,d.localize)(21,null,this.resourceForError(s)))}return n}async del(s,t){const n=await this.doValidateDelete(s,t),e=!!t?.useTrash,r=!!t?.recursive;await n.delete(s,{recursive:r,useTrash:e}),this._onDidRunOperation.fire(new S.FileOperationEvent(s,1))}async cloneFile(s,t){const n=await this.withProvider(s),e=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t);if(n===e&&this.getExtUri(n).providerExtUri.isEqual(s,t))return;if(n===e&&(0,S.hasFileCloneCapability)(n))return n.cloneFile(s,t);await this.mkdirp(e,this.getExtUri(e).providerExtUri.dirname(t));const r=this.writeQueue.queueFor(s,this.getExtUri(n).providerExtUri);return n===e&&(0,S.hasFileFolderCopyCapability)(n)?r.queue(()=>n.copy(s,t,{overwrite:!0})):r.queue(()=>this.doCopyFile(n,s,e,t))}watch(s,t={recursive:!1,excludes:[]}){const n=new h.DisposableStore;let e=!1,r=()=>{e=!0};return n.add((0,h.toDisposable)(()=>r())),(async()=>{try{const o=await this.doWatch(s,t);e?(0,h.dispose)(o):r=()=>(0,h.dispose)(o)}catch(o){this.logService.error(o)}})(),n}async doWatch(s,t){const n=await this.withProvider(s),e=(0,m.hash)([this.getExtUri(n).providerExtUri.getComparisonKey(s),t]);let r=this.activeWatchers.get(e);return r||(r={count:0,disposable:n.watch(s,t)},this.activeWatchers.set(e,r)),r.count+=1,(0,h.toDisposable)(()=>{r&&(r.count--,r.count===0&&((0,h.dispose)(r.disposable),this.activeWatchers.delete(e)))})}dispose(){super.dispose();for(const[,s]of this.activeWatchers)(0,h.dispose)(s.disposable);this.activeWatchers.clear()}async doWriteBuffered(s,t,n,e){return this.writeQueue.queueFor(t,this.getExtUri(s).providerExtUri).queue(async()=>{const r=await s.open(t,{create:!0,unlock:n?.unlock??!1});try{(0,c.isReadableStream)(e)||(0,c.isReadableBufferedStream)(e)?await this.doWriteStreamBufferedQueued(s,r,e):await this.doWriteReadableBufferedQueued(s,r,e)}catch(o){throw(0,S.ensureFileSystemProviderError)(o)}finally{await s.close(r)}})}async doWriteStreamBufferedQueued(s,t,n){let e=0,r;if((0,c.isReadableBufferedStream)(n)){if(n.buffer.length>0){const o=b.VSBuffer.concat(n.buffer);await this.doWriteBuffer(s,t,o,o.byteLength,e,0),e+=o.byteLength}if(n.ended)return;r=n.stream}else r=n;return new Promise((o,p)=>{(0,c.listenStream)(r,{onData:async y=>{r.pause();try{await this.doWriteBuffer(s,t,y,y.byteLength,e,0)}catch(w){return p(w)}e+=y.byteLength,setTimeout(()=>r.resume())},onError:y=>p(y),onEnd:()=>o()})})}async doWriteReadableBufferedQueued(s,t,n){let e=0,r;for(;(r=n.read())!==null;)await this.doWriteBuffer(s,t,r,r.byteLength,e,0),e+=r.byteLength}async doWriteBuffer(s,t,n,e,r,o){let p=0;for(;p<e;)p+=await s.write(t,r+p,n.buffer,o+p,e-p)}async doWriteUnbuffered(s,t,n,e){return this.writeQueue.queueFor(t,this.getExtUri(s).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(s,t,n,e))}async doWriteUnbufferedQueued(s,t,n,e){let r;e instanceof b.VSBuffer?r=e:(0,c.isReadableStream)(e)?r=await(0,b.streamToBuffer)(e):(0,c.isReadableBufferedStream)(e)?r=await(0,b.bufferedStreamToBuffer)(e):r=(0,b.readableToBuffer)(e),await s.writeFile(t,r.buffer,{create:!0,overwrite:!0,unlock:n?.unlock??!1})}async doPipeBuffered(s,t,n,e){return this.writeQueue.queueFor(e,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeBufferedQueued(s,t,n,e))}async doPipeBufferedQueued(s,t,n,e){let r,o;try{r=await s.open(t,{create:!1}),o=await n.open(e,{create:!0,unlock:!1});const p=b.VSBuffer.alloc(this.BUFFER_SIZE);let y=0,w=0,L=0;do L=await s.read(r,y,p.buffer,w,p.byteLength-w),await this.doWriteBuffer(n,o,p,L,y,w),y+=L,w+=L,w===p.byteLength&&(w=0);while(L>0)}catch(p){throw(0,S.ensureFileSystemProviderError)(p)}finally{await D.Promises.settled([typeof r=="number"?s.close(r):Promise.resolve(),typeof o=="number"?n.close(o):Promise.resolve()])}}async doPipeUnbuffered(s,t,n,e){return this.writeQueue.queueFor(e,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(s,t,n,e))}async doPipeUnbufferedQueued(s,t,n,e){return n.writeFile(e,await s.readFile(t),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(s,t,n,e){return this.writeQueue.queueFor(e,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(s,t,n,e))}async doPipeUnbufferedToBufferedQueued(s,t,n,e){const r=await n.open(e,{create:!0,unlock:!1});try{const o=await s.readFile(t);await this.doWriteBuffer(n,r,b.VSBuffer.wrap(o),o.byteLength,0,0)}catch(o){throw(0,S.ensureFileSystemProviderError)(o)}finally{await n.close(r)}}async doPipeBufferedToUnbuffered(s,t,n,e){const r=await(0,b.streamToBuffer)(this.readFileBuffered(s,t,R.CancellationToken.None));await this.doWriteUnbuffered(n,e,void 0,r)}throwIfFileSystemIsReadonly(s,t){if(s.capabilities&2048)throw new S.FileOperationError((0,d.localize)(22,null,this.resourceForError(t)),6);return s}throwIfFileIsReadonly(s,t){if((t.permissions??0)&S.FilePermission.Readonly)throw new S.FileOperationError((0,d.localize)(23,null,this.resourceForError(s)),6)}resourceForError(s){return s.scheme===P.Schemas.file?s.fsPath:s.toString(!0)}};v=fe([te(0,f.ILogService)],v),i.FileService=v}),define(Z[113],ee([0,1,114,154,3,36,15,4,79,2,14,13,17,43,20,93,11,59,110,29,108,107]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S,u,f,v,a,s){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.DiskFileSystemProvider=void 0,(()=>{try{(0,D.gracefulify)(C)}catch(n){console.error(`Error enabling graceful-fs: ${(0,v.toErrorMessage)(n)}`)}})();class t extends f.AbstractDiskFileSystemProvider{constructor(e,r){super(e,r);this.onDidChangeCapabilities=m.Event.None,this.resourceLocks=new R.ResourceMap(o=>g.extUriBiasedIgnorePathCase.getComparisonKey(o)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,P.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(e){try{const{stat:r,symbolicLink:o}=await c.SymlinkSupport.stat(this.toFilePath(e));return{type:this.toType(r,o),ctime:r.birthtime.getTime(),mtime:r.mtime.getTime(),size:r.size}}catch(r){throw this.toFileSystemProviderError(r)}}async readdir(e){try{const r=await c.Promises.readdir(this.toFilePath(e),{withFileTypes:!0}),o=[];return await Promise.all(r.map(async p=>{try{let y;p.isSymbolicLink()?y=(await this.stat((0,g.joinPath)(e,p.name))).type:y=this.toType(p),o.push([p.name,y])}catch(y){this.logService.trace(y)}})),o}catch(r){throw this.toFileSystemProviderError(r)}}toType(e,r){let o;return r?.dangling?o=S.FileType.Unknown:e.isFile()?o=S.FileType.File:e.isDirectory()?o=S.FileType.Directory:o=S.FileType.Unknown,r&&(o|=S.FileType.SymbolicLink),o}async createResourceLock(e){const r=this.toFilePath(e);this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${r})`);let o;for(;o=this.resourceLocks.get(e);)this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${r})`),await o.wait();const p=new b.Barrier;return this.resourceLocks.set(e,p),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${r})`),(0,h.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${r})`),this.resourceLocks.get(e)===p&&(this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${r})`),this.resourceLocks.delete(e)),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${r})`),p.open()})}async readFile(e,r){let o;try{r?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(e)})`),o=await this.createResourceLock(e));const p=this.toFilePath(e);return await c.Promises.readFile(p)}catch(p){throw this.toFileSystemProviderError(p)}finally{o?.dispose()}}readFileStream(e,r,o){const p=(0,E.newWriteableStream)(y=>T.VSBuffer.concat(y.map(w=>T.VSBuffer.wrap(w))).buffer);return(0,u.readFileIntoStream)(this,e,p,y=>y.buffer,{...r,bufferSize:256*1024},o),p}async writeFile(e,r,o){let p;try{const y=this.toFilePath(e);if(!o.create||!o.overwrite){if(await c.Promises.exists(y)){if(!o.overwrite)throw(0,S.createFileSystemProviderError)((0,d.localize)(0,null),S.FileSystemProviderErrorCode.FileExists)}else if(!o.create)throw(0,S.createFileSystemProviderError)((0,d.localize)(1,null),S.FileSystemProviderErrorCode.FileNotFound)}p=await this.open(e,{create:!0,unlock:o.unlock}),await this.write(p,0,r,0,r.byteLength)}catch(y){throw await this.toFileSystemProviderWriteError(e,y)}finally{typeof p=="number"&&await this.close(p)}}async open(e,r){const o=this.toFilePath(e);let p;(0,S.isFileOpenForWriteOptions)(r)&&(p=await this.createResourceLock(e));let y;try{if((0,S.isFileOpenForWriteOptions)(r)&&r.unlock)try{const{stat:L}=await c.SymlinkSupport.stat(o);L.mode&128||await c.Promises.chmod(o,L.mode|128)}catch(L){this.logService.trace(L)}let w;if((0,S.isFileOpenForWriteOptions)(r)){if(P.isWindows)try{await c.Promises.truncate(o,0),w="r+"}catch(L){L.code!=="ENOENT"&&this.logService.trace(L)}w||(w="w")}else w="r";y=await c.Promises.open(o,w)}catch(w){throw p?.dispose(),(0,S.isFileOpenForWriteOptions)(r)?await this.toFileSystemProviderWriteError(e,w):this.toFileSystemProviderError(w)}if(this.mapHandleToPos.set(y,0),(0,S.isFileOpenForWriteOptions)(r)&&this.writeHandles.set(y,e),p){const w=this.mapHandleToLock.get(y);this.logService.trace(`[Disk FileSystemProvider]: open() - storing lock for handle ${y} (${o})`),this.mapHandleToLock.set(y,p),w&&(this.logService.trace(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${y} (${o})`),w.dispose())}return y}async close(e){const r=this.mapHandleToLock.get(e);try{if(this.mapHandleToPos.delete(e),this.writeHandles.delete(e)&&this.canFlush)try{await c.Promises.fdatasync(e)}catch(o){this.canFlush=!1,this.logService.error(o)}return await c.Promises.close(e)}catch(o){throw this.toFileSystemProviderError(o)}finally{r&&(this.mapHandleToLock.get(e)===r&&(this.logService.trace(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${e}`),this.mapHandleToLock.delete(e)),this.logService.trace(`[Disk FileSystemProvider]: close() - disposing lock for handle ${e}`),r.dispose())}}async read(e,r,o,p,y){const w=this.normalizePos(e,r);let L=null;try{L=(await c.Promises.read(e,o,p,y,w)).bytesRead}catch(U){throw this.toFileSystemProviderError(U)}finally{this.updatePos(e,w,L)}return L}normalizePos(e,r){return r===this.mapHandleToPos.get(e)?null:r}updatePos(e,r,o){const p=this.mapHandleToPos.get(e);typeof p=="number"&&(typeof r=="number"||(typeof o=="number"?this.mapHandleToPos.set(e,p+o):this.mapHandleToPos.delete(e)))}async write(e,r,o,p,y){return(0,b.retry)(()=>this.doWrite(e,r,o,p,y),100,3)}async doWrite(e,r,o,p,y){const w=this.normalizePos(e,r);let L=null;try{L=(await c.Promises.write(e,o,p,y,w)).bytesWritten}catch(U){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(e),U)}finally{this.updatePos(e,w,L)}return L}async mkdir(e){try{await c.Promises.mkdir(this.toFilePath(e))}catch(r){throw this.toFileSystemProviderError(r)}}async delete(e,r){try{const o=this.toFilePath(e);r.recursive?await c.Promises.rm(o,c.RimRafMode.MOVE):await c.Promises.unlink(o)}catch(o){throw this.toFileSystemProviderError(o)}}async rename(e,r,o){const p=this.toFilePath(e),y=this.toFilePath(r);if(p!==y)try{await this.validateTargetDeleted(e,r,"move",o.overwrite),await c.Promises.move(p,y)}catch(w){throw(w.code==="EINVAL"||w.code==="EBUSY"||w.code==="ENAMETOOLONG")&&(w=new Error((0,d.localize)(2,null,(0,I.basename)(p),(0,I.basename)((0,I.dirname)(y)),w.toString()))),this.toFileSystemProviderError(w)}}async copy(e,r,o){const p=this.toFilePath(e),y=this.toFilePath(r);if(p!==y)try{await this.validateTargetDeleted(e,r,"copy",o.overwrite),await c.Promises.copy(p,y,{preserveSymlinks:!0})}catch(w){throw(w.code==="EINVAL"||w.code==="EBUSY"||w.code==="ENAMETOOLONG")&&(w=new Error((0,d.localize)(3,null,(0,I.basename)(p),(0,I.basename)((0,I.dirname)(y)),w.toString()))),this.toFileSystemProviderError(w)}}async validateTargetDeleted(e,r,o,p){const y=this.toFilePath(e),w=this.toFilePath(r);let L=!1;if(!!(this.capabilities&1024)||(L=(0,l.isEqual)(y,w,!0)),L&&o==="copy")throw(0,S.createFileSystemProviderError)((0,d.localize)(4,null),S.FileSystemProviderErrorCode.FileExists);if(!L&&await c.Promises.exists(w)){if(!p)throw(0,S.createFileSystemProviderError)((0,d.localize)(5,null),S.FileSystemProviderErrorCode.FileExists);await this.delete(r,{recursive:!0,useTrash:!1})}}async cloneFile(e,r){return this.doCloneFile(e,r,!1)}async doCloneFile(e,r,o){const p=this.toFilePath(e),y=this.toFilePath(r),w=!!(this.capabilities&1024);if((0,l.isEqual)(p,y,!w))return;const L=new h.DisposableStore;try{const[U,B]=await Promise.all([this.createResourceLock(e),this.createResourceLock(r)]);L.add(U),L.add(B),o&&await c.Promises.mkdir((0,I.dirname)(y),{recursive:!0}),await c.Promises.copyFile(p,y)}catch(U){if(U.code==="ENOENT"&&!o)return this.doCloneFile(e,r,!0);throw this.toFileSystemProviderError(U)}finally{L.dispose()}}createUniversalWatcher(e,r,o){return new a.UniversalWatcherClient(p=>e(p),p=>r(p),o)}createNonRecursiveWatcher(e,r,o){return new s.NodeJSWatcherClient(p=>e(p),p=>r(p),o)}toFileSystemProviderError(e){if(e instanceof S.FileSystemProviderError)return e;let r;switch(e.code){case"ENOENT":r=S.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":r=S.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":r=S.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":r=S.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":r=S.FileSystemProviderErrorCode.NoPermissions;break;default:r=S.FileSystemProviderErrorCode.Unknown}return(0,S.createFileSystemProviderError)(e,r)}async toFileSystemProviderWriteError(e,r){let o=this.toFileSystemProviderError(r);if(e&&o.code===S.FileSystemProviderErrorCode.NoPermissions)try{const{stat:p}=await c.SymlinkSupport.stat(this.toFilePath(e));p.mode&128||(o=(0,S.createFileSystemProviderError)(r,S.FileSystemProviderErrorCode.FileWriteLocked))}catch(p){this.logService.trace(p)}return o}}i.DiskFileSystemProvider=t}),define(Z[115],ee([0,1,11,9]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.SpdLogLogger=void 0;async function b(m,l,h,I,P){try{const g=await new Promise((c,d)=>{$(["spdlog"],c,d)});g.setFlushOn(D.LogLevel.Trace);const E=await g.createAsyncRotatingLogger(m,l,h,I);return P&&E.clearFormatters(),E}catch(g){console.error(g)}return null}function R(m,l,h){switch(l){case D.LogLevel.Trace:m.trace(h);break;case D.LogLevel.Debug:m.debug(h);break;case D.LogLevel.Info:m.info(h);break;case D.LogLevel.Warning:m.warn(h);break;case D.LogLevel.Error:m.error(h);break;case D.LogLevel.Critical:m.critical(h);break;default:throw new Error("Invalid log level")}}class T extends D.AbstractMessageLogger{constructor(l,h,I,P,g){super();this.buffer=[],this.setLevel(g),this._loggerCreationPromise=this._createSpdLogLogger(l,h,I,P),this._register(this.onDidChangeLogLevel(E=>{this._logger?.setLevel(E)}))}async _createSpdLogLogger(l,h,I,P){const g=I?6:1,E=30/g*C.ByteSize.MB,c=await b(l,h,E,g,P);if(c){this._logger=c,this._logger.setLevel(this.getLevel());for(const{level:d,message:S}of this.buffer)R(this._logger,d,S);this.buffer=[]}}log(l,h){this._logger?R(this._logger,l,h):this.getLevel()<=l&&this.buffer.push({level:l,message:h})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}i.SpdLogLogger=T}),define(Z[37],ee([0,1,4,63,2,8]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NullPolicyService=i.AbstractPolicyService=i.IPolicyService=void 0,i.IPolicyService=(0,R.createDecorator)("policy");class T extends b.Disposable{constructor(){super(...arguments);this.policyDefinitions={},this.policies=new Map,this._onDidChange=this._register(new C.Emitter),this.onDidChange=this._onDidChange.event}async registerPolicyDefinitions(h){const I=Object.keys(this.policyDefinitions).length;return this.policyDefinitions={...h,...this.policyDefinitions},I!==Object.keys(this.policyDefinitions).length&&await this.initializePolicies(h),D.Iterable.reduce(this.policies.entries(),(P,[g,E])=>({...P,[g]:E}),{})}getPolicyValue(h){return this.policies.get(h)}serialize(){return D.Iterable.reduce(Object.entries(this.policyDefinitions),(h,[I,P])=>({...h,[I]:{definition:P,value:this.policies.get(I)}}),{})}}i.AbstractPolicyService=T;class m{constructor(){this.onDidChange=C.Event.None}async registerPolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}i.NullPolicyService=m}),define(Z[116],ee([0,1,3,4,63,7,11,9,37]),function($,i,C,D,b,R,T,m,l){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.FilePolicyService=void 0;function h(P,g){const E=[];for(const c of b.Iterable.concat(P.keys(),g.keys()))P.get(c)!==g.get(c)&&E.push(c);return E}let I=class extends l.AbstractPolicyService{constructor(g,E,c){super();this.file=g,this.fileService=E,this.logService=c,this.throttledDelayer=this._register(new C.ThrottledDelayer(500));const d=D.Event.filter(E.onDidFilesChange,S=>S.affects(g));this._register(E.watch(g)),this._register(d(()=>this.throttledDelayer.trigger(()=>this.refresh())))}async initializePolicies(g){await this.refresh()}async read(){const g=new Map;try{const E=await this.fileService.readFile(this.file),c=JSON.parse(E.value.toString());if(!(0,R.isObject)(c))throw new Error("Policy file isn't a JSON object");for(const d of Object.keys(c))this.policyDefinitions[d]&&g.set(d,c[d])}catch(E){E.fileOperationResult!==1&&this.logService.error("[FilePolicyService] Failed to read policies",E)}return g}async refresh(){const g=await this.read(),E=h(this.policies,g);this.policies=g,E.length>0&&this._onDidChange.fire(E)}};I=fe([te(1,T.IFileService),te(2,m.ILogService)],I),i.FilePolicyService=I}),define(Z[27],ee([0,1,8]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.productSchemaId=i.IProductService=void 0,i.IProductService=(0,C.createDecorator)("productService"),i.productSchemaId="vscode://schemas/vscode-product"}),define(Z[32],ee([0,1,67,7]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Registry=void 0;class b{constructor(){this.data=new Map}add(T,m){C.ok(D.isString(T)),C.ok(D.isObject(m)),C.ok(!this.data.has(T),"There is already an extension with this id"),this.data.set(T,m)}knows(T){return this.data.has(T)}as(T){return this.data.get(T)||null}}i.Registry=new b}),define(Z[117],ee([0,1,4,32]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Extensions=void 0,i.Extensions={JSONContribution:"base.contributions.json"};function b(m){return m.length>0&&m.charAt(m.length-1)==="#"?m.substring(0,m.length-1):m}class R{constructor(){this._onDidChangeSchema=new C.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(l,h){this.schemasById[b(l)]=h,this._onDidChangeSchema.fire(l)}notifySchemaChanged(l){this._onDidChangeSchema.fire(l)}getSchemaContributions(){return{schemas:this.schemasById}}}const T=new R;D.Registry.add(i.Extensions.JSONContribution,T)}),define(Z[40],ee([0,1,19,4,7,83,21,117,32]),function($,i,C,D,b,R,T,m,l){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getScopes=i.validateProperty=i.getDefaultValue=i.keyFromOverrideIdentifiers=i.overrideIdentifiersFromKey=i.OVERRIDE_PROPERTY_REGEX=i.OVERRIDE_PROPERTY_PATTERN=i.configurationDefaultsSchemaId=i.resourceLanguageSettingsSchemaId=i.resourceSettings=i.windowSettings=i.machineOverridableSettings=i.machineSettings=i.applicationSettings=i.allSettings=i.ConfigurationScope=i.Extensions=i.EditPresentationTypes=void 0;var h;(function(s){s.Multiline="multilineText",s.Singleline="singlelineText"})(h=i.EditPresentationTypes||(i.EditPresentationTypes={})),i.Extensions={Configuration:"base.contributions.configuration"};var I;(function(s){s[s.APPLICATION=1]="APPLICATION",s[s.MACHINE=2]="MACHINE",s[s.WINDOW=3]="WINDOW",s[s.RESOURCE=4]="RESOURCE",s[s.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",s[s.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I=i.ConfigurationScope||(i.ConfigurationScope={})),i.allSettings={properties:{},patternProperties:{}},i.applicationSettings={properties:{},patternProperties:{}},i.machineSettings={properties:{},patternProperties:{}},i.machineOverridableSettings={properties:{},patternProperties:{}},i.windowSettings={properties:{},patternProperties:{}},i.resourceSettings={properties:{},patternProperties:{}},i.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",i.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const P=l.Registry.as(m.Extensions.JSONContribution);class g{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new D.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new D.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:R.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},P.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(t,n=!0){this.registerConfigurations([t],n)}registerConfigurations(t,n=!0){const e=this.doRegisterConfigurations(t,n);P.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:e})}deregisterConfigurations(t){const n=this.doDeregisterConfigurations(t);P.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n})}updateConfigurations({add:t,remove:n}){const e=[];e.push(...this.doDeregisterConfigurations(n)),e.push(...this.doRegisterConfigurations(t,!1)),P.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,C.distinct)(e)})}registerDefaultConfigurations(t){const n=[],e=[];for(const{overrides:r,source:o}of t)for(const p in r)if(n.push(p),i.OVERRIDE_PROPERTY_REGEX.test(p)){const y=this.configurationDefaultsOverrides.get(p),w=y?.valuesSources??new Map;if(o)for(const q of Object.keys(r[p]))w.set(q,o);const L={...y?.value||{},...r[p]};this.configurationDefaultsOverrides.set(p,{source:o,value:L,valuesSources:w});const U=(0,T.getLanguageTagSettingPlainKey)(p),B={type:"object",default:L,description:R.localize(1,null,U),$ref:i.resourceLanguageSettingsSchemaId,defaultDefaultValue:L,source:b.isString(o)?void 0:o,defaultValueSource:o};e.push(...d(p)),this.configurationProperties[p]=B,this.defaultLanguageConfigurationOverridesNode.properties[p]=B}else{this.configurationDefaultsOverrides.set(p,{value:r[p],source:o});const y=this.configurationProperties[p];y&&(this.updatePropertyDefaultValue(p,y),this.updateSchema(p,y))}this.registerOverrideIdentifiers(e),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}deregisterDefaultConfigurations(t){const n=[];for(const{overrides:e,source:r}of t)for(const o in e){const p=this.configurationDefaultsOverrides.get(o),y=b.isString(r)?r:r?.id,w=b.isString(p?.source)?p?.source:p?.source?.id;if(y===w)if(n.push(o),this.configurationDefaultsOverrides.delete(o),i.OVERRIDE_PROPERTY_REGEX.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const L=this.configurationProperties[o];L&&(this.updatePropertyDefaultValue(o,L),this.updateSchema(o,L))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...t){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(t){for(const n of t)this.overrideIdentifiers.add(n);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(t,n){const e=[];return t.forEach(r=>{e.push(...this.validateAndRegisterProperties(r,n,r.extensionInfo,r.restrictedProperties)),this.configurationContributors.push(r),this.registerJSONConfiguration(r)}),e}doDeregisterConfigurations(t){const n=[],e=r=>{if(r.properties)for(const o in r.properties){n.push(o);const p=this.configurationProperties[o];p?.policy?.name&&this.policyConfigurations.delete(p.policy.name),delete this.configurationProperties[o],this.removeFromSchema(o,r.properties[o])}r.allOf?.forEach(o=>e(o))};for(const r of t){e(r);const o=this.configurationContributors.indexOf(r);o!==-1&&this.configurationContributors.splice(o,1)}return n}validateAndRegisterProperties(t,n=!0,e,r,o=3){o=b.isUndefinedOrNull(t.scope)?o:t.scope;const p=[],y=t.properties;if(y)for(const L in y){const U=y[L];if(n&&v(L,U)){delete y[L];continue}if(U.source=e,U.defaultDefaultValue=y[L].default,this.updatePropertyDefaultValue(L,U),i.OVERRIDE_PROPERTY_REGEX.test(L)?U.scope=void 0:(U.scope=b.isUndefinedOrNull(U.scope)?o:U.scope,U.restricted=b.isUndefinedOrNull(U.restricted)?!!r?.includes(L):U.restricted),y[L].hasOwnProperty("included")&&!y[L].included){this.excludedConfigurationProperties[L]=y[L],delete y[L];continue}else this.configurationProperties[L]=y[L],y[L].policy?.name&&this.policyConfigurations.set(y[L].policy.name,L);!y[L].deprecationMessage&&y[L].markdownDeprecationMessage&&(y[L].deprecationMessage=y[L].markdownDeprecationMessage),p.push(L)}const w=t.allOf;if(w)for(const L of w)p.push(...this.validateAndRegisterProperties(L,n,e,r,o));return p}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(t){const n=e=>{const r=e.properties;if(r)for(const p in r)this.updateSchema(p,r[p]);e.allOf?.forEach(n)};n(t)}updateSchema(t,n){switch(i.allSettings.properties[t]=n,n.scope){case 1:i.applicationSettings.properties[t]=n;break;case 2:i.machineSettings.properties[t]=n;break;case 6:i.machineOverridableSettings.properties[t]=n;break;case 3:i.windowSettings.properties[t]=n;break;case 4:i.resourceSettings.properties[t]=n;break;case 5:i.resourceSettings.properties[t]=n,this.resourceLanguageSettingsSchema.properties[t]=n;break}}removeFromSchema(t,n){switch(delete i.allSettings.properties[t],n.scope){case 1:delete i.applicationSettings.properties[t];break;case 2:delete i.machineSettings.properties[t];break;case 6:delete i.machineOverridableSettings.properties[t];break;case 3:delete i.windowSettings.properties[t];break;case 4:case 5:delete i.resourceSettings.properties[t],delete this.resourceLanguageSettingsSchema.properties[t];break}}updateOverridePropertyPatternKey(){for(const t of this.overrideIdentifiers.values()){const n=`[${t}]`,e={type:"object",description:R.localize(2,null),errorMessage:R.localize(3,null),$ref:i.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(n,e),i.allSettings.properties[n]=e,i.applicationSettings.properties[n]=e,i.machineSettings.properties[n]=e,i.machineOverridableSettings.properties[n]=e,i.windowSettings.properties[n]=e,i.resourceSettings.properties[n]=e}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const t={type:"object",description:R.localize(4,null),errorMessage:R.localize(5,null),$ref:i.resourceLanguageSettingsSchemaId};i.allSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=t,i.applicationSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=t,i.machineSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=t,i.machineOverridableSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=t,i.windowSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=t,i.resourceSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=t,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(t,n){const e=this.configurationDefaultsOverrides.get(t);let r=e?.value,o=e?.source;b.isUndefined(r)&&(r=n.defaultDefaultValue,o=void 0),b.isUndefined(r)&&(r=u(n.type)),n.default=r,n.defaultValueSource=o}}const E="\\[([^\\]]+)\\]",c=new RegExp(E,"g");i.OVERRIDE_PROPERTY_PATTERN=`^(${E})+$`,i.OVERRIDE_PROPERTY_REGEX=new RegExp(i.OVERRIDE_PROPERTY_PATTERN);function d(s){const t=[];if(i.OVERRIDE_PROPERTY_REGEX.test(s)){let n=c.exec(s);for(;n?.length;){const e=n[1].trim();e&&t.push(e),n=c.exec(s)}}return(0,C.distinct)(t)}i.overrideIdentifiersFromKey=d;function S(s){return s.reduce((t,n)=>`${t}[${n}]`,"")}i.keyFromOverrideIdentifiers=S;function u(s){switch(Array.isArray(s)?s[0]:s){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}i.getDefaultValue=u;const f=new g;l.Registry.add(i.Extensions.Configuration,f);function v(s,t){return s.trim()?i.OVERRIDE_PROPERTY_REGEX.test(s)?R.localize(7,null,s):f.getConfigurationProperties()[s]!==void 0?R.localize(8,null,s):t.policy?.name&&f.getPolicyConfigurations().get(t.policy?.name)!==void 0?R.localize(9,null,s,t.policy?.name,f.getPolicyConfigurations().get(t.policy?.name)):null:R.localize(6,null)}i.validateProperty=v;function a(){const s=[],t=f.getConfigurationProperties();for(const n of Object.keys(t))s.push([n,t[n].scope]);return s.push(["launch",4]),s.push(["task",4]),s}i.getScopes=a}),define(Z[64],ee([0,1,19,4,51,2,36,24,7,10,21,40,32]),function($,i,C,D,b,R,T,m,l,h,I,P,g){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AllKeysConfigurationChangeEvent=i.ConfigurationChangeEvent=i.mergeChanges=i.Configuration=i.UserSettings=i.ConfigurationModelParser=i.ConfigurationModel=void 0;class E{constructor(n={},e=[],r=[]){this._contents=n,this._keys=e,this._overrides=r,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(n){return n?(0,I.getConfigurationValue)(this.contents,n):this.contents}getOverrideValue(n,e){const r=this.getContentsForOverrideIdentifer(e);return r?n?(0,I.getConfigurationValue)(r,n):r:void 0}getKeysForOverrideIdentifier(n){const e=[];for(const r of this.overrides)r.identifiers.includes(n)&&e.push(...r.keys);return C.distinct(e)}getAllOverrideIdentifiers(){const n=[];for(const e of this.overrides)n.push(...e.identifiers);return C.distinct(n)}override(n){let e=this.overrideConfigurations.get(n);return e||(e=this.createOverrideConfigurationModel(n),this.overrideConfigurations.set(n,e)),e}merge(...n){const e=m.deepClone(this.contents),r=m.deepClone(this.overrides),o=[...this.keys];for(const p of n)if(!p.isEmpty()){this.mergeContents(e,p.contents);for(const y of p.overrides){const[w]=r.filter(L=>C.equals(L.identifiers,y.identifiers));w?(this.mergeContents(w.contents,y.contents),w.keys.push(...y.keys),w.keys=C.distinct(w.keys)):r.push(m.deepClone(y))}for(const y of p.keys)o.indexOf(y)===-1&&o.push(y)}return new E(e,o,r)}freeze(){return this.frozen=!0,this}clone(){return new E(m.deepClone(this.contents),[...this.keys],m.deepClone(this.overrides))}createOverrideConfigurationModel(n){const e=this.getContentsForOverrideIdentifer(n);if(!e||typeof e!="object"||!Object.keys(e).length)return this;const r={};for(const o of C.distinct([...Object.keys(this.contents),...Object.keys(e)])){let p=this.contents[o];const y=e[o];y&&(typeof p=="object"&&typeof y=="object"?(p=m.deepClone(p),this.mergeContents(p,y)):p=y),r[o]=p}return new E(r,this.keys,this.overrides)}mergeContents(n,e){for(const r of Object.keys(e)){if(r in n&&l.isObject(n[r])&&l.isObject(e[r])){this.mergeContents(n[r],e[r]);continue}n[r]=m.deepClone(e[r])}}checkAndFreeze(n){return this.frozen&&!Object.isFrozen(n)?m.deepFreeze(n):n}getContentsForOverrideIdentifer(n){let e=null,r=null;const o=p=>{p&&(r?this.mergeContents(r,p):r=m.deepClone(p))};for(const p of this.overrides)C.equals(p.identifiers,[n])?e=p.contents:p.identifiers.includes(n)&&o(p.contents);return o(e),r}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(n,e){this.addKey(n),(0,I.addToValueTree)(this.contents,n,e,r=>{throw new Error(r)})}removeValue(n){this.removeKey(n)&&(0,I.removeFromValueTree)(this.contents,n)}addKey(n){let e=this.keys.length;for(let r=0;r<e;r++)n.indexOf(this.keys[r])===0&&(e=r);this.keys.splice(e,1,n)}removeKey(n){const e=this.keys.indexOf(n);return e!==-1?(this.keys.splice(e,1),!0):!1}}i.ConfigurationModel=E;class c{constructor(n){this._name=n,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new E}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(n,e){if(!l.isUndefinedOrNull(n)){const r=this.doParseContent(n);this.parseRaw(r,e)}}reparse(n){this._raw&&this.parseRaw(this._raw,n)}parseRaw(n,e){this._raw=n;const{contents:r,keys:o,overrides:p,restricted:y}=this.doParseRaw(n,e);this._configurationModel=new E(r,o,p),this._restrictedConfigurations=y||[]}doParseContent(n){let e={},r=null,o=[];const p=[],y=[];function w(U){Array.isArray(o)?o.push(U):r!==null&&(o[r]=U)}const L={onObjectBegin:()=>{const U={};w(U),p.push(o),o=U,r=null},onObjectProperty:U=>{r=U},onObjectEnd:()=>{o=p.pop()},onArrayBegin:()=>{const U=[];w(U),p.push(o),o=U,r=null},onArrayEnd:()=>{o=p.pop()},onLiteralValue:w,onError:(U,B,q)=>{y.push({error:U,offset:B,length:q})}};if(n)try{b.visit(n,L),e=o[0]||{}}catch(U){console.error(`Error while parsing settings file ${this._name}: ${U}`),this._parseErrors=[U]}return e}doParseRaw(n,e){const r=g.Registry.as(P.Extensions.Configuration).getConfigurationProperties(),o=this.filter(n,r,!0,e);n=o.raw;const p=(0,I.toValuesTree)(n,L=>console.error(`Conflict in settings file ${this._name}: ${L}`)),y=Object.keys(n),w=this.toOverrides(n,L=>console.error(`Conflict in settings file ${this._name}: ${L}`));return{contents:p,keys:y,overrides:w,restricted:o.restricted}}filter(n,e,r,o){if(!o?.scopes&&!o?.skipRestricted)return{raw:n,restricted:[]};const p={},y=[];for(const w in n)if(P.OVERRIDE_PROPERTY_REGEX.test(w)&&r){const L=this.filter(n[w],e,!1,o);p[w]=L.raw,y.push(...L.restricted)}else{const L=e[w],U=L?typeof L.scope!="undefined"?L.scope:3:void 0;L?.restricted&&y.push(w),(U===void 0||o.scopes===void 0||o.scopes.includes(U))&&(o.skipRestricted&&L?.restricted||(p[w]=n[w]))}return{raw:p,restricted:y}}toOverrides(n,e){const r=[];for(const o of Object.keys(n))if(P.OVERRIDE_PROPERTY_REGEX.test(o)){const p={};for(const y in n[o])p[y]=n[o][y];r.push({identifiers:(0,P.overrideIdentifiersFromKey)(o),keys:Object.keys(p),contents:(0,I.toValuesTree)(p,e)})}return r}}i.ConfigurationModelParser=c;class d extends R.Disposable{constructor(n,e,r,o){super();this.userSettingsResource=n,this.scopes=e,this.fileService=o,this._onDidChange=this._register(new D.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new c(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(r.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(D.Event.any(D.Event.filter(this.fileService.onDidFilesChange,p=>p.contains(this.userSettingsResource)),D.Event.filter(this.fileService.onDidRunOperation,p=>(p.isOperation(0)||p.isOperation(3)||p.isOperation(1)||p.isOperation(4))&&r.isEqual(p.resource,n)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const n=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(n.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new E}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}i.UserSettings=d;class S{constructor(n,e,r,o,p=new E,y=new E,w=new T.ResourceMap,L=new E,U=new T.ResourceMap,B=!0){this._defaultConfiguration=n,this._policyConfiguration=e,this._applicationConfiguration=r,this._localUserConfiguration=o,this._remoteUserConfiguration=p,this._workspaceConfiguration=y,this._folderConfigurations=w,this._memoryConfiguration=L,this._memoryConfigurationByResource=U,this._freeze=B,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new T.ResourceMap,this._userConfiguration=null}getValue(n,e,r){return this.getConsolidatedConfigurationModel(n,e,r).getValue(n)}updateValue(n,e,r={}){let o;r.resource?(o=this._memoryConfigurationByResource.get(r.resource),o||(o=new E,this._memoryConfigurationByResource.set(r.resource,o))):o=this._memoryConfiguration,e===void 0?o.removeValue(n):o.setValue(n,e),r.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(n,e,r){const o=this.getConsolidatedConfigurationModel(n,e,r),p=this.getFolderConfigurationModelForResource(e.resource,r),y=e.resource?this._memoryConfigurationByResource.get(e.resource)||this._memoryConfiguration:this._memoryConfiguration,w=e.overrideIdentifier?this._defaultConfiguration.freeze().override(e.overrideIdentifier).getValue(n):this._defaultConfiguration.freeze().getValue(n),L=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(n),U=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(n),B=e.overrideIdentifier?this.userConfiguration.freeze().override(e.overrideIdentifier).getValue(n):this.userConfiguration.freeze().getValue(n),q=e.overrideIdentifier?this.localUserConfiguration.freeze().override(e.overrideIdentifier).getValue(n):this.localUserConfiguration.freeze().getValue(n),Y=e.overrideIdentifier?this.remoteUserConfiguration.freeze().override(e.overrideIdentifier).getValue(n):this.remoteUserConfiguration.freeze().getValue(n),ne=r?e.overrideIdentifier?this._workspaceConfiguration.freeze().override(e.overrideIdentifier).getValue(n):this._workspaceConfiguration.freeze().getValue(n):void 0,le=p?e.overrideIdentifier?p.freeze().override(e.overrideIdentifier).getValue(n):p.freeze().getValue(n):void 0,re=e.overrideIdentifier?y.override(e.overrideIdentifier).getValue(n):y.getValue(n),ge=o.getValue(n),ae=C.distinct(o.overrides.map(N=>N.identifiers).flat()).filter(N=>o.getOverrideValue(n,N)!==void 0);return{defaultValue:w,policyValue:L,applicationValue:U,userValue:B,userLocalValue:q,userRemoteValue:Y,workspaceValue:ne,workspaceFolderValue:le,memoryValue:re,value:ge,default:w!==void 0?{value:this._defaultConfiguration.freeze().getValue(n),override:e.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,policy:L!==void 0?{value:L}:void 0,application:U!==void 0?{value:U,override:e.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,user:B!==void 0?{value:this.userConfiguration.freeze().getValue(n),override:e.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,userLocal:q!==void 0?{value:this.localUserConfiguration.freeze().getValue(n),override:e.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,userRemote:Y!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(n),override:e.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,workspace:ne!==void 0?{value:this._workspaceConfiguration.freeze().getValue(n),override:e.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,workspaceFolder:le!==void 0?{value:p?.freeze().getValue(n),override:e.overrideIdentifier?p?.freeze().getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,memory:re!==void 0?{value:y.getValue(n),override:e.overrideIdentifier?y.getOverrideValue(n,e.overrideIdentifier):void 0}:void 0,overrideIdentifiers:ae.length?ae:void 0}}keys(n){const e=this.getFolderConfigurationModelForResource(void 0,n);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:e?e.freeze().keys:[]}}updateDefaultConfiguration(n){this._defaultConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(n){this._policyConfiguration=n}updateApplicationConfiguration(n){this._applicationConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(n){this._localUserConfiguration=n,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(n){this._remoteUserConfiguration=n,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(n){this._workspaceConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(n,e){this._folderConfigurations.set(n,e),this._foldersConsolidatedConfigurations.delete(n)}deleteFolderConfiguration(n){this.folderConfigurations.delete(n),this._foldersConsolidatedConfigurations.delete(n)}compareAndUpdateDefaultConfiguration(n,e){const r=[];if(!e){const{added:o,updated:p,removed:y}=a(this._defaultConfiguration,n);e=[...o,...p,...y]}for(const o of e)for(const p of(0,P.overrideIdentifiersFromKey)(o)){const y=this._defaultConfiguration.getKeysForOverrideIdentifier(p),w=n.getKeysForOverrideIdentifier(p),L=[...w.filter(U=>y.indexOf(U)===-1),...y.filter(U=>w.indexOf(U)===-1),...y.filter(U=>!m.equals(this._defaultConfiguration.override(p).getValue(U),n.override(p).getValue(U)))];r.push([p,L])}return this.updateDefaultConfiguration(n),{keys:e,overrides:r}}compareAndUpdatePolicyConfiguration(n){const{added:e,updated:r,removed:o}=a(this._policyConfiguration,n),p=[...e,...r,...o];return p.length&&this.updatePolicyConfiguration(n),{keys:p,overrides:[]}}compareAndUpdateApplicationConfiguration(n){const{added:e,updated:r,removed:o,overrides:p}=a(this.applicationConfiguration,n),y=[...e,...r,...o];return y.length&&this.updateApplicationConfiguration(n),{keys:y,overrides:p}}compareAndUpdateLocalUserConfiguration(n){const{added:e,updated:r,removed:o,overrides:p}=a(this.localUserConfiguration,n),y=[...e,...r,...o];return y.length&&this.updateLocalUserConfiguration(n),{keys:y,overrides:p}}compareAndUpdateRemoteUserConfiguration(n){const{added:e,updated:r,removed:o,overrides:p}=a(this.remoteUserConfiguration,n),y=[...e,...r,...o];return y.length&&this.updateRemoteUserConfiguration(n),{keys:y,overrides:p}}compareAndUpdateWorkspaceConfiguration(n){const{added:e,updated:r,removed:o,overrides:p}=a(this.workspaceConfiguration,n),y=[...e,...r,...o];return y.length&&this.updateWorkspaceConfiguration(n),{keys:y,overrides:p}}compareAndUpdateFolderConfiguration(n,e){const r=this.folderConfigurations.get(n),{added:o,updated:p,removed:y,overrides:w}=a(r,e),L=[...o,...p,...y];return(L.length||!r)&&this.updateFolderConfiguration(n,e),{keys:L,overrides:w}}compareAndDeleteFolderConfiguration(n){const e=this.folderConfigurations.get(n);if(!e)throw new Error("Unknown folder");this.deleteFolderConfiguration(n);const{added:r,updated:o,removed:p,overrides:y}=a(e,void 0);return{keys:[...r,...o,...p],overrides:y}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(n,e,r){let o=this.getConsolidatedConfigurationModelForResource(e,r);return e.overrideIdentifier&&(o=o.override(e.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(n)!==void 0&&(o=o.merge(this._policyConfiguration)),o}getConsolidatedConfigurationModelForResource({resource:n},e){let r=this.getWorkspaceConsolidatedConfiguration();if(e&&n){const o=e.getFolder(n);o&&(r=this.getFolderConsolidatedConfiguration(o.uri)||r);const p=this._memoryConfigurationByResource.get(n);p&&(r=r.merge(p))}return r}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(n){let e=this._foldersConsolidatedConfigurations.get(n);if(!e){const r=this.getWorkspaceConsolidatedConfiguration(),o=this._folderConfigurations.get(n);o?(e=r.merge(o),this._freeze&&(e=e.freeze()),this._foldersConsolidatedConfigurations.set(n,e)):e=r}return e}getFolderConfigurationModelForResource(n,e){if(e&&n){const r=e.getFolder(n);if(r)return this._folderConfigurations.get(r.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((n,e)=>{const{contents:r,overrides:o,keys:p}=this._folderConfigurations.get(e);return n.push([e,{contents:r,overrides:o,keys:p}]),n},[])}}allKeys(){const n=new Set;return this._defaultConfiguration.freeze().keys.forEach(e=>n.add(e)),this.userConfiguration.freeze().keys.forEach(e=>n.add(e)),this._workspaceConfiguration.freeze().keys.forEach(e=>n.add(e)),this._folderConfigurations.forEach(e=>e.freeze().keys.forEach(r=>n.add(r))),[...n.values()]}allOverrideIdentifiers(){const n=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(e=>n.add(e)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(e=>n.add(e)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(e=>n.add(e)),this._folderConfigurations.forEach(e=>e.freeze().getAllOverrideIdentifiers().forEach(r=>n.add(r))),[...n.values()]}getAllKeysForOverrideIdentifier(n){const e=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(n).forEach(r=>e.add(r)),this.userConfiguration.getKeysForOverrideIdentifier(n).forEach(r=>e.add(r)),this._workspaceConfiguration.getKeysForOverrideIdentifier(n).forEach(r=>e.add(r)),this._folderConfigurations.forEach(r=>r.getKeysForOverrideIdentifier(n).forEach(o=>e.add(o))),[...e.values()]}static parse(n){const e=this.parseConfigurationModel(n.defaults),r=this.parseConfigurationModel(n.policy),o=this.parseConfigurationModel(n.application),p=this.parseConfigurationModel(n.user),y=this.parseConfigurationModel(n.workspace),w=n.folders.reduce((L,U)=>(L.set(h.URI.revive(U[0]),this.parseConfigurationModel(U[1])),L),new T.ResourceMap);return new S(e,r,o,p,new E,y,w,new E,new T.ResourceMap,!1)}static parseConfigurationModel(n){return new E(n.contents,n.keys,n.overrides).freeze()}}i.Configuration=S;function u(...t){if(t.length===0)return{keys:[],overrides:[]};if(t.length===1)return t[0];const n=new Set,e=new Map;for(const o of t)o.keys.forEach(p=>n.add(p)),o.overrides.forEach(([p,y])=>{const w=(0,T.getOrSet)(e,p,new Set);y.forEach(L=>w.add(L))});const r=[];return e.forEach((o,p)=>r.push([p,[...o.values()]])),{keys:[...n.values()],overrides:r}}i.mergeChanges=u;class f{constructor(n,e,r,o){this.change=n,this.previous=e,this.currentConfiguraiton=r,this.currentWorkspace=o,this._previousConfiguration=void 0;const p=new Set;n.keys.forEach(w=>p.add(w)),n.overrides.forEach(([,w])=>w.forEach(L=>p.add(L))),this.affectedKeys=[...p.values()];const y=new E;this.affectedKeys.forEach(w=>y.setValue(w,{})),this.affectedKeysTree=y.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=S.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(n,e){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,n)){if(e){const r=this.previousConfiguration?this.previousConfiguration.getValue(n,e,this.previous?.workspace):void 0,o=this.currentConfiguraiton.getValue(n,e,this.currentWorkspace);return!m.equals(r,o)}return!0}return!1}doesAffectedKeysTreeContains(n,e){let r=(0,I.toValuesTree)({[e]:!0},()=>{}),o;for(;typeof r=="object"&&(o=Object.keys(r)[0]);){if(n=n[o],!n)return!1;r=r[o]}return!0}}i.ConfigurationChangeEvent=f;class v extends f{constructor(n,e,r,o){super({keys:n.allKeys(),overrides:[]},void 0,n,e);this.source=r,this.sourceConfig=o}}i.AllKeysConfigurationChangeEvent=v;function a(t,n){const{added:e,removed:r,updated:o}=s(n,t),p=[],y=t?.getAllOverrideIdentifiers()||[],w=n?.getAllOverrideIdentifiers()||[];if(n){const L=w.filter(U=>!y.includes(U));for(const U of L)p.push([U,n.getKeysForOverrideIdentifier(U)])}if(t){const L=y.filter(U=>!w.includes(U));for(const U of L)p.push([U,t.getKeysForOverrideIdentifier(U)])}if(n&&t){for(const L of y)if(w.includes(L)){const U=s({contents:t.getOverrideValue(void 0,L)||{},keys:t.getKeysForOverrideIdentifier(L)},{contents:n.getOverrideValue(void 0,L)||{},keys:n.getKeysForOverrideIdentifier(L)});p.push([L,[...U.added,...U.removed,...U.updated]])}}return{added:e,removed:r,updated:o,overrides:p}}function s(t,n){const e=t?n?t.keys.filter(p=>n.keys.indexOf(p)===-1):[...t.keys]:[],r=n?t?n.keys.filter(p=>t.keys.indexOf(p)===-1):[...n.keys]:[],o=[];if(t&&n){for(const p of n.keys)if(t.keys.indexOf(p)!==-1){const y=(0,I.getConfigurationValue)(n.contents,p),w=(0,I.getConfigurationValue)(t.contents,p);m.equals(y,w)||o.push(p)}}return{added:e,removed:r,updated:o}}}),define(Z[118],ee([0,1,19,4,2,24,7,21,64,40,9,37,32]),function($,i,C,D,b,R,T,m,l,h,I,P,g){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.PolicyConfiguration=i.NullPolicyConfiguration=i.DefaultConfigurationModel=i.DefaultConfiguration=void 0;class E extends b.Disposable{constructor(){super(...arguments);this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event}get configurationModel(){return this._configurationModel||(this._configurationModel=new c(this.getConfigurationDefaultOverrides())),this._configurationModel}async initialize(){return this._configurationModel=void 0,this._register(g.Registry.as(h.Extensions.Configuration).onDidUpdateConfiguration(({properties:f,defaultsOverrides:v})=>this.onDidUpdateConfiguration(f,v))),this.configurationModel}reload(){return this._configurationModel=void 0,this.configurationModel}onDidUpdateConfiguration(f,v){this._configurationModel=void 0,this._onDidChangeConfiguration.fire({defaults:this.configurationModel,properties:f})}getConfigurationDefaultOverrides(){return{}}}i.DefaultConfiguration=E;class c extends l.ConfigurationModel{constructor(f={}){const v=g.Registry.as(h.Extensions.Configuration).getConfigurationProperties(),a=Object.keys(v),s=Object.create(null),t=[];for(const n in v){const e=f[n],r=e!==void 0?e:v[n].default;(0,m.addToValueTree)(s,n,r,o=>console.error(`Conflict in default settings: ${o}`))}for(const n of Object.keys(s))h.OVERRIDE_PROPERTY_REGEX.test(n)&&t.push({identifiers:(0,h.overrideIdentifiersFromKey)(n),keys:Object.keys(s[n]),contents:(0,m.toValuesTree)(s[n],e=>console.error(`Conflict in default settings file: ${e}`))});super(s,a,t)}}i.DefaultConfigurationModel=c;class d{constructor(){this.onDidChangeConfiguration=D.Event.None,this.configurationModel=new l.ConfigurationModel}async initialize(){return this.configurationModel}}i.NullPolicyConfiguration=d;let S=class extends b.Disposable{constructor(f,v,a){super();this.defaultConfiguration=f,this.policyService=v,this.logService=a,this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configurationModel=new l.ConfigurationModel}get configurationModel(){return this._configurationModel}async initialize(){return this.update(await this.registerPolicyDefinitions(this.defaultConfiguration.configurationModel.keys),!1),this._register(this.policyService.onDidChange(f=>this.onDidChangePolicies(f))),this._register(this.defaultConfiguration.onDidChangeConfiguration(async({properties:f})=>this.update(await this.registerPolicyDefinitions(f),!0))),this._configurationModel}async registerPolicyDefinitions(f){const v={},a=[],s=g.Registry.as(h.Extensions.Configuration).getConfigurationProperties();for(const t of f){const n=s[t];if(!n){a.push(t);continue}if(n.policy){if(n.type!=="string"&&n.type!=="number"){this.logService.warn(`Policy ${n.policy.name} has unsupported type ${n.type}`);continue}a.push(t),v[n.policy.name]={type:n.type}}}return(0,T.isEmptyObject)(v)||await this.policyService.registerPolicyDefinitions(v),a}onDidChangePolicies(f){const v=g.Registry.as(h.Extensions.Configuration).getPolicyConfigurations(),a=(0,C.coalesce)(f.map(s=>v.get(s)));this.update(a,!0)}update(f,v){const a=g.Registry.as(h.Extensions.Configuration).getConfigurationProperties(),s=[],t=this._configurationModel.isEmpty();for(const n of f){const e=a[n]?.policy?.name;if(e){const r=this.policyService.getPolicyValue(e);(t?r!==void 0:!(0,R.equals)(this._configurationModel.getValue(n),r))&&s.push([n,r])}else this._configurationModel.getValue(n)!==void 0&&s.push([n,void 0])}if(s.length){const n=this._configurationModel;this._configurationModel=new l.ConfigurationModel;for(const e of n.keys)this._configurationModel.setValue(e,n.getValue(e));for(const[e,r]of s)r===void 0?this._configurationModel.removeValue(e):this._configurationModel.setValue(e,r);v&&this._onDidChangeConfiguration.fire(this._configurationModel)}}};S=fe([te(1,P.IPolicyService),te(2,I.ILogService)],S),i.PolicyConfiguration=S}),define(Z[119],ee([0,1,3,4,2,17,21,64,118,37]),function($,i,C,D,b,R,T,m,l,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ConfigurationService=void 0;class I extends b.Disposable{constructor(g,E,c,d){super();this.settingsResource=g,this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.defaultConfiguration=this._register(new l.DefaultConfiguration),this.policyConfiguration=c instanceof h.NullPolicyService?new l.NullPolicyConfiguration:this._register(new l.PolicyConfiguration(this.defaultConfiguration,c,d)),this.userConfiguration=this._register(new m.UserSettings(this.settingsResource,void 0,R.extUriBiasedIgnorePathCase,E)),this.configuration=new m.Configuration(this.defaultConfiguration.configurationModel,this.policyConfiguration.configurationModel,new m.ConfigurationModel,new m.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new C.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(this.defaultConfiguration.onDidChangeConfiguration(({defaults:S,properties:u})=>this.onDidDefaultConfigurationChange(S,u))),this._register(this.policyConfiguration.onDidChangeConfiguration(S=>this.onDidPolicyConfigurationChange(S))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const[g,E,c]=await Promise.all([this.defaultConfiguration.initialize(),this.policyConfiguration.initialize(),this.userConfiguration.loadConfiguration()]);this.configuration=new m.Configuration(g,E,new m.ConfigurationModel,c)}getConfigurationData(){return this.configuration.toData()}getValue(g,E){const c=typeof g=="string"?g:void 0,d=(0,T.isConfigurationOverrides)(g)?g:(0,T.isConfigurationOverrides)(E)?E:{};return this.configuration.getValue(c,d,void 0)}updateValue(g,E,c,d){return Promise.reject(new Error("not supported"))}inspect(g){return this.configuration.inspect(g,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const g=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(g)}onDidChangeUserConfiguration(g){const E=this.configuration.toData(),c=this.configuration.compareAndUpdateLocalUserConfiguration(g);this.trigger(c,E,1)}onDidDefaultConfigurationChange(g,E){const c=this.configuration.toData(),d=this.configuration.compareAndUpdateDefaultConfiguration(g,E);this.trigger(d,c,6)}onDidPolicyConfigurationChange(g){const E=this.configuration.toData(),c=this.configuration.compareAndUpdatePolicyConfiguration(g);this.trigger(c,E,6)}trigger(g,E,c){const d=new m.ConfigurationChangeEvent(g,{data:E},this.configuration);d.source=c,d.sourceConfig=this.getTargetConfiguration(c),this._onDidChangeConfiguration.fire(d)}getTargetConfiguration(g){switch(g){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}i.ConfigurationService=I}),define(Z[120],ee([0,1,16]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.parseAuthorityWithOptionalPort=i.parseAuthorityWithPort=i.getRemoteServerRootPath=i.getRemoteName=i.getRemoteAuthority=void 0;function D(h){return h.scheme===C.Schemas.vscodeRemote?h.authority:void 0}i.getRemoteAuthority=D;function b(h){if(!h)return;const I=h.indexOf("+");return I<0?h:h.substr(0,I)}i.getRemoteName=b;function R(h){return`/${h.quality??"oss"}-${h.commit??"dev"}`}i.getRemoteServerRootPath=R;function T(h){const{host:I,port:P}=l(h);if(typeof P=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:I,port:P}}i.parseAuthorityWithPort=T;function m(h,I){let{host:P,port:g}=l(h);return typeof g=="undefined"&&(g=I),{host:P,port:g}}i.parseAuthorityWithOptionalPort=m;function l(h){const I=h.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(I)return{host:I[1],port:parseInt(I[2],10)};const P=h.match(/^(\[[0-9a-z:]+\])$/);if(P)return{host:P[1],port:void 0};const g=h.match(/(.*):(\d+)$/);return g?{host:g[1],port:parseInt(g[2],10)}:{host:h,port:void 0}}}),define(Z[33],ee([0,1,30,8,120]),function($,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IBuiltinExtensionsScannerService=i.isResolverExtension=i.isAuthenticationProviderExtension=i.isLanguagePackExtension=i.isApplicationScopedExtension=i.ExtensionIdentifier=i.TargetPlatform=i.ExtensionType=i.EXTENSION_CATEGORIES=i.isIExtensionIdentifier=i.getWorkspaceSupportTypeMessage=i.ALL_EXTENSION_KINDS=i.UNDEFINED_PUBLISHER=i.BUILTIN_MANIFEST_CACHE_FILE=i.USER_MANIFEST_CACHE_FILE=i.MANIFEST_CACHE_FOLDER=void 0,i.MANIFEST_CACHE_FOLDER="CachedExtensions",i.USER_MANIFEST_CACHE_FILE="user",i.BUILTIN_MANIFEST_CACHE_FILE="builtin",i.UNDEFINED_PUBLISHER="undefined_publisher",i.ALL_EXTENSION_KINDS=["ui","workspace","web"];function R(c){if(typeof c=="object"&&c!==null&&c.supported!==!0)return c.description}i.getWorkspaceSupportTypeMessage=R;function T(c){return c&&typeof c=="object"&&typeof c.id=="string"&&(!c.uuid||typeof c.uuid=="string")}i.isIExtensionIdentifier=T,i.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var m;(function(c){c[c.System=0]="System",c[c.User=1]="User"})(m=i.ExtensionType||(i.ExtensionType={}));var l;(function(c){c.WIN32_X64="win32-x64",c.WIN32_IA32="win32-ia32",c.WIN32_ARM64="win32-arm64",c.LINUX_X64="linux-x64",c.LINUX_ARM64="linux-arm64",c.LINUX_ARMHF="linux-armhf",c.ALPINE_X64="alpine-x64",c.ALPINE_ARM64="alpine-arm64",c.DARWIN_X64="darwin-x64",c.DARWIN_ARM64="darwin-arm64",c.WEB="web",c.UNIVERSAL="universal",c.UNKNOWN="unknown",c.UNDEFINED="undefined"})(l=i.TargetPlatform||(i.TargetPlatform={}));class h{constructor(d){this.value=d,this._lower=d.toLowerCase()}static equals(d,S){if(typeof d=="undefined"||d===null)return typeof S=="undefined"||S===null;if(typeof S=="undefined"||S===null)return!1;if(typeof d=="string"||typeof S=="string"){const u=typeof d=="string"?d:d.value,f=typeof S=="string"?S:S.value;return C.equalsIgnoreCase(u,f)}return d._lower===S._lower}static toKey(d){return typeof d=="string"?d.toLowerCase():d._lower}}i.ExtensionIdentifier=h;function I(c){return P(c)}i.isApplicationScopedExtension=I;function P(c){return c.contributes&&c.contributes.localizations?c.contributes.localizations.length>0:!1}i.isLanguagePackExtension=P;function g(c){return c.contributes&&c.contributes.authentication?c.contributes.authentication.length>0:!1}i.isAuthenticationProviderExtension=g;function E(c,d){if(d){const S=`onResolveRemoteAuthority:${(0,b.getRemoteName)(d)}`;return c.activationEvents?.indexOf(S)!==-1}return!1}i.isResolverExtension=E,i.IBuiltinExtensionsScannerService=(0,D.createDecorator)("IBuiltinExtensionsScannerService")}),define(Z[23],ee([0,1,30,22,33,13,10,12,31]),function($,i,C,D,b,R,T,m,l){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.computeTargetPlatform=i.isAlpineLinux=i.getExtensionDependencies=i.getMaliciousExtensionsSet=i.BetterMergeId=i.getGalleryExtensionTelemetryData=i.getLocalExtensionTelemetryData=i.groupByExtension=i.getGalleryExtensionId=i.adoptToGalleryExtensionId=i.getExtensionId=i.getIdAndVersion=i.ExtensionKey=i.areSameExtensions=void 0;function h(e,r){return e.uuid&&r.uuid?e.uuid===r.uuid:e.id===r.id?!0:(0,C.compareIgnoreCase)(e.id,r.id)===0}i.areSameExtensions=h;const I=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class P{constructor(r,o,p="undefined"){this.version=o,this.targetPlatform=p,this.id=r.id}static create(r){const o=r.manifest?r.manifest.version:r.version,p=r.manifest?r.targetPlatform:r.properties.targetPlatform;return new P(r.identifier,o,p)}static parse(r){const o=I.exec(r);return o&&o[1]&&o[2]?new P({id:o[1]},o[2],o[4]||void 0):null}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(r){return r instanceof P?h(this,r)&&this.version===r.version&&this.targetPlatform===r.targetPlatform:!1}}i.ExtensionKey=P;const g=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function E(e){const r=g.exec(e);return r&&r[1]?[d(r[1]),r[2]]:[d(e),void 0]}i.getIdAndVersion=E;function c(e,r){return`${e}.${r}`}i.getExtensionId=c;function d(e){return e.toLocaleLowerCase()}i.adoptToGalleryExtensionId=d;function S(e,r){return d(c(e,r))}i.getGalleryExtensionId=S;function u(e,r){const o=[],p=y=>{for(const w of o)if(w.some(L=>h(r(L),r(y))))return w;return null};for(const y of e){const w=p(y);w?w.push(y):o.push([y])}return o}i.groupByExtension=u;function f(e){return{id:e.identifier.id,name:e.manifest.name,galleryId:null,publisherId:e.publisherId,publisherName:e.manifest.publisher,publisherDisplayName:e.publisherDisplayName,dependencies:e.manifest.extensionDependencies&&e.manifest.extensionDependencies.length>0}}i.getLocalExtensionTelemetryData=f;function v(e){return{id:e.identifier.id,name:e.name,galleryId:e.identifier.uuid,publisherId:e.publisherId,publisherName:e.publisher,publisherDisplayName:e.publisherDisplayName,isPreReleaseVersion:e.properties.isPreReleaseVersion,dependencies:!!(e.properties.dependencies&&e.properties.dependencies.length>0),...e.telemetryData}}i.getGalleryExtensionTelemetryData=v,i.BetterMergeId=new b.ExtensionIdentifier("pprice.better-merge");function a(e){const r=new Set;if(e.malicious)for(const o of e.malicious)r.add(o.id);return r}i.getMaliciousExtensionsSet=a;function s(e,r){const o=[],p=r.manifest.extensionDependencies?.slice(0)??[];for(;p.length;){const y=p.shift();if(y&&o.every(w=>!h(w.identifier,{id:y}))){const w=e.filter(L=>h(L.identifier,{id:y}));w.length===1&&(o.push(w[0]),p.push(...w[0].manifest.extensionDependencies?.slice(0)??[]))}}return o}i.getExtensionDependencies=s;async function t(e,r){if(!R.isLinux)return!1;let o;try{o=(await e.readFile(T.URI.file("/etc/os-release"))).value.toString()}catch{try{o=(await e.readFile(T.URI.file("/usr/lib/os-release"))).value.toString()}catch(y){r.debug("Error while getting the os-release file.",(0,m.getErrorMessage)(y))}}return!!o&&(o.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}i.isAlpineLinux=t;async function n(e,r){const o=await t(e,r),p=(0,D.getTargetPlatform)(o?"alpine":R.platform,l.arch);return r.debug("ComputeTargetPlatform:",p),p}i.computeTargetPlatform=n}),define(Z[121],ee([0,1,25,12,16,17,39,10,86,22,23,33]),function($,i,C,D,b,R,T,m,l,h,I,P){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionManagementCLIService=void 0;const g=S=>(0,l.localize)(0,null,S),E=(0,l.localize)(1,null,"ms-dotnettools.csharp");function c(S,u){return u?`${S.publisher}.${S.name}@${S.version}`:`${S.publisher}.${S.name}`}let d=class{constructor(u,f){this.extensionManagementService=u,this.extensionGalleryService=f}get location(){}async listExtensions(u,f,v=console){let a=await this.extensionManagementService.getInstalled(1);const s=P.EXTENSION_CATEGORIES.map(n=>n.toLowerCase());if(f&&f!==""){if(s.indexOf(f.toLowerCase())<0){v.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}a=a.filter(n=>n.manifest.categories?n.manifest.categories.map(r=>r.toLowerCase()).indexOf(f.toLowerCase())>-1:!1)}else if(f===""){v.log("Possible Categories: "),s.forEach(n=>{v.log(n)});return}this.location&&v.log((0,l.localize)(2,null,this.location)),a=a.sort((n,e)=>n.identifier.id.localeCompare(e.identifier.id));let t;for(const n of a)t!==n.identifier.id&&(t=n.identifier.id,v.log(c(n.manifest,u)))}async installExtensions(u,f,v,a,s=console){const t=[],n=[];u.length&&s.log(this.location?(0,l.localize)(3,null,this.location):(0,l.localize)(4,null));const e=await this.extensionManagementService.getInstalled(1),r=(w,L)=>{const U=e.find(B=>(0,I.areSameExtensions)(B.identifier,{id:w}));if(U){if(!a&&(!L||L==="prerelease"&&U.preRelease))return s.log((0,l.localize)(5,null,w,U.manifest.version,w)),!1;if(L&&U.manifest.version===L)return s.log((0,l.localize)(6,null,`${w}@${L}`)),!1}return!0},o=(w,L,U)=>{y.push({id:w,version:L!=="prerelease"?L:void 0,installOptions:{...v,isBuiltin:U,installPreReleaseVersion:L==="prerelease"||v.installPreReleaseVersion}})},p=[],y=[];for(const w of u)if(w instanceof m.URI)p.push(w);else{const[L,U]=(0,I.getIdAndVersion)(w);r(L,U)&&o(L,U,!1)}for(const w of f){const[L,U]=(0,I.getIdAndVersion)(w);r(L,U)&&o(L,U,!0)}if(p.length&&await Promise.all(p.map(async w=>{try{const L=await this.installVSIX(w,{...v,isBuiltin:!1},a,s);L&&n.push(L)}catch(L){s.error(L.message||L.stack||L),t.push(w.toString())}})),y.length){const w=await this.getGalleryExtensions(y);await Promise.all(y.map(async L=>{const U=w.get(L.id.toLowerCase());if(U)try{const B=await this.installFromGallery(L,U,e,a,s);B&&n.push(B)}catch(B){s.error(B.message||B.stack||B),t.push(L.id)}else s.error(`${g(L.version?`${L.id}@${L.version}`:L.id)}
${E}`),t.push(L.id)}))}if(t.length)throw new Error((0,l.localize)(7,null,t.join(", ")))}async installVSIX(u,f,v,a){const s=await this.extensionManagementService.getManifest(u);if(!s)throw new Error("Invalid vsix");if(await this.validateVSIX(s,v,a))try{return await this.extensionManagementService.install(u,f),a.log((0,l.localize)(8,null,(0,R.basename)(u))),s}catch(n){if((0,D.isCancellationError)(n))return a.log((0,l.localize)(9,null,(0,R.basename)(u))),null;throw n}return null}async getGalleryExtensions(u){const f=new Map,v=u.some(s=>s.installOptions.installPreReleaseVersion),a=await this.extensionGalleryService.getExtensions(u.map(s=>({...s,preRelease:v})),C.CancellationToken.None);for(const s of a)f.set(s.identifier.id.toLowerCase(),s);return f}async installFromGallery({id:u,version:f,installOptions:v},a,s,t,n){const e=await this.extensionGalleryService.getManifest(a,C.CancellationToken.None);if(e&&!this.validateExtensionKind(e,n))return null;const r=s.find(o=>(0,I.areSameExtensions)(o.identifier,a.identifier));if(r){if(a.version===r.manifest.version)return n.log((0,l.localize)(10,null,f?`${u}@${f}`:u)),null;n.log((0,l.localize)(11,null,u,a.version))}try{return v.isBuiltin?n.log(f?(0,l.localize)(12,null,u,f):(0,l.localize)(13,null,u)):n.log(f?(0,l.localize)(14,null,u,f):(0,l.localize)(15,null,u)),await this.extensionManagementService.installFromGallery(a,{...v,installGivenVersion:!!f}),n.log((0,l.localize)(16,null,u,a.version)),e}catch(o){if((0,D.isCancellationError)(o))return n.log((0,l.localize)(17,null,u)),null;throw o}}validateExtensionKind(u,f){return!0}async validateVSIX(u,f,v){const a={id:(0,I.getGalleryExtensionId)(u.publisher,u.name)},t=(await this.extensionManagementService.getInstalled(1)).find(n=>(0,I.areSameExtensions)(a,n.identifier)&&(0,T.gt)(n.manifest.version,u.version));return t&&!f?(v.log((0,l.localize)(18,null,t.identifier.id,t.manifest.version,u.version)),!1):this.validateExtensionKind(u,v)}async uninstallExtensions(u,f,v=console){const a=async t=>{if(t instanceof m.URI){const n=await this.extensionManagementService.getManifest(t);return c(n)}return t},s=[];for(const t of u){const n=await a(t),r=(await this.extensionManagementService.getInstalled()).filter(o=>(0,I.areSameExtensions)(o.identifier,{id:n}));if(!r.length)throw new Error(`${this.notInstalled(n)}
${E}`);if(r.some(o=>o.type===0)){v.log((0,l.localize)(19,null,n));return}if(!f&&r.some(o=>o.isBuiltin)){v.log((0,l.localize)(20,null,n));return}v.log((0,l.localize)(21,null,n));for(const o of r)await this.extensionManagementService.uninstall(o),s.push(o);this.location?v.log((0,l.localize)(22,null,n,this.location)):v.log((0,l.localize)(23,null,n))}}async locateExtension(u,f=console){const v=await this.extensionManagementService.getInstalled();u.forEach(a=>{v.forEach(s=>{if(s.identifier.id===a&&s.location.scheme===b.Schemas.file){f.log(s.location.fsPath);return}})})}notInstalled(u){return this.location?(0,l.localize)(24,null,u,this.location):(0,l.localize)(25,null,u)}};d=fe([te(0,h.IExtensionManagementService),te(1,h.IExtensionGalleryService)],d),i.ExtensionManagementCLIService=d}),define(Z[41],ee([0,1,3,15,2,36,10,23,11,8,9]),function($,i,C,D,b,R,T,m,l,h,I){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsProfileScannerService=i.IExtensionsProfileScannerService=void 0,i.IExtensionsProfileScannerService=(0,h.createDecorator)("IExtensionsProfileScannerService");let P=class extends b.Disposable{constructor(E,c){super();this.fileService=E,this.logService=c,this.resourcesAccessQueueMap=new R.ResourceMap}scanProfileExtensions(E){return this.withProfileExtensions(E)}addExtensionsToProfile(E,c){return this.withProfileExtensions(c,d=>(d=d.filter(S=>E.some(([u])=>!(0,m.areSameExtensions)(S.identifier,u.identifier))),d.push(...E.map(([S,u])=>({identifier:S.identifier,version:S.manifest.version,location:S.location,metadata:u}))),d))}removeExtensionFromProfile(E,c){return this.withProfileExtensions(c,d=>d.filter(S=>!(0,m.areSameExtensions)(S.identifier,E)))}async withProfileExtensions(E,c){return this.getResourceAccessQueue(E).queue(async()=>{let d=[];try{const S=await this.fileService.readFile(E),u=JSON.parse(S.value.toString());for(const f of u){if(!f.identifier){this.logService.info("Ignoring invalid extension while scanning. Identifier does not exist.",f);continue}if(!f.location){this.logService.info("Ignoring invalid extension while scanning. Location does not exist.",f);continue}if(!f.version){this.logService.info("Ignoring invalid extension while scanning. Version does not exist.",f);continue}d.push({identifier:f.identifier,location:T.URI.revive(f.location),version:f.version,metadata:f.metadata})}}catch(S){S.fileOperationResult!==1&&this.logService.error(S)}if(c){d=c(d);const S=d.map(u=>({identifier:u.identifier,version:u.version,location:u.location.toJSON(),metadata:u.metadata}));await this.fileService.writeFile(E,D.VSBuffer.fromString(JSON.stringify(S)))}return d})}getResourceAccessQueue(E){let c=this.resourcesAccessQueueMap.get(E);return c||(c=new C.Queue,this.resourcesAccessQueueMap.set(E,c)),c}};P=fe([te(0,l.IFileService),te(1,I.ILogService)],P),i.ExtensionsProfileScannerService=P}),define(Z[122],ee([0,1,3,12,2,13,17,39,10,35,20,18,22,23,11,9]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsDownloader=void 0;let S=class extends b.Disposable{constructor(f,v,a,s){super();this.fileService=v,this.extensionGalleryService=a,this.logService=s,this.extensionsDownloadDir=l.URI.file(f.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(f,v){await this.cleanUpPromise;const a=this.getName(f),s=(0,T.joinPath)(this.extensionsDownloadDir,a);if(!await this.fileService.exists(s)){const t=(0,T.joinPath)(this.extensionsDownloadDir,`.${(0,h.generateUuid)()}`);await this.fileService.exists(t)||await this.extensionGalleryService.download(f,t,v);try{await this.rename(t,s,Date.now()+2*60*1e3)}catch(n){try{await this.fileService.del(t)}catch{}if(n.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",f.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,D.getErrorMessage)(n)}. Deleted the vsix from downloaded location`,t.path),n}}return s}async delete(f){await this.cleanUpPromise,await this.fileService.del(f)}async rename(f,v,a){try{await I.Promises.rename(f.fsPath,v.fsPath)}catch(s){if(R.isWindows&&s&&s.code==="EPERM"&&Date.now()<a)return this.logService.info(`Failed renaming ${f} to ${v} with 'EPERM' error. Trying again...`),this.rename(f,v,a);throw s}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const f=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(f.children){const v=[],a=[];for(const n of f.children){const e=E.ExtensionKey.parse(n.name);e&&a.push([e,n])}const s=(0,E.groupByExtension)(a,([n])=>n),t=[];for(const n of s)n.sort((e,r)=>m.rcompare(e[0].version,r[0].version)),v.push(...n.slice(1).map(e=>e[1].resource)),t.push(n[0][1]);t.sort((n,e)=>n.mtime-e.mtime),v.push(...t.slice(0,Math.max(0,t.length-this.cache)).map(n=>n.resource)),await C.Promises.settled(v.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(f){this.logService.error(f)}}getName(f){return this.cache?E.ExtensionKey.create(f).toString().toLowerCase():(0,h.generateUuid)()}};S=fe([te(0,P.INativeEnvironmentService),te(1,c.IFileService),te(2,g.IExtensionGalleryService),te(3,d.ILogService)],S),i.ExtensionsDownloader=S}),define(Z[123],ee([0,1,2,14,20,33]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsManifestCache=void 0;class T extends C.Disposable{constructor(l,h){super();this.environmentService=l,this.extensionsManifestCache=(0,D.join)(this.environmentService.userDataPath,R.MANIFEST_CACHE_FOLDER,R.USER_MANIFEST_CACHE_FILE),this._register(h.onDidInstallExtensions(I=>this.onDidInstallExtensions(I))),this._register(h.onDidUninstallExtension(I=>this.onDidUnInstallExtension(I)))}onDidInstallExtensions(l){l.some(h=>!!h.local)&&this.invalidate()}onDidUnInstallExtension(l){l.error||this.invalidate()}invalidate(){b.Promises.rm(this.extensionsManifestCache,b.RimRafMode.MOVE).then(()=>{},()=>{})}}i.ExtensionsManifestCache=T}),define(Z[124],ee([0,1,155,19,3,2,16,14,20,18,22,23,9,62]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NativeLanguagePackService=void 0;let c=class extends E.LanguagePackBaseService{constructor(f,v,a,s){super(a);this.extensionManagementService=f,this.logService=s,this.cache=this._register(new d(v,s)),this.extensionManagementService.registerParticipant({postInstall:async t=>this.postInstallExtension(t),postUninstall:async t=>this.postUninstallExtension(t)})}async getInstalledLanguages(){const f=await this.cache.getLanguagePacks(),v=Object.keys(f).map(a=>{const s=f[a];return{...this.createQuickPickItem({locale:a,label:s.label}),extensionId:s.extensions[0].extensionIdentifier.id}});return v.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),v}async postInstallExtension(f){f&&f.manifest&&f.manifest.contributes&&f.manifest.contributes.localizations&&f.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",f.identifier.id),await this.update())}async postUninstallExtension(f){const v=await this.cache.getLanguagePacks();Object.keys(v).some(a=>v[a]&&v[a].extensions.some(s=>(0,P.areSameExtensions)(s.extensionIdentifier,f.identifier)))&&(this.logService.info("Removing language packs from the extension",f.identifier.id),await this.update())}async update(){const[f,v]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),a=await this.cache.update(v);return!(0,D.equals)(Object.keys(f),Object.keys(a))}};c=fe([te(0,I.IExtensionManagementService),te(1,h.INativeEnvironmentService),te(2,I.IExtensionGalleryService),te(3,g.ILogService)],c),i.NativeLanguagePackService=c;let d=class extends R.Disposable{constructor(f,v){super();this.logService=v,this.languagePacks={},this.languagePacksFilePath=(0,m.join)(f.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new b.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(f){return this.withLanguagePacks(v=>{Object.keys(v).forEach(a=>delete v[a]),this.createLanguagePacksFromExtensions(v,...f)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(f,...v){for(const a of v)a&&a.manifest&&a.manifest.contributes&&a.manifest.contributes.localizations&&a.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(f,a);Object.keys(f).forEach(a=>this.updateHash(f[a]))}createLanguagePacksFromExtension(f,v){const a=v.identifier,s=v.manifest.contributes&&v.manifest.contributes.localizations?v.manifest.contributes.localizations:[];for(const t of s)if(v.location.scheme===T.Schemas.file&&S(t)){let n=f[t.languageId];n||(n={hash:"",extensions:[],translations:{},label:t.localizedLanguageName??t.languageName},f[t.languageId]=n);const e=n.extensions.filter(r=>(0,P.areSameExtensions)(r.extensionIdentifier,a))[0];e?e.version=v.manifest.version:n.extensions.push({extensionIdentifier:a,version:v.manifest.version});for(const r of t.translations)n.translations[r.id]=(0,m.join)(v.location.fsPath,r.path)}}updateHash(f){if(f){const v=(0,C.createHash)("md5");for(const a of f.extensions)v.update(a.extensionIdentifier.uuid||a.extensionIdentifier.id).update(a.version);f.hash=v.digest("hex")}}withLanguagePacks(f=()=>null){return this.languagePacksFileLimiter.queue(()=>{let v=null;return l.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,a=>a.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(a)).then(a=>{try{return JSON.parse(a)}catch{return{}}}).then(a=>(v=f(a),a)).then(a=>{for(const t of Object.keys(a))a[t]||delete a[t];this.languagePacks=a,this.initializedCache=!0;const s=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",s),l.Promises.writeFile(this.languagePacksFilePath,s)}).then(()=>v,a=>this.logService.error(a))})}};d=fe([te(0,h.INativeEnvironmentService),te(1,g.ILogService)],d);function S(u){if(typeof u.languageId!="string"||!Array.isArray(u.translations)||u.translations.length===0)return!1;for(const f of u.translations)if(typeof f.id!="string"||typeof f.path!="string")return!1;return!(u.languageName&&typeof u.languageName!="string"||u.localizedLanguageName&&typeof u.localizedLanguageName!="string")}}),define(Z[48],ee([0,1,15,95,40,8,32]),function($,i,C,D,b,R,T){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.updateProxyConfigurationsScope=i.asJson=i.asTextOrError=i.asText=i.isSuccess=i.IRequestService=void 0,i.IRequestService=(0,R.createDecorator)("requestService");function m(d){return d.res.statusCode&&d.res.statusCode>=200&&d.res.statusCode<300||d.res.statusCode===1223}i.isSuccess=m;function l(d){return d.res.statusCode===204}async function h(d){return l(d)?null:(await(0,C.streamToBuffer)(d.stream)).toString()}i.asText=h;async function I(d){if(!m(d))throw new Error("Server returned "+d.res.statusCode);return h(d)}i.asTextOrError=I;async function P(d){if(!m(d))throw new Error("Server returned "+d.res.statusCode);if(l(d))return null;const u=(await(0,C.streamToBuffer)(d.stream)).toString();try{return JSON.parse(u)}catch(f){throw f.message+=`:
`+u,f}}i.asJson=P;function g(d){c(d)}i.updateProxyConfigurationsScope=g;let E;function c(d){const S=T.Registry.as(b.Extensions.Configuration),u=E;E={id:"http",order:15,title:(0,D.localize)(0,null),type:"object",scope:d,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,D.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,D.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,D.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,D.localize)(4,null),(0,D.localize)(5,null),(0,D.localize)(6,null),(0,D.localize)(7,null)],default:"override",description:(0,D.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,D.localize)(9,null),restricted:!0}}},S.updateConfigurations({add:[E],remove:u?[u]:[]})}c(2)}),define(Z[125],ee([0,1,25,16,11,48]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.DownloadService=void 0;let T=class{constructor(l,h){this.requestService=l,this.fileService=h}async download(l,h,I=C.CancellationToken.None){if(l.scheme===D.Schemas.file||l.scheme===D.Schemas.vscodeRemote){await this.fileService.copy(l,h);return}const P={type:"GET",url:l.toString(!0)},g=await this.requestService.request(P,I);if(g.res.statusCode===200)await this.fileService.writeFile(h,g.stream);else{const E=await(0,R.asTextOrError)(g);throw new Error(`Expected 200, got back ${g.res.statusCode} instead.

${E}`)}}};T=fe([te(0,R.IRequestService),te(1,b.IFileService)],T),i.DownloadService=T}),define(Z[126],ee([0,1,127,7]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getProxyAgent=void 0;function b(T,m){return T.protocol==="http:"?m.HTTP_PROXY||m.http_proxy||null:T.protocol==="https:"&&(m.HTTPS_PROXY||m.https_proxy||m.HTTP_PROXY||m.http_proxy)||null}async function R(T,m,l={}){const h=(0,C.parse)(T),I=l.proxyUrl||b(h,m);if(!I)return null;const P=(0,C.parse)(I);if(!/^https?:$/.test(P.protocol||""))return null;const g={host:P.hostname||"",port:P.port||(P.protocol==="https"?"443":"80"),auth:P.auth,rejectUnauthorized:(0,D.isBoolean)(l.strictSSL)?l.strictSSL:!0};return h.protocol==="http:"?new(await new Promise((E,c)=>{$(["http-proxy-agent"],E,c)}))(g):new(await new Promise((E,c)=>{$(["https-proxy-agent"],E,c)}))(g)}i.getProxyAgent=R}),define(Z[128],ee([0,1,45,14,96,25,29,12,13,35,80,156,3]),function($,i,C,D,b,R,T,m,l,h,I,P,g){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getResolvedShellEnv=void 0;const E=1e4;let c;async function d(u,f,v){return f["force-disable-user-env"]?(u.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):l.isWindows?(u.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,P.isLaunchedFromCli)(v)&&!f["force-user-env"]?(u.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,P.isLaunchedFromCli)(v)?u.trace("resolveShellEnv(): running (--force-user-env)"):u.trace("resolveShellEnv(): running (macOS/Linux)"),c||(c=g.Promises.withAsyncBody(async(a,s)=>{const t=new R.CancellationTokenSource,n=setTimeout(()=>{t.dispose(!0),s(new Error((0,b.localize)(0,null)))},E);try{a(await S(u,t.token))}catch(e){!(0,m.isCancellationError)(e)&&!t.token.isCancellationRequested?s(new Error((0,b.localize)(1,null,(0,T.toErrorMessage)(e)))):a({})}finally{clearTimeout(n),t.dispose()}})),c)}i.getResolvedShellEnv=d;async function S(u,f){const v=process.env.ELECTRON_RUN_AS_NODE;u.trace("getUnixShellEnvironment#runAsNode",v);const a=process.env.ELECTRON_NO_ATTACH_CONSOLE;u.trace("getUnixShellEnvironment#noAttach",a);const s=(0,h.generateUuid)().replace(/-/g,"").substr(0,12),t=new RegExp(s+"(.*)"+s),n={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};u.trace("getUnixShellEnvironment#env",n);const e=await(0,I.getSystemShell)(l.OS,n);return u.trace("getUnixShellEnvironment#shell",e),new Promise((r,o)=>{if(f.isCancellationRequested)return o((0,m.canceled)());const p=(0,D.basename)(e);let y,w;const L=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(p)?(y=`& '${process.execPath}' ${L} -p '''${s}'' + JSON.stringify(process.env) + ''${s}'''`,w=["-Login","-Command"]):(y=`'${process.execPath}' ${L} -p '"${s}" + JSON.stringify(process.env) + "${s}"'`,p==="tcsh"?w=["-ic"]:w=["-ilc"]),u.trace("getUnixShellEnvironment#spawn",JSON.stringify(w),y);const U=(0,C.spawn)(e,[...w,y],{detached:!0,stdio:["ignore","pipe","pipe"],env:n});f.onCancellationRequested(()=>(U.kill(),o((0,m.canceled)()))),U.on("error",Y=>{u.error("getUnixShellEnvironment#errorChildProcess",(0,T.toErrorMessage)(Y)),o(Y)});const B=[];U.stdout.on("data",Y=>B.push(Y));const q=[];U.stderr.on("data",Y=>q.push(Y)),U.on("close",(Y,ne)=>{const le=Buffer.concat(B).toString("utf8");u.trace("getUnixShellEnvironment#raw",le);const re=Buffer.concat(q).toString("utf8");if(re.trim()&&u.trace("getUnixShellEnvironment#stderr",re),Y||ne)return o(new Error((0,b.localize)(2,null,Y,ne)));const ge=t.exec(le),ae=ge?ge[1]:"{}";try{const N=JSON.parse(ae);v?N.ELECTRON_RUN_AS_NODE=v:delete N.ELECTRON_RUN_AS_NODE,a?N.ELECTRON_NO_ATTACH_CONSOLE=a:delete N.ELECTRON_NO_ATTACH_CONSOLE,delete N.XDG_RUNTIME_DIR,u.trace("getUnixShellEnvironment#result",N),r(N)}catch(N){u.error("getUnixShellEnvironment#errorCaught",(0,T.toErrorMessage)(N)),o(N)}})})}}),define(Z[65],ee([0,1,8]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IStateService=void 0,i.IStateService=(0,C.createDecorator)("stateService")}),define(Z[129],ee([0,1,3,15,7,18,11,9]),function($,i,C,D,b,R,T,m){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.StateService=i.FileStorage=void 0;class l{constructor(P,g,E){this.storagePath=P,this.logService=g,this.fileService=E,this.storage=Object.create(null),this.lastSavedStorageContents="",this.flushDelayer=new C.ThrottledDelayer(100),this.initializing=void 0,this.closing=void 0}init(){return this.initializing||(this.initializing=this.doInit()),this.initializing}async doInit(){try{this.lastSavedStorageContents=(await this.fileService.readFile(this.storagePath)).value.toString(),this.storage=JSON.parse(this.lastSavedStorageContents)}catch(P){P.fileOperationResult!==1&&this.logService.error(P)}}getItem(P,g){const E=this.storage[P];return(0,b.isUndefinedOrNull)(E)?g:E}setItem(P,g){this.setItems([{key:P,data:g}])}setItems(P){let g=!1;for(const{key:E,data:c}of P)this.storage[E]!==c&&((0,b.isUndefinedOrNull)(c)?(0,b.isUndefined)(this.storage[E])||(this.storage[E]=void 0,g=!0):(this.storage[E]=c,g=!0));g&&this.save()}removeItem(P){(0,b.isUndefined)(this.storage[P])||(this.storage[P]=void 0,this.save())}async save(P){if(!this.closing)return this.flushDelayer.trigger(()=>this.doSave(),P)}async doSave(){if(!this.initializing)return;await this.initializing;const P=JSON.stringify(this.storage,null,4);if(P!==this.lastSavedStorageContents)try{await this.fileService.writeFile(this.storagePath,D.VSBuffer.fromString(P)),this.lastSavedStorageContents=P}catch(g){this.logService.error(g)}}async close(){return this.closing||(this.closing=this.flushDelayer.trigger(()=>this.doSave(),0)),this.closing}}i.FileStorage=l;let h=class{constructor(P,g,E){this.fileStorage=new l(P.stateResource,g,E)}async init(){await this.fileStorage.init()}getItem(P,g){return this.fileStorage.getItem(P,g)}};h=fe([te(0,R.IEnvironmentService),te(1,m.ILogService),te(2,T.IFileService)],h),i.StateService=h}),define(Z[130],ee([0,1,13,31,10,35]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.verifyMicrosoftInternalDomain=i.resolveCommonProperties=void 0;function T(h){if(C.platform===2&&/^penguin(\.|$)/i.test(h))return"chromebook"}async function m(h,I,P,g,E,c,d,S,u,f){const v=Object.create(null);v["common.machineId"]=d,v.sessionID=(0,R.generateUuid)()+Date.now(),v.commitHash=E,v.version=c,v["common.platformVersion"]=(I||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),v["common.platform"]=(0,C.PlatformToString)(C.platform),v["common.nodePlatform"]=D.platform,v["common.nodeArch"]=g,v["common.product"]=f||"desktop";const a=l(S||[]);a&&(v["common.msftInternal"]=a);let s=0;const t=Date.now();Object.defineProperties(v,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-t,enumerable:!0},"common.sequence":{get:()=>s++,enumerable:!0}}),C.isLinuxSnap&&(v["common.snap"]="true");const n=T(P);n&&(v["common.platformDetail"]=n);try{const e=await h.readFile(b.URI.file(u));v["common.source"]=e.value.toString().slice(0,30)}catch{}return v}i.resolveCommonProperties=m;function l(h){const I=D.env.USERDNSDOMAIN;if(!I)return!1;const P=I.toLowerCase();return h.some(g=>P===g)}i.verifyMicrosoftInternalDomain=l}),define(Z[34],ee([0,1,8]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.TelemetryConfiguration=i.TelemetryLevel=i.TELEMETRY_OLD_SETTING_ID=i.TELEMETRY_SETTING_ID=i.TELEMETRY_SECTION_ID=i.machineIdKey=i.lastSessionDateStorageKey=i.firstSessionDateStorageKey=i.currentSessionDateStorageKey=i.ICustomEndpointTelemetryService=i.ITelemetryService=void 0,i.ITelemetryService=(0,C.createDecorator)("telemetryService"),i.ICustomEndpointTelemetryService=(0,C.createDecorator)("customEndpointTelemetryService"),i.currentSessionDateStorageKey="telemetry.currentSessionDate",i.firstSessionDateStorageKey="telemetry.firstSessionDate",i.lastSessionDateStorageKey="telemetry.lastSessionDate",i.machineIdKey="telemetry.machineId",i.TELEMETRY_SECTION_ID="telemetry",i.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",i.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var D;(function(R){R[R.NONE=0]="NONE",R[R.CRASH=1]="CRASH",R[R.ERROR=2]="ERROR",R[R.USAGE=3]="USAGE"})(D=i.TelemetryLevel||(i.TelemetryLevel={}));var b;(function(R){R.OFF="off",R.CRASH="crash",R.ERROR="error",R.ON="all"})(b=i.TelemetryConfiguration||(i.TelemetryConfiguration={}))}),define(Z[42],ee([0,1,24,53,7,21,34]),function($,i,C,D,b,R,T){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getPiiPathsFromEnvironment=i.cleanRemoteAuthority=i.validateTelemetryData=i.getTelemetryLevel=i.supportsTelemetry=i.configurationTelemetry=i.NullAppender=i.NullEndpointTelemetryService=i.NullTelemetryService=i.NullTelemetryServiceShape=void 0;class m{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=(0,D.staticObservableValue)(0)}publicLog(a,s){return Promise.resolve(void 0)}publicLog2(a,s){return this.publicLog(a,s)}publicLogError(a,s){return Promise.resolve(void 0)}publicLogError2(a,s){return this.publicLogError(a,s)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}i.NullTelemetryServiceShape=m,i.NullTelemetryService=new m;class l{async publicLog(a,s,t){}async publicLogError(a,s,t){}}i.NullEndpointTelemetryService=l,i.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function h(v,a){return a.onDidChangeConfiguration(s=>{s.source!==6&&v.publicLog2("updateConfiguration",{configurationSource:(0,R.ConfigurationTargetToString)(s.source),configurationKeys:S(s.sourceConfig)})})}i.configurationTelemetry=h;function I(v,a){return!(a.disableTelemetry||!v.enableTelemetry||a.extensionTestsLocationURI)}i.supportsTelemetry=I;function P(v){const a=v.getValue(T.TELEMETRY_SETTING_ID),s=v.getValue("telemetry.enableCrashReporter");if(v.getValue(T.TELEMETRY_OLD_SETTING_ID)===!1||s===!1)return 0;switch(a??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}i.getTelemetryLevel=P;function g(v){const a={},s={},t={};d(v,t);for(let n in t){n=n.length>150?n.substr(n.length-149):n;const e=t[n];typeof e=="number"?s[n]=e:typeof e=="boolean"?s[n]=e?1:0:typeof e=="string"?(e.length>8192&&console.warn(`Telemetry property: ${n} has been trimmed to 8192, the original length is ${e.length}`),a[n]=e.substring(0,8191)):typeof e!="undefined"&&e!==null&&(a[n]=e)}return{properties:a,measurements:s}}i.validateTelemetryData=g;const E=["ssh-remote","dev-container","attached-container","wsl","tunneling"];function c(v){if(!v)return"none";for(const a of E)if(v.startsWith(`${a}+`))return a;return"other"}i.cleanRemoteAuthority=c;function d(v,a,s=0,t){if(!!v)for(const n of Object.getOwnPropertyNames(v)){const e=v[n],r=t?t+n:n;Array.isArray(e)?a[r]=(0,C.safeStringify)(e):e instanceof Date?a[r]=e.toISOString():(0,b.isObject)(e)?s<2?d(e,a,s+1,r+"."):a[r]=(0,C.safeStringify)(e):a[r]=e}}function S(v){if(!v)return[];const a=[];return u(a,"",v),a}function u(v,a,s){s&&typeof s=="object"&&!Array.isArray(s)?Object.keys(s).forEach(t=>u(v,a?`${a}.${t}`:t,s[t])):v.push(a)}function f(v){return[v.appRoot,v.extensionsPath,v.userHome.fsPath,v.tmpDir.fsPath,v.userDataPath]}i.getPiiPathsFromEnvironment=f}),define(Z[131],ee([0,1,103,42]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.resolveMarketplaceHeaders=void 0;async function b(R,T,m,l,h,I,P){const g={"X-Market-Client-Id":`VSCode ${R}`,"User-Agent":`VSCode ${R} (${T.nameShort})`},E=await(0,C.getServiceMachineId)(m,h,I),{sessionId:c}=await P.getTelemetryInfo();return(0,D.supportsTelemetry)(T,m)&&(0,D.getTelemetryLevel)(l)===3&&(g["X-Market-User-Id"]=E,g["VSCode-SessionId"]=c),g}i.resolveMarketplaceHeaders=b}),define(Z[132],ee([0,1,12,24,42]),function($,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AbstractOneDataSystemAppender=void 0;const R="https://mobile.events.data.microsoft.com/OneCollector/1.0";async function T(l,h,I){const P=await new Promise((S,u)=>{$(["@microsoft/1ds-core-js"],S,u)}),g=await new Promise((S,u)=>{$(["@microsoft/1ds-post-js"],S,u)}),E=new P.AppInsightsCore,c=new g.PostChannel,d={instrumentationKey:l,endpointUrl:R,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[c]]};if(I){d.extensionConfig={};const S={alwaysUseXhrOverride:!0,httpXHROverride:I};d.extensionConfig[c.identifier]=S}return E.initialize(d,[]),E.addTelemetryInitializer(S=>{h&&(S.ext=S.ext??{},S.ext.utc=S.ext.utc??{},S.ext.utc.flags=8462029)}),E}class m{constructor(h,I,P,g,E){this._configurationService=h,this._eventPrefix=I,this._defaultData=P,this._xhrOverride=E,this.endPointUrl=R,this._defaultData||(this._defaultData={}),typeof g=="function"?this._aiCoreOrKey=g():this._aiCoreOrKey=g,this._asyncAiCore=null}_withAIClient(h){if(!!this._aiCoreOrKey){if(typeof this._aiCoreOrKey!="string"){h(this._aiCoreOrKey);return}if(!this._asyncAiCore){const I=this._configurationService?.getValue("telemetry.internalTesting");this._asyncAiCore=T(this._aiCoreOrKey,I,this._xhrOverride)}this._asyncAiCore.then(I=>{h(I)},I=>{(0,C.onUnexpectedError)(I),console.error(I)})}}log(h,I){if(!this._aiCoreOrKey)return;I=(0,D.mixin)(I,this._defaultData),I=(0,b.validateTelemetryData)(I);const P=this._eventPrefix+"/"+h;try{this._withAIClient(g=>{g.pluginVersionString=I?.properties.version??"Unknown",g.track({name:P,baseData:{name:P,properties:I?.properties,measurements:I?.measurements}})})}catch{}}flush(){return this._aiCoreOrKey?new Promise(h=>{this._withAIClient(I=>{I.unload(!0,()=>{this._aiCoreOrKey=void 0,h(void 0)})})}):Promise.resolve(void 0)}}i.AbstractOneDataSystemAppender=m}),define(Z[133],ee([0,1,2,24,53,13,30,97,21,40,134,27,32,34,42]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.TelemetryService=void 0;let d=class{constructor(f,v,a){this._configurationService=v,this._productService=a,this._experimentProperties={},this.telemetryLevel=new b.MutableObservableValue(3),this._disposables=new C.DisposableStore,this._cleanupPatterns=[],this._appenders=f.appenders,this._commonProperties=f.commonProperties||Promise.resolve({}),this._piiPaths=f.piiPaths||[],this._sendErrorTelemetry=!!f.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(const s of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,T.escapeRegExpCharacters)(s),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(f,v){this._experimentProperties[f]=v}_updateTelemetryLevel(){let f=(0,c.getTelemetryLevel)(this._configurationService);const v=this._productService.enabledTelemetryLevels;if(v){this._sendErrorTelemetry=this.sendErrorTelemetry?v.error:!1;const a=v.usage?3:v.error?2:0;f=Math.min(f,a)}this.telemetryLevel.value=f}get sendErrorTelemetry(){return this._sendErrorTelemetry}async getTelemetryInfo(){const f=await this._commonProperties,v=f.sessionID,a=f["common.machineId"],s=f["common.firstSessionDate"],t=f["common.msftInternal"];return{sessionId:v,machineId:a,firstSessionDate:s,msftInternal:t}}dispose(){this._disposables.dispose()}_log(f,v,a,s){return this.telemetryLevel.value<v?Promise.resolve(void 0):this._commonProperties.then(t=>{a=(0,D.mixin)(a,t),a=(0,D.mixin)(a,this._experimentProperties),a=(0,D.cloneAndChange)(a,n=>{if(typeof n=="string")return this._cleanupInfo(n,s)}),this._appenders.forEach(n=>n.log(f,a))},t=>{console.error(t)})}publicLog(f,v,a){return this._log(f,3,v,a)}publicLog2(f,v,a){return this.publicLog(f,v,a)}publicLogError(f,v){return this._sendErrorTelemetry?this._log(f,2,v,!0):Promise.resolve(void 0)}publicLogError2(f,v){return this.publicLogError(f,v)}_anonymizeFilePaths(f){let v=f;const a=[];for(const e of this._cleanupPatterns)for(;;){const r=e.exec(f);if(!r)break;a.push([r.index,e.lastIndex])}const s=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,t=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let n=0;for(v="";;){const e=t.exec(f);if(!e)break;!s.test(e[0])&&a.every(([r,o])=>e.index<r||e.index>=o)&&(v+=f.substring(n,e.index)+"<REDACTED: user-file-path>",n=t.lastIndex)}return n<f.length&&(v+=f.substr(n)),v}_removePropertiesWithPossibleUserInfo(f){if(!f)return f;const v=f.toLowerCase(),a=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/},{label:"Email",regex:/@[a-zA-Z0-9-.]+/}];for(const s of a)if(s.regex.test(v))return`<REDACTED: ${s.label}>`;return f}_cleanupInfo(f,v){let a=f;v&&(a=this._anonymizeFilePaths(a));for(const s of this._cleanupPatterns)a=a.replace(s,"");return a=this._removePropertiesWithPossibleUserInfo(a),a}};d.IDLE_START_EVENT_NAME="UserIdleStart",d.IDLE_STOP_EVENT_NAME="UserIdleStop",d=fe([te(1,l.IConfigurationService),te(2,P.IProductService)],d),i.TelemetryService=d;function S(){const u=(0,m.localize)(0,null,I.default.nameLong),f=I.default.privacyStatementUrl?(0,m.localize)(2,null,"https://aka.ms/vscode-telemetry",I.default.privacyStatementUrl):(0,m.localize)(1,null,"https://aka.ms/vscode-telemetry"),v=R.isWeb?"":(0,m.localize)(3,null),a=(0,m.localize)(4,null),s=(0,m.localize)(5,null),t=(0,m.localize)(6,null),n=(0,m.localize)(7,null),e=`
|       | ${a} | ${s} | ${t} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,r=(0,m.localize)(8,null);return`
${u} ${f} ${v}

&nbsp;

${n}
${e}

&nbsp;

${r}
`}g.Registry.as(h.Extensions.Configuration).registerConfiguration({id:E.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,m.localize)(9,null),properties:{[E.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,m.localize)(10,null),(0,m.localize)(11,null),(0,m.localize)(12,null),(0,m.localize)(13,null)],markdownDescription:S(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),g.Registry.as(h.Extensions.Configuration).registerConfiguration({id:E.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,m.localize)(14,null),properties:{[E.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:I.default.privacyStatementUrl?(0,m.localize)(16,null,I.default.nameLong,I.default.privacyStatementUrl):(0,m.localize)(15,null,I.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,m.localize)(17,null,`\`#${E.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(Z[135],ee([0,1,157,132]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.OneDataSystemAppender=void 0;class b extends D.AbstractOneDataSystemAppender{constructor(T,m,l,h){const I={sendPOST:(P,g)=>{const E={method:"POST",headers:{...P.headers,"Content-Type":"application/json","Content-Length":Buffer.byteLength(P.data)}};try{const c=C.request(P.urlString,E,d=>{d.on("data",function(S){g(d.statusCode??200,d.headers,S.toString())}),d.on("error",function(S){g(0,{})})});c.write(P.data),c.end()}catch{g(0,{})}}};super(T,m,l,h,I)}}i.OneDataSystemAppender=b}),define(Z[136],ee([0,1,14,20]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.buildTelemetryMessage=void 0;async function b(R,T){const m=Object.create(null),l=(I,P)=>{const g=JSON.parse(I);m[P]=g};if(T){const I=[],P=await D.Promises.readdir(T);for(const E of P)try{(await D.Promises.stat((0,C.join)(T,E))).isDirectory()&&I.push(E)}catch{}const g=[];for(const E of I)(await D.Promises.readdir((0,C.join)(T,E))).filter(d=>d==="telemetry.json").length===1&&g.push(E);for(const E of g){const c=(await D.Promises.readFile((0,C.join)(T,E,"telemetry.json"))).toString();l(c,E)}}let h=(await D.Promises.readFile((0,C.join)(R,"telemetry-core.json"))).toString();return l(h,"vscode-core"),h=(await D.Promises.readFile((0,C.join)(R,"telemetry-extensions.json"))).toString(),l(h,"vscode-extensions"),JSON.stringify(m,null,4)}i.buildTelemetryMessage=b}),define(Z[28],ee([0,1,8]),function($,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IUriIdentityService=void 0,i.IUriIdentityService=(0,C.createDecorator)("IUriIdentityService")}),define(Z[137],ee([0,1,4,2,10,18,23,11,9,28]),function($,i,C,D,b,R,T,m,l,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsWatcher=void 0;let I=class extends D.Disposable{constructor(g,E,c,d,S){super();this.extensionsManagementService=g,this.logService=d,this.uriIdentityService=S,this._onDidChangeExtensionsByAnotherSource=this._register(new C.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled().then(f=>{this.installedExtensions=f.map(v=>v.identifier),this.startTimestamp=Date.now()}),this._register(g.onInstallExtension(f=>this.onInstallExtension(f))),this._register(g.onDidInstallExtensions(f=>this.onDidInstallExtensions(f))),this._register(g.onDidUninstallExtension(f=>this.onDidUninstallExtension(f)));const u=b.URI.file(c.extensionsPath);this._register(E.watch(u)),this._register(C.Event.filter(E.onDidFilesChange,f=>f.rawChanges.some(v=>this.doesChangeAffects(v,u)))(()=>this.onDidChange()))}doesChangeAffects(g,E){return g.type!==1&&g.type!==2||!this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(g.resource),E)?!1:this.uriIdentityService.extUri.isEqual(g.resource,this.uriIdentityService.extUri.joinPath(E,".obsolete"))?!0:!this.uriIdentityService.extUri.basename(g.resource).startsWith(".")}onInstallExtension(g){this.addInstallingExtension(g.identifier)}onDidInstallExtensions(g){for(const E of g)this.removeInstallingExtension(E.identifier),E.local&&this.addInstalledExtension(E.identifier)}onDidUninstallExtension(g){g.error||this.removeInstalledExtension(g.identifier)}addInstallingExtension(g){this.removeInstallingExtension(g),this.installingExtensions.push(g)}removeInstallingExtension(g){this.installingExtensions=this.installingExtensions.filter(E=>!(0,T.areSameExtensions)(E,g))}addInstalledExtension(g){this.installedExtensions&&(this.removeInstalledExtension(g),this.installedExtensions.push(g))}removeInstalledExtension(g){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(E=>!(0,T.areSameExtensions)(E,g)))}async onDidChange(){if(this.installedExtensions){const g=await this.extensionsManagementService.getInstalled(),E=g.filter(d=>[...this.installingExtensions,...this.installedExtensions].some(S=>(0,T.areSameExtensions)(S,d.identifier))?!1:d.installedTimestamp&&d.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",d.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",d.identifier.id),!1)),c=this.installedExtensions.filter(d=>this.installingExtensions.some(S=>(0,T.areSameExtensions)(S,d))?!1:g.every(S=>!(0,T.areSameExtensions)(S.identifier,d))?(this.logService.info("Detected extension removed from another source",d.id),!0):!1);this.installedExtensions=g.map(d=>d.identifier),(E.length||c.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:E,removed:c})}}};I=fe([te(1,m.IFileService),te(2,R.INativeEnvironmentService),te(3,l.ILogService),te(4,h.IUriIdentityService)],I),i.ExtensionsWatcher=I}),define(Z[138],ee([0,1,28,104,11,17,68,4,2]),function($,i,C,D,b,R,T,m,l){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.UriIdentityService=void 0;class h{constructor(g){this.uri=g,this.time=h._clock++}touch(){return this.time=h._clock++,this}}h._clock=0;let I=class{constructor(g){this._fileService=g,this._dispooables=new l.DisposableStore,this._limit=2**16;const E=new Map,c=d=>{let S=E.get(d.scheme);return S===void 0&&(S=g.hasProvider(d)&&!this._fileService.hasCapability(d,1024),E.set(d.scheme,S)),S};this._dispooables.add(m.Event.any(g.onDidChangeFileSystemProviderRegistrations,g.onDidChangeFileSystemProviderCapabilities)(d=>{E.delete(d.scheme)})),this.extUri=new R.ExtUri(c),this._canonicalUris=new T.SkipList((d,S)=>this.extUri.compare(d,S,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(g){this._fileService.hasProvider(g)&&(g=(0,R.normalizePath)(g));const E=this._canonicalUris.get(g);return E?E.touch().uri.with({fragment:g.fragment}):(this._canonicalUris.set(g,new h(g)),this._checkTrim(),g)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const g=[...this._canonicalUris.entries()].sort((c,d)=>c[1].touch<d[1].touch?1:c[1].touch>d[1].touch?-1:0);h._clock=0,this._canonicalUris.clear();const E=this._limit*.5;for(let c=0;c<E;c++)this._canonicalUris.set(g[c][0],g[c][1].touch())}};I=fe([te(0,b.IFileService)],I),i.UriIdentityService=I,(0,D.registerSingleton)(C.IUriIdentityService,I,!0)}),define(Z[139],ee([0,1,99,14,36,17,10,8,16]),function($,i,C,D,b,R,T,m,l){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.hasWorkspaceFileExtension=i.isSavedWorkspace=i.isTemporaryWorkspace=i.isUntitledWorkspace=i.UNTITLED_WORKSPACE_NAME=i.WORKSPACE_FILTER=i.WORKSPACE_EXTENSION=i.toWorkspaceFolder=i.WorkspaceFolder=i.Workspace=i.isWorkspaceFolder=i.isWorkspace=i.WorkbenchState=i.reviveIdentifier=i.isWorkspaceIdentifier=i.toWorkspaceIdentifier=i.isSingleFolderWorkspaceIdentifier=i.IWorkspaceContextService=void 0,i.IWorkspaceContextService=(0,m.createDecorator)("contextService");function h(e){const r=e;return typeof r?.id=="string"&&T.URI.isUri(r.uri)}i.isSingleFolderWorkspaceIdentifier=h;function I(e){if(e.configuration)return{id:e.id,configPath:e.configuration};if(e.folders.length===1)return{id:e.id,uri:e.folders[0].uri}}i.toWorkspaceIdentifier=I;function P(e){const r=e;return typeof r?.id=="string"&&T.URI.isUri(r.configPath)}i.isWorkspaceIdentifier=P;function g(e){const r=e;if(r?.uri)return{id:r.id,uri:T.URI.revive(r.uri)};const o=e;if(o?.configPath)return{id:o.id,configPath:T.URI.revive(o.configPath)};if(e?.id)return{id:e.id}}i.reviveIdentifier=g;var E;(function(e){e[e.EMPTY=1]="EMPTY",e[e.FOLDER=2]="FOLDER",e[e.WORKSPACE=3]="WORKSPACE"})(E=i.WorkbenchState||(i.WorkbenchState={}));function c(e){const r=e;return!!(r&&typeof r=="object"&&typeof r.id=="string"&&Array.isArray(r.folders))}i.isWorkspace=c;function d(e){const r=e;return!!(r&&typeof r=="object"&&T.URI.isUri(r.uri)&&typeof r.name=="string"&&typeof r.toResource=="function")}i.isWorkspaceFolder=d;class S{constructor(r,o,p,y,w){this._id=r,this._transient=p,this._configuration=y,this._ignorePathCasing=w,this._foldersMap=b.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=o}update(r){this._id=r.id,this._configuration=r.configuration,this._transient=r.transient,this._ignorePathCasing=r._ignorePathCasing,this.folders=r.folders}get folders(){return this._folders}set folders(r){this._folders=r,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(r){this._configuration=r}getFolder(r){return r&&this._foldersMap.findSubstr(r)||null}updateFoldersMap(){this._foldersMap=b.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const r of this.folders)this._foldersMap.set(r.uri,r)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}i.Workspace=S;class u{constructor(r,o){this.raw=o,this.uri=r.uri,this.index=r.index,this.name=r.name}toResource(r){return(0,R.joinPath)(this.uri,r)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}i.WorkspaceFolder=u;function f(e){return new u({uri:e,index:0,name:(0,R.basenameOrAuthority)(e)},{uri:e.toString()})}i.toWorkspaceFolder=f,i.WORKSPACE_EXTENSION="code-workspace";const v=`.${i.WORKSPACE_EXTENSION}`;i.WORKSPACE_FILTER=[{name:(0,C.localize)(0,null),extensions:[i.WORKSPACE_EXTENSION]}],i.UNTITLED_WORKSPACE_NAME="workspace.json";function a(e,r){return R.extUriBiasedIgnorePathCase.isEqualOrParent(e,r.untitledWorkspacesHome)}i.isUntitledWorkspace=a;function s(e){let r;return T.URI.isUri(e)?r=e:r=e.configuration,r?.scheme===l.Schemas.tmp}i.isTemporaryWorkspace=s;function t(e,r){return!a(e,r)&&!s(e)}i.isSavedWorkspace=t;function n(e){return(typeof e=="string"?(0,D.extname)(e):(0,R.extname)(e))===v}i.hasWorkspaceFileExtension=n}),define(Z[26],ee([0,1,54,4,2,17,7,10,98,18,11,8,9,139,36,28,3]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.UserDataProfilesService=i.toUserDataProfile=i.EXTENSIONS_RESOURCE_NAME=i.reviveProfile=i.IUserDataProfilesService=i.PROFILES_ENABLEMENT_CONFIG=i.isUserDataProfile=void 0;function u(s){const t=s;return!!(t&&typeof t=="object"&&typeof t.id=="string"&&typeof t.isDefault=="boolean"&&typeof t.name=="string"&&m.URI.isUri(t.location)&&m.URI.isUri(t.globalStorageHome)&&m.URI.isUri(t.settingsResource)&&m.URI.isUri(t.keybindingsResource)&&m.URI.isUri(t.tasksResource)&&m.URI.isUri(t.snippetsHome)&&((0,T.isUndefined)(t.extensionsResource)||m.URI.isUri(t.extensionsResource)))}i.isUserDataProfile=u,i.PROFILES_ENABLEMENT_CONFIG="workbench.experimental.settingsProfiles.enabled",i.IUserDataProfilesService=(0,P.createDecorator)("IUserDataProfilesService");function f(s,t){return{id:s.id,isDefault:s.isDefault,name:s.name,location:m.URI.revive(s.location).with({scheme:t}),globalStorageHome:m.URI.revive(s.globalStorageHome).with({scheme:t}),settingsResource:m.URI.revive(s.settingsResource).with({scheme:t}),keybindingsResource:m.URI.revive(s.keybindingsResource).with({scheme:t}),tasksResource:m.URI.revive(s.tasksResource).with({scheme:t}),snippetsHome:m.URI.revive(s.snippetsHome).with({scheme:t}),extensionsResource:m.URI.revive(s.extensionsResource)?.with({scheme:t})}}i.reviveProfile=f,i.EXTENSIONS_RESOURCE_NAME="extensions.json";function v(s,t,n){return{id:(0,C.hash)(t.path).toString(16),name:s,location:t,isDefault:!1,globalStorageHome:(0,R.joinPath)(t,"globalStorage"),settingsResource:(0,R.joinPath)(t,"settings.json"),keybindingsResource:(0,R.joinPath)(t,"keybindings.json"),tasksResource:(0,R.joinPath)(t,"tasks.json"),snippetsHome:(0,R.joinPath)(t,"snippets"),extensionsResource:(0,R.joinPath)(t,i.EXTENSIONS_RESOURCE_NAME),useDefaultFlags:n}}i.toUserDataProfile=v;let a=class extends b.Disposable{constructor(t,n,e,r){super();this.environmentService=t,this.fileService=n,this.uriIdentityService=e,this.logService=r,this.enabled=!1,this.defaultProfileShouldIncludeExtensionsResourceAlways=!1,this._onDidChangeProfiles=this._register(new D.Emitter),this.onDidChangeProfiles=this._onDidChangeProfiles.event,this._onWillCreateProfile=this._register(new D.Emitter),this.onWillCreateProfile=this._onWillCreateProfile.event,this._onWillRemoveProfile=this._register(new D.Emitter),this.onWillRemoveProfile=this._onWillRemoveProfile.event,this.profilesHome=(0,R.joinPath)(this.environmentService.userRoamingDataHome,"profiles")}get defaultProfile(){return this.profiles[0]}get profiles(){return this.profilesObject.profiles}setEnablement(t){this.enabled!==t&&(this._profilesObject=void 0,this.enabled=t)}get profilesObject(){if(!this._profilesObject){const t=this.enabled?this.getStoredProfiles().map(o=>v(o.name,o.location,o.useDefaultFlags)):[];let n;const e=new c.ResourceMap;if(t.length){const o=this.getStoredProfileAssociations();if(o.workspaces)for(const[p,y]of Object.entries(o.workspaces)){const w=m.URI.parse(p),L=m.URI.parse(y),U=t.find(B=>this.uriIdentityService.extUri.isEqual(B.location,L));U&&e.set(w,U)}if(o.emptyWindow){const p=m.URI.parse(o.emptyWindow);n=t.find(y=>this.uriIdentityService.extUri.isEqual(y.location,p))}}const r=v((0,l.localize)(0,null),this.environmentService.userRoamingDataHome);t.unshift({...r,isDefault:!0,extensionsResource:this.defaultProfileShouldIncludeExtensionsResourceAlways||t.length>0?r.extensionsResource:void 0}),this._profilesObject={profiles:t,workspaces:e,emptyWindow:n}}return this._profilesObject}getProfile(t){const n=this.getWorkspace(t);return(m.URI.isUri(n)?this.profilesObject.workspaces.get(n):this.profilesObject.emptyWindow)??this.defaultProfile}getWorkspace(t){return(0,E.isSingleFolderWorkspaceIdentifier)(t)?t.uri:(0,E.isWorkspaceIdentifier)(t)?t.configPath:"empty-window"}async createProfile(t,n,e){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${i.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(this.getStoredProfiles().some(p=>p.name===t))throw new Error(`Profile with name ${t} already exists`);const r=v(t,(0,R.joinPath)(this.profilesHome,(0,C.hash)(t).toString(16)),n);await this.fileService.createFolder(r.location);const o=[];return this._onWillCreateProfile.fire({profile:r,join(p){o.push(p)}}),await S.Promises.settled(o),this.updateProfiles([r],[]),e&&await this.setProfileForWorkspace(r,e),r}async setProfileForWorkspace(t,n){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${i.PROFILES_ENABLEMENT_CONFIG}' setting.`);const e=this.profiles.find(r=>r.id===t.id);if(!e)throw new Error(`Profile '${t.name}' does not exist`);this.updateWorkspaceAssociation(n,e)}async unsetWorkspace(t){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${i.PROFILES_ENABLEMENT_CONFIG}' setting.`);this.updateWorkspaceAssociation(t)}async removeProfile(t){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${i.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(t.isDefault)throw new Error("Cannot remove default profile");const n=this.profiles.find(r=>r.id===t.id);if(!n)throw new Error(`Profile '${t.name}' does not exist`);const e=[];this._onWillRemoveProfile.fire({profile:n,join(r){e.push(r)}}),await S.Promises.settled(e),n.id===this.profilesObject.emptyWindow?.id&&(this.profilesObject.emptyWindow=void 0);for(const r of[...this.profilesObject.workspaces.keys()])n.id===this.profilesObject.workspaces.get(r)?.id&&this.profilesObject.workspaces.delete(r);this.updateStoredProfileAssociations(),this.updateProfiles([],[n]);try{this.profiles.length===1?await this.fileService.del(this.profilesHome,{recursive:!0}):await this.fileService.del(n.location,{recursive:!0})}catch(r){this.logService.error(r)}}updateProfiles(t,n){const e=[];for(const r of[...this.profilesObject.profiles,...t])r.isDefault||n.some(o=>r.id===o.id)||e.push({location:r.location,name:r.name,useDefaultFlags:r.useDefaultFlags});this.saveStoredProfiles(e),this._profilesObject=void 0,this.triggerProfilesChanges(t,n)}triggerProfilesChanges(t,n){this._onDidChangeProfiles.fire({added:t,removed:n,all:this.profiles})}updateWorkspaceAssociation(t,n){const e=this.getWorkspace(t);m.URI.isUri(e)?(this.profilesObject.workspaces.delete(e),n&&!n.isDefault&&this.profilesObject.workspaces.set(e,n)):this.profilesObject.emptyWindow=n?.isDefault?void 0:n,this.updateStoredProfileAssociations()}updateStoredProfileAssociations(){const t={};for(const[e,r]of this.profilesObject.workspaces.entries())t[e.toString()]=r.location.toString();const n=this.profilesObject.emptyWindow?.location.toString();this.saveStoredProfileAssociations({workspaces:t,emptyWindow:n}),this._profilesObject=void 0}getStoredProfiles(){return[]}saveStoredProfiles(t){throw new Error("not implemented")}getStoredProfileAssociations(){return{}}saveStoredProfileAssociations(t){throw new Error("not implemented")}};a.PROFILES_KEY="userDataProfiles",a.PROFILE_ASSOCIATIONS_KEY="profileAssociations",a=fe([te(0,h.IEnvironmentService),te(1,I.IFileService),te(2,d.IUriIdentityService),te(3,g.ILogService)],a),i.UserDataProfilesService=a}),define(Z[140],ee([0,1,19,3,25,12,4,2,13,10,84,22,23,33,9,27,34,26]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S,u){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AbstractExtensionTask=i.reportTelemetry=i.joinErrors=i.AbstractExtensionManagementService=void 0;let f=class extends m.Disposable{constructor(e,r,o,p,y){super();this.galleryService=e,this.telemetryService=r,this.logService=o,this.productService=p,this.userDataProfilesService=y,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new T.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new T.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new T.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new T.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,m.toDisposable)(()=>{this.installingExtensions.forEach(w=>w.cancel()),this.uninstallingExtensions.forEach(w=>w.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(e){const r=await this.getTargetPlatform();return e.allTargetPlatforms.some(o=>(0,P.isTargetPlatformCompatible)(o,e.allTargetPlatforms,r))}async installFromGallery(e,r={}){try{if(!this.galleryService.isEnabled())throw new P.ExtensionManagementError(I.localize(0,null),P.ExtensionManagementErrorCode.Internal);const o=await this.checkAndGetCompatibleVersion(e,!!r.installGivenVersion,!!r.installPreReleaseVersion);return await this.installExtension(o.manifest,o.extension,r)}catch(o){throw s(this.telemetryService,"extensionGallery:install",{extensionData:(0,g.getGalleryExtensionTelemetryData)(e),error:o}),this.logService.error("Failed to install extension.",e.identifier.id),this.logService.error(o),a(o)}}async uninstall(e,r={}){return this.logService.trace("ExtensionManagementService#uninstall",e.identifier.id),this.unininstallExtension(e,r)}async reinstallFromGallery(e){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",e.identifier.id),!this.galleryService.isEnabled())throw new Error(I.localize(1,null));const r=await this.getTargetPlatform(),[o]=await this.galleryService.getExtensions([{...e.identifier,preRelease:e.preRelease}],{targetPlatform:r,compatible:!0},b.CancellationToken.None);if(!o)throw new Error(I.localize(2,null));await this.createUninstallExtensionTask(e,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(o)}getExtensionsControlManifest(){const e=new Date().getTime();return(!this.extensionsControlManifest||e-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=e),this.extensionsControlManifest}registerParticipant(e){this.participants.push(e)}async installExtension(e,r,o){const p=B=>`${g.ExtensionKey.create(B).toString()}${o.profileLocation?`-${o.profileLocation.toString()}`:""}`;if(!h.URI.isUri(r)){const B=this.installingExtensions.get(p(r));if(B){this.logService.info("Extensions is already requested to install",r.identifier.id);const{local:q}=await B.waitUntilTaskIsFinished();return q}o={...o,installOnlyNewlyAddedFromExtensionPack:!0}}const y=[],w=[],L=this.createInstallExtensionTask(e,r,o);h.URI.isUri(r)||this.installingExtensions.set(p(r),L),this._onInstallExtension.fire({identifier:L.identifier,source:r,profileLocation:o.profileLocation}),this.logService.info("Installing extension:",L.identifier.id),y.push({task:L,manifest:e});let U=!1;try{if(o.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",L.identifier.id);else try{const q=await this.getAllDepsAndPackExtensionsToInstall(L.identifier,e,!!o.installOnlyNewlyAddedFromExtensionPack,!!o.installPreReleaseVersion,o.profileLocation);for(const{gallery:Y,manifest:ne}of q){U=U||!!ne.extensionDependencies?.some(re=>(0,g.areSameExtensions)({id:re},L.identifier));const le=p(Y);if(this.installingExtensions.has(le))this.logService.info("Extension is already requested to install",Y.identifier.id);else{const re=this.createInstallExtensionTask(ne,Y,{...o,donotIncludePackAndDependencies:!0});this.installingExtensions.set(le,re),this._onInstallExtension.fire({identifier:re.identifier,source:Y,profileLocation:o.profileLocation}),this.logService.info("Installing extension:",re.identifier.id),y.push({task:re,manifest:ne})}}}catch(q){if(h.URI.isUri(L.source))(0,C.isNonEmptyArray)(e.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",L.identifier.id,q.message),(0,C.isNonEmptyArray)(e.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",L.identifier.id,q.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",L.identifier.id),q}const B=y.reduce((q,{task:Y,manifest:ne})=>(q.set(Y.identifier.id.toLowerCase(),{task:Y,manifest:ne}),q),new Map);for(;B.size;){let q;const Y=[...B.values()].filter(({manifest:ne})=>!ne.extensionDependencies?.some(le=>B.has(le.toLowerCase())));Y.length?q=B.size===1?Y:Y.filter(({task:ne})=>!(ne===L&&!U)):(this.logService.info("Found extensions with circular dependencies",Y.map(({task:ne})=>ne.identifier.id)),q=[...B.values()]),await this.joinAllSettled(q.map(async({task:ne})=>{const le=new Date().getTime();try{const{local:re}=await ne.run();if(await this.joinAllSettled(this.participants.map(ge=>ge.postInstall(re,ne.source,o,b.CancellationToken.None))),!h.URI.isUri(ne.source)){const ge=ne.operation===3,ae=ge?void 0:(new Date().getTime()-ne.source.lastUpdated)/1e3;if(s(this.telemetryService,ge?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,g.getGalleryExtensionTelemetryData)(ne.source),duration:new Date().getTime()-le,durationSinceUpdate:ae}),l.isWeb&&ne.operation!==3)try{await this.galleryService.reportStatistic(re.manifest.publisher,re.manifest.name,re.manifest.version,"install")}catch{}}w.push({local:re,identifier:ne.identifier,operation:ne.operation,source:ne.source,context:o.context,profileLocation:o.profileLocation,applicationScoped:re.isApplicationScoped})}catch(re){throw h.URI.isUri(ne.source)||s(this.telemetryService,ne.operation===3?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,g.getGalleryExtensionTelemetryData)(ne.source),duration:new Date().getTime()-le,error:re}),this.logService.error("Error while installing the extension:",ne.identifier.id),re}finally{B.delete(ne.identifier.id.toLowerCase())}}))}return w.forEach(({identifier:q})=>this.logService.info("Extension installed successfully:",q.id)),this._onDidInstallExtensions.fire(w),w.filter(({identifier:q})=>(0,g.areSameExtensions)(q,L.identifier))[0].local}catch(B){if(y.forEach(({task:q})=>q.cancel()),w.length)try{const q=await Promise.allSettled(w.map(({local:Y})=>this.createUninstallExtensionTask(Y,{versionOnly:!0,profileLocation:o.profileLocation}).run()));for(let Y=0;Y<q.length;Y++){const ne=q[Y],{identifier:le}=w[Y];ne.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",le.id):this.logService.warn("Rollback: Error while uninstalling extension",le.id,(0,R.getErrorMessage)(ne.reason))}}catch(q){this.logService.warn("Error while rolling back extensions",(0,R.getErrorMessage)(q),w.map(({identifier:Y})=>Y.id))}throw this._onDidInstallExtensions.fire(y.map(({task:q})=>({identifier:q.identifier,operation:2,source:q.source,context:o.context,profileLocation:o.profileLocation}))),B}finally{for(const{task:B}of y)if(!h.URI.isUri(B.source)){const q=p(B.source);this.installingExtensions.delete(q)||this.logService.warn("Installation task is not found in the cache",q)}}}async joinAllSettled(e){const r=[],o=[],p=await Promise.allSettled(e);for(const y of p)y.status==="fulfilled"?r.push(y.value):o.push(y.reason);if(o.length)throw v(o);return r}async getAllDepsAndPackExtensionsToInstall(e,r,o,p,y){if(!this.galleryService.isEnabled())return[];let w=await this.getInstalled(void 0,y);const L=[e,...w.map(q=>q.identifier)],U=[],B=async(q,Y)=>{const ne=Y.extensionDependencies||[],le=[...ne];if(Y.extensionPack){const re=o?w.find(ge=>(0,g.areSameExtensions)(ge.identifier,q)):void 0;for(const ge of Y.extensionPack)re&&re.manifest.extensionPack&&re.manifest.extensionPack.some(ae=>(0,g.areSameExtensions)({id:ae},{id:ge}))||le.every(ae=>!(0,g.areSameExtensions)({id:ae},{id:ge}))&&le.push(ge)}if(le.length){const re=[...L,...U.map(ae=>ae.gallery.identifier)],ge=le.filter(ae=>re.every(N=>!(0,g.areSameExtensions)(N,{id:ae})));if(ge.length){const ae=await this.galleryService.getExtensions(ge.map(N=>({id:N,preRelease:p})),b.CancellationToken.None);for(const N of ae){if(re.find(A=>(0,g.areSameExtensions)(A,N.identifier)))continue;const _=ne.some(A=>(0,g.areSameExtensions)({id:A},N.identifier));let M;try{M=await this.checkAndGetCompatibleVersion(N,!1,p)}catch(A){if(A instanceof P.ExtensionManagementError&&A.code===P.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!_){this.logService.info("Skipping the packed extension as it cannot be installed",N.identifier.id);continue}else throw A}U.push({gallery:M.extension,manifest:M.manifest}),await B(M.extension.identifier,M.manifest)}}}};return await B(e,r),w=await this.getInstalled(void 0,y),U.filter(q=>!w.some(Y=>(0,g.areSameExtensions)(Y.identifier,q.gallery.identifier)))}async checkAndGetCompatibleVersion(e,r,o){const p=await this.getExtensionsControlManifest();if((0,g.getMaliciousExtensionsSet)(p).has(e.identifier.id))throw new P.ExtensionManagementError(I.localize(3,null,e.identifier.id),P.ExtensionManagementErrorCode.Malicious);if(!await this.canInstall(e)){const L=await this.getTargetPlatform();throw new P.ExtensionManagementError(I.localize(4,null,e.identifier.id,this.productService.nameLong,(0,P.TargetPlatformToString)(L)),P.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const y=await this.getCompatibleVersion(e,r,o);if(y){if(o&&!r&&e.hasPreReleaseVersion&&!y.properties.isPreReleaseVersion)throw new P.ExtensionManagementError(I.localize(5,null,e.identifier.id,this.productService.nameLong,this.productService.version),P.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!o&&e.properties.isPreReleaseVersion&&(await this.galleryService.getExtensions([e.identifier],b.CancellationToken.None))[0]?new P.ExtensionManagementError(I.localize(6,null,e.identifier.id),P.ExtensionManagementErrorCode.ReleaseVersionNotFound):new P.ExtensionManagementError(I.localize(7,null,e.identifier.id,this.productService.nameLong,this.productService.version),P.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",y.identifier.id);const w=await this.galleryService.getManifest(y,b.CancellationToken.None);if(w===null)throw new P.ExtensionManagementError(`Missing manifest for extension ${e.identifier.id}`,P.ExtensionManagementErrorCode.Invalid);if(w.version!==y.version)throw new P.ExtensionManagementError(`Cannot install '${e.identifier.id}' extension because of version mismatch in Marketplace`,P.ExtensionManagementErrorCode.Invalid);return{extension:y,manifest:w}}async getCompatibleVersion(e,r,o){const p=await this.getTargetPlatform();let y=null;return!r&&e.hasPreReleaseVersion&&e.properties.isPreReleaseVersion!==o&&(y=(await this.galleryService.getExtensions([{...e.identifier,preRelease:o}],{targetPlatform:p,compatible:!0},b.CancellationToken.None))[0]||null),!y&&await this.galleryService.isExtensionCompatible(e,o,p)&&(y=e),y||(r?y=(await this.galleryService.getExtensions([{...e.identifier,version:e.version}],{targetPlatform:p,compatible:!0},b.CancellationToken.None))[0]||null:y=await this.galleryService.getCompatibleExtension(e,o,p)),y}async unininstallExtension(e,r){const o=B=>`${B.id.toLowerCase()}${r.profileLocation?`@${r.profileLocation.toString()}`:""}`,p=this.uninstallingExtensions.get(o(e.identifier));if(p)return this.logService.info("Extensions is already requested to uninstall",e.identifier.id),p.waitUntilTaskIsFinished();const y=(B,q)=>{const Y=this.createUninstallExtensionTask(B,q);return this.uninstallingExtensions.set(o(Y.extension.identifier),Y),r.profileLocation?this.logService.info("Uninstalling extension from the profile:",`${B.identifier.id}@${B.manifest.version}`,r.profileLocation.toString()):this.logService.info("Uninstalling extension:",`${B.identifier.id}@${B.manifest.version}`),this._onUninstallExtension.fire({identifier:B.identifier,profileLocation:r.profileLocation,applicationScoped:B.isApplicationScoped}),Y},w=(B,q)=>{q?r.profileLocation?this.logService.error("Failed to uninstall extension from the profile:",`${B.identifier.id}@${B.manifest.version}`,r.profileLocation.toString(),q.message):this.logService.error("Failed to uninstall extension:",`${B.identifier.id}@${B.manifest.version}`,q.message):r.profileLocation?this.logService.info("Successfully uninstalled extension from the profile",`${B.identifier.id}@${B.manifest.version}`,r.profileLocation.toString()):this.logService.info("Successfully uninstalled extension:",`${B.identifier.id}@${B.manifest.version}`),s(this.telemetryService,"extensionGallery:uninstall",{extensionData:(0,g.getLocalExtensionTelemetryData)(B),error:q}),this._onDidUninstallExtension.fire({identifier:B.identifier,version:B.manifest.version,error:q?.code,profileLocation:r.profileLocation,applicationScoped:B.isApplicationScoped})},L=[],U=[];try{L.push(y(e,r));const B=await this.getInstalled(1,r.profileLocation);if(r.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",`${e.identifier.id}@${e.manifest.version}`);else{const q=this.getAllPackExtensionsToUninstall(e,B);for(const Y of q)this.uninstallingExtensions.has(o(Y.identifier))?this.logService.info("Extensions is already requested to uninstall",Y.identifier.id):L.push(y(Y,r))}r.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",`${e.identifier.id}@${e.manifest.version}`):this.checkForDependents(L.map(q=>q.extension),B,e),await this.joinAllSettled(L.map(async q=>{try{if(await q.run(),await this.joinAllSettled(this.participants.map(Y=>Y.postUninstall(q.extension,r,b.CancellationToken.None))),q.extension.identifier.uuid)try{await this.galleryService.reportStatistic(q.extension.manifest.publisher,q.extension.manifest.name,q.extension.manifest.version,"uninstall")}catch{}w(q.extension)}catch(Y){const ne=Y instanceof P.ExtensionManagementError?Y:new P.ExtensionManagementError((0,R.getErrorMessage)(Y),P.ExtensionManagementErrorCode.Internal);throw w(q.extension,ne),ne}finally{U.push(q)}}))}catch(B){const q=B instanceof P.ExtensionManagementError?B:new P.ExtensionManagementError((0,R.getErrorMessage)(B),P.ExtensionManagementErrorCode.Internal);for(const Y of L){try{Y.cancel()}catch{}U.includes(Y)||w(Y.extension,q)}throw q}finally{for(const B of L)this.uninstallingExtensions.delete(o(B.extension.identifier))||this.logService.warn("Uninstallation task is not found in the cache",B.extension.identifier.id)}}checkForDependents(e,r,o){for(const p of e){const y=this.getDependents(p,r);if(y.length){const w=y.filter(L=>!e.some(U=>(0,g.areSameExtensions)(U.identifier,L.identifier)));if(w.length)throw new Error(this.getDependentsErrorMessage(p,w,o))}}}getDependentsErrorMessage(e,r,o){return o===e?r.length===1?I.localize(8,null,o.manifest.displayName||o.manifest.name,r[0].manifest.displayName||r[0].manifest.name):r.length===2?I.localize(9,null,o.manifest.displayName||o.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name):I.localize(10,null,o.manifest.displayName||o.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name):r.length===1?I.localize(11,null,o.manifest.displayName||o.manifest.name,e.manifest.displayName||e.manifest.name,r[0].manifest.displayName||r[0].manifest.name):r.length===2?I.localize(12,null,o.manifest.displayName||o.manifest.name,e.manifest.displayName||e.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name):I.localize(13,null,o.manifest.displayName||o.manifest.name,e.manifest.displayName||e.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name)}getAllPackExtensionsToUninstall(e,r,o=[]){if(o.indexOf(e)!==-1)return[];o.push(e);const p=e.manifest.extensionPack?e.manifest.extensionPack:[];if(p.length){const y=r.filter(L=>!L.isBuiltin&&p.some(U=>(0,g.areSameExtensions)({id:U},L.identifier))),w=[];for(const L of y)w.push(...this.getAllPackExtensionsToUninstall(L,r,o));return[...y,...w]}return[]}getDependents(e,r){return r.filter(o=>o.manifest.extensionDependencies&&o.manifest.extensionDependencies.some(p=>(0,g.areSameExtensions)({id:p},e.identifier)))}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const e=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",e),e}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[],deprecated:{}}}}createInstallExtensionTask(e,r,o){return o.profileLocation&&(0,E.isApplicationScopedExtension)(e)&&(o={...o,profileLocation:this.userDataProfilesService.defaultProfile.extensionsResource}),this.doCreateInstallExtensionTask(e,r,o)}createUninstallExtensionTask(e,r){return r.profileLocation&&e.isApplicationScoped&&(r={...r,profileLocation:this.userDataProfilesService.defaultProfile.extensionsResource}),this.doCreateUninstallExtensionTask(e,r)}};f=fe([te(0,P.IExtensionGalleryService),te(1,S.ITelemetryService),te(2,c.ILogService),te(3,d.IProductService),te(4,u.IUserDataProfilesService)],f),i.AbstractExtensionManagementService=f;function v(n){const e=Array.isArray(n)?n:[n];return e.length===1?e[0]instanceof Error?e[0]:new Error(e[0]):e.reduce((r,o)=>new Error(`${r.message}${r.message?",":""}${o instanceof Error?o.message:o}`),new Error(""))}i.joinErrors=v;function a(n){if(n instanceof P.ExtensionManagementError)return n;const e=new P.ExtensionManagementError(n.message,P.ExtensionManagementErrorCode.Internal);return e.stack=n.stack,e}function s(n,e,{extensionData:r,duration:o,error:p,durationSinceUpdate:y}){const w=p?p instanceof P.ExtensionManagementError?p.code:P.ExtensionManagementErrorCode.Internal:void 0;n.publicLog(e,{...r,success:!p,duration:o,errorcode:w,durationSinceUpdate:y})}i.reportTelemetry=s;class t{constructor(){this.barrier=new D.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(e=>this.doRun(e))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(e=>new Promise((r,o)=>{const p=e.onCancellationRequested(()=>{p.dispose(),o(new R.CancellationError)})})),this.barrier.open()),this.cancellablePromise.cancel()}}i.AbstractExtensionTask=t}),define(Z[49],ee([0,1,19,3,24,15,12,51,74,2,16,14,13,17,39,55,7,10,87,18,23,33,46,11,8,9,27,4,44,41,26,28]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S,u,f,v,a,s,t,n,e,r,o,p,y,w,L,U){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NativeExtensionsScannerService=i.toExtensionDescription=i.AbstractExtensionsScannerService=i.IExtensionsScannerService=i.Translations=void 0;var B;(function(ae){function N(_,M){if(_===M)return!0;const A=Object.keys(_),W=new Set;for(const G of Object.keys(M))W.add(G);if(A.length!==W.size)return!1;for(const G of A){if(_[G]!==M[G])return!1;W.delete(G)}return W.size===0}ae.equals=N})(B=i.Translations||(i.Translations={})),i.IExtensionsScannerService=(0,e.createDecorator)("IExtensionsScannerService");let q=class extends h.Disposable{constructor(N,_,M,A,W,G,Q,F,V,k,O){super();this.systemExtensionsLocation=N,this.userExtensionsLocation=_,this.extensionsControlLocation=M,this.cacheLocation=A,this.userDataProfilesService=W,this.extensionsProfileScannerService=G,this.fileService=Q,this.logService=F,this.environmentService=V,this.productService=k,this.instantiationService=O,this._onDidChangeCache=this._register(new p.Emitter),this.onDidChangeCache=this._onDidChangeCache.event,this.obsoleteFile=(0,E.joinPath)(this.userExtensionsLocation,".obsolete"),this.systemExtensionsCachedScanner=this._register(this.instantiationService.createInstance(le,(0,E.joinPath)(this.cacheLocation,s.BUILTIN_MANIFEST_CACHE_FILE),this.obsoleteFile)),this.userExtensionsCachedScanner=this._register(this.instantiationService.createInstance(le,(0,E.joinPath)(this.cacheLocation,s.USER_MANIFEST_CACHE_FILE),this.obsoleteFile)),this.extensionsScanner=this._register(this.instantiationService.createInstance(ne,this.obsoleteFile)),this._register(this.systemExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(0))),this._register(this.userExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(1)))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,a.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async scanAllExtensions(N,_){const[M,A]=await Promise.all([this.scanSystemExtensions(N),this.scanUserExtensions(_)]),W=await this.scanExtensionsUnderDevelopment(N,[...M,...A]);return this.dedupExtensions(M,A,W,await this.getTargetPlatform(),!0)}async scanSystemExtensions(N){const _=[];_.push(this.scanDefaultSystemExtensions(!!N.useCache,N.language)),_.push(this.scanDevSystemExtensions(N.language,!!N.checkControlFile));const[M,A]=await Promise.all(_);return this.applyScanOptions([...M,...A],0,N,!1)}async scanUserExtensions(N){this.logService.trace("Started scanning user extensions");const _=await this.createExtensionScannerInput(N.profileLocation??this.userExtensionsLocation,!!N.profileLocation,1,!N.includeUninstalled,N.language);let A=await(N.useCache&&!_.devMode&&_.excludeObsolete?this.userExtensionsCachedScanner:this.extensionsScanner).scanExtensions(_);return A=await this.applyScanOptions(A,1,N,!0),this.logService.trace("Scanned user extensions:",A.length),A}async scanExtensionsUnderDevelopment(N,_){if(this.environmentService.isExtensionDevelopment&&this.environmentService.extensionDevelopmentLocationURI){const M=(await Promise.all(this.environmentService.extensionDevelopmentLocationURI.filter(A=>A.scheme===I.Schemas.file).map(async A=>{const W=await this.createExtensionScannerInput(A,!1,1,!0,N.language,!1);return(await this.extensionsScanner.scanOneOrMultipleExtensions(W)).map(Q=>(Q.type=_.find(F=>(0,a.areSameExtensions)(F.identifier,Q.identifier))?.type??Q.type,this.extensionsScanner.validate(Q,W)))}))).flat();return this.applyScanOptions(M,"development",N,!0)}return[]}async scanExistingExtension(N,_,M){const A=await this.createExtensionScannerInput(N,!1,_,!0,M.language),W=await this.extensionsScanner.scanExtension(A);return!W||!M.includeInvalid&&!W.isValid?null:W}async scanOneOrMultipleExtensions(N,_,M){const A=await this.createExtensionScannerInput(N,!1,_,!0,M.language),W=await this.extensionsScanner.scanOneOrMultipleExtensions(A);return this.applyScanOptions(W,_,M,!0)}async scanMetadata(N){const _=(0,E.joinPath)(N,"package.json"),M=(await this.fileService.readFile(_)).value.toString();return JSON.parse(M).__metadata}async updateMetadata(N,_){const M=(0,E.joinPath)(N,"package.json"),A=(await this.fileService.readFile(M)).value.toString(),W=JSON.parse(A);_.isMachineScoped=_.isMachineScoped||void 0,_.isBuiltin=_.isBuiltin||void 0,_.installedTimestamp=_.installedTimestamp||void 0,W.__metadata={...W.__metadata,..._},await this.fileService.writeFile((0,E.joinPath)(N,"package.json"),R.VSBuffer.fromString(JSON.stringify(W,null,"	")))}async applyScanOptions(N,_,M,A){return M.includeAllVersions||(N=this.dedupExtensions(_===0?N:void 0,_===1?N:void 0,_==="development"?N:void 0,await this.getTargetPlatform(),A)),M.includeInvalid||(N=N.filter(W=>W.isValid)),N.sort((W,G)=>{const Q=P.basename(W.location.fsPath),F=P.basename(G.location.fsPath);return Q<F?-1:Q>F?1:0})}dedupExtensions(N,_,M,A,W){const G=(F,V)=>{if(F.isValid&&!V.isValid)return!1;if(F.isValid===V.isValid){if(W&&c.gt(F.manifest.version,V.manifest.version))return this.logService.debug(`Skipping extension ${V.location.path} with lower version ${V.manifest.version} in favour of ${F.location.path} with version ${F.manifest.version}`),!1;if(c.eq(F.manifest.version,V.manifest.version)){if(F.type===0)return this.logService.debug(`Skipping extension ${V.location.path} in favour of system extension ${F.location.path} with same version`),!1;if(F.targetPlatform===A)return this.logService.debug(`Skipping extension ${V.location.path} from different target platform ${V.targetPlatform}`),!1}}return F.type===0?this.logService.debug(`Overwriting system extension ${F.location.path} with ${V.location.path}.`):this.logService.warn(`Overwriting user extension ${F.location.path} with ${V.location.path}.`),!0},Q=new Map;return N?.forEach(F=>{const V=s.ExtensionIdentifier.toKey(F.identifier.id),k=Q.get(V);(!k||G(k,F))&&Q.set(V,F)}),_?.forEach(F=>{const V=s.ExtensionIdentifier.toKey(F.identifier.id),k=Q.get(V);if(!k&&N&&F.type===0){this.logService.debug(`Skipping obsolete system extension ${F.location.path}.`);return}(!k||G(k,F))&&Q.set(V,F)}),M?.forEach(F=>{const V=s.ExtensionIdentifier.toKey(F.identifier.id),k=Q.get(V);(!k||G(k,F))&&Q.set(V,F),Q.set(V,F)}),[...Q.values()]}async scanDefaultSystemExtensions(N,_){this.logService.trace("Started scanning system extensions");const M=await this.createExtensionScannerInput(this.systemExtensionsLocation,!1,0,!0,_),W=await(N&&!M.devMode?this.systemExtensionsCachedScanner:this.extensionsScanner).scanExtensions(M);return this.logService.trace("Scanned system extensions:",W.length),W}async scanDevSystemExtensions(N,_){const M=this.environmentService.isBuilt?[]:this.productService.builtInExtensions;if(!M?.length)return[];this.logService.trace("Started scanning dev system extensions");const A=_?await this.getBuiltInExtensionControl():{},W=[],G=u.URI.file(P.normalize(P.join(I.FileAccess.asFileUri("",$).fsPath,"..",".build","builtInExtensions")));for(const F of M){const V=A[F.name]||"marketplace";switch(V){case"disabled":break;case"marketplace":W.push((0,E.joinPath)(G,F.name));break;default:W.push(u.URI.file(V));break}}const Q=await Promise.all(W.map(async F=>this.extensionsScanner.scanExtension(await this.createExtensionScannerInput(F,!1,0,!0,N))));return this.logService.trace("Scanned dev system extensions:",Q.length),(0,C.coalesce)(Q)}async getBuiltInExtensionControl(){try{const N=await this.fileService.readFile(this.extensionsControlLocation);return JSON.parse(N.value.toString())}catch{return{}}}async createExtensionScannerInput(N,_,M,A,W,G=!0){const Q=await this.getTranslations(W??g.language),F=await this.getMtime(N),V=_?this.userDataProfilesService.defaultProfile.extensionsResource:void 0,k=V?await this.getMtime(V):void 0;return new Y(N,F,V,k,_,M,A,G,this.productService.version,this.productService.date,this.productService.commit,!this.environmentService.isBuilt,W,Q)}async getMtime(N){try{const _=await this.fileService.stat(N);if(typeof _.mtime=="number")return _.mtime}catch{}}};q=fe([te(4,L.IUserDataProfilesService),te(5,w.IExtensionsProfileScannerService),te(6,n.IFileService),te(7,r.ILogService),te(8,v.IEnvironmentService),te(9,o.IProductService),te(10,e.IInstantiationService)],q),i.AbstractExtensionsScannerService=q;class Y{constructor(N,_,M,A,W,G,Q,F,V,k,O,x,j,H){this.location=N,this.mtime=_,this.applicationExtensionslocation=M,this.applicationExtensionslocationMtime=A,this.profile=W,this.type=G,this.excludeObsolete=Q,this.validate=F,this.productVersion=V,this.productDate=k,this.productCommit=O,this.devMode=x,this.language=j,this.translations=H}static createNlsConfiguration(N){return{language:N.language,pseudo:N.language==="pseudo",devMode:N.devMode,translations:N.translations}}static equals(N,_){return(0,E.isEqual)(N.location,_.location)&&N.mtime===_.mtime&&(0,E.isEqual)(N.applicationExtensionslocation,_.applicationExtensionslocation)&&N.applicationExtensionslocationMtime===_.applicationExtensionslocationMtime&&N.profile===_.profile&&N.type===_.type&&N.excludeObsolete===_.excludeObsolete&&N.validate===_.validate&&N.productVersion===_.productVersion&&N.productDate===_.productDate&&N.productCommit===_.productCommit&&N.devMode===_.devMode&&N.language===_.language&&B.equals(N.translations,_.translations)}}let ne=class extends h.Disposable{constructor(N,_,M,A,W){super();this.obsoleteFile=N,this.extensionsProfileScannerService=_,this.uriIdentityService=M,this.fileService=A,this.logService=W}async scanExtensions(N){const _=N.profile?await this.scanExtensionsFromProfile(N):await this.scanExtensionsFromLocation(N);let M={};if(N.excludeObsolete&&N.type===1)try{const A=(await this.fileService.readFile(this.obsoleteFile)).value.toString();M=JSON.parse(A)}catch{}return(0,S.isEmptyObject)(M)?_:_.filter(A=>!M[a.ExtensionKey.create(A).toString()])}async scanExtensionsFromLocation(N){const _=await this.fileService.resolve(N.location);if(!_.children?.length)return[];const M=await Promise.all(_.children.map(async A=>{if(!A.isDirectory||N.type===1&&(0,E.basename)(A.resource).indexOf(".")===0)return null;const W=new Y(A.resource,N.mtime,N.applicationExtensionslocation,N.applicationExtensionslocationMtime,N.profile,N.type,N.excludeObsolete,N.validate,N.productVersion,N.productDate,N.productCommit,N.devMode,N.language,N.translations);return this.scanExtension(W)}));return(0,C.coalesce)(M).sort((A,W)=>A.location.path<W.location.path?-1:1)}async scanExtensionsFromProfile(N){let _=await this.scanExtensionsFromProfileResource(N.location,()=>!0,N);if(N.applicationExtensionslocation&&!this.uriIdentityService.extUri.isEqual(N.location,N.applicationExtensionslocation)){_=_.filter(A=>!A.metadata?.isApplicationScoped);const M=await this.scanExtensionsFromProfileResource(N.applicationExtensionslocation,A=>!!A.metadata?.isApplicationScoped,N);_.push(...M)}return _}async scanExtensionsFromProfileResource(N,_,M){const A=await this.extensionsProfileScannerService.scanProfileExtensions(N);if(!A.length)return[];const W=await Promise.all(A.map(async G=>{if(_(G)){const Q=new Y(G.location,M.mtime,M.applicationExtensionslocation,M.applicationExtensionslocationMtime,M.profile,M.type,M.excludeObsolete,M.validate,M.productVersion,M.productDate,M.productCommit,M.devMode,M.language,M.translations);return this.scanExtension(Q,G.metadata)}return null}));return(0,C.coalesce)(W)}async scanOneOrMultipleExtensions(N){try{if(await this.fileService.exists((0,E.joinPath)(N.location,"package.json"))){const _=await this.scanExtension(N);return _?[_]:[]}else return await this.scanExtensions(N)}catch(_){return this.logService.error(`Error scanning extensions at ${N.location.path}:`,(0,T.getErrorMessage)(_)),[]}}async scanExtension(N,_){try{let M=await this.scanExtensionManifest(N.location);if(M){M.publisher||(M.publisher=s.UNDEFINED_PUBLISHER),_=_??M.__metadata,delete M.__metadata;const A=(0,a.getGalleryExtensionId)(M.publisher,M.name),W=_?.id?{id:A,uuid:_.id}:{id:A},G=_?.isSystem?0:N.type,Q=G===0||!!_?.isBuiltin;M=await this.translateManifest(N.location,M,Y.createNlsConfiguration(N));const F={type:G,identifier:W,manifest:M,location:N.location,isBuiltin:Q,targetPlatform:_?.targetPlatform??"undefined",metadata:_,isValid:!0,validations:[]};return N.validate?this.validate(F,N):F}}catch(M){N.type!==0&&this.logService.error(M)}return null}validate(N,_){let M=!0;const A=(0,t.validateExtensionManifest)(_.productVersion,_.productDate,_.location,N.manifest,N.isBuiltin);for(const[W,G]of A)W===d.default.Error&&(M=!1,this.logService.error(this.formatMessage(_.location,G)));return N.isValid=M,N.validations=A,N}async scanExtensionManifest(N){const _=(0,E.joinPath)(N,"package.json");let M;try{M=(await this.fileService.readFile(_)).value.toString()}catch(W){return(0,n.toFileOperationResult)(W)!==1&&this.logService.error(this.formatMessage(N,(0,f.localize)(0,null,_.path,W.message))),null}let A;try{A=JSON.parse(M)}catch{const G=[];(0,m.parse)(M,G);for(const Q of G)this.logService.error(this.formatMessage(N,(0,f.localize)(1,null,_.path,Q.offset,Q.length,(0,l.getParseErrorMessage)(Q.error))));return null}return(0,m.getNodeType)(A)!=="object"?(this.logService.error(this.formatMessage(N,(0,f.localize)(2,null,_.path))),null):A}async translateManifest(N,_,M){const A=await this.getLocalizedMessages(N,_,M);if(A)try{const W=[],G=await this.resolveOriginalMessageBundle(A.default,W);if(W.length>0)return W.forEach(F=>{this.logService.error(this.formatMessage(N,(0,f.localize)(3,null,A.default?.path,(0,l.getParseErrorMessage)(F.error))))}),_;if((0,m.getNodeType)(A)!=="object")return this.logService.error(this.formatMessage(N,(0,f.localize)(4,null,A.default?.path))),_;const Q=A.values||Object.create(null);this.replaceNLStrings(M.pseudo,_,Q,G,N)}catch{}return _}async getLocalizedMessages(N,_,M){const A=(0,E.joinPath)(N,"package.nls.json"),W=(V,k)=>{k.forEach(O=>{this.logService.error(this.formatMessage(N,(0,f.localize)(5,null,V?.path,(0,l.getParseErrorMessage)(O.error))))})},G=V=>{this.logService.error(this.formatMessage(N,(0,f.localize)(6,null,V?.path)))},Q=`${_.publisher}.${_.name}`,F=M.translations[Q];if(F)try{const V=u.URI.file(F),k=(await this.fileService.readFile(V)).value.toString(),O=[],x=(0,m.parse)(k,O);return O.length>0?(W(V,O),{values:void 0,default:A}):(0,m.getNodeType)(x)!=="object"?(G(V),{values:void 0,default:A}):{values:x.contents?x.contents.package:void 0,default:A}}catch{return{values:void 0,default:A}}else{if(!await this.fileService.exists(A))return;let k;try{k=await this.findMessageBundles(N,M)}catch{return}if(!k.localized)return{values:void 0,default:k.original};try{const O=(await this.fileService.readFile(k.localized)).value.toString(),x=[],j=(0,m.parse)(O,x);return x.length>0?(W(k.localized,x),{values:void 0,default:k.original}):(0,m.getNodeType)(j)!=="object"?(G(k.localized),{values:void 0,default:k.original}):{values:j,default:k.original}}catch{return{values:void 0,default:k.original}}}}async resolveOriginalMessageBundle(N,_){if(N)try{const M=(await this.fileService.readFile(N)).value.toString();return(0,m.parse)(M,_)}catch{return null}else return null}findMessageBundles(N,_){return new Promise((M,A)=>{const W=G=>{const Q=(0,E.joinPath)(N,`package.nls.${G}.json`);this.fileService.exists(Q).then(F=>{F&&M({localized:Q,original:(0,E.joinPath)(N,"package.nls.json")});const V=G.lastIndexOf("-");V===-1?M({localized:(0,E.joinPath)(N,"package.nls.json"),original:null}):(G=G.substring(0,V),W(G))})};if(_.devMode||_.pseudo||!_.language)return M({localized:(0,E.joinPath)(N,"package.nls.json"),original:null});W(_.language)})}replaceNLStrings(N,_,M,A,W){const G=(Q,F,V)=>{const k=Q[F];if((0,S.isString)(k)){const O=k,x=O.length;if(x>1&&O[0]==="%"&&O[x-1]==="%"){const j=O.substr(1,x-2);let H=M[j];H===void 0&&A&&(H=A[j]);let X=typeof H=="string"?H:typeof H?.message=="string"?H.message:void 0;X!==void 0?(N&&(X="\uFF3B"+X.replace(/[aouei]/g,"$&$&")+"\uFF3D"),Q[F]=V&&(F==="title"||F==="category")&&A?{value:X,original:A[j]}:X):this.logService.warn(this.formatMessage(W,(0,f.localize)(7,null,j)))}}else if((0,S.isObject)(k))for(const O in k)k.hasOwnProperty(O)&&(O==="commands"?G(k,O,!0):G(k,O,V));else if((0,S.isArray)(k))for(let O=0;O<k.length;O++)G(k,O,V)};for(const Q in _)_.hasOwnProperty(Q)&&G(_,Q)}formatMessage(N,_){return`[${N.path}]: ${_}`}};ne=fe([te(1,w.IExtensionsProfileScannerService),te(2,U.IUriIdentityService),te(3,n.IFileService),te(4,r.ILogService)],ne);let le=class extends ne{constructor(N,_,M,A,W,G){super(_,M,A,W,G);this.cacheFile=N,this.cacheValidatorThrottler=this._register(new D.ThrottledDelayer(3e3)),this._onDidChangeCache=this._register(new p.Emitter),this.onDidChangeCache=this._onDidChangeCache.event}async scanExtensions(N){const _=await this.readExtensionCache();if(this.input=N,_&&_.input&&Y.equals(_.input,this.input))return this.cacheValidatorThrottler.trigger(()=>this.validateCache()),_.result.map(A=>(A.location=u.URI.revive(A.location),A));const M=await super.scanExtensions(N);return await this.writeExtensionCache({input:N,result:M}),M}async readExtensionCache(){try{const N=await this.fileService.readFile(this.cacheFile),_=JSON.parse(N.value.toString());return{result:_.result,input:(0,y.revive)(_.input)}}catch(N){this.logService.debug("Error while reading the extension cache file:",this.cacheFile.path,(0,T.getErrorMessage)(N))}return null}async writeExtensionCache(N){try{await this.fileService.writeFile(this.cacheFile,R.VSBuffer.fromString(JSON.stringify(N)))}catch(_){this.logService.debug("Error while writing the extension cache file:",this.cacheFile.path,(0,T.getErrorMessage)(_))}}async validateCache(){if(!this.input)return;const N=await this.readExtensionCache();if(!N)return;const _=N.result,M=JSON.parse(JSON.stringify(await super.scanExtensions(this.input)));if(!b.equals(M,_))try{await this.fileService.del(this.cacheFile),this._onDidChangeCache.fire()}catch(A){this.logService.error(A)}}};le=fe([te(2,w.IExtensionsProfileScannerService),te(3,U.IUriIdentityService),te(4,n.IFileService),te(5,r.ILogService)],le);function re(ae,N){const _=(0,a.getExtensionId)(ae.manifest.publisher,ae.manifest.name);return{id:_,identifier:new s.ExtensionIdentifier(_),isBuiltin:ae.type===0,isUserBuiltin:ae.type===1&&ae.isBuiltin,isUnderDevelopment:N,extensionLocation:ae.location,uuid:ae.identifier.uuid,targetPlatform:ae.targetPlatform,...ae.manifest}}i.toExtensionDescription=re;class ge extends q{constructor(N,_,M,A,W,G,Q,F,V,k,O){super(N,_,(0,E.joinPath)(M,".vscode-oss-dev","extensions","control.json"),(0,E.joinPath)(A,s.MANIFEST_CACHE_FOLDER),W,G,Q,F,V,k,O);this.translationsPromise=(async()=>{if(g.translationsConfigFile)try{const x=await this.fileService.readFile(u.URI.file(g.translationsConfigFile));return JSON.parse(x.value.toString())}catch{}return Object.create(null)})()}getTranslations(N){return this.translationsPromise}}i.NativeExtensionsScannerService=ge}),define(Z[141],ee([0,1,45,3,29,4,2,16,14,20,9,26]),function($,i,C,D,b,R,T,m,l,h,I,P){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsLifecycle=void 0;let g=class extends T.Disposable{constructor(c,d){super();this.userDataProfilesService=c,this.logService=d,this.processesLimiter=new D.Limiter(5)}async postUninstall(c){const d=this.parseScript(c,"uninstall");return d&&(this.logService.info(c.identifier.id,c.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(d.script,"uninstall",d.args,!0,c).then(()=>this.logService.info(c.identifier.id,c.manifest.version,"Finished running post uninstall script"),S=>this.logService.error(c.identifier.id,c.manifest.version,`Failed to run post uninstall script: ${S}`)))),h.Promises.rm(this.getExtensionStoragePath(c)).then(void 0,S=>this.logService.error("Error while removing extension storage path",S))}parseScript(c,d){const S=`vscode:${d}`;if(c.location.scheme===m.Schemas.file&&c.manifest&&c.manifest.scripts&&typeof c.manifest.scripts[S]=="string"){const u=c.manifest.scripts[S].split(" ");return u.length<2||u[0]!=="node"||!u[1]?(this.logService.warn(c.identifier.id,c.manifest.version,`${S} should be a node script`),null):{script:(0,l.join)(c.location.fsPath,u[1]),args:u.slice(2)||[]}}return null}runLifecycleHook(c,d,S,u,f){return new Promise((v,a)=>{const s=this.start(c,d,S,f);let t;const n=e=>{t&&(clearTimeout(t),t=null),e?a(e):v(void 0)};s.on("error",e=>{n((0,b.toErrorMessage)(e)||"Unknown")}),s.on("exit",(e,r)=>{n(e?`post-${d} process exited with code ${e}`:void 0)}),u&&(t=setTimeout(()=>{t=null,s.kill(),a("timed out")},5e3))})}start(c,d,S,u){const f={silent:!0,execArgv:void 0},v=(0,C.fork)(c,[`--type=extension-post-${d}`,...S],f);v.stdout.setEncoding("utf8"),v.stderr.setEncoding("utf8");const a=R.Event.fromNodeEventEmitter(v.stdout,"data"),s=R.Event.fromNodeEventEmitter(v.stderr,"data");a(e=>this.logService.info(u.identifier.id,u.manifest.version,`post-${d}`,e)),s(e=>this.logService.error(u.identifier.id,u.manifest.version,`post-${d}`,e));const t=R.Event.any(R.Event.map(a,e=>({data:`%c${e}`,format:[""]})),R.Event.map(s,e=>({data:`%c${e}`,format:["color: red"]})));return R.Event.debounce(t,(e,r)=>e?{data:e.data+r.data,format:[...e.format,...r.format]}:{data:r.data,format:r.format},100)(e=>{console.group(u.identifier.id),console.log(e.data,...e.format),console.groupEnd()}),v}getExtensionStoragePath(c){return(0,l.join)(this.userDataProfilesService.defaultProfile.globalStorageHome.fsPath,c.identifier.id.toLowerCase())}};g=fe([te(0,P.IUserDataProfilesService),te(1,I.ILogService)],g),i.ExtensionsLifecycle=g}),define(Z[142],ee([0,1,10,18,41,49,11,8,9,27,26]),function($,i,C,D,b,R,T,m,l,h,I){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsScannerService=void 0;let P=class extends R.NativeExtensionsScannerService{constructor(E,c,d,S,u,f,v){super(C.URI.file(u.builtinExtensionsPath),C.URI.file(u.extensionsPath),u.userHome,C.URI.file(u.userDataPath),E,c,d,S,u,f,v)}};P=fe([te(0,I.IUserDataProfilesService),te(1,b.IExtensionsProfileScannerService),te(2,T.IFileService),te(3,l.ILogService),te(4,D.INativeEnvironmentService),te(5,h.IProductService),te(6,m.IInstantiationService)],P),i.ExtensionsScannerService=P}),define(Z[143],ee([0,1,3,4,2,112,7,77,8,26]),function($,i,C,D,b,R,T,m,l,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.logStorage=i.InMemoryStorageService=i.isProfileUsingDefaultStorage=i.AbstractStorageService=i.StorageTarget=i.StorageScope=i.WillSaveStateReason=i.IStorageService=i.IS_NEW_KEY=void 0,i.IS_NEW_KEY="__$__isNewStorageMarker";const I="__$__targetStorageMarker";i.IStorageService=(0,l.createDecorator)("storageService");var P;(function(f){f[f.NONE=0]="NONE",f[f.SHUTDOWN=1]="SHUTDOWN"})(P=i.WillSaveStateReason||(i.WillSaveStateReason={}));var g;(function(f){f[f.APPLICATION=-1]="APPLICATION",f[f.PROFILE=0]="PROFILE",f[f.WORKSPACE=1]="WORKSPACE"})(g=i.StorageScope||(i.StorageScope={}));var E;(function(f){f[f.USER=0]="USER",f[f.MACHINE=1]="MACHINE"})(E=i.StorageTarget||(i.StorageTarget={}));class c extends b.Disposable{constructor(v={flushInterval:c.DEFAULT_FLUSH_INTERVAL}){super();this.options=v,this._onDidChangeValue=this._register(new D.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new D.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new D.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new C.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new b.MutableDisposable),this._workspaceKeyTargets=void 0,this._profileKeyTargets=void 0,this._applicationKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,C.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,b.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,R.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,R.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(v,a){if(a===I){switch(v){case-1:this._applicationKeyTargets=void 0;break;case 0:this._profileKeyTargets=void 0;break;case 1:this._workspaceKeyTargets=void 0;break}this._onDidChangeTarget.fire({scope:v})}else this._onDidChangeValue.fire({scope:v,key:a,target:this.getKeyTargets(v)[a]})}emitWillSaveState(v){this._onWillSaveState.fire({reason:v})}get(v,a,s){return this.getStorage(a)?.get(v,s)}getBoolean(v,a,s){return this.getStorage(a)?.getBoolean(v,s)}getNumber(v,a,s){return this.getStorage(a)?.getNumber(v,s)}store(v,a,s,t){if((0,T.isUndefinedOrNull)(a)){this.remove(v,s);return}this.withPausedEmitters(()=>{this.updateKeyTarget(v,s,t),this.getStorage(s)?.set(v,a)})}remove(v,a){this.withPausedEmitters(()=>{this.updateKeyTarget(v,a,void 0),this.getStorage(a)?.delete(v)})}withPausedEmitters(v){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{v()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(v,a){const s=[],t=this.getKeyTargets(v);for(const n of Object.keys(t))t[n]===a&&s.push(n);return s}updateKeyTarget(v,a,s){const t=this.getKeyTargets(a);typeof s=="number"?t[v]!==s&&(t[v]=s,this.getStorage(a)?.set(I,JSON.stringify(t))):typeof t[v]=="number"&&(delete t[v],this.getStorage(a)?.set(I,JSON.stringify(t)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get profileKeyTargets(){return this._profileKeyTargets||(this._profileKeyTargets=this.loadKeyTargets(0)),this._profileKeyTargets}get applicationKeyTargets(){return this._applicationKeyTargets||(this._applicationKeyTargets=this.loadKeyTargets(-1)),this._applicationKeyTargets}getKeyTargets(v){switch(v){case-1:return this.applicationKeyTargets;case 0:return this.profileKeyTargets;default:return this.workspaceKeyTargets}}loadKeyTargets(v){const a=this.get(I,v);if(a)try{return JSON.parse(a)}catch{}return Object.create(null)}isNew(v){return this.getBoolean(i.IS_NEW_KEY,v)===!0}async flush(v=P.NONE){this._onWillSaveState.fire({reason:v});const a=this.getStorage(-1),s=this.getStorage(0),t=this.getStorage(1);switch(v){case P.NONE:await C.Promises.settled([a?.whenFlushed()??Promise.resolve(),s?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case P.SHUTDOWN:await C.Promises.settled([a?.flush(0)??Promise.resolve(),s?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const v=this.getStorage(-1)?.items??new Map,a=this.getStorage(0)?.items??new Map,s=this.getStorage(1)?.items??new Map;return u(v,a,s,this.getLogDetails(-1)??"",this.getLogDetails(0)??"",this.getLogDetails(1)??"")}async switch(v,a){return this.emitWillSaveState(P.NONE),(0,h.isUserDataProfile)(v)?this.switchToProfile(v,a):this.switchToWorkspace(v,a)}canSwitchProfile(v,a){return!(v.id===a.id||d(a)&&d(v))}switchData(v,a,s,t){this.withPausedEmitters(()=>{if(t)for(const[n,e]of v)a.set(n,e);else{const n=new Set;for(const[e,r]of v)n.add(e),a.get(e)!==r&&this.emitDidChangeValue(s,e);for(const[e]of a.items)n.has(e)||this.emitDidChangeValue(s,e)}})}}i.AbstractStorageService=c,c.DEFAULT_FLUSH_INTERVAL=60*1e3;function d(f){return f.isDefault||!!f.useDefaultFlags?.uiState}i.isProfileUsingDefaultStorage=d;class S extends c{constructor(){super();this.applicationStorage=this._register(new m.Storage(new m.InMemoryStorageDatabase)),this.profileStorage=this._register(new m.Storage(new m.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new m.Storage(new m.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(v=>this.emitDidChangeValue(1,v))),this._register(this.profileStorage.onDidChangeStorage(v=>this.emitDidChangeValue(0,v))),this._register(this.applicationStorage.onDidChangeStorage(v=>this.emitDidChangeValue(-1,v)))}getStorage(v){switch(v){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(v){switch(v){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async doInitialize(){}async switchToProfile(){}async switchToWorkspace(){}}i.InMemoryStorageService=S;async function u(f,v,a,s,t,n){const e=q=>{try{return JSON.parse(q)}catch{return q}},r=new Map,o=new Map;f.forEach((q,Y)=>{r.set(Y,q),o.set(Y,e(q))});const p=new Map,y=new Map;v.forEach((q,Y)=>{p.set(Y,q),y.set(Y,e(q))});const w=new Map,L=new Map;a.forEach((q,Y)=>{w.set(Y,q),L.set(Y,e(q))}),console.group(s!==t?`Storage: Application (path: ${s})`:`Storage: Application & Profile (path: ${s}, default profile)`);const U=[];if(r.forEach((q,Y)=>{U.push({key:Y,value:q})}),console.table(U),console.groupEnd(),console.log(o),s!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const q=[];p.forEach((Y,ne)=>{q.push({key:ne,value:Y})}),console.table(q),console.groupEnd(),console.log(y)}console.group(`Storage: Workspace (path: ${n})`);const B=[];w.forEach((q,Y)=>{B.push({key:Y,value:q})}),console.table(B),console.groupEnd(),console.log(L)}i.logStorage=u}),define(Z[144],ee([0,1,19,25,12,13,31,7,10,21,18,22,23,46,11,9,27,48,131,143,34]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S,u,f,v,a){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionGalleryServiceWithNoStorageService=i.ExtensionGalleryService=i.sortExtensionVersions=void 0;const s=R.isWeb?"web":(0,P.getTargetPlatform)(R.platform,T.arch);var t;(function(k){k[k.None=0]="None",k[k.IncludeVersions=1]="IncludeVersions",k[k.IncludeFiles=2]="IncludeFiles",k[k.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",k[k.IncludeSharedAccounts=8]="IncludeSharedAccounts",k[k.IncludeVersionProperties=16]="IncludeVersionProperties",k[k.ExcludeNonValidated=32]="ExcludeNonValidated",k[k.IncludeInstallationTargets=64]="IncludeInstallationTargets",k[k.IncludeAssetUri=128]="IncludeAssetUri",k[k.IncludeStatistics=256]="IncludeStatistics",k[k.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",k[k.Unpublished=4096]="Unpublished",k[k.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(t||(t={}));function n(...k){return String(k.reduce((O,x)=>O|x,0))}var e;(function(k){k[k.Tag=1]="Tag",k[k.ExtensionId=4]="ExtensionId",k[k.Category=5]="Category",k[k.ExtensionName=7]="ExtensionName",k[k.Target=8]="Target",k[k.Featured=9]="Featured",k[k.SearchText=10]="SearchText",k[k.ExcludeWithFlags=12]="ExcludeWithFlags"})(e||(e={}));const r={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},o={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension",SponsorLink:"Microsoft.VisualStudio.Code.SponsorLink"},y={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:t.None,criteria:[],assetTypes:[]};class w{constructor(O=y){this.state=O}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(O,x=this.state.pageSize){return new w({...this.state,pageNumber:O,pageSize:x})}withFilter(O,...x){const j=[...this.state.criteria,...x.length?x.map(H=>({filterType:O,value:H})):[{filterType:O}]];return new w({...this.state,criteria:j})}withSortBy(O){return new w({...this.state,sortBy:O})}withSortOrder(O){return new w({...this.state,sortOrder:O})}withFlags(...O){return new w({...this.state,flags:O.reduce((x,j)=>x|j,0)})}withAssetTypes(...O){return new w({...this.state,assetTypes:O})}withSource(O){return new w({...this.state,source:O})}get raw(){const{criteria:O,pageNumber:x,pageSize:j,sortBy:H,sortOrder:X,flags:oe,assetTypes:ce}=this.state;return{filters:[{criteria:O,pageNumber:x,pageSize:j,sortBy:H,sortOrder:X}],assetTypes:ce,flags:oe}}get searchText(){const O=this.state.criteria.filter(x=>x.filterType===e.SearchText)[0];return O&&O.value?O.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(O=>String(O.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder),pageNumber:String(this.pageNumber),source:this.state.source,searchTextLength:this.searchText.length}}}function L(k,O){const x=(k||[]).filter(j=>j.statisticName===O)[0];return x?x.value:0}function U(k){const O="Microsoft.VisualStudio.Code.Translation.";return k.files.filter(j=>j.assetType.indexOf(O)===0).reduce((j,H)=>{const X=Y(k,H.assetType);return X&&j.push([H.assetType.substring(O.length),X]),j},[])}function B(k){if(k.properties){const O=k.properties.filter(H=>H.key===r.Repository),x=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),j=O.filter(H=>x.test(H.value))[0];return j?{uri:j.value,fallbackUri:j.value}:null}return Y(k,r.Repository)}function q(k){return{uri:`${k.fallbackAssetUri}/${r.VSIX}?redirect=true${k.targetPlatform?`&targetPlatform=${k.targetPlatform}`:""}`,fallbackUri:`${k.fallbackAssetUri}/${r.VSIX}${k.targetPlatform?`?targetPlatform=${k.targetPlatform}`:""}`}}function Y(k,O){return k.files.filter(j=>j.assetType===O)[0]?{uri:`${k.assetUri}/${O}${k.targetPlatform?`?targetPlatform=${k.targetPlatform}`:""}`,fallbackUri:`${k.fallbackAssetUri}/${O}${k.targetPlatform?`?targetPlatform=${k.targetPlatform}`:""}`}:null}function ne(k,O){const x=k.properties?k.properties.filter(H=>H.key===O):[],j=x.length>0&&x[0].value;return j?j.split(",").map(H=>(0,g.adoptToGalleryExtensionId)(H)):[]}function le(k){const O=k.properties?k.properties.filter(x=>x.key===o.Engine):[];return O.length>0&&O[0].value||""}function re(k){const O=k.properties?k.properties.filter(x=>x.key===o.PreRelease):[];return O.length>0&&O[0].value==="true"}function ge(k){const O=k.properties?k.properties.filter(j=>j.key===o.LocalizedLanguages):[],x=O.length>0&&O[0].value||"";return x?x.split(","):[]}function ae(k){return k.properties?.find(O=>O.key===o.SponsorLink)?.value}function N(k){return k.indexOf("preview")!==-1}function _(k){return k.targetPlatform?(0,P.toTargetPlatform)(k.targetPlatform):"undefined"}function M(k){const O=(0,C.distinct)(k.versions.map(_)),x=!!k.tags?.includes(P.WEB_EXTENSION_TAG),j=O.indexOf("web");return x?j===-1&&O.push("web"):j!==-1&&O.splice(j,1),O}function A(k,O){const x=(0,P.getFallbackTargetPlarforms)(O);for(let j=0;j<k.length;j++){const H=k[j];if(H.version===k[j-1]?.version){let X=j;const oe=_(H);if(oe===O)for(;X>0&&k[X-1].version===H.version;)X--;else if(x.includes(oe))for(;X>0&&k[X-1].version===H.version&&_(k[X-1])!==O;)X--;X!==j&&(k.splice(j,1),k.splice(X,0,H))}}return k}i.sortExtensionVersions=A;function W(k,O,x){k.telemetryData={index:O,querySource:x}}function G(k,O,x){const j=k.versions[0],H={manifest:Y(O,r.Manifest),readme:Y(O,r.Details),changelog:Y(O,r.Changelog),license:Y(O,r.License),repository:B(O),download:q(O),icon:Y(O,r.Icon),coreTranslations:U(O)};return{identifier:{id:(0,g.getGalleryExtensionId)(k.publisher.publisherName,k.extensionName),uuid:k.extensionId},name:k.extensionName,version:O.version,displayName:k.displayName,publisherId:k.publisher.publisherId,publisher:k.publisher.publisherName,publisherDisplayName:k.publisher.displayName,publisherDomain:k.publisher.domain?{link:k.publisher.domain,verified:!!k.publisher.isDomainVerified}:void 0,publisherSponsorLink:ae(j),description:k.shortDescription||"",installCount:L(k.statistics,"install"),rating:L(k.statistics,"averagerating"),ratingCount:L(k.statistics,"ratingcount"),categories:k.categories||[],tags:k.tags||[],releaseDate:Date.parse(k.releaseDate),lastUpdated:Date.parse(k.lastUpdated),allTargetPlatforms:x,assets:H,properties:{dependencies:ne(O,o.Dependency),extensionPack:ne(O,o.ExtensionPack),engine:le(O),localizedLanguages:ge(O),targetPlatform:_(O),isPreReleaseVersion:re(O)},hasPreReleaseVersion:re(j),hasReleaseVersion:!0,preview:N(k.flags)}}let Q=class{constructor(O,x,j,H,X,oe,ce,pe){this.requestService=x,this.logService=j,this.environmentService=H,this.telemetryService=X,this.fileService=oe,this.productService=ce,this.configurationService=pe;const ve=ce.extensionsGallery;this.extensionsGalleryUrl=ve&&ve.serviceUrl,this.extensionsControlUrl=ve&&ve.controlUrl,this.commonHeadersPromise=(0,f.resolveMarketplaceHeaders)(ce.version,ce,this.environmentService,this.configurationService,this.fileService,O,this.telemetryService)}api(O=""){return`${this.extensionsGalleryUrl}${O}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(O,x,j){const H=D.CancellationToken.isCancellationToken(x)?{}:x,X=D.CancellationToken.isCancellationToken(x)?x:j,oe=[],ce=[],pe=[],ve=[];let ie=!0;for(const de of O){de.uuid?ce.push(de.uuid):oe.push(de.id);const Se=!!(de.version||de.preRelease);pe.push({id:de.id,uuid:de.uuid,includePreRelease:Se}),de.version&&ve.push({id:de.id,uuid:de.uuid,version:de.version}),ie=ie&&!!de.hasPreRelease&&!Se}if(!ce.length&&!oe.length)return[];let se=new w().withPage(1,O.length);ce.length&&(se=se.withFilter(e.ExtensionId,...ce)),oe.length&&(se=se.withFilter(e.ExtensionName,...oe)),(H.queryAllVersions||ie)&&(se=se.withFlags(se.flags,t.IncludeVersions)),H.source&&(se=se.withSource(H.source));const{extensions:he}=await this.queryGalleryExtensions(se,{targetPlatform:H.targetPlatform??s,includePreRelease:pe,versions:ve,compatible:!!H.compatible},X);return H.source&&he.forEach((de,Se)=>W(de,Se,H.source)),he}async getCompatibleExtension(O,x,j){if((0,P.isNotWebExtensionInWebTargetPlatform)(O.allTargetPlatforms,j))return null;if(await this.isExtensionCompatible(O,x,j))return O;const H=new w().withFlags(t.IncludeVersions).withPage(1,1).withFilter(e.ExtensionId,O.identifier.uuid),{extensions:X}=await this.queryGalleryExtensions(H,{targetPlatform:j,compatible:!0,includePreRelease:x},D.CancellationToken.None);return X[0]||null}async isExtensionCompatible(O,x,j){if(!(0,P.isTargetPlatformCompatible)(O.properties.targetPlatform,O.allTargetPlatforms,j)||!x&&O.properties.isPreReleaseVersion)return!1;let H=O.properties.engine;if(!H){const X=await this.getManifest(O,D.CancellationToken.None);if(!X)throw new Error("Manifest was not found");H=X.engines.vscode}return(0,E.isEngineValid)(H,this.productService.version,this.productService.date)}async isValidVersion(O,x,j,H,X){if(!(0,P.isTargetPlatformCompatible)(_(O),H,X)||x!=="any"&&re(O)!==(x==="prerelease"))return!1;if(j)try{const oe=await this.getEngine(O);if(!(0,E.isEngineValid)(oe,this.productService.version,this.productService.date))return!1}catch(oe){return this.logService.error(`Error while getting the engine for the version ${O.version}.`,(0,b.getErrorMessage)(oe)),!1}return!0}async query(O,x){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let j=O.text||"";const H=O.pageSize??50;let X=new w().withPage(1,H);j?(j=j.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ie,se,he)=>(X=X.withFilter(e.Category,he||se),"")),j=j.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ie,se,he)=>(X=X.withFilter(e.Tag,he||se),"")),j=j.replace(/\bfeatured(\s+|\b|$)/g,()=>(X=X.withFilter(e.Featured),"")),j=j.trim(),j&&(j=j.length<200?j:j.substring(0,200),X=X.withFilter(e.SearchText,j)),X=X.withSortBy(0)):O.ids?X=X.withFilter(e.ExtensionId,...O.ids):O.names?X=X.withFilter(e.ExtensionName,...O.names):X=X.withSortBy(4),typeof O.sortBy=="number"&&(X=X.withSortBy(O.sortBy)),typeof O.sortOrder=="number"&&(X=X.withSortOrder(O.sortOrder)),O.source&&(X=X.withSource(O.source));const oe=async(ie,se)=>{const{extensions:he,total:de}=await this.queryGalleryExtensions(ie,{targetPlatform:s,compatible:!1,includePreRelease:!!O.includePreRelease},se);return he.forEach((Se,Oe)=>W(Se,(ie.pageNumber-1)*ie.pageSize+Oe,O.source)),{extensions:he,total:de}},{extensions:ce,total:pe}=await oe(X,x),ve=async(ie,se)=>{if(se.isCancellationRequested)throw new b.CancellationError;const{extensions:he}=await oe(X.withPage(ie+1),se);return he};return{firstPage:ce,total:pe,pageSize:X.pageSize,getPage:ve}}async queryGalleryExtensions(O,x,j){const H=O.flags;!!(O.flags&t.IncludeLatestVersionOnly)&&!!(O.flags&t.IncludeVersions)&&(O=O.withFlags(O.flags&~t.IncludeVersions,t.IncludeLatestVersionOnly)),!(O.flags&t.IncludeLatestVersionOnly)&&!(O.flags&t.IncludeVersions)&&(O=O.withFlags(O.flags,t.IncludeLatestVersionOnly)),x.versions?.length&&(O=O.withFlags(O.flags&~t.IncludeLatestVersionOnly,t.IncludeVersions)),O=O.withFlags(O.flags,t.IncludeAssetUri,t.IncludeCategoryAndTags,t.IncludeFiles,t.IncludeStatistics,t.IncludeVersionProperties);const{galleryExtensions:X,total:oe}=await this.queryRawGalleryExtensions(O,j);if(!(O.flags&t.IncludeLatestVersionOnly)){const ie=[];for(const se of X){const he=await this.toGalleryExtensionWithCriteria(se,x);he&&ie.push(he)}return{extensions:ie,total:oe}}const pe=[],ve=new Map;for(let ie=0;ie<X.length;ie++){const se=X[ie],he={id:(0,g.getGalleryExtensionId)(se.publisher.publisherName,se.extensionName),uuid:se.extensionId},de=(0,m.isBoolean)(x.includePreRelease)?x.includePreRelease:!!x.includePreRelease.find(Oe=>(0,g.areSameExtensions)(Oe,he))?.includePreRelease;if(x.compatible&&(0,P.isNotWebExtensionInWebTargetPlatform)(M(se),x.targetPlatform))continue;const Se=await this.toGalleryExtensionWithCriteria(se,x);!Se||Se.properties.isPreReleaseVersion&&(!de||!Se.hasReleaseVersion)||!Se.properties.isPreReleaseVersion&&Se.properties.targetPlatform!==x.targetPlatform&&Se.hasPreReleaseVersion?ve.set(se.extensionId,ie):pe.push([ie,Se])}if(ve.size){const ie=new Date().getTime(),se=new w().withFlags(H&~t.IncludeLatestVersionOnly,t.IncludeVersions).withPage(1,ve.size).withFilter(e.ExtensionId,...ve.keys()),{extensions:he}=await this.queryGalleryExtensions(se,x,j);this.telemetryService.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-ie,count:ve.size});for(const de of he){const Se=ve.get(de.identifier.uuid);pe.push([Se,de])}}return{extensions:pe.sort((ie,se)=>ie[0]-se[0]).map(([,ie])=>ie),total:oe}}async toGalleryExtensionWithCriteria(O,x){const j={id:(0,g.getGalleryExtensionId)(O.publisher.publisherName,O.extensionName),uuid:O.extensionId},H=x.versions?.find(pe=>(0,g.areSameExtensions)(pe,j))?.version,X=(0,m.isBoolean)(x.includePreRelease)?x.includePreRelease:!!x.includePreRelease.find(pe=>(0,g.areSameExtensions)(pe,j))?.includePreRelease,oe=M(O),ce=A(O.versions,x.targetPlatform);if(x.compatible&&(0,P.isNotWebExtensionInWebTargetPlatform)(oe,x.targetPlatform))return null;for(let pe=0;pe<ce.length;pe++){const ve=ce[pe];if(!(H&&ve.version!==H)){if(await this.isValidVersion(ve,X?"any":"release",x.compatible,oe,x.targetPlatform))return G(O,ve,oe);if(H&&ve.version===H)return null}}return H||x.compatible?null:G(O,O.versions[0],oe)}async queryRawGalleryExtensions(O,x){if(!this.isEnabled())throw new Error("No extension gallery service configured.");O=O.withFlags(O.flags,t.ExcludeNonValidated).withFilter(e.Target,"Microsoft.VisualStudio.Code").withFilter(e.ExcludeWithFlags,n(t.Unpublished));const j=await this.commonHeadersPromise,H=JSON.stringify(O.raw),X={...j,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(H.length)},oe=new Date().getTime();let ce,pe,ve=0;try{if(ce=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:H,headers:X},x),ce.res.statusCode&&ce.res.statusCode>=400&&ce.res.statusCode<500)return{galleryExtensions:[],total:ve};const ie=await(0,u.asJson)(ce);if(ie){const se=ie.results[0],he=se.extensions,de=se.resultMetadata&&se.resultMetadata.filter(Se=>Se.metadataType==="ResultCount")[0];return ve=de&&de.metadataItems.filter(Se=>Se.name==="TotalCount")[0].count||0,{galleryExtensions:he,total:ve}}return{galleryExtensions:[],total:ve}}catch(ie){throw pe=ie,ie}finally{this.telemetryService.publicLog2("galleryService:query",{...O.telemetryData,requestBodySize:String(H.length),duration:new Date().getTime()-oe,success:!!ce&&(0,u.isSuccess)(ce),responseBodySize:ce?.res.headers["Content-Length"],statusCode:ce?String(ce.res.statusCode):void 0,errorCode:pe?(0,b.isCancellationError)(pe)?"canceled":(0,b.getErrorMessage)(pe).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(ve)})}}async reportStatistic(O,x,j,H){if(!this.isEnabled())return;const X=R.isWeb?this.api(`/itemName/${O}.${x}/version/${j}/statType/${H==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${O}/extensions/${x}/${j}/stats?statType=${H}`),oe=R.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",pe={...await this.commonHeadersPromise,Accept:oe};try{await this.requestService.request({type:"POST",url:X,headers:pe},D.CancellationToken.None)}catch{}}async download(O,x,j){this.logService.trace("ExtensionGalleryService#download",O.identifier.id);const H=(0,g.getGalleryExtensionTelemetryData)(O),X=new Date().getTime(),oe=ie=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...H,duration:ie}),ce=j===2?"install":j===3?"update":"",pe=ce?{uri:`${O.assets.download.uri}${l.URI.parse(O.assets.download.uri).query?"&":"?"}${ce}=true`,fallbackUri:`${O.assets.download.fallbackUri}${l.URI.parse(O.assets.download.fallbackUri).query?"&":"?"}${ce}=true`}:O.assets.download,ve=await this.getAsset(pe);await this.fileService.writeFile(x,ve.stream),oe(new Date().getTime()-X)}async getReadme(O,x){if(O.assets.readme){const j=await this.getAsset(O.assets.readme,{},x);return await(0,u.asTextOrError)(j)||""}return""}async getManifest(O,x){if(O.assets.manifest){const j=await this.getAsset(O.assets.manifest,{},x),H=await(0,u.asTextOrError)(j);return H?JSON.parse(H):null}return null}async getManifestFromRawExtensionVersion(O,x){const j=Y(O,r.Manifest);if(!j)throw new Error("Manifest was not found");const H={"Accept-Encoding":"gzip"},X=await this.getAsset(j,{headers:H});return await(0,u.asJson)(X)}async getCoreTranslation(O,x){const j=O.assets.coreTranslations.filter(H=>H[0]===x.toUpperCase())[0];if(j){const H=await this.getAsset(j[1]),X=await(0,u.asTextOrError)(H);return X?JSON.parse(X):null}return null}async getChangelog(O,x){if(O.assets.changelog){const j=await this.getAsset(O.assets.changelog,{},x);return await(0,u.asTextOrError)(j)||""}return""}async getAllCompatibleVersions(O,x,j){let H=new w().withFlags(t.IncludeVersions,t.IncludeCategoryAndTags,t.IncludeFiles,t.IncludeVersionProperties).withPage(1,1);O.identifier.uuid?H=H.withFilter(e.ExtensionId,O.identifier.uuid):H=H.withFilter(e.ExtensionName,O.identifier.id);const{galleryExtensions:X}=await this.queryRawGalleryExtensions(H,D.CancellationToken.None);if(!X.length)return[];const oe=M(X[0]);if((0,P.isNotWebExtensionInWebTargetPlatform)(oe,j))return[];const ce=[];await Promise.all(X[0].versions.map(async ie=>{try{await this.isValidVersion(ie,x?"any":"release",!0,oe,j)&&ce.push(ie)}catch{}}));const pe=[],ve=new Set;for(const ie of A(ce,j))ve.has(ie.version)||(ve.add(ie.version),pe.push({version:ie.version,date:ie.lastUpdated,isPreReleaseVersion:re(ie)}));return pe}async getAsset(O,x={},j=D.CancellationToken.None){const H=await this.commonHeadersPromise,X={type:"GET"},oe={...H,...x.headers||{}};x={...x,...X,headers:oe};const ce=O.uri,pe=O.fallbackUri,ve={...x,url:ce};try{const ie=await this.requestService.request(ve,j);if(ie.res.statusCode===200)return ie;const se=await(0,u.asTextOrError)(ie);throw new Error(`Expected 200, got back ${ie.res.statusCode} instead.

${se}`)}catch(ie){if((0,b.isCancellationError)(ie))throw ie;const se=(0,b.getErrorMessage)(ie);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ce,message:se});const he={...x,url:pe};return this.requestService.request(he,j)}}async getEngine(O){let x=le(O);if(!x){const j=await this.getManifestFromRawExtensionVersion(O,D.CancellationToken.None);if(!j)throw new Error("Manifest was not found");x=j.engines.vscode}return x}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[],deprecated:{}};const O=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},D.CancellationToken.None);if(O.res.statusCode!==200)throw new Error("Could not get extensions report.");const x=await(0,u.asJson)(O),j=[],H={};if(x){for(const X of x.malicious)j.push({id:X});if(x.migrateToPreRelease)for(const[X,oe]of Object.entries(x.migrateToPreRelease))(!oe.engine||(0,E.isEngineValid)(oe.engine,this.productService.version,this.productService.date))&&(H[X.toLowerCase()]={disallowInstall:!0,extension:{id:oe.id,displayName:oe.displayName,autoMigrate:{storage:!!oe.migrateStorage},preRelease:!0}});if(x.deprecated)for(const[X,oe]of Object.entries(x.deprecated))oe&&(H[X.toLowerCase()]=(0,m.isBoolean)(oe)?{}:oe)}return{malicious:j,deprecated:H}}};Q=fe([te(1,u.IRequestService),te(2,d.ILogService),te(3,I.IEnvironmentService),te(4,a.ITelemetryService),te(5,c.IFileService),te(6,S.IProductService),te(7,h.IConfigurationService)],Q);let F=class extends Q{constructor(O,x,j,H,X,oe,ce,pe){super(O,x,j,H,X,oe,ce,pe)}};F=fe([te(0,v.IStorageService),te(1,u.IRequestService),te(2,d.ILogService),te(3,I.IEnvironmentService),te(4,a.ITelemetryService),te(5,c.IFileService),te(6,S.IProductService),te(7,h.IConfigurationService)],F),i.ExtensionGalleryService=F;let V=class extends Q{constructor(O,x,j,H,X,oe,ce){super(void 0,O,x,j,H,X,oe,ce)}};V=fe([te(0,u.IRequestService),te(1,d.ILogService),te(2,I.IEnvironmentService),te(3,a.ITelemetryService),te(4,c.IFileService),te(5,S.IProductService),te(6,h.IConfigurationService)],V),i.ExtensionGalleryServiceWithNoStorageService=V}),define(Z[145],ee([0,1,44,18,11,9,65,28,26]),function($,i,C,D,b,R,T,m,l){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.UserDataProfilesService=void 0;let h=class je extends l.UserDataProfilesService{constructor(P,g,E,c,d){super(E,c,g,d);this.stateService=P}getStoredProfiles(){return(0,C.revive)(this.stateService.getItem(je.PROFILES_KEY,[]))}getStoredProfileAssociations(){return(0,C.revive)(this.stateService.getItem(je.PROFILE_ASSOCIATIONS_KEY,{}))}};h=fe([te(0,T.IStateService),te(1,m.IUriIdentityService),te(2,D.IEnvironmentService),te(3,b.IFileService),te(4,R.ILogService)],h),i.UserDataProfilesService=h}),define(Z[146],ee([0,1,37,3,158,2]),function($,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NativePolicyService=void 0;class T extends C.AbstractPolicyService{constructor(l){super();this.productName=l,this.throttler=new D.Throttler,this.watcher=this._register(new R.MutableDisposable)}async initializePolicies(l){await this.throttler.queue(()=>new Promise((h,I)=>{try{this.watcher.value=(0,b.createWatcher)(this.productName,l,P=>{for(const g in P){const E=P[g];E===void 0?this.policies.delete(g):this.policies.set(g,E)}this._onDidChange.fire(Object.keys(P)),h()})}catch(P){I(P)}}))}}i.NativePolicyService=T}),define(Z[66],ee([0,1,114,3,14,7,20,82,159,160]),function($,i,C,D,b,R,T,m,l,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.buffer=i.extract=i.zip=i.ExtractError=void 0;class I extends Error{constructor(t,n){let e=n.message;switch(t){case"CorruptZip":e=`Corrupt ZIP: ${e}`;break}super(e);this.type=t,this.cause=n}}i.ExtractError=I;function P(s){const t=s.externalFileAttributes>>16||33188;return[448,56,7].map(n=>t&n).reduce((n,e)=>n+e,t&61440)}function g(s){if(s instanceof I)return s;let t;return/end of central directory record signature not found/.test(s.message)&&(t="CorruptZip"),new I(t,s)}function E(s,t,n,e,r,o){const p=b.dirname(t),y=b.join(e,p);if(!y.startsWith(e))return Promise.reject(new Error(m.localize(0,null,t)));const w=b.join(e,t);let L;return o.onCancellationRequested(()=>{L&&L.destroy()}),Promise.resolve(T.Promises.mkdir(y,{recursive:!0})).then(()=>new Promise((U,B)=>{if(!o.isCancellationRequested)try{L=(0,C.createWriteStream)(w,{mode:n}),L.once("close",()=>U()),L.once("error",B),s.once("error",B),s.pipe(L)}catch(q){B(q)}}))}function c(s,t,n,e){let r=(0,D.createCancelablePromise)(()=>Promise.resolve()),o=0;return e.onCancellationRequested(()=>{r.cancel(),s.close()}),new Promise((p,y)=>{const w=new D.Sequencer,L=U=>{U.isCancellationRequested||(o++,s.readEntry())};s.once("error",y),s.once("close",()=>r.then(()=>{e.isCancellationRequested||s.entryCount===o?p():y(new I("Incomplete",new Error(m.localize(1,null,o,s.entryCount))))},y)),s.readEntry(),s.on("entry",U=>{if(e.isCancellationRequested)return;if(!n.sourcePathRegex.test(U.fileName)){L(e);return}const B=U.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(B)){const ne=b.join(t,B);r=(0,D.createCancelablePromise)(le=>T.Promises.mkdir(ne,{recursive:!0}).then(()=>L(le)).then(void 0,y));return}const q=S(s,U),Y=P(U);r=(0,D.createCancelablePromise)(ne=>w.queue(()=>q.then(le=>E(le,B,Y,t,n,ne).then(()=>L(ne)))).then(null,y))})})}function d(s,t=!1){return new Promise((n,e)=>{(0,l.open)(s,t?{lazyEntries:!0}:void 0,(r,o)=>{r?e(g(r)):n((0,R.assertIsDefined)(o))})})}function S(s,t){return new Promise((n,e)=>{s.openReadStream(t,(r,o)=>{r?e(g(r)):n((0,R.assertIsDefined)(o))})})}function u(s,t){return new Promise((n,e)=>{const r=new h.ZipFile;t.forEach(p=>{p.contents?r.addBuffer(typeof p.contents=="string"?Buffer.from(p.contents,"utf8"):p.contents,p.path):p.localPath&&r.addFile(p.localPath,p.path)}),r.end();const o=(0,C.createWriteStream)(s);r.outputStream.pipe(o),r.outputStream.once("error",e),o.once("error",e),o.once("finish",()=>n(s))})}i.zip=u;function f(s,t,n={},e){const r=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let o=d(s,!0);return n.overwrite&&(o=o.then(p=>T.Promises.rm(t).then(()=>p))),o.then(p=>c(p,t,{sourcePathRegex:r},e))}i.extract=f;function v(s,t){return d(s).then(n=>new Promise((e,r)=>{n.on("entry",o=>{o.fileName===t&&S(n,o).then(p=>e(p),p=>r(p))}),n.once("close",()=>r(new Error(m.localize(2,null,t))))}))}function a(s,t){return v(s,t).then(n=>new Promise((e,r)=>{const o=[];n.once("error",r),n.on("data",p=>o.push(p)),n.on("end",()=>e(Buffer.concat(o)))}))}i.buffer=a}),define(Z[147],ee([0,1,66,89]),function($,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getManifest=void 0;function b(R){return(0,C.buffer)(R,"extension/package.json").then(T=>{try{return JSON.parse(T.toString("utf8"))}catch{throw new Error((0,D.localize)(0,null))}})}i.getManifest=b}),define(Z[148],ee([0,1,3,29,12,2,16,14,13,17,39,7,10,35,20,66,88,58,18,140,22,23,41,49,122,141,147,123,137,33,46,11,8,9,27,34,28,26]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S,u,f,v,a,s,t,n,e,r,o,p,y,w,L,U,B,q,Y,ne,le,re){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionManagementService=i.INativeServerExtensionManagementService=void 0,i.INativeServerExtensionManagementService=(0,B.refineServiceDecorator)(a.IServerExtensionManagementService);let ge=class extends v.AbstractExtensionManagementService{constructor(F,V,k,O,x,j,H,X,oe,ce,pe,ve){super(F,V,k,ce,ve);this.environmentService=O,this.extensionsScannerService=x,this.extensionsProfileScannerService=j,this.downloadService=H,this.fileService=oe,this.installGalleryExtensionsTasks=new Map;const ie=this._register(X.createInstance(r.ExtensionsLifecycle));this.extensionsScanner=this._register(X.createInstance(ae,he=>ie.postUninstall(he))),this.manifestCache=this._register(new p.ExtensionsManifestCache(O,this)),this.extensionsDownloader=this._register(X.createInstance(e.ExtensionsDownloader));const se=this._register(new y.ExtensionsWatcher(this,oe,O,k,pe));this._register(se.onDidChangeExtensionsByAnotherSource(({added:he,removed:de})=>{he.length&&this._onDidInstallExtensions.fire(he.map(Se=>({identifier:Se.identifier,operation:1,local:Se}))),de.forEach(Se=>this._onDidUninstallExtension.fire({identifier:Se}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,s.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async zip(F){this.logService.trace("ExtensionManagementService#zip",F.identifier.id);const V=await this.collectFiles(F),k=await(0,d.zip)((0,h.joinPath)(this.environmentService.tmpDir,(0,E.generateUuid)()).fsPath,V);return g.URI.file(k)}async unzip(F){return this.logService.trace("ExtensionManagementService#unzip",F.toString()),(await this.install(F)).identifier}async getManifest(F){const V=await this.downloadVsix(F),k=m.resolve(V.fsPath);return(0,o.getManifest)(k)}getInstalled(F,V){return this.extensionsScanner.scanExtensions(F??null,V)}getAllUserInstalled(){return this.extensionsScanner.scanUserExtensions(!1)}async install(F,V={}){this.logService.trace("ExtensionManagementService#install",F.toString());const k=await this.downloadVsix(F),O=await(0,o.getManifest)(m.resolve(k.fsPath));if(O.engines&&O.engines.vscode&&!(0,L.isEngineValid)(O.engines.vscode,this.productService.version,this.productService.date))throw new Error(S.localize(0,null,(0,s.getGalleryExtensionId)(O.publisher,O.name),this.productService.version));return this.installExtension(O,k,V)}getMetadata(F){return this.extensionsScannerService.scanMetadata(F.location)}async updateMetadata(F,V){this.logService.trace("ExtensionManagementService#updateMetadata",F.identifier.id);const k={...V};return V.isPreReleaseVersion&&(k.preRelease=!0),F=await this.extensionsScanner.updateMetadata(F,k),this.manifestCache.invalidate(),F}async updateExtensionScope(F,V){return this.logService.trace("ExtensionManagementService#updateExtensionScope",F.identifier.id),F=await this.extensionsScanner.updateMetadata(F,{isMachineScoped:V}),this.manifestCache.invalidate(),F}removeUninstalledExtensions(F){return this.extensionsScanner.cleanUp(F)}async downloadVsix(F){if(F.scheme===T.Schemas.file)return F;const V=(0,h.joinPath)(this.environmentService.tmpDir,(0,E.generateUuid)());return await this.downloadService.download(F,V),V}doCreateInstallExtensionTask(F,V,k){let O;if(g.URI.isUri(V))O=new M(F,V,k,this.galleryService,this.extensionsScanner,this.logService);else{const x=s.ExtensionKey.create(V).toString();O=this.installGalleryExtensionsTasks.get(x),O||(this.installGalleryExtensionsTasks.set(x,O=new _(F,V,k,this.extensionsDownloader,this.extensionsScanner,this.logService)),O.waitUntilTaskIsFinished().then(()=>this.installGalleryExtensionsTasks.delete(x)))}return k.profileLocation?new A(O,k.profileLocation,this.extensionsProfileScannerService):O}doCreateUninstallExtensionTask(F,V){return V.profileLocation?new G(F,V.profileLocation,this.extensionsProfileScannerService):new W(F,V,this.extensionsScanner)}async collectFiles(F){const V=async O=>{let x=await c.Promises.readdir(O);x=x.map(X=>m.join(O,X));const j=await Promise.all(x.map(X=>c.Promises.stat(X)));let H=Promise.resolve([]);return j.forEach((X,oe)=>{const ce=x[oe];X.isFile()&&(H=H.then(pe=>[...pe,ce])),X.isDirectory()&&(H=H.then(pe=>V(ce).then(ve=>[...pe,...ve])))}),H};return(await V(F.location.fsPath)).map(O=>({path:`extension/${m.relative(F.location.fsPath,O)}`,localPath:O}))}};ge=fe([te(0,a.IExtensionGalleryService),te(1,ne.ITelemetryService),te(2,q.ILogService),te(3,f.INativeEnvironmentService),te(4,n.IExtensionsScannerService),te(5,t.IExtensionsProfileScannerService),te(6,u.IDownloadService),te(7,B.IInstantiationService),te(8,U.IFileService),te(9,Y.IProductService),te(10,le.IUriIdentityService),te(11,re.IUserDataProfilesService)],ge),i.ExtensionManagementService=ge;let ae=class extends R.Disposable{constructor(F,V,k,O){super();this.beforeRemovingExtension=F,this.fileService=V,this.extensionsScannerService=k,this.logService=O,this.uninstalledPath=(0,h.joinPath)(this.extensionsScannerService.userExtensionsLocation,".obsolete").fsPath,this.uninstalledFileLimiter=new C.Queue}async cleanUp(F){await this.removeUninstalledExtensions(),F&&await this.removeOutdatedExtensions()}async scanExtensions(F,V){const k={includeInvalid:!0,profileLocation:V};let O=[];return F===null||F===0?O.push(...await this.extensionsScannerService.scanAllExtensions({includeInvalid:!0},k)):F===1&&O.push(...await this.extensionsScannerService.scanUserExtensions(k)),O=F!==null?O.filter(x=>x.type===F):O,Promise.all(O.map(x=>this.toLocalExtension(x)))}async scanUserExtensions(F){const V=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!F,includeInvalid:!0});return Promise.all(V.map(k=>this.toLocalExtension(k)))}async extractUserExtension(F,V,k,O){const x=F.toString(),j=m.join(this.extensionsScannerService.userExtensionsLocation.fsPath,`.${(0,E.generateUuid)()}`),H=m.join(this.extensionsScannerService.userExtensionsLocation.fsPath,x);try{await c.Promises.rm(H)}catch{throw new a.ExtensionManagementError(S.localize(1,null,H,F.id),a.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(F,V,j,O),k={...k,installedTimestamp:Date.now()},await this.extensionsScannerService.updateMetadata(g.URI.file(j),k);try{await this.rename(F,j,H,Date.now()+2*60*1e3),this.logService.info("Renamed to",H)}catch(X){try{await c.Promises.rm(j)}catch{}if(X.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",F.id);else throw this.logService.info(`Rename failed because of ${(0,b.getErrorMessage)(X)}. Deleted from extracted location`,j),X}return this.scanLocalExtension(g.URI.file(H),1)}async updateMetadata(F,V){return await this.extensionsScannerService.updateMetadata(F.location,V),this.scanLocalExtension(F.location,F.type)}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...F){const V=F.map(k=>s.ExtensionKey.create(k));await this.withUninstalledExtensions(k=>{V.forEach(O=>k[O.toString()]=!0)})}async setInstalled(F){await this.withUninstalledExtensions(O=>delete O[F.toString()]);const k=(await this.scanUserExtensions(!0)).find(O=>s.ExtensionKey.create(O).equals(F))||null;return k?this.updateMetadata(k,{installedTimestamp:Date.now()}):null}async removeExtension(F,V){this.logService.trace(`Deleting ${V} extension from disk`,F.identifier.id,F.location.fsPath),await c.Promises.rm(F.location.fsPath),this.logService.info("Deleted from disk",F.identifier.id,F.location.fsPath)}async removeUninstalledExtension(F){await this.removeExtension(F,"uninstalled"),await this.withUninstalledExtensions(V=>delete V[s.ExtensionKey.create(F).toString()])}async withUninstalledExtensions(F){return this.uninstalledFileLimiter.queue(async()=>{let V;try{V=await c.Promises.readFile(this.uninstalledPath,"utf8")}catch(O){if(O.code!=="ENOENT")throw O}let k={};if(V)try{k=JSON.parse(V)}catch{}return F&&(F(k),Object.keys(k).length?await c.Promises.writeFile(this.uninstalledPath,JSON.stringify(k)):await c.Promises.rm(this.uninstalledPath)),k})}async extractAtLocation(F,V,k,O){this.logService.trace(`Started extracting the extension from ${V} to ${k}`);try{await c.Promises.rm(k)}catch(x){throw new a.ExtensionManagementError(this.joinErrors(x).message,a.ExtensionManagementErrorCode.Delete)}try{await(0,d.extract)(V,k,{sourcePath:"extension",overwrite:!0},O),this.logService.info(`Extracted extension to ${k}:`,F.id)}catch(x){try{await c.Promises.rm(k)}catch{}let j=a.ExtensionManagementErrorCode.Extract;throw x instanceof d.ExtractError&&(x.type==="CorruptZip"?j=a.ExtensionManagementErrorCode.CorruptZip:x.type==="Incomplete"&&(j=a.ExtensionManagementErrorCode.IncompleteZip)),new a.ExtensionManagementError(x.message,j)}}async rename(F,V,k,O){try{await c.Promises.rename(V,k)}catch(x){if(l.isWindows&&x&&x.code==="EPERM"&&Date.now()<O)return this.logService.info(`Failed renaming ${V} to ${k} with 'EPERM' error. Trying again...`,F.id),this.rename(F,V,k,O);throw new a.ExtensionManagementError(x.message||S.localize(2,null,V,k),x.code||a.ExtensionManagementErrorCode.Rename)}}async scanLocalExtension(F,V){const k=await this.extensionsScannerService.scanExistingExtension(F,V,{includeInvalid:!0});if(k)return this.toLocalExtension(k);throw new Error(S.localize(3,null,F.path))}async toLocalExtension(F){const V=await this.fileService.resolve(F.location);let k,O;return V.children&&(k=V.children.find(({name:x})=>/^readme(\.txt|\.md|)$/i.test(x))?.resource,O=V.children.find(({name:x})=>/^changelog(\.txt|\.md|)$/i.test(x))?.resource),{identifier:F.identifier,type:F.type,isBuiltin:F.isBuiltin||!!F.metadata?.isBuiltin,location:F.location,manifest:F.manifest,targetPlatform:F.targetPlatform,validations:F.validations,isValid:F.isValid,readmeUrl:k,changelogUrl:O,publisherDisplayName:F.metadata?.publisherDisplayName||null,publisherId:F.metadata?.publisherId||null,isApplicationScoped:!!F.metadata?.isApplicationScoped,isMachineScoped:!!F.metadata?.isMachineScoped,isPreReleaseVersion:!!F.metadata?.isPreReleaseVersion,preRelease:!!F.metadata?.preRelease,installedTimestamp:F.metadata?.installedTimestamp,updated:!!F.metadata?.updated}}async removeUninstalledExtensions(){const F=await this.getUninstalledExtensions(),V=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),k=new Set;for(const j of V)F[s.ExtensionKey.create(j).toString()]||k.add(j.identifier.id.toLowerCase());const O=(0,s.groupByExtension)(V,j=>j.identifier);await C.Promises.settled(O.map(async j=>{const H=j.sort((X,oe)=>I.rcompare(X.manifest.version,oe.manifest.version))[0];k.has(H.identifier.id.toLowerCase())||await this.beforeRemovingExtension(await this.toLocalExtension(H))}));const x=V.filter(j=>F[s.ExtensionKey.create(j).toString()]);await C.Promises.settled(x.map(j=>this.removeUninstalledExtension(j)))}async removeOutdatedExtensions(){const F=await this.extensionsScannerService.scanSystemExtensions({}),V=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),k=[],O=await this.extensionsScannerService.getTargetPlatform(),x=(0,s.groupByExtension)(V,j=>j.identifier);for(const j of x)if(j.length>1&&k.push(...j.sort((H,X)=>{const oe=I.rcompare(H.manifest.version,X.manifest.version);return oe!==0?oe:H.targetPlatform===O?-1:1}).slice(1)),j[0].type===0){const H=F.find(X=>(0,s.areSameExtensions)(X.identifier,j[0].identifier));(!H||I.gte(H.manifest.version,j[0].manifest.version))&&k.push(j[0])}await C.Promises.settled(k.map(j=>this.removeExtension(j,"outdated")))}joinErrors(F){const V=Array.isArray(F)?F:[F];return V.length===1?V[0]instanceof Error?V[0]:new Error(V[0]):V.reduce((k,O)=>new Error(`${k.message}${k.message?",":""}${O instanceof Error?O.message:O}`),new Error(""))}};ae=fe([te(1,U.IFileService),te(2,n.IExtensionsScannerService),te(3,q.ILogService)],ae);class N extends v.AbstractExtensionTask{constructor(F,V,k,O,x){super();this.identifier=F,this.source=V,this.options=k,this.extensionsScanner=O,this.logService=x,this._operation=2}get operation(){return(0,P.isUndefined)(this.options.operation)?this._operation:this.options.operation}async installExtension(F,V){try{const k=await this.unsetUninstalledAndGetLocal(F.key);if(k)return F.metadata?this.extensionsScanner.updateMetadata(k,F.metadata):k}catch{throw l.isMacintosh?new a.ExtensionManagementError(S.localize(4,null),a.ExtensionManagementErrorCode.Internal):new a.ExtensionManagementError(S.localize(5,null),a.ExtensionManagementErrorCode.Internal)}return this.extract(F,V)}async unsetUninstalledAndGetLocal(F){if(!await this.isUninstalled(F))return null;this.logService.trace("Removing the extension from uninstalled list:",F.id);const k=await this.extensionsScanner.setInstalled(F);return this.logService.info("Removed the extension from uninstalled list:",F.id),k}async isUninstalled(F){return!!(await this.extensionsScanner.getUninstalledExtensions())[F.toString()]}async extract({zipPath:F,key:V,metadata:k},O){const x=await this.extensionsScanner.extractUserExtension(V,F,k,O);return this.logService.info("Extracting completed.",V.id),x}}class _ extends N{constructor(F,V,k,O,x,j){super(V.identifier,V,k,x,j);this.manifest=F,this.gallery=V,this.extensionsDownloader=O}async doRun(F){const k=(await this.extensionsScanner.scanExtensions(null,void 0)).find(j=>(0,s.areSameExtensions)(j.identifier,this.gallery.identifier));k&&(this._operation=3);const O={id:this.gallery.identifier.uuid,publisherId:this.gallery.publisherId,publisherDisplayName:this.gallery.publisherDisplayName,targetPlatform:this.gallery.properties.targetPlatform,isApplicationScoped:(0,w.isApplicationScopedExtension)(this.manifest),isMachineScoped:this.options.isMachineScoped||k?.isMachineScoped,isBuiltin:this.options.isBuiltin||k?.isBuiltin,isSystem:k?.type===0?!0:void 0,updated:!!k,isPreReleaseVersion:this.gallery.properties.isPreReleaseVersion,preRelease:this.gallery.properties.isPreReleaseVersion||((0,P.isBoolean)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:k?.preRelease)};if(k?.manifest.version===this.gallery.version)return{local:await this.extensionsScanner.updateMetadata(k,O),metadata:O};const x=await this.downloadExtension(this.gallery,this._operation);try{const j=await this.installExtension({zipPath:x,key:s.ExtensionKey.create(this.gallery),metadata:O},F);return k&&!this.options.profileLocation&&(k.targetPlatform!==j.targetPlatform||I.neq(k.manifest.version,j.manifest.version))&&await this.extensionsScanner.setUninstalled(k),{local:j,metadata:O}}catch(j){throw await this.deleteDownloadedVSIX(x),j}}async deleteDownloadedVSIX(F){try{await this.extensionsDownloader.delete(g.URI.file(F))}catch(V){this.logService.warn("Error while deleting the downloaded vsix",F.toString(),(0,b.getErrorMessage)(V))}}async downloadExtension(F,V){let k;try{this.logService.trace("Started downloading extension:",F.identifier.id),k=(await this.extensionsDownloader.downloadExtension(F,V)).fsPath,this.logService.info("Downloaded extension:",F.identifier.id,k)}catch(O){throw new a.ExtensionManagementError((0,v.joinErrors)(O).message,a.ExtensionManagementErrorCode.Download)}try{return await(0,o.getManifest)(k),k}catch(O){throw await this.deleteDownloadedVSIX(k),new a.ExtensionManagementError((0,v.joinErrors)(O).message,a.ExtensionManagementErrorCode.Invalid)}}}class M extends N{constructor(F,V,k,O,x,j){super({id:(0,s.getGalleryExtensionId)(F.publisher,F.name)},V,k,x,j);this.manifest=F,this.location=V,this.galleryService=O}async doRun(F){const V=new s.ExtensionKey(this.identifier,this.manifest.version),O=(await this.extensionsScanner.scanExtensions(1,void 0)).find(H=>(0,s.areSameExtensions)(this.identifier,H.identifier)),x=await this.getMetadata(this.identifier.id,this.manifest.version,F);if(x.isApplicationScoped=(0,w.isApplicationScopedExtension)(this.manifest),x.isMachineScoped=this.options.isMachineScoped||O?.isMachineScoped,x.isBuiltin=this.options.isBuiltin||O?.isBuiltin,O)if(this._operation=3,V.equals(new s.ExtensionKey(O.identifier,O.manifest.version)))try{await this.extensionsScanner.removeExtension(O,"existing")}catch{throw new Error(S.localize(6,null,this.manifest.displayName||this.manifest.name))}else!this.options.profileLocation&&I.gt(O.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(O);else{const H=await this.unsetUninstalledAndGetLocal(V);if(H)try{await this.extensionsScanner.removeExtension(H,"existing")}catch{throw new Error(S.localize(7,null,this.manifest.displayName||this.manifest.name))}}return{local:await this.installExtension({zipPath:m.resolve(this.location.fsPath),key:V,metadata:x},F),metadata:x}}async getMetadata(F,V,k){try{let[O]=await this.galleryService.getExtensions([{id:F,version:V}],k);if(O||([O]=await this.galleryService.getExtensions([{id:F}],k)),O)return{id:O.identifier.uuid,publisherDisplayName:O.publisherDisplayName,publisherId:O.publisherId,isPreReleaseVersion:O.properties.isPreReleaseVersion,preRelease:O.properties.isPreReleaseVersion||this.options.installPreReleaseVersion}}catch{}return{}}}class A{constructor(F,V,k){this.task=F,this.profileLocation=V,this.extensionsProfileScannerService=k,this.identifier=this.task.identifier,this.source=this.task.source,this.operation=this.task.operation,this.promise=this.waitAndAddExtensionToProfile()}async waitAndAddExtensionToProfile(){const F=await this.task.waitUntilTaskIsFinished();return await this.extensionsProfileScannerService.addExtensionsToProfile([[F.local,F.metadata]],this.profileLocation),F}async run(){return await this.task.run(),this.promise}waitUntilTaskIsFinished(){return this.promise}cancel(){return this.task.cancel()}}class W extends v.AbstractExtensionTask{constructor(F,V,k){super();this.extension=F,this.options=V,this.extensionsScanner=k}async doRun(F){const V=[],k=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const O=s.ExtensionKey.create(this.extension);V.push(...k.filter(x=>O.equals(s.ExtensionKey.create(x))))}else V.push(...k.filter(O=>(0,s.areSameExtensions)(O.identifier,this.extension.identifier)));if(!V.length)throw new Error(S.localize(8,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...V),this.options.remove)for(const O of V)try{F.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(O)}catch(x){throw new Error(S.localize(9,null,(0,D.toErrorMessage)(x)))}}}class G extends v.AbstractExtensionTask{constructor(F,V,k){super();this.extension=F,this.profileLocation=V,this.extensionsProfileScannerService=k}async doRun(F){await this.extensionsProfileScannerService.removeExtensionFromProfile(this.extension.identifier,this.profileLocation)}}}),define(Z[149],ee([0,1,127,3,15,12,2,7,21,18,128,9,126,161]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.RequestService=void 0;let c=class extends T.Disposable{constructor(S,u,f){super();this.environmentService=u,this.logService=f,this.configure(S.getValue()),this._register(S.onDidChangeConfiguration(()=>this.configure(S.getValue()),this))}configure(S){this.proxyUrl=S.http&&S.http.proxy,this.strictSSL=!!(S.http&&S.http.proxyStrictSSL),this.authorization=S.http&&S.http.proxyAuthorization}async request(S,u){this.logService.trace("RequestService#request (node) - begin",S.url);const{proxyUrl:f,strictSSL:v}=this;let a;try{a=await(0,I.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(n){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request (node) resolving shell environment failed",n))}const s={...process.env,...a},t=S.agent?S.agent:await(0,g.getProxyAgent)(S.url||"",s,{proxyUrl:f,strictSSL:v});S.agent=t,S.strictSSL=v,this.authorization&&(S.headers={...S.headers||{},"Proxy-Authorization":this.authorization});try{const n=await this._request(S,u);return this.logService.trace("RequestService#request (node) - success",S.url),n}catch(n){throw this.logService.trace("RequestService#request (node) - error",S.url,n),n}}async getNodeRequest(S){return((0,C.parse)(S.url).protocol==="https:"?await new Promise((v,a)=>{$(["https"],v,a)}):await new Promise((v,a)=>{$(["http"],v,a)})).request}_request(S,u){return D.Promises.withAsyncBody(async(f,v)=>{const a=(0,C.parse)(S.url),s=S.getRawRequest?S.getRawRequest(S):await this.getNodeRequest(S),t={hostname:a.hostname,port:a.port?parseInt(a.port):a.protocol==="https:"?443:80,protocol:a.protocol,path:a.path,method:S.type||"GET",headers:S.headers,agent:S.agent,rejectUnauthorized:(0,m.isBoolean)(S.strictSSL)?S.strictSSL:!0};S.user&&S.password&&(t.auth=S.user+":"+S.password);const n=s(t,e=>{const r=(0,m.isNumber)(S.followRedirects)?S.followRedirects:3;if(e.statusCode&&e.statusCode>=300&&e.statusCode<400&&r>0&&e.headers.location)this._request({...S,url:e.headers.location,followRedirects:r-1},u).then(f,v);else{let o=e;e.headers["content-encoding"]==="gzip"&&(o=e.pipe((0,E.createGunzip)())),f({res:e,stream:(0,b.streamToBufferReadableStream)(o)})}});n.on("error",v),S.timeout&&n.setTimeout(S.timeout),S.data&&typeof S.data=="string"&&n.write(S.data),n.end(),u.onCancellationRequested(()=>{n.abort(),v((0,R.canceled)())})})}async resolveProxy(S){}};c=fe([te(0,l.IConfigurationService),te(1,h.INativeEnvironmentService),te(2,P.ILogService)],c),i.RequestService=c}),define(Z[162],ee([0,1,38,3,15,29,12,2,16,14,13,31,10,20,21,119,58,125,18,102,144,22,121,41,49,148,142,11,111,113,47,109,61,62,124,9,115,116,37,146,134,27,48,149,65,129,130,34,133,42,135,136,28,138,26,145]),function($,i,C,D,b,R,T,m,l,h,I,P,g,E,c,d,S,u,f,v,a,s,t,n,e,r,o,p,y,w,L,U,B,q,Y,ne,le,re,ge,ae,N,_,M,A,W,G,Q,F,V,k,O,x,j,H,X,oe){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.main=void 0;class ce extends m.Disposable{constructor(ie){super();this.argv=ie,this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){const[ie,se]=await this.initServices();return ie.invokeFunction(async he=>{const de=he.get(ne.ILogService),Se=he.get(p.IFileService),Oe=he.get(f.INativeEnvironmentService),Ae=he.get(s.IExtensionManagementCLIService);de.info("CLI main",this.argv),this.registerErrorHandler(de),await this.doRun(Oe,Ae,Se),await Promise.all(se.map(Ue=>{(0,D.raceTimeout)(Ue.flush(),1e3)}))})}async initServices(){const ie=new B.ServiceCollection,se={_serviceBrand:void 0,...N.default};ie.set(_.IProductService,se);const he=new v.NativeEnvironmentService(this.argv,se);ie.set(f.INativeEnvironmentService,he),await Promise.all([he.appSettingsHome.fsPath,he.extensionsPath].map(De=>De?E.Promises.mkdir(De,{recursive:!0}):void 0));const de=(0,ne.getLogLevel)(he),Se=[];Se.push(new le.SpdLogLogger("cli",(0,h.join)(he.logsPath,"cli.log"),!0,!1,de)),de===ne.LogLevel.Trace&&Se.push(new ne.ConsoleLogger(de));const Oe=this._register(new ne.MultiplexLogService(Se));ie.set(ne.ILogService,Oe);const Ae=this._register(new y.FileService(Oe));ie.set(p.IFileService,Ae);const Ue=this._register(new w.DiskFileSystemProvider(Oe));Ae.registerProvider(l.Schemas.file,Ue);const xe=new G.StateService(he,Oe,Ae);ie.set(W.IStateService,xe);const z=new H.UriIdentityService(Ae);ie.set(j.IUriIdentityService,z);const K=new oe.UserDataProfilesService(xe,z,he,Ae,Oe);ie.set(X.IUserDataProfilesService,K);const J=I.isWindows&&se.win32RegValueName?this._register(new ae.NativePolicyService(se.win32RegValueName)):he.policyFile?this._register(new re.FilePolicyService(he.policyFile,Ae,Oe)):new ge.NullPolicyService;ie.set(ge.IPolicyService,J);const ue=this._register(new d.ConfigurationService(K.defaultProfile.settingsResource,Ae,J,Oe));ie.set(c.IConfigurationService,ue),await Promise.all([xe.init(),ue.initialize()]),K.setEnablement(!!ue.getValue(X.PROFILES_ENABLEMENT_CONFIG)),ie.set(j.IUriIdentityService,new H.UriIdentityService(Ae)),ie.set(M.IRequestService,new L.SyncDescriptor(A.RequestService)),ie.set(S.IDownloadService,new L.SyncDescriptor(u.DownloadService)),ie.set(n.IExtensionsProfileScannerService,new L.SyncDescriptor(n.ExtensionsProfileScannerService)),ie.set(e.IExtensionsScannerService,new L.SyncDescriptor(o.ExtensionsScannerService)),ie.set(r.INativeServerExtensionManagementService,new L.SyncDescriptor(r.ExtensionManagementService)),ie.set(s.IExtensionGalleryService,new L.SyncDescriptor(a.ExtensionGalleryServiceWithNoStorageService)),ie.set(s.IExtensionManagementCLIService,new L.SyncDescriptor(t.ExtensionManagementCLIService)),ie.set(q.ILanguagePackService,new L.SyncDescriptor(Y.NativeLanguagePackService));const me=[];if((0,k.supportsTelemetry)(se,he)){se.aiConfig&&se.aiConfig.ariaKey&&me.push(new O.OneDataSystemAppender(ue,"monacoworkbench",null,se.aiConfig.ariaKey));const{installSourcePath:De}=he,we={appenders:me,sendErrorTelemetry:!1,commonProperties:(async()=>{let Re;try{const be=await E.Promises.readFile(he.stateResource.fsPath);Re=JSON.parse(be.toString())[F.machineIdKey]}catch(be){be.code!=="ENOENT"&&Oe.error(be)}return(0,Q.resolveCommonProperties)(Ae,(0,C.release)(),(0,C.hostname)(),process.arch,se.commit,se.version,Re,se.msftInternalDomains,De)})(),piiPaths:(0,k.getPiiPathsFromEnvironment)(he)};ie.set(F.ITelemetryService,new L.SyncDescriptor(V.TelemetryService,[we]))}else ie.set(F.ITelemetryService,k.NullTelemetryService);return[new U.InstantiationService(ie),me]}registerErrorHandler(ie){(0,T.setUnexpectedErrorHandler)(se=>{const he=(0,R.toErrorMessage)(se,!0);!he||ie.error(`[uncaught exception in CLI]: ${he}`)}),process.on("uncaughtException",se=>(0,T.onUnexpectedError)(se)),process.on("unhandledRejection",se=>(0,T.onUnexpectedError)(se))}async doRun(ie,se,he){if(this.argv["install-source"])return this.setInstallSource(ie,he,this.argv["install-source"]);if(this.argv["list-extensions"])return se.listExtensions(!!this.argv["show-versions"],this.argv.category);if(this.argv["install-extension"]||this.argv["install-builtin-extension"]){const de={isMachineScoped:!!this.argv["do-not-sync"],installPreReleaseVersion:!!this.argv["pre-release"]};return se.installExtensions(this.asExtensionIdOrVSIX(this.argv["install-extension"]||[]),this.argv["install-builtin-extension"]||[],de,!!this.argv.force)}else{if(this.argv["uninstall-extension"])return se.uninstallExtensions(this.asExtensionIdOrVSIX(this.argv["uninstall-extension"]),!!this.argv.force);if(this.argv["locate-extension"])return se.locateExtension(this.argv["locate-extension"]);this.argv.telemetry&&console.log(await(0,x.buildTelemetryMessage)(ie.appRoot,ie.extensionsPath))}}asExtensionIdOrVSIX(ie){return ie.map(se=>/\.vsix$/i.test(se)?g.URI.file((0,h.isAbsolute)(se)?se:(0,h.join)((0,P.cwd)(),se)):se)}async setInstallSource(ie,se,he){await se.writeFile(g.URI.file(ie.installSourcePath),b.VSBuffer.fromString(he.slice(0,30)))}}async function pe(ve){const ie=new ce(ve);try{await ie.run()}finally{ie.dispose()}}i.main=pe})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/f3528d481b366b24321c382d5e5849f4c7d65248/core/vs/code/node/cliProcessMain.js.map
